/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 293 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONDITIONAL = 343,
    CONFIGURATION = 344,
    CONFLICT = 345,
    CONNECTION = 346,
    CONSTRAINT = 347,
    CONSTRAINTS = 348,
    CONTENT_P = 349,
    CONTINUE_P = 350,
    CONVERSION_P = 351,
    COPY = 352,
    COST = 353,
    CREATE = 354,
    CROSS = 355,
    CSV = 356,
    CUBE = 357,
    CURRENT_P = 358,
    CURRENT_CATALOG = 359,
    CURRENT_DATE = 360,
    CURRENT_ROLE = 361,
    CURRENT_SCHEMA = 362,
    CURRENT_TIME = 363,
    CURRENT_TIMESTAMP = 364,
    CURRENT_USER = 365,
    CURSOR = 366,
    CYCLE = 367,
    DATA_P = 368,
    DATABASE = 369,
    DAY_P = 370,
    DEALLOCATE = 371,
    DEC = 372,
    DECIMAL_P = 373,
    DECLARE = 374,
    DEFAULT = 375,
    DEFAULTS = 376,
    DEFERRABLE = 377,
    DEFERRED = 378,
    DEFINER = 379,
    DELETE_P = 380,
    DELIMITER = 381,
    DELIMITERS = 382,
    DEPENDS = 383,
    DEPTH = 384,
    DESC = 385,
    DETACH = 386,
    DICTIONARY = 387,
    DISABLE_P = 388,
    DISCARD = 389,
    DISTINCT = 390,
    DO = 391,
    DOCUMENT_P = 392,
    DOMAIN_P = 393,
    DOUBLE_P = 394,
    DROP = 395,
    EACH = 396,
    ELSE = 397,
    EMPTY_P = 398,
    ENABLE_P = 399,
    ENCODING = 400,
    ENCRYPTED = 401,
    END_P = 402,
    ENUM_P = 403,
    ERROR_P = 404,
    ESCAPE = 405,
    EVENT = 406,
    EXCEPT = 407,
    EXCLUDE = 408,
    EXCLUDING = 409,
    EXCLUSIVE = 410,
    EXECUTE = 411,
    EXISTS = 412,
    EXPLAIN = 413,
    EXPRESSION = 414,
    EXTENSION = 415,
    EXTERNAL = 416,
    EXTRACT = 417,
    FALSE_P = 418,
    FAMILY = 419,
    FETCH = 420,
    FILTER = 421,
    FINALIZE = 422,
    FIRST_P = 423,
    FLOAT_P = 424,
    FOLLOWING = 425,
    FOR = 426,
    FORCE = 427,
    FOREIGN = 428,
    FORMAT = 429,
    FORWARD = 430,
    FREEZE = 431,
    FROM = 432,
    FULL = 433,
    FUNCTION = 434,
    FUNCTIONS = 435,
    GENERATED = 436,
    GLOBAL = 437,
    GRANT = 438,
    GRANTED = 439,
    GREATEST = 440,
    GROUP_P = 441,
    GROUPING = 442,
    GROUPS = 443,
    HANDLER = 444,
    HAVING = 445,
    HEADER_P = 446,
    HOLD = 447,
    HOUR_P = 448,
    IDENTITY_P = 449,
    IF_P = 450,
    ILIKE = 451,
    IMMEDIATE = 452,
    IMMUTABLE = 453,
    IMPLICIT_P = 454,
    IMPORT_P = 455,
    IN_P = 456,
    INCLUDE = 457,
    INCLUDING = 458,
    INCREMENT = 459,
    INDENT = 460,
    INDEX = 461,
    INDEXES = 462,
    INHERIT = 463,
    INHERITS = 464,
    INITIALLY = 465,
    INLINE_P = 466,
    INNER_P = 467,
    INOUT = 468,
    INPUT_P = 469,
    INSENSITIVE = 470,
    INSERT = 471,
    INSTEAD = 472,
    INT_P = 473,
    INTEGER = 474,
    INTERSECT = 475,
    INTERVAL = 476,
    INTO = 477,
    INVOKER = 478,
    IS = 479,
    ISNULL = 480,
    ISOLATION = 481,
    JOIN = 482,
    JSON = 483,
    JSON_ARRAY = 484,
    JSON_ARRAYAGG = 485,
    JSON_EXISTS = 486,
    JSON_OBJECT = 487,
    JSON_OBJECTAGG = 488,
    JSON_QUERY = 489,
    JSON_SCALAR = 490,
    JSON_SERIALIZE = 491,
    JSON_TABLE = 492,
    JSON_VALUE = 493,
    KEEP = 494,
    KEY = 495,
    KEYS = 496,
    LABEL = 497,
    LANGUAGE = 498,
    LARGE_P = 499,
    LAST_P = 500,
    LATERAL_P = 501,
    LEADING = 502,
    LEAKPROOF = 503,
    LEAST = 504,
    LEFT = 505,
    LEVEL = 506,
    LIKE = 507,
    LIMIT = 508,
    LISTEN = 509,
    LOAD = 510,
    LOCAL = 511,
    LOCALTIME = 512,
    LOCALTIMESTAMP = 513,
    LOCATION = 514,
    LOCK_P = 515,
    LOCKED = 516,
    LOGGED = 517,
    MAPPING = 518,
    MATCH = 519,
    MATCHED = 520,
    MATERIALIZED = 521,
    MAXVALUE = 522,
    MERGE = 523,
    MERGE_ACTION = 524,
    METHOD = 525,
    MINUTE_P = 526,
    MINVALUE = 527,
    MODE = 528,
    MONTH_P = 529,
    MOVE = 530,
    NAME_P = 531,
    NAMES = 532,
    NATIONAL = 533,
    NATURAL = 534,
    NCHAR = 535,
    NESTED = 536,
    NEW = 537,
    NEXT = 538,
    NFC = 539,
    NFD = 540,
    NFKC = 541,
    NFKD = 542,
    NO = 543,
    NONE = 544,
    NORMALIZE = 545,
    NORMALIZED = 546,
    NOT = 547,
    NOTHING = 548,
    NOTIFY = 549,
    NOTNULL = 550,
    NOWAIT = 551,
    NULL_P = 552,
    NULLIF = 553,
    NULLS_P = 554,
    NUMERIC = 555,
    OBJECT_P = 556,
    OF = 557,
    OFF = 558,
    OFFSET = 559,
    OIDS = 560,
    OLD = 561,
    OMIT = 562,
    ON = 563,
    ONLY = 564,
    OPERATOR = 565,
    OPTION = 566,
    OPTIONS = 567,
    OR = 568,
    ORDER = 569,
    ORDINALITY = 570,
    OTHERS = 571,
    OUT_P = 572,
    OUTER_P = 573,
    OVER = 574,
    OVERLAPS = 575,
    OVERLAY = 576,
    OVERRIDING = 577,
    OWNED = 578,
    OWNER = 579,
    PARALLEL = 580,
    PARAMETER = 581,
    PARSER = 582,
    PARTIAL = 583,
    PARTITION = 584,
    PASSING = 585,
    PASSWORD = 586,
    PATH = 587,
    PLACING = 588,
    PLAN = 589,
    PLANS = 590,
    POLICY = 591,
    POSITION = 592,
    PRECEDING = 593,
    PRECISION = 594,
    PRESERVE = 595,
    PREPARE = 596,
    PREPARED = 597,
    PRIMARY = 598,
    PRIOR = 599,
    PRIVILEGES = 600,
    PROCEDURAL = 601,
    PROCEDURE = 602,
    PROCEDURES = 603,
    PROGRAM = 604,
    PUBLICATION = 605,
    QUOTE = 606,
    QUOTES = 607,
    RANGE = 608,
    READ = 609,
    REAL = 610,
    REASSIGN = 611,
    RECHECK = 612,
    RECURSIVE = 613,
    REF_P = 614,
    REFERENCES = 615,
    REFERENCING = 616,
    REFRESH = 617,
    REINDEX = 618,
    RELATIVE_P = 619,
    RELEASE = 620,
    RENAME = 621,
    REPEATABLE = 622,
    REPLACE = 623,
    REPLICA = 624,
    RESET = 625,
    RESTART = 626,
    RESTRICT = 627,
    RETURN = 628,
    RETURNING = 629,
    RETURNS = 630,
    REVOKE = 631,
    RIGHT = 632,
    ROLE = 633,
    ROLLBACK = 634,
    ROLLUP = 635,
    ROUTINE = 636,
    ROUTINES = 637,
    ROW = 638,
    ROWS = 639,
    RULE = 640,
    SAVEPOINT = 641,
    SCALAR = 642,
    SCHEMA = 643,
    SCHEMAS = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETS = 657,
    SETOF = 658,
    SHARE = 659,
    SHOW = 660,
    SIMILAR = 661,
    SIMPLE = 662,
    SKIP = 663,
    SMALLINT = 664,
    SNAPSHOT = 665,
    SOME = 666,
    SOURCE = 667,
    SQL_P = 668,
    STABLE = 669,
    STANDALONE_P = 670,
    START = 671,
    STATEMENT = 672,
    STATISTICS = 673,
    STDIN = 674,
    STDOUT = 675,
    STORAGE = 676,
    STORED = 677,
    STRICT_P = 678,
    STRING_P = 679,
    STRIP_P = 680,
    SUBSCRIPTION = 681,
    SUBSTRING = 682,
    SUPPORT = 683,
    SYMMETRIC = 684,
    SYSID = 685,
    SYSTEM_P = 686,
    SYSTEM_USER = 687,
    TABLE = 688,
    TABLES = 689,
    TABLESAMPLE = 690,
    TABLESPACE = 691,
    TARGET = 692,
    TEMP = 693,
    TEMPLATE = 694,
    TEMPORARY = 695,
    TEXT_P = 696,
    THEN = 697,
    TIES = 698,
    TIME = 699,
    TIMESTAMP = 700,
    TO = 701,
    TRAILING = 702,
    TRANSACTION = 703,
    TRANSFORM = 704,
    TREAT = 705,
    TRIGGER = 706,
    TRIM = 707,
    TRUE_P = 708,
    TRUNCATE = 709,
    TRUSTED = 710,
    TYPE_P = 711,
    TYPES_P = 712,
    UESCAPE = 713,
    UNBOUNDED = 714,
    UNCONDITIONAL = 715,
    UNCOMMITTED = 716,
    UNENCRYPTED = 717,
    UNION = 718,
    UNIQUE = 719,
    UNKNOWN = 720,
    UNLISTEN = 721,
    UNLOGGED = 722,
    UNTIL = 723,
    UPDATE = 724,
    USER = 725,
    USING = 726,
    VACUUM = 727,
    VALID = 728,
    VALIDATE = 729,
    VALIDATOR = 730,
    VALUE_P = 731,
    VALUES = 732,
    VARCHAR = 733,
    VARIADIC = 734,
    VARYING = 735,
    VERBOSE = 736,
    VERSION_P = 737,
    VIEW = 738,
    VIEWS = 739,
    VOLATILE = 740,
    WHEN = 741,
    WHERE = 742,
    WHITESPACE_P = 743,
    WINDOW = 744,
    WITH = 745,
    WITHIN = 746,
    WITHOUT = 747,
    WORK = 748,
    WRAPPER = 749,
    WRITE = 750,
    XML_P = 751,
    XMLATTRIBUTES = 752,
    XMLCONCAT = 753,
    XMLELEMENT = 754,
    XMLEXISTS = 755,
    XMLFOREST = 756,
    XMLNAMESPACES = 757,
    XMLPARSE = 758,
    XMLPI = 759,
    XMLROOT = 760,
    XMLSERIALIZE = 761,
    XMLTABLE = 762,
    YEAR_P = 763,
    YES_P = 764,
    ZONE = 765,
    FORMAT_LA = 766,
    NOT_LA = 767,
    NULLS_LA = 768,
    WITH_LA = 769,
    WITHOUT_LA = 770,
    MODE_TYPE_NAME = 771,
    MODE_PLPGSQL_EXPR = 772,
    MODE_PLPGSQL_ASSIGN1 = 773,
    MODE_PLPGSQL_ASSIGN2 = 774,
    MODE_PLPGSQL_ASSIGN3 = 775,
    UMINUS = 776
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 231 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeMatchKind mergematch;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 907 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 937 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  928
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   123277

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  539
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  728
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3408
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6458

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   776

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   528,     2,     2,
     533,   534,   526,   524,   537,   525,   535,   527,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   538,   536,
     521,   523,   522,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   531,     2,   532,   529,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   530
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   920,   920,   925,   929,   934,   942,   950,   970,   982,
     996,   997,  1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,
    1009,  1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,
    1019,  1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,
    1049,  1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,
    1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,
    1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,
    1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,
    1099,  1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,  1108,
    1109,  1110,  1111,  1112,  1113,  1114,  1115,  1116,  1117,  1118,
    1119,  1120,  1121,  1122,  1123,  1124,  1126,  1133,  1134,  1138,
    1139,  1143,  1144,  1148,  1149,  1150,  1159,  1175,  1187,  1188,
    1189,  1198,  1199,  1203,  1204,  1208,  1213,  1217,  1227,  1235,
    1239,  1243,  1248,  1252,  1300,  1302,  1306,  1310,  1314,  1318,
    1332,  1351,  1360,  1372,  1373,  1377,  1386,  1395,  1404,  1426,
    1434,  1442,  1450,  1458,  1466,  1484,  1503,  1515,  1516,  1527,
    1538,  1549,  1565,  1584,  1591,  1599,  1600,  1601,  1602,  1603,
    1604,  1618,  1625,  1632,  1642,  1651,  1660,  1664,  1673,  1682,
    1690,  1701,  1702,  1711,  1723,  1731,  1740,  1752,  1761,  1770,
    1778,  1788,  1799,  1800,  1804,  1805,  1808,  1810,  1814,  1815,
    1816,  1817,  1821,  1822,  1823,  1829,  1841,  1845,  1849,  1866,
    1874,  1875,  1876,  1880,  1881,  1882,  1886,  1887,  1891,  1895,
    1896,  1904,  1912,  1923,  1931,  1942,  1943,  1948,  1949,  1954,
    1961,  1968,  1975,  1982,  1993,  2004,  2005,  2009,  2010,  2018,
    2034,  2041,  2048,  2055,  2062,  2082,  2092,  2102,  2112,  2122,
    2134,  2146,  2156,  2166,  2176,  2188,  2200,  2210,  2220,  2230,
    2240,  2250,  2260,  2272,  2284,  2294,  2307,  2308,  2313,  2327,
    2340,  2356,  2373,  2383,  2393,  2403,  2413,  2423,  2432,  2441,
    2451,  2460,  2470,  2480,  2496,  2506,  2516,  2526,  2536,  2553,
    2563,  2573,  2583,  2594,  2608,  2624,  2634,  2643,  2659,  2668,
    2679,  2690,  2698,  2707,  2716,  2724,  2732,  2741,  2750,  2759,
    2767,  2775,  2784,  2792,  2800,  2809,  2818,  2827,  2836,  2845,
    2854,  2865,  2873,  2882,  2891,  2900,  2909,  2918,  2927,  2935,
    2943,  2951,  2958,  2969,  2970,  2974,  2983,  2987,  2988,  2992,
    3000,  3008,  3016,  3027,  3030,  3031,  3035,  3036,  3041,  3045,
    3049,  3054,  3061,  3063,  3068,  3072,  3076,  3087,  3094,  3095,
    3099,  3100,  3105,  3158,  3171,  3185,  3197,  3204,  3208,  3222,
    3235,  3236,  3241,  3251,  3262,  3273,  3300,  3307,  3341,  3377,
    3400,  3401,  3405,  3406,  3415,  3416,  3417,  3420,  3421,  3426,
    3427,  3431,  3435,  3439,  3443,  3447,  3451,  3455,  3459,  3463,
    3467,  3471,  3475,  3479,  3483,  3487,  3496,  3500,  3504,  3508,
    3512,  3513,  3518,  3522,  3529,  3536,  3537,  3538,  3539,  3540,
    3541,  3545,  3549,  3557,  3568,  3588,  3608,  3629,  3650,  3671,
    3705,  3706,  3707,  3708,  3709,  3716,  3723,  3724,  3728,  3729,
    3733,  3734,  3738,  3742,  3749,  3753,  3760,  3761,  3762,  3766,
    3767,  3770,  3794,  3813,  3835,  3836,  3840,  3841,  3845,  3846,
    3850,  3851,  3855,  3856,  3860,  3868,  3869,  3870,  3902,  3910,
    3918,  3931,  3943,  3956,  3966,  3976,  4000,  4020,  4021,  4022,
    4026,  4027,  4046,  4054,  4062,  4070,  4082,  4094,  4095,  4096,
    4100,  4101,  4102,  4103,  4104,  4105,  4106,  4107,  4108,  4109,
    4118,  4126,  4130,  4144,  4162,  4178,  4195,  4211,  4231,  4266,
    4274,  4278,  4292,  4308,  4309,  4313,  4314,  4318,  4319,  4322,
    4328,  4329,  4332,  4336,  4344,  4349,  4355,  4356,  4360,  4365,
    4372,  4373,  4377,  4387,  4397,  4405,  4414,  4427,  4439,  4446,
    4454,  4462,  4470,  4478,  4488,  4489,  4493,  4494,  4497,  4509,
    4510,  4513,  4524,  4535,  4549,  4550,  4555,  4556,  4557,  4560,
    4561,  4562,  4563,  4566,  4567,  4570,  4571,  4574,  4594,  4607,
    4629,  4630,  4633,  4639,  4645,  4662,  4671,  4693,  4707,  4724,
    4740,  4741,  4742,  4754,  4768,  4785,  4799,  4800,  4812,  4833,
    4844,  4858,  4867,  4879,  4880,  4883,  4884,  4887,  4888,  4891,
    4895,  4899,  4903,  4907,  4911,  4915,  4919,  4923,  4927,  4931,
    4935,  4939,  4943,  4947,  4951,  4957,  4958,  4962,  4963,  4964,
    4971,  4974,  4975,  4987,  5003,  5019,  5020,  5028,  5029,  5033,
    5034,  5038,  5039,  5043,  5044,  5048,  5049,  5059,  5071,  5072,
    5085,  5093,  5111,  5120,  5132,  5135,  5139,  5143,  5147,  5154,
    5166,  5177,  5180,  5184,  5197,  5207,  5217,  5227,  5237,  5247,
    5257,  5267,  5277,  5287,  5297,  5307,  5317,  5336,  5348,  5349,
    5350,  5351,  5355,  5356,  5360,  5361,  5371,  5380,  5393,  5394,
    5398,  5402,  5410,  5414,  5418,  5425,  5429,  5434,  5439,  5446,
    5453,  5458,  5468,  5481,  5497,  5498,  5503,  5504,  5508,  5509,
    5519,  5529,  5538,  5556,  5577,  5598,  5620,  5654,  5670,  5671,
    5675,  5684,  5699,  5709,  5722,  5723,  5735,  5744,  5762,  5787,
    5805,  5820,  5821,  5825,  5826,  5830,  5831,  5835,  5836,  5840,
    5854,  5858,  5859,  5863,  5864,  5865,  5866,  5867,  5877,  5889,
    5890,  5901,  5924,  5956,  5957,  5958,  5962,  5964,  5986,  5988,
    5990,  5992,  5994,  5999,  6000,  6004,  6005,  6009,  6021,  6022,
    6026,  6035,  6039,  6043,  6048,  6058,  6059,  6063,  6064,  6068,
    6069,  6073,  6074,  6078,  6079,  6080,  6084,  6088,  6089,  6090,
    6094,  6095,  6100,  6101,  6128,  6129,  6130,  6131,  6132,  6133,
    6146,  6157,  6172,  6174,  6179,  6184,  6186,  6191,  6202,  6203,
    6204,  6205,  6216,  6235,  6247,  6260,  6271,  6282,  6294,  6303,
    6311,  6319,  6329,  6339,  6349,  6359,  6369,  6380,  6390,  6403,
    6406,  6407,  6410,  6414,  6421,  6422,  6423,  6424,  6425,  6426,
    6429,  6432,  6433,  6441,  6448,  6449,  6452,  6454,  6465,  6477,
    6489,  6501,  6513,  6542,  6543,  6559,  6575,  6576,  6580,  6593,
    6604,  6613,  6623,  6633,  6634,  6637,  6638,  6641,  6642,  6643,
    6646,  6660,  6665,  6676,  6686,  6699,  6700,  6704,  6713,  6726,
    6737,  6751,  6762,  6785,  6796,  6815,  6826,  6837,  6848,  6859,
    6870,  6881,  6892,  6903,  6914,  6925,  6936,  6951,  6952,  6953,
    6954,  6955,  6956,  6957,  6958,  6959,  6960,  6961,  6962,  6963,
    6973,  6974,  6975,  6976,  6977,  6981,  6982,  6983,  6984,  6985,
    6986,  6987,  6988,  6993,  6994,  6995,  6999,  7000,  7003,  7004,
    7007,  7009,  7014,  7015,  7026,  7038,  7039,  7040,  7050,  7059,
    7068,  7077,  7086,  7095,  7104,  7113,  7122,  7131,  7145,  7154,
    7163,  7172,  7181,  7190,  7199,  7208,  7220,  7221,  7235,  7246,
    7257,  7268,  7279,  7290,  7301,  7312,  7323,  7334,  7347,  7348,
    7351,  7352,  7362,  7369,  7378,  7387,  7396,  7405,  7414,  7423,
    7432,  7441,  7450,  7459,  7468,  7477,  7486,  7495,  7504,  7513,
    7524,  7525,  7528,  7529,  7539,  7557,  7573,  7601,  7603,  7605,
    7607,  7615,  7625,  7626,  7629,  7637,  7645,  7653,  7660,  7671,
    7675,  7682,  7686,  7697,  7706,  7715,  7724,  7733,  7742,  7751,
    7760,  7769,  7778,  7787,  7796,  7805,  7813,  7822,  7831,  7840,
    7849,  7858,  7867,  7876,  7889,  7890,  7894,  7895,  7900,  7901,
    7911,  7922,  7936,  7948,  7966,  7967,  7971,  7978,  7979,  7980,
    7983,  7984,  7994,  8005,  8006,  8010,  8014,  8018,  8029,  8043,
    8058,  8076,  8077,  8078,  8079,  8080,  8081,  8093,  8125,  8160,
    8161,  8165,  8166,  8169,  8170,  8175,  8187,  8206,  8211,  8216,
    8223,  8224,  8227,  8228,  8231,  8232,  8236,  8237,  8238,  8241,
    8242,  8243,  8259,  8273,  8288,  8302,  8319,  8320,  8323,  8324,
    8328,  8329,  8333,  8334,  8339,  8353,  8361,  8369,  8385,  8386,
    8390,  8391,  8406,  8416,  8426,  8436,  8446,  8459,  8460,  8461,
    8462,  8463,  8469,  8473,  8488,  8489,  8495,  8505,  8509,  8514,
    8522,  8564,  8568,  8572,  8576,  8584,  8585,  8589,  8601,  8602,
    8607,  8608,  8613,  8614,  8621,  8625,  8629,  8633,  8637,  8641,
    8645,  8649,  8653,  8657,  8661,  8665,  8669,  8673,  8677,  8681,
    8686,  8693,  8697,  8701,  8705,  8709,  8715,  8716,  8722,  8732,
    8736,  8747,  8753,  8762,  8768,  8769,  8773,  8774,  8778,  8779,
    8782,  8795,  8799,  8814,  8823,  8832,  8845,  8846,  8851,  8852,
    8869,  8880,  8891,  8902,  8913,  8924,  8938,  8949,  8963,  8974,
    8988,  8996,  8998,  9000,  9005,  9007,  9012,  9013,  9018,  9037,
    9047,  9048,  9052,  9056,  9068,  9080,  9092,  9106,  9107,  9108,
    9112,  9125,  9126,  9136,  9149,  9153,  9157,  9161,  9168,  9190,
    9203,  9216,  9231,  9232,  9235,  9236,  9239,  9240,  9250,  9260,
    9278,  9288,  9298,  9308,  9318,  9328,  9338,  9348,  9358,  9368,
    9378,  9388,  9398,  9409,  9420,  9430,  9440,  9450,  9460,  9470,
    9480,  9491,  9502,  9513,  9524,  9535,  9546,  9557,  9568,  9579,
    9590,  9601,  9612,  9624,  9636,  9648,  9660,  9672,  9684,  9695,
    9706,  9718,  9730,  9741,  9752,  9761,  9771,  9781,  9791,  9801,
    9811,  9821,  9831,  9841,  9851,  9866,  9867,  9870,  9871,  9881,
    9891,  9901,  9911,  9922,  9932,  9944,  9945,  9955,  9965,  9975,
    9985,  9995, 10005, 10015, 10025, 10035, 10045, 10055, 10065, 10075,
   10085, 10095, 10105, 10115, 10125, 10135, 10145, 10155, 10165, 10175,
   10185, 10195, 10205, 10215, 10234, 10244, 10245, 10248, 10250, 10252,
   10258, 10259, 10260, 10261, 10262, 10274, 10290, 10299, 10308, 10317,
   10326, 10335, 10344, 10353, 10362, 10371, 10380, 10389, 10398, 10407,
   10416, 10425, 10434, 10443, 10452, 10461, 10470, 10479, 10488, 10497,
   10525, 10533, 10542, 10568, 10577, 10584, 10590, 10617, 10628, 10637,
   10645, 10647, 10669, 10677, 10687, 10697, 10716, 10735, 10745, 10755,
   10765, 10776, 10787, 10798, 10809, 10820, 10838, 10847, 10864, 10882,
   10883, 10884, 10889, 10895, 10904, 10905, 10906, 10907, 10908, 10912,
   10913, 10916, 10917, 10918, 10919, 10923, 10924, 10925, 10937, 10948,
   10949, 10952, 10962, 10969, 10989, 10999, 11008, 11018, 11028, 11037,
   11046, 11055, 11064, 11073, 11082, 11091, 11103, 11112, 11124, 11125,
   11126, 11130, 11133, 11136, 11139, 11142, 11149, 11151, 11153, 11158,
   11160, 11164, 11165, 11166, 11178, 11192, 11206, 11225, 11247, 11248,
   11249, 11250, 11260, 11277, 11288, 11289, 11293, 11294, 11298, 11302,
   11306, 11324, 11325, 11326, 11327, 11328, 11329, 11330, 11337, 11338,
   11349, 11357, 11365, 11374, 11384, 11402, 11411, 11420, 11429, 11441,
   11445, 11456, 11468, 11486, 11493, 11510, 11524, 11534, 11543, 11552,
   11562, 11574, 11586, 11597, 11598, 11609, 11620, 11632, 11644, 11656,
   11668, 11678, 11691, 11692, 11706, 11730, 11739, 11749, 11761, 11773,
   11787, 11788, 11800, 11821, 11832, 11844, 11856, 11860, 11867, 11868,
   11872, 11879, 11880, 11881, 11885, 11886, 11887, 11891, 11892, 11896,
   11897, 11900, 11901, 11904, 11905, 11909, 11910, 11914, 11921, 11923,
   11928, 11929, 11942, 11950, 11961, 11969, 11980, 11981, 11982, 11983,
   11984, 11985, 11986, 11987, 11988, 11989, 11999, 12010, 12011, 12015,
   12016, 12017, 12018, 12019, 12029, 12037, 12055, 12075, 12076, 12086,
   12095, 12104, 12113, 12132, 12150, 12154, 12162, 12168, 12175, 12181,
   12188, 12197, 12198, 12202, 12204, 12209, 12220, 12230, 12240, 12246,
   12255, 12264, 12270, 12271, 12282, 12297, 12298, 12309, 12320, 12321,
   12324, 12325, 12326, 12327, 12328, 12329, 12330, 12331, 12334, 12335,
   12339, 12340, 12341, 12352, 12371, 12372, 12376, 12381, 12405, 12416,
   12417, 12429, 12449, 12450, 12460, 12467, 12474, 12481, 12491, 12504,
   12505, 12509, 12510, 12514, 12515, 12519, 12532, 12545, 12554, 12563,
   12572, 12581, 12593, 12605, 12617, 12620, 12621, 12622, 12623, 12624,
   12625, 12628, 12629, 12630, 12678, 12679, 12683, 12684, 12699, 12700,
   12707, 12715, 12723, 12731, 12739, 12747, 12758, 12759, 12791, 12807,
   12824, 12825, 12844, 12848, 12852, 12867, 12874, 12881, 12891, 12892,
   12895, 12911, 12912, 12913, 12917, 12927, 12938, 12944, 12956, 12969,
   12975, 12976, 12980, 12992, 13000, 13005, 13010, 13015, 13020, 13028,
   13036, 13041, 13046, 13053, 13054, 13058, 13059, 13060, 13067, 13068,
   13072, 13073, 13077, 13078, 13082, 13083, 13087, 13091, 13092, 13095,
   13104, 13117, 13122, 13127, 13131, 13143, 13144, 13148, 13157, 13173,
   13182, 13191, 13200, 13212, 13215, 13220, 13221, 13229, 13249, 13250,
   13252, 13257, 13258, 13262, 13263, 13266, 13267, 13292, 13301, 13311,
   13312, 13316, 13317, 13318, 13319, 13320, 13324, 13337, 13344, 13351,
   13358, 13359, 13363, 13364, 13368, 13369, 13373, 13374, 13378, 13390,
   13391, 13392, 13393, 13397, 13398, 13408, 13415, 13434, 13435, 13439,
   13440, 13446, 13451, 13460, 13468, 13477, 13484, 13492, 13501, 13510,
   13514, 13519, 13526, 13555, 13559, 13573, 13594, 13616, 13629, 13646,
   13652, 13657, 13663, 13670, 13671, 13681, 13687, 13695, 13699, 13703,
   13710, 13718, 13723, 13724, 13725, 13726, 13730, 13731, 13746, 13750,
   13758, 13765, 13772, 13779, 13786, 13797, 13798, 13811, 13815, 13823,
   13837, 13851, 13852, 13867, 13878, 13891, 13896, 13897, 13900, 13901,
   13904, 13905, 13910, 13911, 13916, 13917, 13926, 13931, 13932, 13936,
   13940, 13946, 13971, 13982, 13996, 13997, 14001, 14015, 14072, 14086,
   14088, 14093, 14095, 14097, 14099, 14101, 14106, 14108, 14113, 14121,
   14132, 14160, 14161, 14165, 14167, 14172, 14181, 14201, 14221, 14239,
   14251, 14266, 14267, 14271, 14274, 14287, 14292, 14299, 14304, 14310,
   14315, 14324, 14326, 14329, 14333, 14334, 14335, 14336, 14337, 14338,
   14343, 14349, 14364, 14365, 14366, 14367, 14368, 14379, 14385, 14393,
   14394, 14400, 14405, 14410, 14415, 14420, 14425, 14430, 14435, 14441,
   14447, 14453, 14460, 14482, 14491, 14495, 14503, 14507, 14515, 14527,
   14548, 14552, 14558, 14562, 14575, 14583, 14593, 14595, 14597, 14599,
   14601, 14603, 14608, 14609, 14616, 14625, 14633, 14642, 14653, 14661,
   14662, 14663, 14667, 14669, 14671, 14673, 14675, 14677, 14679, 14684,
   14689, 14695, 14703, 14708, 14715, 14722, 14726, 14730, 14738, 14773,
   14774, 14776, 14785, 14792, 14808, 14810, 14812, 14814, 14816, 14818,
   14820, 14822, 14824, 14826, 14828, 14830, 14832, 14834, 14837, 14839,
   14842, 14844, 14846, 14848, 14851, 14856, 14865, 14870, 14879, 14884,
   14893, 14898, 14908, 14917, 14926, 14935, 14954, 14963, 14972, 14981,
   14990, 15007, 15016, 15025, 15034, 15043, 15052, 15061, 15065, 15069,
   15077, 15085, 15093, 15101, 15122, 15145, 15157, 15164, 15180, 15185,
   15191, 15198, 15205, 15213, 15221, 15238, 15257, 15283, 15285, 15287,
   15289, 15291, 15293, 15295, 15297, 15299, 15301, 15303, 15305, 15307,
   15309, 15311, 15313, 15315, 15317, 15319, 15323, 15327, 15332, 15348,
   15349, 15350, 15367, 15380, 15382, 15384, 15396, 15421, 15433, 15445,
   15453, 15464, 15475, 15485, 15491, 15500, 15510, 15520, 15533, 15543,
   15574, 15610, 15620, 15631, 15632, 15633, 15640, 15647, 15651, 15655,
   15659, 15663, 15667, 15671, 15675, 15679, 15683, 15687, 15691, 15695,
   15702, 15706, 15710, 15714, 15716, 15723, 15730, 15737, 15744, 15755,
   15769, 15779, 15790, 15806, 15816, 15823, 15830, 15837, 15841, 15849,
   15858, 15867, 15871, 15875, 15879, 15883, 15887, 15896, 15900, 15910,
   15914, 15918, 15923, 15934, 15940, 15954, 15965, 15979, 15995, 16007,
   16017, 16026, 16035, 16043, 16065, 16081, 16105, 16107, 16111, 16113,
   16115, 16118, 16121, 16124, 16125, 16128, 16136, 16146, 16147, 16150,
   16151, 16152, 16155, 16156, 16157, 16162, 16166, 16170, 16174, 16181,
   16182, 16190, 16191, 16195, 16196, 16204, 16205, 16209, 16210, 16215,
   16224, 16226, 16241, 16244, 16272, 16273, 16276, 16277, 16285, 16293,
   16301, 16310, 16320, 16338, 16384, 16393, 16402, 16411, 16420, 16432,
   16433, 16434, 16435, 16436, 16450, 16451, 16452, 16455, 16456, 16459,
   16462, 16463, 16464, 16467, 16468, 16471, 16472, 16473, 16474, 16475,
   16476, 16477, 16478, 16479, 16480, 16481, 16482, 16485, 16487, 16492,
   16494, 16499, 16501, 16503, 16505, 16507, 16509, 16521, 16525, 16532,
   16536, 16542, 16546, 16556, 16568, 16569, 16572, 16573, 16576, 16580,
   16584, 16590, 16591, 16596, 16606, 16607, 16608, 16609, 16610, 16611,
   16612, 16613, 16617, 16618, 16619, 16620, 16625, 16630, 16639, 16660,
   16664, 16669, 16680, 16697, 16703, 16704, 16705, 16708, 16716, 16726,
   16741, 16742, 16746, 16758, 16759, 16762, 16763, 16766, 16770, 16777,
   16781, 16785, 16794, 16806, 16807, 16811, 16812, 16816, 16817, 16820,
   16821, 16826, 16827, 16831, 16832, 16836, 16848, 16849, 16850, 16851,
   16852, 16853, 16854, 16855, 16856, 16860, 16862, 16867, 16868, 16869,
   16870, 16871, 16872, 16873, 16875, 16879, 16881, 16883, 16886, 16890,
   16893, 16897, 16906, 16923, 16930, 16935, 16941, 16942, 16943, 16944,
   16945, 16949, 16958, 16972, 16973, 16974, 16975, 16976, 16985, 16986,
   16987, 16988, 16989, 16993, 16995, 17005, 17008, 17014, 17015, 17016,
   17020, 17021, 17022, 17026, 17027, 17031, 17049, 17069, 17070, 17079,
   17080, 17084, 17085, 17088, 17096, 17104, 17112, 17135, 17136, 17147,
   17151, 17157, 17159, 17164, 17166, 17168, 17178, 17180, 17191, 17195,
   17199, 17203, 17207, 17216, 17224, 17256, 17260, 17267, 17275, 17279,
   17283, 17289, 17290, 17292, 17293, 17294, 17298, 17339, 17367, 17371,
   17375, 17381, 17383, 17397, 17433, 17446, 17447, 17450, 17451, 17468,
   17469, 17470, 17475, 17476, 17477, 17482, 17483, 17484, 17485, 17491,
   17492, 17493, 17494, 17495, 17501, 17502, 17522, 17523, 17524, 17525,
   17526, 17527, 17528, 17529, 17530, 17531, 17532, 17533, 17534, 17535,
   17536, 17537, 17538, 17539, 17540, 17541, 17542, 17543, 17544, 17545,
   17546, 17547, 17548, 17549, 17550, 17551, 17552, 17553, 17554, 17555,
   17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563, 17564, 17565,
   17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573, 17574, 17575,
   17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583, 17584, 17585,
   17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594, 17595,
   17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604, 17605,
   17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615,
   17616, 17617, 17618, 17619, 17620, 17621, 17622, 17623, 17624, 17625,
   17626, 17627, 17628, 17629, 17630, 17631, 17632, 17633, 17634, 17635,
   17636, 17637, 17638, 17639, 17640, 17641, 17642, 17643, 17644, 17645,
   17646, 17647, 17648, 17649, 17650, 17651, 17652, 17653, 17654, 17655,
   17656, 17657, 17658, 17659, 17660, 17661, 17662, 17663, 17664, 17665,
   17666, 17667, 17668, 17669, 17670, 17671, 17672, 17673, 17674, 17675,
   17676, 17677, 17678, 17679, 17680, 17681, 17682, 17683, 17684, 17685,
   17686, 17687, 17688, 17689, 17690, 17691, 17692, 17693, 17694, 17695,
   17696, 17697, 17698, 17699, 17700, 17701, 17702, 17703, 17704, 17705,
   17706, 17707, 17708, 17709, 17710, 17711, 17712, 17713, 17714, 17715,
   17716, 17717, 17718, 17719, 17720, 17721, 17722, 17723, 17724, 17725,
   17726, 17727, 17728, 17729, 17730, 17731, 17732, 17733, 17734, 17735,
   17736, 17737, 17738, 17739, 17740, 17741, 17742, 17743, 17744, 17745,
   17746, 17747, 17748, 17749, 17750, 17751, 17752, 17753, 17754, 17755,
   17756, 17757, 17758, 17759, 17760, 17761, 17762, 17763, 17764, 17765,
   17766, 17767, 17768, 17769, 17770, 17771, 17772, 17773, 17774, 17775,
   17776, 17777, 17778, 17779, 17780, 17781, 17782, 17783, 17784, 17785,
   17786, 17787, 17788, 17789, 17790, 17791, 17792, 17793, 17794, 17795,
   17796, 17797, 17798, 17799, 17800, 17801, 17802, 17803, 17804, 17805,
   17806, 17807, 17808, 17809, 17810, 17811, 17812, 17813, 17814, 17815,
   17816, 17817, 17818, 17819, 17820, 17821, 17822, 17823, 17824, 17825,
   17826, 17827, 17828, 17829, 17830, 17831, 17832, 17833, 17834, 17835,
   17836, 17837, 17838, 17839, 17840, 17841, 17842, 17843, 17844, 17845,
   17846, 17847, 17848, 17862, 17863, 17864, 17865, 17866, 17867, 17868,
   17869, 17870, 17871, 17872, 17873, 17874, 17875, 17876, 17877, 17878,
   17879, 17880, 17881, 17882, 17883, 17884, 17885, 17886, 17887, 17888,
   17889, 17890, 17891, 17892, 17893, 17894, 17895, 17896, 17897, 17898,
   17899, 17900, 17901, 17902, 17903, 17904, 17905, 17906, 17907, 17908,
   17909, 17910, 17911, 17912, 17913, 17914, 17915, 17916, 17917, 17918,
   17919, 17920, 17921, 17922, 17923, 17924, 17938, 17939, 17940, 17941,
   17942, 17943, 17944, 17945, 17946, 17947, 17948, 17949, 17950, 17951,
   17952, 17953, 17954, 17955, 17956, 17957, 17958, 17959, 17960, 17970,
   17971, 17972, 17973, 17974, 17975, 17976, 17977, 17978, 17979, 17980,
   17981, 17982, 17983, 17984, 17985, 17986, 17987, 17988, 17989, 17990,
   17991, 17992, 17993, 17994, 17995, 17996, 17997, 17998, 17999, 18000,
   18001, 18002, 18003, 18004, 18005, 18006, 18007, 18008, 18009, 18010,
   18011, 18012, 18013, 18014, 18015, 18016, 18017, 18018, 18019, 18020,
   18021, 18022, 18023, 18024, 18025, 18026, 18027, 18028, 18029, 18030,
   18031, 18032, 18033, 18034, 18035, 18036, 18037, 18038, 18039, 18040,
   18041, 18042, 18043, 18044, 18045, 18046, 18047, 18060, 18061, 18062,
   18063, 18064, 18065, 18066, 18067, 18068, 18069, 18070, 18071, 18072,
   18073, 18074, 18075, 18076, 18077, 18078, 18079, 18080, 18081, 18082,
   18083, 18084, 18085, 18086, 18087, 18088, 18089, 18090, 18091, 18092,
   18093, 18094, 18095, 18096, 18097, 18098, 18099, 18100, 18101, 18102,
   18103, 18104, 18105, 18106, 18107, 18108, 18109, 18110, 18111, 18112,
   18113, 18114, 18115, 18116, 18117, 18118, 18119, 18120, 18121, 18122,
   18123, 18124, 18125, 18126, 18127, 18128, 18129, 18130, 18131, 18132,
   18133, 18134, 18135, 18136, 18137, 18138, 18139, 18140, 18141, 18142,
   18143, 18144, 18145, 18146, 18147, 18148, 18149, 18150, 18151, 18152,
   18153, 18154, 18155, 18156, 18157, 18158, 18159, 18160, 18161, 18162,
   18163, 18164, 18165, 18166, 18167, 18168, 18169, 18170, 18171, 18172,
   18173, 18174, 18175, 18176, 18177, 18178, 18179, 18180, 18181, 18182,
   18183, 18184, 18185, 18186, 18187, 18188, 18189, 18190, 18191, 18192,
   18193, 18194, 18195, 18196, 18197, 18198, 18199, 18200, 18201, 18202,
   18203, 18204, 18205, 18206, 18207, 18208, 18209, 18210, 18211, 18212,
   18213, 18214, 18215, 18216, 18217, 18218, 18219, 18220, 18221, 18222,
   18223, 18224, 18225, 18226, 18227, 18228, 18229, 18230, 18231, 18232,
   18233, 18234, 18235, 18236, 18237, 18238, 18239, 18240, 18241, 18242,
   18243, 18244, 18245, 18246, 18247, 18248, 18249, 18250, 18251, 18252,
   18253, 18254, 18255, 18256, 18257, 18258, 18259, 18260, 18261, 18262,
   18263, 18264, 18265, 18266, 18267, 18268, 18269, 18270, 18271, 18272,
   18273, 18274, 18275, 18276, 18277, 18278, 18279, 18280, 18281, 18282,
   18283, 18284, 18285, 18286, 18287, 18288, 18289, 18290, 18291, 18292,
   18293, 18294, 18295, 18296, 18297, 18298, 18299, 18300, 18301, 18302,
   18303, 18304, 18305, 18306, 18307, 18308, 18309, 18310, 18311, 18312,
   18313, 18314, 18315, 18316, 18317, 18318, 18319, 18320, 18321, 18322,
   18323, 18324, 18325, 18326, 18327, 18328, 18329, 18330, 18331, 18332,
   18333, 18334, 18335, 18336, 18337, 18338, 18339, 18340, 18341, 18342,
   18343, 18344, 18345, 18346, 18347, 18348, 18349, 18350, 18351, 18352,
   18353, 18354, 18355, 18356, 18357, 18358, 18359, 18360, 18361, 18362,
   18363, 18364, 18365, 18366, 18367, 18368, 18369, 18370, 18371, 18372,
   18373, 18374, 18375, 18376, 18377, 18378, 18379, 18380, 18381, 18382,
   18383, 18384, 18385, 18386, 18387, 18388, 18389, 18390, 18391, 18392,
   18393, 18394, 18395, 18396, 18397, 18398, 18399, 18400, 18401, 18402,
   18403, 18404, 18405, 18406, 18407, 18408, 18409, 18410, 18411, 18412,
   18413, 18414, 18415, 18416, 18417, 18418, 18419, 18420, 18421, 18422,
   18423, 18424, 18425, 18426, 18427, 18428, 18429, 18430, 18431, 18432,
   18433, 18434, 18435, 18436, 18437, 18438, 18439, 18440, 18441, 18442,
   18443, 18444, 18445, 18446, 18447, 18448, 18449, 18450, 18451, 18452,
   18453, 18454, 18455, 18456, 18457, 18458, 18459, 18460, 18461, 18462,
   18463, 18464, 18465, 18466, 18467, 18468, 18469, 18470, 18471, 18472,
   18473, 18474, 18475, 18476, 18477, 18478, 18479, 18480, 18481, 18482,
   18483, 18484, 18485, 18486, 18487, 18488, 18489, 18490, 18491, 18492,
   18493, 18494, 18495, 18496, 18497, 18498, 18499, 18500, 18501, 18502,
   18503, 18504, 18505, 18506, 18507, 18508, 18509, 18510, 18511
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONDITIONAL", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P", "ESCAPE", "EVENT",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES", "INHERIT",
  "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P",
  "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT",
  "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN",
  "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS", "JSON_OBJECT",
  "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR", "JSON_SERIALIZE",
  "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS", "LABEL", "LANGUAGE",
  "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST",
  "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "MERGE_ACTION",
  "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NESTED", "NEW", "NEXT", "NFC",
  "NFD", "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "OMIT",
  "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PATH",
  "PLACING", "PLAN", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL", "REASSIGN",
  "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE",
  "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA",
  "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT",
  "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SOURCE", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRING_P", "STRIP_P",
  "SUBSCRIPTION", "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "SYSTEM_USER", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UESCAPE", "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED",
  "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE",
  "USER", "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P",
  "VALUES", "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P",
  "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW",
  "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "parse_toplevel", "stmtmulti", "toplevel_stmt", "stmt",
  "opt_single_name", "opt_qualified_name", "opt_concurrently",
  "opt_drop_behavior", "CallStmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaEltList",
  "schema_stmt", "VariableSetStmt", "set_rest", "generic_set",
  "set_rest_more", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "merge_when_tgt_matched",
  "merge_when_tgt_not_matched", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     776,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -5794

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5794)))

#define YYTABLE_NINF -2988

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2988)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   11386,    47, 14000, -5794, -5794,    47, 73137, -5794, 82789,  1606,
     199,  1284,   317, 18801, 83297, 93965,   688,   405, 20646,    47,
   93965,  1340, 63484, 78725,  1031, 93965,  1226,    85, 63484, 93965,
   94473,   953,  1281,  1052, 94981, 83805, 77201,  1372, 93965,  1353,
     433, 95489, 84313,  1175, 84821,    85, 58415,   455,  1131, 95997,
   93965,120297,   433, 85329, 85329, 85329,  1956,  1844,  1200, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794,  1663, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794,  1709, -5794,  1057,
    2307,  1565,  1110,  1391, -5794, -5794,  1929, 73137, 93965, 93965,
   93965,  1632, 93965,  1594, 93965,   250, 73137, 69581, 85837,  1820,
    1749, 54235, 96505, -5794, 73137, 93965, 67041, 73137, 93965, 93965,
   97013, 93965, 97521, 93965,   802, 81265, 93965,  1745, 93965, 93965,
   67549, 98029,  2072,   296,   329, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  1814,
    2146, -5794,   340, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, 63992, 93965, 21514,  1226,  1929, -5794,  1956, 93965,
    2135, 93965,  2024, 98537, 93965, -5794, 93965,  2140, 99045,   980,
    2235, 69581,  2254, 54762,  2230, 93965, 93965, 69581, 99553,100061,
  100569, 93965, 93965, -5794, -5794,  2224, 93965, -5794,  2368, 70089,
     117,  2383,  2530,  2437,  1202, -5794, 86345, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, 72629,   405, -5794, -5794,  2387,
   73645,  2472, -5794, -5794,101077,120791,  2232, -5794,   992, 74153,
   70597,  2648,  2205, 55289,  2699, -5794, 74661, -5794, 71105, 75169,
   -5794, -5794, -5794, -5794, -5794,101585, -5794,102093,  2373,  2472,
   -5794,121285, 71613, -5794,  2538,102601,103109,103617,  1929,  2258,
    2079,  2382, 48539, -5794, -5794, -5794,  2313, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794,   382,  1011,   319,   280,
     323, -5794, -5794,   286,   292,   309,   382,  2811,  2811, -5794,
   93965, -5794, -5794,  1011,    89,  2399,  2325,  2325,  2325,  2528,
      22, -5794,  2325,  2478, -5794, -5794, -5794, -5794, 84821, -5794,
    2338,  1226,  2376,  2840,  2442, 63992,  1559, 93965, -5794, -5794,
    2872,  2420,  2713,  2443, -5794, -5794, -5794,  2656,  2681,   149,
     799,  1226,   297, -5794,  2823, -5794,  2690, 33411, 33411,  1226,
   86853,104125,   261, 72629,  1226, 87361,  2504,  1544,  2730, -5794,
   -5794, -5794,   727, -5794,  3028,  2572,  2868,  2443,   296, 50595,
   -5794, -5794,  2579,  2146, 84821, -5794, -5794, -5794, 63992,  2925,
   36567, 93965,  2587, -5794,  2600,  2587, -5794, -5794,  2687, -5794,
    2687,  2687,  2615,  2615,  2839,  2659, -5794, -5794, -5794, -5794,
    2801,  2687,  2615, -5794,122273, -5794,  1989,  2047, -5794, -5794,
    3164, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  2680,
   -5794,  1367, -5794,  2191, -5794, -5794, -5794, 33411, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794,  2684,  2716,  1565, -5794, 11939,
   63992, 93965,  1148,  1148,  3165,  1148,  2059,  2068, -5794,  2507,
   -5794,  3065,  3034,  3045, 84821,  2771,  1051, -5794,  1238,  2773,
    1879,  2738,  1577,  1360, -5794,  1056, 93965,   302,  2816, 87869,
    4884,  2778,  2146,  2780, -5794, -5794, -5794, -5794,  2949,  1783,
   -5794, -5794, -5794, -5794,  3116,  3162,  7238,   301, 88377, -5794,
   -5794, -5794, -5794, 93965, 93965, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794,  2791,  1602, -5794, -5794,  2792,  3169,
    3020,  8611,  1421,  3128,  2964,  1485,  8635,  3023,   854,  3177,
   21475,  1432,  3183,  1898,  2257, 88885, 93965,  3142,  3187,  6425,
    1901,  1060,  3037,   975,  3128,  3175,  2981,  1485,  3195,  5521,
   93965, -5794,  3104,  3234,   793, -5794,   406, -5794, 26102, 36567,
   57907, -5794,  2146, -5794,  1974, -5794, -5794, 62976, -5794,  2887,
    3051,   120, 73137,  2827, 93965, 93965, -5794,120297, 73137, -5794,
    3061, 55816, 73137, -5794, 73137, -5794, -5794,  3203,120297, 93965,
   93965, -5794, 93965, -5794, -5794,  2841, -5794, -5794, -5794, -5794,
   -5794,  2325, 93965,  3305,120297,  3089,   203,  1653,  3345, 93965,
    3092,  1653,  2891,104633, -5794, -5794,  1653, -5794, -5794, -5794,
   93965, 93965,  2856,  2137,  3083,   929,  1653,  3100,  3346,  3347,
    3105,  2942,  3107,  2600, -5794,  3311,  3079,  1135,   244,  2227,
    1653,  2922,105141,105649, 93965,  2924, 93965,  3322, 73137,  2959,
   73137, 73137, 93965,  3240, 93965, -5794,  3070, -5794, -5794,  1219,
   -5794, -5794, -5794, -5794, -5794,  3260, -5794,   238,  3261,  2886,
    3263,  1741,  3265,   262, -5794, -5794,  2929, -5794,  3267,   315,
   -5794,  3268, -5794,  2889,106157, -5794,106665,107173,  3273,   338,
   -5794, 69581,  3274,   315,  3275,  2889,  3277,   315,  3279,  1040,
    3281, -5794,  1185,  3269,  3284,   262,  3285,  2289,  2889, -5794,
    3286,   346, -5794,  3287,   387, -5794,  3289,  3139, -5794, 36567,
   -5794,  3017, -5794,  1131,  2080,  2382,  1011, -5794, 93965,  1011,
   93965,  1011, 93965,  1011, 93965,  1011, 93965, 93965, 93965,  1011,
   -5794, -5794, -5794, 93965,  2920, 93965, -5794, 93965, -5794, -5794,
   -5794, 79741, 69581, 80249, -5794, 93965, -5794,   507,  1226, -5794,
   -5794,120297,  3419, 69581,  3322,  2148, -5794, -5794,  3322, -5794,
   -5794,  3322,  3322, -5794, -5794, -5794,  3209, 93965,  3294, 79741,
   69581,  3295, -5794,107681, -5794, 72629,  3163,  2939, -5794, -5794,
   -5794, -5794, -5794,  2219,  3468,   335,  3469, 36567,  2944,   335,
     335,  2945,  3312, -5794, -5794, -5794,   345,  2951,  2952, -5794,
     304,   304, -5794,  2954,  2955, -5794,   318,  2956,  2957,  3485,
    3486,   327,   347,  2960,  2961,  2965,  2967,  2969,  2971,  2972,
    2974,  2975,  2976,  2979,  2983,  2986,  2801,   335,  2988, 36567,
   -5794,  2989,   304,  2990,  2991,  2993,  3491,  2996, -5794,  3525,
    2997, -5794,   265,   272,  3002,  3007, -5794,  3245, -5794,   348,
    3013,  3014,  3015,  3016,  3018,  3019,  3021,  3022, 36567, 36567,
   36567, -5794, 30776,  2146,  1226, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794,   352, -5794, 52654, -5794,  3059, -5794, -5794,
    3237, -5794, -5794, 36567, -5794, -5794,  3396,   821, -5794,   353,
   -5794, -5794, -5794,  2146,  3341,  3027, -5794, -5794,  1792,  3031,
   -5794,  2409, -5794, -5794, -5794, -5794, -5794, -5794, 72121,  3527,
   -5794,   391,  1226,   406,   415,  3470, 61452, 61960, -5794, -5794,
    3321, -5794, 93965, -5794, -5794,  2146,   207,  2159, -5794,  2313,
   20494,  2170,  2587, 93965, 93965,  3536, -5794,  3042, -5794, -5794,
   36567, -5794, -5794, -5794,  2811, -5794,  2687,  2687, -5794, -5794,
    3540,  3137,  3144,  2811, -5794,  2811, -5794,  3049,  3052,  2811,
    3143,  3145,  3148, -5794,  3063,  3151,  2811, -5794, -5794, 65009,
    2221, -5794,  3421,   260, -5794, -5794, -5794,  2175, -5794,  3076,
   -5794,  2600, -5794, -5794,  1565,  1565, 36567,  1565,  1690,  1311,
   33937, 37093,  3443,  3313,   308,  1743,  3444, -5794,  3314,  2059,
    2068, 84821, 93965, 84821,108189,  3217, 36567, -5794,  3551,  3174,
    3176,  3235, 60447, -5794,  3179,  3146,  3184,  3241,  3096,  3186,
    3188,  3253, -5794,  3380, -5794, -5794,  3196,  3565,  3199,108697,
   -5794, -5794,  1430, -5794, -5794, -5794,  1430, -5794,  3123,  1612,
     349,  1535,  3201,   561,  1140,  3566, -5794,   283, -5794, -5794,
    3271, -5794, 10741, 93965,  3503,  6318,  3353,   301,  3270, -5794,
   -5794, -5794,  3414,  3220, 93965,  3221,  3371,   301,  1618,109205,
   -5794, -5794, 93965, -5794, -5794, -5794, -5794,  7944,  3541, 29260,
   -5794,  2133,  3224,  3204,  3239, 93965, 76185,  2295,  3342,  3365,
    1933,  2429,   814,  3293, 93965,  2192,  3375, 93965,  3147,  3238,
    3242,  3489,  3153,   698,  3598,  3154, -5794, -5794, -5794,  3569,
   -5794,  2545,  2548,  3374, -5794,  3500,  3547,  6728,  3236,  3243,
  118321, -5794,  3264,    76, 56343, 93965, 93965,  3272,  3276,109713,
    7944,  3578, 80757, 80757,  3278,  3280, 50081,  3595,  2074,  3282,
   -5794, -5794, -5794,  2074,  3283,  3290,110221,  7944,  3585, 93965,
    3291,  3292, 93965,122273,   301, -5794,  3656, -5794,   301,   301,
    2098,  3658,  3296,   276,  3445,   594,  1653, -5794,  3154,  3420,
   -5794,  3298,  3300,   377, -5794,  3407, 93965,  3301,  3304,  1747,
    3370,  1226, -5794,  3373, -5794,  3307,  3382,  3308,    96,  2856,
   -5794, -5794,   721,  3297, 84821,  3406,  3410,  2192,   328,   769,
    3154, -5794,  3309,  3310,  3153,  3153, 93965, 93965, 93965, 93965,
   93965,   281,  3693,   291,  3317,   266,   749,  3227, -5794,  2074,
   68057,  3319, -5794,  2074, 93965,   267,  1047,  3154,  1948,  2099,
   -5794, -5794, -5794,   296, -5794, 36567, 36567, 36567,  3207, -5794,
    2700, 20494,   103, -5794,   358, 10693,  3219, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, 93965, 63992, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, 93965, -5794, 93965,  3534,120297,  3544,  3461,
    3546,  3552,   301, 93965, 93965,  3555,  3559,  3561,120297,  3562,
    3563,  3564,  3463,  3329,   227,  3334,  3259,  3756,  3638, 93965,
   65009, -5794,  1430, -5794,120297,  3492,  3642, -5794, 93965,  3509,
     824, -5794,  3682,  3333, -5794, -5794,   114, 93965, 79233,  2856,
   -5794, -5794,  3648, 69581,  1736,  3649,  1226,  3325,  3651,  3501,
    1226, 69581,  3553, 93965, 93965, 93965, 93965,   183, -5794, 68057,
    3518, -5794, 93965,  3519,  3420,  3522,  3778,   827,  2325,110729,
    3646, -5794,111237,  3299, 93965,  3302,  3302,  3780,120297,   408,
    3576, -5794, -5794,  2324, -5794,  3430, -5794, 73137, -5794, -5794,
   73137, -5794, -5794,120297, 93965,  3306,120297,120297, -5794, -5794,
   73137, 73137, -5794, 69581, 69581,  3665,   346,  3667,  3355,  3672,
    3360, 56343, 56343, -5794,   389, 73137, -5794, 69581, 73137, -5794,
   93965, -5794, 93965, -5794, -5794, -5794, -5794,120297,120297, -5794,
   69581, 68057,  3676, 93965, 93965, -5794, 93965, 93965, -5794, 93965,
   93965,  2200,111745,  2382, -5794, 93965, -5794, 93965, -5794, 93965,
   -5794, 93965, -5794, 93965, -5794, -5794, -5794, 93965, -5794, 93965,
    2202, -5794, -5794,  2209,  1497, 93965, 93965,  1049, 73137, 93965,
    3539, 93965, 73137, 73137, 93965, 93965, 93965, 93965, 93965,  3398,
    3031,   718, -5794,   322,   598, 84821,  3549, -5794, -5794,  2214,
    1956,    32, 93965, -5794, 93965, 93965, 93965, -5794, -5794, 78725,
    3669,   462, 80249, 93965, -5794, -5794, 13527, 36567,  2146, 32880,
   -5794, -5794, 20494,  3356, 36567, 36567,  3315,  2811,  2811, -5794,
     998, 36567, 36567, 36567, 30250, 36567, 36567, 34463, 36567, 36567,
   36567, 36567, 36567, 36567,  2811,  2811,  3316, 36567,  8519, 36567,
   56343, 36567, 42353, 27166, 36567, 36567, 31302,  1390,  2954, 36567,
    3571, 43399, 36567,   415,  3573, 36567,   415,  8519,  3838,  3838,
    2334,  6835,  3318,  2146, -5794,  2811,  1633, -5794,   503,120297,
   36567, 36567, 36567, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, 36567, -5794,
   65009, -5794, -5794, -5794, -5794, -5794, -5794,   841, -5794, -5794,
   -5794, -5794, -5794, -5794,  4212, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, 93965, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, 31828, -5794, -5794, -5794, -5794,
    3320, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794,  2885, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, 32354,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794,  3323, -5794, -5794, 36567, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794,  3411, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  1037, 36567,
   36567, 36567, 36567, 36567, 36567, 36567, 36567, 36567, -5794, 36567,
     543, -5794, -5794,  3666,  3396,    56,   469,  3326,  3542, 89393,
   33411,  3421, 26102, -5794,   330,  3421, -5794, -5794, -5794, 93965,
    3527, -5794, -5794,  3412, -5794, -5794, -5794, -5794, -5794,   359,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794,  3327, -5794, -5794,
   -5794, -5794,  3327, -5794,  3324,  3668,  3671,  1040, 93965,  2708,
   36567,   841,   383, 93965, 36567,  3320,  2885, 36567,  3323, 36567,
    3411, -5794, 36567, -5794,  2229,  2198, 36567,  2237,  3332, -5794,
   -5794,  3336,  3052,  3359,  3361,  3339,  3340,  2811,   278,  3344,
    1492,   895,  3471,  2811,  3606,  3348, -5794, 65009, -5794, 45455,
    3394, -5794, -5794, -5794,   433, 93965, 93965, -5794,  3663, -5794,
    3349, -5794, 16132,  3663, -5794, -5794, 42876,  3480,  3645,  3579,
   -5794, -5794, -5794,  3354, 20494, 37619, 37619, -5794,  2497, 20494,
    2510, -5794, -5794, -5794, -5794, -5794, -5794,  1283, -5794, 93965,
     867,  3443,  1743,  3422,  1078,  3852,  3423, 93965, -5794, 51109,
    2261, -5794, 69581, 93965, 93965,  3580, -5794,  3837, -5794,122273,
   -5794,  3364, -5794,121779,117333, -5794, -5794,   763, -5794,  1269,
   69581, -5794, 93965, 93965, 69581, 93965, 93965, -5794, 69581,  3418,
   93965, 93965, -5794, -5794, -5794, -5794, -5794, 62468,    83, 78725,
    3514, 77709, -5794, -5794,  3372, 93965,  3616, -5794, -5794,112253,
   -5794,  3617, 69581, 93965, 93965, 36567,  3618, 93965, 93965, -5794,
     709,  3457,  3473, -5794, 93965,  3474, 73137,  3389,120297, 73137,
   56870, 73137, 73137,  3745,120297, 93965, 93965,  1491, 84821,   464,
    1065,  3154,  3626, -5794,  1686, -5794, 69581, -5794, 93965,  3619,
   -5794, -5794, -5794, 89901,  3881,  3521, -5794, -5794, -5794,112761,
   -5794, -5794,  3625, -5794,  2266, -5794, 69581, 69581, 93965,  7366,
    3401,113269, 93965,  1659,  3696,  3647,  3698,   822, -5794, -5794,
   -5794,120297, -5794, 93965, 90409, 93965, 93965,  3690, 93965, 81773,
  113777,114285,   107,  1509,  3692, 93965, 82281,  3694, -5794,  3570,
   93965, -5794, -5794, 65517, 69581, 93965,  1102, 65009, -5794,  3674,
   -5794, 93965, -5794,   339, -5794, 93965,  7042,  3644, -5794, -5794,
    3508,  3523, 93965,   484,  1129,  3154,  3827, 93965, 93965,  3424,
    2270, 69581, 93965, 65009, -5794,  3650,   124, 69581, 93965, 89901,
   -5794,  3652, -5794, 84821,  3761, -5794,  3426,  2325,  2579,   -18,
    3426, 69581, 93965, -5794,  3426, 93965,104125, -5794, 69581,  1369,
   -5794, 69581, 93965, 89901, -5794,  3657,  3591, 69581, 93965, 21714,
   -5794, -5794, -5794,   301, -5794, -5794, -5794, -5794, -5794, 93965,
   93965,   301, 93965, 93965,   301,  1645, -5794, 69581, 93965, -5794,
   -5794, -5794,  3567, 69581, 93965, 93965,   422, 93965, -5794, 93965,
   69581,  3476, 93965, 93965, -5794, -5794, 93965,  6751, 93965, 93965,
   93965, 93965, 93965, 93965, 69581, 93965, -5794, -5794,  1239,  1337,
    1891,  1967,   189, 93965,  3772, 93965,114793,  1226, 69581, 93965,
   93965,  1226, 93965, 65009,   434, -5794, -5794,  3572, -5794, 69581,
    1369, -5794,  7392, 93965, 93965, 93965,  3528,  3529,   230,  3615,
   -5794, -5794, -5794,   899,   899,  3662, -5794, 36567, 36567, 34989,
    3437, -5794, -5794, 36567,  2887, -5794, -5794, -5794,  1058,  3939,
    1058,115301,  1058,  1058,  3754,  3510,  3511,  1058,  1058,  1058,
    3736,  1058,  1058,  1058, 93965,  3631, -5794, -5794,  3631,   944,
   36567,120297, 93965, -5794,  2271, -5794,  3462, -5794, -5794, 65009,
   93965,   786,   907,  3829,  3686, 76693,  1953,  3813, 93965,  3506,
   93965,  3952,  3558,  1711, -5794,  1953, 93965, -5794,  2628, 78725,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, 93965, -5794, -5794,
    3820, 93965, 45969,  3653, -5794,  1226,  2856,  2856,  2856,  2856,
    3464,  2856, 93965,  3596,  3839,  1953,  3466,  3843, -5794,  3420,
    3844,  1241, 93965,  3700, 76693,  3533,  3505,  3714,  3969,  2325,
    1226,  3716,  3701, -5794, 60944, -5794,  2856,  3983, 29755,  5387,
    6152,  3703,  3771, -5794, -5794,  3722,  1026, 93965,  3824,  3833,
    3857, -5794,   238, -5794,  3992,  1741,  3859,   262, -5794,   315,
   -5794,  2889, -5794, 93965, -5794, 93965, 93965, 93965, 93965,   338,
   -5794, -5794,   315,  2889,   315,  1040, -5794,  3789,   262,  2889,
    3636,  3864,   346, -5794,   387, -5794,  3729,  1040, -5794,  3746,
    2325, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  2275, -5794,
   93965, -5794,  3855,  3856,  3858,  3860,  3862,  3530,  3531,  3575,
   93965,  3538,  3530,   301,  3543,  3535, -5794,  3538,  3538,  3530,
    3031,  3031,  3530,  3531, 68565,  3999, 65009, -5794, -5794,  3614,
    3548,  3889,   257, -5794,   258,    97,  3800, -5794, -5794, -5794,
   -5794,120297, -5794, 69581,  3586, -5794, -5794, -5794,  3769,  3554,
   68565,  1040,   221, -5794, 73137, 93965,120297, 73137,  3784, 73137,
   73137,120297, 93965, 93965,  2303, -5794,  1936, -5794,  2042, 36567,
     883, -5794, 16495,  2312, 36567,  3545,  3556, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794,  3560,  3909, -5794,  2318,  2330, 16846,
    2336,120297,  2464,  3577, -5794,  3568,   293,  3779,  3590,  5091,
    3621,  2353,  3574,   363, -5794,  5091,   371,  3592,  7601,  3724,
    3597,  2354,  3581,  3582, -5794,  6705,  5508,  3594, 16948,  3599,
    3601,  3603,  3600, 42353, 42353, 30776,  1830, -5794, 42353,  3604,
    3785,  2355, 11300,  3607,  3608, 17215, 35515, 36567, 35515, 35515,
   17477,  3610,  3609, -5794,  3964, -5794,  2364, 65009,  3770, 17917,
    2366, -5794, 36567, 65009,  6967, 36567, -5794, 36567,  3624, -5794,
   -5794,  3080,  3080,  3080,  8519, -5794, -5794,  3634, -5794, 42353,
   42353, -5794,  3383, 30776, -5794, -5794,  3927, -5794, -5794,   312,
   -5794, -5794, -5794, -5794, -5794,  3475, -5794, -5794, -5794,  3818,
    2336,  3493, 56343, 15308, 36567,   442, 36567,  3320, 36567,  3664,
    3080,  3080,  3080,   392,   392,   369,   369,   369,  2284,   469,
   -5794, -5794, -5794,  3628,  3630,  3542,  3635, 36567, -5794,  3661,
   51623, -5794,  2500,  2536, 93965,  3262,  5953,  6354, -5794, -5794,
   -5794,  3394,   103,  3394, -5794,   296,  2811,  1633, 62976, -5794,
   -5794, -5794, -5794, -5794, -5794, 93965, 20494, -5794, -5794,  3884,
    3637,  2370, -5794, -5794,  2811, -5794, -5794,  2520,  2520,  3632,
   -5794,  3639, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  3633,
   -5794, -5794, -5794,  3640,  3641, 46483,  3982,  3643, 44941, 90917,
    3655,  3136, -5794, 90917, 91425, 90917, 90917, -5794,  3670, -5794,
   -5794,  2146, 36567,  3986, -5794, -5794, -5794, 36567, -5794, -5794,
    1815,  3675,   762,  1152,  2567,  2567,  2497,  1234, -5794, -5794,
    3706, -5794, 36567,  2625, -5794,  2705, -5794, -5794, -5794, -5794,
    3031, -5794,  3908, -5794, -5794, -5794, 45455,  3702,  3708,  1641,
   49567,  3869, -5794, 93965, 45455, -5794, 93965,   385, -5794,  3660,
   -5794, -5794, -5794, -5794, -5794, -5794,117333,  2191, -5794,121779,
   -5794,121779, -5794,  2191,  4120, -5794,117333,  2057, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, 69581, 69581,  3872, 93965,  3879,  3888, 36567,  1454, -5794,
    4040,  1040, -5794, -5794,  3752, -5794, 20494, -5794, -5794, -5794,
   -5794, -5794, 69581, 93965, -5794, 72629, -5794, -5794,120297, -5794,
   -5794, 93965, 93965, -5794, -5794, -5794,120297, -5794, -5794, -5794,
   93965,   210,  3753,  3755, 93965, -5794,   218,  3407,  7426, 93965,
   93965, 93965,  3991, -5794, -5794, -5794, -5794,  3903, -5794,  4046,
   -5794,117333, -5794,  2889,  1613,  3762,  3154, 36567,  3915, -5794,
     271, 93965,  3677,  3680,  4052,  1861,  4008,  3683, -5794,  3794,
   -5794,  3816,   967, -5794, -5794,  3825, -5794, -5794, -5794, -5794,
    4062,  1040,  4063,  1040, 93965, 93965, 93965, 93965,  3828, -5794,
   -5794, -5794, -5794,  3834,  3980, -5794, 65009, 65009, 65009,  2371,
   -5794, -5794,  1226, -5794, -5794, -5794, -5794, -5794, -5794,  4027,
   -5794,  2377, -5794,  2001, 91933, -5794, -5794, -5794, -5794, -5794,
    4074, 69581, 93965,  7616, 93965, 93965, 93965,  3929,  1927,  1539,
  120297, -5794,118815, -5794, -5794,  2384, -5794,  3712, 93965,  3792,
   69581,  3781, -5794, -5794, -5794,  4089,  2325,  3865, 80757,  3763,
    3763,  2075, -5794, -5794, -5794, -5794, -5794,  4003,  3926, -5794,
    1117,  3930, 69581,  3790, -5794, -5794, -5794, -5794,  4100,  3817,
   -5794, -5794,  3819,  1136,  3154,  3420, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794,  3846, -5794, -5794, -5794, -5794,
   -5794, -5794,  1876,  1876, -5794, -5794, -5794,  1876,  1614,   451,
    1164,  3154, -5794,   374,  1781,  3821, -5794,  3822, -5794, -5794,
   -5794,  4006,  4007,  4009,  3831,  3835,  3874,  3836,  3840,  3878,
   -5794,  3841,  3886,  3845,  3887,  3847,  4151,  1040,120297,  3993,
    1226,  3882,  4127,  1040, -5794, -5794,  3848, -5794,  3850, -5794,
    2385,  4250,  4253, -5794, 93965, -5794,   513,  1178,  3154, -5794,
    3861, -5794, 69581, 93965, -5794, -5794, -5794, 36567,  3767,  3774,
    3775, 20494, 20494, 36567, -5794, -5794, 20494,  3773, -5794, -5794,
   -5794, -5794,120297, -5794, 93965,  4088, -5794, -5794,  1058, 93965,
   93965, -5794, -5794, -5794, 93965, -5794, -5794, -5794,  4090, -5794,
     532,   532, -5794, -5794,  4126,  7914,  3782,   446, -5794, 65009,
   53181,  2077,   223,  1653, -5794, 72629, 93965, 72629, -5794,   907,
    4010, 93965, 93965, 93965,  3786,  3788, -5794, -5794, -5794, -5794,
   69581,  1256, 69581,  2811, -5794, -5794,  3863, -5794, 93965,  2325,
    4318,  4152,  3476, -5794,  4278,  3347,  1736,  1966,   303,  2942,
    4214,  2600, 36567,   428, -5794, -5794,  2146, 93965,  3505, -5794,
   -5794, -5794, -5794,  1226, -5794,  3795,  3793, -5794, 93965,  4162,
   93965, 93965, 93965, 93965,  3586,  3802, 93965,  3803,120297, 93965,
    2511,  3153,  4298,  4181,  1956,  3533,  3893,  4183, 84821,  3826,
    2398, -5794, -5794,  1026, -5794,  2400,   177, -5794,  1226, 72629,
  117827,  4170, -5794,   509,  6152, -5794, -5794,   509,  1115, 93965,
   -5794, -5794, -5794, -5794,  4041,  2185, -5794,  4153, -5794, -5794,
    1956, -5794,120297,  3811, -5794,  2417, -5794, -5794, -5794,   346,
    3883,  1040,  3890,  1040, -5794, -5794, -5794, -5794, 93965, -5794,
   93965, 68057, -5794, -5794, 93965, -5794,  4193, -5794, -5794,  3967,
    3970,  3971,  3972,  3975, 93965,  3530, -5794,  3830, 93965, 93965,
   69581,  1881, -5794, -5794, 69581,   497, -5794,   226, -5794, 84821,
    3968, -5794, -5794, -5794, -5794,  4210,  4213, -5794, -5794, -5794,
    1488, -5794, 79741,   517, -5794, 69581,  4145,  4146,  4148,  4149,
     301,  4150,  4154,  4155,  4156,  4157, -5794, -5794, -5794,  3851,
   18050, 36567, -5794,  4228,120297, -5794,  8137, -5794, -5794, -5794,
   36567, -5794, -5794,  4158, -5794, -5794,  3912,  3920,  3853,  3577,
    3724, -5794,  4080,  4083, 36567,  3724,  4333,  1134, 36567, 36567,
   36567, -5794, -5794,  4085,  4086, 36567,  2336,  2336, 36567, -5794,
    3866, 36567, -5794, -5794, -5794, -5794,  2415, 36567, -5794, 36567,
   -5794, -5794, 27698,  4383,  4383,  3867,120297, 42353, 42353, 42353,
   42353,   316,  2990, 42353, 42353, 42353, 42353, 42353, 42353, 42353,
   42353, 42353, 42353,   512, -5794,  4079, 36567, 36567, 36041, -5794,
   -5794,120297,  3871,  3610,  3873,  3875, 36567, -5794, -5794, -5794,
    2418, 43913,  3876, 65009, -5794, 36567, 16242,  2419,  3919, 18163,
    2146,  8669,  1226, 36567,  2421,  2843, 36567,  2423, 36567, -5794,
   -5794, -5794, -5794,  4226, -5794, -5794, -5794, -5794, -5794, -5794,
    4115,  2336, -5794, -5794, 36567,  3880,  3515, 42353, 42353,  3627,
   -5794,  4279, 36567, 30776, -5794,  3662, -5794, 28230,  3894, 36567,
  116825, -5794, -5794,    85,    85,    85,    85, -5794, 93965, 93965,
   93965,  3986,  3891,  3986,   406,  3896, -5794, -5794, -5794, -5794,
    1956, -5794,  3885, -5794, -5794, -5794, -5794, -5794, 36567, 90917,
   91425, 90917, 90917,  3900, 44427, 28745,  3136,  3901, 93965, -5794,
   -5794,  3904, 45455,  4185,  4095, -5794, 45455,  4095,  1999,  4095,
    4188,  3973, 52137, -5794, -5794,  3905, -5794, -5794,  4103, -5794,
    2133, 20494,  4362,  4233, -5794,  3906, -5794,  3675,  1801, -5794,
   -5794, -5794,  1245, -5794,  3981, -5794, -5794, -5794,  3655, 38145,
    4053, -5794, -5794, -5794,  3960,  2427, -5794, -5794,  4350,  4053,
   -5794,  2623, -5794,  2431, 51109,  3702, 36567,  2146,  2432,  2109,
   -5794, -5794,117333, -5794,  3985,  2889,  2889,  1770,  3530,  4271,
    1770,  8981, -5794,  1971, 93965, -5794, 93965, -5794, -5794, -5794,
    4405,  3974,  3977,  4201, -5794,  2738, -5794, -5794, 69581, 93965,
   -5794, -5794, -5794,   515,  1179,  3154, -5794,  4000, -5794, -5794,
    4235, 93965, -5794,  4391,  4016, 93965,  9218,  4296,  3984, -5794,
   -5794, 46997, 93965, 93965, 93965, -5794, 93965, 93965,  1971, 92441,
   -5794,  4368,  1971,  4038,  4276,  1703,  3153,   276,  5680, -5794,
    1774, -5794, -5794,  4005, -5794, 93965, -5794, 93965, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794,  4069, -5794, -5794, -5794, -5794,
   65517, -5794, -5794, 93965, -5794, 65009, 53181, 65009, -5794, -5794,
   -5794, 93965, -5794,  1668,   540,  1214,  3154, -5794,  4018, -5794,
    4310,  4026,  4028,  4091,  1302,  1415,  4030,  4036,  4098,  3953,
    3955,  3956, -5794, 65009, 53708,  4107, 93965,  2889,  3958,  4002,
   93965,  3763, 92949, -5794,  3961, -5794, -5794,  3763,   382,  1226,
   -5794, -5794,  1226,  2889,  1226, 93965, 93965, 93965, 93965,   422,
   -5794, -5794, -5794,  4434,  4059, 93965, 93965, 93965, 93965, -5794,
    4019, -5794, -5794, -5794, 93965, 93965,  4326,  1095,  2290, 69581,
   93965, 93965, 69581, 93965, 93965, 93965, 93965, 93965, 93965, 93965,
    4190, -5794,  4421,  4343,  2444,  4389,  4047, 93965, -5794, 93965,
    1226, -5794,  3407, 93965, 93965, 93965, 93965, -5794, -5794, -5794,
   -5794, -5794,  3662, -5794,  3978,  4281,  1058, -5794,  4282,  4283,
    4284,  1058, -5794, -5794,  1653, -5794,   915, 93965, -5794,  2630,
   93965, -5794, -5794, -5794,  3906,  2545,  2548, -5794, -5794, -5794,
   -5794, -5794, -5794,  3976, 93965, 93965, 42353, -5794,  2360,  1797,
     314, -5794,  4273, 93965,  3245, -5794, -5794, -5794,  1107, 93965,
   -5794, -5794, -5794, -5794,  3989, -5794,   917,  3802, -5794,  4302,
   76693,  2889, 69581, 69581,  2889, -5794,120297,  3990,  3505, -5794,
     300,  4071, -5794, 69581,  1736,115809,  3325,  4021,  4211,  9270,
   45455, 45969,  1876, -5794,  3995,  3988, -5794, -5794, 93965,  4010,
   68057,  2438,  3420,  4489,  1005,  2258, -5794, 78217,  4203,  3802,
    4302, -5794,  3153,  4229,  4225, -5794,  1956, 93965,  3586,  3505,
    1226, 93965,  3984, 53181, -5794,  4532,  2342, -5794,117333, 36567,
   36567, -5794,  4011, -5794,  4017,  6152, -5794,  4084,  4012,  4492,
   36567, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  4112,
    4020, 93965, 93965,  1026, 93965, -5794,  4029,  3859, -5794,  3859,
   -5794, 93965, -5794, 93965, -5794,  1040, -5794,  4164,  1040, 93965,
   93965, 93965, 93965, 93965, 93965,  3530,   301,  3535, -5794, -5794,
    4381, 68565,  4384, -5794, 65009, -5794, -5794, -5794, -5794, -5794,
    2448, 93965, -5794, -5794, -5794,  4452,  4390,  1040,   462,  1130,
    1130,  1130,  1130,  4346,  1130,  1130,  1130,  1130,  1130, -5794,
   36567, 20494, -5794,  4037, -5794, 20494,  4428,  4335,  4336, -5794,
   -5794,  4044,  4287,  4288, -5794,  4045, 36567,  3724, 18505, -5794,
   -5794,  4291,  4293, -5794,  3724,  3724, 18505, -5794, 18505,  4058,
    9670, 18574, -5794,  2449, 36567, -5794,   618,   618,   618,  3127,
    4403, -5794,  3006,   618,   618,   618,   486,   486,   372,   372,
     372,  4383,   512, 19272, 19493, 19524,  4060, -5794, -5794, -5794,
    3610, -5794, 38671,   101,  4522, 43399, -5794, -5794, -5794,  4105,
    4108,  4061, -5794, 36567, 39197,  4066,122273,  4277, -5794,  2014,
   36567, 36567,  1458, -5794, 12218, 36567, -5794, -5794,  1458,   565,
   36567,  3524,  4450, 36567, 36567,  4406,  9910,  4064, -5794,  2453,
   36567, 10489,  4270, -5794, 93965, 93965, 93965, 93965, -5794, -5794,
   -5794,  4233,  1226,  4233,  1226,  4072, -5794,  4068, -5794, -5794,
   -5794, -5794, 66025,  4067,  3770, 90917,  4075, 93965,  3136, 45455,
   -5794, -5794,   277, -5794, 45455,  4382, -5794, 45455, 73137, -5794,
   93965,  4077, 93965, -5794,  1148, 36567,  4123, 56343, -5794, -5794,
   -5794, -5794,  4172, -5794,  4315, 20494, 33411, -5794,  1956,  2285,
   93965,  2146,  1043, -5794, 36567,  4096, 93965, -5794,  4053, 20494,
   -5794,  4165,  2454, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
    4174, 78725,  4441, -5794, -5794,  1961,  4414,   549, -5794,  1040,
   -5794,120297, 93965, 93965, 93965,  3096, -5794, -5794, 93965, 93965,
   93965, 93965, -5794, -5794, 69581, 93965, -5794, -5794, 93965, 36567,
    2459, -5794,  4133,  4547,   220,  2468, -5794,  2473,  1971, -5794,
    2481, -5794, -5794, 93457, -5794,  4010,   422,  2360,  4431,  4432,
    4331, -5794,   301, -5794,  4591,  2360,  4334,   422, -5794, -5794,
   -5794, -5794,  4216, -5794,120297,  1040,  1040, -5794, -5794, -5794,
   -5794, -5794,  4110, -5794,  4571,  4198, 93965, 93965, 93965, 93965,
   93965, 69581, 93965, 93965,  2811,  2811,120297,  4101, -5794,  2811,
    2811,  4102, -5794, 69581, 93965, 93965, -5794, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794,  4191, -5794, 36567,
    4570, -5794, -5794, -5794, -5794, -5794, 36567, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, 69581, 93965,  4199,
   -5794,  4200, -5794,   931, -5794, -5794, 93965, 93965, 93965, 93965,
    4487, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794, -5794,  4490, 93965, -5794, -5794,  1226,  1226,120297,  1040,
    1040, -5794, -5794, -5794,  4208, -5794, -5794,  4113,  4425,  1058,
   -5794,  1058,  1058,  1058, -5794,  4122, -5794,  1653,  4529, -5794,
    1971,  1938,  4478, -5794, 36567, -5794,  2085,  3127, -5794,  4539,
    4625, -5794, -5794, -5794, -5794,  3476,  2325,  3476, -5794, -5794,
   73137,  1766, -5794,  4463,   786, 65009,  4363, 76693,   374,  1015,
    4134,  4268, -5794,  2889,  2889,  4197, 93965,  4631, -5794, -5794,
   -5794, -5794, -5794, -5794, 69581,  3781, -5794,  4378,  1150,  4499,
   93965, 45969, -5794,  3655, -5794, -5794, -5794,  1226, -5794, -5794,
    4275,  3505, -5794,  1274, 93965,  4374, 76693,  3586,  2482, -5794,
   -5794, -5794,  4187,  4619,  3533, -5794,   374,  4203, -5794, -5794,
    4595,  4244,  4192,  4643, -5794,  4244,  4507,  4387,  4159, -5794,
    3826, -5794, 93965, -5794, 20494, 20494,  1226,122767,   509,120297,
    4515, -5794, 20494, 93965,   229,  4160,  4328, -5794,  4479,  1040,
    2487, -5794,  1040,  1040, -5794, 93965, -5794,  3530,  3530,  3530,
    3530,  3530, -5794,  4380, -5794, -5794, -5794, -5794,  4474, -5794,
   68565, -5794,  1040, -5794, -5794, -5794, -5794, -5794, -5794,  1130,
   -5794, -5794, -5794, -5794, -5794, 20494, -5794, 93965, -5794, -5794,
   -5794, -5794, -5794, -5794,  3349,  4166, 36567,  1642, -5794, -5794,
    4169,  4171,  3724,  3724, -5794, -5794, 36567, -5794, 10629, 42353,
    4521, -5794, 36567, 36567, 36567, -5794,  4173,  2489,  2494, -5794,
   -5794,   101, -5794,  4522, -5794, -5794, -5794, 12033,  4236, 20494,
    4289,  4177,  1002,  1458,  1458, 12218,  1458, 36567, 36567,  1458,
    1458, 36567, -5794, -5794, -5794, 12111, -5794,  4655,  3662, -5794,
   -5794, -5794, -5794,  4123, -5794,  4123, -5794,  4324, 36567, -5794,
    2495,  4679, 41301,  4637, -5794, 93965,  2502, -5794, 36567,  4186,
   -5794, -5794, 45455,   277,  4189,  2506, 93965,  2508,120297, 39723,
   20494, 93965,  3662,  4196, -5794, 93965,  3027, -5794,  1641, -5794,
   -5794,  4628, 46997,  4585, 19930, 36567, -5794, -5794, -5794, -5794,
   68565,  4416, 68565,  1971, -5794, -5794, -5794, -5794, -5794, -5794,
    4202, -5794, -5794, -5794, -5794,  4280, -5794, -5794,    55,  3549,
    1971, -5794, 12163,  4525, 46997, 57397, 93965, -5794, 93965, -5794,
    4371,  4525,  4525, -5794, -5794, -5794, -5794,  4694,  4576,  4577,
   -5794, -5794,  4204, -5794, -5794, -5794,  4421, -5794, -5794, 53181,
   69581, 93965, -5794,  4292, -5794, -5794, -5794, -5794, -5794, -5794,
   49053, 56343, -5794,  1302,  4207,  4209,  1415, -5794, -5794, -5794,
   93965, 12631,  4217, 12970,  1139,  3549, 93965, 93965,  4218,  4220,
    4221,  1918,  1443,  1977,  3530,  4564, 93965, -5794, -5794, -5794,
    4421, -5794, -5794, 93965, -5794,  1058, -5794, -5794, -5794, -5794,
   65009, -5794,  2357,  4122,  1226, 73137,  4703,  4703, 13521,  4446,
   -5794, -5794,   502,  4274,  4480,  4274,  4222, 93965,  1107,  4224,
    2513, -5794, 93965,  4227,  4349,  2612,  2612, 93965, 93965, 93965,
    2515,  1956,  2889,  4002,  1736,  4601, 76693,  4649,  4010,   468,
   -5794, 93965,  4725, 93965,  3586,  3802, 93965,  4230, -5794, -5794,
   78217,  4453,  2077, 93965,  2511,  4203,  3533,  1527, 93965, -5794,
     368, -5794,  1956, -5794, 93965, 84821, 46997,  4592, -5794,121779,
   -5794,  2517, -5794, -5794, -5794,  4314, 21176,  3394,  4358,  4359,
    4239,  2194,  4605, 93965,  1262, -5794, -5794, -5794, -5794, -5794,
   -5794, 93965,   517, -5794, -5794, -5794, -5794,  4240, -5794,  4740,
   36567,  1074, -5794, -5794, -5794, -5794, -5794,  4472, -5794,  4247,
   -5794, -5794,  2676,  1642, 20097, -5794,  4542, 42353, 20494, 20494,
   20494, 36567, -5794, 36567, -5794, -5794, -5794, -5794,   810, -5794,
   -5794,  4578,  4248,  1458,  1458,  1458, -5794, 36567,   243, -5794,
   -5794,   425,  4673, 20349,  3670, 66025,  4256, -5794, 42353,  2519,
   -5794,  4528, 93965,  2535, -5794, 20494, 93965, -5794, -5794, 36567,
   -5794,  2537, -5794,  4257,    69,  4259, 26634,  4249, -5794, -5794,
   -5794, -5794, -5794, 20494,  4258, -5794,  4758,  1743, -5794, -5794,
    4321, 93965,  2541, -5794,  1300,  2162,   105, -5794,  4767,  4767,
   20494,  1881,  1770,   421, -5794, 93965,  4373, -5794,  4547,  4285,
    3476, -5794,  4294, -5794, -5794,  1495,  3153, 93965,  3476,  3476,
    2077,  4617, -5794, -5794, 36567,  4342, -5794,  1206,  3549, 93965,
  120297, -5794,   147,  4644, -5794,120297,120297, -5794, -5794, -5794,
   36567, -5794,  4385, -5794, -5794, -5794, 36567, 36567, 75677, -5794,
   -5794, 93965, 93965, 93965, 93965, 93965, -5794,  1040, -5794, -5794,
    2543, -5794, 48025, -5794, -5794,  3345,  1226,  3345,  1823, -5794,
   -5794,  3345,  3345, -5794,  3394, -5794,  4703,   407, -5794, -5794,
    4534,  4297, 36567,  4611, -5794,   245,  4512, -5794,  4295, -5794,
   73137,  4819, -5794, 65009,  3802,  4302, 93965, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794,  2547,
    4010,  4662,  3505,  4192, -5794, 93965,  4339, -5794, 45455,  4010,
    1956,  2258, -5794,  4203,  3802,  4302, -5794, -5794,  4307,  4225,
    3533,  2511,  4451, -5794,  4458, -5794,  4765,  4533,  4771,  3586,
   -5794,  3984,  2573, 93965, -5794, -5794,  6152,122767,120297, -5794,
   -5794, -5794,  4309,  4712,  4361,  4365, -5794, -5794, -5794,  2194,
   -5794,  1575,  4708,  4370, -5794,  4386, 93965, -5794, -5794,  4010,
    1040, 36567, 65009, 20494, -5794, -5794,  4710, -5794,   530,   270,
    1871,  4556,  4337, 36567,  4542,  2575,  2577,  4392, -5794, -5794,
   -5794,  3610, 40249, 40249, 40249,  4338,  4697,  4699, 93965, -5794,
   93965,  4540, -5794, -5794, 93965,  3127,  4332, 41301, 65009,  2584,
   -5794,119309, -5794,  2592,  2593, -5794, 36567,  4340, 36567, -5794,
   39723, 93965,  4341,  3443,  1956, -5794,  3394, 46997, -5794,  4475,
   -5794,  4612, -5794, -5794, 36567,  4437,  4439, -5794,  4705, -5794,
   -5794, 93965, -5794, 93965,  4274, 56343,  3675,  1495,  2325,  4274,
    4274,  4297, 13692, 36567, -5794,  4447, -5794, -5794,  2594,  1738,
    4527,  4527,  2601,  2605, 13765, 93965,  2618,  2620, -5794,  2622,
    2811,  3531,  1977,  3531, -5794,  3530, -5794, -5794, 65009, -5794,
   -5794, 69073, -5794, -5794, -5794,  1226, -5794,  1226,  4588, 58923,
   59431,  1226,  1226, -5794, -5794, -5794, -5794,  4680, -5794,  3420,
   -5794, 14224,  4454, -5794, -5794, -5794,   949, -5794,  4579,  4581,
   -5794,  4364, -5794,  2627, -5794,   374,  4493,  4010, -5794, -5794,
   93965,  4854,  4856, -5794,  1217, 93965,  3655, -5794,  4192,  3586,
    3533,   374,  4203,  2077, 47511,  4244,  2511,  4225, -5794, -5794,
    4584, -5794,  4587, -5794,  4366,  4702, -5794,  1899,   509, -5794,
   -5794, -5794,  1499,  4717,  4722, -5794, -5794, -5794,  3345, -5794,
     798,  4376,  4751, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
    4417,   279,   284, -5794,  4418, -5794,  4561,  4562,  1642,  2446,
   -5794, 20494, -5794, -5794, -5794, 41827,  4536,  1420, 16394,  4762,
   -5794,  4762,  4762, -5794,  4857,  4862,  1287, -5794,  4844,  2646,
   43399, -5794, -5794, -5794, 93965,  4613,  1407,  4888,  4560,  2652,
   39723,  2657, -5794, -5794, -5794, -5794, -5794, -5794, -5794, 51109,
    4870, 20494,   976,  1756, 68565,  3549,  2662,  3763,  4402, -5794,
    3675,  4480, -5794, -5794, -5794, -5794, 20494, 93965, 73137,  4878,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794,  3549,  4496, -5794,
   -5794, 75677, -5794, 93965, -5794, -5794,  2666, -5794, -5794, -5794,
   59939, -5794,  4160, -5794,  4160, -5794, -5794, -5794,  2142,  4516,
   93965,  1257,  1257,  4814, -5794,  4476, -5794,  4410, -5794,  4941,
    4550, 93965, -5794, -5794,  1302,  1956, 76693,  4010, -5794, -5794,
    2511,  4203,  3533, 36567,  2668, -5794,  4547,   220, -5794,  4225,
    4244, -5794, -5794, 46997,  4420,  3245,  4808, -5794, -5794, -5794,
    2002, 73137, 73137, 93965, -5794, -5794, -5794, 36567,  1107, -5794,
    4456, -5794,  4457, -5794, -5794,  4647,  4648,  4423,  1642, -5794,
    4925, -5794, -5794, -5794, -5794, -5794,  1298, -5794, -5794, -5794,
   93965, 93965, 93965,  4429, -5794,  3770, -5794, -5794, 42353, 42353,
    4664, -5794, 42353,  1407, -5794, 93965, -5794,  4430, -5794, -5794,
    2672, -5794,  1474,  1889, -5794,  4671,  4565, -5794, -5794,  4674,
     989, -5794,   421, -5794, -5794, -5794, -5794, -5794,  4512,  1971,
    1971,  3549, -5794, 93965, -5794,  4435, -5794, -5794, -5794, 69073,
   -5794,  4160, -5794, -5794, -5794, -5794,  4945, -5794,  1378, -5794,
   -5794, -5794, -5794, 93965,  4010,  4101,  4192, -5794,  4225,  3533,
    2511, 14666, -5794, 47511, 93965, 93965,  4244, -5794,  2673, 46997,
    3505,  4597, -5794,  1992, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794,  1075,  4433,  4444, -5794, -5794, 15207, 73137, -5794, -5794,
    4598,  4599, -5794,  4676, 40775,  4604, -5794,  4672, -5794,  1381,
    1393,  2006,116317,  4908,  3127,  3127, -5794,  3127, -5794, -5794,
   36567, -5794, -5794, -5794, -5794, -5794, 51109, -5794,  4514,  1641,
    4460, 93965, -5794, -5794,  1971, -5794, -5794, -5794, 36567, -5794,
   -5794,  2325,  2325,  4010, -5794, -5794,  4244,  2511,  4225,  4547,
   -5794, -5794, -5794, -5794,  4702, -5794,  2674,  4244,  4370,  2651,
   -5794, -5794,  2683,  2716,  4549,  4823, -5794,  4468,  4572,  4580,
    4858, -5794, -5794, -5794, 93965, 93965, 66533, 93965,  1067,  2678,
   -5794,119803, 93965, 15896,  4466, -5794,  4530, 36567,  2703,  1971,
    2718, -5794, -5794, -5794, -5794,  4225,  4244, 93965,  3245, -5794,
   46997,  3394,  4849, -5794,  1992,  4600,  4602, 64501, -5794, -5794,
   -5794, -5794, -5794,  5002,   361,  4890, -5794, -5794,  1226,  1642,
  116317,  4701,   209,  2727, -5794,  4541,  2735,   826, -5794,  4244,
   -5794, -5794,  3505, -5794, -5794,  1107, -5794,  4531,  4535, -5794,
    2740, -5794, -5794, -5794, -5794, 36567, 66533,  1771,  4483, -5794,
   -5794,  4687,  1226,  2676,  4687, -5794, -5794, -5794,  1641, -5794,
   -5794,  4244, 73137,  4841,  4847, -5794, 64501,   899,  4552, 93965,
    4495, -5794,  1642, -5794,  1871,  2676,  4554,  3394,  4498, 73137,
   73137, -5794,  4500, 93965,  4951,116317, -5794,  1642,  1871,  4541,
   -5794, 64501, -5794, -5794,  1226, -5794,  4502,  2741, -5794,  1642,
   -5794,  2746,116317, -5794, -5794, -5794,  2748, -5794
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1721,  1460,   666,  1549,  1548,  1460,     0,   269,     0,  1560,
       0,  1460,   437,  1117,     0,     0,     0,     0,   666,  1460,
       0,  1721,     0,     0,     0,     0,     0,  1734,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,  1460,     0,     0,
    1741,     0,     0,     0,     0,  1734,     0,  1562,     0,     0,
       0,     0,  1741,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1560,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1685,  1684,  1745,
    1688,  1720,     0,  1700,  1459,  1458,  1473,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   665,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1470,  2449,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,
    2482,  2481,  2483,  2484,  2856,  2485,  2486,  2487,  2793,  2794,
    2857,  2795,  2796,  2488,  2489,  2490,  2491,  2492,  2493,  2494,
    2495,  2496,  2797,  2798,  2497,  2498,  2499,  2500,  2501,  2799,
    2858,  2502,  2503,  2504,  2505,  2506,  2507,  2859,  2508,  2509,
    2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2860,  2518,
    2519,  2520,  2861,  2521,  2522,  2523,  2524,  2525,  2526,  2800,
    2801,  2527,  2528,  2529,  2530,  2531,  2532,  2533,  2534,  2535,
    2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,  2554,  2555,
    2556,  2802,  2557,  2558,  2559,  2560,  2803,  2561,  2562,  2563,
    2564,  2804,  2565,  2566,  2567,  2568,  2862,  2863,  2569,  2570,
    2571,  2572,  2573,  2805,  2806,  2574,  2575,  2576,  2577,  2578,
    2579,  2580,  2864,  2581,  2582,  2583,  2584,  2585,  2586,  2587,
    2588,  2589,  2590,  2591,  2592,  2593,  2865,  2807,  2594,  2595,
    2596,  2597,  2808,  2809,  2810,  2598,  2866,  2867,  2599,  2868,
    2811,  2812,  2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,
    2821,  2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,  2822,
    2869,  2608,  2870,  2609,  2610,  2611,  2612,  2613,  2614,  2615,
    2616,  2617,  2618,  2619,  2620,  2621,  2823,  2622,  2623,  2624,
    2625,  2626,  2627,  2628,  2629,  2824,  2871,  2825,  2630,  2631,
    2632,  2633,  2634,  2635,  2636,  2637,  2826,  2827,  2638,  2639,
    2640,  2872,  2641,  2828,  2642,  2829,  2643,  2644,  2645,  2646,
    2647,  2648,  2649,  2650,  2651,  2652,  2653,  2830,  2873,  2654,
    2874,  2831,  2655,  2656,  2657,  2658,  2659,  2660,  2661,  2662,
    2663,  2664,  2665,  2666,  2667,  2668,  2832,  2669,  2833,  2672,
    2670,  2671,  2673,  2674,  2675,  2676,  2677,  2678,  2679,  2680,
    2681,  2682,  2683,  2834,  2684,  2685,  2686,  2687,  2688,  2689,
    2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,  2698,  2699,
    2700,  2701,  2702,  2875,  2703,  2704,  2705,  2706,  2707,  2835,
    2708,  2709,  2710,  2711,  2712,  2713,  2714,  2715,  2716,  2717,
    2718,  2719,  2720,  2721,  2722,  2723,  2724,  2836,  2725,  2726,
    2876,  2727,  2728,  2837,  2729,  2730,  2731,  2732,  2733,  2734,
    2735,  2736,  2737,  2738,  2739,  2740,  2741,  2742,  2743,  2744,
    2838,  2745,  2746,  2747,  2748,  2877,  2749,  2750,  2751,  2752,
    2753,  2754,  2755,  2839,  2840,  2756,  2757,  2841,  2758,  2842,
    2759,  2760,  2761,  2762,  2763,  2764,  2766,  2765,  2767,  2768,
    2769,  2770,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2843,
    2844,  2778,  2878,  2779,  2780,  2781,  2782,  2783,  2784,  2785,
    2786,  2787,  2788,  2789,  2845,  2846,  2847,  2848,  2849,  2850,
    2851,  2852,  2853,  2854,  2855,  2790,  2791,  2792,   146,     0,
       0,  2416,  2450,  2451,  2454,  2449,   407,   406,  1674,  2413,
    2450,  1559,     0,  1538,   666,     0,  1473,   436,  1721,     0,
       0,     0,     0,     0,     0,   883,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   138,     0,
     140,     0,     0,   461,   460,     0,     0,  1089,   466,     0,
       0,     0,     0,     0,   656,  1601,  2670,  1599,  1675,   270,
     273,   274,   271,   272,  2432,     0,  1229,  1230,  1232,     0,
       0,  1242,   923,   924,     0,     0,     0,   937,     0,     0,
       0,   921,     0,     0,     0,   943,     0,   940,     0,     0,
     944,   941,   918,   942,   925,     0,   917,     0,     0,  1242,
     945,     0,     0,   919,     0,     0,     0,     0,  1473,  1598,
     467,  1721,     0,  1582,  1583,  1584,  1560,  1572,  1585,  1577,
    1579,  1578,  1580,  1581,  1576,  2431,  2468,  1013,  1013,  1013,
    1013,  1010,  1011,  1013,  1013,  1013,  2691,     0,     0,   992,
       0,   994,  2433,  1013,  1018,  2476,   546,   546,   546,     0,
    1017,  1022,   546,     0,  1441,  1482,  2415,  1733,     0,   993,
    1440,  2756,  1588,     0,     0,     0,     0,  2710,  1450,   254,
    2722,  2839,  2756,   253,   248,   249,   222,     0,     0,  1017,
     546,     0,  1473,  1448,   989,  1740,  1738,     0,  2400,  2495,
    2512,  2611,   245,  2703,  2712,  2722,  2839,  2756,  2789,   201,
     211,   206,     0,   263,  2722,  2839,  2756,   259,  1470,     0,
    1701,  1851,  1850,  2409,     0,  1443,  1442,  1561,     0,  1564,
       0,  2686,  1705,  1708,  1566,  1706,  2452,  1944,  1973,  1951,
    1973,  1973,  1940,  1940,  2542,  1953,  1941,  1942,  1978,  1998,
       0,  1973,  1940,  1945,     0,  1943,  1981,  1981,  1968,     3,
    1923,  1924,  1925,  1926,  1954,  1955,  1927,  1960,  1961,  1965,
    1928,  1995,  1931,  1940,  2453,  1742,  1743,  2400,     4,  2446,
       5,  2327,  2445,     6,     7,  1697,     0,     0,     1,  1721,
       0,  1571,  1737,  1737,     0,  1737,     0,  1689,  1697,  1692,
    1696,     0,     0,     0,     0,     0,     0,  1444,     0,     0,
       0,   948,     0,  1485,  1074,     0,     0,     0,     0,     0,
    1326,     0,  1126,  1125,  2455,  2438,  2439,  2440,     0,  2436,
    2437,  2456,  2457,  2458,     0,  2580,  1326,     0,     0,  2243,
    2254,  2255,  2256,  2499,  2561,  2251,  2252,  2253,  2245,  2246,
    2247,  2248,  2249,  2250,     0,     0,  1224,  2244,     0,  2580,
       0,  1326,     0,   173,     0,   150,  1326,     0,     0,  2580,
       0,     0,  2580,     0,     0,     0,     0,     0,  2580,     0,
       0,     0,     0,     0,   173,  2616,     0,   150,  2580,     0,
       0,  1464,     0,     0,     0,  1466,  1469,  1456,     0,  2324,
       0,  2325,  2417,  1553,     0,  1552,  1546,  1556,  1551,  1541,
       0,  2409,     0,     0,     0,     0,   931,     0,     0,   921,
       0,     0,     0,   932,     0,   933,   934,     0,     0,     0,
       0,   930,     0,  1454,  1446,     0,  1590,  1592,  1591,  1593,
    1589,   546,     0,     0,     0,  2580,     0,   150,  1524,     0,
    2580,   150,     0,     0,   465,   464,   150,  2436,   463,   462,
    2499,  2561,     0,  1116,     0,  1199,   150,  2580,     0,   194,
    2580,   725,  2580,  1566,   139,     0,   669,     0,   837,  2616,
     150,     0,     0,     0,     0,     0,     0,   142,     0,     0,
       0,     0,     0,     0,     0,   655,   666,  1602,  1600,     0,
    1233,   247,   246,  1231,   935,  2580,  1158,   145,     0,     0,
    2580,  1505,  2580,   145,   952,   936,     0,   922,  2580,   145,
    1122,  2580,  2441,   183,     0,   920,  2499,  2561,  2580,   145,
    1226,     0,  2580,   145,  2580,   179,  2580,   145,  2580,   145,
    2580,   670,     0,     0,  2580,   145,  2580,  2616,   181,   939,
    2580,   145,   946,  2580,   145,  2411,  2580,     0,  1457,     0,
    1594,     0,  1574,  2843,     0,  1721,  1013,  1012,     0,  1013,
       0,  1013,     0,  1013,     0,  1013,     0,     0,     0,  1013,
    2434,  2435,   995,     0,  1019,     0,  1027,     0,  1026,  1025,
    1024,     0,     0,     0,  1028,     0,  1855,  1629,     0,  1438,
    1453,     0,     0,     0,   142,     0,  1255,  1252,   142,  1254,
    1253,   142,   142,  1449,   252,   250,     0,     0,     0,     0,
       0,     0,  1455,     0,  1447,     0,     0,     0,  2419,  2421,
    2422,  2257,  2327,     0,  2794,  2795,  2796,  2316,     0,  2797,
    2798,  2799,  2858,  2131,  2117,  2126,  2132,  2118,  2120,  2127,
    2800,  2801,  2066,  2802,  2803,  2429,  2804,  2805,  2806,  2808,
    2809,  2810,  2811,  2812,  2813,  2814,  2815,  2816,  2817,  2818,
    2819,  2821,  2822,  2122,  2124,  2823,  2824,  2825,  2827,     0,
    2430,  2828,  2829,  2649,  2831,  2832,  2834,  2835,  2128,  2837,
    2838,  2129,  2839,  2840,  2841,  2842,  2428,   509,  2130,  2844,
    2846,  2847,  2848,  2849,  2851,  2852,  2853,  2854,     0,     0,
       0,  2406,     0,  2095,     0,  1932,  1933,  1956,  1957,  1934,
    1962,  1963,  1935,     0,  1936,  2405,  1999,  2202,  2094,  2112,
       0,  2100,  2101,     0,  2093,  2089,  2204,  1723,  2401,     0,
    2090,  2418,  2420,  2317,  1723,  2399,   214,   265,     0,   266,
    2407,  2722,   202,   244,   216,   243,   217,   215,     0,  2497,
     203,     0,     0,   204,     0,     0,     0,     0,   262,   260,
       0,  1445,     0,  1853,  1852,  2410,   957,     0,  1563,  1560,
    2267,     0,  1707,     0,     0,     0,  1972,  1959,  1967,  1966,
       0,  1949,  1948,  1947,     0,  1946,  1973,  1973,  1971,  1950,
    1923,     0,     0,     0,  1977,     0,  1975,  1919,  1915,     0,
    1984,  1985,  1986,  1983,  1996,  1982,     0,  1929,  1987,     0,
    1940,  1937,  1808,     0,  1687,  1686,     8,     0,  1568,  1570,
    1544,  1566,  1735,  1736,     0,     0,     0,     0,     0,     0,
       0,     0,  1795,  1753,  1754,  1756,  1792,  1796,  1804,     0,
    1693,     0,     0,     0,  1857,     0,     0,  1471,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,   949,     0,
       0,     0,  1491,     0,  1493,  1494,  1495,     0,     0,     0,
    1496,  1497,  1485,   256,  1504,  1501,  1484,  1486,  1499,     0,
       0,     0,     0,     0,     0,     0,  1516,     0,   187,   188,
       0,   682,   666,     0,  2580,     0,     0,     0,     0,  1167,
    1174,  1325,     0,     0,     0,     0,     0,     0,     0,     0,
    1168,  1166,     0,  1169,   258,  1179,  1206,  1209,     0,     0,
    1124,  1127,     0,     0,     0,     0,     0,  1316,     0,     0,
       0,  1316,     0,     0,     0,  1325,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   281,   283,   296,   362,     0,
     647,     0,     0,     0,   650,     0,  2580,  1326,     0,     0,
       0,  1228,     0,     0,     0,     0,     0,     0,     0,     0,
    1209,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     148,   149,   154,     0,     0,     0,     0,  1209,     0,     0,
       0,     0,     0,     0,     0,   631,   646,   634,     0,     0,
       0,     0,     0,   642,     0,     0,   150,   644,   286,   621,
     627,     0,     0,     0,   732,   731,     0,     0,     0,     0,
       0,     0,  1414,     0,  1413,     0,     0,     0,     0,     0,
    1514,  1513,     0,     0,     0,     0,     0,     0,  1316,     0,
     275,   277,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   399,   400,     0,
       0,     0,   154,     0,     0,  1316,     0,   288,     0,     0,
    1465,  1462,  1463,     0,  1468,     0,     0,     0,     0,  2103,
       0,  2271,  1745,  2269,  1142,  2323,     0,  2459,  2879,  2880,
    2881,  2882,  2883,  2884,  2885,  2886,  2887,  2888,  2889,  2890,
    2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,  2900,
    2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,  2910,
    2911,  2912,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,
    2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,  2929,  2930,
    2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,  2939,  2940,
    2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,
    2951,  2952,  2953,  2954,  2955,  2956,  2320,  2319,  2414,  2460,
    2461,  2462,  2463,  2326,  1536,     0,   233,   234,   232,  1554,
     235,  1555,  1550,     0,  1537,     0,     0,     0,     0,     0,
       0,     0,     0,  2499,  2561,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   845,  1485,  1523,     0,     0,     0,   675,     0,  2580,
       0,   152,   884,     0,   835,   466,     0,     0,     0,     0,
    1390,   152,     0,     0,   190,     0,     0,   729,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   836,     0,
       0,   152,     0,  2580,   624,  2580,     0,   546,   546,     0,
       0,   141,   138,     0,     0,     0,     0,     0,     0,     0,
       0,  1679,  1678,  1681,  1680,     0,  1677,     0,   143,   144,
       0,  1216,  1241,     0,     0,     0,     0,     0,   913,   938,
       0,     0,  1210,     0,     0,  2580,   145,  2580,     0,  2580,
       0,     0,     0,  1218,   145,     0,  1212,     0,     0,  1214,
       0,  1416,     0,   929,   927,   926,   928,     0,     0,   911,
       0,     0,     0,     0,     0,   906,     0,     0,   908,     0,
       0,     0,     0,  1721,  1573,     0,  1003,     0,  1007,     0,
     998,     0,  1004,     0,   999,   996,   997,     0,  1002,     0,
       0,   547,   549,     0,     0,  2524,  2541,     0,  2569,  2604,
    2605,  2659,  2676,  2706,  2712,  2718,     0,  2749,  2761,     0,
    1033,  1071,  1023,   741,     0,     0,  1639,  1439,  2276,     0,
    1721,     0,     0,  1256,     0,     0,   138,   251,   223,     0,
       0,  1071,     0,  2710,  1452,   988,   666,     0,  2091,     0,
    2098,  2099,  2315,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,     0,  2372,     0,     0,  2372,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2022,     0,
       0,  2275,     0,     0,  2275,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2023,  2004,  2005,
    2095,  2267,     0,  2096,  2425,     0,  1995,  2464,  2257,     0,
    2254,  2255,  2256,  2957,  2958,  2959,  2960,  2961,  2962,  2963,
    2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,  2972,  2973,
       0,  2974,  2975,  2976,  2977,  2978,  2980,  2979,  2981,  2982,
    2983,  2984,  2985,  2986,  2330,  2988,  2989,  2990,  2991,  2992,
    2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,
    3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,
    3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,  3021,  3022,
    3023,  3024,  3025,  3026,  3027,  3028,  3029,  3030,  3031,  3032,
    3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,  3041,  3042,
    3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,  3056,  3057,  3058,  3059,  3060,  3061,  3062,
    3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,
    3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,  3081,  3082,
    3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,  3091,  3092,
    3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,  3101,  3102,
    3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,  3111,  3112,
    3113,  3114,  3115,  3116,  3117,  3118,  3119,  3120,  3121,  3122,
    3123,  3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,  3132,
    3133,  3134,  3135,  3136,  3137,  3138,  3139,  3140,  3141,  3142,
    3143,  3144,  2037,  3145,  3146,  3147,  3148,  3149,  3150,  3151,
    3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,  3160,  3161,
    3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,
    3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,  3180,  3181,
    3182,  3183,  3184,  3185,  3186,  3187,  3188,  3189,  3190,  3191,
    3192,  3193,  3194,  3195,  3196,  3197,  3198,  3199,  3200,  3201,
    3202,  3203,  3204,  3205,  3206,  3207,  3208,  3209,  3210,  2039,
    3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,
    3221,  3222,  3223,  3224,  3225,  3226,  3227,  3228,  3229,  3230,
    3231,  3232,  3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,
    3241,  3242,  3243,  3244,  3245,  3246,  3247,  3248,  3251,  3249,
    3250,  3252,  3253,  3254,  3255,  3256,  3257,  3258,  3259,  3260,
    3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,  3270,
    3271,  3272,  3273,  3274,  3275,  3276,  3277,  3278,  3279,  3280,
    3281,  3282,  3283,  3284,  3285,  3286,  3287,  3288,  3289,  3290,
    3291,  3292,  3293,  3294,  3295,  3296,  3297,  3298,  3299,  3300,
    3301,  3302,  3303,  3304,  3305,  3306,  3307,  3308,  3310,  3309,
    3311,  3312,  3313,  3314,  3315,  3316,  3317,  3318,  3319,  3320,
    3321,  3322,  3323,  3324,  3325,  3326,  3327,  3328,  3329,  3330,
    3331,  3332,  3333,  3334,  3335,  3336,  3337,  3338,  3339,  3340,
    3341,  3342,  3343,  3344,  3345,  3346,  3347,  3348,  3349,  3350,
    3351,  3352,  3353,  3354,  3355,  3356,  3357,  3358,  3359,  3360,
    3361,  3362,  3363,  3364,  3365,  3367,  3366,  3368,  3369,  3370,
    3371,  3372,  3373,  3374,  3375,  3376,  3377,  3378,  3379,  3380,
    3381,  3382,  3383,  3384,  3385,  3386,  3387,  3388,  3389,  3390,
    3391,  3392,  3393,  3394,  3395,  3396,  3397,  3398,  3399,  3400,
    3401,  3402,  3403,  3404,  3405,  3406,  3407,  3408,     0,  2251,
    2252,  2253,  2245,  2246,  2247,  2248,  2249,  2250,  2261,     0,
       0,  2404,  2465,     0,  2204,     0,  2019,     0,  2212,     0,
       0,  1808,     0,  2423,  2318,  1808,   267,   268,   264,     0,
       0,   219,   218,     0,   237,   241,   242,   213,   240,     0,
     236,   221,  2188,  2187,   220,   212,   209,   207,   224,   226,
     227,   210,   208,   261,     0,     0,     0,   145,  1571,  1558,
       0,     0,  2330,     0,  2265,     0,     0,  2263,     0,     0,
       0,  1805,     0,  1709,     0,  1713,     0,     0,     0,  1970,
    1969,  1920,  1916,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   950,     0,  1938,     0,
    1873,  2447,  2448,  2328,  1741,  1571,     0,  1567,  1704,  1703,
    1746,  1747,  1108,  1702,  1775,  1776,     0,     0,     0,     0,
    1801,  1799,  1766,  1757,  1765,     0,     0,  1763,     0,  1767,
    1999,  1794,  1691,  1751,  1752,  1755,  1690,     0,  1797,     0,
    1642,  1795,  1756,  1626,     0,  1604,     0,     0,  1858,     0,
       0,  1472,     0,     0,     0,  1137,  1139,     0,  1138,     0,
    1141,     0,  1150,     0,     0,  1136,  1155,     0,  1144,  1142,
       0,  1512,     0,     0,     0,     0,     0,  1492,     0,     0,
       0,  2749,   255,  1495,  1500,  1487,  1498,     0,     0,     0,
       0,     0,  1073,  1072,     0,     0,     0,  1519,   540,     0,
     364,     0,     0,     0,     0,     0,     0,     0,     0,   831,
     828,     0,     0,   827,     0,   680,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,     0,  1316,
       0,   294,     0,  1176,     0,  1175,     0,  1180,     0,     0,
    1177,  1172,  1173,  2712,  2722,  2756,   257,  1178,  1208,     0,
    1207,  1203,     0,  1119,     0,  1120,     0,     0,     0,     0,
       0,     0,     0,  2553,     0,  2580,     0,   509,   302,   326,
     531,     0,  1315,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   348,     0,
       0,   351,   350,     0,     0,     0,     0,     0,   356,     0,
     334,     0,   335,     0,   355,     0,     0,     0,   648,   649,
       0,     0,     0,  1316,     0,   290,     0,     0,     0,     0,
       0,     0,     0,     0,  1225,     0,   758,     0,     0,  2712,
    1204,     0,  1399,     0,  2748,  1400,  1403,   546,     0,   546,
    1405,     0,     0,  1402,  1404,     0,     0,   176,     0,   171,
     175,     0,     0,  2712,  1205,     0,     0,     0,     0,     0,
     629,   630,   645,     0,   635,   636,   632,   637,   638,     0,
       0,     0,     0,     0,     0,     0,   628,     0,     0,   727,
     726,   730,     0,     0,     0,     0,     0,     0,  1408,     0,
       0,  1199,     0,     0,  1407,  1415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1259,  1258,     0,     0,
       0,     0,  1326,     0,   874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,   745,     0,   744,     0,
     172,   177,     0,     0,     0,     0,     0,     0,     0,     0,
     231,  1461,  1467,  1745,  1745,  1745,  2109,     0,     0,     0,
       0,  1744,  2321,  2324,  1541,  1547,  1540,  1539,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   413,   410,   411,   413,     0,
       0,     0,     0,   847,     0,   850,   853,  1483,   493,     0,
       0,   672,   705,     0,     0,   469,   185,     0,     0,     0,
       0,   760,     0,  1199,  1198,   147,   138,   194,   467,     0,
     193,   195,   197,   198,   199,   196,   200,     0,   724,   728,
       0,     0,     0,     0,   668,     0,     0,     0,     0,     0,
       0,     0,  1878,     0,     0,   170,     0,     0,   619,   623,
       0,     0,     0,     0,   469,   585,   375,  2580,     0,   546,
       0,  2580,     0,   137,     0,   834,     0,     0,     0,  1161,
    1161,     0,     0,   774,   773,     0,     0,     0,     0,     0,
       0,  1676,   145,  1159,     0,  1506,     0,   145,   953,   145,
    1123,   184,  2442,     0,   915,     0,     0,     0,     0,   145,
    1227,   903,   145,   180,   145,   145,   671,     0,   145,   182,
       0,     0,   145,   947,   145,  2412,     0,   145,  1597,  2580,
     546,  1575,  1000,  1009,  1008,  1006,  1005,  1001,     0,  1020,
       0,   545,     0,     0,     0,     0,     0,  1041,  1042,     0,
       0,  1038,  1043,     0,  1045,  1029,  1031,  1039,  1040,  1046,
    1035,  1034,  1047,  1048,     0,     0,     0,  1060,   739,     0,
       0,     0,     0,  1636,     0,  1634,     0,  1856,  1638,  1627,
    1587,     0,  1586,     0,   612,  1250,  1249,  1251,     0,  1017,
       0,   145,     0,  1451,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2280,     0,  2281,     0,     0,
    2314,  2310,     0,     0,     0,     0,     0,  2284,  2287,  2288,
    2289,  2286,  2290,  2285,     0,     0,  2291,     0,     0,  2365,
    2382,     0,  2095,  2365,  2393,     0,  2392,  2398,     0,  2271,
    1999,     0,     0,  2389,  2383,     0,  2389,     0,     0,  2372,
       0,     0,     0,     0,  2172,     0,     0,     0,  2271,  2274,
       0,     0,  2835,     0,     0,     0,     0,  2067,     0,     0,
    2238,     0,  2271,     0,     0,     0,     0,     0,     0,     0,
    2267,  2306,     0,   507,     0,  2057,     0,     0,     0,  2186,
       0,  2183,     0,     0,     0,     0,  2327,     0,     0,  2426,
    2000,  2015,  2016,  2017,  2020,  2403,  2003,     0,  2329,     0,
       0,  2001,  2028,     0,  2307,  2053,     0,  2058,  2043,  2373,
    2292,  2293,  2294,  2295,  2060,     0,  2036,  2041,  2045,     0,
    2382,  2024,     0,  2021,     0,  2330,  2266,     0,  2264,     0,
    2012,  2013,  2014,  2006,  2007,  2008,  2009,  2010,  2011,  2018,
    2242,  2240,  2241,     0,     0,  2212,     0,     0,  2040,     0,
       0,  2111,  2572,  2611,     0,  1734,  1734,  1734,  1722,  1732,
    2402,  1873,  1745,  1873,  2408,     0,     0,  1995,     0,  1854,
     955,   956,   954,  1543,  1557,  1571,  2268,  1565,  1711,     0,
       0,     0,  1939,  1952,     0,  1979,  1980,  1981,  1981,     0,
    1921,     0,  1964,  1989,  1990,  1991,  1992,  1993,  1994,     0,
    1988,  1930,   951,  2811,  2820,     0,  2708,  2855,     0,  1834,
    1807,  1809,  1819,  1834,  1841,  1834,  1834,  2113,  1871,  2114,
    2115,  2409,     0,  1778,  2444,  1545,  1569,     0,  1106,  1107,
       0,  1111,  2835,  2708,     0,     0,     0,     0,  1768,  1802,
       0,  1793,     0,  2419,  1769,  2418,  1770,  1773,  1774,  1764,
    1803,  1640,     0,  1798,  1695,  1694,     0,  1876,     0,     0,
       0,  1618,  1606,     0,     0,  1859,     0,  1808,  1644,     0,
    2327,  1806,  1366,  1260,  1327,  1140,     0,  1940,  1151,     0,
    1135,     0,  1134,  1940,     0,  1152,     0,  1940,  1367,  1261,
    1328,  1368,  1262,  1329,  1369,  1503,  1263,  1502,  1490,  1489,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,   812,
    2580,   145,  1517,  1370,     0,  1264,   363,  1518,  1330,  1522,
     830,   829,     0,     0,  1331,     0,   681,   686,     0,   688,
     689,  2499,  2561,   690,   693,   694,     0,   696,   685,   684,
       0,     0,     0,     0,     0,   702,   707,     0,     0,     0,
       0,     0,     0,  1170,  1171,  1371,  1267,     0,  1332,     0,
    1118,     0,  1268,   186,     0,     0,   282,     0,  2580,   304,
       0,     0,     0,     0,     0,     0,     0,     0,   812,   491,
     812,     0,  1318,   301,   332,     0,   347,   342,   343,   341,
    2580,   145,  2580,   145,     0,     0,     0,     0,     0,   344,
     339,   340,   336,     0,     0,   349,  2471,  2543,  2723,     0,
     713,   715,     0,   720,   352,  1288,   371,   370,   369,     0,
     357,     0,   376,   379,     0,   354,   333,   331,   328,   297,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1220,     0,  1374,  1333,     0,  1355,  1359,     0,     0,
       0,   752,  1377,  1274,  1336,     0,   546,     0,     0,   561,
     561,   546,  1388,  1275,   174,  1305,   163,     0,     0,   159,
       0,     0,     0,     0,   153,  1378,  1276,  1337,     0,     0,
    1379,  1277,     0,     0,   287,   622,   633,   639,  1282,   643,
     640,  1345,   641,  1386,  1278,     0,  1382,  1308,  1340,   389,
     605,   388,  1199,  1199,  1389,  1409,  1279,  1199,     0,  1316,
       0,   276,   278,     0,   142,     0,  1280,     0,  1338,  1381,
    1307,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1525,     0,     0,     0,     0,     0,     0,   145,     0,     0,
       0,  1318,  2580,   145,   872,  1380,     0,  1313,     0,  1353,
       0,     0,     0,   401,     0,  1306,  1316,     0,   289,  1284,
       0,  1347,     0,     0,   229,   228,   230,     0,     0,     0,
       0,  2272,  2273,     0,  2270,  2104,  2323,     0,  1535,   977,
     963,   976,     0,   959,  2541,     0,   962,   964,     0,     0,
       0,   965,   969,   970,     0,   961,   958,   960,     0,   412,
       0,     0,   769,   770,     0,     0,     0,     0,   849,     0,
       0,  1515,     0,   150,   679,     0,     0,     0,   674,   704,
     709,     0,     0,     0,     0,   468,   472,   476,   477,   478,
       0,     0,     0,     0,   164,   151,     0,   892,     0,   546,
       0,   762,  1199,  1392,     0,   194,   189,     0,     0,   725,
       0,  1566,     0,     0,   600,   603,   602,     0,   375,   844,
     842,   841,   843,   865,   840,     0,  1877,  1879,     0,     0,
       0,     0,     0,     0,   612,   471,     0,     0,   549,     0,
     588,     0,     0,     0,     0,   585,     0,     0,     0,  2452,
       0,   861,   833,     0,  1129,     0,  1147,  1130,     0,     0,
       0,     0,  1184,  1191,  1160,  1185,  1162,  1191,     0,     0,
     775,   779,   778,   782,   780,     0,   776,   653,  1682,  1683,
       0,  1217,     0,     0,  1511,     0,  1509,   914,  1211,   145,
       0,   145,     0,   145,  1219,  1213,  1215,  1417,     0,   912,
       0,     0,   905,   907,     0,   909,     0,  1021,   548,     0,
       0,     0,     0,     0,     0,  1037,   651,  1044,     0,     0,
       0,  1059,  1054,  1056,     0,  1071,  1065,     0,   738,     0,
       0,  1637,  1630,  1632,  1631,     0,     0,  1628,  2277,   904,
       0,   618,     0,  1071,  1062,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1739,  2278,  2279,     0,
       0,     0,  2311,     0,     0,  2148,     0,  2119,  2121,  2134,
       0,  2149,  2102,     0,  2364,  2361,     0,     0,     0,  2365,
    2372,  2168,     0,     0,     0,  2372,     0,  2392,     0,     0,
       0,  2163,  2165,     0,     0,     0,  2382,  2382,     0,  2170,
       0,     0,  2150,  2123,  2125,  2135,     0,     0,  2258,     0,
    2138,  2137,     0,  2069,  2070,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2084,  2139,  2237,     0,     0,     0,  2141,
    2140,     0,     0,  2305,     0,     0,     0,  2146,   508,  2151,
       0,     0,     0,     0,  2157,     0,  2194,     0,     0,     0,
    2092,  2268,     0,     0,     0,     0,     0,     0,     0,  2375,
    2376,  2377,  2374,     0,  2059,  2044,  2062,  2038,  2042,  2046,
       0,  2382,  2061,  2064,     0,     0,  2032,     0,     0,  2030,
    2054,  2026,     0,     0,  2055,     0,  2110,     0,     0,     0,
    2215,  2210,  2211,  1734,  1734,  1734,  1734,  1731,     0,     0,
       0,  1778,     0,  1778,   205,     0,   238,   225,  1542,  1712,
    1721,  1958,     0,  1976,  1974,  1917,  1922,  1997,     0,  1834,
    1841,  1834,  1834,     0,     0,  1697,     0,  1819,     0,  1833,
    1817,  1832,     0,     0,  1847,  1845,     0,  1847,     0,  1847,
       0,  1811,     0,  1837,  1813,  1832,  1815,  1821,     0,  1863,
    2410,  1872,     0,  1791,  1748,     0,  2259,  1111,     0,  1750,
    1772,  1771,     0,  1761,     0,  1800,  1758,  1641,  1625,     0,
    1623,  1610,  1612,  1611,     0,     0,  1613,  2327,     0,  1623,
    1605,     0,  1649,     0,     0,  1876,     0,  1648,     0,  1940,
    1132,  1133,     0,  1156,     0,  1076,  1077,     0,  1075,     0,
       0,     0,   539,   542,     0,  1520,     0,  1387,  1304,   683,
       0,     0,     0,     0,   698,   657,   699,   701,     0,     0,
     700,   703,   706,  1316,     0,   295,  1290,     0,  1351,  1164,
       0,     0,  1121,     0,     0,     0,     0,     0,  1092,   530,
    1091,     0,     0,     0,     0,   812,     0,     0,   534,     0,
     490,   487,   327,     0,     0,     0,     0,   384,     0,   306,
     319,   382,   325,     0,   359,     0,   330,     0,   323,   345,
     337,   346,   338,   358,   360,     0,   717,   718,   716,   712,
       0,   719,   721,     0,   373,     0,     0,     0,   391,   353,
     390,     0,  1373,     0,  1316,     0,   291,  1286,     0,  1349,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,   757,     0,   754,
       0,   561,     0,  1401,     0,  1398,  1396,   561,     0,     0,
     156,   155,     0,   162,     0,     0,     0,     0,     0,     0,
    1410,  1411,  1412,     0,     0,     0,     0,     0,     0,   395,
       0,   298,   300,   299,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   402,   366,     0,   868,     0,     0,     0,   404,     0,
       0,  1365,     0,     0,     0,     0,     0,  1372,  1269,  2107,
    2108,  2105,  1745,  2322,     0,     0,     0,   974,     0,     0,
       0,     0,   415,   416,   150,   414,   439,     0,   812,     0,
       0,   846,   851,   859,  2649,  2245,  2246,   857,   852,   854,
     856,   858,   855,     0,     0,     0,     0,   512,     0,     0,
       0,   499,     0,     0,   509,   492,   495,   496,     0,     0,
     675,   678,   676,   677,     0,   697,     0,   471,   519,   575,
       0,   166,     0,     0,   167,   165,     0,     0,   375,   759,
       0,   756,  1391,     0,   192,     0,   729,     0,     0,     0,
       0,     0,  1199,   667,     0,   864,   866,   838,     0,   709,
       0,     0,   624,     0,   546,  1598,   607,     0,   577,   471,
     575,   584,     0,     0,   592,   374,     0,     0,   612,   375,
       0,     0,  1092,     0,   860,     0,     0,  1128,     0,     0,
       0,  1181,  1186,  1182,     0,  1161,  1143,     0,  1183,     0,
       0,  1189,  1114,  1163,  1115,  1433,  1434,  1431,  1432,     0,
       0,     0,     0,     0,     0,  1673,     0,     0,  1507,     0,
     916,     0,   899,     0,   901,   145,   746,     0,   145,     0,
       0,     0,     0,     0,     0,  1036,     0,  1030,  1032,  1057,
       0,     0,  1071,  1070,     0,  1061,  1069,  1067,  1068,  1066,
       0,     0,  1635,  1633,   610,     0,     0,   145,  1071,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2282,
       0,  2313,  2309,     0,  2116,  2283,  2363,  2379,  2381,  2169,
    2371,     0,     0,     0,  2394,     0,     0,  2372,  2332,  2386,
    2385,     0,     0,  2384,  2372,  2372,  2332,  2171,  2332,     0,
       0,     0,  2238,     0,     0,  2068,  2080,  2081,  2082,  2298,
       0,  2087,     0,  2077,  2078,  2079,  2071,  2072,  2073,  2074,
    2075,  2076,  2083,  2302,  2301,     0,     0,  2143,  2144,  2145,
    2304,  2152,     0,  2489,  2195,     0,  2156,  2185,  2184,     0,
       0,     0,  2159,     0,     0,  2181,     0,  2239,  2427,  2002,
       0,     0,  2029,  2308,  2047,     0,  2063,  2065,  2025,  2258,
       0,     0,     0,     0,     0,  2034,     0,     0,  2235,     0,
       0,     0,  2217,  2214,     0,     0,     0,     0,  1725,  1724,
    1730,  1791,  2104,  1791,     0,     0,  1918,     0,  1818,  1814,
    1816,  1822,     0,  2850,     0,  1823,  1830,     0,  1810,     0,
    1846,  1842,     0,  1843,     0,     0,  1844,     0,     0,  1812,
       0,  1830,     0,  1870,  1737,     0,  2206,     0,  1749,  1109,
    1110,  1759,     0,  1762,  2520,  1874,     0,  1624,     0,     0,
       0,  1615,  1621,  1603,     0,     0,     0,  1645,  1623,  1646,
    1153,     0,     0,  1145,  1082,  1083,  1086,  1084,  1081,  1085,
       0,     0,     0,   812,   815,     0,     0,     0,   813,   145,
    1265,     0,     0,     0,     0,   658,  1385,  1266,     0,     0,
       0,     0,  1165,  1319,     0,     0,  1289,   812,     0,     0,
       0,   556,     0,  1105,  1105,     0,   303,     0,   536,   597,
       0,   489,   488,     0,   486,   709,     0,     0,   310,   320,
       0,   315,     0,  1317,     0,     0,     0,     0,   314,   317,
     316,   386,     0,   383,     0,   145,   145,   361,   714,   372,
     377,   378,   381,  1324,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   893,   876,     0,
       0,   894,   895,     0,     0,     0,  1222,  1223,  1221,  1356,
    1357,  1363,  1360,  1358,  1362,  1364,  1361,     0,  1272,     0,
       0,   750,  1320,  1393,  1395,  1394,     0,  1397,   160,   157,
     158,   161,  1321,  1302,  1283,  1346,   606,     0,     0,     0,
    1281,     0,  1339,     0,  1298,  1292,     0,     0,     0,     0,
       0,  1384,  1312,  1344,  1383,  1310,  1342,  1309,  1341,  1311,
    1343,  1303,     0,     0,  1881,   873,     0,     0,     0,   145,
     145,   871,   748,  1285,     0,  1348,  1294,     0,     0,     0,
     966,     0,     0,     0,   968,   420,   440,   150,     0,   768,
     832,     0,     0,   848,     0,   497,     0,   503,   510,     0,
       0,   514,   515,   513,   498,  1199,   546,  1199,   801,   802,
       0,     0,   822,     0,   673,     0,     0,   469,     0,   516,
       0,     0,   473,   169,   168,     0,     0,     0,   763,   767,
     765,   764,   766,   761,     0,   752,   194,  2580,     0,     0,
       0,     0,   604,   598,   601,  1406,   839,     0,  1880,   742,
       0,   375,   620,     0,     0,     0,   469,   612,     0,   474,
     479,   480,   493,     0,   585,   576,     0,   577,   586,   587,
       0,   594,  1481,     0,   613,   594,     0,     0,     0,   863,
       0,   862,     0,  1131,  1148,  1149,     0,     0,  1191,     0,
       0,  1193,  1188,     0,     0,   781,   784,   777,   660,   145,
       0,  1510,   145,   145,  1248,     0,   910,  1051,  1052,  1053,
    1050,  1049,   652,     0,  1055,  1014,  1064,   740,     0,   611,
       0,  1015,   145,   991,   983,   990,   979,   982,   984,     0,
     986,   987,   981,   978,   980,  2312,  2133,     0,  2378,  2380,
    2167,  2391,  2390,  2166,  2397,     0,     0,  2360,  2388,  2387,
       0,     0,  2372,  2372,  2136,  2147,     0,  2237,  2268,     0,
       0,  2088,     0,     0,     0,  2142,  2845,     0,     0,  2199,
    2200,     0,  2196,  2197,  2192,  2193,  2158,     0,  2637,  2176,
       0,     0,  2191,  2051,  2049,  2048,  2033,     0,     0,  2031,
    2027,     0,  2056,  2201,  2234,  2268,  2203,     0,  1745,  1729,
    1728,  1727,  1726,  2206,  2424,  2206,   239,  1716,     0,  1866,
       0,  1869,     0,     0,  1820,     0,     0,  1824,     0,     0,
    1826,  1828,     0,     0,     0,     0,     0,     0,  2413,     0,
    1790,     0,  1745,     0,  1760,     0,  1622,  1607,     0,  1608,
    1614,     0,     0,     0,     0,     0,  1650,  1643,  1146,  1154,
       0,     0,     0,   541,   817,   816,   819,   814,   818,  1521,
       0,   691,   692,   695,  1291,     0,  1352,  1300,     0,  1639,
     532,   305,     0,   551,     0,     0,     0,  1098,   140,  1097,
       0,   551,   551,   485,   484,   493,   313,     0,     0,     0,
     307,   385,     0,   387,   308,   312,   366,   329,   322,     0,
       0,     0,  1287,     0,  1350,  1296,  1323,  1375,  1270,  1334,
       0,     0,   882,     0,     0,     0,     0,  1376,  1271,  1335,
       0,     0,     0,     0,     0,  1639,     0,     0,     0,     0,
       0,     0,     0,     0,  1530,     0,     0,   365,   870,   869,
     366,   403,  1314,     0,  2106,     0,   967,   972,   973,   971,
       0,   409,   417,   420,     0,     0,  1239,  1239,     0,     0,
     494,   511,     0,   596,   555,   596,     0,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   755,   754,   191,     0,   469,     0,   709,     0,
     867,     0,     0,     0,   612,   471,     0,     0,  1595,   470,
       0,     0,   482,     0,   588,   577,   585,     0,     0,   609,
       0,  1474,     0,   615,     0,     0,     0,   811,  1187,     0,
    1201,     0,  1142,  1112,  1196,     0,  1721,  1873,     0,     0,
       0,     0,   794,     0,   664,  1240,  1508,   900,   902,   747,
    1058,     0,  1071,  1063,   985,  2362,  2396,  2331,  2333,     0,
       0,  2354,  2347,  2350,  2348,  2349,  2351,     0,  2346,     0,
    2164,  2395,  2344,  2358,  2297,  2239,  2085,     0,  2300,  2299,
    2303,     0,  2153,     0,  2154,  2198,  2160,  2177,     0,  2161,
    2189,     0,     0,  2052,  2050,  2035,  2236,     0,  2221,  1699,
    1698,     0,  1719,  1902,  1871,     0,     0,  1865,     0,     0,
    1896,     0,     0,     0,  1831,  1849,     0,  1827,  1825,     0,
    1838,     0,  1840,  2519,  2806,  2705,     0,  1777,  1779,  1782,
    1784,  1783,  1785,  1781,  2205,  2207,     0,  1756,  2260,  1875,
       0,     0,     0,  1093,     0,     0,  1623,  1652,  1664,  1664,
    1647,  1059,     0,   145,   687,     0,     0,   284,  1105,     0,
    1199,   557,  2649,   558,  1104,  1108,   139,     0,  1199,  1199,
     481,     0,   311,   321,     0,   368,   380,     0,  1639,     0,
       0,   880,   889,   889,   877,     0,     0,   896,  1273,   751,
       0,   560,     0,   279,  1299,  1293,     0,     0,     0,  1532,
    1533,     0,     0,     0,     0,     0,  1322,   145,  1295,   975,
       0,   442,   450,   421,   425,  1524,     0,  1524,     0,   422,
     426,  1524,  1524,   419,  1873,   438,  1239,     0,  1236,  1235,
     544,   626,     0,     0,   501,     0,   566,   500,     0,   823,
       0,     0,   708,     0,   471,   575,     0,   529,   520,   521,
     522,   523,   525,   524,   526,   527,   528,   518,   517,     0,
     709,   886,   375,  1481,   749,     0,     0,   722,     0,   709,
       0,  1598,   608,   577,   471,   575,   475,   493,     0,   592,
     585,   588,     0,   589,     0,   593,     0,     0,     0,   612,
    1534,  1092,     0,     0,   812,  1200,  1161,     0,     0,  1190,
    1194,  1195,     0,     0,     0,     0,  1243,   788,   789,   783,
     785,     0,   796,   800,   659,     0,     0,   663,   654,   709,
     145,     0,     0,  2345,  2352,  2353,     0,  2174,     0,     0,
    2370,     0,     0,     0,  2086,     0,     0,  2179,  2178,  2190,
    2162,  2216,     0,     0,     0,     0,     0,     0,     0,  1710,
       0,  2332,  1864,  1867,     0,  1899,     0,     0,     0,     0,
    1884,     0,  1829,     0,     0,  1839,     0,     0,     0,  1786,
       0,     0,     0,  1795,     0,  1620,  1873,     0,  1617,     0,
    1659,     0,  1651,  1653,     0,     0,     0,  1078,     0,  1079,
    1301,     0,  1099,     0,   596,     0,  1111,  1108,   546,   596,
     596,   626,     0,     0,   324,     0,   292,  1297,     0,     0,
     891,   891,     0,     0,     0,     0,     0,     0,   397,     0,
       0,  1526,     0,  1527,  1528,  1531,   405,   418,     0,   448,
     447,     0,   445,   444,   446,     0,   435,     0,     0,     0,
       0,     0,     0,   408,  1234,  1238,  1237,     0,   502,     0,
     504,     0,     0,   552,   553,   554,     0,   506,   562,   563,
     820,     0,   825,     0,   711,     0,     0,   709,   574,   733,
       0,     0,     0,  1475,     0,     0,   599,   743,  1481,   612,
     585,     0,   577,   483,     0,   594,   588,   592,   590,   591,
       0,  1478,     0,   614,     0,  1101,   810,     0,  1191,  1202,
    1197,  1192,  1437,     0,     0,   786,   791,   790,  1524,   795,
       0,     0,     0,   662,   661,   737,  1016,  2334,  2335,  2359,
       0,     0,     0,  2338,     0,  2336,     0,     0,  2358,     0,
    2175,  2296,  2182,  2155,  2180,  2793,  2520,  2764,     0,  2233,
    2222,  2233,  2233,  2213,     0,     0,     0,  1901,     0,     0,
       0,  1897,  1898,  1882,     0,     0,  1886,  1836,  1862,     0,
       0,     0,  1780,  2208,  2209,  2443,  1609,  1619,  1094,     0,
    1661,  1663,     0,     0,     0,  1639,     0,   561,     0,  1095,
    1111,   555,   812,   812,   318,   309,   367,     0,     0,     0,
     887,   890,   878,   879,   898,   897,   753,  1639,     0,   393,
     392,     0,   396,     0,   443,   453,     0,   451,   423,   428,
       0,   434,   433,   430,   429,   424,   427,   543,     0,     0,
       0,     0,     0,     0,   564,     0,   565,     0,   824,     0,
       0,     0,   735,   885,     0,     0,   469,   709,  1476,  1596,
     588,   577,   585,     0,     0,   579,  1105,  1105,   456,   592,
     594,  1479,  1480,     0,     0,   509,     0,  1113,  1436,  1435,
    1721,     0,     0,     0,   797,   798,   793,     0,     0,  2339,
       0,  2342,     0,  2343,  2337,  2367,  2369,     0,  2355,  2356,
       0,  2226,  2225,  2224,  2228,  2227,     0,  2220,  2218,  2219,
       0,     0,     0,     0,  1868,     0,  1885,  1888,     0,     0,
       0,  1894,     0,  1887,  1889,     0,  1848,     0,  1860,  1788,
       0,  1787,  1873,     0,  1666,     0,     0,  1654,  1655,     0,
       0,  1656,   145,   285,   550,   812,   559,  1096,   566,   535,
     533,  1639,   881,     0,   280,     0,   398,  1529,   449,     0,
     432,   431,   625,   505,   595,   571,     0,   570,     0,   568,
     567,   821,   826,     0,   709,   875,  1481,   723,   592,   585,
     588,     0,   578,     0,   140,   140,   594,   454,     0,     0,
     375,     0,  1419,  1721,  1418,  1420,  1428,  1425,  1427,  1426,
    1424,     0,  1246,  1247,   787,   792,     0,     0,  2340,  2341,
       0,     0,  2173,     0,     0,     0,  2230,     0,  2231,     0,
       0,     0,     0,     0,  1891,  1892,  1893,  1895,  1890,  1835,
       0,  1789,  1616,  1660,  1662,  1657,     0,  1658,     0,     0,
       0,     0,  1667,  1080,   537,   812,   293,   888,     0,   452,
     569,   546,   546,   709,   734,  1477,   594,   588,   592,  1105,
     580,   582,   581,   458,  1101,  1102,     0,   594,   800,     0,
    1429,  1423,  1697,  1684,     0,     0,   799,     0,     0,     0,
       0,  2223,  2229,  2232,     0,     0,     0,     0,  2630,     0,
    1903,     0,     0,     0,  1665,  1671,     0,     0,     0,   538,
       0,   573,   572,   736,   457,   592,   594,   140,   509,  1100,
       0,  1873,     0,  1421,  1721,     0,     0,   805,  2366,  2368,
    2357,  1715,  1714,  2811,     0,     0,  1718,  1911,     0,  2360,
       0,     0,  1914,     0,  1861,     0,     0,     0,   394,   594,
     455,   583,   375,  1103,  1087,     0,  1422,     0,     0,   807,
       0,   803,   806,   808,   809,     0,     0,     0,     0,  1904,
    1905,  1914,     0,  2344,  1914,  1883,  1668,  1672,     0,  1669,
     459,   594,     0,     0,     0,   771,     0,  1745,     0,     0,
       0,  1900,  2360,  1913,  2370,  2344,     0,  1873,     0,     0,
       0,   804,     0,     0,     0,     0,  1908,  2358,  2370,     0,
    1088,   805,  1244,  1245,     0,  1717,     0,     0,  1906,  2358,
    1670,     0,     0,  1909,  1907,   772,     0,  1910
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5794, -5794, -5794,  4109,  -460, -1714, -5133, -1135,  -874, -5794,
   -5794,  -961, -1380,  3330,  -968, -5794, -5794, -5794,  1515, -5794,
   -5794, -5794, -5794,  4070, -5794, -2950, -5794, -5794,   224,  4025,
   -1375,   195,  3654,  1609, -5794, -1029, -5794, -5794,  -626,     4,
   -5794,  4031,   694, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
   -5794,  -876,  2081, -5794,  2183,  1418, -4861, -5794, -5794, -1539,
   -3806, -5794,   667, -5794,   702, -4156, -5794, -4842,  -986, -5794,
   -5794, -5794,  2082, -5794, -5794, -5794,  2029,  1218,  -343, -5794,
   -5794, -5794, -5794, -5794, -5794,  -810, -5794, -5794, -1116,     2,
    -649, -2973, -4351, -5794, -5794,   524,  -385, -1496, -5794,   719,
   -5794,   720, -5794, -4858, -5794,    23, -2766, -2339, -5794, -5794,
   -5794,  -360, -1514,  1461, -5794,  1524, -5794,  -724, -1192,  1904,
   -2178,  -945, -5794,  -247, -3595, -1090,  -820,  -816,  -982, -4369,
   -4895, -5794, -5794, -1120, -3813, -5212, -5471, -4942, -4809,  1471,
   -5794,    -4,   531, -5794,     5, -3676, -3768,     6,   504, -5794,
       7,     8, -5794,   522,  -746,  -966, -1607, -5794,  -825, -5794,
   -5794, -5794, -3468, -5794, -5794, -5794,   234, -5794, -5794, -5794,
   -5794,   566, -5794, -5794, -5794, -5794, -5794, -5794, -3215,  2055,
    2060, -5794, -4368, -5794,  -936, -5794,   729, -3527,  1456, -5794,
   -5794,  1212,  4114,   548, -5794, -5794, -5794, -5794, -5794, -5794,
   -1808, -5794, -5794, -5794, -5794,    24,  -326, -5794, -5794, -5794,
   -5794, -5794, -5794, -5794,    11, -5794,  1177,   485, -5794, -5794,
    -638, -5794, -5794, -5794, -5794, -5794, -5794, -1175, -5205, -1306,
   -1279, -5794, -3498, -5794, -5794, -5794,  -299, -5794, -5794, -5794,
   -5794, -5794,  -861, -5794,  1270, -4183, -5794, -5794,   525, -5794,
   -5794, -5794, -5794, -5794,  -953,  -241,  3303, -5794,  -499,  -726,
   -5794, -5794, -5794,  -239, -5794, -5794, -5794, -5794, -5794,  -515,
   -1252,  5130,  4485, -1119,  4800,  -846,  -552, -5794, -5794, -5794,
   -2863, -5794, -5794, -4322, -5794,  5122,  2590,  1098,    12, -5794,
      29,   137,  3918, -5794,  1137, -1156, -3152,   481,  -458, -5794,
   -5794, -5794,   480, -5794, -1943, -5794, -5794, -5794, -5794, -4121,
      13, -5794, -4402, -5223, -4650, -4190, -1148, -5794, -4518, -5215,
   -4129, -5794,  2083, -5794, -5794,  -535,  -192,  3246, -5794, -1484,
    2424, -1423, -5794, -2612,   541,  1617,  3251, -3281,  -140,  3244,
   -3028, -5794,  -664,  1201, -5794,  -330, -3834, -5794, -5794, -5794,
   -2796,  -590, -5794, -5794,  1650,   910, -5794, -5794, -5794, -5794,
    -652,  3222,  -177, -5794, -5794,  4461, -5794, -5027, -5794,  4419,
   -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -5794, -1491,
    1373, -5794,  -818, -5794, -5794,  2186,   755, -5794, -5794, -5794,
   -5794,  1462,  -345, -5794, -5794, -5794, -5794, -5794, -5794, -5794,
    -939, -1171, -5794, -5794, -5698, -5794, -5794, -5794, -5794, -5794,
    2223,  -955,  -739,  4327,   940,    15, -5419, -5794, -5794, -1160,
   -5794,  3673, -5794, -5794, -5794, -5794, -5794,   539,   538, -5794,
   -5794, -5794, -5794, -4140, -5794, -5794, -5015, -5794, -5794,  2165,
   -5794, -5794,  1332,     3,  3366, -5794, -5794, -5794,    19, -5794,
   -5794, -1026,  2514, -5794, -2375, -5794,  -575, -5794, -5794, -1910,
      16, -4386, -5794,    51, -5794, -5794, -5090, -1089,   333, -5794,
   -5794, -4112,    58, -5794, -5794, -5794, -5794, -5087, -5794,    60,
   -5610,   900, -3362, -5794,    10, -5794,  -411, -5794, -5794,  -412,
   -5794, -5794, -5794, -3965,    20,    31, -5794, -5794,    82,   467,
     -47,   -19,   -10,    21,   197,  3777, -5794, -5794, -5794, -4538,
    3814, -5794,    39,  -872,  5161,  5162, -5794,  -912,  -130,   490,
    1720,  -660, -2626,  3727,  3730, -5794,  1710,  2529, -2442, -2439,
   -5794,  -948,  -806,  -614, -5794, -5794, -5794, -5794, -1527,  -648,
   -2643, -5794,  3731, -5794, -5794, -5794, -2352, -3398, -3337,  1750,
   -3317, -3203, -5794,   991,   971,  -960,   -71,    25, -1475,  -781,
    1802, -5794, -5794,  1759,  -340, -5794, -5794,  -335, -3324,   936,
   -5794, -4591, -2855,  1767, -1098,  -779, -5794,  -927, -5794,  -580,
    1773, -5794, -3901, -1131, -5794, -3861,  1763,  3801,  -830, -5794,
   -5794,  -788, 11541, -5794, -5794, -5794, 11783, 12416, -5794, -5794,
   12564, 14055, -5794,  -541, 14095, 10858,  -787, -1938,   400, 14280,
   18134, -1911,  -897,    71, -5794, -2963, -2449, -5794, -5794, -5794,
    -301,  1087,   748, -5794, -5794, -4662, -4374, -5794,  2660, -1981,
   -5794,  -588,  1840,  -585, -5794, -5794, -5794, -2507, -5566, -2702,
    2663, -5794, -5794, -5794,  -185, -5794, 19826, -3245, -5794,  -733,
   -1001, -1604,  3172, -2993, -1925, -5794, -5794, -5794, -3115, -5794,
   -5794, -5794,  -607,  1862, -5794, -5794,  1993, -5794, -5794, -5794,
    -972,  2234,  -767, -1196,  1873, -4488, -5794,  -521, -4120, -5005,
   -5794, -5697, -4484, -1837, -1109, -3017, -3906, -1952,  1892, -3122,
   -5794, -1949,  1968,  1182, -5794, -2386, -5794,  4353,  -782,  2685,
    -799, 18267,  -713, 10158, -1274, -5794,  4304, -5793,  5362,  7555,
      28,  -116,  4650,  -645,  2597,  3248, -5794, -5794,    -6,  9730,
    -661,  -896, -5794,  5240, 17617, 16395, -3720, -5794
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1108,  1113,  1912,  1931,    61,
      62,  1632,  3066,  2919,  3894,  3895,    63,    64,  1628,    65,
      66,    67,    68,  1542,    69,  1884,  3080,    70,  2752,   850,
     851,   852,  2617,  2618,  3011,  2619,  2607,  1394,  1830,  1564,
     824,   825,  1524,  1565,    72,    73,  1388,  2598,    74,    75,
      76,  1595,  1691,  1596,  1597,  1536,  5034,  5864,  3680,  2874,
    3942,  3681,  3682,  4370,  4371,  3760,  4399,  4461,  5878,  5879,
      77,  1707,  1708,    78,    79,  3048,  3860,  4514,  5421,  5422,
    5683,   669,  5057,  5058,  5670,  5671,  5893,  6066,  6067,  3081,
     700,  3937,  4598,  3885,  5128,  3886,  5129,  3887,  5130,  4924,
    4925,  4360,  4361,  3871,  4545,  4546,  2088,  5070,  4547,  3888,
    5089,  5717,  3889,  2840,  2767,  2768,  5908,  3115,  2003,  2001,
    5620,  5696,  4910,  4911,  4435,  5917,  5918,  5919,  6209,  5091,
    5134,  5135,  6104,  6105,  3940,  4604,  5141,  5479,  5694,  3638,
      81,  3913,  3914,    82,   763,  1906,  4041,   764,  3118,   701,
     765,  3082,    87,  3108,  5910,  3109,  1660,  2933,  4527,  4017,
      88,  1136,  4324,  5504,  5777,  5778,   754,    89,  1892,    90,
      91,  3061,  3878,    92,  2785,  3586,    93,    94,  3605,  3606,
    3607,    95,  4555,  5440,  1598,  3669,  3670,  3671,  3672,  4391,
      96,  1887,  3089,  3090,    97,    98,    99,  3220,  3221,   100,
    2997,   101,   102,   103,   104,  4429,  4991,  5105,  3711,  3901,
    4571,  5103,   105,  3864,  3083,  3136,  3975,  3976,  5502,  5769,
    5770,  5771,  5968,  6244,  5773,  5970,  6126,  5972,  5080,  6390,
    6391,  5754,  4313,  4888,   107,  5081,  5082,  5923,   108,  2783,
     109,   110,  1861,  3054,  3055,  4528,  3125,  3950,  3951,  4584,
    4585,   111,  3800,   112,  4967,  4968,   702,  5931,  5870,  6052,
     113,   114,  4971,  4972,   115,   116,   117,   118,   119,   755,
    1070,  1071,   757,  1191,  1192,  3547,  1153,   120,  2627,   121,
    3840,   122,  1266,  5194,   123,   789,  1207,  1208,  3084,   125,
     799,  3239,   801,  3204,  3205,  2019,  4021,  4022,  4672,   126,
     127,  4025,  4026,  4679,  3217,   128,  1529,  2762,  2763,  4880,
    3085,   703,  3632,  5602,  5347,  5603,  6115,  6306,  5348,  3491,
    4269,   130,   704,  1570,  2824,  1159,  1160,  3129,  3955,  2732,
    2733,  1730,  4625,  2735,  3957,  2736,  1503,  2737,  1146,  1147,
    3963,  3964,  3965,  3966,  4621,  4631,  4632,  5496,  5762,  4628,
    1880,  5490,  5491,   131,  1567,  2821,   132,   133,   134,  1611,
     994,  1169,  1170,   135,   716,   717,   136,  5688,   137,  1149,
     138,  5500,   139,   140,  1251,  1252,   816,   141,   142,  2844,
    4373,   143,  1568,   144,   145,  3705,  3706,  4983,   146,   147,
     148,  2905,  2906,   149,   150,   151,   152,   153,  6234,  6309,
    6310,  6311,  4639,  6120,   154,  1239,   155,   156,   157,   158,
     196,  1035,  1036,  1037,   947,  3086,  5481,   160,   161,  1525,
    1526,  1527,  1528,  2757,   162,   163,   164,  3985,  3986,   165,
     166,   167,   168,  1864,   169,   170,  5661,   171,   172,  1834,
     173,   174,  1044,  1045,  1046,  1047,  1832,  3435,   663,   869,
    1419,  1425,  1468,  1469,  1470,   176,   767,   177,  1242,  1075,
     768,  1200,   179,   769,  2714,  3521,  4284,  4285,  4286,  4289,
    5313,  4857,   770,  3517,   182,  2026,  3226,  3229,  3513,   771,
    3527,  3528,  3529,  4293,   772,  5606,  5607,  5608,  5609,  5845,
    6177,  6178,  6181,  6282,   773,   791,  1139,  3140,   774,  1353,
     188,   189,   190,   927,   872,   873,  3440,  5562,  5809,   192,
    2591,  3418,   808,  1474,   915,   916,   917,   936,  3021,  2680,
    2681,  2705,  2706,  1483,  1484,  2693,  2697,  2698,  3504,  3497,
    2686,  4263,  5587,  5588,  5589,  5590,  5591,  5592,  4846,  2701,
    2702,  1486,  1487,  1488,  2710,   193,  2670,  3470,  3471,  3472,
    4239,  4240,  6166,  4254,  4250,  4831,  5290,  3473,   861,  1237,
    1495,  4839,  6168,  3474,  5279,  5280,  5567,  4259,  3483,  4280,
    3925,  3926,  3927,  3475,  5819,  5820,  6163,  6164,  5569,  5570,
    3476,  5811,  6329,  6330,  6368,  6403,  2738,  1448,   900,  1354,
     901,  1461,  1355,  1435,   903,  1356,  1357,  1358,   906,  1359,
    1360,  1361,   909,  1427,  1362,  1363,  1444,  1457,  1458,  1364,
    1420,  5571,  1366,  1367,  1368,  3478,  1369,  4775,  5251,  5237,
    3340,  3341,  2614,  5552,  4771,  4152,  4765,  2584,  2588,  5302,
    5594,  5595,  3411,  4201,  4802,  5268,  5805,  5999,  6000,  6147,
    1370,  1371,  1372,  3403,  2578,   997,  1373,  4530,  2580,  3331,
    3309,  1733,  3310,  2029,  2051,  3258,  3274,  3275,  3379,  3311,
    3319,  3324,  3332,  3365,  1374,  3260,  3261,  4063,  2053,  1375,
    1041,  1736,  1042,  1463,  3360,  5217,  5517,  5518,  5790,  5791,
    5528,  5792,  5529,  5519,  4074,  4075,  5988,  3285,  3380,  4078,
    3293,  3294,  4096,  4085,  3286,  1376,  4087,  1384,  1385,  1378,
    2020,   862,  5286,  1195,  1817,   805,  1379,  1380,  1381,  1382,
    1604,   968,  1162,  1163,   918,   920,   921,  2674,   659,   651,
     970,  3673,  2581,   660,   653,   654,  1822,  2582
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     650,  1048,    80,   175,    71,    83,    84,    85,    86,   926,
     184,   106,   124,   129,   960,   159,   178,   802,  1829,   804,
     185,   191,  1001,   810,   766,  1006,   996,  1489,   818,   826,
     830,  1102,   833,  2000,   995,   826,   826,  1732,   863,   657,
     866,  1389,   191,  1194,  1659,  1946,   708,   922,   922,   922,
     793,   180,  2946,  2868,  1142,  1377,   793,   948,   181,   937,
     183,  1475,  2839,  1477,  1440,   828,  1712,  1460,  3514,   860,
    1823,  3637,  1228,  1229,  1230,  1664,  2048,   648,  1234,  2734,
    2838,  1724,   186,  1416,   864,  2825,  3515,  1889,  4043,  1140,
    2851,  3103,  3884,  1175,  1431,  1432,  1415,  4211,  3241,  4213,
    1004,  1048,  3967,  2040,  1439,  1508,  1234,  1188,  1403,  2032,
    1446,  1201,  4583,  2034,  1026,  3292,  2035,  2036,  4278,  3296,
    3232,  3540,  3542,  3015,  3257,  4436,  1862,  3906,  3797,  3915,
    1867,  4236,  4609,  4634,  1658,  1871,  4330,  1421,  4848,  4386,
    4358,  4388,  4362,  1690,  1818,  1881,  2734,  2907,  2907,  1069,
    4532,  2907,  1603,  1717,  1048,  2976,  2977,  4253,  1599,  1901,
     800,  4912,  5283,  3170,  4292,  3765,  4596,  3843,  3349,  3846,
    3847,  3316,   939,   829,  3851,  3852,  3853,  4863,  3855,  3856,
    3857,   940,  1142,  1621,  2816,  2666,  1202,  4291,  1638,  4882,
    1935,   650,   951,   951,   931,  1571,   951,  2972,  3122,  1185,
     962,  1173,   863,  5483,  1177,   998,  5088,  1048,   962,  5127,
    5148,   962,  5527,  4951,   863,  5625,   951,  1396,  5600,   863,
    3479,  5119,  1831,   951,  3004,   863,  3280,  3284,  3287,  3288,
     823,  5137,  3297,  5700,  3299,  3300,   232,   857,  5222,  3421,
    5223,  1874,  5476,  3423,  2816,  4267,  5444,   875,  5136,  5295,
    1019,  5297,  5617,  3433,  3506,  4298,  4593,  1898,  4183,  3509,
    4180,  2816,  5739,  5752,  5349,   849,  4080,   714,  5945,  1048,
    4251, -1981,  4256,  4257,  5472,  2671,  1482,  3903, -1981,  1938,
   -2564,  -150,  1897,  3480,  1415,  1942, -2606,  -150,  1485,   775,
    2796,  6137, -2632,  5006,  5475,  1953,  1566,  4619,  5346,  1956,
    3485,  1928,  2625,  1959,  5933,  1961,  1600,  5984,  5653, -2673,
   -1940,  1969,   775,  2989,  4082,  3824,  6130,  1975,  5869, -2485,
    1978,  6132,  3237, -2568, -1953,  1928,  1260,  1538,  2983,  5098,
     775,  3100,   946, -1978,   775, -2452, -2417,  1566,  2986,  1428,
    1429, -1973,  1566,  2830, -2452, -2452, -2453,  2842,  1209,  4169,
    1438, -2861,  1213, -1998, -1968, -2453, -2453,  1854,   714,   714,
   -2861, -2861,  2754,   958, -2416,   714,  6401,   714,  5196,  5197,
    5198,   667,  5200,  5201,  5202,  5203,  5204,  4243,  1928,  4548,
    1859,  1393,  2109,   714,  4093,  4116,  1142,  5663,  5664,  4676,
    5242,  4331,  4093,   775,  2604,  1129,  1600,   714,  4045,  4326,
    5689,  1928,   775,  2907,  3046,  2109,  5498,  3600,  2842,  1928,
    5856,   714,  4031,  4033,  2631,  3686,  2779,   934,  1031,  6172,
    2970,  2764,  6236,  5913,  4348,  5099,  3358,  2780, -2413,  6140,
    5149,  5802,  5746,   775,  1224,  3133,  5073,  2631, -2629,  3406,
    5747,  2765,  1539,  1823,  2834,  2677,  2963,  2633,  1724,  5905,
    1928,  4740,  1928,  4741,  1876,  4244,  5616,   781,  3134,  3811,
    5239,  3561,   835,   781,  2892,  1702,  1981,   187,  1232,   781,
    2633,  5827,  3069,  1478,  3218,  1121,  6110,  1551,  3233,  4856,
    4035,   782,  2109,  5806,  1928,  3358,   781,   782,   187,  4245,
    3709,  2673,  3654,   782,  4459,   194,   781,  5630,   996,  4116,
     781,  3075,  1431,  1432,  4246,  5635,  3601,   664, -2409,  2612,
     782,  2605,  1122,  1039,  2631,  1227,  5100,  1040,   807,  6098,
     782,  3105,  1032,   925,   782,  4116,  1954,  4247,  1031,  5947,
    -704,  2842, -2243,  6365,  1439,  6236,  3101,  4677,   714, -2243,
     195,  6402,  3759,  4455,  2842,  4460,  1446,  2633,   996,  5667,
    1123,  5866,  2613,  3562,  5807,  3795,  4248,  5355,  3655,  1233,
    4629,  1480,  2669,  1818,  2842,  1096,  4036,  5980,   836,  1944,
    3710,  1106,  3400,  5914,  3812,  3219,  2608,  5240,  2626,  3401,
    5740,  2620,  2620,  1120,  2700,  5288,  2103,  2021,  1033,  3407,
    4083,  5605,  1944,  2842, -2262,  2842,  5803,  3070,  2031,  1823,
    1124, -2262,  2062,  6418,  1142,  4580,  5906,  2781,  4742,  2893,
    1929,  5074,   888,  4170,  2836,  2041,  2594,  2869,  5981,  2102,
    2842,  3222,  1225,  4520,  5748,  3135,  5697,  5804,  1271,  1860,
    1984,  4116,  1032,   867,  1929, -2988, -2988, -2988,  6226,  2045,
    3019,  2766,  6040,  3479,  3687,  5728,  3215,  2606,   715,  2782,
    1034,  1039,  5915,  2773,  4249,  1040,  6236,  1051,   938,  5904,
    4094,  4032,  4034,   863,  4331,   951,  6334,   951,  4094,  2801,
     951,  5327,  2668,  3047,  2949,  5499,  4532,   998,  1079,  4678,
    1610,  3215,  1109,   959,   951,  4327,  1233,  1929,  6321,   191,
     951,  3825,  2941,  3604,  5101,  2944,  5691,  2647,  1033,  4171,
    4620,  3215,  3057,  1540,  4986,  5581,  3480, -2629,  2024,  4549,
    1929,  2644,  2990,  3003,   650,   926,  3102,   709,  1929,  1076,
    4073,  2869,  2803,   962,  3013,  3014,  1077,   998,  1078,  2951,
     962,  2885,  2810,   962,  6109,  2837,  1860,  1142,  1428,  1429,
    6448,  3580,  2991,  1263,  2025,  1142,  1142,  6296,  5289,   951,
    1080,  1039,  6454,  3223,  1134,  1040,  5317,  2984,  1233,  1929,
    1034,  1929,  5097,  2720,  5985,  2913,  1630,  2987,  3012,  5102,
    5356,  1541,  2602,  6131,  2971,  1930,  1438,  1860,  6133,  1441,
    1442,  5365,   191,  2672, -2629,  1205,  1441,  1442,  4172,  2886,
    1631,  1039,  2869,  1929,  3253,  1040, -2629,  6295,  1443,  1937,
    -150,  -150,   863,  5145,  1206,  1445,  1211,  3188,  1215,  1490,
    3450,  1253,  3359,  2930,  1219,  1426, -2564,  2964,  2965,  2931,
    3020,  1222, -2606,  2934,  2935,  1601,  1602,  6346, -2632,  2711,
    4084,  1383,  1383,  1236,   863,   826,  4993,  1430,  5940,   826,
    5144,  2712,  4997,   787,   788, -2673,  2852,   787,   788,  3874,
     668,  1434,  1941,   863,  3172, -2485,  2870,  4918,   863, -2568,
   -1978,  1039, -2452, -2417,  1383,  1040,  1841,  6063, -1973,  5545,
    1846,  4187,  1847, -2453,  6379,  1952,   996,  5514, -2861,  5943,
    2063, -1968,  4630,  1974,  1845,  2105,  2592,  3198,  6218,  1236,
    6228, -2416,  3426,  4532,  6395,  2649,  2650,  4456,  2577,  3213,
    4095,  4131,  3215,  2820,  1405,  4828,   787,   788,   939,  4832,
    3609,  1383,  1836,  4253, -2243,  1601,  1602,   940,  2574,  2575,
    2576,  2577,  4294,  6247,  1977,   863,  1944,  4300,  4122,  4301,
    3694,    80,   175,    71,    83,    84,    85,    86,   863,   184,
     106,   124,   129,  1723,   159,   178,   787,   788,  6183,   185,
     191,  4512,  4513,   863,  3402,  4574,  2820,  1523,  4671,  4493,
    2870,  4898,  2894,  3875,  3056,  4581,  4450,  4451,  5852,  1494,
    6194,  4452,   863,  2820,  4724,  4725, -2262,   951,   951,  1860,
     180,  3224,  2943,  4593,  1545,  4507,  4956,   181,   868,   183,
    5982,  4729,  4364,  2572,  2573,  2574,  2575,  2576,  2577,  1944,
    1701,  3267,  3225,  6108,   714,  4581,  1702,  2774,  6298,   826,
     826,   186,  4128,  4129,  4130,  4131,  3479,  3034,  3074,  3479,
    5060,  4872,  5328,   710,  5983,  4061,  4818,  2795,  4820,  4821,
    2871,  2870,  1383,  1383,  4674,  5692,  4126,  4127,  4128,  4129,
    4130,  4131,  -441,  2589,  2025,  6037,   650,  6102,   951,  5059,
    6042,  6043,   962,  3506,  4671,   998,   962,  4272,   962,  4787,
    4218,  2872,  4710,   951,   714,  1392,  3291,  3479,  1422,  1400,
    2869, -1773,  3154, -1912,  6081,  3479,  2673,  3544,  3581,  3480,
    3161,  1530,  3480,  6090,   711,  6345,  2873,   863,  2869,  3385,
    5727,  6301,  6302,  1092,   951,   951,  3600,  3356,  5797,  6101,
    1878,  6174,  1721,  1928,  6286,  1156,  4572,  4365,  5398,  6278,
    1261,  5784,  6175,  3268,  5733,  1703,   863,   863,   863,  1497,
     951,  2087,   650,   714,   650,   650,   712,  2867,   713,  3112,
    3480,  1823,  5399,  6253,  2871,   187,   714,  2992,  3480, -2988,
   -2988, -2988,  4126,  4127,  4128,  4129,  4130,  4131,  6408,  1696,
    3862,  3971,  2869,  3064,  4912,  4082,  3113,  2973,   951,  2869,
     951,   951,  3199,  3511,  1048,  2872,  3456,  1406,  6227,  5445,
    3290,  3290,  1015,  1406,  3876,  4295,  5168,  1472,  1640,  4984,
    6412,  6124,  5113,  2853,  3116,  3317,  5636,  2869,   781,  6336,
    2873,  3269,  1697,  1383,  3338,  3601,  1531,  2854,  3518,  2855,
     941,  2869,  2869,  1016,   803,  2871,  6219,  5550,  3216,   932,
     823,  1682,   782,   934,  6381,  6125,  3210,  3211,  5446,  2002,
    1641,  2002,  3676,  6009,  1893,   863,   191,   802,   187,   925,
    1128,  2867,   714,  3386,  3355,   941,  2872,  2869,  3387,  1986,
    4635,  1988,  3972,  1990,  1407,  1992,  5086,  1994,  1995,  1996,
    1407,  2038, -1773,   863,  1998,  1944,  1257,  2044,  4529,  1921,
    2775,  2873,  1257,  3174,  3781,  2856,  5017,  1894,  3877,  3270,
    3782,  1383,  3271,  1922,  1963,  3512,   813,   933,  2910,  1588,
    3677,  2914,  2993,  1473,  6303,  3357,  5078,  1454,  1722,  3388,
    5551,   942,  3197,  3636,  1129,  4112,  3202,  3545,  3151,  1704,
    3546,  3209,  2867,  6280,  3212,   926, -1940,  5124,  3610,  2870,
    3539,  6279,  3163,  1383,  3254,  5462,  3256,  1964,  6426,  5798,
    6205,  5474,  3263,  6008,  5493,  3169,   942,  2870,  3277,  3278,
    1923,  4636,  1227,  2103,  5125,  3629,  5926,  4366,  4367,  1498,
    3301,  1705,  1383,  1383,  1383,  5939,  1383,  4100,  4626,  5954,
    3321,  5311,  5929,  5925,  6344,  3839,  3336,  3065,  2590,  5468,
    3114,  5937,  3904,  1512,  5527,  6351,  5942,  1383,  4368,  3259,
    1920,   934,  3726,     3,     4,  5785,  1706,  3863,   943,  3783,
    1532,  1130,  3604,  5941,  3147,  5323,  5056,  1698,  4913, -1940,
    3272,  2870,  3695,  3462,   938,  3678,   187,  3933,  2870,  6367,
    3519,  6255,  4113,  4114,  6380,  3149,   863,  4133,  3181,  5340,
    6158,  5975,  1929,  1093,  4440,  3834,  3168,  5527,  6082,  1879,
    3162,  5400,  1533,  3164,  1383,  1157,  2870,  5193,  3307,   996,
    5463,  4083,  2776,  1512,  1924,  3005,  3827,  6410,  2629,   760,
    2870,  2870,  4562,  3389,  2816,  6176,  1622,  3200,  4164,  4165,
    5087,  1513,  3112,  3611,  5079,  2678,  2679,  1534,  2683,    15,
    3727, -1774,  1895,  5018,   940,   940,  6280,   940,  2108,  6427,
    1383,  2109,    40,  3201,  1383,  1383,  2870,  3207,  3208,  3113,
    3973,  4964,  1450,  2871,  6256,   863,   863,   863,  2718,  4216,
    1383,  5848,  5287,  6263,  5842,  3974,    20,  5291,  6291,  1699,
    5293,  2871,  2946,  2631,  5316,  1514,  3273,  1925,  5284,  4637,
   -2988,    44,  1965,   826,  2872,  3728,  1494,  3696,  1494,  5124,
     935,  1513,  6281,  2687,  4448,  3333,  2764,  6159,  2777,  6118,
    1535,  3252,  2872,  3073,  3488,  5895,  2633,  5897,  5126,  2873,
    5652,  5901,  5902,  4273,   944,  6206,  5125,   814,  2807,  1131,
    5775,  2687,  4458,   826,  4851,    48,   951,  2873,  5441,  6092,
    1451,  1623,  1499,  3784,  4414,  2871,  4495,  4900,    49,   863,
    2841,  2688,  2871,  3679,  1896,  1514,  5312,  3729,   863,   944,
    2867,   951,  6241, -1940,  4638,   815,  6257,  1132,  6224,  6225,
    6142,  3422,    50,  5838,  4969,   834,  2872,  5158,  2867,  2688,
    2871,  4684,  4958,  2872,  1500,  3785,  1074,  5865,   998,  1926,
     863,  3520,  4965,   826,  2871,  2871,  2909,  2909,  3915,  1515,
    2909,  2873,  1823,   858,  1966,  3489,   665,  2769,  2873,  6207,
     826,  2872,  1523,   863,  4563,    40,   863,  1523,  1452,  1501,
    3786,  1453, -1774,  5050,  3956,  2872,  2872,  6028,  5054,  4532,
    2871,  1133,  5742,  1134, -2988,  2770,  2873,  1135,  6208, -2988,
     951,  3787,  2867,  5741,   870,  2689,  1031,  5743,    40,  2867,
    2873,  2873,   187,  1246,    44,  6292,  1944,  3192,   863,  4415,
    3600,  2872,  3334,  5456,  1516,  3453,  1627,  2690,  6152,  1515,
     951,   951,   951,   951,   863,  6241,  5732,  2867,  1198,  6160,
    3730,  2734,    32,  3788,  6161,  2734,  2873,    44,   863,  2967,
   -2988,  2867,  2867,  1523,   831,  2690,  6119,  1523,    48,  1383,
    1383,  1383,  1517,  4966,  4274,  4970,  1518,  6039,  3559,  6217,
      35,    49,   194,  5118,    40,  4852,   929,  5776,  3789,  6162,
    2050,  6258,  2811,  1944,  1588,  1624,  2766,  2867,  1450,  3150,
    6096,    48,  2691,  3432,  2753,    50,  1661,  2936,  6143,  1454,
    2059,  1519,  5520,  3454,    49,  1247,   996,   996,  2638,  5839,
    1032,  1818,  1264,    44,    56,  3160,  4685,   195,  5077,  3601,
    2691,  6347,  6324,  2758,  4529,  5521,  5115,  1625,    50,  3498,
    3143,  5522, -1940,  3479,  6325,  2759,  1520,  3479,  1662,  1521,
   -1940,  5437,  1430, -1940,  1459,  5523, -1940,    56,  1538,  6419,
    3613,  5662,  4982,  2760,   899,  3602,  6241,    48,   863,  2100,
     194,   761,  1626,  2770,  3190,   979,  1451,  2771,  6123,   863,
      49,  3731,   980,   981,   982,  3078,  1033,   951,   951,  3732,
    1271,  2812,  3733,  4116,   928,  3193,  6294,  4117,  4118,  4119,
    1522, -2436,  6420,   951,    50,  -173,  3480,  3603,  2684,  5281,
    3480, -1697,  4928,  4416, -2988,   195,  1520,  5744,  1911,  1521,
    1860,   863,  2909,   762, -1697,  1455,  1210,  1212,  1214,  3194,
   -1697,  1216,  1217,  1218,  1454,  6398,  -173,   951,   951,   951,
     951,  1223,  6179,  3195,  3656,   996,   863,  4929,  1034,  1440,
    1456,  1509,  3479,   863,  1452,  4417,  3123,  1453,  1478,  3614,
    3510,  6187,  2937,  3441,  1663,  2596,  5932,  2938,  3190,  3079,
    5071,   650,  5438,  1539,   650,  6343,  1612,  5946,   945, -1697,
    3190,  3196,  3560,  5659,   962,   962,  4343,  4453,  6436,  5524,
    4418,   938,   938,  1510,   938,   998,   998,  1248,  4462,   962,
    4874,  3734,   962,  3626,  1402,  5577,  3726,  5660,  5966,    40,
    3657,  3482, -1697,  3745,   946,  3480,  3604,   951,   951,  4849,
   -2988,  3683,  6180,  2685,   951,  1630,   863,   954,  1511,  3890,
    1977,  5953,  2572,  2573,  2574,  2575,  2576,  2577,  2761,  2597,
    1249,  4954,  1250,  2002,  5072,  4930,  1480,  3707,    44,  1631,
     951,  4529,   962,  1613,   191,  3206,   962,   962,  5967,   863,
     863,  4294,   951, -1697,  4344,  4454,  3182,  3283,  3183,   863,
    3184,  4884,  3185, -1697,  3186,  1454,   863,  2109,  3187,   863,
    3123,  4120,  3734,   802,  3989,  5774,   802,  3243,  5512,  6305,
    1079,  1383,    48,  1383,  3727,   956,  4850,  1481,  1383,  1383,
    3227,   191,  6049,  3744,  4121,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  1383,  1383,  3238,  4955,
    6116,  1383,  4282,  1383,   998,  1383,  1383,  1383,  1383,  1383,
    1383,  1076,  4675,  1383,  5324,  1383,  1383,   661,  1077,  1383,
    1078,  3771,  2633,  4884,  1204,  5525,  1142,  3707,    56,  3728,
    4687,  3828,  3829,  3830,  1383,  1383,  1383,  5526,  3746,  4885,
    5986,  4283,  1080,  2734,  5443,  5898,  3749,  5425,  3790,  3752,
    5899,   977,  1383,  2734,  6117,  4265,  3818,  6100,  4711,  6050,
    3631,  3479,  3479,  4715,  4699,  2955,  1021,  4342,  2946,   662,
    4122,  1455,  3721,  1630,   661,  4367,  4723,  1245,  3915,  4533,
    4160,  5426,  4875,  5467,  3891,  4534,  5454,  4533,  5325,  4876,
    6383,  3729,   951,  3872,  3796,  2956,  4877,  1631,  5611,  4535,
    5613,  6099, -1697,  5763,  5900,  4942,  5924,  4244,  5987,  3242,
    1643,  4885,  3623,  3719,  3983,  3720,  5416,  4886,  5417,  5418,
    5419,  4887, -1092,  4657,  3480,  3480,   930,  4536,  2734,  4537,
    1417,  1879,  1644,  1504,  4878,  4536,  4736,  4737,  4738,  4739,
    2936,  4245,  4743,  4744,  4745,  4746,  4747,  4748,  4749,  4750,
    4751,  4752,  1667,  3834,  1478,  1692,  4834,  4879,   233,  4502,
    1479,  1630,   978, -1744,   666,  3919,  3920,  3921,  3922, -1744,
    3924,  1505,   758,  2907,  3762,  1506,  3763,  4714,  3718,  4247,
    3767,  4411,  4719,  4720,  1645,  1631,  5957,  3791,  4538,  4886,
     832,   680,  1467,  4887,  1668,  3952,  4538,  1693,  3981,  1383,
    2859,  1694,  3006,  3987,  -150,  3988,  4791,  4792,  4457,  5433,
    1507,  5435,  1670,  6424,  3730,  3994,    29,  4539,  3995,  6220,
    3996,  3997,  3792,  4412,  3999,  6232,    29,  2109,  4002,  1669,
    4003,  6273,  1695,  4005,  1985,  6438,  2860,  1987,  5974,  1989,
    4815,  1991,  1480,  1993,  3007,  1030,  2847,  1997,  2848,   680,
    4027, -1744,  2917,  1383,  1121,  4494,  6274,  2920,  4413,  2631,
    5936,  3892,  3636,  3793,  4297,   682,   985,   986,   987,   988,
     989,   990,   991,   992,   993,  -617,  1646,  1038,  1671,  4913,
      40,  4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,
    5903,  1122,  2633,  1481,  2859,  2937,  1879,  4044,  3794,  4540,
    2938,  4670, -1744,  3479,  4541,  2842,  4249,  5429,  4016,  1383,
    3479,  4913,  4541,  3893,  2849,  3479,    40,  2843,  3479,    44,
    1672,  4817,  5068,   682,  4354,  3945,    40,  1673,  1899,  4575,
    2860,  1674,  4605,  2995,  1647,  1082,  6297,  3001,  5659,  1648,
    6406,  5673,  6409,  1977,  1649,  3731,  3317,  3317,  4671,  5069,
    4542,  3317,  1900,  3732,  6307,    44,  3733,  5840,  4542,  3907,
    2945,  1271,  5660,    48,  4116,    44,  3480,  4543,  4117,  4118,
    4119,  4150,  6185,  3480,    35,  4543,    49,  4157,  3480,  1124,
     187,  3480,  6326,  3008,  5841,  1977,  4780,  1398,  5674, -1696,
    1971,  5019,  3317,  3317,  3438,  1651,  3009,  5659,  4057,    48,
      50,  5036, -1696,  2642,  6450,  2916,  5767,  6327, -1696,    48,
    2600,   760,    49,  5675,  1972,  5020, -1697,  4015,  1154,    56,
    3439,  5660,    49,  4642,  5037,  -467,  3010,   187,  4643, -1697,
    5768,    15,  5676,  1441,  1442, -1697,    50,  5677,  1824,  2842,
    4212,  1825,  6027,  1653,  1154,  2103,    50,   693,  6437,   694,
    1633,  2850,  1443,  4913,  4396,    56, -1430, -1696, -1430,  5678,
    2900,  3282,  6449,  5679,  6447,  6233,  4397,  1654,    20,  1709,
    6422,  4544,  1713,  6425,  6189,  6190,   698,  2924,  5680,  4544,
    2878,  6456,  5669,  2879, -1697,  3335,   775,  1084,  1656,   775,
   -1696,  1441,  1442,  1383,  1383,  1383,  1383,  1383,  1383,  1383,
    1383,  1383,  4270,  1383,  4058,   693,  6411,   694,   775,  4059,
    1445,  1675,  4115,   863,  1383,  4304,  1383, -1697,  5357,  6138,
    1430,  1089,  2667,   863,  4143,  6139,  5363,  3590,  1103,  3594,
    3595, -2410,  5281,  2620,  1875,   996,  1039,  5308,  1227,  1657,
    1040, -1696,   790,  3593,  1983,  1117, -1697,  1825,   790,  1676,
    -467, -1696,   863,  1677,  1383,  5067,  1126,   951,  1383, -1697,
    4167,  1383,  3434,  1383,  -616, -1697,  1383,  4871, -1697,  4463,
    1383,  5707,  1430,  1127,  2667,  4121,  3587,  5868, -1697,  1125,
    5152,  1620,  5872,  5873,  5681,  4643,  1637,  1144,  1678,   932,
    4223,  4224,  3479,  3481,  1039,  1679, -2417,  1148,  1040,   863,
     863,  4332, -1745,  1094,  4198,  1095,  6202,  1039, -1745,    40,
    1383,  1040,  2033,  1155, -1697,  1825,  4214,  6284,  1165,  1383,
    1383,  4299,  1098,  2628,  1099,  5708,  1825,  4315,  5709,  3370,
    3371,  3372,  3373,   863,  2641,  5710,  4372,  2642,  5682,  2675,
    3622,  3525,  1825,  3530,  4260,  3017,  3018, -1697,    44,  4142,
   -1117,  4144,  4145,  4243,  1430,  3480,  1459,   933,  5958,  5185,
    4185,  4122,  4335,  5711,  3178,  1164,  3189,  2642,  4591,  3190,
    3477,     3,     4,  3191,    32,  5192,  3190,  3364,  3230,  1823,
    2049,  3231,    56,   802,  1430,   802,  2667,  4529,  1171,  2668,
   -1745,  4941,    48,  3437,  1182,  5215,  1977,  1142, -1697,  1383,
   -1696,  3442,  5220,  5221,  2642,    49,    40,  4376, -1697,  4378,
     650,  1189,  5120,   962,   998,   962,   962,  6339,  3563,   951,
    3566,  1199,   863,  5712,   661,  3531,  3522, -1697,  2642,    50,
    3620,  4244,  3725,  3621,  3701,  3868,  5713,  3702,  3869,  4007,
     680, -1745,  3190,   826,  3138,    44,  3139,  4406,    56,  5714,
    1840,   934,   775,  3608,  5854,  2841,  4076,  4931,  4077,  4938,
    1226,  1849,  5859,  5860, -1090,  4245,  1231,  4056,  3642,   863,
    2642,  3342,  4899,  3479,  3345,  3653,  4065,  1857,  6272,  2642,
    4246,  4308,  4071,  1271,   863,  2642,  4116,  4916,  1227,    48,
    4117,  4118,  4119,  3479,  4072,  1039,  1235,  2642,  1464,  1040,
    1436,  1437,    49,  4247,  4913,  1238,   863,  5755,  4781,  2734,
    3507,  3508,  6182,  3815,   682,  4578,  4686,  4091,  4102,  4135,
    3827,  2642,  2642, -1768, -1768,  3479,    50,   863,  4149,  1243,
    4154,  2642,  4248,  4155,  4221,  4389,  3480,  2642,  4390,  1241,
     826,  4394,  4550,  4957,  4395,    56,  4305,  4306,  4422,  4491,
    1254,  4423,  4423,  4481,  1142,  1244,  3480, -1697,  3716,  4488,
    1255,  4864,  4614,   951,  4617,  4615,   951,  4618,  4203,  1256,
    4204,   684,  4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,
    4131,  4648,  4761,  4772,  4649,  4762,  4773,  4783,  3480,  4319,
    2642,  4859,   863,   863,  4860,  4865,  4870,  1258,  4866,  3546,
     935,  5833,  5121,  3056,  4205,  3190,  4206,  3798,  1257,  3801,
    3803,  6106,  5187,  5227,  3761,  2025,  2642,  5264,  5319,  1259,
    2642,  3546,  4431,  5343,  1265,  1039,  5344,  4437,  1267,  1040,
    4249,  4602,  5350,  4603,  2028,  3190,  4521,  5351, -1772, -1772,
    3190,  1383,  1383,  1383,  1401,  5352,  5469,  1383,  3190,  5470,
    3366,  5506,  3367,  5542,  4649,   951,  5543,  6384,  5544,  5564,
    5715,  2642,  5565,  5716,  1441,  1442,  5574,  3479,   951,  1977,
    5580,  1404,  5582,  4588,  1383,  4588,   951,  5702,  3368,  5722,
    5703,  5756,  3190,  5816,  5757,  4049,  5817,  4051,  4052,  2841,
    3455,  3457,  3458,  5138,   863,  4427,   693,  4121,   694,  5822,
    3905,  5825,  1977,   802,  4588,  5836,  1408,  5887,  5837, -1117,
    5888,  5928,  1409,  5131,  2599,   951,  3916,  4443, -1771, -1771,
    2108,  4861,   697,  2109,  1410,  1875,  3798, -2988, -2988, -2988,
    3480,  1418,  3364,  6440,  4046,  1414,   951,  5955,  3938,  5992,
    5837,  5993,  4155,  3369,  2642,  4650,  3479,  4652,  6013,  4654,
    5061,  6014,  5062,  5467,  1423,  2631,  6017,  6018,  6048,  1977,
    2642,  3231,  2632,  1424,  3956,  6054,  3469,  1271,  3231,  6055,
    4116,  5230,  3231,  5231,  4117,  4118,  4119,   951,  1430,   951,
    4913,   951,  6058,  4122,  6059,  2642,  6060,  2642,  2633,  6061,
    4915,  6088,  4917,  3477,  6089,  4920,  5788,  1426,  5789,  3370,
    3371,  3372,  3373,  5628,  5629,  4568,  3374,  3375,  1433,  3480,
    6154,   187,  3376,  4588,  2002,  6353,  6169,  6354,  2673,  2642,
    6025,  6171,  1434,  3934,  2642,  2734,  6184,   996,  3290,  3190,
    6198,  1447,  6222,  6199,  4582,  6223,  6271,  6304,  6349,  5830,
    5837,  6350,  6369,  1449,  1142,  6370,  1142,  1464,  1464, -1685,
    3317,  3317,  3317,  3317,  1476,  4693,  3317,  3317,  3317,  3317,
    3317,  3317,  3317,  3317,  3317,  3317,  4243,  6377,   650,   951,
    4860,   962,  1491,   962,   962,  4561,   951,  4564,  4680,  4551,
    1465,  4553,  6378,  1383,  4764,  2642,  1492,  4767,  1383,  1724,
    6106,  6405, -2751,  4811,  6014,  4813,  4913,  1493,   926,  6407,
    5532,  5533,  2642,  1459,  6415,  6453,  2634,  6416,  6370,  3479,
    6455,  2635,  6457,  6416,  5273,  6370,  5275,  4833,  1823,  4836,
    3317,  3317,  5559,  2713,  5560,  2716,  6001,  6002,  1142,  6148,
    6149,  4665,   923,   924,  1496,  4266,  1502,  1383,  1383,  1383,
    1543,  1569,  1383, -2454,  4244,  1572,   926,  1574,  5536,  1575,
    1383,  1383,  1383,  1383,  1610,  2673,  1615,  1614,  1616,  1627,
    1629,  1639,  2637,  4623,  1642,  4941,  1383,  4824,  3377,  1383,
    1666,  1383,  3480,  1683,  1684,  1700,  1710,  1711,  4245,  6230,
    3378,  4121,  1714,  1383,  1383,  1719,  1720,  1383,  1833,  1835,
    1837, -2751,  1842,  4246,  4123,  4124,  4125,  4126,  4127,  4128,
    4129,  4130,  4131,  2890,  1848,  1853,   998,  1856,  1383,  4733,
    1383,  1858,  1383,  1863,  1866,  1868,  4247,  4913,  3479,  1860,
    2638,  1877,  1882,  2108,  1883,  -137,  2109,  1885,  1886,  1888,
    4688,  1383,  1890,  1891,  4202,  1902,  4932,  1909,   863,  1911,
    1914,  1918,  5341,  4760, -2751,  4248,   213,  1927,  1932,  1933,
    1934,   926,  1936,  1939,  1940,  1943,  1944, -2751,  2631,   863,
    1951,  1955,  1957, -2751,  1958, -2988,  1960,  4122,  1962, -2751,
    1967,  1968,  1970,  1973,  1976, -2751,  1979,  1980, -2751,  5165,
    1982,  3480, -2751,  1999,  4208,  4209,  4210,  2030,  1643,   650,
    2037,  2633,  3481,  4241,  4799,  2039,  2042,  4241,  4255,  4241,
    4241,  2046,  2047,   926, -1944, -1951,  1383,  2054,  2055,  4895,
    1644,  1383, -2751,  2056,  2057,  2058,  2640,    56,  2060,  2061,
    2062, -1941, -1942,  2064,  2065,  3479,  1383, -1945,  2066,  3683,
    2067,  4952,  2068,  2108,  2069,  2070,  2109,  2071,  2072,  2073,
    3481,  2668,  2074,  4249,  4287, -2751,  2075,  4290,  3481,  2076,
    3530,  2077,  2079,  2080,  2081,  2108,  2082,  3707,  2109,  2083,
    2084, -1943,  1645,  4166,  1271,  2085,  3477,  4116,  2631,  3477,
    2086,  4117,  4118,  4119,  2087, -2988,  2089,  2090,  2091,  2092,
    2583,  2093,  2094,  5055,  2095,  2096,  5042,  2585,  3480,  5257,
    2631,  1383,  2587,  2589,  2590,  2603, -2751, -2988,  2599,  5780,
   -2751,  2633,  2623,  2615,  2645,  2646, -2751,  2651,   187, -2988,
    2657,  2653,  6382,  2658, -2988,   951,   951,  3477,  2654,  2660,
    5047,  2661,  2568,  2633,  2662,  3477,  2663,  2664,  2669,  4981,
    3029, -2988, -2988, -2988,  2572,  2573,  2574,  2575,  2576,  2577,
    4173,  3040,  4174,  2676,  1479,  2707,  2709,  1481,  2719,  2721,
    2722,  1383,  2723,  2724,  1646,  2740,  5794,  3058,  2741,  2743,
    2742,  2667,  2744,  2747,  2745, -2988, -2751,  2108,  4175,  3317,
    2109,  2746,  2748,  4184,  2749,  2750,  2756,  2772,  4123,  4124,
    4125,  4126,  4127,  4128,  4129,  4130,  4131,  5815,  2778,  2784,
    2798,  2802,  2805,  2804,  3479,  4790,  2806,  2808,  2809,  2822,
    2826,  2845,  2631,  2846,  2827,  2828,  2857,  2861,  4400, -2988,
    2863,  3132,  1647,  2866,  2864,  4266,  2867,  1648,  2865, -2988,
    2875,  2876,  1649,  2638, -2988,   807,  3144,  2877,  2880,  1154,
    3148,  2881,   863,  3369,  2882,  2633,  2901,  2887,  2945,  2915,
    2891, -2988,  2909,  2925,  2888,  2932, -2988,  2939,  2897,  1588,
    2957,  2942,  2898,  2959,  2911, -2751,  2912,  3480,  2918,  2921,
    3167,  1154,  2961,  2966,  5489,  2968,  2922,  2927,  2928,  2969,
    2985,  3016,  2940,  1651,  2947, -2988,  2948,  2953,  4121, -2751,
    2954, -2751, -2751,  2960,  2962,  2974,  2975,  3023,  3028,  3370,
    3371,  3372,  3373,  2988,  2994,  2999,  4176, -2988,  3030,  3031,
    3032,  3044,  4177, -2751,  3479,  3045,  3033,  4793,  4027,  3037,
    3479,  5174,  2100,  3038,  5176,  3039,  3041,  3042,  3043, -2988,
    3049,  1653,  3050, -2751,  3051,  3052, -2751, -2751, -2751,  3060,
    3059,  3063,   675,  2638,  3068,  3076,  3087,  1663,  3091,  3092,
    3104,  3107,  3095,  5191,  3110,  1654,  3111,  3120,  3131,  3137,
    3141,  1383,  3153, -2988,  3155,  2638,  3156,  1383, -2988,  3157,
    2100,  3158,  3124,  3171,  4122,  3128,  1656,  3480,   951,  3146,
    3203,  5182,  3259,  3480,  3214,  3228,  3240,  3337,  3264,  3343,
    3304,  2109,  3404,  3363,  3364,  3347,  3382,  3384,  3429,  3409,
    3425,  3410,  3430,  1454,  3428,  3431,  3443,  3444,  5243,  3445,
    4194,  3446,  3350,  3447,  3448,   863,   863,   863,  3452, -2988,
    3460,  3482,  3461,   933,  3499,  3500,  3487,  1657,  3501,  2673,
    3523,  3502,   863,  3516,  3524, -2988,  3536,  3535,  3538, -2988,
    3555,  3479,  3564,  3582,  5450,  3567,  1383,  2572,  2573,  2574,
    2575,  2576,  2577,  3569,  3572,  3577,  3596,  5093,  5094,  3583,
    3585, -2988,  3588,  3612,  2002,   863,   863,  3617,  4178,  1398,
     863,  1402,  4229,  3619,  3627,  4235,  3633,  2638,  3635,  3634,
    4179,  3645,   863,  3658,  3684,  3663,  5252,  5177,  5178,  5179,
    5180,  5181,  3690,  3664,  3691,  3697,  5131,  3739,  3708,  3692,
    3715,  3700,  3717,  3718,  3480,  3738,  1879,  3799,  3755,  3826,
    3814,  3835,  5299,  4612,  3822,  3823,   934,  3842,  3848,  3854,
    3859,  3849,  3850,  3469,  3896,  3870,  3881,   925,  3882,  3898,
    3900,  3469,  3902,  3910,  3928,  3941,  3929,  3923,   951,  3930,
    3931,  3932,  3936,  3917,  3939, -2988,  3943,  3944,  3947,  3948,
    3953,  3968,  3206,  4668,  3969,  5329,  3978,  2572,  2573,  2574,
    2575,  2576,  2577,   863,  3970,  3979,  4608, -2988,  3980,  5238,
    3982,  3984,  3998, -2988,  4000,  4001,   863,  4004,  4006,  2572,
    2573,  2574,  2575,  2576,  2577,  4123,  4124,  4125,  4126,  4127,
    4128,  4129,  4130,  4131,  1236,  1383,  4009,  4010,  4024,  4011,
    4028,  4012,  4645,  4013,  1383,  4797,  4030,  1977,  1974,  4014,
    4019,  5367,  5368,  4037,  5306,  1941,  4040,  4042,  1383,  4067,
    4018,  4029,  1383,  1383,  1383,  4050,  4070,  5857,  4073,  1383,
    4068,  1233,  1383,  4086,  4069,  1383,  5423,  4090,  3281,  4148,
    4151,  1383,  4081,  1383,  4168, -2235,  1383,  5361,  4092,  4182,
    4192,  1383,  1383,  1383,  1383,  4103,  4104,  1383,  1383,  1383,
    1383,  1383,  1383,  1383,  1383,  1383,  1383,  4088,  4108,  4098,
    1383,  1383,  1383,  4112,  4101,  4110,  3827,  4111,  4134, -2988,
    1383,  4139,  4140,  4147,  4163,  1383,   926,  2642,  4199,  1383,
    4219,  2572,  2573,  2574,  2575,  2576,  2577,  1383,  4162,  4233,
    1383,  4193,  1383,  4195,  4225,  5411,  5412,  4227,  4197,  4277,
    4220,  4226,  4262,  2063,  4228,  4275,  4234,  4288,  1383,  4302,
    4307,  1383,  1383,  4296,  4258,  4281,  1383,  1383,  4268,  4279,
    4309,  1383,  4242,  1383,  4803,  5303,  4310,  4314,  4316,  4328,
    4340,  4329,   863,   863,   863,  4339,  4341,  4347,  4345,  4353,
    4351,  4266, -2987,  4352,  4356,  4359,  4357,  4363,  4374,  4375,
    4377,  4383,  1383,  4241,  4255,  4241,  4241,  4384,  1383,  4241,
    1079,  4385,  4826,  4393,  4401,  4424,  3481,  4410,  4426,  4266,
    3481,   191,  4804,  4805,  4806,  4807,  4841,  6264,  6265,  4430,
    4434,  6267,  4428,  4432,  1643,  3358,  4438,  4439,  4444,  5338,
    4445,  4442,  4471,  4446,  4449,  4447,  4474,  4464,  4465,  4466,
    4467,  1076,  4468,  1383,  4476,  4478,  1644,  4469,  1077,  4480,
    1078,  4470,  4472,  4485,  4487,  4483,  4473,  4475,  3530,  2108,
    1383,  4477,  2109,  4479,  4489,  5505,  4490,  2983,  5507,  5508,
    2986,  4499,  1080,  5401,  5402,  4503,  5404,  4496,  4500,  4501,
     649, -2987,  4506,  3477,  4511,  4517,  4519,  3477,  5513,  4566,
    4559,  4569,  4554,  4570,  2631,  4560,  4573,  4577,  1645,  4587,
    4588, -2988,  3317,  4590,  5489,  4597,  4606,  4600,  4607,  4610,
    4611,  4627,  4644,  4641,  4647,  4914,  2002,  2841,  2002,  4613,
    4659,  2002,  5434,  4922,  4651,  4660,  5558,  2633,  4661,  4662,
    4663,  4653,  5394,  4664, -2987,  4682,  4681,  4666,  4683,  4689,
    4690,  4946,  4691,  4692,  4694,  4702,  4707, -2987,  4695,  4696,
    4697,  4698,  2049, -2987,  4708,  3317,  4706,  4709,  4712, -2987,
    5597,  4713,  4716,  4721,  4722, -2987,  4116,  4935, -2987, -2234,
    4727,  4774, -2987,  4785,  4734,  4757,  4786,  4758,  4838,  4759,
    4766,   187,  4829,  4830,  4789,  4837,  2108,  4816,  4843,  2109,
    1646,  4844,  3477,  4845,  4853,  4812,  4995,  4856,  4266,  4794,
    4814,  4800, -2987,  4822, -2987,  4825,  4858,  4827,  4842,  4847,
    4862,  4873,  4881,  4891,  4894,  4892,  4901,   187,  4893,  4902,
    4904,  2631,  4905,  4908,  4923,  3631,  4926,  4927, -2988,  5452,
    1271,  4944,  4947,  4116,  4959, -2987,  4998,  4117,  4118,  4119,
    4960,  2946,  4961,  4987,  4962, -2988,  4973,  3761,  1647,  4963,
   -2988,  5039,  4974,  1648,  2633,  5258,  4975,  4976,  1649,  4977,
    4978,  4989,  4990,  5007,  4996,  5008,  5013,  5016,  5032,  5033,
    5035,   949,  4933,  5038,  2945,  5049,  5051,  5052,  5053,  5064,
     961,  5090,  5048,  5075,   951,  5110, -2987,  5104,   961,  5111,
   -2987,   961,  5085,  5096,  5672,  5117, -2987,  5123,   951,  5116,
    1383, -2988,  5133,  5140,  5139,  5150,  5161,   863,  1271,  1651,
    5159,  4116,  5881,  5083,  5883,  4117,  4118,  4119,  5156,  5160,
    5157,  3589,  1271,  5164,  2841,  4116,  5261,  3597,  5163,  4117,
    4118,  4119,  5175,  5169,  5183,  5189,  5818,  5190,  3215,   863,
    5199,  5206,  5573,  5207,  3481,  3916,  5208,  5209,  5210,  5213,
    5229,  5241,  3798,  5573,  5211,  5212, -2987,  1653,  5218,  2638,
    5219,  5132,  5224,  5244,  5235,  5246,  5245, -2236,  5263,  5267,
    5282,   863, -2988,  5250,  3639,  5278,  5277, -2988,  5285,  5292,
    5296,  1654,  5301,  1383,  1383,  5304,  6006,  5305,  5322,  5315,
    5320,  5318,  5326,  5345,  1383,  5346,  5358,  5359,  5360,  5362,
    5370,  5364,  1656,  5369,  5371,  2002,   863,  5390,  5383,  5386,
    3317,  3359,  5392,  5892,  5405,  5396,  5397,  5414,  5719,  5415,
    5406,  3477,  3477,   863,  5413,  5420,  5424,  5427, -2988,  5431,
    2100,  6036,   996,  5432,  5439,  5442,  5448,  5447,  5449,  5451,
    5455,  3317,  5457,  5461,  4121, -2987,  5466,  5471,  5473,  5477,
    5478,  5482,  5480,  1657,  5484, -2988,  5495,   187,  5142,  5501,
    5503,  5510,  5486,  5623,  1383,  5485,  5511,  3190,  5537, -2987,
    5516, -2987, -2987,  5530,  5548,  5531,  5541,  6072,  6074,  3469,
    1383,  5549,  5547,  3469,  5557,  5561,  2638,  5566,  5572,  5576,
    5601,  5604,  5579, -2987,  5612,  5637,  5615,  5619,  1383,  5642,
    5598,  5627,  5631,  5632,  5633,  5665,  5614,  5634,  5639,  5849,
    5645,  5687,  5646,  5074,  5695,  5693, -2987,  5706, -2987, -2987,
    5650,  5656,  4121,  5657,  5658,  5698,  1383,  5701,  5725,  1383,
    4122,  5705,  5726,  5730,  5735,  5737, -2988,  1383,  1383,  5753,
    5758,  5764,  5765,  5766,  1383,  1383,  5772,  5781,  5782,  1383,
    5786,  5787,  5800,  5799,  1383,  5808,  5830,  1383,  1383,  5814,
    5826, -2988,  5828,  5886,  1383,  5831,  5832,  5834,   863,   863,
     863,   863,  5844,  2572,  2573,  2574,  2575,  2576,  2577,  5851,
    5796,  5861, -2988,  5863,  3866,  5869,   650,  5912,  5853,  4241,
    5916,  5875,  5907,  3481,  5801,  5922,  5930,  5855,  3481,  5920,
    5909,  3481,   650,  5935,  3798,  5948,  5298,  5950,  4122,  1383,
    5944,   998,  5949,  5952,  5951,  5961,  5824,  5894,  5962,  5969,
    1383,  5963,  4122,  2102,  4287,  5964,  5971,   969,  1383,  5979,
    3530,  5973,  6065,  5823,  5989,  6004,  1005,  6005,  5994,  6010,
    5216,  5990,  6003,  6020,  4200,   802,  6029,  6030,  6201,  6032,
    1027,  6033,  6034,  6047,  6051,  6070,  5978,  6083,  6077,  6085,
    6080,  6091,  6094,  3477,  6095,  6111,  6121,  6087,  6112,  6113,
    3477,  6122,  2841,  1383,  6114,  3477,  5976,  6128,  3477,  6127,
    5321,  6129,  6134,  6135,  6136,  6146,  6150,  5354, -2988,  6141,
    3317,  6151,  6012,  5876,  5877,  6153,  6165,  6167,  6157,  6173,
    2572,  2573,  2574,  2575,  2576,  2577,  6186,  6193,  6203,  6081,
    5307,  5309,  6195,  6078,  6211,  6082,  1546,  6212,  6213,  6231,
    6248,  6249,  5885,  6229,  3761,  6250,  6251,  6252,  6259,  6260,
    6254,  6266,  6262,  6270,  6275,  3761,  6276,  6277,  6288,  6290,
    6314,  4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,
    6308,  6315,  1547,  1383,  6320,  6318,  6319,  6322,  6323,  6332,
    1383,  6335,  5672,  6337,  4038,  6355,  6358,  5880,   950,   952,
    6356,  6357,   955,  4294,  6359,  6385,  6375,  6360, -1998,  4048,
    6396,  1142,   951,  6387,  4053,  6388,  6400,  6421,  6280,  6402,
    6429,  6413,  1013,  6433,   949,  6414,  6430,   951,  6435,  1023,
    6439,  6441,  6446,   961,  6444,  6452,  5760,  4217,  1466,  1573,
     961,  1681,  3000,   961,  4079,  1548,  1680,  3469,  3772,  4123,
    4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,  1383,  3689,
    4369,  2622,  4950,  4123,  4124,  4125,  4126,  4127,  4128,  4129,
    4130,  4131,  4943,   187,   650,  6196,  3813,  3861,  6064,  4516,
    5684,  2841,  1549,  6289,  5092,  5736,  5718,  4939,  4940,  5430,
    2002,  4349,  4312,  6019,  4008,  6021,  6188,  5621,  6285,  6086,
    6210,  2108,  6084,  6300,  2109,  3916,  4355,  5459,  2110,  2111,
    2112,  5143,  5114,  6155,  5122,  6044,  5084,  3879,   951,  4948,
    3938,  4576,  3880,  4387,  5109,  1665,  2630,  5724,  5167,  5453,
    4616,  5965,  1550,  6352,  6041,  6451,  2631,  6431,  5699,  4522,
    5151,  6215,  5644,  2632,  5871,  6053,   863,  5647,   756,  1072,
     809,  2022,  5184,  5847,  5186,  4667,  6348,   863,  3541,  5153,
     996,  3908,  3130,  4303,  3126,  4633,  5761,  5959,  1183,  2633,
    6065,  3142,  1551,  3159,  4486,  3067,  1552,  1143,  4979,  3810,
    4433,  6235,  3477,  6386,  4266,  1411,  5170,  5171,  5641,  3838,
    3486,  3025,  6338,  5310,  4867,  5843,   996,  5846,  2595,  2755,
    2643,   837,   838,  6038,  5643,  5464,  5214,  4264,  1553,  1554,
    1383,  2704,  4276,  2703,  6170,  3496,  6022,  2708,  4237,  4835,
    1383,  4819,  5578,  1383,  4230,  5813,  1383,  1383,  1383,  5812,
    1142,  4868,  4231,  5686,  6373,  6156,  6268,  6011,  4232,  6399,
    5795,  2652,  4768,  6023,  3405,  4196,   652,  6024,  3408,  4190,
    1555,  1383,  1383,  4062,    35,  1383,  3323,  3837,  4188,  1556,
    5977,  3317,  3317,  6404,  4097,  3317,     0,  4181,  1557,  4717,
    1462,  3484,  1383,     0,     0,  3420,  1383,  1558,     0,     0,
       0,     0,  1383,     0,     0,  1559,  3481,  2634,     0,     0,
    5298,   914,  2635,  1383,     0,  5596,  3469,     0,  1560,     0,
       0,  3469,     0,     0,  3469,     0,  4914,  1561,  6283,  1383,
       0,     0,  1562,     0,     0,  2636,  2302,     0,     0,     0,
       0,     0,     0,     0,     0,   187,   187,     0,     0,     0,
       0,  1097,     0,     0,     0,     0,  5599,  1097,  4914,   998,
     951,     0,   951,  2637,     0,     0,     0,     0,     0,  1097,
       0,  4320,     0,     0,     0,     0,   949,     0,     0,  4323,
       0,     0,   961,  3477,     0,     0,   961,     0,   961,  1563,
       0,     0,     0,     0,   962,   998,     0,     0,     0,     0,
       0,     0,     0,  3477,   792,     0,  2369,     0,     0,     0,
     792,     0,     0,     0,  6417,     0,     0,     0,     0,     0,
    5880,  2638,     0,     0,  2639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3477,     0,     0,     0,   962,
       0,     0,     0,     0,     0,  3958,     0,     0,     0,     0,
       0,  5083,  1913,     0,  1915,  1916,   863,   652,     0,     0,
       0,   863,     0,     0,     0,     0,   652,   971,     0,  1546,
    2841,     0,     0,     0,   652,     0,   971,   652,     0,     0,
     863,  6394,     0,  4419,  5132,  4421,     0,  5738,     0,     0,
     971,  1083,     0,  1086,     0,     0,  1088,     0,   951,   863,
    4914,     0,     0,     0,     0,  1547,     0,     0,     0,     0,
    1114,     0,     0,     0,     0,     0,  1118,  2640,    80,   175,
      71,    83,    84,    85,    86,  6432,   184,   106,   124,   129,
    5751,   159,   178,     0,  1383,     0,   185,   191,  2108,     0,
    6394,  2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,
       0,  1383,     0,  5723,     0,  1383,     0,  1383,  1142,   926,
       0,     0,     0,  2630,     0,  6394,  1576,   180,  1548,     0,
       0,  1383,  1577,  2631,   181,  6340,   183,  3477,     0,   650,
    2632,  4482,  1383,     0,  5749,     0,  5821,  6341,  6342,     0,
       0,     0,     0,  1383,     0,     0,     0,     0,   186,     0,
    1383,     0,     0,     0,     0,  1549,  2633,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,  2568,  6376,  4504,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,   863,     0,     0,     0,     0,     0,     0,  1383,  4089,
    3959,     0,     0,     0,     0,  1550,  3477,     0,     0,     0,
       0,     0,     0,     0,  1383,     0,     0,     0,     0,     0,
    1383,  1383,     0,     0,  1580,   951,   951,   951,   951,     0,
       0,  1581,     0,     0,     0,  1582,     0,     0,     0,     0,
     996,     0,     0,     0,     0,     0,     0,     0,     0,  1552,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,  1583,   650,     0,     0,     0,     0,     0,
       0,  3639,     0,     0,  2634,     0,     0,     0,     0,  2635,
       0,     0,  1554,     0,     0,     0,     0,     0,  1643,   863,
       0,     0,  3481,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,  2636,  2302,     0,     0,     0,     0,     0,     0,
    1644,     0,     0,     0,     0,  4646,     0,   863,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,  3469,
    2637,     0,  3960,     0,     0,     0,  4923,     0,     0,     0,
       0,  1557,     0,     0,     0,  1383,     0,     0,     0,     0,
    1558,     0,     0,  1608,  1609,     0,     0,  1383,  2819,     0,
       0,     0,  1645,  4933,     0,     0,  1383,  1383,  1383,  3477,
    2775,  1560,  2002,  2369,     0,     0,     0,     0,  3798,  1687,
    1561,  1383,  5938,  1586,     0,  1562,     0,     0,  2638,     0,
    1383,  2639,  1383,  1587,  1383,  5596,     0,  4703,     0,     0,
       0,  4914,     0,  1588,     0,     0,  3961,     0,  1383,  4934,
       0,     0,     0,     0,     0,  1589,     0,  2002,     0,   998,
       0,     0,     0,     0,  1838,     0,  6192,  1383,     0,     0,
       0,  4935,     0,     0,     0,     0,     0,     0,     0,  1850,
       0,     0,  1563,     0,     0,     0,  3962,     0,     0,  4735,
       0,     0,     0,     0,  1646,     0,     0,  1715,     0,     0,
    1591,  1592,     0,  2002,  2002,     0,     0,     0,     0,     0,
    1872,  1873,   971,     0,  4756,     0,     0,     0,  3477,     0,
       0,     0,     0,     0,  2640,     0,  6026,     0,   187,     0,
       0,   971,  1716,     0,   951,     0,  1910,   971,     0,  6242,
    6243,     0,     0,     0,     0,     0,     0,     0,  6107,   971,
       0,     0,  1647,     0,     0,     0,     0,  1648,     0,   187,
       0,     0,  1649, -2753,     0,   971,     0,     0,     0,     0,
     652,     0,     0,   187,     0,   914,  1948,  1950,  2945,   652,
     971,     0,  4936,     0,     0,     0,   652,     0,   971,   652,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
       0,   914,   971,     0,     0,  1594,     0,     0,     0,     0,
       0,     0,   971,  1651,  1383,     0,     0,     0,  5821,     0,
       0,     0,     0,     0,  1383,  3477,     0,     0,     0,     0,
    2568,     0,     0,  3530,     0,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,   962,     0,     0,  4107,     0,     0,     0,     0,
       0,  1653, -2753,  2100,     0,   971,     0,   951,     0,     0,
       0,     0,     0,     0,  2002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1654,     0,   652,   652,     0,
       0,     0,     0,   971,     0,     0,     0,     0,     0,     0,
    2841,     0,     0,     0,     0,     0,  1656,  1383,  4937,     0,
       0,  4359,     0,     0,     0, -2753,     0,  4914,   971,     0,
     652,     0,     0,     0,     0,   962,   962,  6245, -2753,     0,
       0,  1383,     0,     0, -2753,     0,     0,     0,     0,     0,
   -2753,     0,     0,     0,   914,     0, -2753,     0,   792, -2753,
     792,   191,   792, -2753,  2002,  2002,  6261,  1657,   792,  1220,
    1221,     0,  1383,  1383,     0,     0,  1383,   652,     0,  6269,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     971,  6237,     0, -2753,     0,     0,     0,  6216,  6238,     0,
    6239,     0,     0,     0,  3477,     0,  6313,   951,     0,     0,
    3958,     0,     0,     0,     0,  3469,     0,   187,     0,     0,
       0,     0,  6240,     0,     0,     0, -2753,     0,     0,     0,
       0,     0,     0,  2867,  1546,     0,     0,  6107,   951,   951,
       0,     0,     0,  4914,     0,     0,     0,     0,     0,     0,
       0,   949,     0,     0,   949,     0,     0,  6442,  6443,     0,
       0,   650,     0,     0,   961,   961,     0,     0,  1383,     0,
    1547,     0,     0,     0,   191,     0,  6331, -2753,     0,   961,
       0, -2753,   961,     0,  1383,     0,     0, -2753,     0,     0,
    3530,     0,     0,     0,     0,  4287,     0,     0,   652,   652,
    1819,     0,  1383,     0,  6237,     0,     0,   971,     0,     0,
       0,  6238,   652,  6239,  3477,     0,     0,   914,   652,     0,
    3477,   187,   652,     0,   652,     0,     0,     0,   914,     0,
       0,     0,   961,  1548,     0,  6240,   961,   961,  6361,  6362,
     650,  6366,     0,     0,   914,     0,  5821, -2753,     0,  5095,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   951,     0,  1576,  4914,     0,     0,     0,     0,  1577,
    1549,     0,     0,     0, -2770,     0,     0,     0,     0,     0,
    2998,     0,  2817,     0,  6331,     0,     0,     0,   652,     0,
     652,   652,     0,     0,     0,   191,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   807,  2862,     0,  1383,
     650,     0,     0,     0,  1579,  3959,     0,     0,     0,     0,
    1550,     0,     0,     0,     0,  6237,   650,     0,     0,   792,
       0,   971,  6238,     0,  6239,     0, -2753,     0,     0,     0,
       0,  3477,     0,   962,   962,     0,     0,  6445,     0,  6331,
       0,     0,     0,     0,     0,     0,  6240,     0,     0,   652,
   -2753,     0, -2753, -2753,  1552,     0,  6331,     0,     0,     0,
    1576,  1580,     0, -2770,     0,     0,  1577,     0,  1581,     0,
       0,     0,  1582,     0, -2753,     0,  2952,     0,     0,     0,
       0,  1685,   971,     0,     0,     0,     0,  1554,     0,     0,
       0,   914,     0,   971, -2753,     0,     0, -2753, -2753, -2753,
    1583,     0,     0,     0,     0,     0,  2978,  2979,  2980,  2981,
     971,  1579,     0,     0,     0,   971, -2770,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,     0, -2770,
       0,     0,    35,     0,     0, -2770,  1584,  1556,     0,     0,
       0, -2770,     0,  3077,     0,     0,  1557, -2770,     0,     0,
   -2770,  3094,     0,     0, -2770,  1558,     0,     0,     0,  2998,
       0,     0,     0,  2819,     0,     0,  1686,     0,  1580,   652,
       0,     0,   187,     0,     0,  1581,  1560,     0,     0,  1582,
       0,     0,     0,     0, -2770,  1561,     0,     0,     0,     0,
    1562,     0,     0,     0,     0,     0,     0,   187,   652,   652,
     652,     0,   652,     0,  3152,     0,     0,  1583,     0,     0,
       0,  3961,     0,     0,     0,     0,  1687, -2770,     0,     0,
    1586,     0,     0,   652,     0,     0,     0,     0,     0,     0,
    1587,  2998,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,  1584,     0,     0,     0,  1563,   971,     0,
       0,  3962,  1589,  3035,  3036,     0,   971,   971,     0,     0,
       0,     0,     0,     0,  5330,     0,     0,     0, -2770,  3053,
       0,     0, -2770,     0,     0,     0,     0,     0, -2770,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2799,     0,     0,  1591,  1592,     0,
       0,     0,     0,  3096,  3097,  3098,  3099,     0,     0,  1819,
    6312,     0,     0,     0,     0,     0,     0,  5366,     0,     0,
       0,     0,     0,  1687,     0,  2108,   652,  1586,  2109,  2800,
     652,   652,  2110,  2111,  2112,     0,     0,  1587, -2770,  5382,
       0,     0,     0,     0,     0,     0,   652,  1588,     0,     0,
    2630,     0,   914,     0,     0,     0,     0,     0,     0,  1589,
    2631,     0,     0,  1576,     0,     0,     0,  2632,     0,  1577,
       0,     0,     0,   792,     0,     0,     0,     0,   792,   792,
       0,     0,     0,     0,  3173,     0,  1576,     0,     0,     0,
    3177,     0,  1577,  2633,     0,     0,     0,   807,     0,     0,
       0,  1688,  1594,     0,  1591,  1592,  2648,  1685,     0,     0,
       0,  5410,     0,     0,  1579,  2655,     0,  2656,     0,   914,
       0,  2659,     0,     0,     0,     0,     0, -2770,  2665,     0,
       0,   187,     0,     0,     0,     0,  1689,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2770,     0, -2770, -2770,  2108,     0,     0,  2109,     0,
     914,     0,  2110,  2111,  2112,     0,     0,     0,     0,     0,
       0,  1580,     0,     0,     0, -2770,     0,     0,  1581,     0,
    2630,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
    2631,     0,  1686,   914,  1580, -2770,     0,  2632, -2770, -2770,
   -2770,  1581,     0,     0,     0,  1582,     0,     0,     0,  1594,
    1583,  2634,     0,     0,     0,     0,  2635,     0,     0,   792,
       0,     0,     0,  2633,     0,     0,     0,     0,     0,   792,
       0,     0,  5494,  1583,     0,     0,     0,     0,     0,  2636,
    2302,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     971,     0,     0,     0,     0,     0,     0,  2637,     0,  1584,
       0,     0,     0,  1220,  1221,   652,   652,   652,  3361,     0,
       0,     0,     0,   649,     0,     0,     0,  2108,     0,     0,
    2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2369,     0,  2630,     0,     0,     0,   792,     0,     0,     0,
     792,   792,  2631,     0,     0,  2638,  1585,     0,  2639,  2632,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,  2634,     0,     0,     0,     0,  2635,     0,     0,  1687,
    1588,     0,     0,  1586,     0,  2633,     0,     0,     0,     0,
       0,     0,  1589,  1587,     0,     0,     0,     0,     0,  2636,
    2302,  4482,     0,  1588,     0,   971,     0,  1576,     0,     0,
       0,     0,     0,  1577,     0,  1589,     0,   914,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2637,   914,     0,
     949,     0,     0,   961,  2883,   961,   961,  1591,  1592,     0,
    1819,     0,     0,     0,   914,     0,     0,     0,     0,     0,
       0,  2640,     0,     0,     0,     0,     0,  3769,  1579,     0,
    1591,  1592,     0,   971,     0,     0,     0,     0,     0,  2884,
    2369,   971,     0,     0,     0,     0,     0,     0,     0,   971,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,     0,  3770,     0,     0,     0,     0,     0,   914,     0,
       0,     0,     0,  2634,     0,     0,     0,   652,  2635,     0,
     652,     0,     0,   914,     0,  1580,   914,   914,     0,     0,
     652,   652,  1581,   971,   971,     0,  1582,     0,     0,     0,
       0,  2636,  2302,     0,     0,   652,     0,   971,   652,     0,
       0,     0,  1594,     0,   792,     0,     0,   914,   914,     0,
     971,   971,     0,     0,  1583,     0,     0,  2568,     0,  2637,
       0,     0,     0,     0,     0,  1594,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,  4105,
       0,  2640,  4106,     0,     0,     0,     0,     0,   652,     0,
    1584,     0,   652,   652,     0,     0,     0,     0,     0,     0,
       0,     0,  2369,  1576,     0,     0,     0,     0,     0,  1577,
       0,     0,     0,     0,     0,     0,     0,  2638,     0,     0,
    2639,     0,     0,     0,  1578,     0,     0,   652,     0,   652,
       0,     0,     0,     0,   652,   652,     0,     0,     0,     0,
       0,   652,   652,   652,   652,   652,   652,   652,   652,   652,
     652,   652,   652,   652,  1579,     0,     0,   652,     0,   652,
       0,   652,   652,   652,   652,   652,   652,     0,     0,   652,
    1687,   652,   652,     0,  1586,   652,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,  2568,     0,   914,
     652,   652,   652,     0,  1588,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,  1589,     0,   652,  3346,
    1819,  1580,  3532,  2640,     0,     0,     0,     0,  1581,     0,
       0,     0,  1582,     0,     0,     0,     0,     0,     0,     0,
    3548,  1576,     0,     0,  3551,     0,   649,  1577,  3554,     0,
       0,     0,     0,  2028,     0,     0,     0,     0,  2028,  2028,
    1583,  1591,  1592,     0,     0,     0,     0,  1576,     0,  3265,
    3266,     0,  3573,  1577,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3361,     0,     0,  3302,  3303,     0,     0,
       0,     0,  1579,  1593,     0,     0,  1584,     0,     0,     0,
       0,  1576,     0,     0,     0,     0,  3615,  1577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3348,  1579,     0,
       0,     0,     0,     0,     0,     0,  1097,     0,     0,  2568,
       0,     0,     0,     0,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,  1580,
       0,     0,  1579,     0,  4158,     0,  1581,     0,     0,     0,
    1582,     0,     0,     0,  3674,   652,  1594,     0,     0,     0,
       0,  5960,     0,     0,     0,  1580,  1585,     0,     0,     0,
    1586,     0,  1581,     0,     0,     0,  1582,     0,  1583,     0,
    1587,  3703,     0,     0,     0,     0,     0,  3712,   949,     0,
    1588,   961,     0,   961,   961,     0,     0,     0,     0,  1580,
       0,  3722,  1589,     0,  1583,     0,  1581,     0,  1097,   652,
    1582,  3735,   718,     0,  1584,     0,     0,  3740,     0,     0,
       0,   806,     0,     0,  6016,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3598,     0,  3753,  1583,     0,
    1584,     0,     0,  3756,  1590,     0,     0,  1591,  1592,     0,
    3764,  2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,     0,     0,  3779,   652,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,  2630,     0,  3805,  1593,
       0,  1576,     0,     0,     0,     0,  2631,  1577,     0,  1097,
       0,     0,     0,  2632,  1687,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,  2633,
    1687,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
    1589,     0,  1579,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,     0,     0,     0,     0,     0,
       0,     0,  1594,     0,  1687,     0,  1589,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,  3625,     0,     0,  1591,  1592,     0,  1588,  3747,
       0,     0,  3750,     0,     0,     0,     0,     0,     0,  1580,
    1589,     0,     0,     0,     0,     0,  1581,     0,  3816,     0,
    1582,  1591,  1592,     0,     0,     0,     0,  1593,     0,   649,
       0,     0,   649,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,     0,
       0,     0,  4333,  3817,     0,  1591,  1592,  2634,     0,     0,
       0,     0,  2635,     0,     0,     0,     0,     0,     0,   652,
     652,   652,   652,   652,   652,   652,   652,   652,     0,   652,
     649,     0,     0,     0,  1584,  2636,  2302,  4334,   649,     0,
     652,  3845,   652,     0,     0,     0,     0,     0,     0,     0,
    1594,     0,     0,     0,  3858,     0,     0,     0,     0,     0,
       0,     0,  3867,  2637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4023,     0,  1594,     0,     0,     0,
     652,     0,     0,     0,   652,     0,     0,   652,     0,   652,
       0,     0,   652,  4039,     0,     0,   652,     0,     0,     0,
    4023,  3911,     0,     0,     0,     0,  2369,     0,     0,     0,
    1594,     0,     0,     0,  1687,     0,     0,  1819,  1586,   652,
       0,  2638,  3935,     0,  2639,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,  2108,     0,   652,  2109,  1588,     0,
       0,  2110,  2111,  2112,     0,   652,   652,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,     0,  3990,     0,  3992,     0,  2631,
       0,     0,   971,     0,     0,     0,  2632,     0,     0,   914,
       0,     0,     0,   914,   914,     0,     0,     0,     0,     0,
     971,     0,  4404,     0,   971,  1591,  1592,     0,   971,     0,
       0,     0,  2633,     0,     0,     0,     0,   971,     0,     0,
       0,     0,     0,     0,     0,     0,  1546,  2640,     0,     0,
       0,     0,   971,     0,     0,   652,     0,  4405,     0,  3449,
    3451,     0,     0,     0,     0,  3459,   652,     0,   914,   652,
       0,   652,   652,     0,   914,     0,     0,     0,     0,     0,
       0,     0,  1547,     0,     0,  4047,   971,     0,     0,     0,
       0,     0,  4054,     0,     0,     0,     0,  3505,  3505,     0,
       0,     0,     0,     0,     0,     0,   971,   971,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   914,     0,     0,     0,     0,     0,     0,     0,     0,
    1594,     0,     0,     0,  6372,     0,     0,     0,     0,     0,
       0,     0,     0,  1819,   971,  1548,     0,  1819,     0,     0,
    2634,     0,     0,  2568,     0,  2635,     0,     0,     0,   792,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,   971,     0,  1819,     0,  4099,     0,   971,  2636,  2302,
       0,     0,  1549,     0,     0,     0,     0,  2108,     0,     0,
    2109,   971,     0,     0,  2110,  2111,  2112,     0,   971,     0,
       0,   971,     0,     0,     0,     0,  2637,   971,     0,     0,
       0,     0,  2630,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,     0,     0,     0,   971,     0,  2632,
       0,     0,  1550,   971,     0,     0,     0,     0,     0,     0,
     971,     0,     0,     0,     0,     0,  3641,     0,     0,  2369,
       0,     0,     0,     0,   971,  2633,     0,     0,     0,     0,
    1073,     0,     0,     0,  2638,     0,     0,  2639,   971,     0,
       0,     0,  4317,  1819,     0,     0,  1552,     0,     0,   971,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,   652,   652,
       0,     0,     0,   652,     0,     0,     0,     0,     0,  1554,
    1141,   718,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,   914,     0,     0,     0,   792,     0,     0,     0,  1819,
       0,     0,     0,   792,     0,     0,   792,     0,     0,     0,
       0,     0,     0,     0,    35,     0,  2818,     0,   792,  1556,
    2640,     0,     0,     0,     0,     0,     0,     0,  1557,     0,
       0,     0,   652,  2634,     0,     0,     0,  1558,  2635,     0,
       0,  4402,     0,     0,     0,  2819,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1560,     0,
       0,  2636,  2302,     0,   914,     0,  1240,  1561,   914,     0,
       0,     0,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,     0,     0,  2637,
       0,  4321,  4322,     0,  1386,     0,     0,  1395,  1141,  1397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2568,     0,     0,  1563,
       0,     0,  2369,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,  2638,  4518,     0,
    2639,     0,     0,     0,   971,     0,  1819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   914,  4497,   971,     0,     0,     0,     0,     0,     0,
     971,     0,     0,     0,   652,     0,   914,   652,     0,   652,
     652,   914,     0,     0,     0,     0,     0,     0,     0,   652,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   914,     0,     0,     0,     0,     0,     0,     0,  2108,
       0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
       0,     0,     0,  2640,     0,     0,   649,     0,     0,     0,
     649,     0,     0,   652,   652,   652,     0,     0,   652,     0,
       0,     0,     0,     0,  2631,   792,   652,   652,   652,   652,
       0,  2632,     0,     0,     0,     0,     0,  1819,     0,     0,
       0,     0,   652,  1819,     0,   652,     0,   652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,   652,
     652,     0,  1141,   652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,   652,     0,   652,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4505,     0,     0,   652,     0,  2568,
       0,  2998,     0,     0,     0,   649,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,   971,     0,
    4669,  4704,     0,  1546,  4673,     0,     0,     0,     0,  2108,
       0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,     0,     0,  1546,     0,     0,
       0,     0,     0,     0,  2630,   652,     0,     0,   652,  1547,
       0,     0,     0,     0,  2631,  2634,     0,     0,     0,     0,
    2635,  2632,   652,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,  1547,     0,     0,     0,     0,     0,     0,
       0,     0,   652,  2636,  2302,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,  2637,  1548,     0,     0,     0,   914,     0,     0,   914,
       0,   914,     0,     0,     0,     0,   914,     0,  4215,     0,
     792,     0,     0,  2027,     0,     0,  1548,     0,     0,     0,
       0,   971,   971,     0,  4658,     0,  4222,   652,     0,  1549,
       0,     0,     0,     0,  2369,     0,     0,     0,     0,     0,
    1141,     0,   971,     0,     0,   971,     0,     0,   914,  2638,
       0,     0,     0,  1549,     0,     0,   914,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4271,  4271,     0,  1550,
       0,   914,     0,     0,     0,  2634,     0,   652,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1550,   649,   649,     0,     0,     0,     0,
       0,     0,     0,  2636,  2302,     0,     0,     0,     0,  1551,
       0,     0,     0,  1552,     0,     0,  1819,  1819,  1819,  2104,
       0,     0,     0,     0,     0,     0,     0,     0,  2106,     0,
       0,  2637,     0,  1551,     0,  2640,     0,  1552,     0,     0,
       0,   971,     0,     0,  2593,  1617,  1554,     0,     0,     0,
     914,     0,   914,     0,     0,     0,     0,     0,     0,     0,
     971,     0,     0,  1141,     0,     0,  2610,  2611,     0,  1634,
    1554,  1141,  1141,     0,  2369,     0,     0,     0,     0,     0,
       0,     0,   971,     0,     0,     0,     0,  1618,  4896,  2638,
       0,    35,  2639,     0,     0,     0,  1556,     0,     0,     0,
       0,  2108,     0,     0,  2109,  1557,     0,     0,  2110,  2111,
    2112,  1635,     0,     0,  1558,    35,     0,     0,     0,     0,
    1556,     0,  1619,     0,     0,     0,  2630,     0,     0,  1557,
       0,     0,     0,     0,     0,  1560,  2631,     0,  1558,     0,
       0,  2568,     0,  2632,  1561,     0,  1636,     0,   914,  1562,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  1560,
       0,     0,     0,     0,     0,     0,     0,     0,  1561,  2633,
       0,     0,   971,  1562,     0,     0,     0,   652,     0,     0,
       0,     0,     0,   652,     0,  2640,     0,     0,     0,     0,
       0,     0,   914,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1819,
     914,     0,     0,     0,     0,   971,     0,   971,     0,  5021,
    1563,     0,  5024,     0,     0,     0,   649,     0,     0,     0,
     971,     0,   971,   649,     0,     0,     0,     0,   649,     0,
       0,   649,  5294,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,   914,     0,
       0,  2568,  2635,     0,     0,     0,     0,     0,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,   971,
     914,     0,     0,  4777,     0,  2636,  2302,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2950,     0,
       0,     0,   914,  5106,     0,     0,  2958,     0,  2108,     0,
       0,  2109,   792,  2637,     0,  2110,  2111,  2112,     0,     0,
    2998,   971,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2630,     0,  4565,     0,     0,     0,     0,
     971,     0,     0,  2631,   971,     0,     0,     0,     0,     0,
    2632,     0,     0,     0,     0,     0,  2369,     0,     0,     0,
    2108,     0,     0,  2109,     0,   971,     0,  2110,  2111,  2112,
       0,  2638,     0,     0,  2639,     0,  2633,     0,     0,     0,
       0,   652,     0,     0,   914,  2630,     0,     0,     0,     0,
     652,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
    5063,  4023,  2632,     0,   652,     0,     0,     0,   652,   652,
     652,     0,     0,     0,  5065,   652,     0,     0,   652,     0,
       0,   652,     0,     0,     0,     0,     0,   652,  2633,   652,
       0,     0,   652,     0,     0,     0,   914,   652,   652,   652,
     652,     0,     0,   652,   652,   652,   652,   652,   652,   652,
     652,   652,   652,     0,     0,     0,   652,   652,   652,     0,
       0,   914,     0,     0,  5436,     0,   652,  2640,     0,     0,
       0,   652,     0,  1819,     0,   652,     0,     0,     0,     0,
       0,     0,     0,   652,     0,     0,   652,     0,   652,     0,
       0,     0,   792,     0,  2634,   649,     0,     0,     0,  2635,
       0,     0,     0,     0,   652,     0,     0,   652,   652,     0,
       0,     0,   652,   652,     0,     0,     0,   652,     0,   652,
       0,  3088,  2636,  2302,     0,  3093,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2634,     0,   652,     0,
    2637,  2635,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,  2568,  2636,  2302,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,  2369,     0,  4883,     0,     0,     0,   652,
       0,     0,  2637,     0,     0,     0,     0,     0,  2638,     0,
       0,  2639,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,   914,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2369,     0,     0,   971,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,  2639,     0,     0,     0,     0,     0,     0,
       0,   652,     0,     0,     0,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5377,     0,     0,     0,  3276,   649,     0,     0,     0,
       0,     0,     0,  5387,  2640,     0,     0,     0,     0,     0,
    1819,     0,     0,     0,     0,  1819,   914,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1819,   914,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,     0,
    2108,     0,     0,  2109,   961,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2630,     0,     0,     0,   971,
       0,     0,   971,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,  2632,     0,     0,     0,     0,     0,     0,   961,
    2568,     0,     0,     0,     0,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,  2633,     0,
       0,     0,  4907,     0,     0,     0,     0,     0,   792,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,   913,  2568,     0,     0,     0,   792,     0,     0,     0,
     649,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
     792,     0,   971,   971,  5112,     0,   914,     0,     0,     0,
       0,   792,     0,   971,     0,     0,     0,     0,  5403,     0,
     652,   652,     0,     0,     0,     0,     0,     0,     0,     0,
     971,     0,     0,  5407,     0,     0,     0,     0,     0,     0,
    4023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   914,     0,     0,     0,     0,   914,   652,
     652,     0,     0,     0,     0,     0,  2634,     0,     0,   649,
     652,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1220,  1221,     0,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   971,     0,     0,  1819,     0,     0,     0,     0,     0,
    2108,     0,  2637,  2109,  5465,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,  2630,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2631,   652,     0,     0,     0,
       0,     0,  2632,     0,     0,  2369,     0,     0,     0,     0,
    4023,     0,  4023,     0,   652,   792,     0,     0,     0,     0,
    2638,     0,     0,  2639,     0,     0,     0,     0,  2633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   652,     0,  5921,   652,     0,     0,     0,     0,
       0,     0,     0,   652,   652,     0,   914,     0,     0,     0,
     652,   652,     0,     0,     0,   652,     0,     0,   792,     0,
     652,     0,   649,   652,   652,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,     0,     0,     0,     0,   652,
       0,     0,     0,     0,   652,     0,  2640,   652,   652,     0,
       0,     0,     0,     0,     0,   652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,   652,     0,  2634,     0,     0,     0,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   914,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,   649,     0,     0,   971,     0,  5624,     0,  5626,   652,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2637,     0,  3427,     0,   658,     0,     0,     0,
       0,     0,   707,   658,     0,     0,     0,     0,   759,     0,
     658,     0,  2568,     0,   914,     0,   658,     0,   812,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,   971,     0,     0,  5225,  2369,   914,   874,   874,     0,
       0,     0,     0,   971,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,  2639,     0,     0,     0,     0,     0,   652,
       0,     0,     0,     0,     0,     0,   652,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   971,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   914,     0,
       0,     0,     0,     0,  5750,     0,     0,     0,   792,     0,
       0,     0,     0,     0,   792,     0,     0,     0,     0,   792,
       0,     0,     0,     0,   652,     0,     0,     0,     0,     0,
       0,     0,  1141,     0,     0,     0,  2640,     0,     0,     0,
     652,     0,     0,     0,     0,  1819,  5380,  5381,     0,     0,
       0,  5384,  5385,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   971,     0,     0,     0,     0,     0,
       0,   652,   961,     0,     0,     0,     0,     0,   953,     0,
       0,     0,   957,     0,     0,     0,     0,     0,  1397,     0,
    1000,     0,     0,  1002,     0,     0,  1007,  1008,     0,  1011,
       0,  1014,     0,     0,  1020,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   914,     0,   914,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   649,     0,     0,
       0,     0,  2568,     0,     0,   961,   961,     0,     0,     0,
     971,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,  5262,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1397,   913,   652,     0,     0,     0,
       0,     0,  5882,     0,  5884,     0,   652,     0,     0,   652,
       0,     0,   652,   652,   652,     0,     0,     0,  1397,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,   652,  2108,
       0,   652,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   652,     0,
       0,     0,   652,     0,  2630,     0,     0,   649,   652,     0,
       0,     0,   652,   649,  2631,     0,     0,     0,   914,   652,
       0,  2632,  3804,     0,     0,     0,  3808,     0,     0,     0,
       0,  6317,   652,     0,     0,   652,     0,     0,     0,     0,
     971,     0,   971,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3841,   652,  3841,     0,  3841,  3841,     0,
       0,     0,  3841,  3841,  3841,     0,  3841,  3841,  3841,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   914,
     971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,     0,   913,     0,     0,     0,     0,     0,
    6364,     0,     0,     0,     0,     0,     0,     0,     0,  2108,
       0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,     0,
    3918,     0,     0,     0,   649,     0,     0,     0,     0,     0,
    1819,     0,     0,     0,  2630,   652,     0,     0,     0,     0,
       0,     0,     0,     0,  2631,  3946,     0,     0,     0,     0,
       0,  2632,     0,     0,  4023,  2634,     0,     0,     0,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6364,     0,     0,  2108,     0,     0,  2109,  2633,     0,     0,
    2110,  2111,  2112,  2636,  2302,     0,  6428,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,     0,  2630,   914,
    6093,   792,     0,   961,   961,     0,     0,     0,  2631,     0,
       0,  2637,     0,     0,     0,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,     0,   719,     0,     0,     0,  1734,  2786,
       0,  2633,     0,     0,     0,     0,     0,   652,     0,     0,
       0,   652,     0,   652,  2369,     0,     0,   913,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   652,   913,  2638,
       0,     0,  2639,     0,     0,   652,     0,  2787,   652,     0,
       0,     0,     0,     0,   913,     0,     0,     0,     0,   652,
     722,  1050,     0,     0,     0,  2634,   652,     0,     0,     0,
    2635,     0,  1087,     0,     0,     0,  1091,   723,     0,     0,
       0,     0,     0,  1104,  1105,     0,     0,  1111,     0,  1115,
    1116,     0,     0,  2636,  2302,  1056,     0,     0,     0,     0,
       0,     0,     0,  6197,  1138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   652,     0,     0,     0,     0,  2788,
     914,  2637,  1151,     0,     0,   914,   914,     0,     0,  2634,
     652,     0,   726,     0,  2635,  2640,   652,   652,   971,     0,
       0,   727,     0,  1179,     0,  1181,     0,     0,     0,   911,
       0,     0,   971,     0,   728,  1197,     0,  2636,  2302,     0,
    2789,     0,     0,     0,  2369,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,     0,     0,     0,     0,  2638,
     652,     0,  2639,  1819,     0,  2637,     0,  1059,   658,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   652,     0,
       0,   913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1141,     0,     0,     0,     0,  2369,     0,
       0,     0,     0,  6287,     0,     0,     0,   914,   914,     0,
       0,  2568,     0,  2638,     0,     0,  2639,   732,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,   652,  1819,  5266,  1114,  1114,     0,     0,     0,   874,
       0,     0,     0,   652,   792,  2640,     0,     0,     0,     0,
       0,     0,   652,   652,   652,     0,     0,     0,     0,     0,
       0,  2790,     0,     0,     0,     0,     0,   652,  1819,     0,
       0,   914,     0,     0,     0,     0,   652,     0,   652,     0,
     652,     0,     0,     0,     0,     0,     0,   652,     0,     0,
       0,     0,     0,     0,   652,     0,     0,   213,  2791,     0,
       0,   737,     0,     0,     0,     0,     0,     0,     0,  2640,
       0,     0,     0,   652,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1537,     0,     0,     0,     0,  1063,
       0,     0,  2792,     0,     0,     0,     0,     0,  1819,   741,
       0,   971,     0,     0,     0,     0,   742,     0,     0,   743,
    1141,  2568,     0,     0,     0,     0,     0,  1114,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,   744,
       0,     0,     0,  5535,     0,     0,     0,  1065,     0,     0,
       0,     0,     0,     0,   746,     0,     0,  1066,     0,     0,
       0,     0,   748,     0,   652,     0,     0,     0,  1718,     0,
    2793,     0,     0,     0,     0,     0,     0,  2794,     0,     0,
       0,     0,     0,     0,     0,  2568,     0,     0,     0,     0,
       0,     0,     0,  1839,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,   753,  3022,     0,  4392,  1851,     0,
    1852,     0,  2739,     0,     0,   652,     0,     0,     0,     0,
    1855,     0,  6062,     0,     0,     0,     0,  1865,     0,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   971,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4441,     0,     0,   652,     0,
    1917,     0,  1919,     0,     0,     0,     0,     0,     0,  2739,
       0,   971,     0,     0,     0,     0,     0,     0,     0,     0,
    2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2630,     0,     0,     0,     0,
     913,     0,     0,   652,     0,  2631,     0,     0,     0,     0,
       0,     0,  2632,   652,     0,  4484,     0,     0,     0,     0,
       0,   652,   652,     0,     0,     0,   658,   652,   658,     0,
     658,     0,   658,   913,   658,   658,   658,     0,  2633,     0,
       0,   658,     0,     0,     0,     0,  -136,     0,     0,     0,
       0,     0,     0,  2023,     0,     0,     0,     0,   652,   652,
       0,     0,   652,  3841,     0,     0,     1,     0,     0,     0,
       0,     0,     0,     0,     0,  4515,  4515,     2,     0,     3,
       4,     0,     0,     0,     0,  4531,     0,     0,     0,     0,
    1141,     0,  1141,     0,     0,     0,     0,     5,     0,   971,
       0,     0,     0,     0,     0,     0,     0,     6,     0,     0,
       0,     0,     0,     0,     0,  1734,  1734,  1734,     0,     7,
       0,     8,     9,   652,     0,     0,     0,     0,    10,   652,
      11,  4136,     0,     0,     0,     0,     0,  4137,  4586,     0,
       0,     0,     0,    12,     0,    13,     0,   652,     0,     0,
       0,     0,     0,     0,   652,     0,  2634,     0,     0,     0,
       0,  2635,    14,     0,     0,    15,     0,     0,     0,     0,
     652,     0,     0,  4622,  1141,     0,     0,     0,     0,     0,
      16,     0,    17,     0,  2636,  2302,    18,     0,   652,     0,
       0,     0,     0,    19,     0,     0,     0,     0,     0,     0,
       0,     0,    20,     0,    21,     0,     0,     0,     0,     0,
       0,    22,  2637,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   652,   913,     0,    23,
       0,   914,     0,     0,     0,     0,     0,   652,   913,     0,
       0,   874,     0,   911,     0,     0,    24,     0,     0,     0,
     652,     0,   902,     0,   913,  2369,     0,  1819,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   911,
    2638,     0,     0,  2639,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   652,   652,     0,     0,     0,
      25,    26,     0,     0,     0,     0,    27,     0,   913,     0,
       0,     0,   652,     0,     0,     0,  1819,     0,     0,     0,
       0,    28,     0,   913,     0,     0,   913,   913,     0,   652,
     652,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      29,  1819,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   913,   913,     0,
       0,  2797,     0,     0,     0,     0,  4138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4778,     0,  6392,
       0,     0,     0,     0,     0,     0,     0,    30,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    31,     0,     0,     0,     0,     0,    32,    33,
       0,    34,   911,     0,     0,     0,    35,     0,     0,     0,
       0,     0,    36,     0,     0,    37,     0,     0,     0,     0,
       0,     0,    38,  2895,     0,     0,     0,     0,  6392,    39,
      40,     0,     0,     0,     0,     0,     0,    41,     0,     0,
       0,    42,     0,     0,     0,     0,     0,  1734,     0,     0,
       0,     0,    43,  6392,     0,     0,     0,     0,     0,     0,
       0,  1734,  2568,     0,  1734,     0,     0,     0,     0,    44,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,     0,   904,     0,     0,     0,     0,   913,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    46,     0,     0,     0,     0,     0,    47,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,    51,    52,    53,    54,    55,     0,     0,     0,
       0,     0,     0,     0,     0,   911,     0,     0,     0,    56,
       0,     0,  -136,     0,     0,     0,   911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -136,
       0,     0,   911,     0,     0,     0,     0,     0,     0,     0,
       0,  4531,     0,     0,     0,     0,     0,     0,     0,     1,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,     0,  4985,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       5,  3026,     0,     0,  4999,     0,     0,  5000,     0,  5001,
       6,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     7,     0,     8,     9,     0,     0,     0,     0,
       0,    10,     0,    11,     0,     0,  3062,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    12,     0,    13,     0,
       0,     0,     0,  2108,     0,  5041,  2109,     0,     0,     0,
    2110,  2111,  2112,     0,     0,    14,     0,     0,    15,     0,
       0,  3841,     0,     0,     0,     0,  3841,     0,  2630,     0,
       0,     0,  3127,    16,     0,    17,     0,     0,  2631,    18,
       0,     0,     0,     0,     0,  2632,    19,     0,     0,     0,
       0,     0,  3145,     0,     0,    20,     0,    21,     0,   911,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,  2633,     0,     0,     0,     0,     0,     0,  3165,     0,
    3166,  2108,    23,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,  3175,     0,  3176,     0,    24,
       0,     0,     0,   658,     0,   658,  2630,   658,     0,   658,
       0,   658,     0,     0,     0,   658,  2631,     0,     0,     0,
       0,     0,     0,  2632,     0,  5146,     0,     0,  4531,     0,
       0,     0,     0,  2108,     0,     0,  2109,     0,     0,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,  2633,
       0,     0,  3235,    25,    26,     0,     0,     0,  2630,    27,
       0,     0,     0,     0,     0,     0,     0,     0,  2631,     0,
       0,     0,     0,     0,    28,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2108,  2634,
       0,  2109,     0,    29,  2635,  2110,  2111,  2112,     0,     0,
       0,  2633,     0,     0,  5195,  5195,  5195,  5195,     0,  5195,
    5195,  5195,  5195,  5195,     0,     0,     0,  2636,  2302,  2609,
       0,     0,     0,  2631,     0,     0,   902,     0,     0,     0,
    2632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      30,     0,     0,     0,     0,  2637,     0,     0,     0,     0,
       0,     0,   902,     0,     0,    31,  2633,     0,     0,     0,
       0,    32,    33,     0,    34,     0,     0,  2634,     0,    35,
       0,     0,  2635,     0,     0,    36,     0,     0,    37,     0,
       0,     0,  1734,     0,     0,    38,     0,     0,  2369,     0,
       0,     0,    39,    40,     0,  2636,  2302,     0,     0,     0,
      41,     0,     0,  2638,    42,     0,  2639,     0,     0,     0,
       0,     0,     0,     0,     0,    43,     0,     0,     0,  2634,
     911,     0,     0,  2637,  2635,     0,     0,  5274,     0,  5276,
       0,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,  2302,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,  2369,     0,     0,     0,
       0,    47,     0,     0,  2634,  2637,    48,     0,     0,  2635,
       0,  2638,     0,     0,  2639,     0,     0,   911,     0,    49,
       0,     0,     0,     0,     0,   902,     0,     0,     0,  2640,
       0,     0, -2988, -2988,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,     0,     0,     0,  2369,  3537,
       0,     0,     0,  2739,  3543,     0,     0,   905,   911,     0,
    2637,     0,    56,  2638,     0,  -136,  2639,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   911,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0, -2988,     0,     0,     0,  2640,   913,     0,
       0,     0,     0,     0,   913,     0,     0,     0,  2638,     0,
       0,     0,     0,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2568,     0,     0,     0,     0,
       0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,  5546,     0,  2640,
       0,   913,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5408,  5409,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,  3841,     0,  3841,  3841,  3841,   902,
       0,     0,     0,     0,     0,   907,     0,     0,     0,     0,
       0,     0,     0,  2568,  2640,   902,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  2108,     0,     0,  2109,  5556,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2630,     0,     0,     0,
       0,     0,  5460,     0,     0,  2568,  2631,   904,     0,     0,
       0,     0,     0,  2632,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,   911,     0,  5618,     0,     0,
       0,     0,     0,     0,     0,     0,   911,     0,     0,  2633,
       0,  5488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0,     0,
    2568,     0,     0,     0,     0,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,  1734,
       0,     0,     0,     0,  5195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   911,     0,     0,     0,
       0,   913,   902,     0,     0,     0,     0,     0,     0,     0,
       0,   911,     0,     0,   911,   911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   911,   911,  2634,     0,     0,
       0,     0,  2635,     0,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,  2739,  2636,  2302,     0,  2739,     0,
       0,     0,     0,     0,     0,     0,     0,   904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3533,  3534,  2637,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3549,  3550,     0,  3552,  3553,     0,     0,     0,  3556,  3557,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3568,  4531,     0,  2369,  3571,     0,     0,
       0,  3574,  3575,     0,     0,  3578,  3579,     0,     0,     0,
       0,  2638,  3584,     0,  2639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3599,     0,     0,     0,     0,     0,
       0,   913,     0,     0,     0,     0,  3616,   911,     0,     0,
    3841,  3618,     0,     0,     0,     0,   913,     0,     0,  5685,
    2108,   913,     0,  2109,     0,     0,  3624,  2110,  2111,  2112,
    3630,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3640,     0,     0,  3644,  2630,  3646,  3649,  3651,     0,
       0,   913,     0,  3659,  3662,  2631,     0,     0,     0,     0,
       0,     0,  2632,  3675,   904,     0,     0,     0,     0,  3685,
       0,     0,     0,  3688,     0,     0,     0,  2640,     0,     0,
       0,     0,     0,   902,     0,  3698,  3699,     0,  2633,     0,
    3704,     0,     0,     0,     0,     0,  3713,  3714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3723,     0,     0,  3724,     0,     0,     0,     0,     0,     0,
    3736,  3737,     0,     0,     0,     0,  3741,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3748,     0,
       0,  3751,     0,     0,     0,     0,  3754,     0,     0,     0,
     902,     0,  3757,  3758,     0,     0,     0,     0,     0,     0,
    3766,     0,     0,     0,  3768,     0,     0,     0,  3775,  3776,
    3777,  3778,     0,  3780,     0,     0,     0,     0,     0,     0,
       0,   905,     0,  2568,     0,     0,     0,  3806,  3807,     0,
    3809,   902,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,  3819,  3820,  3821,     0,  5649,  2634,   905,     0,     0,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   902,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3873,     0,
       0,     0,  2637,     0,     0,     0,  3897,  1141,     0,     0,
       0,  5896,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3909,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2369,  2739,     0,     0,  3543,
       0,  3543,     0,     0,     0,     0,  2739,     0,     0,     0,
    2638,     0,     0,  2639,     0,   904,     0,     0,     0,   907,
       0,     0,     0,     0,     0,  3977,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,  3991,   907,  3993,     0,   913,     0,
       0,     0,     0,     0,     0,     0,   913,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2739,   904,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   902,
       0,     0,     0,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   902,     0,     0,     0,     0,
       0,  4055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,     0,     0,
     913,     0,   913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1141,     0,     0,     0,
    6068,     0,  6069,     0,     0,     0,  6075,  6076,   907,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   905,   902,     0,     0,   902,   902,     0,
       0,     0,  2568,     0,   905,     0,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
     905,     0,     0,     0,  5651,     0,     0,     0,   902,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   913,     0,
       0,  2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,
    2112,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     719,     0,     0,     0,     0,  3244,  2630,  1734,     0,     0,
       0,     0,     0,  1734,     0,     0,  2631,     0,     0,     0,
       0,     0,   913,  2632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   911,     0,     0,
       0,   911,   911,     0,     0,     0,     0,     0,     0,  2633,
    3543,     0,     0,     0,     0,     0,   722,  3245,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,   907,     0,   723,     0,     0,     0,     0,     0,     0,
       0,   904,   907,     0,     0,     0,     0,     0,     0,     0,
       0,  1056,     0,     0,     0,     0,   911,   904,   907,     0,
     902,     0,   911,     0,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,  3246,     0,     0,   913,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   726,     0,
       0,     0,     0,     0,     0,     0,     0,   727,     0,     0,
    3543,     0,     0,     0,     0,     0,     0,     0,     0,   911,
     728,   904,  2108,     0,     0,  2109,  3247,     0,     0,  2110,
    2111,  2112,   913,     0,     0,     0,   904,  2634,     0,   904,
     904,     0,  2635,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,  2631,     0,     0,
       0,  4318,     0,     0,  2632,  2636,  2302,     0,     0,     0,
     904,   904,     0,     0,  1141,     0,     0,     0,  4325,     0,
       0,     0,  4325,     0,     0,     0,     0,  4336,  4337,  4338,
    2633,  3248,     0,  2637,     0,  2108,     0,     0,  2109,     0,
       0,     0,  2110,  2111,  2112,     0,     0,     0,     0,  4350,
       0,     0,     0,   732,   913,     0,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,   907,     0,     0,     0,     0,
    2631,     0,  4379,  4380,  4381,  4382,  2369,  2632,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2638,     0,     0,  2639,     0,     0,     0,     0,     0,
       0,     0,     0,  2633,     0,     0,   913,     0,     0,     0,
    4403,     0,  4407,  4408,  4409,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   913,     0,   213,  3249,     0,     0,   737,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2634,     0,
       0,     0,   904,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1063,     0,     0,  3250,   911,
       0,     0,  6393,     0,     0,   741,  2636,  2302,   905,  2593,
       0,     0,   742,  6397,     0,   743,     0,  2640,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2637,   744,     0,     0,     0,     0,
       0,     0,     0,  1065,     0,     0,     0,  6423,     0,     0,
     746,  2634,     0,  1066,     0,     0,  2635,     0,   748,     0,
       0,  6393,  4492,     0,     0,     0,     0,     0,     0,     0,
       0,  4498,   911,  3251,     0,   905,   911,  2369,     0,  2636,
    2302,     0,     0,     0,     0,     0,  6393,     0,     0,  5274,
       0,     0,  2638,     0,     0,  2639,     0,  4508,  4509,     0,
     753,     0,  4510,     0,     0,     0,     0,  2637,     0,     0,
       0,     0,     0,     0,     0,     0,   905,     0,   197,     0,
       0,     0,  2739,  2568,  4552,     0,     0,     0,     0,     0,
       0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,
    2577,     0,     0,     0,     0,  5690,     0,     0,     0,   905,
    2369,     0,     0,     0,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,   198,
       0,     0,     0,     0,     0,     0,  4589,     0,     0,   911,
       0,  4595,     0,     0,     0,     0,   199,  4601,  2640,     0,
       0,     0,     0,     0,   911,     0,   908,     0,     0,   911,
       0,     0,     0,     0,   200,     0,     0,     0,     0,     0,
     201,     0,     0,     0,     0,     0,  3543,  4640,     0,     0,
       0,     0,     0,   907,     0,     0,     0,     0,   202,   911,
       0,     0,     0,     0,     0,     0,   910,     0,     0,     0,
       0,   203,     0,     0,  3543,     0,  4655,     0,  4656,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2640,     0,   205,   907,     0,     0,     0,     0,   206,
       0,     0,     0,     0,     0,     0,   207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2568,     0,   208,   907,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,  6045,     0,     0,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,   209,     0,     0,     0,     0,     0,
       0,     0,     0,   905,     0,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,   905,     0,   210,     0,     0,  2631,
     902,     0,     0,     0,   902,   902,  2632,  2568,     0,     0,
     905,     0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,   913,     0,     0,  6056,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   902,
       0,   912,     0,     0,   905,   902,   212,     0,     0,     0,
       0,     0,     0,  3543,     0,     0,   213,   214,  2739,   905,
     215,     0,   905,   905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,   217,   902,   905,   905,   218,     0,     0,   219,     0,
       0,     0,     0,     0,   911,   220,     0,   911,   221,   911,
       0,   907,     0,     0,   911,     0,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,     0,     0,   222,     0,
    2634,     0,     0,     0,     0,  2635,   223,     0,   907,     0,
       0,   224,     0,   225,     0,     0,   226,     0,     0,     0,
       0,   227,     0,     0,     0,     0,   911,     0,  2636,  2302,
       0,   228,     0,     0,   911,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,  4889,     0,  4890,     0,  2637,     0,     0,   911,
       0,     0,   907,   231,     0,     0,     0,  4897,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,     0,  4903,
     907,   907,     0,  4906,     0,     0,   913,     0,     0,     0,
       0,     0,   904,     0,  4919,     0,   904,   904,     0,  2369,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,   907,   907,  4945,  2638,     0,     0,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4949,     0,     0,     0,     0,     0,     0,   911,  4953,
     911,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,   904,     0,     0,
       0,     0,     0,     0,  4988,     0,     0,     0,  4992,     0,
       0,     0,   902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5002,  5003,  5004,  5005,     0,     0,     0,
       0,     0,     0,  5009,  5010,  5011,  5012,     0,     0,     0,
       0,   913,  5014,  5015,   904,     0,     0,     0,  5022,  5023,
    2640,  5025,  5026,  5027,  5028,  5029,  5030,  5031,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5040,     0,     0,
       0,  5043,  5044,  5045,  5046,     0,   911,     0,     0,     0,
       0,     0,     0,     0,     0,   902,     0,     0,     0,   902,
       0,     0,     0,   907,   913,  4325,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,     0,     0,     0,
       0,     0,     0,  5066,     0,     0,   913,     0,     0,     0,
     911,  2630,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2631,     0,     0,     0,     0,     0,     0,  2632,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   911,     0,
       0,     0,     0,     0,     0,     0,  2568,     0,     0,     0,
       0,     0,     0,     0,  2633,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,  6079,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   913,  5147,
       0,     0,   902,     0,     0,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,     0,     0,   902,     0,     0,
       0,     0,   902,     0,     0,     0,   911,     0,     0,     0,
       0,     0,  4325,     0,     0,     0,   908,     0,     0,  5172,
       0,  5173,     0,     0,     0,     0,     0,     0,   911,     0,
     910,     0,   902,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   904,     0,     0,     0,     0,  5188,
     911,     0,     0,     0,     0,     0,   910,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,     0,     0,  2635,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5492,     0,   913,
    2636,  2302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   904,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,  2637,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   911,     0,  2638,     0,     0,  2639,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   911,
       0,     0,     0,     0,     0,   912,     0,     0,     0,     0,
       0,     0,     0,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   913,   904,
       0,   912,     0,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5331,  5332,  5333,     0,     0,     0,  5334,  5335,  5336,  5337,
       0,     0,     0,  5339,   904,     0,     0,     0,     0,     0,
       0,     0,  2640,     0,     0,     0,     0,   902,     0,     0,
     902,     0,   902,     0,     0,     0,     0,   902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3543,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,  5372,  5373,  5374,  5375,  5376,     0,
    5378,  5379,     0,   908,     0,     0,     0,     0,     0,   902,
       0,     0,  5388,  5389,     0,     0,     0,   902,     0,   908,
       0,     0,     0,     0,     0,   905,     0,     0,     0,   905,
     905,     0,   910,     0,     0,     0,     0,     0,     0,     0,
     911,     0,   902,   910,     0,     0,  5395,     0,     0,     0,
       0,     0,     0,     0,   912,     0,     0,     0,  2568,   910,
       0,     0,     0,     0,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,
    6299,     0,     0,     0,   905,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,     0,     0,  2108,     0,  3543,
    2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   902,  2630,   902,     0,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,   911,     0,     0,   905,     0,  2632,
       0,     0,     0,     0,     0,     0,     0,     0,  5458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   911,     0,     0,  2633,     0,     0,     0,     0,
       0,     0,     0,   907,     0,     0,   908,   907,   907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2108,   904,
       0,  2109,   904,     0,   904,  2110,  2111,  2112,     0,   904,
       0,     0,     0,  5509,     0,     0,   910,   912,     0,   902,
       0,     0,     0,  2630,     0,     0,     0,     0,   912,     0,
       0,     0,   907,  2631,     0,     0,     0,     0,   907,     0,
    2632,     0,     0,     0,   912,  5515,     0,     0,     0,     0,
     913,   904,     0,     0,     0,   913,   913,     0,     0,   904,
       0,     0,     0,   902,     0,     0,  2633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2634,   904,   907,     0,     0,  2635,     0,
       0,   902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   911,     0,     0,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2637,
       0,     0,     0,   658,     0,     0,     0,   905,     0,     0,
       0,   911,     0,     0,     0,     0,   911,     0,     0,   902,
       0,     0,     0,   904,     0,   904,     0,  5492,   913,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   902,  2369,     0,  2634,     0,     0,     0,     0,  2635,
       0,     0,     0,     0,     0,     0,     0,  2638,     0,     0,
    2639,   912,     0,   902,     0,     0,     0,     0,     0,  5638,
       0,     0,  2636,  2302,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,   905,     0,     0,     0,  5648,     0,
       0,   913,     0,     0,  5654,  5655,     0,   908,     0,     0,
    2637,     0,     0,     0,  5666,     0,     0,     0,     0,     0,
       0,  5668,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   910,     0,     0,
       0,     0,     0,  2369,     0,   902,  5720,  5721,     0,     0,
       0,     0,     0,  2640,     0,   907,     0,     0,  2638,  5729,
       0,  5731,     0,     0,   908,   904,     0,     0,     0,     0,
       0,     0,     0,     0,   911,     0,  5745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,     0,   904,     0,     0,     0,   902,     0,     0,
       0,  4325,   905,     0,   910,   908,     0,   905,     0,  5779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   902,     0,     0,     0,     0,     0,   907,     0,
       0,     0,   907,     0,     0,     0,     0,   905,   908,     0,
       0,     0,     0,     0,     0,   910,     0,     0,     0,     0,
       0,     0,     0,     0,  2640,     0,     0,     0,     0,  2568,
       0,   904,     0,     0,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,   910,     0,
       0,  6316,     0,   904,     0,     0,     0,     0,     0,   911,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5835,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,  5850,     0,     0,     0,     0,     0,     0,
       0,     0,   912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,  5867,     0,     0,
       0,     0,   911,     0,     0,     0,     0,     0,     0,     0,
     907,     0,     0,     0,     0,   907,     0,     0,     0,     0,
    2568,     0,     0,     0,   911,     0,     0,     0,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,     0,   902,     0,   907,     0,   904,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     912,     0,   908,     0,     0,     0,   911,     0,     0,   904,
       0,     0,     0,   908,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,     0,     0,     0,   908,
       0,     0,     0,   912,   904,     0,     0,     0,     0,     0,
       0,  2630,   910,     0,  4325,     0,     0,   902,     0,     0,
       0,  2631,     0,   910,     0,     0,     0,     0,  2632,     0,
       0,     0,   905,     0,     0,   905,     0,   905,     0,   910,
       0,     0,   905,     0,     0,   902,     0,     0,  6007,     0,
       0,     0,     0,   908,  2633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,   908,   908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,     0,  6035,
       0,     0,   905,   910,     0,     0,     0,   911,     0,     0,
       0,     0,   908,   908,     0,     0,     0,     0,   910,     0,
       0,   910,   910,  6057,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   913,   910,   910,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,  2634,  6097,     0,     0,     0,  2635,     0,     0,
     907,     0,     0,   907,     0,   907,     0,   902,     0,     0,
     907,     0,     0,     0,     0,     0,   905,   912,   905,     0,
    2636,  2302,     0,     0,     0,  1734,     0,     0,   912,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2108,     0,   912,  2109,     0,     0,  2637,  2110,
    2111,  2112,   907,     0,   902,     0,   911,     0,     0,   902,
     907,     0,     0,     0,   908,     0,     0,  2630,     0,     0,
       0,  3488,     0,     0,     0,     0,     0,  2631,     0,   904,
       0,     0,     0,     0,  2632,   907,     0,     0,     0,     0,
       0,  2369,     0,     0,     0,     0,     0,     0,   912,     0,
       0,     0,     0,     0,   910,  6191,  2638,   904,     0,  2639,
    2633,     0,     0,   912,   905,     0,   912,   912,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6204,     0,
       0,     0,     0,     0,     0,     0,     0,   912,   912,  6214,
       0,     0,  2108,     0,     0,  2109,     0,     0,   905,  2110,
    2111,  2112,  3489,     0,   907,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,     0,     0,     0,     0,   905,  2631,     0,     0,
       0,     0,     0,     0,  2632,     0,     0,     0,     0,     0,
       0,     0,  2640,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   902,     0,     0,
    2633,     0,     0,     0,     0,     0,     0,     0,  2634,     0,
       0,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   911,     0,   904,
       0,     0,     0,     0,   905,     0,  2636,  2302,     0,     0,
       0,     0,   907,     0,     0,     0,     0,     0,     0,     0,
       0,  6293,     0,     0,     0,     0,   905,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,   904,     0,   905,     0,
       0,   904,     0,     0,  2108,     0,   907,  2109,  2568,     0,
       0,  2110,  2111,  2112,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,     0,  2369,     0,  2630,
    6374,     0,   902,     0,   907,     0,     0,     0,  2634,  2631,
       0,     0,  2638,  2635,     0,  2639,  2632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,  2302,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,     0,
     905,     0,     0,     0,     0,   902,     0,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,     0,     0,   911,     0,
       0,     0,   907,   911,   911,  2108,     0,   902,  2109,     0,
       0,     0,  2110,  2111,  2112,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   907,     0,     0,     0,     0,     0,
    2630,     0,   905,  4064,     0,     0,     0,  2369,  2640,     0,
    2631,     0,     0,     0,     0,     0,   907,  2632,     0,     0,
       0,     0,  2638,     0,     0,  2639,     0,   905,     0,   904,
       0,     0,     0,     0,  6144,     0,     0,     0,     0,     0,
       0,     0,     0,  2633,     0,     0,     0,  6434,     0,   902,
       0,     0,  4769,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,   963,   973,  3490,     0,     0,     0,     0,     0,   963,
       0,   973,   963,     0,     0,     0,   911,     0,  2636,  2302,
       0,     0,     0,     0,     0,   973,     0,     0,   907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2568,     0,  2637,     0,  2640,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,     0,  4770,     0,     0,
       0,     0,     0,     0,   904,     0,     0,     0,     0,   911,
     907,     0,     0,     0,     0,     0,     0,     0,     0,  2369,
       0,  2634,     0,     0,     0,     0,  2635,     0,     0,     0,
     902,     0,     0,     0,  2638,   907,     0,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   905,  2636,
    2302,     0,     0,     0,     0,     0,     0,   904,     0,     0,
       0,     0,  6145,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2637,     0,   904,
       0,     0,     0,     0,  2568,     0,     0,     0,     0,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   908,     0,     0,     0,   908,   908,
    2369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2640,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,   910,     0,     0,     0,   910,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   902,
     905,     0,     0,   908,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,  2108,     0,     0,  2109,
       0,     0,     0,  2110,  2111,  2112,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2630,     0,   910,     0,     0,     0,     0,     0,   910,
       0,  2631,     0,     0,     0,     0,   908,     0,  2632,     0,
       0,  2640,     0,     0,     0,     0,  2568,     0,     0,     0,
     902,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,  2633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   910,     0,     0,     0,
       0,     0,   904,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2108,     0,
     907,  2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   905,  2630,     0,     0,     0,     0,   907,     0,
       0,     0,     0,  2631,     0,     0,     0,     0,     0,     0,
    2632,     0,     0,     0,     0,     0,     0,  2568,     0,   912,
       0,     0,     0,   912,   912,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,  2633,     0,     0,   905,
     902,     0,     0,     0,   905,     0,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,     0,     0,  2635,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   912,     0,
    2636,  2302,     0,     0,   912,     0,   973,     0,     0,     0,
       0,   904,   973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,  2637,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
     973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   912,     0,     0,   963,   973,     0,     0,     0,     0,
     907,   963,     0,   973,   963,     0,     0,     0,     0,     0,
       0,  2369,     0,     0,  2634,     0,   910,   973,     0,  2635,
       0,     0,   904,     0,     0,     0,  2638,   973,     0,  2639,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2636,  2302,     0,     0,     0,   907,     0,   908,
       0,   902,   907,   908,     0,     0,   902,   902,     0,   911,
       0,     0,   905,     0,     0,     0,     0,     0,     0,     0,
    2637,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     973,     0,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,   910,     0,  2108,     0,     0,  2109,     0,
       0,     0,  2110,  2111,  2112,     0,     0,     0,   973,     0,
       0,     0,     0,  2369,     0,     0,     0,     0,     0,     0,
    2630,     0,  2640,  4141,     0,     0,     0,     0,  2638,     0,
    2631,  2639,     0,   973,     0,     0,     0,  2632,     0,     0,
       0,     0,   904,     0,     0,     0,     0,     0,     0,     0,
       0,  4109,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,     0,  2633,     0,     0,     0,     0,     0,   902,
       0,   908,     0,     0,     0,     0,   908,   905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   973,   910,     0,     0,     0,
       0,   912,     0,     0,     0,     0,   908,     0,     0,     0,
     907,   910,     0,     0,     0,     0,   910,     0,     0,     0,
       0,     0,     0,     0,  2640,     0,     0,  4073,  2568,     0,
     905,     0,   902,     0,     0,     0,     0,  2569,  2570,  2571,
    2572,  2573,  2574,  2575,  2576,  2577,   910,     0,     0,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   912,     0,     0,     0,   912,     0,
       0,  2634,     0,     0,     0,     0,  2635,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,   904,   904,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,  2636,
    2302,     0,   973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   963,   905,   907,     0,   963,     0,   963,
    2568,     0,     0,     0,     0,     0,     0,  2637,     0,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2108,     0,     0,
    2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   907,     0,
    2369,   912,  2630,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,     0,  2638,   912,     0,  2639,  2632,
     907,   912,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2633,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,   908,     0,   908,     0,     0,     0,
       0,   908,   907,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2640,     0,     0,     0,     0,     0,   973,     0,     0,
       0,   910,     0,     0,   910,     0,   910,     0,   973,     0,
       0,   910,     0,   908,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,  4146,   973,     0,     0,     0,     0,
     973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2634,     0,     0,   908,     0,  2635,     0,
       0,     0,     0,   910,     0,     0,     0,     0,     0,     0,
       0,   910,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,   910,     0,     0,     0,
       0,     0,     0,   907,     0,     0,     0,  2568,     0,  2637,
       0,     0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,   908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2369,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   905,     0,  2638,     0,     0,
    2639,     0,     0,   973,     0,   910,     0,   910,     0,     0,
       0,   973,   973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   912,     0,     0,   912,
       0,   912,     0,     0,   972,     0,   912,     0,     0,     0,
       0,     0,     0,   972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
       0,     0,     0,   908,  1821,     0,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,     0,     0,   912,     0,
       0,     0,   902,     0,     0,     0,   912,     0,     0,     0,
       0,     0,     0,  2640,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   910,     0,     0,     0,   908,     0,     0,
       0,   912,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,  2108,     0,     0,
    2109,     0,     0,   907,  2110,  2111,  2112,   910,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2630,     0,     0,  4153,     0,     0,     0,     0,
       0,     0,  2631,     0,     0,   910,     0,     0,     0,  2632,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     912,     0,   912,     0,     0,     0,     0,     0,     0,  2568,
       0,     0,     0,   908,     0,  2633,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   910,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   907,     0,   910,   905,     0,     0,     0,
    2108,   905,   905,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,     0,   910,   912,     0,
       0,     0,     0,     0,     0,  2630,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,  2632,     0,     0,   973,     0,     0,     0,     0,
       0,     0,     0,  2634,   904,     0,     0,     0,  2635,   908,
       0,     0,   912,     0,     0,     0,     0,     0,  2633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
     912,     0,     0,     0,     0,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2637,
       0,   908,     0,  2108,   905,     0,  2109,     0,     0,     0,
    2110,  2111,  2112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,  2630,     0,
       0,  4776,     0,     0,   907,     0,     0,     0,  2631,   907,
     907,   910,  2369,     0,     0,  2632,     0,     0,   912,     0,
     973,     0,     0,     0,     0,     0,     0,  2638,     0,     0,
    2639,     0,     0,     0,     0,     0,   910,   905,     0,     0,
     912,  2633,     0,     0,     0,     0,  2634,     0,     0,     0,
       0,  2635,     0,     0,     0,  1821,     0,     0,     0,     0,
       0,     0,   912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,  2302,     0,     0,   973,   972,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,   972,     0,
       0,     0,  2637,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   972,     0,     0,     0,
       0,     0,   907,  2640,     0,     0,     0,     0,     0,     0,
       0,     0,   972,     0,     0,   963,   963,     0,   973,   973,
       0,     0,     0,     0,   912,  2369,     0,   972,     0,     0,
     963,     0,   973,   963,     0,   972,     0,   908,     0,  2634,
    2638,     0,     0,  2639,  2635,   973,   973,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,     0,     0,     0,   907,     0,  2636,  2302,     0,
       0,     0,     0,     0,     0,     0,   912,   910,     0,     0,
       0,     0,     0,   963,     0,     0,     0,   963,   963,     0,
       0,     0,     0,     0,     0,  2637,     0,     0,     0,     0,
       0,   912,     0,     0,     0,     0,     0,     0,     0,  2568,
       0,     0,   972,     0,     0,     0,     0,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,
       0,   908,     0,     0,     0,     0,  2640,     0,  2369,     0,
     972,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2638,     0,   976,  2639,     0,     0,   908,
       0,     0,     0,     0,     0,   972,     0,  1010,     0,     0,
       0,   910,  4700,     0,     0,     0,     0,     0,  1029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2108,     0,     0,  2109,   910,
       0,     0,  2110,  2111,  2112,  1821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,     0,     0,   972,     0,     0,
    2631,     0,     0,     0,     0,     0,     0,  2632,     0,     0,
       0,     0,  2568,     0,     0,     0,     0,     0,     0,  2640,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,   912,  2633,  2108,     0,     0,  2109,     0,     0,
       0,  2110,  2111,  2112,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2631,
       0,   908,     0,     0,     0,     0,  2632,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,  1820,     0,     0,
       0,   910,     0,     0,   972,     0,     0,     0,   908,     0,
       0,     0,     0,   908,     0,  2568,   912,     0,     0,     0,
       0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,  2634,     0,     0,   912,     0,  2635,     0,   910,     0,
       0,     0,     0,   910,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
    2302,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,  5226,     0,     0,     0,     0,     0,  2637,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,  2302,
    2369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2638,     0,     0,  2639,     0,
       0,     0,     0,     0,   670,     0,  2637,     0,     0,     0,
       0,   908,     0,     0,     0,  5216,     0,     0,     0,     0,
       0,     0,   671,     0,     0,     0,   912,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,     0,     0,     0,   672,     0,  2369,
       0,   910,     0,     0,     0,     0,     0,   972,     0,     0,
     673,     0,   972,     0,  2638,     0,     0,  2639,     0,     0,
       0,     0,     0,   912,     0,   907,     0,  -884,   912,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2640,     0,     0,     0,   674,     0,     0,     0,     0,
       0,   675,     0,     0,     0,     0,     0,     0,     0,     0,
    1049,     0,     0,     0,     0,     0,  1081,     0,     0,   676,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,   677,     0,     0,     0,     0,     0,     0,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1365,  1365,     0,   679,     0,     0,     0,     0,     0,
    2640,     0,     0,   680,     0,     0,   910,   681,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0, -1090,     0,     0,
       0,     0,     0,     0,     0,   972,     0,  2568,     0,     0,
       0,   908,     0,   972,   972,     0,  2569,  2570,  2571,  2572,
    2573,  2574,  2575,  2576,  2577,     0,     0,     0,     0,   910,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1365,     0,     0,     0,     0,   912,   682,     0,     0,
       0,   910,  1821,     0,     0,     0,     0,  -617,     0,     0,
       0,     0,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2568,     0,     0,     0,
       0,     0,     0,   908,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,  1390,     0,     0,
       0,   683,     0,     0,   684,     0,     0,   973,     0,     0,
       0,     0,     0,     0,     0,     0,  1413,     0,     0,     0,
       0,     0,     0,   910,     0,   973,     0,   685,     0,   973,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
       0,   686,   973,     0,     0,     0,     0,     0,     0,  -467,
       0,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,   912,  1731,  1735,     0,     0,     0,     0,     0,   687,
       0,     0,     0,     0,   963,     0,   963,   963,     0,   688,
       0,     0,     0,     0,     0,     0,  -467,     0,  1471,   689,
       0,   973,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   908,     0,     0,     0,     0,   690,
       0,   973,   973,     0,   912,     0,     0,   691,     0,     0,
       0,     0,     0,     0,  -467,     0,     0,   692,     0,   693,
       0,   694,   695,     0,     0,  1607,   912,     0,     0,     0,
       0,     0,     0,     0,   910,     0,     0,   696,  1821,   973,
       0,     0,  1821,     0,     0,   697,     0,     0,   698,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2108,     0,  -467,  2109,   973,     0,  1821,  2110,
    2111,  2112,   973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,  2630,     0,     0,
       0,     0,     0,   973,     0,     0,   973,  2631,   912,     0,
       0,     0,   973,     0,  2632,     0,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   973,     0,     0,     0,     0,     0,   973,     0,
    2633,     0,     0,   908,     0,   973,     0,     0,     0,     0,
    1870,     0,     0,     0,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   973,     0,     0,     0,     0,  1821,  1904,
    1907,  1908,     0,   910,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2052,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   908,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   912,
       0,     0,   972,     0,     0,     0,     0,     0,     0,  5232,
       0,     0,     0,  2078,  1821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   910,     0,     0,     0,  2634,     0,
       0,     0,     0,  2635,     0,     0,     0,  1820,     0,     0,
       0,     0,  2097,  2098,  2099,     0,  2101,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,  2302,  1390,     0,
     972,     0,     0,  2108,     0,     0,  2109,  2586,   972,     0,
    2110,  2111,  2112,     0,     0,     0,   972,     0,     0,     0,
       0,     0,     0,     0,  2637,     0,  1390,     0,  2630,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,  2631,     0,
       0,  2110,  2111,  2112,   908,  2632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
     972,   972,     0,     0,     0,     0,     0,  2369,     0,  2631,
       0,  2633,     0,     0,   972,     0,  2632,     0,   912,     0,
       0,     0,  2638,     0,   910,  2639,     0,   972,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,     0,     0,     0,     0,   973,
    2682,  1821,     0,     0,  2694,  2699,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,   963,     0,   963,   963,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5234,     0,     0,     0,  2640,  2624,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2634,
       0,     0,     0,     0,  2635,   908,     0,     0,     0,     0,
     908,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,  2302,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,  1821,     0,     0,   910,     0,     0,  1821,     0,
     910,   910,     0,     0,     0,  2637,     0,  1820,  2636,  2302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2715,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   912,
       0,     0,     0,     0,     0,     0,  2637,     0,     0,     0,
       0,     0,     0,     0,  2568,     0,     0,     0,  2369,     0,
       0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     0,  2638,     0,     0,  2639,     0,     0,     0,
       0,     0,     0,   908,     0,     0,     0,     0,     0,  2369,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2638,     0,     0,  2639,     0,     0,
       0,     0,  2829,     0,     0,     0,     0,     0,     0,     0,
       0,  2858,     0,   910,     0,     0,     0,     0,     0,  1731,
    1731,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,     0,  2896,     0,     0,     0,     0,     0,  2908,
    2908,     0,     0,  2908,     0,     0,     0,     0,     0,  2640,
       0,     0,     0,     0,     0,     0,  2926,     0,     0,  2929,
       0,     0,     0,     0,     0,     0,   910,     0,     0,     0,
     912,     0,     0,     0,     0,   912,   912,     0,     0,     0,
    2640,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2108,     0,     0,  2109,     0,     0,     0,  2110,  2111,  2112,
       0,     0,     0,     0,     0,     0,   973,   973,     0,     0,
       0,     0,     0,     0,     0,  2630,     0,  2982,     0,     0,
       0,     0,     0,     0,     0,  2631,     0,   973,     0,     0,
     973,  3002,  2632,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2568,     0,     0,  2633,     0,
       0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,  2574,
    2575,  2576,  2577,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2568,     0,   912,     0,
       0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,     0,     0,     0,     0,     0,     0,
       0,  1821,  1821,  1821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,  3024,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   912,  3027,     0,     0,   973,     0,  2108,     0,     0,
    2109,     0,     0,     0,  2110,  2111,  2112,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2634,   973,     0,     0,
       0,  2635,  2630,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,  3071,  2908,     0,     0,     0,  2632,
       0,     0,     0,     0,  2636,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3106,
       0,     0,     0,     0,     0,  2633,  3119,     0,     0,     0,
       0,     0,  2637,     0,     0,     0,     0,     0,  3262,     0,
       0,     0,     0,     0,     0,     0,     0,  3279,  3279,  3279,
    3279,  3289,  3295,  3279,  3298,  3279,  3279,     0,     0,     0,
       0,  3305,     0,  3306,     0,  3308,     0,   973,  3322,  3325,
    3330,     0,     0,     0,     0,  2369,  3339,     0,     0,  3344,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2638,     0,     0,  2639,  3351,  3352,  3353,     0,     0,  3180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3354,     0,  1821,     0,     0,     0,  5793,     0,
     973,     0,   973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1390,  1390,  1820,   973,     0,   973,     0,     0,
       0,     0,     0,  2634,     0,     0,     0,     0,  2635,  3234,
       0,     0,  3236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2636,  2302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2640,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2637,
       0,     0,     0,     0,   973,     0,     0,   972,     0,  2108,
       0,   972,  2109,     0,     0,   972,  2110,  2111,  2112,     0,
       0,     0,     0,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2630,     0,   908,  5810,     0,   972,
       0,     0,  2369,     0,  2631,     0,   973,     0,     0,     0,
       0,  2632,     0,     0,     0,     0,     0,  2638,     0,  3362,
    2639,     0,     0,     0,     0,   973,  5605,     0,     0,   973,
       0,     0,     0,   972,     0,     0,   910,  2633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     973,     0,  2568,   972,   972,     0,     0,     0,     0,     0,
       0,  2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,
       0,     0,     0,  3381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,   972,     0,     0,  1820,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2640,  2108,     0,     0,  2109,   972,     0,
    1820,  2110,  2111,  2112,   972,     0,     0,     0,     0,  3383,
       0,     0,     0,     0,     0,     0,     0,     0,   972,  2630,
       0,     0,     0,     0,     0,   972,     0,     0,   972,  2631,
       0,     0,     0,     0,   972,  2634,  2632,     0,  1821,     0,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   972,     0,     0,     0,     0,     0,
     972,     0,  2633,  2636,  2302,     0,     0,   972,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2637,     0,     0,     0,   972,     0,     0,     0,  2568,
    1820,   912,     0,     0,     0,     0,   972,     0,  2569,  2570,
    2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2638,
       0,     0,  2639,     0,     0,     0,     0,     0,     0,   719,
       0,     0,     0,     0,   720,     0,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2634,     0,     0,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,  3390,  3391,  3392,  3393,  3394,  3395,  3396,
    3397,  3398,   721,  3399,     0,     0,     0,     0,  2636,  2302,
       0,     0,     0,   973,  1365,   722,  1731,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   723,     0,     0,     0,  2637,     0,     0,     0,
       0,     0,     0,     0,     0,  2640,     0,     0,     0,     0,
     724,     0,     0,     0,  3354,     0,     0,     0,  3362,     0,
       0,  3381,     0,  3383,     0,     0,  3436,     0,     0,     0,
       0,     0,     0,     0,   725,  1821,     0,     0,     0,  2369,
    1821,     0,  1821,     0,     0,     0,     0,   726,     0,     0,
       0,     0,     0,     0,  2638,     0,   727,  2639,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,   728,
       0,     0,     0,     0,     0,   729,     0,     0,     0,  2098,
    2099,   972,   730,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,   731,     0,     0,     0,  3419,   972,     0,     0,
       0,  2568,     0,     0,   973,     0,  3424,   973,     0,     0,
    2569,  2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1471,     0,     0,     0,     0,
    2640,     0,     0,     0,     0,     0,     0,     0,     0,  3576,
       0,     0,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1471,  1471,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,   733,   973,   973,     0,
    1820,     0,     0,     0,     0,     0,     0,     0,   973,   734,
       0,     0,     0,     0,     0,     0,  1390,     0,     0,     0,
       0,     0,   735,     0,     0,   973,     0,     0,     0,     0,
       0,     0,   213,   736,     0,     0,   737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2568,     0,     0,     0,
       0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,   738,     0,     0,   739,     0,     0,
       0,   740,     0,     0,   741,     0,     0,     0,     0,     0,
       0,   742,     0,     0,   743,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   744,     0,   973,     0,     0,  1821,
       0,     0,   745,     0,     0,     0,     0,     0,     0,   746,
       0,     0,   747,     0,     0,     0,     0,   748,     0,     0,
       0,     0,     0,     0,     0,   749,     0,   750,     0,     0,
       0,     0,   751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3643,     0,     0,     0,   752,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3665,     0,   753,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3693,
       0,  3831,  3832,  1731,     0,     0,     0,  3836,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,   972,
       0,     0,     0,     0,  3865,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     1,     0,     0,   972,
       0,     0,   972,     0,     0,     0,     0,     2,     0,     3,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3773,  3774,     6,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     7,
       0,     8,     9,     0,     0,     0,     0,     0,    10,     0,
      11,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    12,     0,    13,     0,     0,     0,     0,
       0,     0,     0,  1820,  1820,  1820,     0,     0,     0,     0,
       0,     0,    14,     0,     0,    15,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,     0,     0,   972,     0,
      16,     0,    17,     0,     0,     0,    18,     0,     0,     0,
       0,     0,     0,  5759,     0,     0,     0,   972,     0,     0,
       0,     0,    20,     0,    21,     0,     0,  3899,     0,     0,
       0,    22,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,     0,     0,     0,     0,   973,     0,     0,    23,
       0,     0,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,     0,    24,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4060,     0,     0,     0,     0,  4066,     0,
       0,     0,   973,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      25,    26,     0,     0,     0,     0,    27,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2101,
       0,    28,     0,     0,     0,     0,     0,     0,     0,     0,
    3330,     0,  3330,  3330,     0,     0,     0,     0,     0,     0,
      29,     0,     0,     0,     0,     0,  4156,     0,     0,  4159,
    1821,  4161,     0,     0,     0,     0,  1820,     0,     0,     0,
       0,     0,   972,     0,   972,     0,     0,     0,     0,   973,
    1576,     0,     0,     0,     0,     0,  1577,   972,     0,   972,
       0,     0,     0,  1643,     0,     0,     0,    30,  4186,     0,
    4189,     0,  4191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    31,     0,     0,  1644,     0,   719,    32,    33,
       0,    34,  1052,     0,     0,     0,    35,     0,     0,  4630,
       0,  1579,    36,     0,     0,    37,     0,  2579,     0,     0,
       0,  2579,    38,     0,     0,     0,     0,     0,     0,    39,
      40,     0,     0,     0,     0,     0,   972,    41,     0,     0,
    1053,    42,     0,     0,     0,   973,     0,  1645,     0,     0,
       0,     0,    43,   722,  1054,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1055,     0,  1580,    44,
     723,     0,     0,     0,     0,  1581,  4261,     0,   972,  1582,
       0,  2682,     0,     0,     0,     0,     0,     0,  1056,     0,
      45,     0,     0,     0,     0,     0,  2699,   972,     0,     0,
       0,   972,    46,     0,     0,     0,     0,  1583,    47,     0,
       0,     0,  1057,    48,     0,     0,     0,     0,     0,     0,
       0,     0,   972,     0,     0,   726,    49,     0,     0,     0,
       0,     0,     0,     0,   727,     0,     0,     0,     0,  1646,
       0,  4207,     0,  1584,     0,     0,     0,   728,     0,     0,
      50,     0,     0,  1058,     0,     0,     0,     0,     0,     0,
       0,  4311,  1471,     0,     0,     0,     0,     0,     0,    56,
       0,     0,  -136,     0,     0,   973,     0,   973,     0,     0,
    1059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1647,     0,  1576,
       0,     0,  1648,     0,     0,  1577,     0,  1649,     0,     0,
       0,     0,  1643,     0,     0,     0,     0,     0,  1060,     0,
       0,  4346,     0,  1650,     0,   973,     0,  1586,     0,     0,
    1820,     0,     0,     0,  1644,   963,     0,  1587,     0,     0,
     732,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,  1651,  1589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,     0,     0,     0,     0,
     963,     0,     0,     0,  1061,     0,  1645,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1652,     0,     0,  1591,  1592,  1653,  1580,     0,     0,
     735,     0,     0,     0,  1581,     0,     0,     0,  1582,     0,
     213,  1062,     0,     0,   737,     0,     0,     0,     0,     0,
    1654,     0,     0,     0,     0,     0,  1655,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,     0,     0,
       0,  1656,  1063,     0,     0,  1064,     0,     0,     0,   740,
       0,     0,   741,     0,  2579,     0,     0,     0,  3318,   742,
       0,     0,   743,     0,     0,     0,     0,     0,  1646,     0,
       0,     0,  1584,  2579,  2579,  2579,     0,  2579,     0,     0,
       0,     0,   744,     0,     0,     0,     0,     0,     0,     0,
    1065,     0,  1657,     0,     0,   972,     0,   746,     0,  1594,
    1066,     0,     0,     0,     0,   748,     0,     0,     0,     0,
       0,  1731,     0,  1067,     0,   750,     0,  1731,     0,     0,
    1068,     0,     0,     0,     0,  4425,  1647,     0,     0,     0,
       0,  1648,     0,     0,     0,  2908,  1649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   753,     0,     0,
       0,     0,  1650,     0,     0,     0,  1586,  1820,     0,     0,
       0,     0,  1820,     0,  1820,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1651,  1589,     0,
    1820,     0,     0,     0,     0,     0,  4579,     0,     0,     0,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3742,     0,     0,  1591,  1592,  1653,   972,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,  1821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1654,
       0,     0,     0,     0,     0,  3743,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1656,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4556,  4557,
    4558,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4567,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1821,     0,   972,
     972,  1657,     0,     0,     0,     0,     0,     0,  1594,     0,
     972,     0,     0,     0,     0,  4701,     0,     0,  4592,  4594,
       0,     0,     0,  4599,  4705,     0,     0,   972,     0,     0,
       0,     0,     0,  1821,     0,     0,     0,     0,  3279,     0,
       0,     0,  4718,  3279,  3279,     0,     0,     0,     0,  3295,
       0,     0,  4726,     0,     0,  4728,     0,     0,     0,     0,
       0,  4730,     0,  4731,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4753,  4754,  4755,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1821,     0,     0,   973,     0,   972,  3339,
       0,  1820,     0,     0,     0,     0,     0,  4779,     0,     0,
    4782,     0,  4784,     0,     0,     0,     0,     0,     0,  1390,
       0,     0,     0,     0,     0,     0,     0,     0,  4788,     0,
       0,     0,     0,     0,     0,     0,  4795,  4796,     0,     0,
       0,     0,     0,  4801,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3279,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,  4855,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   973,
    4869,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   963,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4808,  4809,  4810,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,   963,   963,     0,     0,
    2579,   972,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     972,     0,     0,     0,   973,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   972,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1820,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1821,  5154,  5155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
    5076,  1821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   963,   963,     0,     0,     0,     0,
       0,     0,     0,     0,  5205,     0,  1821,     0,     0,     0,
       0,     0,  5108,     0,     0,     0,     0,     0,     0,     0,
    2682,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5228,     0,
       0,     0,     0,     0,  3119,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5247,  5249,  5166,
       0,     0,     0,     0,  5253,  5254,     0,     0,     0,  5255,
       0,     0,     0,     0,  5256,     0,  3180,  5259,  5260,     0,
       0,     0,     0,     0,  5265,     0,     0,   972,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5300,
       0,     0,     0,     0,     0,     0,     0,   972,     0,     0,
    1365,     0,     0,     0,     0,     0,     0,     0,  5314,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1820,     0,     0,
       0,     0,     0,  5342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5269,  5270,  5271,  5272,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,  2579,     0,  5391,  2579,     0,     0,     0,     0,     0,
    5393,  2579,  2579,     0,  2579,     0,     0,     0,     0,  3318,
    3318,     0,  4132,     0,  3318,     0,     0,     0,  2579,     0,
       0,  2579,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,  2579,  2579,  2579,
    2579,     0,     0,     0,     0,  3318,  3318,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5428,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,  2579,
       0,     0,     0,     0,     0,     0,  2579,  2579,  2579,  2579,
    2579,  2579,  2579,  2579,  2579,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   972,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1820,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3279,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5534,     0,     0,     0,     0,     0,  5538,  5539,  5540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5553,  5554,     0,     0,  5555,     0,     0,     0,  1820,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5563,     0,     0,     0,     0,     0,     0,  5487,
       0,     0,  5575,     0,     0,     0,     0,     0,     0,     0,
    5497,     0,     0,  5593,     0,  1820,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5610,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1820,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   972,     0,     0,  5783,     0,     0,  2579,  2579,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3339,     0,     0,   972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5704,
       0,     0,     0,     0,  1390,     0,     0,     0,     0,     0,
    2101,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5862,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   972,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5911,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,  2579,     0,  5858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3279,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5991,     0,     0,
       0,     0,     0,     0,     0,     0,  5998,  5998,  5998,  4132,
    4132,     0,     0,  3318,  3318,  3318,  3318,     0,     0,  3318,
    3318,  3318,  3318,  3318,  3318,  3318,  3318,  3318,  3318,  4132,
       0,     0,     0,     0,  5593,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1820,     0,     0,     0,  6031,     0,
       0,     0,  2579,     0,     0,  2579,     0,  2579,     0,     0,
    4132,  4132,  5934,     0,     0,     0,     0,  6046,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,  3318,  3318,  2579,     0,  2579,     0,     0,
    5956,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1820,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5998,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5593,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6246,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3318,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6333,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,  1731,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,  2579,     0,  2579,  2579,     0,     0,
       0,     0,  4132,  4132,  4132,  4132,     0,     0,     0,  4132,
    4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  2579,
    2579,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,  2579,     0,
    2579,     0,     0,     0,  2579,     0,     0,  4132,  4132,     0,
       0,  2579,  2579,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2579,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,  2579,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,  3318,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2579,     0,  2579,     0,     0,     0,  2579,
    2579,  2579,  2579,     0,     0,  2579,  2579,     0,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3318,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,  4132,  3318,  2579,  2579,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
    2579,  2579,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,  3318,     0,     0,  4132,     0,     0,
       0,  2579,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4132,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4132,     0,  3318,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,  2579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3318,  3318,     0,     0,  3318,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4132,  4132,     0,  4132,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,  1268,   714,     0,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1725,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,  2579,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,  1726,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,  1325,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,  1326,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,     0,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,  1727,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,  1728,     0,
       0,     0,     0,     0,     0,  1352,  1729,   234,     0,  1268,
     714,     0,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,  1325,   497,   498,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,  1326,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,    40,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,    44,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,  1203,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,    49,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,     0,     0,     0,     0,  1352,  5829,   234,
       0,  1268,   714,     0,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,  1325,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,  1326,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,     0,     0,     0,     0,  1352,
    3320,   234,     0,  1268,   714,     0,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,  1325,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,  1326,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,     0,     0,     0,
       0,  1352,  4732,   234,     0,  1268,   714,     0,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,  1325,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  1326,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,     0,
       0,     0,     0,  1352,  4798,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4238,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0, -1834,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0, -1834,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385, -1834,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398, -1834,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419, -1834,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445, -1834,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532, -1834,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,     0,   876,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1464,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   877,   260,   878,   879,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   880,
     881,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   882,   883,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   885,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  2725,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,  2726,   388,   389,   390,   391,   886,   887,
       0,   888,     0,   395,   396,   397,   398,   399,   889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,     0,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,     0,
     437,   438,   439,   440,   441,   442,   443,   444,   890,   446,
     891,   448,   449,   450,   451,   452,   453,   454,   455,     0,
       0,   458,     0,   459,   460,   461,   462,     0,     0,   464,
     892,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,  2728,   478,   479,
     480,     0,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,     0,   497,     0,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   893,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,  2729,   558,   559,   560,   561,   562,   895,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,     0,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   896,   897,     0,     0,   595,   596,
       0,   598,     0,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,     0,   898,  2730,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,     0,   876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   645,   646,
     647,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,  2823,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   880,   881,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   882,   883,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   885,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,  2725,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,  2726,   388,
     389,   390,   391,   886,   887,     0,   888,     0,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,     0,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,     0,     0,   458,     0,   459,   460,
     461,   462,     0,     0,   464,   892,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,  2728,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   497,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     893,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,  2729,   558,
     559,   560,   561,   562,   895,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   896,
     897,     0,     0,   595,   596,     0,   598,     0,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,     0,   898,  2730,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,     0,   234,     0,  1268,   714,     0,  1269,  1270,
    1271,   775,  1272,   645,   646,   647,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,  3954,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,  1325,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  1326,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,  3281,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,    40,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,    44,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,  1203,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
      49,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,   234,
       0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,  1292,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,  1319,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,  1323,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,  1325,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,  1326,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  1327,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
      40,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,    44,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
    1337,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,  1203,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,    49,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1350,     0,     0,     0,   234,     0,  1268,   714,  1352,
    1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1273,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1274,   260,  1275,  1276,  3326,
     263,   264,   265,   266,   267,   268,   269,  1277,  1278,   270,
     271,  1279,  1280,   274,     0,   275,   276,   277,   278,  1281,
       0,  1282,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,
    1287,  1288,  1289,   303,   304,   305,   306,   307,   308,  1290,
    1291,   311,  1292,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   884,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1293,
     342,   343,   344,   345,  1294,  1295,   347,     0,   348,   349,
     350,  1296,   352,     0,   353,     0,   354,   355,   356,  3327,
     357,   358,   359,   360,   361,     0,   362,  1297,     0,  1298,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1299,  1300,     0,  1301,     0,   395,   396,   397,   398,   399,
    1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,
    1311,   411,   412,   413,   414,   415,   416,   417,     0,  3328,
     418,  1312,   420,   421,   422,     0,   423,   424,   425,  1313,
    1314,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,  1315,   437,   438,   439,   440,   441,   442,   443,   444,
    1316,   446,  1317,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1318,   458,  1319,   459,   460,   461,   462,  1320,
    1321,   464,  1322,   466,   467,   468,     0,   469,   470,   471,
       0,     0,  1323,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,  1324,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,  1325,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,  1326,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,  1327,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,  1328,   555,   556,   557,   558,   559,   560,   561,
     562,  1329,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,  1330,
     581,     0,   582,   583,  1331,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,  1332,  1333,     0,  3329,
     595,   596,  1334,   598,  1335,  1336,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,  1337,   609,   610,   611,
     612,   613,  1338,     0,   614,   615,   616,   617,   618,   619,
    1339,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
    1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,
     645,   646,   647,     0,  1348,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,  1350,     0,     0,
       0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,
    1272,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243, -2265,   244,   245,
     246,     0,     0,     0, -2265,  1273,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1274,   260,  1275,  1276,     0,   263,   264,   265,   266,
     267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,
       0,   275,   276,   277,   278,  1281,     0,  1282,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,
     304,   305,   306,   307,   308,  1290,  1291,   311,  1292,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   884,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1293,   342,   343,   344,   345,
    1294,  1295,   347,     0,   348,   349,   350,  1296,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1297,     0,  1298,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1299,  1300,     0,  1301,
       0,   395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,
    1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,  1312,   420,   421,
     422,     0,   423,   424,   425,  1313,  1314,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,  1315,   437,   438,
     439,   440,   441,   442,   443,   444,  1316,   446,  1317,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1318,   458,
    1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,   466,
     467,   468,     0,   469,   470,   471,     0,     0,  1323,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,  1324,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,  1325,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,  1326,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,  1327,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,  1328,   555,
     556,   557,   558,   559,   560,   561,   562,  1329,   564, -2265,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,  1330,   581,     0,   582,   583,
    1331,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,  1332,  1333,     0,     0,   595,   596,  1334,   598,
    1335,  1336,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,  1337,   609,   610,   611,   612,   613,  1338,     0,
     614,   615,   616,   617,   618,   619,  1339,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,
     639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,
    1348,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,  1350,     0,     0,     0,   234,     0,  1268,
     714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243, -2263,   244,   245,   246,     0,     0,     0,
   -2263,  1273,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1274,   260,  1275,
    1276,     0,   263,   264,   265,   266,   267,   268,   269,  1277,
    1278,   270,   271,  1279,  1280,   274,     0,   275,   276,   277,
     278,  1281,     0,  1282,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1283,  1284,
    1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,
     308,  1290,  1291,   311,  1292,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1293,   342,   343,   344,   345,  1294,  1295,   347,     0,
     348,   349,   350,  1296,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1297,
       0,  1298,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1299,  1300,     0,  1301,     0,   395,   396,   397,
     398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,
    1310,   409,  1311,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,  1312,   420,   421,   422,     0,   423,   424,
     425,  1313,  1314,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,  1315,   437,   438,   439,   440,   441,   442,
     443,   444,  1316,   446,  1317,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1318,   458,  1319,   459,   460,   461,
     462,  1320,  1321,   464,  1322,   466,   467,   468,     0,   469,
     470,   471,     0,     0,  1323,   473,   474,     0,     0,   475,
     476,   477,   478,   479,   480,  1324,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,  1325,   497,   498,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,  1326,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,  1327,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,  1328,   555,   556,   557,   558,   559,
     560,   561,   562,  1329,   564, -2263,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,  1330,   581,     0,   582,   583,  1331,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,  1332,  1333,
       0,     0,   595,   596,  1334,   598,  1335,  1336,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,  1337,   609,
     610,   611,   612,   613,  1338,     0,   614,   615,   616,   617,
     618,   619,  1339,     0,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,
    1347,   644,   645,   646,   647,     0,  1348,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1349,  1350,
       0,     0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,
    1271,   775,  1272,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1273,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1274,   260,  1275,  1276,     0,   263,   264,
     265,   266,   267,   268,   269,  1277,  1278,   270,   271,  1279,
    1280,   274,     0,   275,   276,   277,   278,  1281,     0,  1282,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,
    1289,   303,   304,   305,   306,   307,   308,  1290,  1291,   311,
    1292,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   884,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1293,   342,   343,
     344,   345,  1294,  1295,   347,     0,   348,   349,   350,  1296,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1297,     0,  1298,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1299,  1300,
       0,  1301,     0,   395,   396,   397,   398,   399,  1302,  1303,
    1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,  1312,
     420,   421,   422,     0,   423,   424,   425,  1313,  1314,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,  1315,
     437,   438,   439,   440,   441,   442,   443,   444,  1316,   446,
    1317,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,   464,
    1322,   466,   467,   468,     0,   469,   470,   471,     0,     0,
    1323,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,  1324,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,  1325,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,  1326,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,  1327,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
    1328,   555,   556,   557,   558,   559,   560,   561,   562,  1329,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,  1330,   581,     0,
     582,   583,  1331,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,  1332,  1333,     0,     0,   595,   596,
    1334,   598,  1335,  1336,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,  1337,   609,   610,   611,   612,   613,
    1338,     0,   614,   615,   616,   617,   618,   619,  1339,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,  1340,  1341,
    1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,
     647,     0,  1348,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  1350,     0,     0,     0,     0,
       0,  2049,  3255,  1352,   234,     0,  1268,   714,     0,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,  1351,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  2692,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,  3281,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,   234,     0,  1268,   714,  1352,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,  3833,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,  3327,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1326,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,  3384,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2695,  2696,     0,
       0,     0,   234,     0,  3503,   714,  1352,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,  4854,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1326,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  1292,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,  1319,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  1327,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,  1337,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,  5236,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,  1348,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1350,     0,     0,     0,
     234,     0,  1268,   714,  1352,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,  5248,   456,  1318,   458,  1319,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,  1348,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,  5583,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,  1292,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    5584,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,  1319,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,  5585,   537,   538,  1327,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  1337,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,  1348,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,  1350,     0,
       0,     0,   234,     0,  1268,   714,  5586,  1269,  1270,  1271,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,  5995,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,  5996,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,  1292,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,  1319,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,  1323,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  1327,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,  5997,   606,
     607,   608,     0,  1337,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,  1348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1350,     0,     0,     0,   234,     0,
    1268,   714,  1352,  1269,  1270,  1271,   775,  1272,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1273,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1274,   260,
    1275,  1276,     0,   263,   264,   265,   266,   267,   268,   269,
    1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,  5996,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,  1290,  1291,   311,  1292,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1293,   342,   343,   344,   345,  1294,  1295,   347,
       0,   348,   349,   350,  1296,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,  1298,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1299,  1300,     0,  1301,     0,   395,   396,
     397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,  1316,   446,  1317,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,  1319,   459,   460,
     461,   462,  1320,  1321,   464,  1322,   466,   467,   468,     0,
     469,   470,   471,     0,     0,  1323,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
    1326,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,  1327,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,  1329,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,  1332,
    1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,   600,
     601,   602,   603,   604,  5997,   606,   607,   608,     0,  1337,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,  1339,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,     0,  1348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
    1350,     0,     0,     0,   234,     0,  1268,   714,  1352,  1269,
    1270,  1271,   775,  1272,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1273,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1274,   260,  1275,  1276,     0,   263,
     264,   265,   266,   267,   268,   269,  1277,  1278,   270,   271,
    1279,  1280,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,  1290,  1291,
     311,  5568,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1293,   342,
     343,   344,   345,  1294,  1295,   347,     0,   348,   349,   350,
    1296,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,  1298,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1299,
    1300,     0,  1301,     0,   395,   396,   397,   398,   399,  1302,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,  1316,
     446,  1317,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,     0,   459,   460,   461,   462,  1320,  1321,
     464,  1322,   466,   467,   468,     0,   469,   470,   471,     0,
       0,  1323,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,  1326,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,  3312,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
    1329,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,  1332,  1333,     0,     0,   595,
     596,  1334,   598,  1335,  1336,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,  1339,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3313,  3314,     0,     0,     0,
     234,     0,  1268,   714,  3315,  1269,  1270,  1271,   775,  1272,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257, -2988,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
    5996,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,  1292,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371, -2988,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,     0,     0,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421, -2988,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,  1319,
     459,   460,     0,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  1323,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    1327,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559, -2988,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,  5997,   606,   607,   608,
       0,  1337,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0, -2988,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,  1350,     0,     0,     0,   234,     0,  1268,   714,
    1352,  1269,  1270,  1271,   775,  1272,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,  1323,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  3312,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3313,  3314,   234,
       0,  1268,   714,     0,  1269,  1270,  3315,   775,  1272,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1273,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1274,
     260,  1275,  1276,     0,   263,   264,   265,   266,   267,   268,
     269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,   275,
     276,   277,   278,  1281,     0,  1282,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,
     306,   307,   308,  1290,  1291,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   884,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1293,   342,   343,   344,   345,  1294,  1295,
     347,     0,   348,   349,   350,  1296,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1297,     0,  1298,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1299,  1300,     0,  1301,     0,   395,
     396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,  1307,
    1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,  1312,   420,   421,   422,     0,
     423,   424,   425,  1313,  1314,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,  1315,   437,   438,   439,   440,
     441,   442,   443,   444,  1316,   446,  1317,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1318,   458,     0,   459,
     460,   461,   462,  1320,  1321,   464,  1322,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,  1324,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,  1325,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,  1326,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,  3492,
    3493,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,  1328,   555,   556,   557,
     558,   559,   560,   561,   562,  1329,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,  1330,   581,     0,   582,   583,  1331,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
    1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,  1336,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,  1338,     0,   614,   615,
     616,   617,   618,   619,  1339,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,
    1345,  1346,  1347,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3494,  3495,   234,     0,  1268,   714,     0,  1269,  1270,  3315,
     775,  1272,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1273,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1274,   260,  1275,  1276,     0,   263,   264,   265,
     266,   267,   268,   269,  1277,  1278,   270,   271,  1279,  1280,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,  1290,  1291,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1293,   342,   343,   344,
     345,  1294,  1295,   347,     0,   348,   349,   350,  1296,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,  1298,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1299,  1300,     0,
    1301,     0,   395,   396,   397,   398,   399,  1302,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,  1316,   446,  1317,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,     0,   459,   460,   461,   462,  1320,  1321,   464,  1322,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,  1326,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,  3312,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,  1329,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,  1332,  1333,     0,     0,   595,   596,  1334,
     598,  1335,  1336,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,  1339,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,   234,     0,  1268,   714,
       0,  1269,  1270,     0,   775,  1272,     0,     0,     0,     0,
       0,     0,  3315,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1273,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,  4763,   265,   266,   267,   268,   269,  1277,  1278,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1293,   342,   343,   344,   345,  1294,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
    1298,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  1302,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
     409,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
    1320,  1321,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,  3312,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,  1334,   598,  1335,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     234,     0,  1268,   714,     0,  1269,  1270,     0,   775,  1272,
       0,     0,     0,     0,     0,     0,  3315,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1273,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1274,   260,  1275,  1276,     0,   263,   264,   265,   266,   267,
     268,   269,  1277,  1278,   270,   271,  1279,  1280,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,  1290,  1291,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1293,   342,   343,   344,   345,  1294,
    1295,   347,     0,   348,   349,   350,  1296,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,  1298,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1299,  1300,     0,  1301,     0,
     395,   396,   397,   398,   399,  1302,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,  1316,   446,  1317,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,     0,
     459,   460,   461,   462,  1320,  1321,   464,  1322,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,  1326,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
    3312,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,  1329,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,  1332,  1333,     0,     0,   595,   596,  1334,   598,  1335,
    1336,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,  1339,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,  4823,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3315,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1278,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,  1294,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,  3463,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,  3464,  1311,
     411,   412,   413,   414,   415,   416,   417,  3465,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,     0,   459,   460,   461,   462,     0,  1321,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
     859,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,  3466,   541,   542,   543,   544,
     545,   546,   547,   548,   549,    40,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,    44,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,  1334,   598,  1335,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,  1203,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,    49,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,  3467,   645,
     646,   647,     0,     0,     0,    50,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3468,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1278,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,  1294,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,  3463,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,  3464,  1311,   411,   412,   413,   414,   415,   416,
     417,  3465,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,     0,   459,   460,
     461,   462,     0,  1321,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,   859,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,  3466,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,  1334,   598,  1335,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,  3467,   645,   646,   647,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3468,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,  1278,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,  1281,     0,  1282,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,  1294,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1297,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,  3463,  1303,  1304,
    1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,  1312,   420,
     421,   422,     0,   423,   424,   425,  1313,  1314,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,  1315,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1318,
     458,     0,   459,   460,   461,   462,     0,  1321,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
    1324,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,  1325,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,  1328,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,  1330,   581,     0,   582,
     583,  1331,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,  1334,
     598,  1335,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,  1338,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,  1340,  1341,  1342,
    1343,   639,  1344,  1345,  1346,  1347,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3912,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1278,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1281,     0,  1282,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1283,  1284,  1285,
    1286,  1287,  1288,  1289,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,  1294,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1297,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,  3463,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
    3464,  1311,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,  1312,   420,   421,   422,     0,   423,   424,   425,
    1313,  1314,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,  1315,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1318,   458,     0,   459,   460,   461,   462,
       0,  1321,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,  1324,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
    1325,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,  3466,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,  1328,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
    1330,   581,     0,   582,   583,  1331,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,  1334,   598,  1335,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  1338,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,  1340,  1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,
    3467,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    56,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,  1278,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,  1281,     0,  1282,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1283,  1284,  1285,  1286,  1287,  1288,  1289,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,  1294,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1297,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,  3463,  1303,  1304,  1305,  1306,
    1307,  1308,  1309,  1310,   409,  1311,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,  1312,   420,   421,   422,
       0,   423,   424,   425,  1313,  1314,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,  1315,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,  1318,   458,     0,
     459,   460,   461,   462,     0,  1321,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,  1324,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,  1325,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,  1328,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,  1330,   581,     0,   582,   583,  1331,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,  1334,   598,  1335,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,  1338,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,  1340,  1341,  1342,  1343,   639,
    1344,  1345,  1346,  1347,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4909,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1278,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1281,     0,
    1282,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1283,  1284,  1285,  1286,  1287,
    1288,  1289,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,  1294,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1297,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,  3463,
    1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,   409,  1311,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
    1312,   420,   421,   422,     0,   423,   424,   425,  1313,  1314,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
    1315,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,  1318,   458,     0,   459,   460,   461,   462,     0,  1321,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,  1324,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,  1325,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,  1328,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,  1330,   581,
       0,   582,   583,  1331,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,  1334,   598,  1335,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  1338,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,  1340,
    1341,  1342,  1343,   639,  1344,  1345,  1346,  1347,   644,   645,
     646,   647,     0,     0,     0,     0,     0,     0,   964,     0,
    1600,   714,     0,     0,     0,     0,   775,     0,     0,     0,
       0,     0,     0,     0,  6103,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,  5889,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,  1826,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,  1827,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,  1828,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,   964,     0,     0,     0,     0,     0,     0,  1601,
    1602,  5890,     0,     0,     0,     0,     0,     0,  5891,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     3,     4,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,    40,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,    44,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,  1203,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,    49,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
    1043,     0,     0,    50,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5640,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    40,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
      44,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,  1203,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,    49,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
       0,    50,     0,     0,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,  2902,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
     859,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,  2903,  2904,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,     0,     0,     0,     0,     0,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1860,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3526,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4200,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2107,     0,     0,
       0,     0,     0,     0,  2108,     0,     0,  2109,     0,     0,
    4840,  2110,  2111,  2112,  2113,  2114,  2115,  2116,  2117,  2118,
    2119,  2120,  2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,
    2129,     0,  2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,
    2138,  2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,
    2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,
    2158,  2159,  2160,     0,     0,  2161,  2162,  2163,  2164,  2165,
    2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,
    2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2185,
    2186,  2187,  2188,     0,  2189,  2190,  2191,  2192,  2193,  2194,
    2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,     0,
    2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2237,  2238,  2239,     0,  2240,  2241,  2242,
    2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,     0,
       0,  2252,  2253,  2254,  2255,     0,  2256,  2257,  2258,  2259,
    2260,     0,  2261,  2262,  2263,  2264,  2265,     0,  2266,  2267,
       0,  2268,  2269,  2270,     0,  2271,  2272,     0,  2273,  2274,
    2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,  2284,
    2285,  2286,  2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,
    2295,  2296,  2297,  2298,     0,  2299,     0,  2300,  2301,  2302,
    2303,  2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,  2312,
    2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,
    2323,  2324,  2325,  2326,  2327,  2328,  2329,     0,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,
    2342,  2343,  2344,  2345,  2346,     0,  2347,  2348,     0,  2349,
    2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,
    2360,  2361,  2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,  2372,  2373,  2374,  2375,  2376,  2377,     0,  2378,
    2379,  2380,     0,  2381,  2382,  2383,  2384,  2385,     0,  2386,
    2387,  2388,  2389,     0,     0,  2390,  2391,  2392,  2393,  2394,
    2395,  2396,  2397,  2398,  2399,  2400,  2401,  2402,  2403,  2404,
    2405,  2406,  2407,     0,  2408,  2409,  2410,  2411,  2412,  2413,
    2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,  2422,  2423,
    2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,  2432,  2433,
    2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,     0,  2442,
    2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,
    2453,  2454,  2455,  2456,  2457,  2458,     0,  2459,  2460,  2461,
    2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,
    2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,
    2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,
    2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,  2510,  2511,
       0,  2512,  2513,  2514,  2515,  2516,  2517,  2518,  2519,  2520,
    2521,  2522,  2523,  2524,  2525,  2526,  2527,     0,  2528,  2529,
    2530,  2531,  2532,  2533,  2534,  2535,  2536,  2537,  2538,  2539,
    2540,  2541,  2542,  2543,     0,  2544,  2545,  2546,  2547,  2548,
    2549,     0,  2550,     0,     0,     0,     0,  2551,  2552,  2553,
    2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
    2564,  2565,     0,  2566,  2567,     0,  2568,     0,     0,     0,
       0,     0,     0,     0,     0,  2569,  2570,  2571,  2572,  2573,
    2574,  2575,  2576,  2577,   876,     0,  1600,   714,     0,     0,
       0,   979,   775,     0,     0,     0,     0,     0,   980,   981,
     982,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1738,   244,   245,   246,  1739,  1740,  1741,  1742,  1743,  1744,
    1745,   247,   248,   249,  1746,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,  1747,   263,
     264,   265,   266,   267,   268,   269,  1748,  1749,   270,   271,
     880,   881,   274,  1750,   275,   276,   277,   278,     0,  1751,
     280,  1752,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,  1753,   292,   293,   294,   295,   296,   297,
    1754,   298,   299,   300,   301,  1755,  1756,  1757,   302,  1758,
    1759,  1760,   303,   304,   305,   306,   307,   308,   882,   883,
     311,  1761,   312,  1762,   313,   314,   315,   316,   317,   318,
     319,  1763,   320,   321,   322,   323,  1764,  1765,   324,   325,
     884,   327,   328,  1766,   329,   330,   331,   332,  1767,   333,
     334,   335,   336,  1768,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,  1769,   347,  1770,   348,   349,   350,
     885,   352,  1771,   353,  1772,   354,   355,   356,  1773,   357,
     358,   359,   360,   361,  1774,   362,     0,  1775,     0,   365,
     366,  1776,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  1777,   377,   378,   379,   380,   381,   382,   383,
     384,  1778,   385,   386,     0,   388,   389,   390,   391,   886,
     887,  1779,   888,  1780,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,  1781,  1782,   418,
       0,   420,   421,   422,  1783,   423,   424,   425,  1784,  1785,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
    4523,     0,   458,  1786,   459,   460,   461,   462,  1787,     0,
     464,   892,   466,   467,   468,  1788,   469,   470,   471,  1789,
    1790,  4524,   473,   474,  1791,  1792,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,  1793,   493,   494,   495,     0,   497,
       0,   499,   500,   501,  1794,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   893,   514,   515,   516,
     517,  1795,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,  1796,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,  1797,   550,   551,   552,   553,
     554,  1798,   555,   556,  2729,   558,   559,   560,   561,   562,
     895,   564,  1799,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
    1800,   582,   583,  1801,  1802,   584,   585,   586,   587,   588,
     589,   590,   591,  1803,   592,   896,   897,  1804,  1805,   595,
     596,     0,   598,     0,  1806,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1807,  1808,   609,   610,   611,   612,
     613,  1809,  1810,   614,   615,   616,   617,   618,     0,   898,
    1811,   621,   622,   623,   624,   625,   626,  1812,  1813,   627,
    1814,  1815,   628,   629,   630,   631,   632,   633,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   985,   986,   987,  4525,  4526,   990,   991,   992,
     993,   876,     0,  1600,   714,     0,     0,     0,   979,   775,
       0,     0,     0,     0,     0,   980,   981,   982,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1738,   244,   245,
     246,  1739,  1740,  1741,  1742,  1743,  1744,  1745,   247,   248,
     249,  1746,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   877,   260,   878,   879,  1747,   263,   264,   265,   266,
     267,   268,   269,  1748,  1749,   270,   271,   880,   881,   274,
    1750,   275,   276,   277,   278,     0,  1751,   280,  1752,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
    1753,   292,   293,   294,   295,   296,   297,  1754,   298,   299,
     300,   301,  1755,  1756,  1757,   302,  1758,  1759,  1760,   303,
     304,   305,   306,   307,   308,   882,   883,   311,  1761,   312,
    1762,   313,   314,   315,   316,   317,   318,   319,  1763,   320,
     321,   322,   323,  1764,  1765,   324,   325,   884,   327,   328,
    1766,   329,   330,   331,   332,  1767,   333,   334,   335,   336,
    1768,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,  1769,   347,  1770,   348,   349,   350,   885,   352,  1771,
     353,  1772,   354,   355,   356,  1773,   357,   358,   359,   360,
     361,  1774,   362,     0,  1775,     0,   365,   366,  1776,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  1777,
     377,   378,   379,   380,   381,   382,   383,   384,  1778,   385,
     386,     0,   388,   389,   390,   391,   886,   887,  1779,   888,
    1780,   395,   396,   397,   398,   399,   889,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   411,   412,   413,
     414,   415,   416,   417,  1781,  1782,   418,     0,   420,   421,
     422,  1783,   423,   424,   425,  1784,  1785,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,     0,   437,   438,
     439,   440,   441,   442,   443,   444,   890,   446,   891,   448,
     449,   450,   451,   452,   453,   454,   455,  4980,     0,   458,
    1786,   459,   460,   461,   462,  1787,     0,   464,   892,   466,
     467,   468,  1788,   469,   470,   471,  1789,  1790,  4524,   473,
     474,  1791,  1792,   475,   476,     0,   478,   479,   480,     0,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,  1793,   493,   494,   495,     0,   497,     0,   499,   500,
     501,  1794,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   893,   514,   515,   516,   517,  1795,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,  1796,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,  1797,   550,   551,   552,   553,   554,  1798,   555,
     556,  2729,   558,   559,   560,   561,   562,   895,   564,  1799,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,     0,   581,  1800,   582,   583,
    1801,  1802,   584,   585,   586,   587,   588,   589,   590,   591,
    1803,   592,   896,   897,  1804,  1805,   595,   596,     0,   598,
       0,  1806,   600,   601,   602,   603,   604,   605,   606,   607,
     608,  1807,  1808,   609,   610,   611,   612,   613,  1809,  1810,
     614,   615,   616,   617,   618,     0,   898,  1811,   621,   622,
     623,   624,   625,   626,  1812,  1813,   627,  1814,  1815,   628,
     629,   630,   631,   632,   633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,   646,   647,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   985,
     986,   987,  4525,  4526,   990,   991,   992,   993,   655,     0,
       0,     0,     0,     0,     0,   979,     0,     0,     0,     0,
       0,     0,   980,   981,   982,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   983,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   984,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   985,   986,   987,   988,
     989,   990,   991,   992,   993,   655,     0,     0,     0,     0,
       0,     0,   979,     0,     0,     0,     0,     0,     0,   980,
     981,   982,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,  1100,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,  1101,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,     0,   421,     0,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,     0,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
       0,   479,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,     0,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,     0,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,     0,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,     0,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   985,   986,   987,   988,   989,   990,   991,
     992,   993,   655,     0,     0,     0,     0,     0,     0,   979,
       0,     0,     0,     0,     0,     0,   980,   981,   982,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1166,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,  1167,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1168,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     985,   986,   987,   988,   989,   990,   991,   992,   993,   655,
       0,     0,     0,     0,     0,     0,   979,     0,     0,     0,
       0,     0,     0,   980,   981,   982,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
    1843,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
    1844,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,     0,   421,     0,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,     0,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,     0,     0,   472,   473,   474,     0,
       0,   475,   476,   477,     0,   479,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,     0,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,     0,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,     0,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,     0,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,     0,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   985,   986,   987,
     988,   989,   990,   991,   992,   993,   655,     0,     0,     0,
       0,     0,     0,   979,     0,     0,     0,     0,     0,     0,
     980,   981,   982,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   985,   986,   987,   988,   989,   990,
     991,   992,   993,   655,     0,     0,     0,     0,     0,     0,
     979,     0,     0,     0,     0,     0,     0,   980,   981,   982,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,  3591,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,  3592,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
       0,   421,     0,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,     0,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,     0,     0,
     472,   473,   474,     0,     0,   475,   476,   477,     0,   479,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,     0,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,     0,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,     0,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,     0,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,     0,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   985,   986,   987,   988,   989,   990,   991,   992,   993,
     655,     0,     0,     0,     0,     0,     0,   979,     0,     0,
       0,     0,     0,     0,   980,   981,   982,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,  5622,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,     0,
    1737,     0,     0,     0,     0,     0,     0,     0,   985,   986,
     987,   988,   989,   990,   991,   992,   993,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1738,   244,   245,   246,
    1739,  1740,  1741,  1742,  1743,  1744,  1745,   247,   248,   249,
    1746,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1747,   263,   264,   265,   266,   267,
     268,   269,  1748,  1749,   270,   271,   272,   273,   274,  1750,
     275,   276,   277,   278,   279,  1751,   280,  1752,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,  1753,
     292,   293,   294,   295,   296,   297,  1754,   298,   299,   300,
     301,  1755,  1756,  1757,   302,  1758,  1759,  1760,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1761,   312,  1762,
     313,   314,   315,   316,   317,   318,   319,  1763,   320,   321,
     322,   323,  1764,  1765,   324,   325,   326,   327,   328,  1766,
     329,   330,   331,   332,  1767,   333,   334,   335,   336,  1768,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1769,   347,  1770,   348,   349,   350,   351,   352,  1771,   353,
    1772,   354,   355,   356,  1773,   357,   358,   359,   360,   361,
    1774,   362,   363,  1775,   364,   365,   366,  1776,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  1777,   377,
     378,   379,   380,   381,   382,   383,   384,  1778,   385,   386,
     387,   388,   389,   390,   391,   392,   393,  1779,   394,  1780,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,  1781,  1782,   418,   419,   420,   421,   422,
    1783,   423,   424,   425,  1784,  1785,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,  1786,
     459,   460,   461,   462,  1787,   463,   464,   465,   466,   467,
     468,  1788,   469,   470,   471,  1789,  1790,   472,   473,   474,
    1791,  1792,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1793,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    1794,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1795,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,  1796,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,  1797,   550,   551,   552,   553,   554,  1798,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1799,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,  1800,   582,   583,  1801,
    1802,   584,   585,   586,   587,   588,   589,   590,   591,  1803,
     592,   593,   594,  1804,  1805,   595,   596,   597,   598,   599,
    1806,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1807,  1808,   609,   610,   611,   612,   613,  1809,  1810,   614,
     615,   616,   617,   618,   619,   620,  1811,   621,   622,   623,
     624,   625,   626,  1812,  1813,   627,  1814,  1815,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1816,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   865,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6071,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6073,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6200,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  2725,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
    2726,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,  2727,   475,   476,  2728,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   893,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    2729,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,  2730,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,     0,     0,     0,  3949,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  2731,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   877,   260,   878,
     879,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   880,   881,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   882,   883,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   884,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   885,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2725,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,  2726,   388,   389,
     390,   391,   886,   887,     0,   888,     0,   395,   396,   397,
     398,   399,   889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   411,   412,   413,   414,   415,   416,   417,
       0,     0,   418,     0,   420,   421,   422,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,     0,   437,   438,   439,   440,   441,   442,
     443,   444,   890,   446,   891,   448,   449,   450,   451,   452,
     453,   454,   455,     0,     0,   458,     0,   459,   460,   461,
     462,     0,     0,   464,   892,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,  2727,   475,
     476,  2728,   478,   479,   480,     0,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,     0,   497,     0,   499,   500,   501,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   893,
     514,   515,   516,   517,     0,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,  2729,   558,   559,
     560,   561,   562,   895,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,     0,   581,     0,   582,   583,     0,     0,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   896,   897,
       0,     0,   595,   596,     0,   598,     0,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,     0,   898,  2730,   621,   622,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   645,   646,   647,   964,     0,  1600,   714,     0,
       0,     0,     0,   775,     0,     0,     0,     0,     0,     0,
    2731,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  2616,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,  1826,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
    1827,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,  1828,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   964,     0,  1600,   714,     0,     0,     0,
       0,   775,     0,     0,     0,     0,  1601,  1602,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    2621,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1826,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,     0,     0,   418,   419,
     420,   421,   422,     0,   423,   424,   425,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,   471,  1827,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     0,   493,   494,   495,   496,   497,   498,
     499,   500,   501,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,     0,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,     0,   550,   551,   552,   553,   554,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,     0,
     582,   583,     0,     0,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,     0,     0,   595,   596,
     597,   598,   599,  1828,   600,   601,   602,   603,   604,   605,
     606,   607,   608,     0,     0,   609,   610,   611,   612,   613,
       0,     0,   614,   615,   616,   617,   618,   619,   620,     0,
     621,   622,   623,   624,   625,   626,     0,     0,   627,     0,
       0,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   964,     0,  1600,   714,     0,     0,     0,     0,   775,
       0,     0,     0,     0,  1601,  1602,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  3558,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1826,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,     0,     0,   418,   419,   420,   421,
     422,     0,   423,   424,   425,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,   471,  1827,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,     0,   493,   494,   495,   496,   497,   498,   499,   500,
     501,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,     0,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,     0,   550,   551,   552,   553,   554,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,     0,   582,   583,
       0,     0,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,     0,     0,   595,   596,   597,   598,
     599,  1828,   600,   601,   602,   603,   604,   605,   606,   607,
     608,     0,     0,   609,   610,   611,   612,   613,     0,     0,
     614,   615,   616,   617,   618,   619,   620,     0,   621,   622,
     623,   624,   625,   626,     0,     0,   627,     0,     0,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   964,
       0,  1600,   714,     0,     0,     0,     0,   775,     0,     0,
       0,     0,  1601,  1602,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1826,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,     0,     0,   418,   419,   420,   421,   422,     0,
     423,   424,   425,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,   471,  1827,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,     0,
     493,   494,   495,   496,   497,   498,   499,   500,   501,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
       0,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
       0,   550,   551,   552,   553,   554,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,     0,   582,   583,     0,     0,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,     0,     0,   595,   596,   597,   598,   599,  1828,
     600,   601,   602,   603,   604,   605,   606,   607,   608,     0,
       0,   609,   610,   611,   612,   613,     0,     0,   614,   615,
     616,   617,   618,   619,   620,     0,   621,   622,   623,   624,
     625,   626,     0,     0,   627,     0,     0,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   655,     0,     0,
       0,     0,     0,     0,     0,   775,     0,     0,     0,     0,
    1601,  1602,     0,     0,   235,   236,   776,   238,   239,   240,
     241,   242,   243,   777,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   778,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   779,   351,   352,     0,   353,     0,   354,   780,
       0,   781,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,   782,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   783,
       0,     0,   418,   419,     0,   421,     0,     0,   423,   424,
     425,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,     0,   447,   448,   449,   784,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,     0,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,   471,     0,     0,   472,   473,   474,     0,     0,   475,
     476,   477,     0,   479,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     0,   493,   494,
     495,   496,   497,   498,   499,   500,   501,     0,   785,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,   518,   519,   520,   786,   522,
     523,   524,   525,   526,   527,   528,   529,   530,     0,   531,
     532,     0,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,     0,   550,
     551,   552,   553,   554,     0,   555,   556,   557,   558,   559,
       0,   561,   562,   563,   564,     0,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,     0,   582,   583,     0,     0,   584,     0,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,     0,   595,   596,   597,   598,   599,     0,   600,   601,
     602,   603,   604,   605,   606,   607,   608,     0,     0,   609,
     610,   611,   612,   613,     0,     0,   614,   615,   616,   617,
     618,   619,   620,     0,   621,     0,   623,   624,   625,   626,
       0,     0,   627,     0,     0,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   964,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   787,   788,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     3,     4,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,     0,     0,
     418,   419,   420,   421,   422,     0,   423,   424,   425,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,   471,
       0,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,     0,   493,   494,   495,   496,
     497,   498,   499,   500,   501,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,     0,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,     0,   550,   551,   552,
     553,   554,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,     0,   582,   583,     0,     0,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,     0,     0,
     595,   596,   597,   598,   599,     0,   600,   601,   602,   603,
     604,   605,   606,   607,   608,     0,     0,   609,   610,   611,
     612,   613,     0,     0,   614,   615,   616,   617,   618,   619,
     620,     0,   621,   622,   623,   624,   625,   626,     0,     0,
     627,     0,     0,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,  1043,  1737,     0,  6389,   714,     0,     0,
       0,     0,   775,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1738,   244,   245,   246,  1739,  1740,  1741,  1742,  1743,  1744,
    1745,   247,   248,   249,  1746,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,  1747,   263,
     264,   265,   266,   267,   268,   269,  1748,  1749,   270,   271,
     272,   273,   274,  1750,   275,   276,   277,   278,   279,  1751,
     280,  1752,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,  1753,   292,   293,   294,   295,   296,   297,
    1754,   298,   299,   300,   301,  1755,  1756,  1757,   302,  1758,
    1759,  1760,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  1761,   312,  1762,   313,   314,   315,   316,   317,   318,
     319,  1763,   320,   321,   322,   323,  1764,  1765,   324,   325,
     326,   327,   328,  1766,   329,   330,   331,   332,  1767,   333,
     334,   335,   336,  1768,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,  1769,   347,  1770,   348,   349,   350,
     351,   352,  1771,   353,  1772,   354,   355,   356,  1773,   357,
     358,   359,   360,   361,  1774,   362,   363,  1775,   364,   365,
     366,  1776,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  1777,   377,   378,   379,   380,   381,   382,   383,
     384,  1778,   385,   386,   387,   388,   389,   390,   391,   392,
     393,  1779,   394,  1780,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,  1781,  1782,   418,
     419,   420,   421,   422,  1783,   423,   424,   425,  1784,  1785,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,  1786,   459,   460,   461,   462,  1787,   463,
     464,   465,   466,   467,   468,  1788,   469,   470,   471,  1789,
    1790,   472,   473,   474,  1791,  1792,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,  1793,   493,   494,   495,   496,   497,
     498,   499,   500,   501,  1794,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1795,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,  1796,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,  1797,   550,   551,   552,   553,
     554,  1798,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,  1799,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
    1800,   582,   583,  1801,  1802,   584,   585,   586,   587,   588,
     589,   590,   591,  1803,   592,   593,   594,  1804,  1805,   595,
     596,   597,   598,   599,  1806,   600,   601,   602,   603,   604,
     605,   606,   607,   608,  1807,  1808,   609,   610,   611,   612,
     613,  1809,  1810,   614,   615,   616,   617,   618,   619,   620,
    1811,   621,   622,   623,   624,   625,   626,  1812,  1813,   627,
    1814,  1815,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,  1737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  1738,   244,
     245,   246,  1739,  1740,  1741,  1742,  1743,  1744,  1745,   247,
     248,   249,  1746,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,  1747,   263,   264,   265,
     266,   267,   268,   269,  1748,  1749,   270,   271,   272,   273,
     274,  1750,   275,   276,   277,   278,   279,  1751,   280,  1752,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,  1753,   292,   293,   294,   295,   296,   297,  1754,   298,
     299,   300,   301,  1755,  1756,  1757,   302,  1758,  1759,  1760,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  1761,
     312,  1762,   313,   314,   315,   316,   317,   318,   319,  1763,
     320,   321,   322,   323,  1764,  1765,   324,   325,   326,   327,
     328,  1766,   329,   330,   331,   332,  1767,   333,   334,   335,
     336,  1768,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,  1769,   347,  1770,   348,   349,   350,   351,   352,
    1771,   353,  1772,   354,   355,   356,  1773,   357,   358,   359,
     360,   361,  1774,   362,   363,  1775,   364,   365,   366,  1776,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
    1777,   377,   378,   379,   380,   381,   382,   383,   384,  1778,
     385,   386,   387,   388,   389,   390,   391,   392,   393,  1779,
     394,  1780,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,  1781,  1782,   418,   419,   420,
     421,   422,  1783,   423,   424,   425,  1784,  1785,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,  1786,   459,   460,   461,   462,  1787,   463,   464,   465,
     466,   467,   468,  1788,   469,   470,   471,  1789,  1790,   472,
     473,   474,  1791,  1792,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,  1793,   493,   494,   495,   496,   497,   498,   499,
     500,   501,  1794,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  1795,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,  1796,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,  1797,   550,   551,   552,   553,   554,  1798,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
    1799,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,  1800,   582,
     583,  1801,  1802,   584,   585,   586,   587,   588,   589,   590,
     591,  1803,   592,   593,   594,  1804,  1805,   595,   596,   597,
     598,   599,  1806,   600,   601,   602,   603,   604,   605,   606,
     607,   608,  1807,  1808,   609,   610,   611,   612,   613,  1809,
    1810,   614,   615,   616,   617,   618,   619,   620,  1811,   621,
     622,   623,   624,   625,   626,  1812,  1813,   627,  1814,  1815,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
    1737,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,  3666,   241,   242,   243,  1738,   244,   245,   246,
    1739,  1740,  1741,  1742,  1743,  1744,  1745,   247,   248,   249,
    1746,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,  1747,   263,   264,   265,   266,   267,
     268,   269,  1748,  1749,   270,   271,   272,   273,   274,  1750,
     275,   276,   277,   278,   279,  1751,   280,  1752,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,  1753,
     292,   293,   294,   295,   296,   297,  1754,   298,   299,   300,
     301,  1755,  1756,  1757,   302,  1758,  1759,  1760,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  1761,   312,  1762,
     313,   314,   315,   316,   317,   318,   319,  1763,   320,   321,
     322,   323,  1764,  1765,   324,   325,   326,  3667,   328,  1766,
     329,   330,   331,   332,  1767,   333,   334,   335,   336,  1768,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1769,   347,  1770,   348,   349,   350,   351,   352,  1771,   353,
    1772,   354,   355,   356,  1773,   357,   358,   359,   360,   361,
    1774,   362,   363,  1775,   364,   365,   366,  1776,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,  1777,   377,
     378,   379,   380,   381,   382,   383,   384,  1778,   385,   386,
     387,   388,   389,   390,   391,   392,   393,  1779,   394,  1780,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,  1781,  1782,   418,   419,   420,   421,   422,
    1783,   423,   424,   425,  1784,  1785,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,  1786,
     459,   460,   461,   462,  1787,   463,   464,   465,   466,   467,
     468,  1788,   469,   470,   471,  1789,  1790,   472,   473,   474,
    1791,  1792,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
    1793,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    1794,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1795,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,  1796,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,  1797,   550,   551,   552,   553,   554,  1798,  3668,   556,
     557,   558,   559,   560,   561,   562,   563,   564,  1799,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,  1800,   582,   583,  1801,
    1802,   584,   585,   586,   587,   588,   589,   590,   591,  1803,
     592,   593,   594,  1804,  1805,   595,   596,   597,   598,   599,
    1806,   600,   601,   602,   603,   604,   605,   606,   607,   608,
    1807,  1808,   609,   610,   611,   612,   613,  1809,  1810,   614,
     615,   616,   617,   618,   619,   620,  1811,   621,   622,   623,
     624,   625,   626,  1812,  1813,   627,  1814,  1815,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,  1278,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,  1281,     0,  1282,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1283,
    1284,  1285,  1286,  1287,  1288,  1289,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,  1294,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1297,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,  3463,  1303,  1304,  1305,  1306,  1307,  1308,
    1309,  1310,   409,  1311,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,  1312,   420,   421,   422,     0,   423,
     424,   425,  1313,  1314,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,  1315,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,  1318,   458,     0,   459,   460,
     461,   462,     0,  1321,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,  1324,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,  1325,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,  1328,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,  1330,   581,     0,   582,   583,  1331,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,  1334,   598,  1335,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,  1338,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,  1340,  1341,  1342,  1343,   639,  1344,  1345,
    1346,  1347,   644,   645,   646,   647,   234,     0,  1268,   714,
       0,  1269,  1270,     0,   775,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1274,   260,  1275,  1276,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,  1279,  1280,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
    1290,  1291,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1295,   347,     0,   348,
     349,   350,  1296,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1299,  1300,     0,  1301,     0,   395,   396,   397,   398,
     399,  6363,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,  1316,   446,  1317,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
    1320,   463,   464,  1322,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,  1326,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,  1329,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,  1332,  1333,     0,
       0,   595,   596,   597,   598,   599,  1336,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,  1339,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1003,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,   965,   302,     0,
       0,   966,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   967,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  1024,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,   965,   302,     0,     0,   966,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,  1025,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   967,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,   965,   302,     0,     0,   966,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   967,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,  2996,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   964,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,   965,   302,     0,     0,   966,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,  4020,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   967,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   964,     0,     0,   714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1826,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,  1827,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,  1828,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,   965,   302,     0,
       0,   966,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,   967,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,   965,   302,     0,     0,   966,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,  1119,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,   967,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,   965,   302,     0,     0,   966,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1161,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,   967,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   964,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,   965,   302,     0,     0,   966,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1174,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,   967,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   964,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,   965,
     302,     0,     0,   966,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1186,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,  1187,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,   967,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   964,     0,     0,   714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  2601,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   964,     0,     0,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1145,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1158,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1172,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1176,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     964,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2830,   275,   276,
     277,   278,   279,     0,     0,  2831,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,  2832,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,  2833,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,  2834,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    2835,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,  2836,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,  2837,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,  2830,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,  2832,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,  2833,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,  2834,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,  3883,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,  2836,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,  2837,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     794,   244,   795,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     796,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,   827,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   797,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   798,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   794,   244,
     795,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   796,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,  3565,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   797,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   798,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,  2830,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,  2832,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
    2833,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
    2834,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
    2836,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,  2837,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   794,   244,   795,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   796,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   797,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   798,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  3072,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
    2902,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,   859,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,  2903,  2904,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    2004,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,  2005,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,  2006,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,  2007,   354,   355,     0,     0,     0,
    2008,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,  2009,  2010,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,  2011,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,  2012,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,  2013,   538,   539,   540,   541,   542,   543,  2014,
     545,   546,   547,   548,   549,     0,  2015,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,  2016,   584,     0,  2017,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,  2018,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     795,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   796,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   797,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   798,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,  2902,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,   859,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
    2903,  2904,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1017,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1018,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,   859,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  3647,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,  3648,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    3660,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,  3661,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   656,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   705,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   706,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   819,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   820,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   821,
     594,     0,     0,   822,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   853,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   854,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   855,   594,     0,
       0,   856,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
     859,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,   919,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   974,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   975,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1137,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1387,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,  1398,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   839,   271,
     272,   273,  1399,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   842,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   843,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   844,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
    1391,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   846,   594,     0,     0,   847,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   848,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1544,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,   859,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1605,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1606,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   819,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,  3412,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,  3413,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,  3414,   584,     0,   586,
     587,  3415,   589,  3416,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
    3417,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,   714,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
     775,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,  4238,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4252,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  4398,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  4921,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,  4994,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  5353,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   811,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   817,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   839,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   840,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   841,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   842,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   843,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   844,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   845,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   846,   594,     0,     0,   847,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   848,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   871,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     999,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1009,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1012,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1028,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1085,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1090,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1107,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1110,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1112,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1150,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1178,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1180,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1190,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1193,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1196,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   839,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   842,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   843,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   844,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,  1391,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   846,
     594,     0,     0,   847,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   848,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1869,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1903,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1905,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1945,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1947,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1949,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,  2043,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,  2717,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
       0,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   839,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   842,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   843,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   844,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,  1391,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,  2751,   587,   588,   589,   590,   591,     0,
     592,   846,   594,     0,     0,   847,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   848,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   839,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   842,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   843,   535,   536,   537,   538,   539,   540,
     541,   542,   543,  2813,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,  2814,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   846,
     594,     0,     0,  2815,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   848,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     839,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     842,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   843,   535,   536,   537,   538,   539,   540,   541,   542,
     543,  2899,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,  2814,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   846,   594,     0,
       0,  2815,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   848,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   839,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   842,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   843,
     535,   536,   537,   538,   539,   540,   541,   542,   543,  2923,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
    2814,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   846,   594,     0,     0,  2815,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   848,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  3117,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  3121,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    3179,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  3570,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   839,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   842,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   843,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   844,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
    2814,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   846,   594,     0,     0,  2815,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   848,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  3628,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  3650,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    3652,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   655,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  3802,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,   419,     0,   421,     0,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,     0,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
     477,     0,   479,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
     496,   497,   498,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
       0,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   557,   558,   559,     0,
     561,   562,   563,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,     0,   582,   583,     0,     0,   584,     0,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
       0,   595,   596,   597,   598,   599,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
     619,   620,     0,   621,     0,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   655,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,  3844,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,     0,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,     0,     0,   398,     0,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
     419,     0,   421,     0,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,     0,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,   477,     0,
     479,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,   496,   497,
     498,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,     0,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   557,   558,   559,     0,   561,   562,
     563,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
       0,   582,   583,     0,     0,   584,     0,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,     0,   595,
     596,   597,   598,   599,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,   619,   620,
       0,   621,     0,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  5107,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,     0,     0,   398,     0,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,   419,     0,
     421,     0,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,     0,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,   477,     0,   479,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,   496,   497,   498,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,     0,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   557,   558,   559,     0,   561,   562,   563,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,     0,   582,
     583,     0,     0,   584,     0,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,     0,   595,   596,   597,
     598,   599,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,   619,   620,     0,   621,
       0,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     655,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,   419,     0,   421,     0,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,     0,   447,  6328,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,     0,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,   477,     0,   479,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,   496,   497,   498,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,     0,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     557,   558,   559,     0,   561,   562,   563,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,     0,   582,   583,     0,
       0,   584,     0,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,     0,   595,   596,   597,   598,   599,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,   619,   620,     0,   621,     0,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   655,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,     0,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,   419,     0,   421,     0,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
       0,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,   477,     0,   479,     0,   481,   482,   483,   484,
     485,   486,   487,   488,     0,   490,   491,   492,     0,   493,
     494,   495,   496,   497,   498,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,     0,   534,   535,   536,   537,   538,   539,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   557,   558,
     559,     0,   561,   562,   563,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,     0,     0,   584,
       0,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,     0,   595,   596,   597,   598,   599,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,   619,   620,     0,   621,     0,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  2725,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,  2726,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
    2728,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   497,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   893,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,  2729,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,  2730,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
       0,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,  2809,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,     0,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   893,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
    2729,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
    4624,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     880,   881,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   882,   883,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
     885,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,     0,   388,   389,   390,   391,   886,
     887,     0,   888,     0,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
       0,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
    2889,     0,   458,     0,   459,   460,   461,   462,     0,     0,
     464,   892,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   497,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   893,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   894,   558,   559,   560,   561,   562,
     895,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   896,   897,     0,     0,   595,
     596,     0,   598,     0,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,     0,   898,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   880,   881,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   882,   883,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   885,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,     0,   388,
     389,   390,   391,   886,   887,     0,   888,     0,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,     0,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,  4420,     0,   458,     0,   459,   460,
     461,   462,     0,     0,   464,   892,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,     0,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   497,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     893,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   894,   558,
     559,   560,   561,   562,   895,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   896,
     897,     0,     0,   595,   596,     0,   598,     0,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,     0,   898,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   645,   646,   647,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   877,   260,   878,   879,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   880,   881,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   882,   883,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,     0,   342,   343,   344,
     345,     0,     0,   347,     0,   348,   349,   350,   885,   352,
    6015,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,     0,     0,     0,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,     0,   388,   389,   390,   391,   886,   887,     0,
     888,     0,   395,   396,   397,   398,   399,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,     0,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   890,   446,   891,
     448,   449,   450,   451,   452,   453,   454,   455,     0,     0,
     458,     0,   459,   460,   461,   462,     0,     0,   464,   892,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,     0,   478,   479,   480,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   497,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   893,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,   894,   558,   559,   560,   561,   562,   895,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,     0,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   896,   897,     0,     0,   595,   596,     0,
     598,     0,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,     0,   898,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   645,   646,   647,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,  6371,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,     0,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
       0,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   497,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   893,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,   894,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     877,   260,   878,   879,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   880,   881,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   882,   883,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   884,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   885,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
       0,   388,   389,   390,   391,   886,   887,     0,   888,     0,
     395,   396,   397,   398,   399,   889,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,   890,   446,   891,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,   892,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,     0,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   893,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
     894,   558,   559,   560,   561,   562,   895,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   896,   897,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,   898,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   877,   260,   878,   879,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     880,   881,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   882,   883,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     884,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
     885,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,  1152,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,     0,   388,   389,   390,   391,   886,
     887,     0,   888,     0,   395,   396,   397,   398,   399,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     411,   412,   413,   414,   415,   416,   417,     0,     0,   418,
       0,   420,   421,   422,     0,   423,   424,   425,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
       0,   437,   438,   439,   440,   441,   442,   443,   444,   890,
     446,   891,   448,   449,   450,   451,   452,   453,   454,   455,
       0,     0,   458,     0,   459,   460,   461,   462,     0,     0,
     464,   892,   466,   467,   468,     0,   469,   470,   471,     0,
       0,   472,   473,   474,     0,     0,   475,   476,     0,   478,
     479,   480,     0,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     0,   493,   494,   495,     0,   497,
       0,   499,   500,   501,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   893,   514,   515,   516,
     517,     0,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,     0,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,     0,   550,   551,   552,   553,
     554,     0,   555,   556,   894,   558,   559,   560,   561,   562,
     895,   564,     0,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,     0,   581,
       0,   582,   583,     0,     0,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   896,   897,     0,     0,   595,
     596,     0,   598,     0,     0,   600,   601,   602,   603,   604,
     605,   606,   607,   608,     0,     0,   609,   610,   611,   612,
     613,     0,     0,   614,   615,   616,   617,   618,     0,   898,
       0,   621,   622,   623,   624,   625,   626,     0,     0,   627,
       0,     0,   628,   629,   630,   631,   632,   633,   876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   645,
     646,   647,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   877,   260,
     878,   879,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   880,   881,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   882,   883,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   884,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   885,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
    1184,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,     0,   388,
     389,   390,   391,   886,   887,     0,   888,     0,   395,   396,
     397,   398,   399,   889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   411,   412,   413,   414,   415,   416,
     417,     0,     0,   418,     0,   420,   421,   422,     0,   423,
     424,   425,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,     0,   437,   438,   439,   440,   441,
     442,   443,   444,   890,   446,   891,   448,   449,   450,   451,
     452,   453,   454,   455,     0,     0,   458,     0,   459,   460,
     461,   462,     0,     0,   464,   892,   466,   467,   468,     0,
     469,   470,   471,     0,     0,   472,   473,   474,     0,     0,
     475,   476,     0,   478,   479,   480,     0,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,     0,   493,
     494,   495,     0,   497,     0,   499,   500,   501,     0,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     893,   514,   515,   516,   517,     0,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,     0,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,     0,
     550,   551,   552,   553,   554,     0,   555,   556,   894,   558,
     559,   560,   561,   562,   895,   564,     0,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,     0,   581,     0,   582,   583,     0,     0,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   896,
     897,     0,     0,   595,   596,     0,   598,     0,     0,   600,
     601,   602,   603,   604,   605,   606,   607,   608,     0,     0,
     609,   610,   611,   612,   613,     0,     0,   614,   615,   616,
     617,   618,     0,   898,     0,   621,   622,   623,   624,   625,
     626,     0,     0,   627,     0,     0,   628,   629,   630,   631,
     632,   633,   876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   645,   646,   647,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   877,   260,   878,   879,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   880,   881,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   882,   883,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   884,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,     0,   342,   343,   344,
     345,     0,     0,   347,     0,   348,   349,   350,   885,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,     0,     0,     0,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,     0,   388,   389,   390,   391,   886,   887,     0,
     888,     0,   395,   396,   397,   398,   399,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   411,   412,
     413,   414,   415,   416,   417,     0,     0,   418,     0,   420,
     421,   422,     0,   423,   424,   425,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,     0,   437,
     438,   439,   440,   441,   442,   443,   444,   890,   446,   891,
     448,   449,   450,   451,   452,   453,   454,   455,     0,     0,
     458,     0,   459,   460,   461,   462,     0,     0,   464,   892,
     466,   467,   468,     0,   469,   470,   471,     0,     0,   472,
     473,   474,     0,     0,   475,   476,     0,   478,   479,   480,
       0,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,     0,   493,   494,   495,     0,   497,     0,   499,
     500,   501,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   893,   514,   515,   516,   517,     0,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,     0,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,     0,   550,   551,   552,   553,   554,     0,
     555,   556,  2729,   558,   559,   560,   561,   562,   895,   564,
       0,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,     0,   581,     0,   582,
     583,     0,     0,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   896,   897,     0,     0,   595,   596,     0,
     598,     0,     0,   600,   601,   602,   603,   604,   605,   606,
     607,   608,     0,     0,   609,   610,   611,   612,   613,     0,
       0,   614,   615,   616,   617,   618,     0,   898,     0,   621,
     622,   623,   624,   625,   626,     0,     0,   627,     0,     0,
     628,   629,   630,   631,   632,   633,   876,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   645,   646,   647,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   877,   260,   878,   879,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   880,   881,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     882,   883,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   884,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   885,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,     0,   388,   389,   390,
     391,   886,   887,     0,   888,     0,   395,   396,   397,   398,
     399,   889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   411,   412,   413,   414,   415,   416,   417,     0,
       0,   418,     0,   420,   421,   422,     0,   423,   424,   425,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,     0,   437,   438,   439,   440,   441,   442,   443,
     444,   890,   446,   891,   448,   449,   450,   451,   452,   453,
     454,   455,     0,     0,   458,     0,   459,   460,   461,   462,
       0,     0,   464,   892,   466,   467,   468,     0,   469,   470,
     471,     0,     0,   472,   473,   474,     0,     0,   475,   476,
       0,   478,   479,   480,     0,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,     0,   493,   494,   495,
       0,   497,     0,   499,   500,   501,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   893,   514,
     515,   516,   517,     0,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,     0,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,     0,   550,   551,
     552,   553,   554,     0,   555,   556,     0,   558,   559,   560,
     561,   562,   895,   564,     0,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
       0,   581,     0,   582,   583,     0,     0,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   896,   897,     0,
       0,   595,   596,     0,   598,     0,     0,   600,   601,   602,
     603,   604,   605,   606,   607,   608,     0,     0,   609,   610,
     611,   612,   613,     0,     0,   614,   615,   616,   617,   618,
       0,   898,     0,   621,   622,   623,   624,   625,   626,     0,
       0,   627,     0,     0,   628,   629,   630,   631,   632,   633,
     876,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   645,   646,   647,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
       0,   260,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,     0,     0,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,     0,     0,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,     0,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
       0,   388,   389,   390,   391,     0,     0,     0,     0,     0,
     395,   396,   397,   398,   399,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   411,   412,   413,   414,
     415,   416,   417,     0,     0,   418,     0,   420,   421,   422,
       0,   423,   424,   425,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,     0,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   446,     0,   448,   449,
     450,   451,   452,   453,   454,   455,     0,     0,   458,     0,
     459,   460,   461,   462,     0,     0,   464,     0,   466,   467,
     468,     0,   469,   470,   471,     0,     0,   472,   473,   474,
       0,     0,   475,   476,     0,   478,   479,   480,     0,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       0,   493,   494,   495,     0,   497,     0,   499,   500,   501,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     0,   514,   515,   516,   517,     0,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,     0,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,     0,   550,   551,   552,   553,   554,     0,   555,   556,
       0,   558,   559,   560,   561,   562,     0,   564,     0,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,     0,   581,     0,   582,   583,     0,
       0,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,     0,     0,     0,     0,   595,   596,     0,   598,     0,
       0,   600,   601,   602,   603,   604,   605,   606,   607,   608,
       0,     0,   609,   610,   611,   612,   613,     0,     0,   614,
     615,   616,   617,   618,     0,     0,     0,   621,   622,   623,
     624,   625,   626,     0,     0,   627,     0,     0,   628,   629,
     630,   631,   632,   633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   645,   646,   647
};

static const yytype_int16 yycheck[] =
{
       6,   662,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,   206,     0,     0,    23,  1047,    25,
       0,     0,   214,    29,    21,   217,   211,   939,    34,    35,
      36,   683,    38,  1225,   211,    41,    42,  1038,    44,     8,
      46,   840,    21,   756,  1010,  1164,    15,    53,    54,    55,
      22,     0,  1659,  1592,   715,   837,    28,   197,     0,   189,
       0,   933,  1576,   935,   894,    36,  1027,   913,  2711,    44,
    1042,  2837,   796,   797,   798,  1011,  1272,     6,   802,  1502,
    1576,  1036,     0,   864,    45,  1569,  2712,  1113,  3240,   715,
    1581,  1899,  3065,   738,   882,   883,   863,  3421,  2041,  3423,
     216,   762,  3130,  1259,   892,   951,   830,   752,   847,  1244,
     897,   760,  3918,  1248,   230,  2067,  1251,  1252,  3516,  2068,
    2030,  2733,  2734,  1727,  2049,  3720,  1087,  3077,  2983,  3092,
    1091,  3468,  3945,  3967,  1010,  1096,  3604,   870,  4267,  3666,
    3638,  3668,  3640,  1019,  1040,  1106,  1569,  1622,  1623,   664,
    3870,  1626,   977,  1029,   815,  1694,  1695,  3474,   976,  1120,
      23,  4351,  4824,  1971,  3526,  2961,  3934,  3030,  2106,  3032,
    3033,  2082,   191,    36,  3037,  3038,  3039,  4289,  3041,  3042,
    3043,   191,   843,  1001,  1559,  1459,   761,  3524,  1006,  4310,
    1151,   197,   198,   199,   175,   962,   202,  1688,  1912,   751,
     206,   736,   208,  5145,   739,   211,  4557,   868,   214,  4595,
    4612,   217,  5217,  4396,   220,  5348,   222,   843,  5308,   225,
    2669,  4589,  1047,   229,  1715,   231,  2063,  2064,  2065,  2066,
      35,  4600,  2069,  5438,  2071,  2072,     2,    42,  4726,  2591,
    4728,  1102,  5137,  2595,  1619,  3490,  5088,    50,  4599,  4840,
     225,  4842,  5339,  2628,  2696,  3536,  3932,  1118,  3380,  2698,
    3375,  1636,  5474,  5486,  4914,    41,  3283,     6,  5739,   930,
    3473,     6,  3475,  3476,  5132,    15,   936,  3073,     6,  1153,
       0,     5,    38,  2669,  1051,  1159,     0,    11,   936,    11,
    1542,  5988,     0,  4449,  5136,  1169,   960,   120,    78,  1173,
    2675,    63,    95,  1177,  5723,  1179,     5,    37,  5395,     0,
       6,  1185,    11,    47,    21,    85,    37,  1191,   171,     0,
    1194,    37,  2036,     0,     6,    63,   177,    25,    47,    29,
      11,   148,    35,     6,    11,     6,     6,  1001,    47,   880,
     881,     6,  1006,    72,    15,    16,     6,    80,    29,    37,
     891,     6,    29,     6,     6,    15,    16,  1081,     6,     6,
      15,    16,  1522,   113,     6,     6,   157,     6,  4690,  4691,
    4692,    54,  4694,  4695,  4696,  4697,  4698,   100,    63,   156,
     177,   120,    13,     6,    21,    13,  1047,  5402,  5403,   163,
    4764,  3606,    21,    11,     3,    92,     5,     6,   177,   189,
    5427,    63,    11,  1878,   177,    13,   177,   189,    80,    63,
    5625,     6,   155,   155,    45,    76,   133,   314,   122,  6029,
      92,    72,  6120,   178,   153,   125,    43,   144,   308,  5995,
    4613,   188,    64,    11,   345,    27,   122,    45,   177,   383,
      72,    92,   140,  1415,   173,  1471,   350,    78,  1403,    42,
      63,   135,    63,   137,  1103,   178,   401,   177,    50,    25,
     359,   378,    29,   177,   388,    31,  1199,     0,   446,   177,
      78,   402,   358,   165,   152,   358,  5947,   288,   446,   374,
     383,   201,    13,    58,    63,    43,   177,   201,    21,   212,
     366,  1463,   385,   201,   120,   448,   177,  5355,   683,    13,
     177,  1881,  1290,  1291,   227,  5366,   288,   308,   526,    94,
     201,   120,   395,   531,    45,   533,   216,   535,   433,  5938,
     201,  1901,   226,    56,   201,    13,  1171,   250,   122,  5741,
     312,    80,    29,  6326,  1322,  6233,   353,   311,     6,    36,
     493,   332,   120,    92,    80,   171,  1333,    78,   733,  5410,
     433,  5638,   137,   470,   129,   366,   279,  4925,   451,   537,
      51,   253,   177,  1459,    80,   681,   469,    37,   135,   537,
     446,   687,    29,   328,   140,   253,  1401,   476,   371,    36,
    5475,  1406,  1407,   699,  1481,   308,  1353,  1232,   292,   533,
     297,   486,   537,    80,    29,    80,   353,   483,  1243,  1571,
     483,    36,   533,  6396,  1265,   177,   199,   324,   292,   533,
     372,   297,   221,   301,   343,  1260,  1383,    23,    88,  1352,
      80,    23,   533,   177,   256,   217,  5435,   384,    10,   533,
    1205,    13,   226,   178,   372,    17,    18,    19,  6109,  1265,
     537,   292,  5857,  3092,   305,   177,   184,   256,   243,   366,
     354,   531,   407,    92,   377,   535,  6354,   663,   191,  5686,
     297,   404,   404,   669,  3879,   671,  6276,   673,   297,  1545,
     676,   122,  1460,   446,   297,   446,  4396,   683,   668,   453,
     533,   184,   688,   433,   690,   475,   537,   372,  6254,   668,
     696,   461,  1653,   475,   394,  1656,   194,  1430,   292,   387,
     523,   184,  1862,   401,  4424,  5296,  3092,   446,   201,   486,
     372,  1424,   446,   446,   720,   762,   533,    29,   372,   668,
     511,    23,  1547,   729,  1725,  1726,   668,   733,   668,  1665,
     736,  1607,  1557,   739,  5946,   464,   533,  1398,  1279,  1280,
    6437,    32,   476,   446,   537,  1406,  1407,  6218,   471,   755,
     668,   531,  6449,   155,   451,   535,  4868,   476,   537,   372,
     354,   372,  4568,  1496,   494,  1626,   490,   476,  1723,   469,
    4926,   469,  1398,   494,   446,   537,  1317,   533,   494,   514,
     515,  4937,   761,   523,   523,   766,   514,   515,   476,  1607,
     514,   531,    23,   372,  2046,   535,   535,  6216,   533,   537,
     524,   525,   808,  4609,   776,   533,   778,  1999,   780,   939,
     532,   817,   429,  1643,   786,   480,   536,  1678,  1679,  1644,
    1732,   790,   536,  1648,  1649,   524,   525,  6298,   536,  1489,
     537,   837,   838,   808,   840,   841,  4431,   533,  5733,   845,
    4608,  1489,  4437,   524,   525,   536,    32,   524,   525,    63,
     533,   533,   537,   859,  1973,   536,   262,  4355,   864,   536,
     533,   531,   533,   533,   870,   535,  1058,  5882,   533,  5243,
    1062,   429,  1064,   533,  6345,   537,  1061,  5199,   533,  5737,
     533,   533,   373,   537,  1061,   533,   533,  2006,  6100,   864,
    6113,   533,   533,  4613,   533,  1436,  1437,   446,   529,  2018,
     537,   529,   184,  1567,   177,  4242,   524,   525,   927,  4246,
     446,   917,  1052,  4230,   411,   524,   525,   927,   526,   527,
     528,   529,   537,  6128,   537,   931,   537,  3539,   310,  3541,
     446,   929,   929,   929,   929,   929,   929,   929,   944,   929,
     929,   929,   929,   537,   929,   929,   524,   525,  6035,   929,
     929,   419,   420,   959,   411,  3905,  1620,   953,   537,   446,
     262,   446,  1614,   177,  1860,   537,  3762,  3763,  5618,   944,
    6057,  3767,   978,  1637,  4096,  4097,   411,   983,   984,   533,
     929,   383,   388,  4659,   959,  3848,   446,   929,   533,   929,
     460,  4106,    25,   524,   525,   526,   527,   528,   529,   537,
      25,     3,   404,  5945,     6,   537,    31,   446,  6220,  1015,
    1016,   929,   526,   527,   528,   529,  3465,  1842,  1879,  3468,
    4518,  4302,   473,   335,   494,   142,  4229,  1542,  4231,  4232,
     436,   262,  1038,  1039,   537,   533,   524,   525,   526,   527,
     528,   529,   127,   222,   537,  5854,  1052,  5942,  1054,  4517,
    5859,  5860,  1058,  3495,   537,  1061,  1062,  3496,  1064,  4181,
    3435,   467,  4079,  1069,     6,   841,  2067,  3516,   871,   845,
      23,   309,  1946,     6,   125,  3524,  2048,   314,   369,  3465,
    1954,    25,  3468,  5925,   396,  6297,   492,  1093,    23,    52,
    5458,  6224,  6225,   113,  1100,  1101,   189,   256,   288,  5941,
     171,   125,   309,    63,  6191,   113,  3902,   140,   177,   120,
     311,    37,   136,   115,  5465,   140,  1122,  1123,  1124,    68,
    1126,   299,  1128,     6,  1130,  1131,   438,   533,   440,   302,
    3516,  2103,   201,  6138,   436,   668,     6,   388,  3524,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   322,    89,
     206,   125,    23,   329,  5344,    21,   329,   388,  1164,    23,
    1166,  1167,   113,   296,  1825,   467,   271,   446,  6110,   154,
    2067,  2068,   370,   446,   388,  3527,  4644,    29,   324,  4424,
    6385,   383,  4580,   369,  1908,  2082,  5369,    23,   177,  6279,
     492,   193,   132,  1199,  2091,   288,   140,   383,   120,   385,
     125,    23,    23,   401,   173,   436,  6101,   205,   490,   152,
    1015,  1016,   201,   314,  6347,   417,  2015,  2016,   203,  1225,
     366,  1227,   120,  5814,    89,  1231,  1205,  1233,   761,   762,
      28,   533,     6,   196,  2130,   125,   467,    23,   201,  1208,
     125,  1210,   216,  1212,   523,  1214,   329,  1216,  1217,  1218,
     523,  1257,   490,  1259,  1223,   537,   535,  1263,  3870,    40,
     120,   492,   535,  1976,    25,   451,   171,   132,   482,   271,
      31,  1277,   274,    54,    89,   408,   323,   220,  1623,   312,
     178,  1626,   533,   135,  6226,   444,   179,   392,   495,   252,
     288,   216,  2005,   471,    92,   533,  2009,   534,  1943,   324,
     537,  2014,   533,   477,  2017,  1352,    37,   302,  2799,   262,
    2733,   322,  1957,  1319,  2047,  5121,  2049,   132,  6408,   509,
      63,  5134,  2055,  5811,  5158,  1970,   216,   262,  2061,  2062,
     111,   216,   533,  2100,   329,  2831,  5705,   370,   371,   288,
    2073,   366,  1348,  1349,  1350,  5731,  1352,  3299,  3960,  5751,
    2083,   308,  5720,  5704,  6296,   297,  2089,   533,   537,  5127,
     533,  5729,  3076,     3,  6369,  6307,  5735,  1373,   401,   486,
    1136,   314,     3,    33,    34,   301,   401,   433,   268,   140,
     324,   179,   475,  5734,  1936,  4883,   471,   327,  4351,   120,
     392,   262,  2883,  2667,   927,   293,   929,   156,   262,   332,
     322,   103,  3313,  3314,  6346,  1940,  1412,  3318,  1983,  4907,
       3,  5779,   372,   433,   297,  3019,  1968,  6422,   469,   490,
    1955,   490,   366,  1958,  1430,   433,   262,   297,  2080,  1614,
     156,   297,   292,     3,   215,   388,   537,  6379,  1419,    99,
     262,   262,   186,   406,  2819,   469,    25,   398,  3359,  3360,
     533,    91,   302,   388,   347,  1474,  1475,   401,  1477,   119,
      91,   309,   327,   368,  1474,  1475,   477,  1477,    10,  6411,
    1476,    13,   394,  2008,  1480,  1481,   262,  2012,  2013,   329,
     454,   179,   115,   436,   186,  1491,  1492,  1493,  1494,  3427,
    1496,  5612,  4829,  6155,  5606,   469,   156,  4834,   120,   439,
    4837,   436,  3109,    45,  4866,   145,   508,   288,  4825,   394,
      52,   433,   327,  1519,   467,   146,  1491,   388,  1493,   302,
     463,    91,   533,   240,   388,   135,    72,   120,   388,    30,
     474,  2046,   467,  1878,    39,  5675,    78,  5677,   533,   492,
     401,  5681,  5682,   309,   469,   288,   329,   266,  1554,   347,
     288,   240,   388,  1559,   309,   477,  1562,   492,  5085,  5927,
     193,   140,   324,   324,    25,   436,   388,   388,   490,  1575,
    1576,   288,   436,   471,   439,   145,   533,   208,  1584,   469,
     533,  1587,  6120,   314,   469,   533,   288,   385,  6106,  6107,
     170,  2592,   514,   293,   179,   242,   467,  4625,   533,   288,
     436,   113,   388,   467,   366,   366,   666,   401,  1614,   390,
    1616,   533,   310,  1619,   436,   436,  1622,  1623,  4581,   259,
    1626,   492,  2594,   448,   439,   130,   342,    92,   492,   372,
    1636,   467,  1628,  1639,   378,   394,  1642,  1633,   271,   401,
     401,   274,   490,  4506,  3128,   467,   467,  5837,  4511,  5369,
     436,   449,   125,   451,   196,   120,   492,   455,   401,   201,
    1666,   324,   533,  5476,   533,   354,   122,   140,   394,   533,
     492,   492,  1205,   114,   433,   297,   537,   180,  1684,   140,
     189,   467,   292,   533,   324,   193,   201,   404,   401,   259,
    1696,  1697,  1698,  1699,  1700,  6233,  5464,   533,   758,   292,
     331,  3124,   362,   366,   297,  3128,   492,   433,  1714,  1684,
     252,   533,   533,  1709,   342,   404,   217,  1713,   477,  1725,
    1726,  1727,   362,   421,   490,   310,   366,  5856,  2757,  6097,
     370,   490,   448,  4588,   394,   490,   536,   475,   401,   332,
    1273,   443,   124,   537,   312,   324,   292,   533,   115,  1941,
     533,   477,   469,  2627,   324,   514,   324,   112,   338,   392,
    1293,   401,   120,   271,   490,   206,  1951,  1952,   310,   469,
     226,  2667,   832,   433,   533,  1952,   288,   493,  4544,   288,
     469,  6299,   401,   171,  4396,   143,  4582,   366,   514,  2686,
    1930,   149,   523,  4242,   401,   183,   436,  4246,   366,   439,
     531,    35,   533,   534,   535,   163,   537,   533,    25,    38,
     124,   368,  4424,   201,    51,   324,  6354,   477,  1824,  1352,
     448,   481,   401,   120,   537,    10,   193,   292,  5968,  1835,
     490,   462,    17,    18,    19,    99,   292,  1843,  1844,   470,
      10,   223,   473,    13,     0,   348,  6214,    17,    18,    19,
     490,   366,    81,  1859,   514,   370,  4242,   366,   168,  4822,
    4246,   152,   159,   324,   406,   493,   436,   340,    87,   439,
     533,  1877,  1878,   533,   165,   508,   778,   779,   780,   382,
     171,   783,   784,   785,   392,  6369,   401,  1893,  1894,  1895,
    1896,   793,   136,   396,   385,  2080,  1902,   194,   354,  2729,
     533,   324,  4351,  1909,   271,   366,  1912,   274,   165,   223,
    2709,  6040,   267,  2646,   482,   123,  5722,   272,   537,   183,
     123,  1927,   156,   140,  1930,  6293,   324,  5740,   537,   220,
     537,   434,  2757,   490,  1940,  1941,   323,   323,  6422,   297,
     401,  1474,  1475,   366,  1477,  1951,  1952,   388,   167,  1955,
     180,  2919,  1958,  2829,   410,  5292,     3,   514,   383,   394,
     451,   487,   253,  2929,    35,  4351,   475,  1973,  1974,   168,
     512,  2867,   216,   283,  1980,   490,  1982,   345,   401,    26,
     537,  5749,   524,   525,   526,   527,   528,   529,   376,   197,
     431,   323,   433,  1999,   197,   292,   253,  2893,   433,   514,
    2006,  4613,  2008,   401,  1983,  2011,  2012,  2013,   433,  2015,
    2016,   537,  2018,   304,   401,   401,  1985,  2064,  1987,  2025,
    1989,   122,  1991,   314,  1993,   392,  2032,    13,  1997,  2035,
    2036,   201,  3000,  2039,  3153,  5503,  2042,  2043,  5190,  6229,
    2030,  2047,   477,  2049,    91,   451,   245,   304,  2054,  2055,
    2025,  2030,   314,  2929,   224,  2061,  2062,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2039,   401,
     171,  2077,   431,  2079,  2080,  2081,  2082,  2083,  2084,  2085,
    2086,  2030,  4025,  2089,   123,  2091,  2092,   481,  2030,  2095,
    2030,  2967,    78,   122,   762,   453,  2757,  2993,   533,   146,
    4043,  3013,  3014,  3015,  2110,  2111,  2112,   465,  2933,   210,
     239,   470,  2030,  3536,  5087,   292,  2941,   179,  2979,  2944,
     297,   301,  2128,  3546,  5958,   310,  3002,  5940,  4080,   391,
     471,  4580,  4581,  4085,  4059,   388,   391,  3621,  3745,   533,
     310,   508,  2909,   490,   481,   371,  4095,   815,  5111,    72,
    3346,   213,   382,  5126,   201,    78,  5106,    72,   197,   389,
    6350,   208,  2168,  3059,  2982,   418,   396,   514,  5320,    92,
    5322,  5939,   463,  5497,   351,   401,  5703,   178,   307,  2042,
      38,   210,  2827,  2907,  3145,  2909,  5049,   288,  5051,  5052,
    5053,   292,   533,  4001,  4580,  4581,   533,   120,  3621,   122,
     868,   490,    60,   324,   434,   120,  4117,  4118,  4119,  4120,
     112,   212,  4123,  4124,  4125,  4126,  4127,  4128,  4129,  4130,
    4131,  4132,   324,  3827,   165,   324,   227,   457,     5,  3833,
     171,   490,   483,   165,    11,  3096,  3097,  3098,  3099,   171,
    3101,   362,    19,  3718,  2957,   366,  2959,  4084,   537,   250,
    2963,   324,  4089,  4090,   112,   514,  5754,   366,   181,   288,
      37,   182,   930,   292,   366,  3126,   181,   366,  3142,  2275,
     172,   370,   324,  3147,   533,  3149,  4187,  4188,  3769,  5075,
     401,  5077,    25,  6403,   331,  3159,   294,   210,  3162,  6102,
    3164,  3165,   401,   366,  3168,   293,   294,    13,  3172,   401,
    3174,   412,   401,  3177,  1206,  6425,   208,  1209,  5776,  1211,
    4220,  1213,   253,  1215,   366,   243,   383,  1219,   385,   182,
    3216,   253,  1628,  2329,   358,  3816,   437,  1633,   401,    45,
    5728,   378,   471,   366,  3530,   256,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   266,   204,   533,    91,  5312,
     394,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    5684,   395,    78,   304,   172,   267,   490,  3241,   401,   292,
     272,   490,   304,  4822,   297,    80,   377,   292,  3203,  2385,
    4829,  5344,   297,   430,   451,  4834,   394,    92,  4837,   433,
     133,  4228,    32,   256,   533,  3119,   394,   140,   171,   433,
     208,   144,  3941,  1709,   262,   270,  6219,  1713,   490,   267,
    6375,    54,  6377,   537,   272,   462,  3313,  3314,   537,    59,
     343,  3318,   195,   470,  6230,   433,   473,   265,   343,  3078,
     288,    10,   514,   477,    13,   433,  4822,   360,    17,    18,
      19,  3337,  6037,  4829,   370,   360,   490,  3343,  4834,   483,
    1983,  4837,   446,   354,   292,   537,    35,    48,   101,   152,
     171,   171,  3359,  3360,   266,   323,   367,   490,   532,   477,
     514,    27,   165,   537,  6439,   401,   282,   471,   171,   477,
      71,    99,   490,   126,   195,   195,   152,  3200,   725,   533,
     292,   514,   490,   308,    50,   358,   397,  2030,   313,   165,
     306,   119,   145,   514,   515,   171,   514,   150,   534,    80,
    3422,   537,  5836,   371,   751,  3282,   514,   438,  6424,   440,
    1005,    92,   533,  5486,   523,   533,   534,   220,   536,   172,
    1620,  2064,  6438,   176,  6435,   533,   535,   395,   156,  1024,
    6401,   464,  1027,  6404,  6042,  6043,   467,  1637,   191,   464,
       5,  6452,  5415,     5,   220,  2088,    11,   533,   416,    11,
     253,   514,   515,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,     5,  2579,   532,   438,  6382,   440,    11,   537,
     533,   324,  3315,  2589,  2590,   528,  2592,   253,  4927,   143,
     533,   451,   535,  2599,  3327,   149,  4935,  2789,   368,  2791,
    2792,   526,  5565,  3428,   467,  2790,   531,   322,   533,   467,
     535,   304,    22,  2790,   534,   391,   152,   537,    28,   362,
     483,   314,  2628,   366,  2630,  4536,    96,  2633,  2634,   165,
    3363,  2637,  2629,  2639,   266,   171,  2642,   528,   304,  3774,
    2646,    29,   533,   206,   535,   224,  2786,  5640,   314,   266,
     308,  1001,  5645,  5646,   297,   313,  1006,   270,   401,   152,
    3447,  3448,  5111,  2669,   531,   408,   533,   195,   535,  2675,
    2676,  3607,   165,   438,  3407,   440,   534,   531,   171,   394,
    2686,   535,   534,   451,   220,   537,  3425,  6185,   483,  2695,
    2696,  3537,   438,   534,   440,    83,   537,  3571,    86,   284,
     285,   286,   287,  2709,   534,    93,  3642,   537,   351,   534,
    2826,  2717,   537,  2719,  3481,    15,    16,   253,   433,  3326,
      92,  3328,  3329,   100,   533,  5111,   535,   220,  5756,  4672,
    3382,   310,  3608,   121,   534,    87,   534,   537,  3930,   537,
    2669,    33,    34,   534,   362,  4688,   537,  2280,   534,  3721,
     531,   537,   533,  2759,   533,  2761,   535,  5369,    59,  3547,
     253,  4368,   477,   534,   391,  4717,   537,  3428,   304,  2775,
     463,   534,  4724,  4725,   537,   490,   394,  3651,   314,  3653,
    2786,   243,  4590,  2789,  2790,  2791,  2792,  6285,  2759,  2795,
    2761,   533,  2798,   181,   481,   534,  2714,   463,   537,   514,
     534,   178,  2918,   537,   534,   534,   194,   537,   537,   534,
     182,   304,   537,  2819,   490,   433,   492,  3693,   533,   207,
    1057,   314,    11,  2798,  5620,  2831,   490,  4366,   492,  4368,
     431,  1068,  5628,  5629,   206,   212,   308,   534,  2844,  2845,
     537,  2093,  4333,  5292,  2096,  2851,   534,  1084,  6172,   537,
     227,  3564,   534,    10,  2860,   537,    13,  4353,   533,   477,
      17,    18,    19,  5312,   534,   531,   388,   537,   534,   535,
      69,    70,   490,   250,  5837,   537,  2882,  5489,    35,  4302,
     383,   384,  6034,  2999,   256,  3911,  4042,   534,   534,   534,
     537,   537,   537,   383,   384,  5344,   514,  2903,   534,    59,
     534,   537,   279,   537,   534,   534,  5292,   537,   537,   533,
    2916,   534,  3873,  4404,   537,   533,  3561,  3562,   534,   534,
      48,   537,   537,  3797,  3585,   483,  5312,   463,  2903,  3803,
     510,   308,   534,  2939,   534,   537,  2942,   537,   438,   226,
     440,   313,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   534,   534,   534,   537,   537,   537,   534,  5344,  3585,
     537,   534,  2968,  2969,   537,   534,   534,   311,   537,   537,
     463,  5597,   534,  3869,   438,   537,   440,  2983,   535,  2985,
    2986,  5944,   534,   534,  2956,   537,   537,   534,   534,   308,
     537,   537,  3716,   534,   171,   531,   537,  3721,   308,   535,
     377,   490,   534,   492,  1241,   537,  3867,   534,   383,   384,
     537,  3017,  3018,  3019,   510,   534,   534,  3023,   537,   537,
     135,   534,   137,   534,   537,  3031,   537,  6351,   534,   534,
     418,   537,   537,   421,   514,   515,   534,  5486,  3044,   537,
     534,   311,   534,   537,  3050,   537,  3052,   534,   163,   534,
     537,   534,   537,   534,   537,  3247,   537,  3249,  3250,  3065,
    2660,  2661,  2662,  4602,  3070,  3710,   438,   224,   440,   534,
    3076,   534,   537,  3079,   537,   534,    48,   534,   537,   451,
     537,   534,   510,  4597,   537,  3091,  3092,  3732,   383,   384,
      10,  4287,   464,    13,   226,   467,  3102,    17,    18,    19,
    5486,   176,  2635,  6427,  3244,   526,  3112,   534,  3114,   534,
     537,   534,   537,   228,   537,  3989,  5565,  3991,   534,  3993,
     490,   537,   492,  6096,   537,    45,   534,   534,   534,   537,
     537,   537,    52,   533,  4618,   534,  2669,    10,   537,   534,
      13,   135,   537,   137,    17,    18,    19,  3153,   533,  3155,
    6113,  3157,   534,   310,   534,   537,   534,   537,    78,   537,
    4352,   534,  4354,  3092,   537,  4357,   490,   480,   492,   284,
     285,   286,   287,  5351,  5352,  3899,   291,   292,   339,  5565,
     534,  2714,   297,   537,  3190,   534,   534,   536,  4160,   537,
    5833,   534,   533,  3111,   537,  4618,   534,  3382,  4095,   537,
     534,    37,   534,   537,  3917,   537,   534,   534,   534,   537,
     537,   537,   534,   533,  3875,   537,  3877,   534,   534,   536,
    4117,  4118,  4119,  4120,    59,  4050,  4123,  4124,  4125,  4126,
    4127,  4128,  4129,  4130,  4131,  4132,   100,   534,  3244,  3245,
     537,  3247,   177,  3249,  3250,  3890,  3252,  3892,  4029,  3875,
     534,  3877,   534,  3259,  4151,   537,   222,  4153,  3264,  4214,
    6223,   534,     0,  4211,   537,  4213,  6229,   222,  3315,   534,
    5222,  5223,   537,   535,   534,   534,   196,   537,   537,  5728,
     534,   201,   534,   537,  4811,   537,  4813,  4247,  4260,  4249,
    4187,  4188,  5273,  1491,  5275,  1493,  5803,  5804,  3959,  6001,
    6002,  4014,    54,    55,   533,  3490,   533,  3313,  3314,  3315,
     494,   533,  3318,   533,   178,   366,  3363,   201,  5229,   157,
    3326,  3327,  3328,  3329,   533,  4297,   157,   535,   308,   201,
     366,   308,   252,  3959,   157,  4942,  3342,  4234,   453,  3345,
     157,  3347,  5728,   201,   157,   308,   171,   366,   212,  6115,
     465,   224,   157,  3359,  3360,   251,   122,  3363,   471,   308,
     533,    99,   301,   227,   521,   522,   523,   524,   525,   526,
     527,   528,   529,  1610,   171,   534,  3382,    72,  3384,  4112,
    3386,   292,  3388,    38,   292,   494,   250,  6350,  5837,   533,
     310,   308,   292,    10,    48,    48,    13,   292,   456,   292,
    4045,  3407,    91,   324,  3410,   483,  4367,   483,  3414,    87,
     451,   171,  4908,  4146,   152,   279,   346,   157,   157,   533,
     157,  3468,   157,   494,   157,   157,   537,   165,    45,  3435,
     157,   157,   157,   171,   157,    52,   157,   310,   157,   177,
     171,   157,   157,   157,   157,   183,   157,   308,   186,  4641,
     433,  5837,   190,   533,  3415,  3416,  3417,    38,    38,  3465,
     251,    78,  3468,  3469,  4197,   171,   171,  3473,  3474,  3475,
    3476,   308,   533,  3520,     6,     6,  3482,   533,   533,  4325,
      60,  3487,   220,   171,   533,   533,   406,   533,   533,   533,
     533,     6,     6,   533,   533,  5944,  3502,     6,   533,  4395,
     533,  4397,   533,    10,   533,   533,    13,   533,   533,   533,
    3516,  4299,   533,   377,  3520,   253,   533,  3523,  3524,   533,
    3526,   533,   533,   533,   533,    10,   533,  4423,    13,   533,
     533,     6,   112,   150,    10,   533,  3465,    13,    45,  3468,
     533,    17,    18,    19,   299,    52,   533,   533,   533,   533,
     491,   533,   533,  4514,   533,   533,  4492,   320,  5944,    35,
      45,  3567,   166,   222,   537,    38,   304,    52,   537,  5512,
     308,    78,   251,   103,    38,   533,   314,    37,  3111,   196,
     531,   444,  6348,   531,   201,  3591,  3592,  3516,   444,   446,
    4502,   446,   512,    78,   446,  3524,   533,   446,   177,  4424,
    1837,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     135,  1848,   137,   537,   171,   171,   302,   304,   401,    68,
     446,  3627,   446,   388,   204,   446,  5537,  1864,   482,   388,
     446,   535,   446,   253,   446,   252,   374,    10,   163,  4536,
      13,   388,   446,   150,    79,   446,   523,   446,   521,   522,
     523,   524,   525,   526,   527,   528,   529,  5568,    92,   388,
     157,   308,   248,   393,  6113,   150,   446,   446,   297,   128,
     446,   329,    45,   308,   470,   436,   383,   302,  3684,    52,
     533,  1918,   262,   194,   446,  3870,   533,   267,   446,   196,
      92,   537,   272,   310,   201,   433,  1933,   128,   324,  1936,
    1937,   201,  3708,   228,   157,    78,   128,   471,   288,   114,
     446,   196,  3718,   128,   471,    59,   201,    59,   446,   312,
     350,   276,   446,   350,   446,   463,   446,  6113,   446,   446,
    1967,  1968,   350,   436,  5157,   329,   446,   446,   446,   329,
      47,   534,   446,   323,   446,   252,   446,   446,   224,   487,
     446,   489,   490,   446,   446,   446,   446,   538,   224,   284,
     285,   286,   287,   446,   537,   446,   291,   252,   224,   308,
     224,   308,   297,   511,  6223,   446,   224,   150,  4674,   224,
    6229,  4655,  3315,   224,  4658,   224,   224,   224,   224,   406,
     456,   371,   533,   531,    38,   157,   534,   535,   536,   157,
     308,   292,   120,   310,   471,   157,   157,   482,   157,   308,
     292,   292,   259,  4687,   292,   395,    38,   171,    38,   243,
     390,  3827,   157,   196,   157,   310,   471,  3833,   201,   157,
    3363,   471,   533,   157,   310,   533,   416,  6223,  3844,   533,
     301,  4666,   486,  6229,   446,   296,   177,   276,   533,   276,
     534,    13,   186,   533,  3387,   537,   533,   446,   534,   533,
     448,   319,   194,   392,   537,   194,   534,   531,  4765,   510,
    3403,   510,  2109,   534,   534,  3881,  3882,  3883,   534,   252,
     274,   487,   534,   220,   404,   240,   537,   467,   309,  4861,
      38,   537,  3898,   471,   471,   512,    59,   317,   534,   406,
     482,  6350,   388,   446,  5096,   533,  3912,   524,   525,   526,
     527,   528,   529,   297,   297,   297,   171,  4562,  4563,   446,
     446,   406,   533,   297,  3930,  3931,  3932,   308,   453,    48,
    3936,   410,  3465,   308,   533,  3468,   240,   310,   240,   292,
     465,   251,  3948,   251,   270,   251,  4776,  4660,  4661,  4662,
    4663,  4664,   308,   383,   446,   128,  5470,   366,   308,   436,
     308,   537,   201,   537,  6350,   308,   490,   195,   401,   354,
     398,   534,  4844,  3948,   446,   446,   314,    38,   224,   243,
     349,   471,   471,  3516,   171,   523,   157,  3520,   302,   483,
      38,  3524,   434,   173,   398,   490,   157,   533,  4004,   533,
     157,   157,   302,   350,   471,   512,   292,    38,   292,   308,
      27,   308,  4018,  4019,   243,  4889,   192,   524,   525,   526,
     527,   528,   529,  4029,   302,   192,  3944,   512,   171,  4762,
      38,   172,   243,   406,   398,   171,  4042,   308,   292,   524,
     525,   526,   527,   528,   529,   521,   522,   523,   524,   525,
     526,   527,   528,   529,  4029,  4061,   201,   201,    59,   201,
     446,   201,  3980,   201,  4070,  4195,   177,   537,   537,   494,
     535,  4945,  4946,   273,  4856,   537,   490,   308,  4084,   534,
     537,   533,  4088,  4089,  4090,   301,   177,  5626,   511,  4095,
     534,   537,  4098,   314,   534,  4101,  5057,   476,   374,   135,
     330,  4107,   534,  4109,   177,   320,  4112,  4932,   534,   291,
     446,  4117,  4118,  4119,  4120,   534,   534,  4123,  4124,  4125,
    4126,  4127,  4128,  4129,  4130,  4131,  4132,   537,   534,   537,
    4136,  4137,  4138,   533,   537,   534,   537,   534,   534,   512,
    4146,   534,   534,   534,   510,  4151,  4193,   537,   487,  4155,
     266,   524,   525,   526,   527,   528,   529,  4163,   534,   177,
    4166,   533,  4168,   533,   532,  5039,  5040,   534,   533,   261,
     533,   532,   186,   533,   533,   469,   533,   308,  4184,    59,
     308,  4187,  4188,   523,   514,   477,  4192,  4193,   513,   487,
     311,  4197,   537,  4199,  4200,  4847,   308,   157,   446,   446,
     297,   446,  4208,  4209,  4210,   214,   160,   292,   446,   157,
     533,  4396,     0,   533,   206,   421,   533,   401,   393,   157,
     157,   393,  4228,  4229,  4230,  4231,  4232,   393,  4234,  4235,
    4220,   251,  4238,   206,   160,   523,  4242,   308,   446,  4424,
    4246,  4220,  4203,  4204,  4205,  4206,  4252,  6158,  6159,   160,
     487,  6162,   471,   388,    38,    43,   253,   331,   468,  4904,
     160,   331,   388,   446,   418,   446,   388,   446,   446,   263,
     263,  4220,   263,  4279,   388,   388,    60,   446,  4220,   128,
    4220,   446,   446,   401,   157,   292,   446,   446,  4294,    10,
    4296,   446,    13,   446,   446,  5169,   446,    47,  5172,  5173,
      47,   534,  4220,  5016,  5017,   532,  5019,   446,   534,   534,
       6,    99,   224,  4242,   224,   189,   534,  4246,  5192,   456,
     534,     3,   312,   171,    45,   537,    48,   113,   112,   534,
     537,    52,  5229,   171,  5757,   533,    38,   534,   157,   446,
     157,   171,   189,   302,   533,  4351,  4352,  4353,  4354,   523,
     157,  4357,  5076,  4359,   471,   388,  5268,    78,   388,   388,
     388,   471,  5007,   388,   152,   155,   398,   537,   155,   224,
     224,  4377,   224,   224,   224,   147,   464,   165,   224,   224,
     224,   224,   531,   171,   464,  5282,   228,   534,   308,   177,
    5302,   308,    59,   308,   308,   183,    13,   181,   186,   320,
     534,   482,   190,   177,   537,   534,   291,   534,   435,   534,
     534,  3944,   227,   318,   534,   227,    10,   532,   315,    13,
     204,    59,  4351,   190,   443,   534,  4432,   374,  4613,   150,
     534,   537,   220,   533,   222,   534,   476,   533,   533,   533,
      90,   456,   171,    38,   243,   471,   446,  3980,   471,   214,
      59,    45,   436,   157,    86,   471,   418,   181,    52,  5104,
      10,   456,   393,    13,   446,   253,  4438,    17,    18,    19,
     160,  6078,   446,   366,   446,   196,   446,  4449,   262,   388,
     201,  4487,   446,   267,    78,    35,   388,   534,   272,   534,
     534,   533,   490,    59,   533,   436,   477,   171,   308,    78,
     157,   197,   113,   456,   288,   224,   224,   224,   224,   533,
     206,   209,   534,   240,  4520,   494,   304,   446,   214,   308,
     308,   217,   533,   533,  5420,   537,   314,    38,  4534,   534,
    4536,   252,   329,   308,   305,     3,    44,  4543,    10,   323,
     456,    13,  5661,  4549,  5663,    17,    18,    19,   537,   537,
     533,  2788,    10,   533,  4560,    13,   150,  2794,   446,    17,
      18,    19,   398,   534,   183,   113,    38,   177,   184,  4575,
     224,   534,  5285,   145,  4580,  4581,   241,   241,   534,   534,
     177,    59,  4588,  5296,   297,   297,   374,   371,   297,   310,
     297,  4597,   534,   488,   534,   534,   488,   320,   534,   329,
     533,  4607,   196,   537,  2841,   537,   534,   201,   533,   227,
     533,   395,   489,  4619,  4620,   443,  5808,   302,   177,   523,
     446,   456,   208,   490,  4630,    78,   195,   195,   297,    38,
      59,   297,   416,   523,   436,  4641,  4642,   446,   537,   537,
    5537,   429,    72,  5672,   157,   446,   446,   534,  5447,   224,
     160,  4580,  4581,  4659,   446,   533,   127,   179,   252,   120,
    4193,  5853,  4847,    38,   201,   302,   398,   533,   471,    38,
     292,  5568,   173,   398,   224,   463,   302,   490,    59,    84,
     436,    38,   490,   467,   177,   406,   171,  4220,  4606,   361,
     211,   311,   533,  5345,  4700,   308,   222,   537,   177,   487,
     534,   489,   490,   534,   415,   534,   533,  5899,  5900,  4242,
    4716,   534,   476,  4246,    59,   391,   310,    38,    81,   533,
      92,   136,   533,   511,   308,  5370,   446,   202,  4734,  5381,
     534,   360,    38,   157,   157,   171,   534,   533,   446,  5613,
     533,    38,   533,   297,   264,   471,   534,   398,   536,   537,
     533,   533,   224,   533,   533,   533,  4762,   533,   157,  4765,
     310,   534,   113,    38,   534,   312,   224,  4773,  4774,   177,
     456,   413,   413,   534,  4780,  4781,   171,   537,    38,  4785,
     308,   534,   534,   205,  4790,   112,   537,  4793,  4794,   533,
     533,   512,   533,  5667,  4800,   537,    38,   476,  4804,  4805,
    4806,  4807,    35,   524,   525,   526,   527,   528,   529,   436,
    5543,   194,   406,   471,  3051,   171,  4822,   206,   533,  4825,
     308,   436,   288,  4829,  5557,     6,   164,   533,  4834,   534,
     533,  4837,  4838,   494,  4840,   384,  4842,    72,   310,  4845,
     533,  4847,   384,    72,   311,   536,  5579,  5672,   136,   141,
    4856,   490,   310,  5586,  4860,   490,   486,   207,  4864,   149,
    4866,   475,  5891,  5576,   308,   168,   216,   168,   476,   537,
     330,   534,   534,   533,   533,  4881,   401,   265,  6070,   442,
     230,   442,   177,   436,   357,   297,  5782,   308,   208,   308,
     436,   398,    38,  4822,    38,   311,   179,   533,   311,   533,
    4829,   179,  4908,  4909,   202,  4834,  5780,   156,  4837,   533,
    4881,   494,   494,   352,   352,   153,    59,  4923,   512,   383,
    5817,    59,  5818,  5656,  5657,    81,    38,   367,   315,    59,
     524,   525,   526,   527,   528,   529,   534,    59,   422,   125,
    4858,  4859,   446,  5909,   534,   469,    62,     6,   398,   141,
     494,   494,  5665,   533,  4926,   308,   308,   534,  6150,  6151,
      35,   297,   533,   533,   293,  4937,   401,   293,   533,    24,
     537,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     383,   537,    98,  4989,   308,   387,   387,   383,   316,    81,
    4996,   477,  5888,   533,  3231,   446,   424,  5658,   198,   199,
     177,   533,   202,   537,   424,   156,   476,   149,     6,  3246,
     120,  5672,  5018,   413,  3251,   413,   315,   534,   477,   332,
     179,   490,   222,   471,   720,   490,   179,  5033,   533,   229,
     476,   533,    81,   729,   534,   533,  5496,  3428,   929,   969,
     736,  1016,  1712,   739,  3281,   161,  1015,  4580,  2967,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  5064,  2876,
    3642,  1407,  4395,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  4370,  4606,  5080,  6061,  2994,  3048,  5888,  3861,
    5423,  5087,   198,  6199,  4560,  5470,  5446,  4368,  4368,  5066,
    5096,  3630,  3568,  5826,  3190,  5828,  6041,  5344,  6188,  5919,
    6082,    10,  5918,  6223,    13,  5111,  3635,  5111,    17,    18,
      19,  4607,  4581,  6010,  4592,  5861,  4550,  3062,  5124,  4390,
    5126,  3909,  3062,  3667,  4576,  1011,    35,  5453,  4643,  5105,
    3953,  5769,   248,  6308,  5858,  6441,    45,  6416,  5437,  3869,
    4615,  6094,  5383,    52,  5643,  5871,  5152,  5386,    18,   664,
      28,  1233,  4671,  5611,  4674,  4018,  6304,  5163,  2734,  4618,
    5345,  3078,  1916,  3546,  1913,  3964,  5496,  5757,   749,    78,
    6199,  1927,   288,  1951,  3801,  1872,   292,   716,  4423,  2993,
    3718,  6120,  5111,  6354,  5369,   858,  4647,  4649,  5380,  3024,
    2676,  1825,  6281,  4860,  4294,  5606,  5381,  5609,  1384,  1526,
    1423,    40,    40,  5855,  5381,  5123,  4716,  3487,   324,   325,
    5216,  1484,  3502,  1483,  6020,  2686,  5830,  1486,  3468,  4248,
    5226,  4230,  5293,  5229,  3465,  5565,  5232,  5233,  5234,  5564,
    5891,  4295,  3465,  5425,  6332,  6014,  6163,  5817,  3465,  6370,
    5541,  1440,  4155,  5831,  2584,  3405,     6,  5832,  2585,  3387,
     366,  5257,  5258,  3260,   370,  5261,  2084,  3023,  3385,   375,
    5781,  6158,  6159,  6372,  3296,  6162,    -1,  3375,   384,  4087,
     917,  2674,  5278,    -1,    -1,  2590,  5282,   393,    -1,    -1,
      -1,    -1,  5288,    -1,    -1,   401,  5292,   196,    -1,    -1,
    5296,    51,   201,  5299,    -1,  5301,  4829,    -1,   414,    -1,
      -1,  4834,    -1,    -1,  4837,    -1,  5312,   423,  6182,  5315,
      -1,    -1,   428,    -1,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4858,  4859,    -1,    -1,    -1,
      -1,   681,    -1,    -1,    -1,    -1,  5305,   687,  5344,  5345,
    5346,    -1,  5348,   252,    -1,    -1,    -1,    -1,    -1,   699,
      -1,  3588,    -1,    -1,    -1,    -1,  1052,    -1,    -1,  3596,
      -1,    -1,  1058,  5292,    -1,    -1,  1062,    -1,  1064,   485,
      -1,    -1,    -1,    -1,  5380,  5381,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5312,    22,    -1,   295,    -1,    -1,    -1,
      28,    -1,    -1,    -1,  6395,    -1,    -1,    -1,    -1,    -1,
    6061,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5344,    -1,    -1,    -1,  5425,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      -1,  5437,  1128,    -1,  1130,  1131,  5442,   197,    -1,    -1,
      -1,  5447,    -1,    -1,    -1,    -1,   206,   207,    -1,    62,
    5456,    -1,    -1,    -1,   214,    -1,   216,   217,    -1,    -1,
    5466,  6357,    -1,  3700,  5470,  3702,    -1,  5473,    -1,    -1,
     230,   671,    -1,   673,    -1,    -1,   676,    -1,  5484,  5485,
    5486,    -1,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,
     690,    -1,    -1,    -1,    -1,    -1,   696,   406,  5496,  5496,
    5496,  5496,  5496,  5496,  5496,  6417,  5496,  5496,  5496,  5496,
    5485,  5496,  5496,    -1,  5520,    -1,  5496,  5496,    10,    -1,
    6416,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,  5537,    -1,  5451,    -1,  5541,    -1,  5543,  6199,  5586,
      -1,    -1,    -1,    35,    -1,  6441,    25,  5496,   161,    -1,
      -1,  5557,    31,    45,  5496,  6288,  5496,  5486,    -1,  5565,
      52,  3798,  5568,    -1,  5482,    -1,  5572,  6291,  6292,    -1,
      -1,    -1,    -1,  5579,    -1,    -1,    -1,    -1,  5496,    -1,
    5586,    -1,    -1,    -1,    -1,   198,    78,    -1,    -1,    -1,
    5123,    -1,    -1,    -1,    -1,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,   512,  6337,  3842,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  5627,    -1,    -1,    -1,    -1,    -1,    -1,  5634,   538,
     243,    -1,    -1,    -1,    -1,   248,  5565,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,    -1,
    5656,  5657,    -1,    -1,   133,  5661,  5662,  5663,  5664,    -1,
      -1,   140,    -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,
    5855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,
      -1,    -1,    -1,    -1,    -1,    -1,  5692,    -1,    -1,    -1,
      -1,    -1,    -1,   172,  5700,    -1,    -1,    -1,    -1,    -1,
      -1,  3938,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,    38,  5725,
      -1,    -1,  5728,    -1,    -1,    -1,    -1,    -1,    -1,   208,
      -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
      60,    -1,    -1,    -1,    -1,  3982,    -1,  5753,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,    -1,  5292,
     252,    -1,   375,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,   384,    -1,    -1,    -1,  5781,    -1,    -1,    -1,    -1,
     393,    -1,    -1,   983,   984,    -1,    -1,  5793,   401,    -1,
      -1,    -1,   112,   113,    -1,    -1,  5802,  5803,  5804,  5728,
     120,   414,  5808,   295,    -1,    -1,    -1,    -1,  5814,   288,
     423,  5817,  5730,   292,    -1,   428,    -1,    -1,   310,    -1,
    5826,   313,  5828,   302,  5830,  5831,    -1,  4064,    -1,    -1,
      -1,  5837,    -1,   312,    -1,    -1,   449,    -1,  5844,   159,
      -1,    -1,    -1,    -1,    -1,   324,    -1,  5853,    -1,  5855,
      -1,    -1,    -1,    -1,  1054,    -1,  6048,  5863,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1069,
      -1,    -1,   485,    -1,    -1,    -1,   489,    -1,    -1,  4116,
      -1,    -1,    -1,    -1,   204,    -1,    -1,   366,    -1,    -1,
     369,   370,    -1,  5899,  5900,    -1,    -1,    -1,    -1,    -1,
    1100,  1101,   662,    -1,  4141,    -1,    -1,    -1,  5837,    -1,
      -1,    -1,    -1,    -1,   406,    -1,  5834,    -1,  5451,    -1,
      -1,   681,   401,    -1,  5930,    -1,  1126,   687,    -1,  6121,
    6122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5944,   699,
      -1,    -1,   262,    -1,    -1,    -1,    -1,   267,    -1,  5482,
      -1,    -1,   272,     0,    -1,   715,    -1,    -1,    -1,    -1,
     720,    -1,    -1,  5496,    -1,   725,  1166,  1167,   288,   729,
     730,    -1,   292,    -1,    -1,    -1,   736,    -1,   738,   739,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5995,
      -1,   751,   752,    -1,    -1,   474,    -1,    -1,    -1,    -1,
      -1,    -1,   762,   323,  6010,    -1,    -1,    -1,  6014,    -1,
      -1,    -1,    -1,    -1,  6020,  5944,    -1,    -1,    -1,    -1,
     512,    -1,    -1,  6029,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,  6048,    -1,    -1,   537,    -1,    -1,    -1,    -1,
      -1,   371,    99,  5586,    -1,   815,    -1,  6063,    -1,    -1,
      -1,    -1,    -1,    -1,  6070,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,   837,   838,    -1,
      -1,    -1,    -1,   843,    -1,    -1,    -1,    -1,    -1,    -1,
    6096,    -1,    -1,    -1,    -1,    -1,   416,  6103,   418,    -1,
      -1,   421,    -1,    -1,    -1,   152,    -1,  6113,   868,    -1,
     870,    -1,    -1,    -1,    -1,  6121,  6122,  6123,   165,    -1,
      -1,  6127,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   894,    -1,   183,    -1,   776,   186,
     778,  6120,   780,   190,  6150,  6151,  6152,   467,   786,   787,
     788,    -1,  6158,  6159,    -1,    -1,  6162,   917,    -1,  6165,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     930,  6120,    -1,   220,    -1,    -1,    -1,  6095,  6120,    -1,
    6120,    -1,    -1,    -1,  6113,    -1,  6233,  6193,    -1,    -1,
      38,    -1,    -1,    -1,    -1,  5728,    -1,  5730,    -1,    -1,
      -1,    -1,  6120,    -1,    -1,    -1,   253,    -1,    -1,    -1,
      -1,    -1,    -1,   533,    62,    -1,    -1,  6223,  6224,  6225,
      -1,    -1,    -1,  6229,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1927,    -1,    -1,  1930,    -1,    -1,  6429,  6430,    -1,
      -1,  6247,    -1,    -1,  1940,  1941,    -1,    -1,  6254,    -1,
      98,    -1,    -1,    -1,  6233,    -1,  6262,   304,    -1,  1955,
      -1,   308,  1958,    -1,  6270,    -1,    -1,   314,    -1,    -1,
    6276,    -1,    -1,    -1,    -1,  6281,    -1,    -1,  1038,  1039,
    1040,    -1,  6288,    -1,  6233,    -1,    -1,  1047,    -1,    -1,
      -1,  6233,  1052,  6233,  6223,    -1,    -1,  1057,  1058,    -1,
    6229,  5834,  1062,    -1,  1064,    -1,    -1,    -1,  1068,    -1,
      -1,    -1,  2008,   161,    -1,  6233,  2012,  2013,  6324,  6325,
    6326,  6327,    -1,    -1,  1084,    -1,  6332,   374,    -1,  4566,
      -1,  6337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   977,
      -1,  6347,    -1,    25,  6350,    -1,    -1,    -1,    -1,    31,
     198,    -1,    -1,    -1,     0,    -1,    -1,    -1,    -1,    -1,
    1710,    -1,  1562,    -1,  6370,    -1,    -1,    -1,  1128,    -1,
    1130,  1131,    -1,    -1,    -1,  6354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   433,  1587,    -1,  6395,
    6396,    -1,    -1,    -1,    76,   243,    -1,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,  6354,  6412,    -1,    -1,  1047,
      -1,  1171,  6354,    -1,  6354,    -1,   463,    -1,    -1,    -1,
      -1,  6350,    -1,  6429,  6430,    -1,    -1,  6433,    -1,  6435,
      -1,    -1,    -1,    -1,    -1,    -1,  6354,    -1,    -1,  1199,
     487,    -1,   489,   490,   292,    -1,  6452,    -1,    -1,    -1,
      25,   133,    -1,    99,    -1,    -1,    31,    -1,   140,    -1,
      -1,    -1,   144,    -1,   511,    -1,  1666,    -1,    -1,    -1,
      -1,    46,  1232,    -1,    -1,    -1,    -1,   325,    -1,    -1,
      -1,  1241,    -1,  1243,   531,    -1,    -1,   534,   535,   536,
     172,    -1,    -1,    -1,    -1,    -1,  1696,  1697,  1698,  1699,
    1260,    76,    -1,    -1,    -1,  1265,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1277,    -1,   165,
      -1,    -1,   370,    -1,    -1,   171,   208,   375,    -1,    -1,
      -1,   177,    -1,  1883,    -1,    -1,   384,   183,    -1,    -1,
     186,  1891,    -1,    -1,   190,   393,    -1,    -1,    -1,  1899,
      -1,    -1,    -1,   401,    -1,    -1,   131,    -1,   133,  1319,
      -1,    -1,  6095,    -1,    -1,   140,   414,    -1,    -1,   144,
      -1,    -1,    -1,    -1,   220,   423,    -1,    -1,    -1,    -1,
     428,    -1,    -1,    -1,    -1,    -1,    -1,  6120,  1348,  1349,
    1350,    -1,  1352,    -1,  1944,    -1,    -1,   172,    -1,    -1,
      -1,   449,    -1,    -1,    -1,    -1,   288,   253,    -1,    -1,
     292,    -1,    -1,  1373,    -1,    -1,    -1,    -1,    -1,    -1,
     302,  1971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     312,    -1,    -1,   208,    -1,    -1,    -1,   485,  1398,    -1,
      -1,   489,   324,  1843,  1844,    -1,  1406,  1407,    -1,    -1,
      -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,   304,  1859,
      -1,    -1,   308,    -1,    -1,    -1,    -1,    -1,   314,    -1,
    1430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   366,    -1,    -1,   369,   370,    -1,
      -1,    -1,    -1,  1893,  1894,  1895,  1896,    -1,    -1,  1459,
    6233,    -1,    -1,    -1,    -1,    -1,    -1,  4944,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    10,  1476,   292,    13,   401,
    1480,  1481,    17,    18,    19,    -1,    -1,   302,   374,  4966,
      -1,    -1,    -1,    -1,    -1,    -1,  1496,   312,    -1,    -1,
      35,    -1,  1502,    -1,    -1,    -1,    -1,    -1,    -1,   324,
      45,    -1,    -1,    25,    -1,    -1,    -1,    52,    -1,    31,
      -1,    -1,    -1,  1401,    -1,    -1,    -1,    -1,  1406,  1407,
      -1,    -1,    -1,    -1,  1974,    -1,    25,    -1,    -1,    -1,
    1980,    -1,    31,    78,    -1,    -1,    -1,   433,    -1,    -1,
      -1,   366,   474,    -1,   369,   370,  1434,    46,    -1,    -1,
      -1,  5038,    -1,    -1,    76,  1443,    -1,  1445,    -1,  1569,
      -1,  1449,    -1,    -1,    -1,    -1,    -1,   463,  1456,    -1,
      -1,  6354,    -1,    -1,    -1,    -1,   401,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   487,    -1,   489,   490,    10,    -1,    -1,    13,    -1,
    1610,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,   133,    -1,    -1,    -1,   511,    -1,    -1,   140,    -1,
      35,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,   131,  1643,   133,   531,    -1,    52,   534,   535,
     536,   140,    -1,    -1,    -1,   144,    -1,    -1,    -1,   474,
     172,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,  1547,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,  1557,
      -1,    -1,  5159,   172,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1710,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,   208,
      -1,    -1,    -1,  1601,  1602,  1725,  1726,  1727,  2168,    -1,
      -1,    -1,    -1,  2669,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     295,    -1,    35,    -1,    -1,    -1,  1644,    -1,    -1,    -1,
    1648,  1649,    45,    -1,    -1,   310,   288,    -1,   313,    52,
     292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     302,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,   288,
     312,    -1,    -1,   292,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,   324,   302,    -1,    -1,    -1,    -1,    -1,   224,
     225,  5298,    -1,   312,    -1,  1825,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,   324,    -1,  1837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,  1848,    -1,
    2786,    -1,    -1,  2789,   366,  2791,  2792,   369,   370,    -1,
    1860,    -1,    -1,    -1,  1864,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,   366,    76,    -1,
     369,   370,    -1,  1883,    -1,    -1,    -1,    -1,    -1,   401,
     295,  1891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1899,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,   401,    -1,    -1,    -1,    -1,    -1,  1918,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,  1927,   201,    -1,
    1930,    -1,    -1,  1933,    -1,   133,  1936,  1937,    -1,    -1,
    1940,  1941,   140,  1943,  1944,    -1,   144,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,  1955,    -1,  1957,  1958,    -1,
      -1,    -1,   474,    -1,  1842,    -1,    -1,  1967,  1968,    -1,
    1970,  1971,    -1,    -1,   172,    -1,    -1,   512,    -1,   252,
      -1,    -1,    -1,    -1,    -1,   474,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,
      -1,   406,   537,    -1,    -1,    -1,    -1,    -1,  2008,    -1,
     208,    -1,  2012,  2013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
     313,    -1,    -1,    -1,    46,    -1,    -1,  2047,    -1,  2049,
      -1,    -1,    -1,    -1,  2054,  2055,    -1,    -1,    -1,    -1,
      -1,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2069,
    2070,  2071,  2072,  2073,    76,    -1,    -1,  2077,    -1,  2079,
      -1,  2081,  2082,  2083,  2084,  2085,  2086,    -1,    -1,  2089,
     288,  2091,  2092,    -1,   292,  2095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   302,    -1,    -1,   512,    -1,  2109,
    2110,  2111,  2112,    -1,   312,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,   324,    -1,  2128,   534,
    2130,   133,  2722,   406,    -1,    -1,    -1,    -1,   140,    -1,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2740,    25,    -1,    -1,  2744,    -1,  3092,    31,  2748,    -1,
      -1,    -1,    -1,  5640,    -1,    -1,    -1,    -1,  5645,  5646,
     172,   369,   370,    -1,    -1,    -1,    -1,    25,    -1,  2057,
    2058,    -1,  2772,    31,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2633,    -1,    -1,  2074,  2075,    -1,    -1,
      -1,    -1,    76,   401,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,  2806,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2105,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2826,    -1,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,   133,
      -1,    -1,    76,    -1,   537,    -1,   140,    -1,    -1,    -1,
     144,    -1,    -1,    -1,  2864,  2275,   474,    -1,    -1,    -1,
      -1,  5758,    -1,    -1,    -1,   133,   288,    -1,    -1,    -1,
     292,    -1,   140,    -1,    -1,    -1,   144,    -1,   172,    -1,
     302,  2891,    -1,    -1,    -1,    -1,    -1,  2897,  3244,    -1,
     312,  3247,    -1,  3249,  3250,    -1,    -1,    -1,    -1,   133,
      -1,  2911,   324,    -1,   172,    -1,   140,    -1,  2918,  2329,
     144,  2921,    17,    -1,   208,    -1,    -1,  2927,    -1,    -1,
      -1,    26,    -1,    -1,  5821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2795,    -1,  2947,   172,    -1,
     208,    -1,    -1,  2953,   366,    -1,    -1,   369,   370,    -1,
    2960,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,  2974,  2385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,    35,    -1,  2988,   401,
      -1,    25,    -1,    -1,    -1,    -1,    45,    31,    -1,  2999,
      -1,    -1,    -1,    52,   288,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    78,
     288,    -1,    -1,    -1,   292,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    76,    -1,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   474,    -1,   288,    -1,   324,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,
      -1,    -1,   366,    -1,    -1,   369,   370,    -1,   312,  2939,
      -1,    -1,  2942,    -1,    -1,    -1,    -1,    -1,    -1,   133,
     324,    -1,    -1,    -1,    -1,    -1,   140,    -1,   366,    -1,
     144,   369,   370,    -1,    -1,    -1,    -1,   401,    -1,  3465,
      -1,    -1,  3468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   366,   401,    -1,   369,   370,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,  2569,
    2570,  2571,  2572,  2573,  2574,  2575,  2576,  2577,    -1,  2579,
    3516,    -1,    -1,    -1,   208,   224,   225,   401,  3524,    -1,
    2590,  3031,  2592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3052,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3214,    -1,   474,    -1,    -1,    -1,
    2630,    -1,    -1,    -1,  2634,    -1,    -1,  2637,    -1,  2639,
      -1,    -1,  2642,  3233,    -1,    -1,  2646,    -1,    -1,    -1,
    3240,  3091,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
     474,    -1,    -1,    -1,   288,    -1,    -1,  2667,   292,  2669,
      -1,   310,  3112,    -1,   313,    -1,    -1,    -1,   302,    -1,
      -1,    -1,    -1,    -1,    10,    -1,  2686,    13,   312,    -1,
      -1,    17,    18,    19,    -1,  2695,  2696,    -1,    -1,    -1,
     324,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,  3155,    -1,  3157,    -1,    45,
      -1,    -1,  2722,    -1,    -1,    -1,    52,    -1,    -1,  2729,
      -1,    -1,    -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,
    2740,    -1,   366,    -1,  2744,   369,   370,    -1,  2748,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,  2757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    62,   406,    -1,    -1,
      -1,    -1,  2772,    -1,    -1,  2775,    -1,   401,    -1,  2657,
    2658,    -1,    -1,    -1,    -1,  2663,  2786,    -1,  2788,  2789,
      -1,  2791,  2792,    -1,  2794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    -1,    -1,  3245,  2806,    -1,    -1,    -1,
      -1,    -1,  3252,    -1,    -1,    -1,    -1,  2695,  2696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2826,  2827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     474,    -1,    -1,    -1,  6331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2863,  2864,   161,    -1,  2867,    -1,    -1,
     196,    -1,    -1,   512,    -1,   201,    -1,    -1,    -1,  2757,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  2891,    -1,  2893,    -1,   534,    -1,  2897,   224,   225,
      -1,    -1,   198,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,  2911,    -1,    -1,    17,    18,    19,    -1,  2918,    -1,
      -1,  2921,    -1,    -1,    -1,    -1,   252,  2927,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,    -1,    -1,  2947,    -1,    52,
      -1,    -1,   248,  2953,    -1,    -1,    -1,    -1,    -1,    -1,
    2960,    -1,    -1,    -1,    -1,    -1,  2844,    -1,    -1,   295,
      -1,    -1,    -1,    -1,  2974,    78,    -1,    -1,    -1,    -1,
     665,    -1,    -1,    -1,   310,    -1,    -1,   313,  2988,    -1,
      -1,    -1,  3582,  2993,    -1,    -1,   292,    -1,    -1,  2999,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3017,  3018,  3019,
      -1,    -1,    -1,  3023,    -1,    -1,    -1,    -1,    -1,   325,
     715,   716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3050,  3051,    -1,    -1,    -1,  2933,    -1,    -1,    -1,  3059,
      -1,    -1,    -1,  2941,    -1,    -1,  2944,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   370,    -1,   372,    -1,  2956,   375,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,    -1,  3092,   196,    -1,    -1,    -1,   393,   201,    -1,
      -1,  3691,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   414,    -1,
      -1,   224,   225,    -1,  3124,    -1,   811,   423,  3128,    -1,
      -1,    -1,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   831,    -1,    -1,   252,
      -1,  3591,  3592,    -1,   839,    -1,    -1,   842,   843,   844,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,   485,
      -1,    -1,   295,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,   310,   534,    -1,
     313,    -1,    -1,    -1,  3214,    -1,  3216,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3231,  3822,  3233,    -1,    -1,    -1,    -1,    -1,    -1,
    3240,    -1,    -1,    -1,  3244,    -1,  3246,  3247,    -1,  3249,
    3250,  3251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3259,
      -1,    -1,    -1,    -1,  3264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,   406,    -1,    -1,  4242,    -1,    -1,    -1,
    4246,    -1,    -1,  3313,  3314,  3315,    -1,    -1,  3318,    -1,
      -1,    -1,    -1,    -1,    45,  3203,  3326,  3327,  3328,  3329,
      -1,    52,    -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,
      -1,    -1,  3342,  3343,    -1,  3345,    -1,  3347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,  3359,
    3360,    -1,  1047,  3363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3384,    -1,  3386,    -1,  3388,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3844,    -1,    -1,  3407,    -1,   512,
      -1,  4001,    -1,    -1,    -1,  4351,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,  3428,    -1,
    4020,   534,    -1,    62,  4024,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    62,    -1,    -1,
      -1,    -1,    -1,    -1,    35,  3465,    -1,    -1,  3468,    98,
      -1,    -1,    -1,    -1,    45,   196,    -1,    -1,    -1,    -1,
     201,    52,  3482,    -1,    -1,    -1,    -1,  3487,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3502,   224,   225,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3524,    -1,    -1,    -1,    -1,    -1,
      -1,   252,   161,    -1,    -1,    -1,  3536,    -1,    -1,  3539,
      -1,  3541,    -1,    -1,    -1,    -1,  3546,    -1,  3426,    -1,
    3428,    -1,    -1,  1238,    -1,    -1,   161,    -1,    -1,    -1,
      -1,  3561,  3562,    -1,  4004,    -1,  3444,  3567,    -1,   198,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
    1265,    -1,  3582,    -1,    -1,  3585,    -1,    -1,  3588,   310,
      -1,    -1,    -1,   198,    -1,    -1,  3596,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3494,  3495,    -1,   248,
      -1,  3621,    -1,    -1,    -1,   196,    -1,  3627,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   248,  4580,  4581,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,   292,    -1,    -1,  3666,  3667,  3668,  1354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1363,    -1,
      -1,   252,    -1,   288,    -1,   406,    -1,   292,    -1,    -1,
      -1,  3691,    -1,    -1,  1379,   324,   325,    -1,    -1,    -1,
    3700,    -1,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3710,    -1,    -1,  1398,    -1,    -1,  1401,  1402,    -1,   324,
     325,  1406,  1407,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3732,    -1,    -1,    -1,    -1,   366,  4328,   310,
      -1,   370,   313,    -1,    -1,    -1,   375,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,   384,    -1,    -1,    17,    18,
      19,   366,    -1,    -1,   393,   370,    -1,    -1,    -1,    -1,
     375,    -1,   401,    -1,    -1,    -1,    35,    -1,    -1,   384,
      -1,    -1,    -1,    -1,    -1,   414,    45,    -1,   393,    -1,
      -1,   512,    -1,    52,   423,    -1,   401,    -1,  3798,   428,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   414,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    78,
      -1,    -1,  3822,   428,    -1,    -1,    -1,  3827,    -1,    -1,
      -1,    -1,    -1,  3833,    -1,   406,    -1,    -1,    -1,    -1,
      -1,    -1,  3842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   485,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,
    3870,    -1,    -1,    -1,    -1,  3875,    -1,  3877,    -1,  4469,
     485,    -1,  4472,    -1,    -1,    -1,  4822,    -1,    -1,    -1,
    3890,    -1,  3892,  4829,    -1,    -1,    -1,    -1,  4834,    -1,
      -1,  4837,  4838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,  3938,    -1,
      -1,   512,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,  3959,
    3960,    -1,    -1,   534,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1663,    -1,
      -1,    -1,  3982,  4573,    -1,    -1,  1671,    -1,    10,    -1,
      -1,    13,  3870,   252,    -1,    17,    18,    19,    -1,    -1,
    4590,  4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    -1,  3893,    -1,    -1,    -1,    -1,
    4020,    -1,    -1,    45,  4024,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,  4045,    -1,    17,    18,    19,
      -1,   310,    -1,    -1,   313,    -1,    78,    -1,    -1,    -1,
      -1,  4061,    -1,    -1,  4064,    35,    -1,    -1,    -1,    -1,
    4070,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
    4520,  4671,    52,    -1,  4084,    -1,    -1,    -1,  4088,  4089,
    4090,    -1,    -1,    -1,  4534,  4095,    -1,    -1,  4098,    -1,
      -1,  4101,    -1,    -1,    -1,    -1,    -1,  4107,    78,  4109,
      -1,    -1,  4112,    -1,    -1,    -1,  4116,  4117,  4118,  4119,
    4120,    -1,    -1,  4123,  4124,  4125,  4126,  4127,  4128,  4129,
    4130,  4131,  4132,    -1,    -1,    -1,  4136,  4137,  4138,    -1,
      -1,  4141,    -1,    -1,  5080,    -1,  4146,   406,    -1,    -1,
      -1,  4151,    -1,  4153,    -1,  4155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4163,    -1,    -1,  4166,    -1,  4168,    -1,
      -1,    -1,  4050,    -1,   196,  5111,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,  4184,    -1,    -1,  4187,  4188,    -1,
      -1,    -1,  4192,  4193,    -1,    -1,    -1,  4197,    -1,  4199,
      -1,  1886,   224,   225,    -1,  1890,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,  4228,    -1,
     252,   201,    -1,    -1,  4234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4242,    -1,    -1,    -1,  4246,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,   295,    -1,   534,    -1,    -1,    -1,  4279,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,   313,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,
      -1,    -1,  4302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,  4328,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4351,    -1,    -1,    -1,    -1,  5292,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4961,    -1,    -1,    -1,  2060,  5312,    -1,    -1,    -1,
      -1,    -1,    -1,  4973,   406,    -1,    -1,    -1,    -1,    -1,
    4390,    -1,    -1,    -1,    -1,  4395,  4396,  4397,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4423,  4424,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      10,    -1,    -1,    13,  5380,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,  4469,
      -1,    -1,  4472,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,  5425,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    78,    -1,
      -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,  4396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4536,    -1,    -1,    -1,
      -1,    51,   512,    -1,    -1,    -1,  4424,    -1,    -1,    -1,
    5486,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    4438,    -1,  4562,  4563,   534,    -1,  4566,    -1,    -1,    -1,
      -1,  4449,    -1,  4573,    -1,    -1,    -1,    -1,  5018,    -1,
    4580,  4581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4590,    -1,    -1,  5033,    -1,    -1,    -1,    -1,    -1,    -1,
    5190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4613,    -1,    -1,    -1,    -1,  4618,  4619,
    4620,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,  5565,
    4630,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4525,  4526,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4671,    -1,    -1,  4674,    -1,    -1,    -1,    -1,    -1,
      10,    -1,   252,    13,  5124,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4700,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,  4716,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,   295,    -1,    -1,    -1,    -1,
    5320,    -1,  5322,    -1,  4734,  4613,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4762,    -1,  5700,  4765,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4773,  4774,    -1,  4776,    -1,    -1,    -1,
    4780,  4781,    -1,    -1,    -1,  4785,    -1,    -1,  4666,    -1,
    4790,    -1,  5728,  4793,  4794,    -1,    -1,    -1,    -1,    -1,
    4800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4822,    -1,    -1,    -1,    -1,    -1,    -1,  4829,
      -1,    -1,    -1,    -1,  4834,    -1,   406,  4837,  4838,    -1,
      -1,    -1,    -1,    -1,    -1,  4845,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4864,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4891,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,  5837,    -1,    -1,  4904,    -1,  5346,    -1,  5348,  4909,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   252,    -1,  2609,    -1,     8,    -1,    -1,    -1,
      -1,    -1,    14,    15,    -1,    -1,    -1,    -1,    20,    -1,
      22,    -1,   512,    -1,  4944,    -1,    28,    -1,    30,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,  4961,    -1,    -1,   534,   295,  4966,    49,    50,    -1,
      -1,    -1,    -1,  4973,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,  4989,
      -1,    -1,    -1,    -1,    -1,    -1,  4996,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5007,  5944,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5038,    -1,
      -1,    -1,    -1,    -1,  5484,    -1,    -1,    -1,  4926,    -1,
      -1,    -1,    -1,    -1,  4932,    -1,    -1,    -1,    -1,  4937,
      -1,    -1,    -1,    -1,  5064,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2757,    -1,    -1,    -1,   406,    -1,    -1,    -1,
    5080,    -1,    -1,    -1,    -1,  5085,  4964,  4965,    -1,    -1,
      -1,  4969,  4970,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5104,    -1,    -1,    -1,    -1,    -1,
      -1,  5111,  6048,    -1,    -1,    -1,    -1,    -1,   200,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,  2813,    -1,
     212,    -1,    -1,   215,    -1,    -1,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5157,    -1,  5159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6113,    -1,    -1,
      -1,    -1,   512,    -1,    -1,  6121,  6122,    -1,    -1,    -1,
    5190,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2899,   725,  5216,    -1,    -1,    -1,
      -1,    -1,  5662,    -1,  5664,    -1,  5226,    -1,    -1,  5229,
      -1,    -1,  5232,  5233,  5234,    -1,    -1,    -1,  2923,    -1,
      -1,   751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5257,  5258,    10,
      -1,  5261,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5278,    -1,
      -1,    -1,  5282,    -1,    35,    -1,    -1,  6223,  5288,    -1,
      -1,    -1,  5292,  6229,    45,    -1,    -1,    -1,  5298,  5299,
      -1,    52,  2987,    -1,    -1,    -1,  2991,    -1,    -1,    -1,
      -1,  6247,  5312,    -1,    -1,  5315,    -1,    -1,    -1,    -1,
    5320,    -1,  5322,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3028,  5344,  3030,    -1,  3032,  3033,    -1,
      -1,    -1,  3037,  3038,  3039,    -1,  3041,  3042,  3043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5369,
    5370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5380,    -1,    -1,    -1,   894,    -1,    -1,    -1,    -1,    -1,
    6326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
    3095,    -1,    -1,    -1,  6350,    -1,    -1,    -1,    -1,    -1,
    5420,    -1,    -1,    -1,    35,  5425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,  3120,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,  6034,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6396,    -1,    -1,    10,    -1,    -1,    13,    78,    -1,    -1,
      17,    18,    19,   224,   225,    -1,  6412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5486,    -1,    35,  5489,
    5930,  5369,    -1,  6429,  6430,    -1,    -1,    -1,    45,    -1,
      -1,   252,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5520,    -1,    -1,    -1,    23,    -1,    -1,    -1,  1038,    28,
      -1,    78,    -1,    -1,    -1,    -1,    -1,  5537,    -1,    -1,
      -1,  5541,    -1,  5543,   295,    -1,    -1,  1057,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5557,  1068,   310,
      -1,    -1,   313,    -1,    -1,  5565,    -1,    66,  5568,    -1,
      -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,  5579,
      79,   663,    -1,    -1,    -1,   196,  5586,    -1,    -1,    -1,
     201,    -1,   674,    -1,    -1,    -1,   678,    96,    -1,    -1,
      -1,    -1,    -1,   685,   686,    -1,    -1,   689,    -1,   691,
     692,    -1,    -1,   224,   225,   114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6063,   706,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5634,    -1,    -1,    -1,    -1,   138,
    5640,   252,   724,    -1,    -1,  5645,  5646,    -1,    -1,   196,
    5650,    -1,   151,    -1,   201,   406,  5656,  5657,  5658,    -1,
      -1,   160,    -1,   745,    -1,   747,    -1,    -1,    -1,    51,
      -1,    -1,  5672,    -1,   173,   757,    -1,   224,   225,    -1,
     179,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5692,    -1,    -1,    -1,    -1,    -1,    -1,   310,
    5700,    -1,   313,  5703,    -1,   252,    -1,   206,   790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5728,    -1,
      -1,  1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3428,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    -1,  6193,    -1,    -1,    -1,  5757,  5758,    -1,
      -1,   512,    -1,   310,    -1,    -1,   313,   266,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,  5781,  5782,   534,  6224,  6225,    -1,    -1,    -1,   871,
      -1,    -1,    -1,  5793,  5672,   406,    -1,    -1,    -1,    -1,
      -1,    -1,  5802,  5803,  5804,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,    -1,    -1,    -1,  5817,  5818,    -1,
      -1,  5821,    -1,    -1,    -1,    -1,  5826,    -1,  5828,    -1,
    5830,    -1,    -1,    -1,    -1,    -1,    -1,  5837,    -1,    -1,
      -1,    -1,    -1,    -1,  5844,    -1,    -1,   346,   347,    -1,
      -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,
      -1,    -1,    -1,  5863,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   956,    -1,    -1,    -1,    -1,   378,
      -1,    -1,   381,    -1,    -1,    -1,    -1,    -1,  5888,   388,
      -1,  5891,    -1,    -1,    -1,    -1,   395,    -1,    -1,   398,
    3585,   512,    -1,    -1,    -1,    -1,    -1,  6347,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   418,
      -1,    -1,    -1,   534,    -1,    -1,    -1,   426,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,   436,    -1,    -1,
      -1,    -1,   441,    -1,  5944,    -1,    -1,    -1,  1030,    -1,
     449,    -1,    -1,    -1,    -1,    -1,    -1,   456,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1055,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,   483,   532,    -1,  3672,  1070,    -1,
    1072,    -1,  1502,    -1,    -1,  5995,    -1,    -1,    -1,    -1,
    1082,    -1,  5880,    -1,    -1,    -1,    -1,  1089,    -1,    -1,
    6010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6034,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3730,    -1,    -1,  6048,    -1,
    1132,    -1,  1134,    -1,    -1,    -1,    -1,    -1,    -1,  1569,
      -1,  6061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
    1610,    -1,    -1,  6103,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,  6113,    -1,  3800,    -1,    -1,    -1,    -1,
      -1,  6121,  6122,    -1,    -1,    -1,  1208,  6127,  1210,    -1,
    1212,    -1,  1214,  1643,  1216,  1217,  1218,    -1,    78,    -1,
      -1,  1223,    -1,    -1,    -1,    -1,     0,    -1,    -1,    -1,
      -1,    -1,    -1,  1235,    -1,    -1,    -1,    -1,  6158,  6159,
      -1,    -1,  6162,  3848,    -1,    -1,    20,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3860,  3861,    31,    -1,    33,
      34,    -1,    -1,    -1,    -1,  3870,    -1,    -1,    -1,    -1,
    3875,    -1,  3877,    -1,    -1,    -1,    -1,    51,    -1,  6199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1725,  1726,  1727,    -1,    73,
      -1,    75,    76,  6223,    -1,    -1,    -1,    -1,    82,  6229,
      84,   171,    -1,    -1,    -1,    -1,    -1,   177,  3923,    -1,
      -1,    -1,    -1,    97,    -1,    99,    -1,  6247,    -1,    -1,
      -1,    -1,    -1,    -1,  6254,    -1,   196,    -1,    -1,    -1,
      -1,   201,   116,    -1,    -1,   119,    -1,    -1,    -1,    -1,
    6270,    -1,    -1,  3958,  3959,    -1,    -1,    -1,    -1,    -1,
     134,    -1,   136,    -1,   224,   225,   140,    -1,  6288,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   156,    -1,   158,    -1,    -1,    -1,    -1,    -1,
      -1,   165,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6326,  1837,    -1,   183,
      -1,  6331,    -1,    -1,    -1,    -1,    -1,  6337,  1848,    -1,
      -1,  1423,    -1,   725,    -1,    -1,   200,    -1,    -1,    -1,
    6350,    -1,    51,    -1,  1864,   295,    -1,  6357,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   751,
     310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6395,  6396,    -1,    -1,    -1,
     254,   255,    -1,    -1,    -1,    -1,   260,    -1,  1918,    -1,
      -1,    -1,  6412,    -1,    -1,    -1,  6416,    -1,    -1,    -1,
      -1,   275,    -1,  1933,    -1,    -1,  1936,  1937,    -1,  6429,
    6430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,  6441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,  1968,    -1,
      -1,  1543,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,    -1,  6357,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,    -1,    -1,    -1,   362,   363,
      -1,   365,   894,    -1,    -1,    -1,   370,    -1,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,   386,  1615,    -1,    -1,    -1,    -1,  6416,   393,
     394,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,
      -1,   405,    -1,    -1,    -1,    -1,    -1,  2067,    -1,    -1,
      -1,    -1,   416,  6441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2081,   512,    -1,  2084,    -1,    -1,    -1,    -1,   433,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,  2109,
     454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,   472,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     514,    -1,   516,   517,   518,   519,   520,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1057,    -1,    -1,    -1,   533,
      -1,    -1,   536,    -1,    -1,    -1,  1068,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     0,
      -1,    -1,  1084,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    -1,    -1,    -1,    -1,  4424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      51,  1833,    -1,    -1,  4439,    -1,    -1,  4442,    -1,  4444,
      61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      -1,    82,    -1,    84,    -1,    -1,  1868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,
      -1,    -1,    -1,    10,    -1,  4490,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,   116,    -1,    -1,   119,    -1,
      -1,  4506,    -1,    -1,    -1,    -1,  4511,    -1,    35,    -1,
      -1,    -1,  1914,   134,    -1,   136,    -1,    -1,    45,   140,
      -1,    -1,    -1,    -1,    -1,    52,   147,    -1,    -1,    -1,
      -1,    -1,  1934,    -1,    -1,   156,    -1,   158,    -1,  1241,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,  1960,    -1,
    1962,    10,   183,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,  1977,    -1,  1979,    -1,   200,
      -1,    -1,    -1,  1985,    -1,  1987,    35,  1989,    -1,  1991,
      -1,  1993,    -1,    -1,    -1,  1997,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,  4610,    -1,    -1,  4613,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,  2034,   254,   255,    -1,    -1,    -1,    35,   260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,   275,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,   196,
      -1,    13,    -1,   294,   201,    17,    18,    19,    -1,    -1,
      -1,    78,    -1,    -1,  4689,  4690,  4691,  4692,    -1,  4694,
    4695,  4696,  4697,  4698,    -1,    -1,    -1,   224,   225,  1401,
      -1,    -1,    -1,    45,    -1,    -1,   725,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     341,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,   751,    -1,    -1,   356,    78,    -1,    -1,    -1,
      -1,   362,   363,    -1,   365,    -1,    -1,   196,    -1,   370,
      -1,    -1,   201,    -1,    -1,   376,    -1,    -1,   379,    -1,
      -1,    -1,  2592,    -1,    -1,   386,    -1,    -1,   295,    -1,
      -1,    -1,   393,   394,    -1,   224,   225,    -1,    -1,    -1,
     401,    -1,    -1,   310,   405,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,    -1,   196,
    1502,    -1,    -1,   252,   201,    -1,    -1,  4812,    -1,  4814,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
      -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   466,   295,    -1,    -1,    -1,
      -1,   472,    -1,    -1,   196,   252,   477,    -1,    -1,   201,
      -1,   310,    -1,    -1,   313,    -1,    -1,  1569,    -1,   490,
      -1,    -1,    -1,    -1,    -1,   894,    -1,    -1,    -1,   406,
      -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   514,    -1,    -1,    -1,    -1,   295,  2729,
      -1,    -1,    -1,  2733,  2734,    -1,    -1,    51,  1610,    -1,
     252,    -1,   533,   310,    -1,   536,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1643,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,   406,  2788,    -1,
      -1,    -1,    -1,    -1,  2794,    -1,    -1,    -1,   310,    -1,
      -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,   406,
      -1,  2841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5036,  5037,    -1,    -1,    -1,    -1,    -1,  1057,    -1,
      -1,    -1,    -1,    -1,  5049,    -1,  5051,  5052,  5053,  1068,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   512,   406,  1084,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    10,    -1,    -1,    13,   534,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,  5117,    -1,    -1,   512,    45,   894,    -1,    -1,
      -1,    -1,    -1,    52,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,  1837,    -1,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1848,    -1,    -1,    78,
      -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,  3019,
      -1,    -1,    -1,    -1,  5199,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1918,    -1,    -1,    -1,
      -1,  3051,  1241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1933,    -1,    -1,  1936,  1937,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1967,  1968,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1068,    -1,    -1,  3124,   224,   225,    -1,  3128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2723,  2724,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2742,  2743,    -1,  2745,  2746,    -1,    -1,    -1,  2750,  2751,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2765,  5369,    -1,   295,  2769,    -1,    -1,
      -1,  2773,  2774,    -1,    -1,  2777,  2778,    -1,    -1,    -1,
      -1,   310,  2784,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2796,    -1,    -1,    -1,    -1,    -1,
      -1,  3231,    -1,    -1,    -1,    -1,  2808,  2109,    -1,    -1,
    5415,  2813,    -1,    -1,    -1,    -1,  3246,    -1,    -1,  5424,
      10,  3251,    -1,    13,    -1,    -1,  2828,    17,    18,    19,
    2832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2843,    -1,    -1,  2846,    35,  2848,  2849,  2850,    -1,
      -1,  3281,    -1,  2855,  2856,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,  2865,  1241,    -1,    -1,    -1,    -1,  2871,
      -1,    -1,    -1,  2875,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,  1502,    -1,  2887,  2888,    -1,    78,    -1,
    2892,    -1,    -1,    -1,    -1,    -1,  2898,  2899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2912,    -1,    -1,  2915,    -1,    -1,    -1,    -1,    -1,    -1,
    2922,  2923,    -1,    -1,    -1,    -1,  2928,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,
      -1,  2943,    -1,    -1,    -1,    -1,  2948,    -1,    -1,    -1,
    1569,    -1,  2954,  2955,    -1,    -1,    -1,    -1,    -1,    -1,
    2962,    -1,    -1,    -1,  2966,    -1,    -1,    -1,  2970,  2971,
    2972,  2973,    -1,  2975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   725,    -1,   512,    -1,    -1,    -1,  2989,  2990,    -1,
    2992,  1610,   521,   522,   523,   524,   525,   526,   527,   528,
     529,  3003,  3004,  3005,    -1,   534,   196,   751,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3060,    -1,
      -1,    -1,   252,    -1,    -1,    -1,  3068,  5672,    -1,    -1,
      -1,  5676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   295,  3536,    -1,    -1,  3539,
      -1,  3541,    -1,    -1,    -1,    -1,  3546,    -1,    -1,    -1,
     310,    -1,    -1,   313,    -1,  1502,    -1,    -1,    -1,   725,
      -1,    -1,    -1,    -1,    -1,  3137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     894,    -1,    -1,    -1,  3156,   751,  3158,    -1,  3588,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3621,  1569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,  1837,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1848,
      -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1864,    -1,    -1,    -1,    -1,
      -1,  3253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1643,    -1,    -1,    -1,
    3700,    -1,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5891,    -1,    -1,    -1,
    5895,    -1,  5897,    -1,    -1,    -1,  5901,  5902,   894,  1918,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1057,  1933,    -1,    -1,  1936,  1937,    -1,
      -1,    -1,   512,    -1,  1068,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
    1084,    -1,    -1,    -1,   534,    -1,    -1,    -1,  1967,  1968,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3798,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    28,    35,  3827,    -1,    -1,
      -1,    -1,    -1,  3833,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,  3842,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,
      -1,  2733,  2734,    -1,    -1,    -1,    -1,    -1,    -1,    78,
    3870,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1837,  1057,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1848,  1068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,  2788,  1864,  1084,    -1,
    2109,    -1,  2794,    -1,    -1,    -1,    -1,  1241,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,  3938,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,
    3960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,
     173,  1918,    10,    -1,    -1,    13,   179,    -1,    -1,    17,
      18,    19,  3982,    -1,    -1,    -1,  1933,   196,    -1,  1936,
    1937,    -1,   201,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,   206,    -1,    -1,    -1,    45,    -1,    -1,
      -1,  3583,    -1,    -1,    52,   224,   225,    -1,    -1,    -1,
    1967,  1968,    -1,    -1,  6199,    -1,    -1,    -1,  3600,    -1,
      -1,    -1,  3604,    -1,    -1,    -1,    -1,  3609,  3610,  3611,
      78,   244,    -1,   252,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,  3631,
      -1,    -1,    -1,   266,  4064,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,  1241,    -1,    -1,    -1,    -1,
      45,    -1,  3654,  3655,  3656,  3657,   295,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,  4116,    -1,    -1,    -1,
    3692,    -1,  3694,  3695,  3696,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4141,    -1,   346,   347,    -1,    -1,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,  2109,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   378,    -1,    -1,   381,  3051,
      -1,    -1,  6357,    -1,    -1,   388,   224,   225,  1502,  6364,
      -1,    -1,   395,  6368,    -1,   398,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,    -1,    -1,    -1,  6402,    -1,    -1,
     433,   196,    -1,   436,    -1,    -1,   201,    -1,   441,    -1,
      -1,  6416,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3823,  3124,   456,    -1,  1569,  3128,   295,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,  6441,    -1,    -1,  6444,
      -1,    -1,   310,    -1,    -1,   313,    -1,  3849,  3850,    -1,
     483,    -1,  3854,    -1,    -1,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1610,    -1,    28,    -1,
      -1,    -1,  4302,   512,  3876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,  1643,
     295,    -1,    -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    79,
      -1,    -1,    -1,    -1,    -1,    -1,  3928,    -1,    -1,  3231,
      -1,  3933,    -1,    -1,    -1,    -1,    96,  3939,   406,    -1,
      -1,    -1,    -1,    -1,  3246,    -1,    51,    -1,    -1,  3251,
      -1,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,
     120,    -1,    -1,    -1,    -1,    -1,  4396,  3969,    -1,    -1,
      -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,   138,  3281,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,   151,    -1,    -1,  4424,    -1,  3998,    -1,  4000,    -1,
     160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,   173,  1610,    -1,    -1,    -1,    -1,   179,
      -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,   206,  1643,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1837,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,  1848,    -1,   266,    -1,    -1,    45,
    2729,    -1,    -1,    -1,  2733,  2734,    52,   512,    -1,    -1,
    1864,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,  4566,    -1,    -1,   534,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2788,
      -1,    51,    -1,    -1,  1918,  2794,   336,    -1,    -1,    -1,
      -1,    -1,    -1,  4613,    -1,    -1,   346,   347,  4618,  1933,
     350,    -1,  1936,  1937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   378,    -1,
      -1,   381,  2841,  1967,  1968,   385,    -1,    -1,   388,    -1,
      -1,    -1,    -1,    -1,  3536,   395,    -1,  3539,   398,  3541,
      -1,  1837,    -1,    -1,  3546,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1848,    -1,    -1,    -1,    -1,    -1,   418,    -1,
     196,    -1,    -1,    -1,    -1,   201,   426,    -1,  1864,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,    -1,    -1,    -1,
      -1,   441,    -1,    -1,    -1,    -1,  3588,    -1,   224,   225,
      -1,   451,    -1,    -1,  3596,    -1,   456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     470,    -1,  4314,    -1,  4316,    -1,   252,    -1,    -1,  3621,
      -1,    -1,  1918,   483,    -1,    -1,    -1,  4329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1933,    -1,  4341,
    1936,  1937,    -1,  4345,    -1,    -1,  4776,    -1,    -1,    -1,
      -1,    -1,  2729,    -1,  4356,    -1,  2733,  2734,    -1,   295,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,  1967,  1968,  4375,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4393,    -1,    -1,    -1,    -1,    -1,    -1,  3700,  4401,
    3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,    -1,    -1,
      -1,    -1,    -1,    -1,  4426,    -1,    -1,    -1,  4430,    -1,
      -1,    -1,  3051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4445,  4446,  4447,  4448,    -1,    -1,    -1,
      -1,    -1,    -1,  4455,  4456,  4457,  4458,    -1,    -1,    -1,
      -1,  4891,  4464,  4465,  2841,    -1,    -1,    -1,  4470,  4471,
     406,  4473,  4474,  4475,  4476,  4477,  4478,  4479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4489,    -1,    -1,
      -1,  4493,  4494,  4495,  4496,    -1,  3798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3124,    -1,    -1,    -1,  3128,
      -1,    -1,    -1,  2109,  4944,  4517,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4535,    -1,    -1,  4966,    -1,    -1,    -1,
    3842,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3870,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,   534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5038,  4611,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     725,    -1,    -1,    -1,    -1,    -1,    -1,  3246,    -1,    -1,
      -1,    -1,  3251,    -1,    -1,    -1,  3938,    -1,    -1,    -1,
      -1,    -1,  4644,    -1,    -1,    -1,   751,    -1,    -1,  4651,
      -1,  4653,    -1,    -1,    -1,    -1,    -1,    -1,  3960,    -1,
     725,    -1,  3281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,    -1,  4681,
    3982,    -1,    -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5157,    -1,  5159,
     224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,    -1,    -1,
      -1,  3128,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,  4064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4116,    -1,   310,    -1,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4141,
      -1,    -1,    -1,    -1,    -1,   725,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5298,  3246,
      -1,   751,    -1,    -1,  3251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4892,  4893,  4894,    -1,    -1,    -1,  4898,  4899,  4900,  4901,
      -1,    -1,    -1,  4905,  3281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,  3536,    -1,    -1,
    3539,    -1,  3541,    -1,    -1,    -1,    -1,  3546,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1057,    -1,  4956,  4957,  4958,  4959,  4960,    -1,
    4962,  4963,    -1,  1068,    -1,    -1,    -1,    -1,    -1,  3588,
      -1,    -1,  4974,  4975,    -1,    -1,    -1,  3596,    -1,  1084,
      -1,    -1,    -1,    -1,    -1,  2729,    -1,    -1,    -1,  2733,
    2734,    -1,  1057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4302,    -1,  3621,  1068,    -1,    -1,  5008,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   894,    -1,    -1,    -1,   512,  1084,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,
     534,    -1,    -1,    -1,  2788,    -1,    -1,    -1,    -1,    -1,
    2794,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,  5489,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3700,    35,  3702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,  4396,    -1,    -1,  2841,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5110,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4424,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2729,    -1,    -1,  1241,  2733,  2734,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,  3536,
      -1,    13,  3539,    -1,  3541,    17,    18,    19,    -1,  3546,
      -1,    -1,    -1,  5175,    -1,    -1,  1241,  1057,    -1,  3798,
      -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,  1068,    -1,
      -1,    -1,  2788,    45,    -1,    -1,    -1,    -1,  2794,    -1,
      52,    -1,    -1,    -1,  1084,  5207,    -1,    -1,    -1,    -1,
    5640,  3588,    -1,    -1,    -1,  5645,  5646,    -1,    -1,  3596,
      -1,    -1,    -1,  3842,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,  3621,  2841,    -1,    -1,   201,    -1,
      -1,  3870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,  5305,    -1,    -1,    -1,  3051,    -1,    -1,
      -1,  4613,    -1,    -1,    -1,    -1,  4618,    -1,    -1,  3938,
      -1,    -1,    -1,  3700,    -1,  3702,    -1,  5757,  5758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3960,   295,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
     313,  1241,    -1,  3982,    -1,    -1,    -1,    -1,    -1,  5371,
      -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
    3124,    -1,    -1,    -1,  3128,    -1,    -1,    -1,  5390,    -1,
      -1,  5821,    -1,    -1,  5396,  5397,    -1,  1502,    -1,    -1,
     252,    -1,    -1,    -1,  5406,    -1,    -1,    -1,    -1,    -1,
      -1,  5413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1502,    -1,    -1,
      -1,    -1,    -1,   295,    -1,  4064,  5448,  5449,    -1,    -1,
      -1,    -1,    -1,   406,    -1,  3051,    -1,    -1,   310,  5461,
      -1,  5463,    -1,    -1,  1569,  3842,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4776,    -1,  5478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3231,    -1,    -1,
      -1,    -1,    -1,  3870,    -1,    -1,    -1,  4116,    -1,    -1,
      -1,  5503,  3246,    -1,  1569,  1610,    -1,  3251,    -1,  5511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4141,    -1,    -1,    -1,    -1,    -1,  3124,    -1,
      -1,    -1,  3128,    -1,    -1,    -1,    -1,  3281,  1643,    -1,
      -1,    -1,    -1,    -1,    -1,  1610,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,   512,
      -1,  3938,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,  1643,    -1,
      -1,   534,    -1,  3960,    -1,    -1,    -1,    -1,    -1,  4891,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5601,
      -1,    -1,    -1,    -1,    -1,  3982,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5615,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3231,    -1,  5639,    -1,    -1,
      -1,    -1,  4944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3246,    -1,    -1,    -1,    -1,  3251,    -1,    -1,    -1,    -1,
     512,    -1,    -1,    -1,  4966,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,  4302,    -1,  3281,    -1,  4064,    -1,  1569,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5706,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1610,    -1,  1837,    -1,    -1,    -1,  5038,    -1,    -1,  4116,
      -1,    -1,    -1,  1848,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,  1864,
      -1,    -1,    -1,  1643,  4141,    -1,    -1,    -1,    -1,    -1,
      -1,    35,  1837,    -1,  5776,    -1,    -1,  4396,    -1,    -1,
      -1,    45,    -1,  1848,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,  3536,    -1,    -1,  3539,    -1,  3541,    -1,  1864,
      -1,    -1,  3546,    -1,    -1,  4424,    -1,    -1,  5810,    -1,
      -1,    -1,    -1,  1918,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1933,    -1,
      -1,  1936,  1937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3588,    -1,    -1,    -1,    -1,  5851,
      -1,    -1,  3596,  1918,    -1,    -1,    -1,  5159,    -1,    -1,
      -1,    -1,  1967,  1968,    -1,    -1,    -1,    -1,  1933,    -1,
      -1,  1936,  1937,  5875,    -1,    -1,    -1,  3621,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6331,  1967,  1968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4302,    -1,    -1,    -1,    -1,
      -1,    -1,   196,  5935,    -1,    -1,    -1,   201,    -1,    -1,
    3536,    -1,    -1,  3539,    -1,  3541,    -1,  4566,    -1,    -1,
    3546,    -1,    -1,    -1,    -1,    -1,  3700,  1837,  3702,    -1,
     224,   225,    -1,    -1,    -1,  6395,    -1,    -1,  1848,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,  1864,    13,    -1,    -1,   252,    17,
      18,    19,  3588,    -1,  4613,    -1,  5298,    -1,    -1,  4618,
    3596,    -1,    -1,    -1,  2109,    -1,    -1,    35,    -1,    -1,
      -1,    39,    -1,    -1,    -1,    -1,    -1,    45,    -1,  4396,
      -1,    -1,    -1,    -1,    52,  3621,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,  1918,    -1,
      -1,    -1,    -1,    -1,  2109,  6047,   310,  4424,    -1,   313,
      78,    -1,    -1,  1933,  3798,    -1,  1936,  1937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5369,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1967,  1968,  6091,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,  3842,    17,
      18,    19,   130,    -1,  3700,    -1,  3702,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3870,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4776,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5489,    -1,  4566,
      -1,    -1,    -1,    -1,  3938,    -1,   224,   225,    -1,    -1,
      -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6213,    -1,    -1,    -1,    -1,  3960,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,  2109,
      -1,    -1,    -1,    -1,    -1,    -1,  4613,    -1,  3982,    -1,
      -1,  4618,    -1,    -1,    10,    -1,  3842,    13,   512,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,    -1,   295,    -1,    35,
     534,    -1,  4891,    -1,  3870,    -1,    -1,    -1,   196,    45,
      -1,    -1,   310,   201,    -1,   313,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4064,    -1,    -1,    -1,    -1,  4944,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,  5640,    -1,
      -1,    -1,  3938,  5645,  5646,    10,    -1,  4966,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3960,    -1,    -1,    -1,    -1,    -1,
      35,    -1,  4116,    38,    -1,    -1,    -1,   295,   406,    -1,
      45,    -1,    -1,    -1,    -1,    -1,  3982,    52,    -1,    -1,
      -1,    -1,   310,    -1,    -1,   313,    -1,  4141,    -1,  4776,
      -1,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,  6419,    -1,  5038,
      -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,   206,   207,   471,    -1,    -1,    -1,    -1,    -1,   214,
      -1,   216,   217,    -1,    -1,    -1,  5758,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,  4064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,   252,    -1,   406,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,   425,    -1,    -1,
      -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,    -1,  5821,
    4116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   295,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
    5159,    -1,    -1,    -1,   310,  4141,    -1,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4302,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,  4944,    -1,    -1,
      -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,  4966,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2729,    -1,    -1,    -1,  2733,  2734,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,  4396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5038,    -1,    -1,  2729,    -1,    -1,    -1,  2733,  2734,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5298,
    4424,    -1,    -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,  4302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,  2788,    -1,    -1,    -1,    -1,    -1,  2794,
      -1,    45,    -1,    -1,    -1,    -1,  2841,    -1,    52,    -1,
      -1,   406,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
    5369,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,    -1,    -1,
      -1,    -1,  5159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
    4396,    13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4566,    35,    -1,    -1,    -1,    -1,  4424,    -1,
      -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,  2729,
      -1,    -1,    -1,  2733,  2734,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    78,    -1,    -1,  4613,
    5489,    -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   662,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2788,    -1,
     224,   225,    -1,    -1,  2794,    -1,   681,    -1,    -1,    -1,
      -1,  5298,   687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   699,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,    -1,
     715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2841,    -1,    -1,   729,   730,    -1,    -1,    -1,    -1,
    4566,   736,    -1,   738,   739,    -1,    -1,    -1,    -1,    -1,
      -1,   295,    -1,    -1,   196,    -1,  3051,   752,    -1,   201,
      -1,    -1,  5369,    -1,    -1,    -1,   310,   762,    -1,   313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,    -1,  4613,    -1,  3124,
      -1,  5640,  4618,  3128,    -1,    -1,  5645,  5646,    -1,  6331,
      -1,    -1,  4776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
      -1,    -1,    -1,  3128,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,   843,    -1,
      -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,   406,    38,    -1,    -1,    -1,    -1,   310,    -1,
      45,   313,    -1,   868,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,  5489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   333,    -1,    -1,    -1,    -1,  3231,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,  5758,
      -1,  3246,    -1,    -1,    -1,    -1,  3251,  4891,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,  3231,    -1,    -1,    -1,
      -1,  3051,    -1,    -1,    -1,    -1,  3281,    -1,    -1,    -1,
    4776,  3246,    -1,    -1,    -1,    -1,  3251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,   511,   512,    -1,
    4944,    -1,  5821,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,  3281,    -1,    -1,    -1,
      -1,    -1,  4966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3124,    -1,    -1,    -1,  3128,    -1,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,  5640,    -1,    -1,    -1,    -1,  5645,  5646,
      -1,    -1,    -1,    -1,    -1,  1040,    -1,    -1,    -1,   224,
     225,    -1,  1047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1058,  5038,  4891,    -1,  1062,    -1,  1064,
     512,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4944,    -1,
     295,  3231,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,   310,  3246,    -1,   313,    52,
    4966,  3251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      -1,  3281,    -1,    -1,    -1,    -1,  1171,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3536,    -1,    -1,  3539,    -1,  3541,    -1,    -1,    -1,
      -1,  3546,  5038,    -1,  5821,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,  1232,    -1,    -1,
      -1,  3536,    -1,    -1,  3539,    -1,  3541,    -1,  1243,    -1,
      -1,  3546,    -1,  3588,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3596,    -1,    -1,   177,  1260,    -1,    -1,    -1,    -1,
    1265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,    -1,    -1,  3621,    -1,   201,    -1,
      -1,    -1,    -1,  3588,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5298,    -1,  3621,    -1,    -1,    -1,
      -1,    -1,    -1,  5159,    -1,    -1,    -1,   512,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3700,    -1,  3702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5369,    -1,   310,    -1,    -1,
     313,    -1,    -1,  1398,    -1,  3700,    -1,  3702,    -1,    -1,
      -1,  1406,  1407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3536,    -1,    -1,  3539,
      -1,  3541,    -1,    -1,   207,    -1,  3546,    -1,    -1,    -1,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,  3798,  1459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5298,    -1,    -1,    -1,    -1,    -1,  3588,    -1,
      -1,    -1,  6331,    -1,    -1,    -1,  3596,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3798,    -1,    -1,    -1,  3842,    -1,    -1,
      -1,  3621,    -1,    -1,    -1,  5489,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3870,    -1,    10,    -1,    -1,
      13,    -1,    -1,  5369,    17,    18,    19,  3842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,  3870,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3700,    -1,  3702,    -1,    -1,    -1,    -1,    -1,    -1,   512,
      -1,    -1,    -1,  3938,    -1,    78,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3960,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3938,    -1,    -1,    -1,  3982,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5489,    -1,  3960,  5640,    -1,    -1,    -1,
      10,  5645,  5646,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3982,  3798,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,  1710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,  6331,    -1,    -1,    -1,   201,  4064,
      -1,    -1,  3842,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3870,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,  4116,    -1,    10,  5758,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4141,    -1,    35,    -1,
      -1,    38,    -1,    -1,  5640,    -1,    -1,    -1,    45,  5645,
    5646,  4116,   295,    -1,    -1,    52,    -1,    -1,  3938,    -1,
    1825,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,
     313,    -1,    -1,    -1,    -1,    -1,  4141,  5821,    -1,    -1,
    3960,    78,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,  1860,    -1,    -1,    -1,    -1,
      -1,    -1,  3982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,  1883,   662,
      -1,    -1,    -1,    -1,    -1,    -1,  1891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,   681,    -1,
      -1,    -1,   252,    -1,   687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   699,    -1,    -1,    -1,
      -1,    -1,  5758,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   715,    -1,    -1,  1940,  1941,    -1,  1943,  1944,
      -1,    -1,    -1,    -1,  4064,   295,    -1,   730,    -1,    -1,
    1955,    -1,  1957,  1958,    -1,   738,    -1,  4302,    -1,   196,
     310,    -1,    -1,   313,   201,  1970,  1971,    -1,    -1,   752,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   762,
      -1,    -1,    -1,    -1,    -1,  5821,    -1,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4116,  4302,    -1,    -1,
      -1,    -1,    -1,  2008,    -1,    -1,    -1,  2012,  2013,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,  4141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
      -1,    -1,   815,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,  4396,    -1,    -1,    -1,    -1,   406,    -1,   295,    -1,
     843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    -1,   208,   313,    -1,    -1,  4424,
      -1,    -1,    -1,    -1,    -1,   868,    -1,   220,    -1,    -1,
      -1,  4396,   442,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,  4424,
      -1,    -1,    17,    18,    19,  2130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,   406,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,  4302,    78,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,  4566,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,  1040,    -1,    -1,
      -1,  4566,    -1,    -1,  1047,    -1,    -1,    -1,  4613,    -1,
      -1,    -1,    -1,  4618,    -1,   512,  4396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   196,    -1,    -1,  4424,    -1,   201,    -1,  4613,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6331,    -1,    -1,
      -1,   177,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,
      -1,    -1,    -1,    -1,    23,    -1,   252,    -1,    -1,    -1,
      -1,  4776,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,  4566,    -1,    -1,  1232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1243,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,   295,
      -1,  4776,    -1,    -1,    -1,    -1,    -1,  1260,    -1,    -1,
      79,    -1,  1265,    -1,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,    -1,  4613,    -1,  6331,    -1,    96,  4618,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     663,    -1,    -1,    -1,    -1,    -1,   669,    -1,    -1,   138,
      -1,    -1,    -1,    -1,    -1,    -1,  4891,    -1,    -1,    -1,
      -1,    -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   837,   838,    -1,   173,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,   182,    -1,    -1,  4891,   186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4944,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1398,    -1,   512,    -1,    -1,
      -1,  4966,    -1,  1406,  1407,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,    -1,    -1,    -1,    -1,  4944,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   917,    -1,    -1,    -1,    -1,  4776,   256,    -1,    -1,
      -1,  4966,  2667,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,  5038,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,   840,    -1,    -1,
      -1,   310,    -1,    -1,   313,    -1,    -1,  2722,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   859,    -1,    -1,    -1,
      -1,    -1,    -1,  5038,    -1,  2740,    -1,   336,    -1,  2744,
      -1,    -1,    -1,  2748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   350,  2757,    -1,    -1,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2772,    -1,    -1,
      -1,  4891,  1038,  1039,    -1,    -1,    -1,    -1,    -1,   378,
      -1,    -1,    -1,    -1,  2789,    -1,  2791,  2792,    -1,   388,
      -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,   931,   398,
      -1,  2806,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5159,    -1,    -1,    -1,    -1,   418,
      -1,  2826,  2827,    -1,  4944,    -1,    -1,   426,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,    -1,   436,    -1,   438,
      -1,   440,   441,    -1,    -1,   978,  4966,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5159,    -1,    -1,   456,  2863,  2864,
      -1,    -1,  2867,    -1,    -1,   464,    -1,    -1,   467,    -1,
      -1,   470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,   483,    13,  2891,    -1,  2893,    17,
      18,    19,  2897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2911,    35,    -1,    -1,
      -1,    -1,    -1,  2918,    -1,    -1,  2921,    45,  5038,    -1,
      -1,    -1,  2927,    -1,    52,    -1,    -1,  1710,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2947,    -1,    -1,    -1,    -1,    -1,  2953,    -1,
      78,    -1,    -1,  5298,    -1,  2960,    -1,    -1,    -1,    -1,
    1093,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2974,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,  2993,  1122,
    1123,  1124,    -1,  5298,  2999,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5159,
      -1,    -1,  1825,    -1,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,  1319,  3059,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5369,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,  1860,    -1,    -1,
      -1,    -1,  1348,  1349,  1350,    -1,  1352,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,   225,  1231,    -1,
    1883,    -1,    -1,    10,    -1,    -1,    13,  1373,  1891,    -1,
      17,    18,    19,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,  1259,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    45,    -1,
      -1,    17,    18,    19,  5489,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
    1943,  1944,    -1,    -1,    -1,    -1,    -1,   295,    -1,    45,
      -1,    78,    -1,    -1,  1957,    -1,    52,    -1,  5298,    -1,
      -1,    -1,   310,    -1,  5489,   313,    -1,  1970,  1971,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,  3214,
    1476,  3216,    -1,    -1,  1480,  1481,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3233,    -1,
      -1,    -1,    -1,    -1,    -1,  3240,    -1,    -1,    -1,    -1,
      -1,    -1,  3247,    -1,  3249,  3250,    -1,    -1,    -1,  5369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,   406,  1412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,    -1,    -1,    -1,   201,  5640,    -1,    -1,    -1,    -1,
    5645,  5646,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,  3337,    -1,    -1,  5640,    -1,    -1,  3343,    -1,
    5645,  5646,    -1,    -1,    -1,   252,    -1,  2130,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1492,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5489,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,    -1,   310,    -1,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,  5758,    -1,    -1,    -1,    -1,    -1,   295,
      -1,    -1,    -1,  3428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,   313,    -1,    -1,
      -1,    -1,  1575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1584,    -1,  5758,    -1,    -1,    -1,    -1,    -1,  1725,
    1726,  1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5821,    -1,    -1,    -1,
      -1,    -1,    -1,  1616,    -1,    -1,    -1,    -1,    -1,  1622,
    1623,    -1,    -1,  1626,    -1,    -1,    -1,    -1,    -1,   406,
      -1,    -1,    -1,    -1,    -1,    -1,  1639,    -1,    -1,  1642,
      -1,    -1,    -1,    -1,    -1,    -1,  5821,    -1,    -1,    -1,
    5640,    -1,    -1,    -1,    -1,  5645,  5646,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,  3561,  3562,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,  1700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,  3582,    -1,    -1,
    3585,  1714,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,  5758,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3666,  3667,  3668,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,    -1,    -1,
      -1,  1824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5821,  1835,    -1,    -1,  3710,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,  3732,    -1,    -1,
      -1,   201,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,  1877,  1878,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1902,
      -1,    -1,    -1,    -1,    -1,    78,  1909,    -1,    -1,    -1,
      -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,  2054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,    -1,    -1,    -1,
      -1,  2077,    -1,  2079,    -1,  2081,    -1,  3822,  2084,  2085,
    2086,    -1,    -1,    -1,    -1,   295,  2092,    -1,    -1,  2095,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     310,    -1,    -1,   313,  2110,  2111,  2112,    -1,    -1,  1982,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2128,    -1,  3869,    -1,    -1,    -1,   171,    -1,
    3875,    -1,  3877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2015,  2016,  2667,  3890,    -1,  3892,    -1,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,  2032,
      -1,    -1,  2035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,  2722,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,  3959,    -1,    -1,  2740,    -1,    10,
      -1,  2744,    13,    -1,    -1,  2748,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,  2757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,  6331,    38,    -1,  2772,
      -1,    -1,   295,    -1,    45,    -1,  4001,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,   310,    -1,  2275,
     313,    -1,    -1,    -1,    -1,  4020,   486,    -1,    -1,  4024,
      -1,    -1,    -1,  2806,    -1,    -1,  6331,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4045,    -1,   512,  2826,  2827,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
      -1,    -1,    -1,  2329,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2863,  2864,    -1,    -1,  2867,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    10,    -1,    -1,    13,  2891,    -1,
    2893,    17,    18,    19,  2897,    -1,    -1,    -1,    -1,  2385,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2911,    35,
      -1,    -1,    -1,    -1,    -1,  2918,    -1,    -1,  2921,    45,
      -1,    -1,    -1,    -1,  2927,   196,    52,    -1,  4153,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2947,    -1,    -1,    -1,    -1,    -1,
    2953,    -1,    78,   224,   225,    -1,    -1,  2960,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,  2988,    -1,    -1,    -1,   512,
    2993,  6331,    -1,    -1,    -1,    -1,  2999,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    23,
      -1,    -1,    -1,    -1,    28,    -1,  3059,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2569,  2570,  2571,  2572,  2573,  2574,  2575,
    2576,  2577,    66,  2579,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,  4328,  2590,    79,  2592,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,
     114,    -1,    -1,    -1,  2630,    -1,    -1,    -1,  2634,    -1,
      -1,  2637,    -1,  2639,    -1,    -1,  2642,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,  4390,    -1,    -1,    -1,   295,
    4395,    -1,  4397,    -1,    -1,    -1,    -1,   151,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,   160,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4423,   173,
      -1,    -1,    -1,    -1,    -1,   179,    -1,    -1,    -1,  2695,
    2696,  3214,   186,  3216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3233,    -1,   206,    -1,    -1,    -1,  2589,  3240,    -1,    -1,
      -1,   512,    -1,    -1,  4469,    -1,  2599,  4472,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2628,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2775,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2675,  2676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3337,    -1,   310,  4562,  4563,    -1,
    3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4573,   323,
      -1,    -1,    -1,    -1,    -1,    -1,  2709,    -1,    -1,    -1,
      -1,    -1,   336,    -1,    -1,  4590,    -1,    -1,    -1,    -1,
      -1,    -1,   346,   347,    -1,    -1,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   378,    -1,    -1,   381,    -1,    -1,
      -1,   385,    -1,    -1,   388,    -1,    -1,    -1,    -1,    -1,
      -1,   395,    -1,    -1,   398,  3428,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   418,    -1,  4671,    -1,    -1,  4674,
      -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,   433,
      -1,    -1,   436,    -1,    -1,    -1,    -1,   441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   449,    -1,   451,    -1,    -1,
      -1,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2845,    -1,    -1,    -1,   470,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2860,    -1,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2882,
      -1,  3017,  3018,  3019,    -1,    -1,    -1,  3023,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3561,  3562,
      -1,    -1,    -1,    -1,  3050,    -1,    -1,    -1,    -1,    -1,
      -1,  1365,    -1,    -1,    -1,    -1,    20,    -1,    -1,  3582,
      -1,    -1,  3585,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2968,  2969,    61,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1420,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    -1,    82,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    -1,    99,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3666,  3667,  3668,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,   119,    -1,    -1,    -1,  4904,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,
     134,    -1,   136,    -1,    -1,    -1,   140,    -1,    -1,    -1,
      -1,    -1,    -1,   147,    -1,    -1,    -1,  3710,    -1,    -1,
      -1,    -1,   156,    -1,   158,    -1,    -1,  3070,    -1,    -1,
      -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3732,
      -1,    -1,    -1,    -1,    -1,    -1,  4961,    -1,    -1,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4973,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3259,    -1,    -1,    -1,    -1,  3264,    -1,
      -1,    -1,  5007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     254,   255,    -1,    -1,    -1,    -1,   260,    -1,    -1,  3822,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3315,
      -1,   275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3326,    -1,  3328,  3329,    -1,    -1,    -1,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,  3345,
    5085,  3347,    -1,    -1,    -1,    -1,  3869,    -1,    -1,    -1,
      -1,    -1,  3875,    -1,  3877,    -1,    -1,    -1,    -1,  5104,
      25,    -1,    -1,    -1,    -1,    -1,    31,  3890,    -1,  3892,
      -1,    -1,    -1,    38,    -1,    -1,    -1,   341,  3384,    -1,
    3386,    -1,  3388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,    60,    -1,    23,   362,   363,
      -1,   365,    28,    -1,    -1,    -1,   370,    -1,    -1,   373,
      -1,    76,   376,    -1,    -1,   379,    -1,  1731,    -1,    -1,
      -1,  1735,   386,    -1,    -1,    -1,    -1,    -1,    -1,   393,
     394,    -1,    -1,    -1,    -1,    -1,  3959,   401,    -1,    -1,
      66,   405,    -1,    -1,    -1,  5190,    -1,   112,    -1,    -1,
      -1,    -1,   416,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    92,    -1,   133,   433,
      96,    -1,    -1,    -1,    -1,   140,  3482,    -1,  4001,   144,
      -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,
     454,    -1,    -1,    -1,    -1,    -1,  3502,  4020,    -1,    -1,
      -1,  4024,   466,    -1,    -1,    -1,    -1,   172,   472,    -1,
      -1,    -1,   138,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4045,    -1,    -1,   151,   490,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,   204,
      -1,  3414,    -1,   208,    -1,    -1,    -1,   173,    -1,    -1,
     514,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3567,  3435,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      -1,    -1,   536,    -1,    -1,  5320,    -1,  5322,    -1,    -1,
     206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,    25,
      -1,    -1,   267,    -1,    -1,    31,    -1,   272,    -1,    -1,
      -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,   244,    -1,
      -1,  3627,    -1,   288,    -1,  5370,    -1,   292,    -1,    -1,
    4153,    -1,    -1,    -1,    60,  5380,    -1,   302,    -1,    -1,
     266,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5420,    -1,    -1,    -1,    -1,
    5425,    -1,    -1,    -1,   310,    -1,   112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   366,    -1,    -1,   369,   370,   371,   133,    -1,    -1,
     336,    -1,    -1,    -1,   140,    -1,    -1,    -1,   144,    -1,
     346,   347,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,
     395,    -1,    -1,    -1,    -1,    -1,   401,    -1,  2052,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,   416,   378,    -1,    -1,   381,    -1,    -1,    -1,   385,
      -1,    -1,   388,    -1,  2078,    -1,    -1,    -1,  2082,   395,
      -1,    -1,   398,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,   208,  2097,  2098,  2099,    -1,  2101,    -1,    -1,
      -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,    -1,   467,    -1,    -1,  4328,    -1,   433,    -1,   474,
     436,    -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,
      -1,  3827,    -1,   449,    -1,   451,    -1,  3833,    -1,    -1,
     456,    -1,    -1,    -1,    -1,  3708,   262,    -1,    -1,    -1,
      -1,   267,    -1,    -1,    -1,  3718,   272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   483,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,   292,  4390,    -1,    -1,
      -1,    -1,  4395,    -1,  4397,    -1,   302,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   324,    -1,
    4423,    -1,    -1,    -1,    -1,    -1,  3912,    -1,    -1,    -1,
      -1,    -1,    -1,  5658,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     366,    -1,    -1,   369,   370,   371,  4469,    -1,    -1,  4472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,
      -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3881,  3882,
    3883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3898,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5782,    -1,  4562,
    4563,   467,    -1,    -1,    -1,    -1,    -1,    -1,   474,    -1,
    4573,    -1,    -1,    -1,    -1,  4061,    -1,    -1,  3931,  3932,
      -1,    -1,    -1,  3936,  4070,    -1,    -1,  4590,    -1,    -1,
      -1,    -1,    -1,  5818,    -1,    -1,    -1,    -1,  4084,    -1,
      -1,    -1,  4088,  4089,  4090,    -1,    -1,    -1,    -1,  4095,
      -1,    -1,  4098,    -1,    -1,  4101,    -1,    -1,    -1,    -1,
      -1,  4107,    -1,  4109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4136,  4137,  4138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5888,    -1,    -1,  5891,    -1,  4671,  4155,
      -1,  4674,    -1,    -1,    -1,    -1,    -1,  4163,    -1,    -1,
    4166,    -1,  4168,    -1,    -1,    -1,    -1,    -1,    -1,  4042,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4184,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4192,  4193,    -1,    -1,
      -1,    -1,    -1,  4199,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2586,  4279,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6034,
    4296,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6048,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4208,  4209,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2682,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6121,  6122,    -1,    -1,
    2694,  4904,    -1,    -1,    -1,  2699,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4973,    -1,    -1,    -1,  6199,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5007,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6357,  4619,  4620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4630,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5190,    -1,    -1,
    4543,  6416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6429,  6430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4700,    -1,  6441,    -1,    -1,    -1,
      -1,    -1,  4575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4734,    -1,
      -1,    -1,    -1,    -1,  4607,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4773,  4774,  4642,
      -1,    -1,    -1,    -1,  4780,  4781,    -1,    -1,    -1,  4785,
      -1,    -1,    -1,    -1,  4790,    -1,  4659,  4793,  4794,    -1,
      -1,    -1,    -1,    -1,  4800,    -1,    -1,  5320,    -1,  5322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4845,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5370,    -1,    -1,
    4856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4864,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5420,    -1,    -1,
      -1,    -1,    -1,  4909,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4804,  4805,  4806,  4807,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3289,    -1,    -1,    -1,    -1,
      -1,  3295,    -1,  4989,  3298,    -1,    -1,    -1,    -1,    -1,
    4996,  3305,  3306,    -1,  3308,    -1,    -1,    -1,    -1,  3313,
    3314,    -1,  3316,    -1,  3318,    -1,    -1,    -1,  3322,    -1,
      -1,  3325,    -1,    -1,    -1,    -1,  3330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,    -1,    -1,
    3344,    -1,    -1,    -1,    -1,    -1,    -1,  3351,  3352,  3353,
    3354,    -1,    -1,    -1,    -1,  3359,  3360,    -1,  3362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3381,    -1,  3383,
      -1,    -1,    -1,    -1,    -1,    -1,  3390,  3391,  3392,  3393,
    3394,  3395,  3396,  3397,  3398,  3399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5658,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5672,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5226,    -1,    -1,    -1,    -1,    -1,  5232,  5233,  5234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5257,  5258,    -1,    -1,  5261,    -1,    -1,    -1,  5782,
      -1,    -1,  3576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5278,    -1,    -1,    -1,    -1,    -1,    -1,  5152,
      -1,    -1,  5288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5163,    -1,    -1,  5299,    -1,  5818,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5315,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5888,    -1,    -1,  5891,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6034,    -1,    -1,  5520,    -1,    -1,  3831,  3832,    -1,
      -1,    -1,  3836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5541,    -1,    -1,  6061,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5442,
      -1,    -1,    -1,    -1,  5447,    -1,    -1,    -1,    -1,    -1,
    5586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5466,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5634,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5692,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4060,    -1,    -1,    -1,
      -1,    -1,  4066,    -1,  5627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5781,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5793,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5802,  5803,  5804,  4113,
    4114,    -1,    -1,  4117,  4118,  4119,  4120,    -1,    -1,  4123,
    4124,  4125,  4126,  4127,  4128,  4129,  4130,  4131,  4132,  4133,
      -1,    -1,    -1,    -1,  5830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6357,    -1,    -1,    -1,  5844,    -1,
      -1,    -1,  4156,    -1,    -1,  4159,    -1,  4161,    -1,    -1,
    4164,  4165,  5725,    -1,    -1,    -1,    -1,  5863,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4186,  4187,  4188,  4189,    -1,  4191,    -1,    -1,
    5753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6416,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6441,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5995,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6020,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6270,  4579,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4701,    -1,  6395,
      -1,  4705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4718,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4726,    -1,  4728,    -1,  4730,  4731,    -1,    -1,
      -1,    -1,  4736,  4737,  4738,  4739,    -1,    -1,    -1,  4743,
    4744,  4745,  4746,  4747,  4748,  4749,  4750,  4751,  4752,  4753,
    4754,  4755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4779,    -1,    -1,  4782,    -1,
    4784,    -1,    -1,    -1,  4788,    -1,    -1,  4791,  4792,    -1,
      -1,  4795,  4796,    -1,    -1,    -1,    -1,  4801,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4855,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4869,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5067,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5154,  5155,    -1,    -1,    -1,    -1,    -1,    -1,  5162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5228,  5229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5247,    -1,  5249,    -1,    -1,    -1,  5253,
    5254,  5255,  5256,    -1,    -1,  5259,  5260,    -1,    -1,    -1,
      -1,  5265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5391,    -1,  5393,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5534,    -1,  5536,  5537,  5538,  5539,  5540,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5553,
    5554,  5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5563,
      -1,    -1,    -1,    -1,  5568,    -1,    -1,  5571,    -1,    -1,
      -1,  5575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5593,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5610,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5783,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5815,    -1,  5817,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5862,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5874,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5911,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5991,    -1,    -1,
      -1,    -1,    -1,    -1,  5998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6031,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6158,  6159,    -1,    -1,  6162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6221,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6264,  6265,    -1,  6267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,    -1,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,  6333,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,   514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     3,
      -1,     5,     6,    -1,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
     534,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   533,   534,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   534,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,    -1,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
      -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,    -1,   338,    -1,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,    -1,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
      -1,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,
     510,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,   534,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,    -1,   291,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,   508,   509,   510,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,   534,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,   514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,
      -1,     5,     6,   533,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,   512,    -1,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,   432,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      -1,     3,    -1,     5,     6,   533,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,    -1,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,    -1,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,
       6,   533,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      36,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,   432,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,   432,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,    -1,
      -1,   531,   532,   533,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,   526,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,   512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,    -1,
      -1,    -1,     3,    -1,     5,     6,   533,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   524,   525,    -1,    -1,    -1,     3,    -1,
       5,     6,   533,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,   512,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,    -1,    -1,    -1,     3,    -1,     5,     6,   533,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    -1,
       3,    -1,     5,     6,   533,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,   512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   524,   525,    -1,    -1,    -1,     3,    -1,     5,     6,
     533,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,     3,
      -1,     5,     6,    -1,     8,     9,   533,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,   432,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,   525,     3,    -1,     5,     6,    -1,     8,     9,   533,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    -1,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,     5,     6,    -1,     8,     9,    -1,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,   514,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,   432,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,   432,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,   432,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,   432,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,   433,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,    -1,   514,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,   514,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
     533,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    -1,    -1,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
      -1,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,    -1,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,    -1,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,    -1,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
      -1,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,   481,   482,   483,   484,   485,
     486,    -1,   488,    -1,    -1,    -1,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,    -1,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,
     526,   527,   528,   529,     3,    -1,     5,     6,    -1,    -1,
      -1,    10,    11,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,   522,   523,   524,   525,   526,   527,   528,
     529,     3,    -1,     5,     6,    -1,    -1,    -1,    10,    11,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    -1,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,    -1,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,
     522,   523,   524,   525,   526,   527,   528,   529,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,   524,
     525,   526,   527,   528,   529,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
      -1,   319,    -1,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   521,   522,   523,   524,   525,   526,   527,
     528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     521,   522,   523,   524,   525,   526,   527,   528,   529,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,    -1,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,    -1,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,    -1,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,    -1,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,   523,
     524,   525,   526,   527,   528,   529,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   521,   522,   523,   524,   525,   526,
     527,   528,   529,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
      -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,    -1,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,    -1,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,    -1,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,    -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,   522,   523,   524,   525,   526,   527,   528,   529,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,   522,
     523,   524,   525,   526,   527,   528,   529,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,   526,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,    -1,   291,    -1,   293,   294,   295,
     296,    -1,    -1,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,    -1,   338,    -1,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,   509,   510,     3,    -1,     5,     6,    -1,
      -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
     526,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,     3,    -1,     5,     6,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   524,   525,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,   256,    -1,    -1,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,   312,    -1,    -1,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,    -1,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,    -1,
     430,   431,    -1,    -1,   434,   435,   436,   437,   438,   439,
     440,   441,    -1,   443,   444,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,   473,   474,   475,   476,   477,   478,    -1,
     480,   481,   482,   483,   484,   485,    -1,    -1,   488,    -1,
      -1,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,   524,   525,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
     312,    -1,    -1,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,    -1,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
      -1,    -1,   434,   435,   436,   437,   438,   439,   440,   441,
      -1,   443,   444,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,   473,   474,   475,   476,   477,   478,    -1,   480,   481,
     482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,     3,
      -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,
      -1,    -1,   524,   525,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,    -1,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,   312,    -1,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,    -1,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,    -1,   430,   431,    -1,    -1,
     434,   435,   436,   437,   438,   439,   440,   441,    -1,   443,
     444,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,   473,
     474,   475,   476,   477,   478,    -1,   480,   481,   482,   483,
     484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     524,   525,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,   177,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,
     256,    -1,    -1,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,
     316,   317,    -1,   319,    -1,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,    -1,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
      -1,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,
     436,   437,   438,   439,   440,   441,    -1,   443,   444,   445,
      -1,    -1,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,   473,   474,   475,
     476,   477,   478,    -1,   480,    -1,   482,   483,   484,   485,
      -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   524,   525,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,   256,    -1,
      -1,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
      -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,    -1,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,    -1,   430,   431,    -1,    -1,   434,   435,   436,   437,
     438,   439,   440,   441,    -1,   443,   444,   445,    -1,    -1,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,   473,   474,   475,   476,   477,
     478,    -1,   480,   481,   482,   483,   484,   485,    -1,    -1,
     488,    -1,    -1,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,     3,    -1,     5,     6,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,   432,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,     5,     6,
      -1,     8,     9,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,   106,   107,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,   106,   107,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,     6,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,   106,   107,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,   106,   107,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,   106,
     107,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,   173,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,   183,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,   183,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    99,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    99,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
      -1,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,   249,    -1,   251,    -1,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,    -1,   319,    -1,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,    -1,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
     477,   478,    -1,   480,    -1,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,    -1,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
     249,    -1,   251,    -1,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,   317,    -1,
     319,    -1,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,    -1,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
      -1,   430,   431,    -1,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,   450,   451,   452,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,   477,   478,
      -1,   480,    -1,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,    -1,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,   249,    -1,
     251,    -1,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,   317,    -1,   319,    -1,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,    -1,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,    -1,   430,
     431,    -1,    -1,   434,    -1,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,   450,
     451,   452,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,   477,   478,    -1,   480,
      -1,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,   249,    -1,   251,    -1,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,   317,    -1,   319,    -1,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,    -1,   430,   431,    -1,
      -1,   434,    -1,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,   450,   451,   452,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,   477,   478,    -1,   480,    -1,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,   249,    -1,   251,    -1,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,   317,    -1,   319,    -1,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,    -1,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,    -1,   430,   431,    -1,    -1,   434,
      -1,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,   477,   478,    -1,   480,    -1,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
     433,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,    -1,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,    -1,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,    -1,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,    -1,   164,    -1,   166,   167,   168,   169,   170,
     171,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,    -1,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,    -1,
     291,    -1,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,    -1,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,    -1,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,   171,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
      -1,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,   444,   445,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,   478,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     239,   240,   241,   242,   243,   244,   245,    -1,    -1,   248,
      -1,   250,   251,   252,    -1,   254,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,    -1,   291,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,    -1,
      -1,   310,   311,   312,    -1,    -1,   315,   316,    -1,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,    -1,   338,
      -1,   340,   341,   342,    -1,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,    -1,   428,
      -1,   430,   431,    -1,    -1,   434,   435,   436,   437,   438,
     439,   440,   441,    -1,   443,   444,   445,    -1,    -1,   448,
     449,    -1,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,   473,   474,   475,   476,    -1,   478,
      -1,   480,   481,   482,   483,   484,   485,    -1,    -1,   488,
      -1,    -1,   491,   492,   493,   494,   495,   496,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,   510,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   239,   240,   241,   242,   243,   244,
     245,    -1,    -1,   248,    -1,   250,   251,   252,    -1,   254,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,    -1,   291,    -1,   293,   294,
     295,   296,    -1,    -1,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,    -1,    -1,   310,   311,   312,    -1,    -1,
     315,   316,    -1,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,    -1,   334,
     335,   336,    -1,   338,    -1,   340,   341,   342,    -1,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,    -1,   428,    -1,   430,   431,    -1,    -1,   434,
     435,   436,   437,   438,   439,   440,   441,    -1,   443,   444,
     445,    -1,    -1,   448,   449,    -1,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,   473,   474,
     475,   476,    -1,   478,    -1,   480,   481,   482,   483,   484,
     485,    -1,    -1,   488,    -1,    -1,   491,   492,   493,   494,
     495,   496,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   508,   509,   510,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,   240,
     241,   242,   243,   244,   245,    -1,    -1,   248,    -1,   250,
     251,   252,    -1,   254,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,    -1,
     291,    -1,   293,   294,   295,   296,    -1,    -1,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,    -1,    -1,   310,
     311,   312,    -1,    -1,   315,   316,    -1,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,    -1,   334,   335,   336,    -1,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,    -1,   428,    -1,   430,
     431,    -1,    -1,   434,   435,   436,   437,   438,   439,   440,
     441,    -1,   443,   444,   445,    -1,    -1,   448,   449,    -1,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,   473,   474,   475,   476,    -1,   478,    -1,   480,
     481,   482,   483,   484,   485,    -1,    -1,   488,    -1,    -1,
     491,   492,   493,   494,   495,   496,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,   509,   510,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   239,   240,   241,   242,   243,   244,   245,    -1,
      -1,   248,    -1,   250,   251,   252,    -1,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,    -1,   291,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,    -1,    -1,   310,   311,   312,    -1,    -1,   315,   316,
      -1,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,    -1,   334,   335,   336,
      -1,   338,    -1,   340,   341,   342,    -1,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
      -1,   428,    -1,   430,   431,    -1,    -1,   434,   435,   436,
     437,   438,   439,   440,   441,    -1,   443,   444,   445,    -1,
      -1,   448,   449,    -1,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,   476,
      -1,   478,    -1,   480,   481,   482,   483,   484,   485,    -1,
      -1,   488,    -1,    -1,   491,   492,   493,   494,   495,   496,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   508,   509,   510,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      -1,    54,    -1,    -1,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,    -1,    -1,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,    -1,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
      -1,   214,   215,   216,   217,    -1,    -1,    -1,    -1,    -1,
     223,   224,   225,   226,   227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   239,   240,   241,   242,
     243,   244,   245,    -1,    -1,   248,    -1,   250,   251,   252,
      -1,   254,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,    -1,   291,    -1,
     293,   294,   295,   296,    -1,    -1,   299,    -1,   301,   302,
     303,    -1,   305,   306,   307,    -1,    -1,   310,   311,   312,
      -1,    -1,   315,   316,    -1,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
      -1,   334,   335,   336,    -1,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
      -1,   404,   405,   406,   407,   408,    -1,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,    -1,   428,    -1,   430,   431,    -1,
      -1,   434,   435,   436,   437,   438,   439,   440,   441,    -1,
     443,    -1,    -1,    -1,    -1,   448,   449,    -1,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
     473,   474,   475,   476,    -1,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,    -1,   488,    -1,    -1,   491,   492,
     493,   494,   495,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   508,   509,   510
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    97,    99,   116,   119,   134,   136,   140,   147,
     156,   158,   165,   183,   200,   254,   255,   260,   275,   294,
     341,   356,   362,   363,   365,   370,   376,   379,   386,   393,
     394,   401,   405,   416,   433,   454,   466,   472,   477,   490,
     514,   516,   517,   518,   519,   520,   533,   540,   541,   542,
     543,   548,   549,   555,   556,   558,   559,   560,   561,   563,
     566,   578,   583,   584,   587,   588,   589,   609,   612,   613,
     628,   679,   682,   683,   686,   689,   690,   691,   699,   706,
     708,   709,   712,   715,   716,   720,   729,   733,   734,   735,
     738,   740,   741,   742,   743,   751,   753,   773,   777,   779,
     780,   790,   792,   799,   800,   803,   804,   805,   806,   807,
     816,   818,   820,   823,   827,   828,   838,   839,   844,   849,
     860,   892,   895,   896,   897,   902,   905,   907,   909,   911,
     912,   916,   917,   920,   922,   923,   927,   928,   929,   932,
     933,   934,   935,   936,   943,   945,   946,   947,   948,   954,
     956,   957,   963,   964,   965,   968,   969,   970,   971,   973,
     974,   976,   977,   979,   980,   982,   994,   996,   999,  1001,
    1002,  1011,  1013,  1018,  1023,  1033,  1037,  1038,  1039,  1040,
    1041,  1042,  1048,  1084,   448,   493,   949,    28,    79,    96,
     114,   120,   138,   151,   160,   173,   179,   186,   206,   244,
     266,   310,   336,   346,   347,   350,   378,   381,   385,   388,
     395,   398,   418,   426,   431,   433,   436,   441,   451,   456,
     470,   483,   705,   949,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    93,    94,    95,    96,    97,    98,   100,   101,
     102,   103,   107,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   121,   123,   124,   125,   126,   127,   128,   129,
     131,   132,   133,   134,   137,   138,   139,   140,   141,   143,
     144,   145,   146,   148,   149,   150,   151,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   164,   166,   167,
     168,   169,   170,   172,   174,   175,   176,   178,   179,   180,
     181,   182,   184,   185,   187,   188,   189,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   202,   203,   204,
     205,   206,   207,   208,   209,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   221,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   248,   249,
     250,   251,   252,   254,   255,   256,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   293,
     294,   295,   296,   298,   299,   300,   301,   302,   303,   305,
     306,   307,   310,   311,   312,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     395,   396,   397,   398,   399,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   430,   431,   434,   435,   436,   437,   438,   439,
     440,   441,   443,   444,   445,   448,   449,   450,   451,   452,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   465,
     466,   467,   468,   469,   472,   473,   474,   475,   476,   477,
     478,   480,   481,   482,   483,   484,   485,   488,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1152,  1245,
    1257,  1258,  1262,  1263,  1264,     3,    29,  1034,  1242,  1257,
    1262,   481,   533,   987,   308,   342,   949,    54,   533,   620,
      23,    41,    66,    79,   114,   120,   138,   151,   160,   173,
     182,   186,   256,   310,   313,   336,   350,   378,   388,   398,
     418,   426,   436,   438,   440,   441,   456,   464,   467,   470,
     629,   688,   795,   850,   861,    29,   341,  1242,  1034,    29,
     335,   396,   438,   440,     6,   243,   903,   904,  1248,    23,
      28,    66,    79,    96,   114,   138,   151,   160,   173,   179,
     186,   206,   266,   310,   323,   336,   347,   350,   378,   381,
     385,   388,   395,   398,   418,   426,   433,   436,   441,   449,
     451,   456,   470,   483,   705,   808,   810,   811,   949,  1242,
      99,   481,   533,   683,   686,   689,   982,   995,   999,  1002,
    1011,  1018,  1023,  1033,  1037,    11,    22,    29,    49,   168,
     175,   177,   201,   245,   283,   344,   364,   524,   525,   824,
     825,  1034,  1247,  1249,    29,    31,    99,   360,   394,   829,
     830,   831,  1257,   173,  1257,  1244,  1248,   433,  1051,   824,
    1257,   448,  1242,   323,   266,   533,   915,   386,  1257,    29,
     399,   444,   448,   570,   579,   580,  1257,   183,   829,   830,
    1257,   342,   949,  1257,   242,    29,   135,  1053,  1054,    67,
      93,   256,   277,   378,   388,   399,   444,   448,   496,   567,
     568,   569,   570,    29,   399,   444,   448,   570,   448,   309,
    1096,  1097,  1240,  1257,  1051,   526,  1257,   178,   533,   988,
     533,   358,  1043,  1044,  1242,  1043,     3,    53,    55,    56,
      69,    70,   117,   118,   139,   169,   218,   219,   221,   228,
     278,   280,   300,   355,   403,   409,   444,   445,   478,  1125,
    1127,  1129,  1131,  1133,  1135,  1136,  1137,  1139,  1140,  1141,
    1143,  1144,  1148,  1258,  1262,  1053,  1054,  1055,  1253,    12,
    1254,  1255,  1257,  1254,  1254,  1038,  1039,  1042,     0,   536,
     533,   987,   152,   220,   314,   463,  1056,  1057,  1038,  1040,
    1041,   125,   216,   268,   469,   537,    35,   953,   877,  1245,
     813,  1257,   813,  1242,   345,   813,   451,  1242,   113,   433,
     865,  1245,  1257,  1264,     3,   106,   110,   400,  1250,  1251,
    1259,  1262,  1263,  1264,    29,   195,  1240,   301,   483,    10,
      17,    18,    19,    74,   164,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   899,   901,  1183,  1184,  1257,   195,
    1242,   865,  1242,    29,  1250,  1251,   865,  1242,  1242,   195,
    1240,  1242,   195,   813,  1242,   370,   401,    29,   195,  1096,
    1242,   391,  1242,   813,    29,   263,  1250,  1251,   195,  1240,
     243,   122,   226,   292,   354,   950,   951,   952,   533,   531,
     535,  1209,  1211,   511,   981,   982,   983,   984,  1259,  1240,
    1242,  1257,    28,    66,    80,    92,   114,   138,   179,   206,
     244,   310,   347,   378,   381,   426,   436,   449,   456,   808,
     809,   810,   811,  1248,   953,   998,  1002,  1011,  1018,  1023,
    1037,  1240,   270,   813,   533,   195,   813,  1242,   813,   451,
     195,  1242,   113,   433,   438,   440,  1250,  1251,   438,   440,
      74,   164,   899,   368,  1242,  1242,  1250,   195,   544,  1257,
     195,  1242,   195,   545,   813,  1242,  1242,   391,   813,   263,
    1250,   358,   395,   433,   483,   266,    96,   206,    28,    92,
     179,   347,   385,   449,   451,   455,   700,    29,  1242,  1035,
     577,  1248,  1259,   904,   270,   195,   877,   878,   195,   908,
     195,  1242,   195,   815,  1125,   451,   113,   433,   195,   864,
     865,   195,  1251,  1252,    87,   483,    74,   164,   195,   900,
     901,    59,   195,   864,   195,  1252,   195,   864,   195,  1242,
     195,  1242,   391,   908,   195,   815,   195,   263,  1252,   243,
     195,   812,   813,   195,  1241,  1242,   195,  1242,   953,   533,
    1000,   629,   995,   477,   981,   987,  1249,   825,   826,    29,
     826,  1249,   826,    29,   826,  1249,   826,   826,   826,  1249,
    1247,  1247,  1034,   826,   345,   533,   431,   533,   656,   656,
     656,   308,   446,   537,   656,   388,  1096,  1098,   537,   944,
    1248,   533,   997,    59,   483,   981,   114,   206,   388,   431,
     433,   913,   914,  1257,    48,   510,   226,   535,   311,   308,
     177,   311,  1248,   446,   953,   171,   821,   308,     5,     8,
       9,    10,    12,    37,    53,    55,    56,    65,    66,    69,
      70,    77,    79,   104,   105,   106,   107,   108,   109,   110,
     117,   118,   120,   157,   162,   163,   169,   185,   187,   218,
     219,   221,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   238,   249,   257,   258,   269,   278,   280,   290,   292,
     297,   298,   300,   310,   321,   337,   355,   383,   400,   409,
     427,   432,   444,   445,   450,   452,   453,   464,   470,   478,
     498,   499,   500,   501,   503,   504,   505,   506,   512,   524,
     525,   526,   533,  1038,  1128,  1131,  1134,  1135,  1136,  1138,
    1139,  1140,  1143,  1144,  1148,  1149,  1151,  1152,  1153,  1155,
    1179,  1180,  1181,  1185,  1203,  1208,  1234,  1237,  1238,  1245,
    1246,  1247,  1248,  1257,  1236,  1237,  1248,    29,   585,  1239,
    1240,   399,   567,   120,   576,  1248,   577,  1248,    48,    71,
     567,   510,   410,   951,   311,   177,   446,   523,    48,   510,
     226,   952,   533,  1240,   526,  1211,  1098,   981,   176,   989,
    1149,  1188,  1043,   537,   533,   990,   480,  1142,  1142,  1142,
     533,  1130,  1130,   339,   533,  1132,    69,    70,  1142,  1130,
    1127,   514,   515,   533,  1145,   533,  1145,    37,  1126,   533,
     115,   193,   271,   274,   392,   508,   533,  1146,  1147,   535,
     814,  1130,  1236,  1212,   534,   534,   542,   981,   991,   992,
     993,  1240,    29,   135,  1052,  1052,    59,  1052,   165,   171,
     253,   304,  1060,  1062,  1063,  1078,  1080,  1081,  1082,  1056,
    1057,   177,   222,   222,  1096,  1099,   533,    68,   288,   324,
     366,   401,   533,   875,   324,   362,   366,   401,   814,   324,
     366,   401,     3,    91,   145,   259,   324,   362,   366,   401,
     436,   439,   490,   578,   581,   958,   959,   960,   961,   845,
      25,   140,   324,   366,   401,   474,   594,  1242,    25,   140,
     401,   469,   562,   494,   195,  1096,    62,    98,   161,   198,
     248,   288,   292,   324,   325,   366,   375,   384,   393,   401,
     414,   423,   428,   485,   578,   582,   881,   893,   921,   533,
     862,  1211,   366,   562,   201,   157,    25,    31,    46,    76,
     133,   140,   144,   172,   208,   288,   292,   302,   312,   324,
     366,   369,   370,   401,   474,   590,   592,   593,   723,   921,
       5,   524,   525,   697,  1249,    29,   195,  1240,   813,   813,
     533,   898,   324,   401,   535,   157,   308,   324,   366,   401,
     893,   921,    25,   140,   324,   366,   401,   201,   557,   366,
     490,   514,   550,   557,   324,   366,   401,   893,   921,   308,
     324,   366,   157,    38,    60,   112,   204,   262,   267,   272,
     288,   323,   366,   371,   395,   401,   416,   467,   590,   694,
     695,   324,   366,   482,   723,   731,   157,   324,   366,   401,
      25,    91,   133,   140,   144,   324,   362,   366,   401,   408,
     580,   568,   570,   201,   157,    46,   131,   288,   366,   401,
     590,   591,   324,   366,   370,   401,    89,   132,   327,   439,
     308,    25,    31,   140,   324,   366,   401,   610,   611,   557,
     171,   366,   550,   557,   157,   366,   401,   590,  1242,   251,
     122,   309,   495,   537,   950,    29,   135,   479,   526,   534,
     870,  1149,  1189,  1190,  1258,  1149,  1210,     3,    29,    33,
      34,    35,    36,    37,    38,    39,    43,    57,    65,    66,
      72,    78,    80,    92,    99,   104,   105,   106,   108,   109,
     110,   120,   122,   130,   135,   136,   142,   147,   152,   163,
     165,   171,   173,   177,   183,   186,   190,   201,   210,   220,
     222,   246,   247,   253,   257,   258,   292,   297,   304,   308,
     309,   313,   314,   333,   343,   360,   374,   394,   400,   411,
     429,   432,   433,   442,   446,   447,   453,   463,   464,   470,
     471,   479,   486,   487,   489,   490,   526,  1243,  1260,  1262,
    1263,  1264,  1265,  1209,   534,   537,   163,   308,   453,   574,
     577,   697,   985,   471,   978,   308,   877,   533,   813,  1242,
    1125,   865,   301,    74,   164,   901,   865,   865,   171,  1125,
     813,  1242,  1242,   534,   656,  1242,    72,  1125,   292,   177,
     533,   781,   550,    38,   972,  1242,   292,   550,   494,   195,
    1240,   550,   813,   813,   781,   467,   629,   308,   171,   490,
     889,   550,   292,    48,   564,   292,   456,   730,   292,   990,
      91,   324,   707,    89,   132,   327,   439,    38,   781,   171,
     195,   550,   483,   195,  1240,   195,   684,  1240,  1240,   483,
     813,    87,   546,  1245,   451,  1245,  1245,  1242,   171,  1242,
     705,    40,    54,   111,   215,   288,   390,   157,    63,   372,
     537,   547,   157,   533,   157,   550,   157,   537,   547,   494,
     157,   537,   547,   157,   537,   195,   812,   195,   813,   195,
     813,   157,   537,   547,  1252,   157,   547,   157,   157,   547,
     157,   547,   157,    89,   132,   327,   439,   171,   157,   547,
     157,   171,   195,   157,   537,   547,   157,   537,   547,   157,
     308,  1188,   433,   534,   995,   826,  1034,   826,  1034,   826,
    1034,   826,  1034,   826,  1034,  1034,  1034,   826,  1034,   533,
     657,   658,  1257,   657,    29,   114,   138,   173,   179,   243,
     244,   326,   347,   381,   388,   395,   433,   436,   456,   834,
    1239,  1252,   831,  1242,   201,   537,  1014,  1248,  1125,  1192,
      38,  1252,   546,   534,   546,   546,   546,   251,  1257,   171,
     834,  1252,   171,   386,  1257,   577,   308,   533,  1212,   531,
    1038,  1193,  1149,  1207,   533,   533,   171,   533,   533,  1038,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,  1149,   533,
     533,   533,   533,   533,   533,   533,   533,   299,   645,   533,
     533,   533,   533,   533,   533,   533,   533,  1149,  1149,  1149,
    1038,  1149,  1188,  1211,  1248,   533,  1248,     3,    10,    13,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   167,   168,   169,   170,   172,   173,   174,   175,
     176,   178,   179,   180,   181,   182,   184,   185,   187,   188,
     189,   191,   192,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   221,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   272,   273,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   305,   306,
     307,   309,   310,   311,   312,   313,   315,   316,   317,   318,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   481,   482,   483,   484,   485,   486,
     488,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   509,   510,   512,   521,
     522,   523,   524,   525,   526,   527,   528,   529,  1183,  1185,
    1187,  1261,  1266,   491,  1166,   320,  1149,   166,  1167,   222,
     537,  1049,   533,  1248,  1211,  1049,   123,   197,   586,   537,
      71,   120,   577,    38,     3,   120,   256,   575,   697,  1144,
    1248,  1248,    94,   137,  1161,   103,   120,   571,   572,   574,
     697,   120,   571,   251,  1240,    95,   371,   817,   534,   987,
      35,    45,    52,    78,   196,   201,   224,   252,   310,   313,
     406,   534,   537,  1044,  1241,    38,   533,  1188,  1247,  1142,
    1142,    37,  1126,   444,   444,  1247,  1247,   531,   531,  1247,
     446,   446,   446,   533,   446,  1247,  1243,   535,  1130,   177,
    1085,    15,   523,  1209,  1256,   534,   537,   990,  1040,  1040,
    1058,  1059,  1149,  1040,   168,   283,  1069,   240,   288,   354,
     404,   469,    29,  1064,  1149,   524,   525,  1065,  1066,  1149,
    1151,  1078,  1079,  1063,  1062,  1060,  1061,   171,  1081,   302,
    1083,  1060,  1078,  1099,  1003,  1240,  1099,    38,  1257,   401,
    1188,    68,   446,   446,   388,   201,   213,   314,   317,   403,
     479,   526,   868,   869,   870,   872,   874,   876,  1125,  1258,
     446,   482,   446,   388,   446,   446,   388,   253,   446,    79,
     446,   436,   567,   324,   958,   960,   523,   962,   171,   183,
     201,   376,   846,   847,    72,    92,   292,   653,   654,    92,
     120,   292,   446,    92,   446,   120,   292,   388,    92,   133,
     144,   324,   366,   778,   388,   713,    28,    66,   138,   179,
     310,   347,   381,   449,   456,   808,   809,  1242,   157,   366,
     401,   590,   308,   697,   393,   248,   446,  1257,   446,   297,
     697,   124,   223,   388,   399,   448,   569,   813,   372,   401,
     881,   894,   128,   534,   863,   868,   446,   470,   436,  1240,
      72,    80,    92,   153,   173,   195,   343,   464,   636,   651,
     652,  1257,    80,    92,   918,   329,   308,   383,   385,   451,
      92,   918,    32,   369,   383,   385,   451,   383,  1240,   172,
     208,   302,   813,   533,   446,   446,   194,   533,   598,    23,
     262,   436,   467,   492,   598,    92,   537,   128,     5,     5,
     324,   201,   157,   366,   401,   590,   921,   471,   471,   289,
    1125,   446,   388,   533,   899,  1242,  1240,   446,   446,   388,
     894,   128,   107,   433,   434,   930,   931,  1097,  1240,  1257,
     931,   446,   446,   781,   931,   114,   401,   581,   446,   552,
     581,   446,   446,   388,   894,   128,  1240,   446,   446,  1240,
    1127,   697,    59,   696,   697,   697,   112,   267,   272,    59,
     446,   550,   276,   388,   550,   288,   695,   446,   446,   297,
    1248,   723,   813,   446,   446,   388,   418,   350,  1248,   350,
     446,   350,   446,   350,   781,   781,   436,  1096,   329,   329,
      92,   446,   918,   388,   446,   446,   598,   598,   813,   813,
     813,   813,  1240,    47,   476,    47,    47,   476,   446,    47,
     446,   476,   388,   533,   537,   581,   470,   739,  1251,   446,
     552,   581,  1240,   446,   918,   388,   324,   366,   354,   367,
     397,   573,   950,  1189,  1189,  1190,   534,    15,    16,   537,
    1056,  1057,   532,   538,  1240,   983,  1242,  1240,   224,  1125,
     224,   308,   224,   224,   697,   813,   813,   224,   224,   224,
    1125,   224,   224,   224,   308,   446,   177,   446,   614,   456,
     533,    38,   157,   813,   782,   783,  1260,   958,  1125,   308,
     157,   710,  1242,   292,   329,   533,   551,   795,   471,   358,
     483,  1240,    29,   931,   781,   551,   157,  1251,    99,   183,
     565,   628,   690,   753,   827,   849,   954,   157,  1248,   731,
     732,   157,   308,  1248,  1251,   259,   813,   813,   813,   813,
     148,   353,   533,   739,   292,   551,  1240,   292,   692,   694,
     292,    38,   302,   329,   533,   656,   656,   195,   687,  1240,
     171,   195,   544,  1257,   533,   785,   875,  1242,   533,   866,
     866,    38,  1125,    27,    50,   217,   754,   243,   490,   492,
    1036,   390,   878,   877,  1125,  1242,   533,   815,  1125,   864,
     865,  1252,  1251,   157,   547,   157,   471,   157,   471,   900,
     901,   547,   864,  1252,   864,  1242,  1242,  1125,   815,  1252,
     739,   157,   812,   813,  1241,  1242,  1242,   813,   534,   195,
    1240,   995,  1034,  1034,  1034,  1034,  1034,  1034,   657,   534,
     537,   534,   180,   348,   382,   396,   434,  1241,   812,   113,
     398,   864,  1241,   301,   832,   833,  1257,   864,   864,  1241,
    1239,  1239,  1241,   812,   446,   184,   490,   843,   152,   253,
     736,   737,    23,   155,   383,   404,  1015,  1096,   296,  1016,
     534,   537,   998,   446,  1240,  1242,  1240,   544,   829,   830,
     177,   843,   830,  1257,    28,    80,   138,   179,   244,   347,
     381,   456,   808,   809,  1188,   532,  1188,  1193,  1194,   486,
    1204,  1205,  1149,  1188,   533,  1247,  1247,     3,   115,   193,
     271,   274,   392,   508,  1195,  1196,  1248,  1188,  1188,  1149,
    1222,   374,  1038,  1039,  1222,  1226,  1233,  1222,  1222,  1149,
    1151,  1189,  1226,  1229,  1230,  1149,  1230,  1222,  1149,  1222,
    1222,  1188,  1247,  1247,   534,  1149,  1149,   899,  1149,  1189,
    1191,  1198,   383,   524,   525,   533,  1150,  1151,  1185,  1199,
     534,  1188,  1149,  1191,  1200,  1149,    57,   177,   247,   447,
    1149,  1188,  1201,   135,   292,  1038,  1188,   276,  1151,  1149,
    1159,  1160,  1161,   276,  1149,  1161,   534,   537,  1247,  1146,
    1125,  1149,  1149,  1149,  1149,  1260,   256,   444,    43,   429,
    1213,   813,  1149,   533,  1038,  1202,   135,   137,   163,   228,
     284,   285,   286,   287,   291,   292,   297,   453,   465,  1197,
    1227,  1149,   533,  1149,   446,    52,   196,   201,   252,   406,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
      29,    36,   411,  1182,   186,  1167,   383,   533,  1179,   533,
     319,  1171,   182,   256,   433,   438,   440,   467,  1050,  1240,
    1238,  1085,  1189,  1085,  1240,   448,   533,  1248,   537,   534,
     194,   194,   547,   993,   982,   986,  1149,   534,   266,   292,
    1045,  1188,   534,   534,   531,   510,   510,   534,   534,  1247,
     532,  1247,   534,   193,   271,  1147,   271,  1147,  1147,  1247,
     274,   534,  1243,   228,   237,   246,   384,   507,   533,  1038,
    1086,  1087,  1088,  1096,  1102,  1112,  1119,  1152,  1154,  1155,
    1234,  1257,   487,  1107,  1253,   993,   991,   537,    39,   130,
     471,   858,   383,   384,   524,   525,  1066,  1068,  1151,   404,
     240,   309,   537,     5,  1067,  1247,  1067,   383,   384,  1068,
    1239,   296,   408,  1017,  1079,  1061,   471,  1012,   120,   322,
     533,  1004,  1037,    38,   471,  1257,   533,  1019,  1020,  1021,
    1257,   534,  1251,  1242,  1242,   317,    59,  1258,   534,   870,
     872,   869,   872,  1258,   314,   534,   537,   814,  1251,  1242,
    1242,  1251,  1242,  1242,  1251,   482,  1242,  1242,   120,   574,
     697,   378,   470,   829,   388,   183,   829,   533,  1242,   297,
     195,  1242,   297,  1251,  1242,  1242,  1149,   297,  1242,  1242,
      32,   369,   446,   446,  1242,   446,   714,   877,   533,  1125,
     865,    74,   164,   901,   865,   865,   171,  1125,   813,  1242,
     189,   288,   324,   366,   475,   717,   718,   719,  1096,   446,
     918,   388,   297,   124,   223,  1251,  1242,   308,  1242,   308,
     534,   537,  1250,  1252,  1242,   366,   590,   533,   195,   636,
    1242,   471,   851,   240,   292,   240,   471,   645,   678,  1125,
    1242,  1247,  1257,  1240,  1242,   251,  1242,    29,   470,  1242,
     195,  1242,   195,  1257,   385,   451,   385,   451,   251,  1242,
      29,   470,  1242,   251,   383,  1240,    25,   140,   401,   724,
     725,   726,   727,  1260,  1251,  1242,   120,   178,   293,   471,
     597,   600,   601,  1260,   270,  1242,    76,   305,  1242,   593,
     308,   446,   436,  1240,   446,   918,   388,   128,  1242,  1242,
     537,   534,   537,  1251,  1242,   924,   925,  1260,   308,   366,
     446,   747,  1251,  1242,  1242,   308,  1096,   201,   537,   656,
     656,  1211,  1251,  1242,  1242,  1250,     3,    91,   146,   208,
     331,   462,   470,   473,   553,  1251,  1242,  1242,   308,   366,
    1251,  1242,   366,   401,   590,   694,   697,   813,  1242,   697,
     813,  1242,   697,  1251,  1242,   401,  1251,  1242,  1242,   120,
     604,  1249,  1241,  1241,  1251,   889,  1242,  1241,  1242,   366,
     401,   590,   591,  1240,  1240,  1242,  1242,  1242,  1242,  1251,
    1242,    25,    31,   140,   324,   366,   401,   324,   366,   401,
     781,   366,   401,   366,   401,   366,   921,  1111,  1257,   195,
     791,  1257,   195,  1257,  1248,  1251,  1242,  1242,  1248,  1242,
     924,    25,   140,   611,   398,  1250,   366,   401,   590,  1242,
    1242,  1242,   446,   446,    85,   461,   354,   537,  1056,  1056,
    1056,  1149,  1149,   479,  1190,   534,  1149,  1210,   978,   297,
     819,  1248,    38,   819,   138,   813,   819,   819,   224,   471,
     471,   819,   819,   819,   243,   819,   819,   819,   813,   349,
     615,   615,   206,   433,   752,  1149,  1125,   813,   534,   537,
     523,   642,  1260,  1242,    63,   177,   388,   482,   711,   718,
     719,   157,   302,   252,   630,   632,   634,   636,   648,   651,
      26,   201,   378,   430,   553,   554,   171,  1242,   483,  1240,
      38,   748,   434,   889,   544,  1257,   564,   629,   861,  1242,
     173,   813,   533,   680,   681,  1154,  1257,   350,  1248,   781,
     781,   781,   781,   533,   781,  1109,  1110,  1111,   398,   157,
     533,   157,   157,   156,  1037,   813,   302,   630,  1257,   471,
     673,   490,   599,   292,    38,   656,  1248,   292,   308,     3,
     786,   787,   781,    27,   534,   867,   868,   873,    38,   243,
     375,   449,   489,   879,   880,   881,   882,   879,   308,   243,
     302,   125,   216,   454,   469,   755,   756,  1242,   192,   192,
     171,   547,    38,   550,   172,   966,   967,   547,   547,   812,
     813,  1242,   813,  1242,   547,   547,   547,   547,   243,   547,
     398,   171,   547,   547,   308,   547,   292,   534,   658,   201,
     201,   201,   201,   201,   494,  1241,   697,   698,   537,   535,
     186,   835,   836,  1251,    59,   840,   841,  1260,   446,   533,
     177,   155,   404,   155,   404,   383,   469,   273,  1125,  1251,
     490,   685,   308,   835,   547,   177,   877,   813,  1125,   865,
     301,   865,   865,  1125,   813,  1242,   534,   532,   532,   537,
    1149,   142,  1205,  1206,    38,   534,  1149,   534,   534,   534,
     177,   534,   534,   511,  1223,  1224,   490,   492,  1228,  1125,
    1224,   534,    21,   297,   537,  1232,   314,  1235,   537,   538,
     476,   534,   534,    21,   297,   537,  1231,  1231,   537,   534,
    1226,   537,   534,   534,   534,   534,   537,   537,   534,   333,
     534,   534,   533,  1150,  1150,  1188,    13,    17,    18,    19,
     201,   224,   310,   521,   522,   523,   524,   525,   526,   527,
     528,   529,  1185,  1150,   534,   534,   171,   177,   406,   534,
     534,    38,  1201,  1188,  1201,  1201,   177,   534,   135,   534,
    1260,   330,  1164,    38,   534,   537,  1149,  1260,   537,  1149,
    1212,  1149,   534,   510,  1150,  1150,   150,  1188,   177,    37,
     301,   387,   476,   135,   137,   163,   291,   297,   453,   465,
    1197,  1227,   291,  1228,   150,   899,  1149,   429,  1213,  1149,
    1202,  1149,   446,   533,  1038,   533,  1171,   533,  1188,   487,
     533,  1172,  1257,   438,   440,   438,   440,  1240,  1051,  1051,
    1051,  1107,  1056,  1107,   951,  1247,  1146,   572,   993,   266,
     533,   534,  1247,  1145,  1145,   532,   532,   534,   533,  1038,
    1102,  1112,  1119,   177,   533,  1038,  1087,  1088,    38,  1089,
    1090,  1257,   537,   100,   178,   212,   227,   250,   279,   377,
    1093,  1090,    38,  1089,  1092,  1257,  1090,  1090,   514,  1106,
    1211,  1149,   186,  1070,  1059,   310,  1183,  1186,   513,   859,
       5,  1247,  1068,   309,   490,   469,  1065,   261,  1086,   487,
    1108,   477,   431,   470,  1005,  1006,  1007,  1257,   308,  1008,
    1257,  1087,  1021,  1022,   537,  1085,   523,  1212,   876,   814,
     872,   872,    59,   874,   528,  1252,  1252,   308,  1241,   311,
     308,  1149,   654,   771,   157,   547,   446,  1251,  1242,   577,
    1125,   813,   813,  1125,   701,  1242,   189,   475,   446,   446,
     701,   717,   723,   366,   401,   590,  1242,  1242,  1242,   214,
     297,   160,   868,   323,   401,   446,  1149,   292,   153,   652,
    1242,   533,   533,   157,   533,   678,   206,   533,   771,   421,
     640,   641,   771,   401,    25,   140,   370,   371,   401,   594,
     602,   603,   723,   919,   393,   157,   547,   157,   547,  1242,
    1242,  1242,  1242,   393,   393,   251,   726,   727,   726,   534,
     537,   728,  1248,   206,   534,   537,   523,   535,   120,   605,
    1257,   160,  1251,  1242,   366,   401,   590,  1242,  1242,  1242,
     308,   324,   366,   401,    25,   140,   324,   366,   401,  1125,
     289,  1125,   534,   537,   523,  1240,   446,  1252,   471,   744,
     160,   656,   388,   930,   487,   663,   663,   656,   253,   331,
     297,  1248,   331,  1252,   468,   160,   446,   446,   388,   418,
     889,   889,   889,   323,   401,    92,   446,   918,   388,   120,
     171,   606,   167,   546,   446,   446,   263,   263,   263,   446,
     446,   388,   446,   446,   388,   446,   388,   446,   388,   446,
     128,   547,  1125,   292,  1248,   401,   919,   157,   547,   446,
     446,   534,  1242,   446,   918,   388,   446,  1251,  1242,   534,
     534,   534,  1190,   532,  1125,   813,   224,   819,  1242,  1242,
    1242,   224,   419,   420,   616,  1248,   616,   189,   534,   534,
     177,   781,   783,   289,   310,   524,   525,   697,   784,   872,
    1186,  1248,  1265,    72,    78,    92,   120,   122,   181,   210,
     292,   297,   343,   360,   464,   643,   644,   647,   156,   486,
     550,   577,  1242,   577,   312,   721,  1240,  1240,  1240,   534,
     537,  1252,   186,   378,  1252,  1247,   456,  1240,   656,     3,
     171,   749,   889,    48,   564,   433,   730,   113,   990,  1149,
     177,   537,  1241,   599,   788,   789,  1248,   534,   537,  1242,
     171,   657,  1240,   684,  1240,  1242,   685,   533,   631,  1240,
     534,  1242,   490,   492,   674,   598,    38,   157,  1037,   673,
     446,   157,  1096,   523,   534,   537,   755,   534,   537,   120,
     523,   883,  1248,   577,   433,   871,   872,   171,   888,    51,
     373,   884,   885,   882,   885,   125,   216,   394,   469,   941,
    1242,   302,   308,   313,   189,  1037,  1125,   533,   534,   537,
     547,   471,   547,   471,   547,  1242,  1242,   739,   813,   157,
     388,   388,   388,   388,   388,  1241,   537,   833,  1257,  1251,
     490,   537,   837,  1251,   537,   843,   163,   311,   453,   842,
    1098,   398,   155,   155,   113,   288,   834,   843,  1252,   224,
     224,   224,   224,   697,   224,   224,   224,   224,   224,  1193,
     442,  1149,   147,  1125,   534,  1149,   228,   464,   464,   534,
    1224,  1226,   308,   308,  1222,  1226,    59,  1232,  1149,  1222,
    1222,   308,   308,  1230,  1228,  1228,  1149,   534,  1149,  1197,
    1149,  1149,   534,  1188,   537,  1125,  1150,  1150,  1150,  1150,
     135,   137,   292,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,  1149,  1149,  1149,  1125,   534,   534,   534,
    1188,   534,   537,    59,  1151,  1165,   534,  1260,  1160,   340,
     425,  1163,   534,   537,   482,  1156,    38,   534,  1248,  1149,
      35,    35,  1149,   534,  1149,   177,   291,  1228,  1149,   534,
     150,  1150,  1150,   150,   150,  1149,  1149,  1057,   534,  1188,
     537,  1149,  1173,  1257,  1051,  1051,  1051,  1051,  1240,  1240,
    1240,  1070,   534,  1070,   534,   998,   532,  1222,  1090,  1092,
    1090,  1090,   533,   502,  1151,   534,  1257,   533,  1087,   227,
     318,  1094,  1087,  1094,   227,  1093,  1094,   227,   435,  1100,
     533,  1257,   533,   315,    59,   190,  1077,   533,   859,   168,
     245,   309,   490,   443,   103,  1149,   374,  1010,   476,   534,
     537,  1212,    90,  1010,   308,   534,   537,  1020,  1108,  1149,
     534,   528,   876,   456,   180,   382,   389,   396,   434,   457,
     848,   171,   848,   534,   122,   210,   288,   292,   772,  1242,
    1242,    38,   471,   471,   243,   814,  1251,  1242,   446,   918,
     388,   446,   214,  1242,    59,   436,  1242,   534,   157,   533,
     661,   662,   854,  1154,  1257,   657,   636,   657,   771,  1242,
     657,   120,  1257,    86,   638,   639,   418,   181,   159,   194,
     292,   598,   550,   113,   159,   181,   292,   418,   598,   638,
     640,   695,   401,   603,   456,  1242,  1257,   393,   725,  1242,
     601,   784,  1260,  1242,   323,   401,   446,   918,   388,   446,
     160,   446,   446,   388,   179,   310,   421,   793,   794,   179,
     310,   801,   802,   446,   446,   388,   534,   534,   534,   925,
     289,   697,   872,   926,  1186,  1248,  1265,   366,  1242,   533,
     490,   745,  1242,   663,   107,  1257,   533,   663,  1249,  1248,
    1248,  1248,  1242,  1242,  1242,  1242,   604,    59,   436,  1242,
    1242,  1242,  1242,   477,  1242,  1242,   171,   171,   368,   171,
     195,  1251,  1242,  1242,  1251,  1242,  1242,  1242,  1242,  1242,
    1242,  1242,   308,    78,   595,   157,    27,    50,   456,  1257,
    1242,  1248,   723,  1242,  1242,  1242,  1242,  1056,   534,   224,
     819,   224,   224,   224,   819,   550,   471,   621,   622,   701,
     771,   490,   492,   813,   533,   813,  1242,  1150,    32,    59,
     646,   123,   197,   122,   297,   240,  1240,   645,   179,   347,
     767,   774,   775,  1257,   710,   533,   329,   533,   631,   649,
     209,   668,   634,  1252,  1252,  1125,   533,   599,    29,   125,
     216,   394,   469,   750,   446,   746,  1251,   195,  1240,   732,
     494,   308,   534,  1086,   681,   889,   534,   537,  1111,   721,
     739,   534,   692,    38,   302,   329,   533,  1000,   633,   635,
     637,   651,  1257,   329,   669,   670,   631,   668,   598,   305,
     308,   675,  1037,   687,   685,   599,  1248,  1242,   851,   784,
       3,   787,   308,   873,  1149,  1149,   537,   533,   879,   456,
     537,    44,  1149,   446,   533,   657,  1240,   756,   701,   534,
     966,   967,  1242,  1242,   547,   398,   547,  1241,  1241,  1241,
    1241,  1241,   697,   183,   836,   843,   841,   534,  1242,   113,
     177,   547,   843,   297,   822,  1248,   822,   822,   822,   224,
     822,   822,   822,   822,   822,  1149,   534,   145,   241,   241,
     534,   297,   297,   534,  1058,  1226,   330,  1214,   297,   297,
    1226,  1226,  1214,  1214,   534,   534,   177,   534,  1149,   177,
     135,   137,   177,   171,   150,   534,   497,  1158,  1188,   359,
     476,    59,  1165,  1151,   488,   488,   534,  1149,   288,  1149,
     537,  1157,  1127,  1149,  1149,  1149,  1149,    35,    35,  1149,
    1149,   150,   534,   534,   534,  1149,   534,   329,  1174,  1240,
    1240,  1240,  1240,  1077,  1248,  1077,  1248,   534,   537,  1103,
    1104,  1154,   533,  1164,  1089,   533,  1241,  1087,   308,   471,
    1095,  1087,   227,  1087,  1245,  1110,   533,  1110,  1257,  1052,
    1149,   489,  1168,   899,   443,   302,  1237,  1037,   322,  1037,
    1007,   308,   533,  1009,  1149,   523,  1021,  1010,   456,   534,
     446,   829,   177,   771,   123,   197,   208,   122,   473,   547,
    1125,  1242,  1242,  1242,  1242,  1242,  1242,  1242,  1252,  1242,
     771,   636,  1149,   534,   537,   490,    78,   853,   857,   853,
     534,   534,   534,   120,  1257,   721,   604,   646,   195,   195,
     297,   697,    38,   646,   297,   604,  1125,   547,   547,   523,
      59,   436,  1242,  1242,  1242,  1242,  1242,  1251,  1242,  1242,
    1247,  1247,  1125,   537,  1247,  1247,   537,  1251,  1242,  1242,
     446,  1149,    72,  1149,  1252,  1242,   446,   446,   177,   201,
     490,  1241,  1241,   813,  1241,   157,   160,   813,  1248,  1248,
    1125,   547,   547,   446,   534,   224,   819,   819,   819,   819,
     533,   617,   618,   550,   127,   179,   213,   179,  1149,   292,
     644,   120,    38,   889,   656,   889,  1245,    35,   156,   201,
     722,   726,   302,   630,   606,   154,   203,   533,   398,   471,
     657,    38,  1252,   744,   564,   292,   533,   173,  1242,   680,
    1248,   398,   599,   156,  1037,   813,   302,   630,   685,   534,
     537,   490,   642,    59,   673,   606,   669,    84,   436,   676,
     490,   955,    38,   676,   177,   308,   533,  1240,  1248,   870,
     890,   891,  1258,   885,  1125,   171,   886,  1240,   177,   446,
     910,   361,   757,   211,   702,   547,   534,   547,   547,  1242,
     311,   222,   835,   547,   822,  1242,   534,  1215,  1216,  1222,
     120,   143,   149,   163,   297,   453,   465,  1218,  1219,  1221,
     534,   534,  1226,  1226,  1149,   534,  1150,   177,  1149,  1149,
    1149,   533,   534,   537,   534,  1165,   534,   476,   415,   534,
     205,   288,  1162,  1149,  1149,  1149,   534,    59,  1056,  1168,
    1168,   391,  1046,  1149,   534,   537,    38,  1105,   120,  1117,
    1118,  1150,    81,  1241,   534,  1149,   533,  1087,  1095,   533,
     534,  1110,   534,   102,   187,   380,   533,  1071,  1072,  1073,
    1074,  1075,  1076,  1149,  1169,  1170,  1257,  1056,   534,  1034,
    1005,    92,   852,   854,   136,   486,  1024,  1025,  1026,  1027,
    1149,   835,   308,   835,   534,   446,   401,  1016,   534,   202,
     659,   662,   310,   899,   813,   545,   813,   360,   659,   659,
     642,    38,   157,   157,   533,   595,   784,  1252,  1242,   446,
     533,   865,   899,   901,   794,   533,   533,   802,  1242,   534,
     533,   534,   401,  1016,  1242,  1242,   533,   533,   533,   490,
     514,   975,   368,   975,   975,   171,  1242,   595,  1242,   819,
     623,   624,  1260,    54,   101,   126,   145,   150,   172,   176,
     191,   297,   351,   619,   617,  1248,   865,    38,   906,   906,
     534,   194,   533,   471,   677,   264,   660,   677,   533,   775,
     767,   533,   534,   537,  1240,   534,   398,    29,    83,    86,
      93,   121,   181,   194,   207,   418,   421,   650,   650,  1239,
    1242,  1242,   534,  1037,   745,   157,   113,   721,   177,  1242,
      38,  1242,   685,   631,  1240,   534,   635,   312,  1257,   674,
     669,   673,   125,   140,   340,  1242,    64,    72,   256,  1037,
     813,  1096,   852,   177,   770,   872,   534,   537,   456,   147,
     543,   884,   887,  1107,   413,   413,   534,   282,   306,   758,
     759,   760,   171,   763,   701,   288,   475,   703,   704,  1242,
     843,   537,    38,  1149,    37,   301,   308,   534,   490,   492,
    1217,  1218,  1220,   171,  1150,  1159,  1188,   288,   509,   205,
     534,  1188,   188,   353,   384,  1175,    58,   129,   112,  1047,
      38,  1120,  1106,  1103,   533,  1150,   534,   537,    38,  1113,
    1114,  1257,   534,  1241,  1188,   534,   533,   402,   533,   534,
     537,   537,    38,  1061,   476,  1242,   534,   537,   293,   469,
     265,   292,  1010,  1025,    35,  1028,  1028,   837,   848,   547,
    1242,   436,   853,   533,   889,   533,   858,   598,  1240,   889,
     889,   194,  1149,   471,   596,   401,  1016,  1242,  1192,   171,
     797,   797,  1192,  1192,  1149,   436,  1188,  1188,   607,   608,
    1259,   812,   813,   812,   813,  1241,   547,   534,   537,   120,
     526,   533,   574,   625,   697,   972,  1248,   972,   292,   297,
     351,   972,   972,  1107,   906,    42,   199,   288,   655,   533,
     693,  1149,   206,   178,   328,   407,   308,   664,   665,   666,
     534,  1245,     6,   776,   726,   631,   668,  1242,   534,   721,
     164,   796,   599,   955,  1240,   494,  1086,   721,  1037,  1000,
     669,   631,   668,   642,   533,   675,   673,   674,   384,   384,
      72,   311,    72,   685,   851,   534,  1240,   771,   879,   890,
    1125,   536,   136,   490,   490,   759,   383,   433,   761,   141,
     764,   486,   766,   475,   701,   721,   547,  1216,  1260,   149,
      37,    88,   460,   494,    37,   494,   239,   307,  1225,   308,
     534,  1149,   534,   534,   476,    52,   103,   459,  1149,  1176,
    1177,  1176,  1176,   534,   168,   168,   657,  1242,  1214,  1110,
     537,  1118,  1260,   534,   537,   171,  1125,   534,   534,  1188,
     533,  1188,  1072,  1170,  1172,  1079,  1037,  1107,   854,   401,
     265,  1149,   442,   442,   177,  1242,   657,   677,   899,   859,
     858,   656,   677,   677,   693,   534,  1149,   436,   534,   314,
     391,   357,   798,   798,   534,   534,   534,  1242,   534,   534,
     534,   537,  1247,   975,   624,   574,   626,   627,  1248,  1248,
     297,   526,   657,   526,   657,  1248,  1248,   208,   694,   534,
     436,   125,   469,   308,   666,   308,   665,   533,   534,   537,
     606,   398,   721,   813,    38,    38,   533,  1242,   955,   685,
     673,   606,   669,   533,   671,   672,  1154,  1257,   676,   674,
     675,   311,   311,   533,   202,   855,   171,   885,    30,   217,
     942,   179,   179,   972,   383,   417,   765,   533,   156,   494,
      37,   494,    37,   494,   494,   352,   352,  1220,   143,   149,
    1177,   383,   170,   338,   170,   338,   153,  1178,  1178,  1178,
      59,    59,   401,    81,   534,  1151,  1114,   315,     3,   120,
     292,   297,   332,  1115,  1116,    38,  1091,   367,  1101,   534,
    1071,   534,  1019,    59,   125,   136,   469,  1029,  1030,   136,
     216,  1031,   835,  1016,   534,   663,   534,   859,   660,   771,
     771,  1242,   865,    59,  1016,   446,   607,   813,   534,   537,
     526,   657,   534,   422,  1242,    63,   288,   372,   401,   667,
     667,   534,     6,   398,  1242,   793,  1037,   721,   674,   669,
     673,  1149,   534,   537,   857,   857,   675,   676,   852,   533,
     645,   141,   293,   533,   937,   939,   943,  1002,  1011,  1018,
    1037,  1048,   865,   865,   762,  1257,  1149,   767,   494,   494,
     308,   308,   534,  1218,    35,   103,   186,   288,   443,   657,
     657,  1257,   533,  1164,  1150,  1150,   297,  1150,  1116,  1257,
     533,   534,  1107,   412,   437,   293,   401,   293,   120,   322,
     477,   533,  1032,   547,   771,   664,  1016,   813,   533,   627,
      24,   120,   297,  1242,   721,   955,   675,   673,   674,   534,
     672,   545,   545,   676,   534,   854,   856,   599,   383,   938,
     939,   940,  1038,  1039,   537,   537,   534,  1245,   387,   387,
     308,  1177,   383,   316,   401,   401,   446,   471,   281,  1121,
    1122,  1257,    81,  1149,  1019,   477,  1005,   533,  1006,   771,
    1188,   656,   656,   721,   676,   674,   675,   857,   855,   534,
     537,   676,   766,   534,   536,   446,   177,   533,   424,   424,
     149,  1257,  1257,   228,  1245,  1246,  1257,   332,  1123,   534,
     537,   171,  1125,  1113,   534,   476,  1188,   534,   534,   675,
     676,   545,   645,   854,  1107,   156,   940,   413,   413,     5,
     768,   769,  1247,  1248,  1260,   533,   120,  1248,  1221,  1122,
     315,   157,   332,  1124,  1223,   534,  1032,   534,   322,  1032,
     676,   599,   767,   490,   490,   534,   537,  1189,  1246,    38,
      81,   534,  1124,  1248,  1217,  1124,  1005,   676,  1245,   179,
     179,   769,  1056,   471,  1242,   533,  1221,  1225,  1217,   476,
    1107,   533,   865,   865,   534,  1257,    81,  1121,  1220,  1225,
    1032,   768,   533,   534,  1220,   534,  1121,   534
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   539,   540,   540,   540,   540,   540,   540,   541,   541,
     542,   542,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   544,   544,   545,
     545,   546,   546,   547,   547,   547,   548,   549,   550,   550,
     550,   551,   551,   552,   552,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   554,   554,   554,   554,   554,   554,
     555,   556,   556,   557,   557,   558,   558,   558,   558,   559,
     559,   559,   559,   559,   559,   560,   561,   562,   562,   563,
     563,   563,   563,   564,   564,   565,   565,   565,   565,   565,
     565,   566,   566,   566,   567,   567,   567,   568,   568,   568,
     568,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   570,   570,   571,   571,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   575,   575,   575,   575,
     575,   575,   575,   576,   576,   576,   577,   577,   578,   579,
     579,   579,   579,   580,   580,   581,   581,   582,   582,   583,
     583,   583,   583,   583,   584,   585,   585,   586,   586,   587,
     588,   588,   588,   588,   588,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   590,   590,   591,   591,
     591,   592,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   593,   593,   593,   593,   593,   593,   593,
     593,   593,   593,   594,   594,   595,   595,   596,   596,   597,
     597,   597,   597,   598,   599,   599,   600,   600,   601,   601,
     601,   601,   602,   602,   603,   603,   603,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   608,   608,   609,
     610,   610,   611,   611,   611,   611,   612,   612,   613,   613,
     614,   614,   615,   615,   616,   616,   616,   617,   617,   618,
     618,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   620,   620,   621,   621,
     622,   622,   623,   623,   624,   625,   625,   625,   625,   625,
     625,   626,   626,   627,   628,   628,   628,   628,   628,   628,
     629,   629,   629,   629,   629,   629,   629,   629,   630,   630,
     631,   631,   632,   632,   633,   633,   634,   634,   634,   635,
     635,   636,   637,   637,   638,   638,   639,   639,   640,   640,
     641,   641,   642,   642,   643,   643,   643,   643,   644,   644,
     644,   644,   644,   644,   644,   644,   644,   645,   645,   645,
     646,   646,   647,   647,   647,   647,   648,   649,   649,   649,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     651,   651,   652,   652,   652,   652,   652,   652,   652,   653,
     653,   654,   654,   655,   655,   656,   656,   657,   657,   658,
     659,   659,   660,   660,   660,   660,   661,   661,   662,   662,
     663,   663,   664,   664,   664,   664,   664,   665,   666,   667,
     667,   667,   667,   667,   668,   668,   669,   669,   670,   671,
     671,   672,   672,   672,   673,   673,   674,   674,   674,   675,
     675,   675,   675,   676,   676,   677,   677,   678,   679,   679,
     680,   680,   681,   681,   681,   682,   682,   683,   683,   684,
     685,   685,   685,   686,   686,   687,   688,   688,   689,   690,
     690,   691,   691,   692,   692,   693,   693,   694,   694,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   696,   696,   697,   697,   697,
     697,   698,   698,   699,   699,   700,   700,   701,   701,   702,
     702,   703,   703,   704,   704,   705,   705,   706,   707,   707,
     708,   708,   709,   709,   710,   710,   711,   711,   711,   711,
     712,   713,   713,   714,   715,   715,   715,   715,   715,   715,
     715,   715,   715,   715,   715,   715,   715,   716,   717,   717,
     717,   717,   718,   718,   719,   719,   720,   720,   721,   721,
     722,   722,   723,   724,   724,   725,   725,   725,   725,   726,
     727,   728,   729,   729,   730,   730,   731,   731,   732,   732,
     733,   733,   733,   734,   734,   734,   734,   735,   736,   736,
     737,   737,   738,   738,   739,   739,   740,   740,   741,   742,
     743,   744,   744,   745,   745,   746,   746,   747,   747,   748,
     748,   749,   749,   750,   750,   750,   750,   750,   751,   752,
     752,   753,   753,   754,   754,   754,   755,   755,   756,   756,
     756,   756,   756,   757,   757,   758,   758,   759,   760,   760,
     761,   761,   762,   763,   763,   764,   764,   765,   765,   766,
     766,   767,   767,   768,   768,   768,   769,   769,   769,   769,
     770,   770,   771,   771,   772,   772,   772,   772,   772,   772,
     773,   773,   774,   774,   775,   776,   776,   777,   778,   778,
     778,   778,   779,   780,   780,   780,   780,   780,   780,   780,
     780,   780,   780,   780,   780,   780,   780,   780,   780,   781,
     782,   782,   783,   783,   784,   784,   784,   784,   784,   784,
     785,   786,   786,   787,   788,   788,   789,   789,   790,   790,
     790,   790,   790,   791,   791,   792,   793,   793,   794,   794,
     794,   794,   794,   795,   795,   796,   796,   797,   797,   797,
     798,   798,   799,   800,   800,   801,   801,   802,   802,   803,
     803,   804,   804,   805,   806,   807,   807,   807,   807,   807,
     807,   807,   807,   807,   807,   807,   807,   808,   808,   808,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     809,   809,   809,   809,   809,   810,   810,   810,   810,   810,
     810,   810,   810,   811,   811,   811,   812,   812,   813,   813,
     814,   814,   815,   815,   816,   817,   817,   817,   818,   818,
     818,   818,   818,   818,   818,   818,   818,   818,   818,   818,
     818,   818,   818,   818,   818,   818,   819,   819,   820,   820,
     820,   820,   820,   820,   820,   820,   820,   820,   821,   821,
     822,   822,   823,   823,   824,   824,   824,   824,   824,   824,
     824,   824,   824,   824,   824,   824,   824,   824,   824,   824,
     825,   825,   826,   826,   827,   828,   828,   829,   829,   829,
     829,   829,   830,   830,   831,   831,   831,   831,   831,   832,
     832,   833,   833,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   834,   834,   834,   834,   834,   834,   834,
     834,   834,   834,   834,   835,   835,   836,   836,   837,   837,
     838,   838,   839,   839,   840,   840,   841,   842,   842,   842,
     843,   843,   844,   845,   845,   846,   846,   846,   847,   847,
     847,   848,   848,   848,   848,   848,   848,   849,   849,   850,
     850,   851,   851,   852,   852,   853,   853,   854,   854,   854,
     855,   855,   856,   856,   857,   857,   858,   858,   858,   859,
     859,   859,   860,   860,   860,   860,   861,   861,   862,   862,
     863,   863,   864,   864,   865,   865,   865,   865,   866,   866,
     867,   867,   868,   868,   868,   868,   868,   869,   869,   869,
     869,   869,   870,   871,   872,   872,   872,   873,   873,   873,
     874,   875,   875,   875,   875,   876,   876,   877,   878,   878,
     879,   879,   880,   880,   881,   881,   881,   881,   881,   881,
     881,   881,   881,   881,   881,   881,   881,   881,   881,   881,
     881,   882,   882,   882,   882,   882,   883,   883,   884,   885,
     885,   885,   886,   886,   887,   887,   888,   888,   889,   889,
     890,   891,   891,   892,   892,   892,   893,   893,   894,   894,
     895,   895,   895,   895,   895,   895,   896,   896,   897,   897,
     898,   898,   898,   898,   899,   899,   900,   900,   901,   902,
     903,   903,   904,   904,   905,   905,   905,   906,   906,   906,
     907,   908,   908,   909,   910,   910,   910,   910,   911,   912,
     912,   912,   913,   913,   914,   914,   915,   915,   916,   916,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   917,   917,   917,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   920,   920,   921,   921,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   923,   924,   924,   925,   925,   925,
     926,   926,   926,   926,   926,   927,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   928,
     929,   929,   929,   930,   930,   930,   930,   930,   930,   930,
     931,   931,   932,   932,   932,   932,   933,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   935,   935,   936,   937,
     937,   937,   938,   938,   939,   939,   939,   939,   939,   940,
     940,   941,   941,   941,   941,   942,   942,   942,   943,   944,
     944,   945,   946,   946,   947,   947,   947,   947,   947,   947,
     947,   947,   947,   947,   947,   947,   948,   948,   949,   949,
     949,   950,   950,   950,   950,   950,   951,   951,   951,   952,
     952,   953,   953,   953,   954,   954,   954,   954,   955,   955,
     955,   955,   956,   957,   958,   958,   959,   959,   960,   960,
     960,   961,   961,   961,   961,   961,   961,   961,   962,   962,
     963,   963,   963,   963,   964,   965,   965,   965,   965,   966,
     966,   967,   968,   969,   969,   970,   971,   971,   971,   971,
     971,   971,   971,   972,   972,   973,   974,   974,   974,   974,
     974,   974,   975,   975,   976,   977,   977,   977,   977,   977,
     978,   978,   979,   979,   980,   980,   981,   981,   982,   982,
     983,   984,   984,   984,   985,   985,   985,   986,   986,   987,
     987,   988,   988,   989,   989,   990,   990,   991,   992,   992,
     993,   993,   994,   994,   994,   994,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   995,   996,   997,   997,   998,
     998,   998,   998,   998,   999,   999,   999,  1000,  1000,  1001,
    1001,  1001,  1001,  1002,  1003,  1003,  1004,  1004,  1004,  1004,
    1004,  1005,  1005,  1006,  1006,  1007,  1008,  1008,  1008,  1009,
    1009,  1009,  1010,  1010,  1011,  1012,  1012,  1013,  1014,  1014,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1016,  1016,
    1017,  1017,  1017,  1018,  1019,  1019,  1020,  1020,  1021,  1022,
    1022,  1023,  1024,  1024,  1025,  1025,  1025,  1025,  1025,  1026,
    1026,  1027,  1027,  1028,  1028,  1029,  1030,  1031,  1031,  1031,
    1031,  1031,  1032,  1033,  1034,  1035,  1035,  1035,  1035,  1035,
    1035,  1036,  1036,  1036,  1037,  1037,  1038,  1038,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1039,  1040,  1040,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1042,  1042,  1042,  1043,  1043,
    1044,  1045,  1045,  1045,  1046,  1046,  1046,  1047,  1047,  1047,
    1048,  1048,  1049,  1049,  1050,  1050,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1051,  1051,  1052,  1052,  1052,  1053,  1053,
    1054,  1054,  1055,  1055,  1056,  1056,  1057,  1058,  1058,  1059,
    1059,  1060,  1060,  1060,  1060,  1061,  1061,  1062,  1062,  1062,
    1062,  1062,  1062,  1063,  1063,  1064,  1064,  1065,  1066,  1066,
    1066,  1067,  1067,  1068,  1068,  1069,  1069,  1070,  1070,  1071,
    1071,  1072,  1072,  1072,  1072,  1072,  1073,  1074,  1075,  1076,
    1077,  1077,  1078,  1078,  1079,  1079,  1080,  1080,  1081,  1082,
    1082,  1082,  1082,  1083,  1083,  1084,  1084,  1085,  1085,  1086,
    1086,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1088,  1088,  1088,  1088,  1088,  1088,  1089,
    1089,  1089,  1089,  1090,  1090,  1091,  1091,  1092,  1092,  1092,
    1092,  1092,  1093,  1093,  1093,  1093,  1094,  1094,  1095,  1095,
    1096,  1096,  1097,  1097,  1097,  1098,  1098,  1099,  1099,  1099,
    1100,  1101,  1101,  1102,  1102,  1103,  1104,  1104,  1105,  1105,
    1106,  1106,  1107,  1107,  1108,  1108,  1108,  1109,  1109,  1110,
    1110,  1111,  1112,  1112,  1113,  1113,  1114,  1114,  1114,  1115,
    1115,  1116,  1116,  1116,  1116,  1116,  1117,  1117,  1118,  1118,
    1119,  1120,  1120,  1121,  1121,  1122,  1122,  1122,  1122,  1122,
    1122,  1123,  1123,  1124,  1124,  1125,  1125,  1125,  1125,  1125,
    1125,  1126,  1126,  1126,  1127,  1127,  1127,  1127,  1127,  1127,
    1127,  1127,  1128,  1128,  1128,  1128,  1128,  1129,  1129,  1130,
    1130,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1131,  1131,  1132,  1132,  1133,  1133,  1134,  1134,  1135,  1136,
    1137,  1137,  1138,  1138,  1139,  1140,  1141,  1141,  1141,  1141,
    1141,  1141,  1142,  1142,  1143,  1143,  1143,  1143,  1144,  1145,
    1145,  1145,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1147,  1147,  1148,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1150,  1150,  1150,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1150,  1151,
    1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,  1151,
    1151,  1151,  1151,  1152,  1152,  1152,  1152,  1152,  1152,  1152,
    1153,  1153,  1153,  1154,  1154,  1154,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1156,  1156,  1157,  1157,
    1157,  1157,  1158,  1159,  1159,  1160,  1160,  1161,  1161,  1162,
    1162,  1162,  1163,  1163,  1163,  1164,  1164,  1164,  1164,  1165,
    1165,  1166,  1166,  1167,  1167,  1168,  1168,  1169,  1169,  1170,
    1171,  1171,  1171,  1172,  1173,  1173,  1174,  1174,  1175,  1175,
    1175,  1175,  1176,  1176,  1177,  1177,  1177,  1177,  1177,  1178,
    1178,  1178,  1178,  1178,  1179,  1179,  1179,  1180,  1180,  1181,
    1182,  1182,  1182,  1183,  1183,  1184,  1184,  1184,  1184,  1184,
    1184,  1184,  1184,  1184,  1184,  1184,  1184,  1185,  1185,  1186,
    1186,  1187,  1187,  1187,  1187,  1187,  1187,  1188,  1188,  1189,
    1189,  1190,  1190,  1190,  1191,  1191,  1192,  1192,  1193,  1193,
    1193,  1194,  1194,  1195,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1197,  1197,  1197,  1197,  1198,  1198,  1199,  1200,
    1200,  1200,  1200,  1200,  1201,  1201,  1201,  1202,  1202,  1203,
    1204,  1204,  1205,  1206,  1206,  1207,  1207,  1208,  1208,  1209,
    1209,  1209,  1209,  1210,  1210,  1211,  1211,  1212,  1212,  1213,
    1213,  1214,  1214,  1215,  1215,  1216,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1218,  1218,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1220,  1220,  1220,  1220,  1221,
    1221,  1222,  1223,  1223,  1224,  1224,  1225,  1225,  1225,  1225,
    1225,  1226,  1226,  1227,  1227,  1227,  1227,  1227,  1228,  1228,
    1228,  1228,  1228,  1229,  1229,  1230,  1230,  1231,  1231,  1231,
    1232,  1232,  1232,  1233,  1233,  1234,  1234,  1235,  1235,  1236,
    1236,  1237,  1237,  1238,  1238,  1238,  1238,  1239,  1239,  1240,
    1240,  1241,  1241,  1242,  1243,  1244,  1245,  1245,  1246,  1246,
    1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,  1246,
    1246,  1247,  1248,  1249,  1249,  1249,  1250,  1251,  1251,  1251,
    1251,  1252,  1252,  1253,  1254,  1255,  1255,  1256,  1256,  1257,
    1257,  1257,  1258,  1258,  1258,  1259,  1259,  1259,  1259,  1260,
    1260,  1260,  1260,  1260,  1261,  1261,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,  1262,
    1262,  1262,  1262,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1264,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,  1265,
    1265,  1265,  1265,  1265,  1265,  1265,  1265,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266,  1266
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     1,     3,
       0,     1,     3,     1,    13,    16,    12,    15,    14,    17,
       1,     1,     2,     2,     2,     2,     1,     0,     1,     0,
       3,     0,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     6,     2,     4,     2,     2,     1,     0,     2,     2,
       1,     0,     2,     0,     3,     1,     1,     2,     2,     1,
       4,     4,     5,     2,     5,     7,     5,     2,     3,     0,
       1,     2,     1,     2,     2,     2,     3,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     9,     3,     9,     4,    10,    11,     3,
       1,     5,     3,     2,     0,     3,     0,     1,     3,     1,
       4,     0,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     3,     3,     4,     0,     1,     0,     6,     1,
       3,     3,     3,     5,     2,     0,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     8,    11,
       1,     3,     1,     1,     3,     6,     8,     7,    10,     6,
       2,     3,     0,     8,    11,     5,     1,     0,     6,     5,
       8,     4,     6,     1,     0,     3,     0,     1,     2,     2,
       2,     1,     2,     3,     1,     2,     2,     2,     2,     3,
       3,     3,     1,     3,     1,     1,     0,     1,     2,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     1,     0,     7,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     1,
       5,     2,     0,     2,     6,     6,     6,    10,     6,     6,
       6,     9,     9,     6,     6,     9,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     7,     6,     4,     0,
       1,     3,     4,     1,     3,     1,     2,     2,     2,     2,
       1,     1,    10,    13,     2,     0,     2,     2,     1,     0,
       5,     4,     4,    11,    14,    12,    15,    11,     2,     1,
       4,     0,     8,    11,     1,     1,     7,     9,     8,    10,
       8,     4,     0,     5,     0,     2,     0,     2,     0,     2,
       0,     2,     0,     1,     1,     1,     1,     1,     8,     1,
       1,    17,    21,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     2,     0,     1,     2,     4,     1,     1,
       1,     1,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     6,     5,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     7,     5,     8,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     7,     9,
       9,     8,     6,     3,     0,    13,     1,     3,     5,     5,
       3,     6,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     6,     4,     6,
       8,     4,     6,     4,     6,     5,     7,     1,     1,     1,
       2,     1,     2,     1,     1,     1,     3,     3,     3,     3,
       1,     1,     1,     1,     1,     2,     2,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     2,
       2,     3,     1,     3,     5,     2,     2,     0,     6,     6,
       6,     6,     6,     6,     6,     6,     8,     9,     8,     6,
       6,     9,     9,     9,     7,    10,     1,     1,     8,     8,
       8,     8,     8,     8,     8,     9,     8,     8,     2,     0,
       1,     1,     2,     2,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     4,     4,     3,     4,     4,
       1,     1,     1,     0,     8,     8,    11,     1,     1,     2,
       4,     5,     1,     3,     2,     2,     2,     2,     2,     1,
       3,     1,     3,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     2,     5,
       5,     5,     5,     5,     1,     3,     1,     2,     3,     0,
       5,     7,     6,     9,     3,     1,     2,     1,     1,     1,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,     1,     1,    16,    19,     1,
       0,     2,     0,     1,     3,     4,     5,     2,     2,     4,
       4,     0,     1,     3,     2,     0,     1,     1,     0,     2,
       2,     0,     9,    12,     7,     7,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     0,     1,     2,     4,     5,     1,     1,     1,     1,
       3,     3,     2,     2,     1,     2,     2,     2,     2,     1,
       2,     2,     2,     2,     1,     1,     1,     3,     2,     1,
       4,     0,     3,     0,     1,     1,     3,     5,     2,     0,
       2,     1,     3,     5,     5,     5,     1,     2,     1,     0,
       4,     6,     4,     6,     4,     6,     4,     6,     4,     6,
       3,     5,     5,     5,     1,     3,     1,     3,     2,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,    10,    11,    11,     5,     5,     8,     5,
       5,     5,     1,     1,     1,     1,     3,     0,     5,     5,
       6,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     8,    10,     6,     6,     6,     6,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     8,    10,     9,    11,     8,    10,
       9,    11,     8,     8,     7,     6,     6,     6,     6,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     8,
       8,     8,    10,     9,     8,     1,     0,     6,     6,     6,
       6,     6,     6,     6,     9,     9,     6,     6,     6,     8,
       6,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     7,     1,     3,     3,     3,     1,
       1,     1,     1,     1,     1,     7,     6,     6,     6,     6,
       6,     6,     7,     7,     6,     9,     9,     6,     6,     6,
       6,     6,     6,     8,     8,     8,     6,     7,     6,     6,
       4,     7,     6,     4,     4,     4,     3,     4,     3,     1,
       1,     3,     5,     5,     5,     5,     8,     5,     5,     6,
       7,     7,     7,     4,     4,     5,     4,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     3,     2,
       0,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       2,     5,     4,     3,     3,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     2,     3,     0,     9,    11,    12,    14,     3,     4,
       4,     0,     2,     5,     1,     0,     1,     2,     3,     3,
       3,     1,     2,     1,     1,     1,     1,     1,     1,     0,
       5,     4,     6,     6,     4,     3,     5,     7,     9,     1,
       3,     1,     5,     4,     4,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,     1,     1,    10,     6,     4,     4,     2,     5,
       2,     0,     6,     5,     3,     5,     1,     3,     1,     1,
       2,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     0,     3,     0,     2,     1,     3,
       1,     0,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     3,     0,     1,
       1,     1,     1,     1,     3,     9,    12,     3,     0,     2,
       3,     2,     3,     7,     1,     3,     1,     4,     4,     7,
       2,     1,     1,     1,     3,     2,     8,     5,     0,     4,
       3,     0,     2,     0,     7,     2,     0,     5,     3,     0,
       2,     2,     2,     3,     1,     3,     1,     2,     1,     0,
       1,     2,     0,     8,     1,     3,     3,     5,     2,     1,
       3,    10,     1,     2,     4,     4,     4,     5,     5,     2,
       5,     3,     5,     2,     0,     3,     1,     2,     5,     5,
       8,     3,     4,     7,     1,     0,     3,     2,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     9,
       1,     2,     4,     4,     4,     2,     2,     3,     1,     3,
       9,     1,     2,     0,     7,     7,     0,    10,     6,     0,
       1,     0,     2,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     1,     1,     0,     3,     1,     3,     4,
       3,     2,     2,     1,     1,     1,     0,     2,     4,     5,
       6,     4,     5,     2,     3,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     4,     0,     1,
       3,     1,     1,     1,     1,     1,     2,     4,     4,     5,
       2,     0,     1,     3,     1,     0,     1,     2,     3,     2,
       4,     2,     3,     2,     0,     4,     5,     2,     0,     1,
       3,     2,     3,     2,     3,     2,     3,     2,     3,     1,
       4,     2,     3,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     2,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     5,     2,
       1,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     2,     1,     3,     3,     2,
      13,     2,     0,     1,     3,     3,     6,     7,     5,     7,
       9,     1,     0,     2,     0,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       0,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     1,     3,     0,     1,     1,     1,     1,     5,     2,
       1,     1,     1,     1,     4,     1,     2,     2,     1,     3,
       3,     2,     1,     0,     5,     2,     5,     2,     1,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     1,
       3,     3,     5,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       3,     3,     2,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     3,     4,     4,     6,     3,     3,     4,
       3,     4,     4,     5,     4,     5,     1,     1,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     5,     6,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     4,     3,     5,     6,     8,     6,     6,     4,
       4,     3,     1,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     1,     6,     4,     4,     6,     4,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     8,     4,     7,     4,     6,     6,     4,     5,
       4,     5,     3,    11,     8,     9,     2,     3,     3,     3,
       4,     0,     4,     1,     3,     3,     1,     1,     1,     1,
       2,     0,     2,     2,     0,     2,     3,     3,     4,     2,
       2,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     3,     3,
       3,     0,     1,     4,     2,     2,     2,     2,     2,     3,
       2,     2,     3,     0,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     3,     3,
       2,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     5,     3,     5,
       5,     3,     3,     5,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     2,     0,     1,     3,     3,     2,     3,     2,     3,
       4,     4,     3,     3,     0,     2,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     3,     3,     6,     0,     3,
       0,     2,     4,     2,     1,     0,     5,     2,     5,     2,
       0,     3,     0,     1,     2,     2,     2,     2,     3,     2,
       3,     2,     0,     1,     3,     3,     3,     3,     3,     0,
       3,     3,     0,     1,     3,     7,     7,     3,     0,     1,
       0,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     6,     2,     3,     5,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,    10,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 921 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 30271 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 926 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 30279 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 930 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 30288 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 935 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30300 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 943 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30312 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 951 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30324 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 971 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 30340 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 983 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 30351 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30357 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1133 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30363 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1134 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30369 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30375 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1139 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30381 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1143 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30387 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1144 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30393 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1148 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 30399 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1149 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 30405 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1150 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 30411 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1160 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 30422 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1176 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30435 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30441 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1199 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30447 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30453 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30459 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1209 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30468 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 30476 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1218 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30490 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1228 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 30502 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1236 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 30510 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 30518 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30526 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30534 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1253 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 30583 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1300 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 30589 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 30597 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30605 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1311 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30613 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1315 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30621 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1319 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30629 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1333 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30642 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30655 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1361 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30668 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1372 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30674 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1373 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30680 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1378 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30693 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1387 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30706 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1396 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30719 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1405 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30732 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1427 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30744 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1435 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30756 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1443 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30768 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1451 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30780 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1459 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30792 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1467 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30804 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30817 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1504 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30831 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 30837 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 30843 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1528 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30858 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1539 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30873 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1550 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30893 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1566 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30913 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1585 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30923 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30929 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1619 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30940 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1626 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30951 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1633 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30962 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1643 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30975 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1652 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30988 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 31001 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1674 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 31014 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1683 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 31026 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1691 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 31038 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1701 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 31044 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1703 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 31056 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1712 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 31072 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1724 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 31084 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1732 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 31097 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1741 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 31113 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1753 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 31126 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1762 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 31139 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1771 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 31151 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1779 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 31164 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1789 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 31177 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1799 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31183 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1801 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 31189 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1804 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31195 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1805 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31201 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1809 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 31207 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1811 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31213 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1814 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 31219 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1815 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 31225 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1816 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 31231 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 31237 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1821 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 31243 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1822 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 31249 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1823 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 31255 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1829 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31261 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1842 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31269 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1846 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31277 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1850 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 31298 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1867 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 31310 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1874 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31316 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1875 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31322 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1876 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31328 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31334 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31340 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1882 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31346 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1886 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31352 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1887 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31358 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1891 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 31364 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1895 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31370 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1897 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 31382 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1905 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 31394 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1913 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 31406 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1924 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 31418 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1932 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 31429 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1942 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31435 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1943 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31441 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1948 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31447 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1949 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31453 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1955 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1962 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 31475 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1969 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 31486 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1976 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 31497 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1983 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 31508 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1994 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31520 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31526 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31532 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2009 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 31538 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2010 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 31544 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2019 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 31554 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2035 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 31565 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2042 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31576 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2049 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31587 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2056 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2063 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 31609 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2083 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31623 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2093 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31637 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2103 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31651 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2113 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31665 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2123 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31681 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2135 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31697 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2147 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31711 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31725 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2167 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31739 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2177 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31755 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2189 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31771 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2201 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31785 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2211 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31799 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2221 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31813 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2231 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31827 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2241 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31841 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2251 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31855 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2261 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31871 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2273 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31887 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2285 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31901 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2295 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2307 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31921 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2314 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31944 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2328 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31961 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2341 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 31977 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2357 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31994 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2374 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32007 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2384 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32020 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2394 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32033 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2404 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32046 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2414 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32059 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2424 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 32071 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2433 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 32083 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2442 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 32096 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2452 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 32108 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2461 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32121 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2471 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32134 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2481 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2497 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32166 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2507 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32179 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2517 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32192 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2527 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32205 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2537 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 32225 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2554 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32238 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2564 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32251 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2574 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32264 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2584 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32278 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2595 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32292 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2609 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32311 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2625 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32324 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2635 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32336 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2644 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32355 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32367 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32381 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2680 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32395 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2691 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 32406 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2699 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32418 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2708 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32430 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2717 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 32441 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2725 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 32452 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2733 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32464 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2742 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32476 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2751 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32488 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2760 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32499 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2768 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32510 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32522 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32533 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2793 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32544 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32556 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32568 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2819 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32580 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2828 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32592 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32604 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2846 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32616 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2855 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 32630 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2866 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 32641 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2874 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 32653 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32665 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32677 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32689 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32701 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2919 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32713 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2928 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32724 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2936 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32735 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2944 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32746 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2952 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32757 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32769 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32775 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32781 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2975 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32794 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32800 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32806 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2988 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32812 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2993 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32824 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3001 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32836 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3009 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32848 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3017 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32860 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32866 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32872 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3031 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32878 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32884 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32890 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32898 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32906 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32915 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32923 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3062 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32929 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3064 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32935 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 32943 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32951 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3077 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32966 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 32974 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3094 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 32980 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3095 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32986 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32992 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3100 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32998 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3106 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 33053 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3159 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 33068 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3172 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 33084 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3186 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 33097 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3198 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 33105 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3205 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 33113 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3209 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 33121 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3223 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3235 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3236 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33147 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 33160 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3252 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 33174 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 33188 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3274 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33208 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3301 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33219 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3308 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33230 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3344 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 33268 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3378 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 33292 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3400 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33298 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3401 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33304 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33310 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33316 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3415 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33322 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3416 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33328 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3417 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33334 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33340 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3421 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33346 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33352 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33358 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3432 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33366 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33374 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33382 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3444 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33390 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 33398 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33406 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33414 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33422 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33430 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33438 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 33446 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3476 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 33454 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3480 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33462 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3484 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33470 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33478 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3497 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33486 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3500 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33492 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33500 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3508 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 33506 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3519 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33514 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3523 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33522 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3530 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 33530 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33536 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3537 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 33542 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3538 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 33548 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3539 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString("default"); }
#line 33554 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3540 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33560 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3541 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33566 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33574 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33582 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3557 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33588 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3571 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33610 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3591 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33632 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3611 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33655 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3632 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33678 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3653 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33701 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3674 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33724 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3705 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33730 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3706 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33736 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3707 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33742 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3708 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33748 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3710 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33759 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3717 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33770 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3723 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33776 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3724 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33782 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3728 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33788 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3729 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33794 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3733 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33800 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3734 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33806 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33814 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3743 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33822 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3750 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33830 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3754 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33838 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3760 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33844 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3761 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33850 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3762 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33856 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3766 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33862 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3767 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33868 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3771 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33894 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3795 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33917 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3814 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33940 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3835 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33946 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3836 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33952 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3840 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33958 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3841 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33964 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3845 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33970 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3846 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33976 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3850 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33982 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3851 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33988 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3855 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33994 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3856 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34000 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3861 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34012 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3868 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34018 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3869 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34024 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3871 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34042 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3903 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34054 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3911 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34066 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3919 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34083 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3932 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 34099 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3944 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34116 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3957 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 34130 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3967 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 34144 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3977 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 34172 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4001 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34193 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4020 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34199 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4021 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34205 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4022 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34211 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4026 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 34217 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4027 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 34223 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4047 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 34235 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4055 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34247 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4063 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34259 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4071 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34271 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4083 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 34284 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4094 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34290 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4095 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 34296 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 34302 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4100 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 34308 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4101 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 34314 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4102 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 34320 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4103 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 34326 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4104 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 34332 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4105 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 34338 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4106 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 34344 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4107 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 34350 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4108 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 34356 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4109 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 34362 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4119 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34374 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4126 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34380 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4131 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34398 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4146 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34419 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4163 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34439 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4180 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34459 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4196 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34479 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4214 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34501 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4233 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34525 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4267 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34537 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 34543 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4279 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34561 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4293 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->keys = list_make1(makeString("value"));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 34579 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4308 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 34585 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4309 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 34591 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4313 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34597 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4314 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34603 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34609 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34615 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 34623 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34629 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34635 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4333 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 34643 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4337 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 34655 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4345 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34663 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4349 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34671 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 34677 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4357 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34683 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4361 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 34691 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 34699 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4372 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34705 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34711 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4378 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34725 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4388 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34739 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4398 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34751 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4406 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 34763 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4414 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34779 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4428 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34793 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34801 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4447 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34813 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4455 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34825 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4463 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34837 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4471 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34849 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4479 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34861 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34867 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4489 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34873 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4493 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34879 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4494 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 34885 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4498 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 34899 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 34905 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 34911 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4514 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34926 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4525 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34941 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4536 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 34956 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4549 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34962 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4550 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34968 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34974 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34980 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34986 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4560 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 34992 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4561 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 34998 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4562 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 35004 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4563 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 35010 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4566 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35016 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4567 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35022 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4570 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35028 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4571 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35034 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4574 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35040 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4596 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35056 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4609 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35072 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4629 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 35078 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4630 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 35084 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 35094 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 35104 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 35114 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4663 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35127 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4672 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35140 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4694 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35158 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4708 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35176 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35192 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4740 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35198 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4741 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35204 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4742 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35210 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4755 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35228 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4769 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35246 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 35262 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4799 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 35268 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4800 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 35274 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4813 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 35287 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4834 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35302 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4845 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35317 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4859 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35330 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4868 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35343 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4879 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35349 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35355 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35361 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35367 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4887 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35373 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4888 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35379 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4892 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4896 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35395 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4900 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35403 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4904 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 35411 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4908 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35419 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4912 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("logged", NULL, (yylsp[0]));
				}
#line 35427 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4916 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35435 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35443 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 35451 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4928 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 35459 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4932 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35475 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4940 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35483 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4944 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 35491 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35499 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unlogged", NULL, (yylsp[0]));
				}
#line 35507 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4962 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35513 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4963 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35519 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4965 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 35530 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4971 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 35536 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4974 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35542 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4975 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35548 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4988 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 35568 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 5005 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35584 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 5019 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35590 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 5020 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 35596 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 5028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35602 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 5029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 35608 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 5033 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35614 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 5034 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35620 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 5038 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35626 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 5039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35632 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5043 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35638 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5044 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35644 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5060 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35658 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5071 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35664 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5072 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 35670 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5086 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35682 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5094 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35694 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5112 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35707 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5121 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35720 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35726 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5135 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35732 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5140 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35740 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5144 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35748 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5148 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35759 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5155 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35767 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5167 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35779 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5178 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35785 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35791 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35799 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5198 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35813 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5208 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35827 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5218 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35841 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5228 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35855 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5238 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35869 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5248 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35883 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5258 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35897 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5268 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35911 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5278 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35925 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5288 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35939 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5298 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35953 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5308 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 35967 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5318 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35981 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5337 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35994 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5348 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 36000 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5349 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 36006 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5350 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 36012 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5351 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 36018 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5355 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36024 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 36030 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36036 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5361 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36042 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5372 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36055 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5381 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36068 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36074 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36080 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 36088 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5403 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 36096 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5410 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36102 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5415 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 36110 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 36118 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 36126 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 36135 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 36144 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5440 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 36152 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 36160 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5453 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36166 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5458 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36172 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5470 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36188 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36204 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5497 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36210 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5498 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36216 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5503 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36222 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5504 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36228 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5508 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36234 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 36240 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5520 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36254 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5530 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 36267 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5539 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36279 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5559 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36302 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5580 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36325 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5601 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36349 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5623 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36373 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5656 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 36389 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5670 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 36395 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5671 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 36401 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5676 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 36413 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5684 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 36424 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5700 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36438 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5710 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36452 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5722 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 36458 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5723 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 36464 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5736 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 36477 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5745 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 36490 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5763 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36503 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5790 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36520 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5807 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36535 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5820 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36541 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5821 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36547 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5825 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36553 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5826 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36559 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5830 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36565 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 36571 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36577 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5836 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 36583 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5841 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 36601 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5854 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36607 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5858 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36613 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5859 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36619 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5863 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 36625 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5864 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 36631 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5865 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 36637 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5866 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 36643 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5867 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 36649 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5878 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 36662 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5889 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 36668 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5890 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 36674 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5904 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 36699 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5928 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 36729 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5956 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 36735 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 36741 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5958 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 36747 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36753 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5965 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 36776 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36788 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36794 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5993 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36800 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36806 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36812 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 6000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36818 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 6004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36824 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 6005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36830 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 6010 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36843 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 6021 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36849 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 6022 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36855 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 6026 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36861 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 6035 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36867 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 6039 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36873 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 6044 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36881 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 6048 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 36893 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 6063 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36899 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 6064 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36905 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6068 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36911 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6069 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36917 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6078 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36923 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36929 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36935 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 36943 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6088 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36949 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6089 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36955 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6090 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36961 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6094 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 36967 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6095 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 36973 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6100 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36979 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6102 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 37007 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6128 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 37013 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6129 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 37019 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6130 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 37025 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6131 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 37031 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6132 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 37037 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6133 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 37043 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6148 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37057 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6160 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37071 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6173 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37077 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6175 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37083 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6180 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 37089 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37095 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6187 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37101 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6192 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 37113 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6202 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 37119 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6203 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 37125 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6204 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 37131 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6205 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 37137 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6217 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 37149 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6236 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37165 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6248 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37182 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6261 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37197 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6272 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37212 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6283 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 37228 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6295 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37241 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6304 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37253 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6312 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37265 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6320 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37279 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6330 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37293 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6340 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37307 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6350 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37321 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6360 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37335 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6370 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37350 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6381 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 37364 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6391 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37379 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37385 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37391 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37397 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37405 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6415 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 37413 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6421 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 37419 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6422 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37425 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6423 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 37431 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6424 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 37437 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6425 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37443 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6426 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37449 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6429 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37455 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6432 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37461 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6433 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37467 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37475 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37481 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37487 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6453 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37493 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37499 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6466 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6478 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37531 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6490 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37547 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6502 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 37563 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6514 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 37594 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6542 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37600 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6543 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37606 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6561 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37622 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37628 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37634 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6581 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37651 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6595 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37665 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6605 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 37678 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6614 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37692 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6624 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 37704 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6633 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37710 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6634 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37716 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6637 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37722 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6638 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37728 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37734 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6642 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37740 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6643 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37746 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6647 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 37764 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6660 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37770 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6666 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37782 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6677 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37796 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6687 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37810 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37816 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6700 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37822 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6705 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37835 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6714 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37848 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6727 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37863 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6738 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37878 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6752 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37893 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6763 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37908 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6786 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37920 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6797 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37932 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6816 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37947 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6827 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37962 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6838 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37977 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6849 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37992 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6860 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38007 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6871 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38022 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6882 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38037 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6893 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38052 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6904 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38067 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6915 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 38082 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6926 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 38097 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6937 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 38112 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6951 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 38118 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6952 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 38124 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6953 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 38130 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6954 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 38136 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6955 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 38142 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6956 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 38148 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6957 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 38154 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6958 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 38160 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6959 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 38166 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6960 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 38172 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6961 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 38178 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6962 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 38184 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6963 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 38190 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6973 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 38196 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6974 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 38202 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6975 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 38208 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6976 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 38214 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6977 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6981 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 38226 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6982 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 38232 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6983 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 38238 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6984 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 38244 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6985 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 38250 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6986 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6987 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 38262 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6988 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 38268 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 38274 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6994 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 38280 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6995 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 38286 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 38292 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 7000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 38298 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 7003 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38304 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 7004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 38310 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 7008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 38316 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 7010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 38322 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 7014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 38328 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 7015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 38334 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7027 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38347 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7038 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38353 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7039 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38359 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7040 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38365 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7051 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38378 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7060 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38391 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7069 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38404 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7078 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38417 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7087 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38430 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7096 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38443 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7105 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38456 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7114 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38469 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7123 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38482 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7132 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38500 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7146 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38513 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7155 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38526 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7164 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38539 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7173 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38552 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7182 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38565 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7191 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38578 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7200 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38591 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7209 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38604 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7220 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38610 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7221 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38616 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7237 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38630 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7248 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38644 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7259 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38658 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7270 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38672 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7281 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38686 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7292 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38700 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7303 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38714 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7314 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38728 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7325 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38742 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7336 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38756 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7347 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38762 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7348 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38768 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7351 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38774 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38780 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7363 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38791 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7370 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38802 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7379 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38815 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7388 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38828 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7397 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38841 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7406 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38854 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7415 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38867 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7424 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38880 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7433 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38893 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7442 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38906 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 7451 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38919 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7460 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38932 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7469 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38945 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7478 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38958 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 7487 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38971 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 7496 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38984 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 7505 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38997 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 7514 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 39010 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7541 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39028 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7559 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39047 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7575 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39066 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7602 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39072 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7604 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39078 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39084 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7608 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 39096 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7616 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 39108 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7625 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 39114 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7626 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 39120 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7630 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39132 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7638 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39144 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7646 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39156 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7654 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 39167 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7661 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 39179 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7672 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 39187 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7676 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 39195 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7683 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 39203 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7687 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 39211 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7698 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39224 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7707 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39237 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7716 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39250 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7725 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39263 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7734 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39276 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7743 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39289 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7752 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39302 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7761 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39315 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7770 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39328 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7779 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39341 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7788 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39354 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7797 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39367 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7806 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39379 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7814 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39392 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7823 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39405 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7832 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39418 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7841 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39431 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7850 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39444 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7859 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39457 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7868 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39470 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7877 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39483 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7889 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 39489 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7890 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 39495 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7894 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39501 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7895 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39507 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7900 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39513 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7901 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39519 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7912 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39534 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7923 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39549 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7937 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39565 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7949 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39584 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7966 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 39590 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39596 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7972 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 39604 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39610 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 39616 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7980 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 39622 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7983 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39628 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7984 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 39634 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7995 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39646 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 8005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39652 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 8006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39658 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 8011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39666 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8015 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39674 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8019 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39682 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8031 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39699 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8045 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39717 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8060 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39735 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8076 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 39741 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8077 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39747 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8078 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39753 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8079 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 39759 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8080 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 39765 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8081 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 39771 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8096 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39805 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8128 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39839 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8160 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39845 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8161 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39851 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8165 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39857 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8166 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39863 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8169 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39869 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8170 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39875 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8176 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39891 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8188 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39907 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8207 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 39916 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8212 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 39925 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 39934 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39940 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39946 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39952 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8228 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39958 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8231 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39964 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8232 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39970 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8236 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 39976 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8237 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 39982 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8238 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 39988 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8241 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 39994 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8242 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 40000 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8243 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 40006 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8261 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40023 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8275 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40041 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8290 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40058 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8304 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 40075 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8319 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40081 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8320 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40087 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8323 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40093 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40099 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8328 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40105 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8329 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40111 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40117 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40123 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8340 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40136 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8354 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40148 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8362 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40160 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8370 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 40173 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40179 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40185 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8390 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40191 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8392 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40197 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8407 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40211 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8417 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40225 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8427 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40239 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8437 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40253 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8447 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40267 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8459 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 40273 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 8460 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 40279 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8461 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40285 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8462 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 40291 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8463 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 40297 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8474 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 40309 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8488 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 40315 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40325 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 40336 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8506 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40344 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40353 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8515 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 40362 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8523 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 40377 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8565 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 40385 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 40393 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 40401 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8577 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 40410 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8584 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40416 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 8585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40422 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8590 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 40435 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40441 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8603 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40447 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8608 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40453 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8613 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40459 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8614 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40465 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 40473 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8626 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 40481 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8630 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40489 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8634 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 40497 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8638 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 40505 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 40513 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 40521 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 40529 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 40537 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40545 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8662 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40553 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8666 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40561 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8670 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40569 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8674 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40577 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40585 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8682 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 40594 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40602 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8694 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40610 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40618 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8702 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40626 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8706 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40634 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8710 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 40642 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40648 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 40656 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8723 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 40667 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40675 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8737 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 40689 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 40697 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8754 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 40709 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8762 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 40717 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8773 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40723 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8774 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 40729 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8778 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40735 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8779 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40741 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8783 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40755 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8796 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 40763 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8800 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 40771 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8815 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40784 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8824 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40797 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8833 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40810 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8845 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40816 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8846 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40822 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8870 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40837 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8881 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40852 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8892 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40867 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8903 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40882 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8914 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40897 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8925 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40912 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8939 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40927 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8950 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40942 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8964 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40957 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8975 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40972 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8989 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 40984 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 40990 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8999 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 40996 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 9001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 41002 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 9006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 41008 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 9008 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 41014 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9012 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 41020 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 41026 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9019 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 41038 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9038 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 41049 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9047 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41055 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9048 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 41061 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9053 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 41069 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9057 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 41077 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9070 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 41092 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9082 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 41107 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9094 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 41122 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9106 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 41128 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9107 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 41134 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9108 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 41140 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9113 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 41155 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9125 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41161 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9126 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 41167 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9137 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 41182 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 41190 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 41198 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9158 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 41206 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9162 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 41214 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9169 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41228 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9191 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41245 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9204 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41262 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9217 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 41279 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9231 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 41285 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9232 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 41291 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9235 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 41297 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9236 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 41303 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9239 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 41309 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9240 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 41315 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9251 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 41329 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9261 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 41343 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9279 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41357 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9289 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41371 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9299 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41385 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9309 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41399 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9319 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41413 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9329 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41427 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9339 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41441 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9349 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41455 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9359 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41469 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9369 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41483 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9379 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41497 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9389 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41511 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9399 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41526 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9410 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41541 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9421 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41555 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9431 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41569 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9441 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41583 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9451 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41597 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9461 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41611 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9471 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41625 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9481 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41640 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9492 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41655 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9503 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41670 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9514 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41685 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9525 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41700 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9536 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41715 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9547 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41730 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9558 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41745 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9569 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41760 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9580 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41775 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9591 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41790 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9602 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41805 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9613 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41821 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9625 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41837 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9637 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41853 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9649 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41869 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9661 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41885 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9673 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41901 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9685 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41916 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9696 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41931 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9707 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41947 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9719 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41963 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9731 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41978 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9742 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41993 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9753 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42006 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9762 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42020 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9772 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42034 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9782 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42048 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9792 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42062 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9802 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42076 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9812 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42090 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 9822 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42104 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 9832 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42118 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9842 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42132 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9852 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42149 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9870 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 42155 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9871 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 42161 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9882 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42175 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9892 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42189 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9902 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42203 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9912 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42218 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9923 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42232 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9933 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 42246 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9944 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42252 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9945 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 42258 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9956 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42272 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9966 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42286 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9976 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42300 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9986 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42314 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9996 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42328 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 10006 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42342 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10016 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42356 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10026 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42370 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10036 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42384 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10046 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42398 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10056 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42412 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10066 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42426 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10076 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42440 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10086 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42454 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10096 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42468 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10106 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42482 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10116 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42496 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10126 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42510 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10136 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42524 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10146 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42538 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10156 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42552 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10166 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42566 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10176 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42580 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10186 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42594 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10196 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42608 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10206 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42622 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10216 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42636 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10235 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42648 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10244 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42654 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10245 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42660 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10249 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 42666 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10251 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 42672 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10253 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 42678 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10258 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 42684 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10259 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 42690 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10260 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 42696 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10261 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42702 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10262 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42708 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10275 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42720 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10291 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42733 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10300 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42746 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10309 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42759 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10318 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42772 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10327 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42785 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10336 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42798 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10345 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42811 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10354 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42824 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10363 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42837 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10372 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42850 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10381 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42863 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42876 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10399 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42889 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10408 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42902 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10417 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42915 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10426 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42928 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10435 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42941 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10444 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42954 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10453 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42967 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10462 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42980 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10471 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42993 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10480 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43006 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10489 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43019 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10498 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 43032 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10526 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43044 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10534 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 43057 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10543 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43071 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 43084 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10578 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43095 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43105 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 43136 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 43150 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10629 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 43163 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10638 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 43173 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10646 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 43179 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10648 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 43185 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10670 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43197 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10678 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 43211 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10688 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 43225 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10698 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 43239 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10717 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43253 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10736 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43267 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10746 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43281 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10756 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43295 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10766 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43310 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10777 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43325 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10788 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43340 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10799 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43355 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10810 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43370 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10821 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43384 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 10839 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43397 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10848 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43410 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10867 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43427 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43433 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 10883 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43439 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 10884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 43445 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 10890 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 43455 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 10896 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 43465 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10912 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 43471 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10913 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43477 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10916 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 43483 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10917 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 43489 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10918 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 43495 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10919 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 43501 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10923 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43507 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10924 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43513 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10925 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43519 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10938 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43531 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10948 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43537 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10949 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43543 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10953 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43554 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10963 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43565 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10970 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43576 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10990 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43590 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 11000 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43603 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 11009 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43617 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11019 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43631 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11029 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43644 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11038 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43657 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11047 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43670 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11056 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43683 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11065 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43696 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11074 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43709 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 11083 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43722 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 11092 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43735 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 11104 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43748 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11113 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43762 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11131 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 43769 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11134 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 43776 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11137 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43783 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11140 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43790 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 11143 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43797 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11150 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43803 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11152 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43809 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11154 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43815 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43821 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11164 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43827 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11165 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43833 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11166 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43839 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11180 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43856 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11194 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43873 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11208 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43895 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11227 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43917 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11247 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43923 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11248 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43929 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11249 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 43935 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11250 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 43941 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11261 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43952 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11278 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43964 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43970 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43976 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11293 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43982 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11294 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43988 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43996 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 44004 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 44012 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11324 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44018 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11325 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 44024 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11326 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44030 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 11327 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44036 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 11328 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44042 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11329 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44048 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11330 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 44054 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11350 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 44066 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11358 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 44078 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11366 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 44091 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11375 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 44102 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11385 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44114 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11403 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 44127 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11412 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 44140 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11421 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44153 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11430 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44166 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 44174 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 44182 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11457 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 44190 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11469 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44201 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11487 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44212 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11494 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 44223 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11511 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 44237 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11525 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44250 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11535 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44262 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11544 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44274 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 11553 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44287 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 11563 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44302 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 11575 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44317 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11587 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 44330 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11610 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44342 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11621 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44358 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11633 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 44374 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 11645 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44390 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 11657 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 44406 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11669 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44420 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11679 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44434 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11708 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 44449 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11731 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44462 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11740 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 44475 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 11750 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 44490 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11762 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 44505 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11774 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 44520 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11787 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44526 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11788 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 44532 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11801 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44557 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11822 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44570 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 11833 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44586 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 11845 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44599 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11857 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 44607 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11861 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 44615 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11873 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 44623 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11879 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44629 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11880 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 44635 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11881 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 44641 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11885 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 44647 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 44653 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11887 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44659 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11891 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44665 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11892 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44671 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11896 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44677 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11897 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44683 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11900 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44689 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11901 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44695 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11904 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44701 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11905 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44707 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11909 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44713 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44719 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 44727 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 11922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44733 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 11924 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44739 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 11928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44745 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 11929 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44751 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 11943 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 44763 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 11951 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44778 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 11962 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44790 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 11970 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44802 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 12000 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44815 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 12010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44821 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 12011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44827 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12030 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44839 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12039 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44860 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12057 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44881 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12075 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44887 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12076 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44893 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12087 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44906 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12096 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44919 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12105 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44932 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12114 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44945 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12134 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 44957 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12151 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44965 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12155 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44974 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44984 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12169 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44995 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 45005 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 45016 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12189 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 45026 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12197 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 45032 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12198 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 45038 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12203 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45044 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 45050 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45062 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 45075 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 45088 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 45096 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12247 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 45108 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12256 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 45120 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12264 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 45128 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12270 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45134 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12271 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45140 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12284 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 45155 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12297 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45161 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45167 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12310 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 45180 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12320 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 45186 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12321 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45192 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12324 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 45198 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12325 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 45204 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12326 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 45210 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12327 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 45216 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12328 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 45222 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12329 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 45228 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12330 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 45234 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12331 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 45240 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12334 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 45246 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12335 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 45252 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12339 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 45258 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12340 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 45264 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12341 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 45270 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12357 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 45286 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45292 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 45298 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12377 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 45307 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12382 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 45332 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 45344 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12416 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 45350 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12417 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 45356 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12434 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-9].with);
					m->relation = (yyvsp[-6].range);
					m->sourceRelation = (yyvsp[-4].node);
					m->joinCondition = (yyvsp[-2].node);
					m->mergeWhenClauses = (yyvsp[-1].list);
					m->returningList = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 45373 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45379 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 45385 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12461 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45396 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12468 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45407 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12475 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matchKind = (yyvsp[-3].mergematch);
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 45418 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12482 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45432 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matchKind = (yyvsp[-4].mergematch);
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45446 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12504 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_MATCHED; }
#line 45452 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12505 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_SOURCE; }
#line 45458 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12509 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45464 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12510 "gram.y" /* yacc.c:1646  */
    { (yyval.mergematch) = MERGE_WHEN_NOT_MATCHED_BY_TARGET; }
#line 45470 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12514 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45476 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45482 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12520 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45496 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12533 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45510 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12546 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45523 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12555 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45536 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12564 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45549 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12573 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45562 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12582 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 45575 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12594 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 45583 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12606 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 45597 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12617 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45603 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12620 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45609 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 12621 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 45615 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 12622 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 45621 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12623 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 45627 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12624 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 45633 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12625 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 45639 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12628 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45645 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12629 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 45651 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12630 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45657 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12683 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45663 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12684 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45669 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12699 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45675 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12701 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45686 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12708 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45698 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12716 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45710 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12724 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 45722 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12732 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45734 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12740 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45746 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12748 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45758 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12758 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45764 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12759 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45770 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12794 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45788 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12810 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45807 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12824 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45813 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12826 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 45836 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45844 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45852 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45860 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12868 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45871 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12875 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45882 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12882 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45893 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12891 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45899 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45905 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12896 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 45922 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12911 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 45928 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12912 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 45934 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12913 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 45940 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12918 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45954 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12928 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45968 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12938 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45976 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12945 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 45992 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12957 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 46008 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12969 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 46016 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 46022 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12976 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 46028 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12981 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 46043 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12992 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 46049 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 13001 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46058 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 13006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46067 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 13011 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46076 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 13016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46085 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 13021 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46097 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 13029 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 46109 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 13037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 46118 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 13042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 46127 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 13047 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 46136 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13058 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 46142 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13059 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 46148 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13060 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 46154 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 13067 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 46160 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13068 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46166 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13077 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46172 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13078 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46178 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13082 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46184 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13083 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46190 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13087 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46196 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13091 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 46202 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13092 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 46208 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 46221 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13105 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 46234 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 46243 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13123 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 46252 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13128 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 46260 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13132 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46273 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13143 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 46279 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13144 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 46285 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13149 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46298 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13158 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 46311 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13174 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46324 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13183 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 46337 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13192 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 46350 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13201 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 46363 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13213 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46369 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13216 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 46375 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13220 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46381 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13222 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 46390 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13229 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46396 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13249 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46402 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13251 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 46408 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13253 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 46414 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13257 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 46420 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13258 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 46426 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13262 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46432 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13263 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46438 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13266 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46444 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13267 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 46450 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13293 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 46462 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13301 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 46474 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46480 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13312 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 46486 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13316 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46492 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13317 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46498 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46504 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13319 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46510 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13320 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46516 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13325 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 46524 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13338 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46532 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13345 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46540 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 46548 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13358 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46554 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13359 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46560 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46566 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46572 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13368 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46578 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13369 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46584 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13373 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46590 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13374 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46596 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13379 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 46609 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13390 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 46615 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13391 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 46621 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13392 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 46627 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 46633 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13397 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46639 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13398 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46645 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13409 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46656 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13416 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46667 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46673 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46679 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46685 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46691 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13447 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 46700 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13452 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 46713 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13461 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46725 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13469 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46738 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13478 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46749 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13485 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46761 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13493 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46774 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13502 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46787 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13511 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 46795 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13515 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 46804 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13520 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) jt;
				}
#line 46815 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13527 "gram.y" /* yacc.c:1646  */
    {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					jt->lateral = true;
					(yyval.node) = (Node *) jt;
				}
#line 46827 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46835 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13560 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46853 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13574 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46878 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13595 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46904 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13617 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46921 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13630 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46939 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46949 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13653 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46958 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46968 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46977 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13670 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 46983 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13671 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46989 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 46999 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 13687 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 47005 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 13696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 47013 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 47021 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13704 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 47032 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13711 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 47043 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13718 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 47051 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13723 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 47057 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13724 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 47063 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13725 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 47069 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13726 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 47075 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13747 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 47083 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13751 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 47091 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13759 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 47102 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13766 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 47110 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13773 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 47121 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13780 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 47132 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13787 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 47143 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13797 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 47149 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 47155 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13812 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 47163 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13816 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 47175 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13824 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 47187 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13838 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47202 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13851 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 47208 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13852 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47214 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13868 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47229 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13879 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 47244 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13892 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 47250 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13896 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 47256 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13897 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 47262 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13900 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47268 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13901 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47274 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13904 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 47280 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13905 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47286 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13910 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47292 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13911 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47298 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13916 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47304 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13918 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 47317 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13926 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47323 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13931 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 47329 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47335 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 13937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 47343 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 13941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 47351 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 13947 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47374 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 13972 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47389 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 13984 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 47404 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 13996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47410 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 13997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47416 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14002 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 47434 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14016 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 47495 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14073 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 47510 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14087 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 47516 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14089 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 47522 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14094 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 47528 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14096 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 47534 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14098 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 47540 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14100 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 47546 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14102 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("path", (yyvsp[0].node), (yylsp[-1])); }
#line 47552 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 47558 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14109 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 47564 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14114 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 47576 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 47588 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14138 "gram.y" /* yacc.c:1646  */
    {
					JsonTable *n = makeNode(JsonTable);
					char	  *pathstring;

					n->context_item = (JsonValueExpr *) (yyvsp[-10].node);
					if (!IsA((yyvsp[-8].node), A_Const) ||
						castNode(A_Const, (yyvsp[-8].node))->val.node.type != T_String)
						ereport(ERROR,
								errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								errmsg("only string constants are supported in JSON_TABLE path specification"),
								parser_errposition((yylsp[-8])));
					pathstring = castNode(A_Const, (yyvsp[-8].node))->val.sval.sval;
					n->pathspec = makeJsonTablePathSpec(pathstring, (yyvsp[-7].str), (yylsp[-8]), (yylsp[-7]));
					n->passing = (yyvsp[-6].list);
					n->columns = (yyvsp[-3].list);
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-12]);
					(yyval.node) = (Node *) n;
				}
#line 47612 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14160 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47618 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14161 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 47624 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14166 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 47630 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 47636 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14173 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FOR_ORDINALITY;
					n->name = (yyvsp[-2].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47649 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14186 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_REGULAR;
					n->name = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 47669 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14206 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FORMATTED;
					n->name = (yyvsp[-6].str);
					n->typeName = (yyvsp[-5].typnam);
					n->format = (JsonFormat *) (yyvsp[-4].node);
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-3].node);
					n->wrapper = (yyvsp[-2].ival);
					n->quotes = (yyvsp[-1].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[0].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[0].list));
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47689 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14224 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_EXISTS;
					n->name = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->wrapper = JSW_NONE;
					n->quotes = JS_QUOTES_UNSPEC;
					n->pathspec = (JsonTablePathSpec *) (yyvsp[-1].node);
					n->on_empty = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 47709 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14241 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-4].str), NULL, (yylsp[-4]), -1);
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 47724 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14253 "gram.y" /* yacc.c:1646  */
    {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (JsonTablePathSpec *)
						makeJsonTablePathSpec((yyvsp[-6].str), (yyvsp[-4].str), (yylsp[-6]), (yylsp[-4]));
					n->columns = (yyvsp[-1].list);
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 47739 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14272 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonTablePathSpec((yyvsp[0].str), NULL, (yylsp[0]), -1); }
#line 47745 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14274 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 47751 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14288 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 47760 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14293 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 47770 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 47779 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 47789 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14311 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 47798 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14316 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 47808 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14325 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 47814 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14327 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 47820 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14329 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 47826 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14333 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47832 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14334 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47838 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14335 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47844 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14336 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47850 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14337 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47856 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14339 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 47865 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14344 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47875 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14349 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47881 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14364 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47887 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14365 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47893 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14366 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47899 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14367 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47905 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14368 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47911 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14380 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47921 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14386 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 47931 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14393 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47937 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14394 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47943 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14401 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47952 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14406 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47961 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14411 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47970 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14416 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47979 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14421 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47988 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47997 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14431 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48006 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14436 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48016 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48026 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48036 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48045 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14461 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 48070 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14482 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 48078 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48086 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48094 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48102 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14508 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 48111 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14516 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48124 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14528 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48142 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14549 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48150 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14553 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48158 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14559 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 48166 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14563 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 48181 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 48191 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14584 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48203 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14594 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48209 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14596 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48215 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14598 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 48221 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14600 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48227 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14602 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48233 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14604 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 48239 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14608 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48245 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14609 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48251 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14617 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48264 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14626 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48276 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14634 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 48289 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14643 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 48301 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48310 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14661 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 48316 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14662 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48322 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14663 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 48328 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14668 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 48334 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14670 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 48340 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 48346 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14674 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 48352 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14676 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 48358 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14678 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 48364 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 48373 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 48382 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48392 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48404 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14704 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 48413 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48424 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 48434 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14722 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 48440 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14727 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 48448 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 48457 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14739 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 48466 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14773 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48472 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14775 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48478 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14777 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48491 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48502 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14793 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 48513 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14809 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48519 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14811 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48525 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14813 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48531 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14815 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48537 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14817 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48543 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14819 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48549 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14821 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48555 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14823 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48561 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14825 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48567 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14827 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48573 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14829 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48579 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14831 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48585 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14833 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48591 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14835 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48597 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14838 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48603 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14840 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48609 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14843 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48615 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14845 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48621 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14847 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48627 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14849 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 48633 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48642 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14857 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48655 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14866 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48664 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14871 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48677 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48686 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14885 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48699 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14894 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48708 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14899 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48721 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14909 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 48734 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14918 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48747 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14927 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48760 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14936 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 48773 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 14955 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48786 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 14964 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48799 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 14973 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48812 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 14982 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48825 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 14991 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48846 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15008 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48859 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15017 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48872 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15026 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48885 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15035 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48898 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15044 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48911 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15053 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48924 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48932 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15066 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48940 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15070 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48952 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15078 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48964 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15086 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48976 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48988 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15102 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 49013 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15123 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 49040 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15146 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 49056 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15158 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 49067 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15165 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 49087 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49096 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15186 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49106 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 49117 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15199 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 49128 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49140 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15214 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 49152 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15223 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 49162 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15241 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 49172 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15258 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49191 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15284 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49197 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15286 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 49203 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15288 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49209 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15290 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 49215 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15292 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49221 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15294 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49227 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49233 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15298 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49239 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15300 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49245 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15302 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49251 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15304 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49257 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15306 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49263 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15308 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49269 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15310 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49275 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15312 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49281 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49287 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15316 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 49293 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 49299 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15320 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 49307 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15324 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 49315 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15328 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 49324 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 49334 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15348 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49340 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15349 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49346 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15351 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 49367 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15368 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 49384 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15381 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49390 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15383 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49396 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15385 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 49412 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15397 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 49441 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15422 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49457 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15434 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49473 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15446 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 49485 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15454 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49500 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15465 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 49515 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15476 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 49527 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15486 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 49537 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15492 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49550 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15501 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49564 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15511 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 49578 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15521 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 49595 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15534 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 49609 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15544 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 49632 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15575 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 49672 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15611 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 49686 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15621 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49692 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15631 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49698 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49704 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15633 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49710 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15641 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49721 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 49729 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 49737 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49745 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 49753 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49761 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 49769 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49777 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 49785 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49793 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15684 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 49801 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 49809 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 49817 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 49828 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15703 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 49836 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15707 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 49844 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15711 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 49852 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15715 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 49858 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49869 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49880 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15731 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 49891 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15738 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49902 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15745 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49917 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15756 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49935 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15770 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49949 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15780 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49964 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15791 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 49984 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15807 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49998 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15817 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50009 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15824 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50020 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15831 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 50031 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15838 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 50039 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15842 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 50051 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15850 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 50064 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15859 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 50077 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 50085 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15872 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 50093 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15876 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 50101 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 50109 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 50117 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15888 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 50130 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 50138 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15901 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 50152 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 50160 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15915 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 50168 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15919 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 50177 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15924 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50192 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15935 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 50202 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15944 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 50217 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15955 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50232 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15970 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50246 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15985 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50261 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15998 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50275 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 16008 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50289 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 16018 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 50302 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 16027 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50315 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 16036 "gram.y" /* yacc.c:1646  */
    {
					MergeSupportFunc *m = makeNode(MergeSupportFunc);

					m->msftype = TEXTOID;
					m->location = (yylsp[-2]);
					(yyval.node) = (Node *) m;
				}
#line 50327 "gram.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 16050 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_QUERY_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-8].node);
					n->pathspec = (yyvsp[-6].node);
					n->passing = (yyvsp[-5].list);
					n->output = (JsonOutput *) (yyvsp[-4].node);
					n->wrapper = (yyvsp[-3].ival);
					n->quotes = (yyvsp[-2].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-10]);
					(yyval.node) = (Node *) n;
				}
#line 50347 "gram.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 16069 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_EXISTS_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-5].node);
					n->pathspec = (yyvsp[-3].node);
					n->passing = (yyvsp[-2].list);
					n->output = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 50364 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 16086 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_VALUE_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-6].node);
					n->pathspec = (yyvsp[-4].node);
					n->passing = (yyvsp[-3].list);
					n->output = (JsonOutput *) (yyvsp[-2].node);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 50382 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 16106 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50388 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 16108 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 50394 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 16112 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 50400 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 16114 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 50406 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 16116 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 50412 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 16118 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 50418 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 16121 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50424 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 16124 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 50430 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 16125 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 50436 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 16129 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 50448 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16137 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 50460 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16146 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 50466 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16147 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 50472 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16150 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50478 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16151 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50484 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16152 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50490 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16155 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50496 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16156 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50502 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16157 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50508 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50516 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16167 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50524 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16171 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50532 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 50540 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50546 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50552 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16195 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 50558 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16196 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50564 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16204 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50570 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16205 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50576 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16209 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 50582 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16211 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 50588 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16216 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 50599 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16225 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 50605 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16227 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 50623 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16241 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 50629 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16246 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 50648 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16272 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50654 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16273 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 50660 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50666 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50672 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16286 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50684 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16294 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50696 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16302 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 50708 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16310 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50721 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16321 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 50743 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16339 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 50785 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16385 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50798 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16394 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50811 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16403 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50824 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16412 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50837 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16421 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50850 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16432 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 50856 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16433 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 50862 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16434 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 50868 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16435 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50874 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16436 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 50880 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50886 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16451 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50892 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50898 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16455 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50904 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16456 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50910 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16459 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50916 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16462 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50922 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16463 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50928 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16464 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 50934 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16467 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50940 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16468 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50946 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16471 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 50952 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16472 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 50958 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16473 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 50964 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16474 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 50970 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 50976 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16476 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 50982 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16477 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 50988 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16478 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 50994 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16479 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 51000 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16480 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 51006 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16481 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 51012 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16482 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 51018 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51024 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16488 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51030 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16493 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51036 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16495 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51042 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16500 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51048 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16502 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 51054 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16504 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 51060 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16506 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 51066 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 51072 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16510 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 51078 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 51086 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16526 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 51094 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 51102 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16537 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 51110 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16543 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51118 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16547 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 51132 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16557 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 51146 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16568 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51152 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16569 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51158 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16572 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 51164 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16573 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 51170 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 51178 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 51186 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16585 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 51194 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51200 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51206 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16597 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 51214 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16606 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51220 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16607 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 51226 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16608 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 51232 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16609 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 51238 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16610 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 51244 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16611 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 51250 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16612 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 51256 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16613 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51262 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16617 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 51268 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16618 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 51274 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16619 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 51280 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16620 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 51286 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16626 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51295 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16631 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51304 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16639 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 51310 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16661 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51318 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16665 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 51327 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16670 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51342 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16681 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 51363 "gram.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 16698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 51371 "gram.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 16703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 51377 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51383 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16705 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51389 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16709 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 51401 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16716 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 51407 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16727 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 51422 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16741 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51428 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16742 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51434 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16747 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 51447 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16758 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51453 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16759 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51459 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16762 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51465 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16763 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51471 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16767 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 51479 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51487 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16778 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 51495 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16782 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 51503 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16786 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51516 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16795 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 51529 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16806 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 51535 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16807 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51541 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16811 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51547 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16812 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51553 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16816 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51559 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 51565 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16826 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51571 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51577 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16831 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51583 "gram.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16832 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51589 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16837 "gram.y" /* yacc.c:1646  */
    {
				JsonArgument *n = makeNode(JsonArgument);

				n->val = (JsonValueExpr *) (yyvsp[-2].node);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 51601 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16848 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51607 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16849 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 51613 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16850 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51619 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16851 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51625 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16852 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51631 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16853 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51637 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16854 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 51643 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16855 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51649 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16856 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNSPEC; }
#line 51655 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16861 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior(JSON_BEHAVIOR_DEFAULT, (yyvsp[0].node), (yylsp[-1])); }
#line 51661 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16863 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior((yyvsp[0].ival), NULL, (yylsp[0])); }
#line 51667 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16867 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_ERROR; }
#line 51673 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16868 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_NULL; }
#line 51679 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16869 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_TRUE; }
#line 51685 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16870 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_FALSE; }
#line 51691 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16871 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_UNKNOWN; }
#line 51697 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16872 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51703 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16873 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_OBJECT; }
#line 51709 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16875 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 51715 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16880 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].node), NULL); }
#line 51721 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-2].node)); }
#line 51727 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16884 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-5].node), (yyvsp[-2].node)); }
#line 51733 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16886 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, NULL); }
#line 51739 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16891 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 51745 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16893 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51751 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16898 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 51761 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16907 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 51782 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 51790 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16931 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 51798 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16935 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 51806 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16941 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51812 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16942 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 51818 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16943 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51824 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16944 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 51830 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16945 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_UNSPEC; }
#line 51836 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16950 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 51849 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16958 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 51855 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16972 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51861 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 16973 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 51867 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 16974 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 51873 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 16975 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 51879 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 16976 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 51885 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 16985 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51891 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 16986 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51897 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 16987 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51903 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 16988 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51909 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 16989 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51915 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 16994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51921 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 16996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51927 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 17006 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51933 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 17009 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51939 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 17014 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51945 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 17015 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51951 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 17016 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51957 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 17020 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51963 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 17021 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51969 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 17022 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51975 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 17026 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51981 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 17027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 51987 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 17037 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 52004 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 17055 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 52020 "gram.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 17069 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 52026 "gram.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 17070 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 52032 "gram.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 17079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 52038 "gram.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 17080 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 52044 "gram.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 17084 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 52050 "gram.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 17085 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 52056 "gram.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 17089 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 52068 "gram.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 17097 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 52080 "gram.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 17105 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 52092 "gram.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 17113 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 52109 "gram.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 17135 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 52115 "gram.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 17136 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 52121 "gram.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 17148 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 52129 "gram.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 17152 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 52137 "gram.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 17158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 52143 "gram.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 17160 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 52149 "gram.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 17164 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52155 "gram.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 17166 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52161 "gram.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 17168 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52167 "gram.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 17179 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 52173 "gram.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 17181 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 52182 "gram.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 17192 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 52190 "gram.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 17196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52198 "gram.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 17200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52206 "gram.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 17204 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52214 "gram.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 17208 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 52227 "gram.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 17217 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52239 "gram.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 17225 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52275 "gram.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 17257 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 52283 "gram.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 17261 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 52294 "gram.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 17268 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52306 "gram.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 17276 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 52314 "gram.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 17280 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 52322 "gram.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 17284 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 52330 "gram.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 17289 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52336 "gram.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 17290 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52342 "gram.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 17292 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 52348 "gram.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 17293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 52354 "gram.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 17294 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 52360 "gram.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 17299 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 52403 "gram.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 17340 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 52435 "gram.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 17368 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 52443 "gram.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 17372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 52451 "gram.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 17376 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 52459 "gram.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 17382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 52465 "gram.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 17384 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 52471 "gram.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 17401 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 52502 "gram.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 17434 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 52517 "gram.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 17446 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52523 "gram.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 17447 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 52529 "gram.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 17468 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52535 "gram.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 17469 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52541 "gram.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 17470 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52547 "gram.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 17475 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52553 "gram.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 17476 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52559 "gram.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 17477 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52565 "gram.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 17482 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52571 "gram.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 17483 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52577 "gram.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 17484 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52583 "gram.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 17485 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52589 "gram.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 17491 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52595 "gram.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 17492 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52601 "gram.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 17493 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52607 "gram.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 17494 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52613 "gram.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 17495 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52619 "gram.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 17501 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52625 "gram.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 17502 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52631 "gram.c" /* yacc.c:1646  */
    break;


#line 52635 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18514 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
