/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "preproc_extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;
static int	bytea_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

static bool check_declared_list(const char *name);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string
					  && ptr->variable->type->type != ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string
					  || ptr->variable->type->type == ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar ||
					ptr->variable->type->type == ECPGt_bytea)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_bytea &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

/*
 * check an SQL identifier is declared or not.
 * If it is already declared, the global variable
 * connection will be changed to the related connection.
 */
static bool
check_declared_list(const char *name)
{
	struct declared_list *ptr = NULL;
	for (ptr = g_declared_list; ptr != NULL; ptr = ptr -> next)
	{
		if (!ptr->connection)
			continue;
		if (strcmp(name, ptr -> name) == 0)
		{
			if (connection && strcmp(ptr->connection, connection) != 0)
				mmerror(PARSE_ERROR, ET_WARNING, "connection %s is overwritten with %s by DECLARE statement %s", connection, ptr->connection, name);
			connection = mm_strdup(ptr -> connection);
			return true;
		}
	}
	return false;
}

#line 678 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    IDENT = 328,
    UIDENT = 329,
    FCONST = 330,
    SCONST = 331,
    USCONST = 332,
    BCONST = 333,
    XCONST = 334,
    Op = 335,
    ICONST = 336,
    PARAM = 337,
    TYPECAST = 338,
    DOT_DOT = 339,
    COLON_EQUALS = 340,
    EQUALS_GREATER = 341,
    LESS_EQUALS = 342,
    GREATER_EQUALS = 343,
    NOT_EQUALS = 344,
    ABORT_P = 345,
    ABSENT = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASENSITIVE = 365,
    ASSERTION = 366,
    ASSIGNMENT = 367,
    ASYMMETRIC = 368,
    ATOMIC = 369,
    AT = 370,
    ATTACH = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BREADTH = 383,
    BY = 384,
    CACHE = 385,
    CALL = 386,
    CALLED = 387,
    CASCADE = 388,
    CASCADED = 389,
    CASE = 390,
    CAST = 391,
    CATALOG_P = 392,
    CHAIN = 393,
    CHAR_P = 394,
    CHARACTER = 395,
    CHARACTERISTICS = 396,
    CHECK = 397,
    CHECKPOINT = 398,
    CLASS = 399,
    CLOSE = 400,
    CLUSTER = 401,
    COALESCE = 402,
    COLLATE = 403,
    COLLATION = 404,
    COLUMN = 405,
    COLUMNS = 406,
    COMMENT = 407,
    COMMENTS = 408,
    COMMIT = 409,
    COMMITTED = 410,
    COMPRESSION = 411,
    CONCURRENTLY = 412,
    CONDITIONAL = 413,
    CONFIGURATION = 414,
    CONFLICT = 415,
    CONNECTION = 416,
    CONSTRAINT = 417,
    CONSTRAINTS = 418,
    CONTENT_P = 419,
    CONTINUE_P = 420,
    CONVERSION_P = 421,
    COPY = 422,
    COST = 423,
    CREATE = 424,
    CROSS = 425,
    CSV = 426,
    CUBE = 427,
    CURRENT_P = 428,
    CURRENT_CATALOG = 429,
    CURRENT_DATE = 430,
    CURRENT_ROLE = 431,
    CURRENT_SCHEMA = 432,
    CURRENT_TIME = 433,
    CURRENT_TIMESTAMP = 434,
    CURRENT_USER = 435,
    CURSOR = 436,
    CYCLE = 437,
    DATA_P = 438,
    DATABASE = 439,
    DAY_P = 440,
    DEALLOCATE = 441,
    DEC = 442,
    DECIMAL_P = 443,
    DECLARE = 444,
    DEFAULT = 445,
    DEFAULTS = 446,
    DEFERRABLE = 447,
    DEFERRED = 448,
    DEFINER = 449,
    DELETE_P = 450,
    DELIMITER = 451,
    DELIMITERS = 452,
    DEPENDS = 453,
    DEPTH = 454,
    DESC = 455,
    DETACH = 456,
    DICTIONARY = 457,
    DISABLE_P = 458,
    DISCARD = 459,
    DISTINCT = 460,
    DO = 461,
    DOCUMENT_P = 462,
    DOMAIN_P = 463,
    DOUBLE_P = 464,
    DROP = 465,
    EACH = 466,
    ELSE = 467,
    EMPTY_P = 468,
    ENABLE_P = 469,
    ENCODING = 470,
    ENCRYPTED = 471,
    END_P = 472,
    ENUM_P = 473,
    ERROR_P = 474,
    ESCAPE = 475,
    EVENT = 476,
    EXCEPT = 477,
    EXCLUDE = 478,
    EXCLUDING = 479,
    EXCLUSIVE = 480,
    EXECUTE = 481,
    EXISTS = 482,
    EXPLAIN = 483,
    EXPRESSION = 484,
    EXTENSION = 485,
    EXTERNAL = 486,
    EXTRACT = 487,
    FALSE_P = 488,
    FAMILY = 489,
    FETCH = 490,
    FILTER = 491,
    FINALIZE = 492,
    FIRST_P = 493,
    FLOAT_P = 494,
    FOLLOWING = 495,
    FOR = 496,
    FORCE = 497,
    FOREIGN = 498,
    FORMAT = 499,
    FORWARD = 500,
    FREEZE = 501,
    FROM = 502,
    FULL = 503,
    FUNCTION = 504,
    FUNCTIONS = 505,
    GENERATED = 506,
    GLOBAL = 507,
    GRANT = 508,
    GRANTED = 509,
    GREATEST = 510,
    GROUP_P = 511,
    GROUPING = 512,
    GROUPS = 513,
    HANDLER = 514,
    HAVING = 515,
    HEADER_P = 516,
    HOLD = 517,
    HOUR_P = 518,
    IDENTITY_P = 519,
    IF_P = 520,
    ILIKE = 521,
    IMMEDIATE = 522,
    IMMUTABLE = 523,
    IMPLICIT_P = 524,
    IMPORT_P = 525,
    IN_P = 526,
    INCLUDE = 527,
    INCLUDING = 528,
    INCREMENT = 529,
    INDENT = 530,
    INDEX = 531,
    INDEXES = 532,
    INHERIT = 533,
    INHERITS = 534,
    INITIALLY = 535,
    INLINE_P = 536,
    INNER_P = 537,
    INOUT = 538,
    INPUT_P = 539,
    INSENSITIVE = 540,
    INSERT = 541,
    INSTEAD = 542,
    INT_P = 543,
    INTEGER = 544,
    INTERSECT = 545,
    INTERVAL = 546,
    INTO = 547,
    INVOKER = 548,
    IS = 549,
    ISNULL = 550,
    ISOLATION = 551,
    JOIN = 552,
    JSON = 553,
    JSON_ARRAY = 554,
    JSON_ARRAYAGG = 555,
    JSON_EXISTS = 556,
    JSON_OBJECT = 557,
    JSON_OBJECTAGG = 558,
    JSON_QUERY = 559,
    JSON_SCALAR = 560,
    JSON_SERIALIZE = 561,
    JSON_TABLE = 562,
    JSON_VALUE = 563,
    KEEP = 564,
    KEY = 565,
    KEYS = 566,
    LABEL = 567,
    LANGUAGE = 568,
    LARGE_P = 569,
    LAST_P = 570,
    LATERAL_P = 571,
    LEADING = 572,
    LEAKPROOF = 573,
    LEAST = 574,
    LEFT = 575,
    LEVEL = 576,
    LIKE = 577,
    LIMIT = 578,
    LISTEN = 579,
    LOAD = 580,
    LOCAL = 581,
    LOCALTIME = 582,
    LOCALTIMESTAMP = 583,
    LOCATION = 584,
    LOCK_P = 585,
    LOCKED = 586,
    LOGGED = 587,
    MAPPING = 588,
    MATCH = 589,
    MATCHED = 590,
    MATERIALIZED = 591,
    MAXVALUE = 592,
    MERGE = 593,
    MERGE_ACTION = 594,
    METHOD = 595,
    MINUTE_P = 596,
    MINVALUE = 597,
    MODE = 598,
    MONTH_P = 599,
    MOVE = 600,
    NAME_P = 601,
    NAMES = 602,
    NATIONAL = 603,
    NATURAL = 604,
    NCHAR = 605,
    NESTED = 606,
    NEW = 607,
    NEXT = 608,
    NFC = 609,
    NFD = 610,
    NFKC = 611,
    NFKD = 612,
    NO = 613,
    NONE = 614,
    NORMALIZE = 615,
    NORMALIZED = 616,
    NOT = 617,
    NOTHING = 618,
    NOTIFY = 619,
    NOTNULL = 620,
    NOWAIT = 621,
    NULL_P = 622,
    NULLIF = 623,
    NULLS_P = 624,
    NUMERIC = 625,
    OBJECT_P = 626,
    OF = 627,
    OFF = 628,
    OFFSET = 629,
    OIDS = 630,
    OLD = 631,
    OMIT = 632,
    ON = 633,
    ONLY = 634,
    OPERATOR = 635,
    OPTION = 636,
    OPTIONS = 637,
    OR = 638,
    ORDER = 639,
    ORDINALITY = 640,
    OTHERS = 641,
    OUT_P = 642,
    OUTER_P = 643,
    OVER = 644,
    OVERLAPS = 645,
    OVERLAY = 646,
    OVERRIDING = 647,
    OWNED = 648,
    OWNER = 649,
    PARALLEL = 650,
    PARAMETER = 651,
    PARSER = 652,
    PARTIAL = 653,
    PARTITION = 654,
    PASSING = 655,
    PASSWORD = 656,
    PATH = 657,
    PLACING = 658,
    PLAN = 659,
    PLANS = 660,
    POLICY = 661,
    POSITION = 662,
    PRECEDING = 663,
    PRECISION = 664,
    PRESERVE = 665,
    PREPARE = 666,
    PREPARED = 667,
    PRIMARY = 668,
    PRIOR = 669,
    PRIVILEGES = 670,
    PROCEDURAL = 671,
    PROCEDURE = 672,
    PROCEDURES = 673,
    PROGRAM = 674,
    PUBLICATION = 675,
    QUOTE = 676,
    QUOTES = 677,
    RANGE = 678,
    READ = 679,
    REAL = 680,
    REASSIGN = 681,
    RECHECK = 682,
    RECURSIVE = 683,
    REF_P = 684,
    REFERENCES = 685,
    REFERENCING = 686,
    REFRESH = 687,
    REINDEX = 688,
    RELATIVE_P = 689,
    RELEASE = 690,
    RENAME = 691,
    REPEATABLE = 692,
    REPLACE = 693,
    REPLICA = 694,
    RESET = 695,
    RESTART = 696,
    RESTRICT = 697,
    RETURN = 698,
    RETURNING = 699,
    RETURNS = 700,
    REVOKE = 701,
    RIGHT = 702,
    ROLE = 703,
    ROLLBACK = 704,
    ROLLUP = 705,
    ROUTINE = 706,
    ROUTINES = 707,
    ROW = 708,
    ROWS = 709,
    RULE = 710,
    SAVEPOINT = 711,
    SCALAR = 712,
    SCHEMA = 713,
    SCHEMAS = 714,
    SCROLL = 715,
    SEARCH = 716,
    SECOND_P = 717,
    SECURITY = 718,
    SELECT = 719,
    SEQUENCE = 720,
    SEQUENCES = 721,
    SERIALIZABLE = 722,
    SERVER = 723,
    SESSION = 724,
    SESSION_USER = 725,
    SET = 726,
    SETS = 727,
    SETOF = 728,
    SHARE = 729,
    SHOW = 730,
    SIMILAR = 731,
    SIMPLE = 732,
    SKIP = 733,
    SMALLINT = 734,
    SNAPSHOT = 735,
    SOME = 736,
    SOURCE = 737,
    SQL_P = 738,
    STABLE = 739,
    STANDALONE_P = 740,
    START = 741,
    STATEMENT = 742,
    STATISTICS = 743,
    STDIN = 744,
    STDOUT = 745,
    STORAGE = 746,
    STORED = 747,
    STRICT_P = 748,
    STRING_P = 749,
    STRIP_P = 750,
    SUBSCRIPTION = 751,
    SUBSTRING = 752,
    SUPPORT = 753,
    SYMMETRIC = 754,
    SYSID = 755,
    SYSTEM_P = 756,
    SYSTEM_USER = 757,
    TABLE = 758,
    TABLES = 759,
    TABLESAMPLE = 760,
    TABLESPACE = 761,
    TARGET = 762,
    TEMP = 763,
    TEMPLATE = 764,
    TEMPORARY = 765,
    TEXT_P = 766,
    THEN = 767,
    TIES = 768,
    TIME = 769,
    TIMESTAMP = 770,
    TO = 771,
    TRAILING = 772,
    TRANSACTION = 773,
    TRANSFORM = 774,
    TREAT = 775,
    TRIGGER = 776,
    TRIM = 777,
    TRUE_P = 778,
    TRUNCATE = 779,
    TRUSTED = 780,
    TYPE_P = 781,
    TYPES_P = 782,
    UESCAPE = 783,
    UNBOUNDED = 784,
    UNCONDITIONAL = 785,
    UNCOMMITTED = 786,
    UNENCRYPTED = 787,
    UNION = 788,
    UNIQUE = 789,
    UNKNOWN = 790,
    UNLISTEN = 791,
    UNLOGGED = 792,
    UNTIL = 793,
    UPDATE = 794,
    USER = 795,
    USING = 796,
    VACUUM = 797,
    VALID = 798,
    VALIDATE = 799,
    VALIDATOR = 800,
    VALUE_P = 801,
    VALUES = 802,
    VARCHAR = 803,
    VARIADIC = 804,
    VARYING = 805,
    VERBOSE = 806,
    VERSION_P = 807,
    VIEW = 808,
    VIEWS = 809,
    VOLATILE = 810,
    WHEN = 811,
    WHERE = 812,
    WHITESPACE_P = 813,
    WINDOW = 814,
    WITH = 815,
    WITHIN = 816,
    WITHOUT = 817,
    WORK = 818,
    WRAPPER = 819,
    WRITE = 820,
    XML_P = 821,
    XMLATTRIBUTES = 822,
    XMLCONCAT = 823,
    XMLELEMENT = 824,
    XMLEXISTS = 825,
    XMLFOREST = 826,
    XMLNAMESPACES = 827,
    XMLPARSE = 828,
    XMLPI = 829,
    XMLROOT = 830,
    XMLSERIALIZE = 831,
    XMLTABLE = 832,
    YEAR_P = 833,
    YES_P = 834,
    ZONE = 835,
    FORMAT_LA = 836,
    NOT_LA = 837,
    NULLS_LA = 838,
    WITH_LA = 839,
    WITHOUT_LA = 840,
    MODE_TYPE_NAME = 841,
    MODE_PLPGSQL_EXPR = 842,
    MODE_PLPGSQL_ASSIGN1 = 843,
    MODE_PLPGSQL_ASSIGN2 = 844,
    MODE_PLPGSQL_ASSIGN3 = 845,
    UMINUS = 846
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 612 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;
	struct	exec		exec;
	struct describe		describe;

#line 1327 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1358 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   162329

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  611
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  867
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3877
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  7102

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   846

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   598,     2,     2,
     603,   604,   596,   594,   606,   595,   605,   597,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   608,   607,
     591,   593,   592,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   601,     2,   602,   599,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   609,     2,   610,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   600
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1737,  1737,  1740,  1744,  1754,  1756,  1758,  1760,  1762,
    1764,  1766,  1768,  1770,  1772,  1774,  1776,  1778,  1780,  1782,
    1784,  1786,  1788,  1790,  1792,  1794,  1796,  1798,  1800,  1802,
    1804,  1806,  1808,  1810,  1812,  1814,  1816,  1818,  1820,  1822,
    1824,  1842,  1844,  1846,  1848,  1850,  1852,  1854,  1856,  1858,
    1860,  1862,  1864,  1866,  1868,  1870,  1872,  1874,  1876,  1878,
    1880,  1882,  1884,  1886,  1888,  1890,  1892,  1894,  1896,  1898,
    1900,  1902,  1904,  1906,  1908,  1910,  1912,  1914,  1918,  1920,
    1922,  1924,  1926,  1928,  1930,  1932,  1934,  1936,  1938,  1940,
    1942,  1944,  1946,  1948,  1950,  1974,  1976,  1978,  1980,  1982,
    1984,  1986,  1988,  1990,  1992,  1994,  1996,  1998,  2000,  2028,
    2030,  2032,  2034,  2036,  2038,  2040,  2042,  2044,  2046,  2048,
    2050,  2056,  2058,  2060,  2062,  2064,  2066,  2068,  2070,  2072,
    2078,  2088,  2092,  2096,  2102,  2106,  2118,  2128,  2129,  2143,
    2150,  2156,  2167,  2173,  2182,  2189,  2195,  2204,  2211,  2219,
    2224,  2229,  2235,  2240,  2246,  2251,  2257,  2261,  2266,  2272,
    2280,  2288,  2292,  2297,  2303,  2308,  2314,  2319,  2325,  2329,
    2333,  2337,  2342,  2346,  2350,  2354,  2358,  2366,  2370,  2374,
    2378,  2382,  2386,  2394,  2402,  2406,  2415,  2417,  2425,  2429,
    2433,  2437,  2445,  2449,  2453,  2457,  2461,  2465,  2473,  2481,
    2489,  2493,  2501,  2505,  2509,  2513,  2521,  2526,  2532,  2536,
    2540,  2544,  2548,  2552,  2560,  2564,  2568,  2576,  2580,  2584,
    2592,  2596,  2600,  2604,  2612,  2616,  2620,  2624,  2629,  2633,
    2637,  2641,  2645,  2649,  2653,  2661,  2665,  2673,  2677,  2685,
    2689,  2703,  2707,  2711,  2715,  2723,  2727,  2731,  2735,  2743,
    2747,  2751,  2755,  2759,  2763,  2767,  2775,  2779,  2784,  2790,
    2794,  2802,  2810,  2814,  2818,  2822,  2830,  2834,  2842,  2846,
    2854,  2858,  2866,  2870,  2874,  2878,  2882,  2891,  2899,  2903,
    2911,  2915,  2923,  2931,  2935,  2939,  2943,  2947,  2955,  2959,
    2963,  2967,  2971,  2975,  2979,  2983,  2987,  2991,  2995,  2999,
    3003,  3007,  3011,  3015,  3019,  3023,  3027,  3031,  3035,  3043,
    3047,  3055,  3059,  3063,  3071,  3079,  3083,  3087,  3091,  3095,
    3099,  3103,  3107,  3111,  3115,  3119,  3123,  3127,  3131,  3135,
    3139,  3143,  3147,  3151,  3155,  3159,  3163,  3167,  3171,  3175,
    3179,  3183,  3187,  3191,  3195,  3199,  3203,  3207,  3211,  3215,
    3219,  3223,  3227,  3231,  3235,  3239,  3243,  3247,  3251,  3255,
    3259,  3263,  3267,  3271,  3275,  3279,  3283,  3287,  3291,  3295,
    3299,  3303,  3307,  3311,  3315,  3319,  3327,  3331,  3339,  3344,
    3350,  3355,  3361,  3365,  3369,  3373,  3381,  3389,  3394,  3400,
    3404,  3412,  3416,  3420,  3424,  3432,  3436,  3444,  3448,  3452,
    3456,  3464,  3468,  3476,  3480,  3488,  3492,  3496,  3500,  3508,
    3516,  3520,  3528,  3536,  3540,  3548,  3552,  3556,  3560,  3568,
    3584,  3592,  3600,  3608,  3612,  3620,  3625,  3631,  3635,  3639,
    3647,  3651,  3659,  3664,  3670,  3674,  3678,  3682,  3686,  3690,
    3694,  3698,  3702,  3706,  3710,  3714,  3718,  3722,  3726,  3734,
    3739,  3745,  3750,  3756,  3761,  3767,  3771,  3779,  3787,  3791,
    3795,  3799,  3803,  3808,  3814,  3818,  3826,  3834,  3838,  3842,
    3846,  3850,  3854,  3862,  3866,  3870,  3874,  3878,  3882,  3886,
    3891,  3897,  3902,  3908,  3913,  3919,  3923,  3931,  3935,  3943,
    3947,  3951,  3959,  3963,  3971,  3979,  3983,  3991,  3995,  4003,
    4008,  4014,  4018,  4026,  4031,  4037,  4042,  4048,  4052,  4056,
    4060,  4068,  4072,  4076,  4080,  4084,  4088,  4092,  4096,  4100,
    4108,  4112,  4117,  4123,  4127,  4135,  4139,  4143,  4147,  4155,
    4163,  4167,  4172,  4178,  4182,  4186,  4190,  4194,  4198,  4202,
    4206,  4210,  4214,  4222,  4226,  4234,  4238,  4242,  4246,  4250,
    4254,  4258,  4266,  4270,  4278,  4282,  4290,  4295,  4301,  4306,
    4312,  4316,  4324,  4332,  4337,  4343,  4347,  4352,  4357,  4363,
    4367,  4375,  4379,  4387,  4392,  4398,  4402,  4406,  4410,  4415,
    4421,  4429,  4437,  4441,  4445,  4449,  4453,  4461,  4466,  4472,
    4477,  4483,  4491,  4495,  4503,  4507,  4511,  4519,  4524,  4530,
    4534,  4539,  4545,  4549,  4553,  4558,  4564,  4569,  4575,  4580,
    4586,  4594,  4598,  4606,  4610,  4618,  4622,  4626,  4634,  4638,
    4646,  4654,  4658,  4663,  4669,  4673,  4681,  4689,  4694,  4700,
    4708,  4712,  4720,  4724,  4732,  4737,  4743,  4748,  4754,  4758,
    4766,  4770,  4774,  4778,  4782,  4786,  4790,  4794,  4798,  4802,
    4806,  4810,  4814,  4818,  4822,  4826,  4834,  4839,  4845,  4849,
    4853,  4857,  4865,  4869,  4877,  4881,  4889,  4894,  4900,  4904,
    4912,  4917,  4923,  4927,  4935,  4940,  4946,  4951,  4957,  4965,
    4970,  4976,  4980,  4988,  4992,  5000,  5005,  5011,  5015,  5019,
    5024,  5032,  5040,  5045,  5051,  5059,  5063,  5067,  5071,  5075,
    5079,  5083,  5087,  5091,  5095,  5099,  5103,  5107,  5115,  5123,
    5127,  5131,  5135,  5143,  5147,  5155,  5160,  5166,  5170,  5178,
    5183,  5189,  5193,  5201,  5209,  5213,  5221,  5225,  5229,  5233,
    5241,  5249,  5257,  5265,  5269,  5277,  5282,  5288,  5292,  5300,
    5305,  5311,  5315,  5319,  5327,  5331,  5335,  5339,  5347,  5355,
    5359,  5367,  5372,  5378,  5382,  5390,  5394,  5402,  5406,  5414,
    5422,  5430,  5438,  5443,  5449,  5454,  5460,  5465,  5471,  5476,
    5482,  5487,  5493,  5498,  5504,  5508,  5512,  5516,  5520,  5528,
    5536,  5540,  5548,  5552,  5560,  5564,  5568,  5576,  5580,  5588,
    5592,  5596,  5600,  5604,  5612,  5617,  5623,  5627,  5635,  5643,
    5647,  5655,  5659,  5667,  5675,  5680,  5686,  5691,  5697,  5701,
    5709,  5714,  5720,  5724,  5732,  5736,  5741,  5747,  5751,  5755,
    5759,  5767,  5772,  5779,  5781,  5789,  5793,  5797,  5801,  5805,
    5809,  5817,  5821,  5829,  5833,  5841,  5849,  5853,  5861,  5869,
    5873,  5877,  5881,  5889,  5898,  5902,  5906,  5910,  5914,  5918,
    5922,  5926,  5930,  5934,  5938,  5942,  5946,  5950,  5954,  5958,
    5966,  5974,  5978,  5986,  5990,  5998,  6002,  6006,  6010,  6014,
    6018,  6026,  6034,  6038,  6046,  6054,  6059,  6065,  6069,  6077,
    6081,  6085,  6089,  6093,  6102,  6107,  6113,  6121,  6125,  6133,
    6137,  6141,  6145,  6149,  6157,  6162,  6168,  6173,  6179,  6183,
    6188,  6194,  6200,  6206,  6214,  6218,  6226,  6230,  6238,  6242,
    6250,  6254,  6262,  6266,  6274,  6282,  6290,  6294,  6298,  6302,
    6306,  6310,  6314,  6318,  6322,  6326,  6330,  6334,  6342,  6346,
    6350,  6354,  6358,  6362,  6366,  6370,  6374,  6378,  6382,  6386,
    6390,  6398,  6402,  6406,  6410,  6414,  6422,  6426,  6430,  6434,
    6438,  6442,  6446,  6450,  6458,  6462,  6466,  6474,  6478,  6486,
    6490,  6498,  6502,  6510,  6514,  6522,  6530,  6534,  6539,  6545,
    6549,  6553,  6557,  6561,  6565,  6569,  6573,  6577,  6581,  6585,
    6589,  6593,  6597,  6601,  6605,  6609,  6613,  6621,  6625,  6633,
    6637,  6641,  6645,  6649,  6653,  6657,  6661,  6665,  6669,  6677,
    6682,  6688,  6692,  6700,  6704,  6708,  6712,  6721,  6730,  6739,
    6748,  6757,  6766,  6775,  6788,  6802,  6816,  6830,  6844,  6858,
    6872,  6891,  6910,  6929,  6943,  6962,  6976,  6995,  7013,  7017,
    7025,  7030,  7036,  7044,  7048,  7056,  7060,  7064,  7068,  7072,
    7080,  7084,  7092,  7096,  7100,  7104,  7108,  7116,  7120,  7128,
    7132,  7140,  7144,  7148,  7152,  7156,  7160,  7164,  7168,  7172,
    7176,  7180,  7184,  7188,  7192,  7196,  7200,  7204,  7208,  7212,
    7216,  7220,  7228,  7232,  7240,  7244,  7252,  7257,  7263,  7267,
    7275,  7279,  7287,  7291,  7299,  7307,  7311,  7315,  7323,  7328,
    7334,  7342,  7347,  7353,  7357,  7361,  7369,  7373,  7377,  7385,
    7389,  7393,  7397,  7401,  7405,  7413,  7417,  7425,  7430,  7436,
    7441,  7447,  7451,  7459,  7463,  7471,  7475,  7479,  7487,  7492,
    7498,  7502,  7510,  7515,  7521,  7525,  7530,  7536,  7540,  7545,
    7551,  7555,  7559,  7563,  7571,  7576,  7582,  7586,  7594,  7598,
    7606,  7610,  7618,  7622,  7626,  7630,  7638,  7642,  7650,  7654,
    7662,  7666,  7670,  7674,  7678,  7686,  7690,  7694,  7698,  7702,
    7710,  7718,  7726,  7730,  7734,  7742,  7746,  7750,  7758,  7766,
    7770,  7774,  7778,  7786,  7790,  7798,  7806,  7810,  7818,  7823,
    7829,  7833,  7841,  7845,  7849,  7853,  7857,  7861,  7865,  7869,
    7873,  7877,  7881,  7885,  7889,  7893,  7897,  7901,  7905,  7913,
    7917,  7921,  7925,  7929,  7937,  7941,  7949,  7957,  7961,  7966,
    7972,  7977,  7983,  7987,  7995,  7999,  8007,  8012,  8018,  8026,
    8030,  8038,  8042,  8046,  8054,  8058,  8066,  8071,  8077,  8081,
    8085,  8089,  8093,  8097,  8105,  8109,  8117,  8121,  8129,  8133,
    8137,  8141,  8149,  8153,  8161,  8165,  8173,  8181,  8189,  8193,
    8201,  8205,  8213,  8217,  8221,  8229,  8233,  8238,  8244,  8252,
    8257,  8263,  8271,  8275,  8279,  8283,  8291,  8299,  8303,  8307,
    8315,  8319,  8327,  8331,  8339,  8344,  8350,  8354,  8362,  8366,
    8370,  8374,  8378,  8382,  8386,  8390,  8394,  8398,  8402,  8406,
    8410,  8414,  8418,  8422,  8426,  8430,  8434,  8438,  8442,  8446,
    8450,  8454,  8458,  8462,  8466,  8470,  8474,  8478,  8482,  8486,
    8490,  8494,  8498,  8502,  8506,  8510,  8514,  8518,  8522,  8526,
    8530,  8534,  8538,  8542,  8546,  8550,  8554,  8558,  8562,  8566,
    8570,  8574,  8578,  8586,  8591,  8597,  8602,  8608,  8612,  8616,
    8620,  8624,  8628,  8636,  8641,  8647,  8651,  8655,  8659,  8663,
    8667,  8671,  8675,  8679,  8683,  8687,  8691,  8695,  8699,  8703,
    8707,  8711,  8715,  8719,  8723,  8727,  8731,  8735,  8739,  8743,
    8747,  8751,  8759,  8767,  8771,  8779,  8783,  8787,  8795,  8799,
    8803,  8807,  8811,  8819,  8827,  8831,  8835,  8839,  8843,  8847,
    8851,  8855,  8859,  8863,  8867,  8871,  8875,  8879,  8883,  8887,
    8891,  8895,  8899,  8903,  8907,  8911,  8915,  8919,  8927,  8931,
    8935,  8943,  8947,  8951,  8955,  8959,  8963,  8967,  8975,  8979,
    8987,  8991,  8995,  8999,  9007,  9015,  9019,  9023,  9027,  9031,
    9035,  9039,  9043,  9047,  9055,  9059,  9067,  9075,  9079,  9083,
    9091,  9095,  9103,  9107,  9111,  9115,  9119,  9127,  9132,  9138,
    9142,  9146,  9150,  9158,  9162,  9167,  9173,  9181,  9186,  9192,
    9200,  9204,  9212,  9216,  9220,  9224,  9228,  9232,  9236,  9240,
    9244,  9248,  9252,  9256,  9264,  9268,  9276,  9280,  9285,  9291,
    9295,  9299,  9303,  9307,  9315,  9319,  9323,  9331,  9336,  9342,
    9346,  9351,  9357,  9361,  9365,  9369,  9377,  9381,  9385,  9390,
    9396,  9404,  9412,  9417,  9423,  9427,  9435,  9439,  9443,  9451,
    9455,  9459,  9463,  9467,  9471,  9475,  9483,  9488,  9494,  9498,
    9502,  9506,  9514,  9522,  9526,  9530,  9534,  9542,  9546,  9554,
    9562,  9570,  9574,  9582,  9590,  9594,  9598,  9602,  9606,  9610,
    9614,  9622,  9627,  9633,  9641,  9645,  9649,  9653,  9657,  9661,
    9669,  9673,  9681,  9689,  9693,  9697,  9701,  9705,  9713,  9718,
    9724,  9728,  9736,  9740,  9748,  9752,  9760,  9764,  9772,  9780,
    9784,  9788,  9796,  9800,  9805,  9811,  9816,  9822,  9827,  9833,
    9838,  9844,  9849,  9855,  9860,  9866,  9874,  9878,  9886,  9891,
    9897,  9901,  9905,  9909,  9917,  9921,  9925,  9929,  9933,  9937,
    9941,  9945,  9949,  9953,  9961,  9967,  9977,  9982,  9988,  9992,
    9996, 10000, 10004, 10012, 10017, 10021, 10029, 10034, 10040, 10048,
   10052, 10060, 10064, 10068, 10072, 10076, 10084, 10088, 10096, 10100,
   10108, 10116, 10120, 10125, 10131, 10135, 10140, 10146, 10151, 10157,
   10165, 10170, 10176, 10184, 10189, 10195, 10199, 10203, 10207, 10211,
   10215, 10219, 10223, 10231, 10236, 10242, 10246, 10251, 10257, 10265,
   10269, 10277, 10281, 10289, 10297, 10301, 10309, 10317, 10321, 10329,
   10333, 10337, 10341, 10345, 10353, 10357, 10365, 10369, 10377, 10382,
   10388, 10396, 10404, 10408, 10412, 10416, 10420, 10428, 10436, 10487,
   10491, 10504, 10506, 10510, 10514, 10518, 10522, 10531, 10537, 10541,
   10549, 10553, 10561, 10565, 10573, 10577, 10581, 10585, 10589, 10593,
   10597, 10601, 10609, 10613, 10621, 10625, 10629, 10633, 10637, 10641,
   10645, 10653, 10657, 10661, 10669, 10673, 10681, 10689, 10693, 10698,
   10704, 10708, 10713, 10719, 10723, 10728, 10734, 10739, 10745, 10750,
   10752, 10758, 10762, 10766, 10770, 10774, 10778, 10782, 10786, 10790,
   10798, 10803, 10809, 10813, 10818, 10824, 10828, 10836, 10841, 10847,
   10852, 10858, 10866, 10870, 10878, 10882, 10890, 10894, 10898, 10902,
   10910, 10915, 10921, 10925, 10930, 10934, 10938, 10942, 10950, 10954,
   10962, 10966, 10974, 10982, 10986, 10990, 10998, 11002, 11010, 11014,
   11022, 11026, 11034, 11039, 11045, 11049, 11057, 11061, 11065, 11069,
   11073, 11081, 11089, 11097, 11105, 11113, 11118, 11124, 11128, 11136,
   11141, 11147, 11151, 11159, 11167, 11171, 11175, 11179, 11187, 11192,
   11198, 11202, 11210, 11215, 11221, 11225, 11233, 11237, 11241, 11245,
   11249, 11253, 11257, 11261, 11265, 11269, 11273, 11277, 11285, 11289,
   11293, 11297, 11301, 11305, 11313, 11317, 11321, 11325, 11333, 11338,
   11344, 11349, 11355, 11359, 11363, 11367, 11372, 11378, 11382, 11386,
   11390, 11398, 11403, 11409, 11413, 11421, 11425, 11433, 11437, 11441,
   11449, 11453, 11461, 11465, 11469, 11477, 11485, 11490, 11496, 11500,
   11508, 11516, 11520, 11528, 11533, 11539, 11544, 11550, 11555, 11561,
   11565, 11571, 11577, 11582, 11588, 11592, 11600, 11608, 11612, 11620,
   11624, 11632, 11636, 11640, 11648, 11652, 11660, 11664, 11668, 11672,
   11676, 11684, 11688, 11696, 11700, 11708, 11716, 11721, 11727, 11731,
   11739, 11743, 11747, 11751, 11755, 11759, 11767, 11772, 11778, 11783,
   11789, 11791, 11793, 11797, 11801, 11805, 11813, 11823, 11834, 11843,
   11847, 11851, 11855, 11859, 11863, 11867, 11871, 11879, 11883, 11887,
   11891, 11895, 11903, 11907, 11915, 11920, 11926, 11930, 11934, 11938,
   11942, 11946, 11950, 11954, 11958, 11962, 11966, 11974, 11979, 11985,
   11989, 11997, 12001, 12009, 12017, 12025, 12029, 12037, 12041, 12049,
   12057, 12065, 12069, 12073, 12077, 12081, 12085, 12093, 12098, 12104,
   12108, 12112, 12116, 12124, 12132, 12136, 12141, 12147, 12151, 12155,
   12159, 12163, 12167, 12171, 12175, 12179, 12183, 12187, 12191, 12195,
   12200, 12206, 12210, 12218, 12226, 12230, 12234, 12238, 12242, 12246,
   12250, 12254, 12258, 12262, 12266, 12270, 12274, 12278, 12282, 12286,
   12290, 12294, 12298, 12302, 12306, 12310, 12314, 12318, 12322, 12326,
   12330, 12334, 12338, 12342, 12346, 12350, 12354, 12358, 12362, 12366,
   12370, 12374, 12378, 12382, 12386, 12390, 12394, 12398, 12402, 12406,
   12410, 12414, 12418, 12422, 12426, 12430, 12434, 12438, 12442, 12446,
   12450, 12454, 12458, 12463, 12467, 12471, 12475, 12479, 12483, 12487,
   12491, 12495, 12503, 12507, 12511, 12515, 12519, 12523, 12527, 12531,
   12535, 12539, 12543, 12547, 12551, 12555, 12559, 12563, 12567, 12571,
   12575, 12579, 12583, 12587, 12595, 12599, 12603, 12607, 12611, 12615,
   12619, 12623, 12627, 12631, 12635, 12639, 12643, 12647, 12655, 12659,
   12663, 12667, 12671, 12675, 12679, 12687, 12691, 12695, 12703, 12707,
   12711, 12719, 12723, 12727, 12731, 12735, 12739, 12743, 12747, 12751,
   12755, 12759, 12763, 12767, 12771, 12775, 12779, 12783, 12787, 12791,
   12795, 12799, 12803, 12807, 12811, 12815, 12819, 12823, 12827, 12831,
   12835, 12839, 12843, 12847, 12851, 12855, 12859, 12863, 12867, 12871,
   12875, 12879, 12883, 12887, 12891, 12895, 12899, 12903, 12907, 12911,
   12915, 12919, 12923, 12927, 12931, 12935, 12939, 12943, 12947, 12951,
   12955, 12963, 12967, 12975, 12979, 12983, 12988, 12994, 13002, 13006,
   13014, 13018, 13026, 13030, 13038, 13042, 13047, 13053, 13057, 13062,
   13068, 13072, 13076, 13080, 13088, 13092, 13100, 13105, 13111, 13116,
   13122, 13127, 13133, 13137, 13145, 13153, 13157, 13162, 13168, 13176,
   13180, 13187, 13192, 13198, 13202, 13206, 13211, 13217, 13221, 13229,
   13233, 13237, 13241, 13245, 13253, 13257, 13261, 13265, 13270, 13276,
   13280, 13284, 13292, 13296, 13304, 13312, 13316, 13320, 13328, 13332,
   13340, 13344, 13348, 13352, 13356, 13360, 13364, 13368, 13372, 13376,
   13380, 13384, 13392, 13396, 13404, 13408, 13416, 13420, 13424, 13428,
   13432, 13436, 13444, 13448, 13456, 13460, 13468, 13472, 13476, 13484,
   13489, 13495, 13499, 13507, 13511, 13515, 13523, 13527, 13535, 13543,
   13547, 13551, 13555, 13559, 13563, 13567, 13571, 13579, 13583, 13587,
   13591, 13599, 13603, 13611, 13619, 13623, 13627, 13631, 13635, 13643,
   13647, 13651, 13659, 13663, 13671, 13679, 13683, 13691, 13699, 13704,
   13710, 13715, 13721, 13725, 13733, 13737, 13741, 13745, 13753, 13758,
   13764, 13768, 13777, 13779, 13787, 13792, 13798, 13803, 13809, 13813,
   13821, 13829, 13833, 13837, 13841, 13845, 13849, 13853, 13857, 13862,
   13868, 13872, 13880, 13884, 13888, 13892, 13896, 13900, 13904, 13908,
   13916, 13920, 13924, 13929, 13935, 13940, 13946, 13954, 13958, 13966,
   13971, 13977, 13981, 13985, 13989, 13994, 14000, 14005, 14011, 14015,
   14019, 14023, 14027, 14035, 14039, 14043, 14047, 14051, 14058, 14062,
   14070, 14074, 14082, 14086, 14091, 14097, 14101, 14106, 14112, 14116,
   14124, 14128, 14136, 14141, 14147, 14152, 14158, 14162, 14170, 14174,
   14178, 14182, 14190, 14194, 14202, 14206, 14214, 14218, 14226, 14234,
   14242, 14250, 14254, 14262, 14266, 14270, 14274, 14278, 14282, 14286,
   14290, 14294, 14298, 14302, 14306, 14310, 14314, 14315, 14320, 14326,
   14330, 14331, 14335, 14343, 14351, 14355, 14359, 14363, 14371, 14375,
   14383, 14387, 14391, 14395, 14403, 14407, 14415, 14419, 14423, 14427,
   14431, 14435, 14439, 14443, 14447, 14451, 14455, 14459, 14463, 14467,
   14471, 14475, 14479, 14483, 14487, 14491, 14495, 14499, 14503, 14507,
   14511, 14515, 14519, 14523, 14527, 14531, 14535, 14539, 14543, 14547,
   14551, 14555, 14559, 14563, 14567, 14571, 14575, 14579, 14583, 14587,
   14591, 14595, 14599, 14603, 14607, 14611, 14615, 14619, 14623, 14627,
   14631, 14635, 14639, 14643, 14647, 14651, 14655, 14659, 14663, 14667,
   14671, 14675, 14679, 14683, 14687, 14691, 14695, 14699, 14703, 14707,
   14711, 14715, 14719, 14723, 14727, 14731, 14735, 14739, 14743, 14747,
   14751, 14755, 14759, 14763, 14767, 14771, 14775, 14779, 14783, 14787,
   14791, 14795, 14799, 14803, 14807, 14811, 14815, 14819, 14823, 14827,
   14831, 14835, 14839, 14843, 14847, 14851, 14855, 14859, 14863, 14867,
   14871, 14875, 14879, 14883, 14887, 14891, 14895, 14899, 14903, 14907,
   14911, 14915, 14919, 14923, 14927, 14931, 14935, 14939, 14943, 14947,
   14951, 14955, 14959, 14963, 14967, 14971, 14975, 14979, 14983, 14987,
   14991, 14995, 14999, 15003, 15007, 15011, 15015, 15019, 15023, 15027,
   15031, 15035, 15039, 15043, 15047, 15051, 15055, 15059, 15063, 15067,
   15071, 15075, 15079, 15083, 15087, 15091, 15095, 15099, 15103, 15107,
   15111, 15115, 15119, 15123, 15127, 15131, 15135, 15139, 15143, 15147,
   15151, 15155, 15159, 15163, 15167, 15171, 15175, 15179, 15183, 15187,
   15191, 15195, 15199, 15203, 15207, 15211, 15215, 15219, 15223, 15227,
   15231, 15235, 15239, 15243, 15247, 15251, 15255, 15259, 15263, 15267,
   15271, 15275, 15279, 15283, 15287, 15291, 15295, 15299, 15303, 15307,
   15311, 15315, 15319, 15323, 15327, 15331, 15335, 15339, 15343, 15347,
   15351, 15355, 15359, 15363, 15367, 15371, 15375, 15379, 15383, 15387,
   15391, 15395, 15399, 15403, 15407, 15411, 15415, 15419, 15423, 15427,
   15431, 15435, 15439, 15443, 15447, 15451, 15455, 15459, 15463, 15467,
   15471, 15475, 15479, 15483, 15487, 15491, 15495, 15499, 15503, 15507,
   15511, 15515, 15519, 15523, 15527, 15531, 15535, 15539, 15543, 15547,
   15551, 15555, 15559, 15563, 15567, 15571, 15575, 15579, 15583, 15587,
   15591, 15595, 15599, 15603, 15607, 15611, 15615, 15619, 15623, 15627,
   15631, 15635, 15639, 15643, 15647, 15651, 15655, 15659, 15663, 15667,
   15671, 15675, 15679, 15683, 15691, 15695, 15699, 15703, 15707, 15711,
   15715, 15719, 15723, 15727, 15731, 15735, 15739, 15743, 15747, 15751,
   15755, 15759, 15763, 15767, 15771, 15775, 15779, 15783, 15787, 15791,
   15795, 15799, 15803, 15807, 15811, 15815, 15819, 15823, 15827, 15831,
   15835, 15839, 15843, 15847, 15851, 15855, 15859, 15863, 15867, 15871,
   15875, 15879, 15883, 15887, 15891, 15895, 15899, 15903, 15907, 15911,
   15915, 15919, 15923, 15927, 15935, 15939, 15943, 15947, 15951, 15955,
   15959, 15963, 15967, 15971, 15975, 15979, 15983, 15987, 15991, 15995,
   15999, 16003, 16007, 16011, 16015, 16019, 16023, 16031, 16035, 16039,
   16043, 16047, 16051, 16055, 16059, 16063, 16067, 16071, 16075, 16079,
   16083, 16087, 16091, 16095, 16099, 16103, 16107, 16111, 16115, 16119,
   16123, 16127, 16131, 16135, 16139, 16143, 16147, 16151, 16155, 16159,
   16163, 16167, 16171, 16175, 16179, 16183, 16187, 16191, 16195, 16199,
   16203, 16207, 16211, 16215, 16219, 16223, 16227, 16231, 16235, 16239,
   16243, 16247, 16251, 16255, 16259, 16263, 16267, 16271, 16275, 16279,
   16283, 16287, 16291, 16295, 16299, 16303, 16307, 16311, 16315, 16319,
   16323, 16327, 16331, 16339, 16343, 16347, 16351, 16355, 16359, 16363,
   16367, 16371, 16375, 16379, 16383, 16387, 16391, 16395, 16399, 16403,
   16407, 16411, 16415, 16419, 16423, 16427, 16431, 16435, 16439, 16443,
   16447, 16451, 16455, 16459, 16463, 16467, 16471, 16475, 16479, 16483,
   16487, 16491, 16495, 16499, 16503, 16507, 16511, 16515, 16519, 16523,
   16527, 16531, 16535, 16539, 16543, 16547, 16551, 16555, 16559, 16563,
   16567, 16571, 16575, 16579, 16583, 16587, 16591, 16595, 16599, 16603,
   16607, 16611, 16615, 16619, 16623, 16627, 16631, 16635, 16639, 16643,
   16647, 16651, 16655, 16659, 16663, 16667, 16671, 16675, 16679, 16683,
   16687, 16691, 16695, 16699, 16703, 16707, 16711, 16715, 16719, 16723,
   16727, 16731, 16735, 16739, 16743, 16747, 16751, 16755, 16759, 16763,
   16767, 16771, 16775, 16779, 16783, 16787, 16791, 16795, 16799, 16803,
   16807, 16811, 16815, 16819, 16823, 16827, 16831, 16835, 16839, 16843,
   16847, 16851, 16855, 16859, 16863, 16867, 16871, 16875, 16879, 16883,
   16887, 16891, 16895, 16899, 16903, 16907, 16911, 16915, 16919, 16923,
   16927, 16931, 16935, 16939, 16943, 16947, 16951, 16955, 16959, 16963,
   16967, 16971, 16975, 16979, 16983, 16987, 16991, 16995, 16999, 17003,
   17007, 17011, 17015, 17019, 17023, 17027, 17031, 17035, 17039, 17043,
   17047, 17051, 17055, 17059, 17063, 17067, 17071, 17075, 17079, 17083,
   17087, 17091, 17095, 17099, 17103, 17107, 17111, 17115, 17119, 17123,
   17127, 17131, 17135, 17139, 17143, 17147, 17151, 17155, 17159, 17163,
   17167, 17171, 17175, 17179, 17183, 17187, 17191, 17195, 17199, 17203,
   17207, 17211, 17215, 17219, 17223, 17227, 17231, 17235, 17239, 17243,
   17247, 17251, 17255, 17259, 17263, 17267, 17271, 17275, 17279, 17283,
   17287, 17291, 17295, 17299, 17303, 17307, 17311, 17315, 17319, 17323,
   17327, 17331, 17335, 17339, 17343, 17347, 17351, 17355, 17359, 17363,
   17367, 17371, 17375, 17379, 17383, 17387, 17391, 17395, 17399, 17403,
   17407, 17411, 17415, 17419, 17423, 17427, 17431, 17435, 17439, 17443,
   17447, 17451, 17455, 17459, 17463, 17467, 17471, 17475, 17479, 17483,
   17487, 17491, 17495, 17499, 17503, 17507, 17511, 17515, 17519, 17523,
   17527, 17531, 17535, 17539, 17543, 17547, 17551, 17555, 17559, 17563,
   17567, 17571, 17575, 17579, 17583, 17587, 17591, 17595, 17599, 17603,
   17607, 17611, 17615, 17619, 17623, 17627, 17631, 17635, 17639, 17643,
   17647, 17651, 17655, 17659, 17663, 17667, 17671, 17675, 17679, 17683,
   17687, 17691, 17695, 17699, 17703, 17707, 17711, 17715, 17719, 17723,
   17727, 17731, 17735, 17739, 17743, 17747, 17751, 17755, 17759, 17763,
   17767, 17771, 17775, 17779, 17783, 17787, 17791, 17795, 17799, 17803,
   17807, 17811, 17815, 17819, 17823, 17827, 17831, 17835, 17839, 17843,
   17847, 17851, 17855, 17859, 17863, 17867, 17871, 17875, 17879, 17883,
   17887, 17891, 17895, 17899, 17903, 17907, 17911, 17915, 17919, 17923,
   17927, 17931, 17935, 17939, 17943, 17947, 17951, 17955, 17959, 17963,
   17967, 17971, 17975, 17979, 17983, 17987, 17991, 17995, 17999, 18003,
   18007, 18011, 18015, 18019, 18023, 18027, 18031, 18035, 18039, 18043,
   18047, 18051, 18055, 18059, 18063, 18067, 18071, 18075, 18079, 18083,
   18087, 18091, 18095, 18099, 18103, 18107, 18111, 18115, 18119, 18123,
   18127, 18131, 18135, 18139, 18143, 18153, 18154, 18157, 18163, 18169,
   18175, 18176, 18177, 18178, 18179, 18192, 18192, 18199, 18199, 18208,
   18223, 18225, 18228, 18230, 18234, 18246, 18262, 18266, 18277, 18278,
   18281, 18293, 18302, 18303, 18306, 18307, 18308, 18311, 18312, 18315,
   18316, 18319, 18320, 18323, 18325, 18327, 18329, 18333, 18340, 18347,
   18363, 18397, 18407, 18410, 18414, 18427, 18428, 18430, 18432, 18436,
   18450, 18456, 18493, 18555, 18564, 18566, 18567, 18570, 18572, 18573,
   18576, 18577, 18578, 18579, 18580, 18587, 18586, 18596, 18598, 18600,
   18601, 18604, 18605, 18606, 18607, 18610, 18611, 18615, 18614, 18631,
   18630, 18646, 18645, 18660, 18666, 18667, 18670, 18672, 18673, 18676,
   18677, 18678, 18679, 18682, 18683, 18686, 18694, 18711, 18719, 18727,
   18735, 18763, 18771, 18780, 18788, 18796, 18804, 18832, 18840, 18960,
   18994, 18996, 18998, 19002, 19006, 19005, 19056, 19058, 19057, 19072,
   19078, 19085, 19090, 19096, 19097, 19100, 19101, 19102, 19103, 19104,
   19105, 19106, 19107, 19108, 19111, 19112, 19113, 19114, 19115, 19116,
   19117, 19118, 19119, 19120, 19123, 19124, 19127, 19129, 19138, 19238,
   19239, 19246, 19247, 19248, 19254, 19263, 19266, 19267, 19268, 19269,
   19272, 19273, 19274, 19277, 19279, 19287, 19288, 19294, 19302, 19303,
   19306, 19307, 19310, 19315, 19322, 19327, 19334, 19341, 19341, 19343,
   19350, 19351, 19354, 19355, 19356, 19357, 19358, 19359, 19360, 19361,
   19362, 19368, 19373, 19383, 19388, 19393, 19400, 19401, 19413, 19424,
   19435, 19439, 19440, 19443, 19448, 19452, 19453, 19456, 19462, 19470,
   19476, 19483, 19487, 19488, 19491, 19494, 19498, 19499, 19502, 19508,
   19517, 19522, 19532, 19542, 19554, 19555, 19556, 19557, 19558, 19559,
   19560, 19561, 19562, 19563, 19564, 19565, 19566, 19567, 19568, 19575,
   19576, 19579, 19580, 19587, 19588, 19589, 19596, 19595, 19612, 19613,
   19620, 19619, 19690, 19696, 19702, 19710, 19716, 19722, 19728, 19734,
   19740, 19746, 19752, 19758, 19764, 19775, 19776, 19779, 19780, 19781,
   19782, 19783, 19784, 19785, 19786, 19787, 19788, 19789, 19790, 19791,
   19792, 19793, 19794, 19795, 19796, 19797, 19798, 19799, 19800, 19803,
   19804, 19805, 19806, 19807, 19808, 19812, 19813, 19814, 19815, 19816,
   19817, 19818, 19821, 19824, 19825, 19826, 19827, 19828, 19829, 19830,
   19831, 19844, 19845, 19846, 19847, 19848, 19849, 19850, 19855, 19856,
   19857, 19858, 19859, 19860, 19866, 19867, 19868, 19869, 19870, 19871,
   19872, 19873, 19874, 19875, 19876, 19879, 19880, 19881, 19882, 19883,
   19884, 19885, 19886, 19889, 19890, 19891, 19892, 19893, 19894, 19895,
   19912, 19913, 19914, 19917, 19918, 19919, 19920, 19921, 19922, 19926,
   19926, 19929, 19935, 19936, 19939, 19941, 19946, 19956, 19967, 19974,
   19975, 19976, 19979, 20012, 20014, 20016, 20018, 20020, 20022, 20023,
   20026, 20028, 20036, 20037, 20038, 20042, 20043, 20047, 20048, 20051,
   20052, 20055, 20056, 20057, 20058, 20059, 20062, 20063, 20064, 20065,
   20066, 20067, 20068, 20069, 20070, 20071, 20072, 20073, 20074, 20075,
   20076, 20077, 20078, 20079, 20080, 20081, 20082, 20083, 20084, 20085,
   20086, 20087, 20088, 20089, 20090, 20091, 20092, 20093, 20094, 20095,
   20096, 20097, 20098, 20099, 20100, 20101, 20102, 20103, 20104, 20105,
   20106, 20107, 20108, 20109, 20110, 20111, 20112, 20113, 20114, 20115,
   20116, 20117, 20120, 20121, 20122, 20123, 20126, 20127, 20128, 20129,
   20130, 20131, 20132, 20133, 20134, 20135, 20142, 20143, 20144, 20145,
   20148, 20149, 20152, 20153, 20156, 20157, 20168, 20169
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "IDENT", "UIDENT", "FCONST", "SCONST", "USCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASENSITIVE",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "ATOMIC", "AT", "ATTACH",
  "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN",
  "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BREADTH", "BY", "CACHE",
  "CALL", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P",
  "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT",
  "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLLATION",
  "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "COMPRESSION", "CONCURRENTLY", "CONDITIONAL", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH",
  "DESC", "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P",
  "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P",
  "INCLUDE", "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR",
  "JSON_SERIALIZE", "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS",
  "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "MERGE_ACTION", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NESTED", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "OMIT", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION", "PASSING",
  "PASSWORD", "PATH", "PLACING", "PLAN", "PLANS", "POLICY", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES",
  "PROGRAM", "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL",
  "REASSIGN", "RECHECK", "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING",
  "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP",
  "ROUTINE", "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR",
  "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SOURCE", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STORED", "STRICT_P", "STRING_P", "STRIP_P",
  "SUBSCRIPTION", "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "SYSTEM_USER", "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET",
  "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UESCAPE", "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED",
  "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE",
  "USER", "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P",
  "VALUES", "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P",
  "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW",
  "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "DomainConstraint",
  "DomainConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "opt_c_include", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem", "OptWhereClause",
  "key_actions", "key_update", "key_delete", "key_action", "OptInherit",
  "OptPartitionSpec", "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "create_as_target",
  "opt_with_data", "CreateMatViewStmt", "create_mv_target", "OptNoLog",
  "RefreshMatViewStmt", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "OptParenthesizedSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "AlterFdwStmt", "create_generic_options", "generic_option_list",
  "alter_generic_options", "alter_generic_option_list",
  "alter_generic_option_elem", "generic_option_elem",
  "generic_option_name", "generic_option_arg", "CreateForeignServerStmt",
  "opt_type", "foreign_server_version", "opt_foreign_server_version",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "am_type", "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "FUNCTION_or_PROCEDURE",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertionStmt",
  "DefineStmt", "definition", "def_list", "def_elem", "def_arg",
  "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause", "InsertStmt",
  "insert_target", "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "MergeStmt", "merge_when_list", "merge_when_clause",
  "merge_when_tgt_matched", "merge_when_tgt_not_matched",
  "opt_merge_when_condition", "merge_update", "merge_delete",
  "merge_insert", "merge_values_clause", "DeclareCursorStmt",
  "cursor_name", "cursor_options", "opt_hold", "SelectStmt",
  "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause", "opt_sort_clause",
  "sort_clause", "sortby_list", "sortby", "select_limit",
  "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "NonReservedWord", "BareColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "bare_label_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "$@2", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGDeclareStmt", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@3", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@4", "var_declaration", "$@5", "$@6",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGCKeywords",
  "all_unreserved_keyword", "ECPGunreserved_interval", "into_list",
  "ecpgstart", "c_args", "coutputvariable", "civarind", "char_civar",
  "civar", "indicator", "cvariable", "ecpg_param", "ecpg_bconst",
  "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   844,
     845,    60,    62,    61,    43,    45,    42,    47,    37,    94,
     846,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

#define YYPACT_NINF -6472

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-6472)))

#define YYTABLE_NINF -3723

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3723)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -6472,   607, 10825, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, 25041, -6472, -6472, -6472, -6472, -6472,  4085,
    1618,154620,   450,101113,106288,  1650,110888, -6472, 85568,  1740,
   -6472,   727, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  1009,
    1604, 25226, -6472, -6472,106863,   213, 87872, -6472,107438,    28,
    1394,  1692,   255, 22672,108013,102838,  1248,111463,  1012,  1065,
   22313,  1604, 41946,112038,  2584, 81527, -6472,101688,  1623,  1342,
  121813,  1917,  1528, 82105,121813,  1466,112613,  1954,  2092,  1862,
  122388,122963, 99388,  1887,121813,  2222,   460, 84416,123538,  1982,
   -6472,113188, -6472,  1528, -6472, 85568, 79211,   205,  1957, -6472,
  124113,121813,  2381,  2017, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,    30, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  1387,
   -6472,  1429,  2441,  1932,  1316,  1964, -6472, 20581, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  1808,  2353, -6472, -6472,
   -6472,  2043, -6472,  2063, -6472, -6472, -6472,  2320, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472,  2647,  5268,110888,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472,103413, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,   297, -6472, -6472, -6472, -6472, -6472,110888,
  110888, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,110888,  2200,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472,   435,  2464, -6472, -6472, 85568,  2729,
    2729,  2747,  1808,  2273,  2300,  2328,  2362,  2205,  2374,   345,
   -6472, -6472, -6472, -6472, -6472,  2815, 87872,121813,121813,121813,
    2517,121813,  2419,121813,   965, 87872,158186,113763,  2581,  2405,
   73894,124688, -6472, 87872,121813,155641, 87872,121813,121813,125263,
  121813,125838,121813,  1892,108588,121813,  2505,121813,121813,156150,
  126413,  2658, -6472,  2945,  1566, -6472,  2395, -6472,   259, -6472,
    2204, -6472,   284,   286,   288, -6472, -6472, -6472,154107,121813,
   23286,  1917,  2815, -6472,  2381,121813,  2646,121813,  2398,126988,
  121813, -6472,121813,  2488,127563,  1013,  2318,158186,  2417, 74488,
    2595,121813,121813,158186,128138,128713,129288,121813,121813, -6472,
   -6472,  2580,121813, -6472,  2709,158695,  2024,  2715,  2891,  2788,
     926, -6472, -6472,  3004,  2468, -6472, -6472,  3027,110888, -6472,
  109163, -6472, -6472, -6472,   345,  2824, -6472,  2621,  2625,  2629,
   -6472, -6472, -6472, -6472, -6472,161240,  1065, -6472, -6472,  2764,
   88448,  2857, -6472, -6472,129863, 94208,  2612, -6472,  1046, 89024,
  159204,  2973,  2590, 75082,  3041, -6472, 89600, -6472,159713, 90176,
   -6472, -6472, -6472, -6472, -6472,130438, -6472,131013,  2686,  2857,
   -6472, 94784,160222, -6472,  2872,131588,132163,132738,  2815, 15476,
   -6472,  2573,  2768,  2607,  1675,110888,110888,  1404,151014, -6472,
   -6472,  2687, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,   407,  2436, 82683,   962, 83261, -6472, -6472,  1124,  1323,
    1464,   407,  3117,  3117,   855,110888, -6472, -6472,  2436, -6472,
     152,   122,  2713,  2623,  2623,  2623,  2871,    56, -6472,  2623,
    2806, -6472, -6472, -6472, -6472, -6472,113188, 82683, 83261, -6472,
    2666,   345,  1917,   414,  3140,  2725,154107,  1507,121813, -6472,
   -6472, -6472,  3164,  2706,  3001, -6472,  2701, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  2936,  2947,   196,   996,
    1917,   300, -6472,  3080, -6472,  2979, 50294, 50294,  1503,110888,
    1917, 83839,114338,145963,   248,161240,  1917,133313,  2781,  1561,
    2989, -6472, -6472, -6472,   174, -6472,  3261,  2814,  3116,   981,
    1566, 70394, -6472, -6472,  2820,  2204,113188, 97663, -6472, -6472,
   -6472, -6472,154107,  3175, 55685,121813,  2818, -6472,  2842,  2818,
    2845,  2877,  1932, -6472,154107,121813,  1143,  1143,  3347,  1143,
    2086,  2133, -6472,  2601, -6472,  3241,  3200,  3205,113188,  2918,
    1604,  2894, -6472, -6472, -6472,  2930, -6472,  2920,  2925, -6472,
     448,  3268, -6472, -6472, -6472, -6472, -6472,  3343, -6472, -6472,
   -6472, -6472, -6472, -6472,  3461,  3458,155132,155132,  1006,  1033,
     296,   307, -6472, -6472, -6472,  3311, -6472, -6472,  3309,  3097,
  121813, -6472, -6472,121813, -6472,133888, -6472, -6472,  2729,  2930,
    1413,   813,  3159,  3281,  3117,  2011,   535,   535, -6472, -6472,
    3039, -6472,  1439, -6472,  1752,  3052,  2238,  3051,  2028,  2540,
   -6472,   335,121813,   506,  3109,114913,  4251,  3085,  3087,  2204,
    3243,  1451,  3412,  3464,  7326,   345,115488, -6472, -6472, -6472,
   -6472,121813,121813, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  3089,  1668, -6472, -6472,  3088,  3467,  3319, 12945,
    1217,  3430,  3270,  1458, 14034,  3326,  1912,  3480, 21037,  1897,
    3481,  2132,  3126,134463,146538,  3438,  3483,  5042,  2194,   954,
    3333,  1284,  3430,  3471,  3277,  1458,  3487,  6890,121813,  3110,
   -6472,  3399,  3529,   153, -6472,   729, -6472, 42526, 55685, 78053,
   -6472,  2204, -6472,  2450, -6472, -6472,153598, -6472,  3182,  3346,
    1260, 87872,  3125,121813,121813, -6472, 95360, 87872, -6472,  3359,
   75676, 87872, -6472, 87872, -6472, -6472,  3490, 95360,121813,121813,
   -6472,121813, -6472, -6472,  3133, -6472, -6472, -6472, -6472, -6472,
    2623,121813,  3596, 95360,  3379,   458,  1934,  3634,121813,  3381,
    1934,  3184,135038, -6472, -6472,  1934, -6472, -6472,121813,121813,
    3146,  1666,  3372,   210,  1934,  3389,  3638,  3640,  3397,  3235,
    3400,  2842, -6472,  3603,  3371,  1324,   231,  2471,  1934,  3214,
  135613,136188,121813,  3215,121813,  3612, 87872,  3252, 87872, 87872,
  121813,  3533,121813, -6472,  3360,116063, -6472,  3167,  3004, -6472,
   -6472, -6472, -6472,  3039, -6472,  1095, -6472, -6472, -6472, -6472,
   -6472, -6472,  3551, -6472,   271,  3552,  3177,  3554,  1869, -6472,
    3233, -6472,  3233,  3233,  3183,  3183,  3376,  3185,  3560, -6472,
   -6472, -6472, -6472,  2714,  3233,  3183, -6472, 96512, -6472,  2219,
    2256, -6472,   324, -6472,  3682, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,  3189, -6472,  1227, -6472, -6472,  2415, -6472,
   -6472, -6472, -6472,  3229, -6472,  3568,   369, -6472,  3569, -6472,
    3194,136763, -6472,137338,137913,  3575,   375, -6472,158186,  3577,
     369,  3579,  3194,  3580,   369,  3581,  1103,  3583, -6472,  1337,
    3571,  3584,   324,  3586,  2478,  3194, -6472,  3588,   381, -6472,
    3589,   384, -6472,  3590,  3440, -6472, 14066, 15476, -6472, 21627,
    2294, -6472, -6472, -6472, -6472, -6472, -6472, 55685,  1042,  3320,
   -6472, -6472,  2454,  1404,  2436, -6472,110888,  2436,110888,   855,
    2436,110888,  2436,110888,   855,  2436,110888,110888,110888,  2436,
   -6472, -6472,   415,   352, -6472, -6472, -6472, -6472, -6472,110888,
    3219,121813, -6472,121813, -6472, -6472, -6472,103988,158186,104563,
   -6472,121813, -6472,   221,110888, -6472,110888, -6472,  1917, -6472,
    3039, -6472,  2768, 95360,  3716,158186,  3612,  2459, -6472, -6472,
    3612, -6472, -6472,  3612,  3612, -6472, -6472, -6472,  3506,121813,
    3587,103988,158186,  3591, -6472,138488, -6472,161240,  3451,  3227,
   -6472, -6472, -6472, -6472,  2431,  3758,   270,  3759, 55685,  3237,
     270,   270,  3238,  3597, -6472, -6472, -6472,   308,  3239,  3240,
   -6472,   264,   264, -6472,  3248,  3250, -6472,   272,  3255,  3265,
    3778,   273,   285,  3266,  3267,  3269,  3271,  3274,  3275,  3278,
    3279,  3284,  3285,  3286,  3287,  3288,  2714,   270,  3290, 55685,
   -6472,  3292,   264,  3293,  3295,  3296,  3779,  3297, -6472,  3788,
    3302, -6472,   261,   311,  3303,  3307, -6472,  3502, -6472,   287,
    3308,  3313,  3314,  3315,  3316,  3317,  3318,  3321, 55685, 55685,
   55685, -6472, 47299,  2204,  1917, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,   304, -6472,151531, -6472,  3361, -6472, -6472,
    3536, -6472, -6472, 55685, -6472, -6472,  3644,   171, -6472,   305,
   -6472, -6472,  2204, -6472, -6472,   568, -6472, -6472, -6472, -6472,
   -6472,  3631,  3323,  2403,  2403,   314, -6472,106863,106863, -6472,
   -6472,   382,  3324, -6472,  2432, -6472, -6472, -6472, -6472, -6472,
   -6472,160731,  3819, -6472,   400,  1917,   729,  1050,  3762,152062,
  152574,  3639,  3639,  3611, -6472, -6472,121813, -6472, -6472,  2204,
     203,  3642,  2484, -6472,  2687, 22153,  2492,  2818,121813,121813,
    3829, -6472, -6472,  2501, -6472,  3332, -6472,  2842, -6472, -6472,
    1932,  1932, 55685,  1932,  1776,  1621, 50893, 56284,  3699,  3572,
    1010,   281,  3701, -6472,  3573,  2086,  2133,113188,121813,113188,
  139063,  3473, 55685, -6472,  2930,  3351,  2292, -6472, 97663,  4658,
    4658,  3660, -6472, -6472,  3763,106863,  3413,155132, -6472, -6472,
  121813, -6472, -6472,116638, -6472, -6472, -6472,  2508,  3349, -6472,
    3363,121813,  3948,   535,   535, -6472, -6472,  3356, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  1808,121813, -6472,  3362,
    3364,  3357,  3365, -6472, 97663, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472,  3366, -6472, -6472, -6472, -6472, -6472,   345,
    3369, -6472,  3831,  3459,  3462,  3521, 78632, -6472,  3466,  3428,
    3469,  3528, 85568,  3383,  3474,  3477,  3531,  3671, -6472, -6472,
    3482,  3847,  3484,147113, -6472, -6472,  1178, -6472, -6472, -6472,
    1178, -6472,  3404, -6472,  2034,  1729,   332,  3485,   480,  1416,
    3837, -6472,  1786, -6472, -6472,  3546, -6472, 23632,121813,  3783,
    7812,  3643,   345,  3549, -6472, -6472, -6472,  3698,  3501,121813,
    3504,  3651,   345,   374,147688, -6472, -6472,121813, -6472, -6472,
   -6472, -6472,  6028,  3824, 45526, -6472,  2121,  3507,  3486,  3518,
  121813, 98238,  2543,  3626,  3649,  1937,  2592,   867,  3576,121813,
    2068,  3656,121813,  3427,  3515,  3516,  3769,  3431,   614,  3874,
    3433, -6472, -6472, -6472,  3839,  3646,  3770,  3815,  8294,  3503,
    3511, 91904, -6472,  3527,    98, 76270,121813,121813,  3537,  3538,
  148263,  6028,  3849,105138,105138,  3542,  3544, 68658,  3861,  2164,
    3545, -6472, -6472, -6472,  2164,  3550,  3553,148838,  6028,  3864,
  121813,  3555,  3556,121813, 96512,   345, -6472,  3936, -6472,   345,
     345,  2153,  3938,  3561,   416,  3722,   609,  1934, -6472,  3433,
    3254, -6472,  3562,  3563,   391, -6472,  3688,121813,  3565,  3566,
    2117,  3663,  1917, -6472,  3666, -6472,  3578,  3667,  3582,  1200,
    3146, -6472, -6472,  1584,  3585,113188,  3677,  3689,  2068,   279,
     707,  3433, -6472,  3592,  3593,  3431,  3431,121813,121813,121813,
  121813,121813,   383,  3975,   388,  3595,   291,  1445,  3489, -6472,
    2164,156659,  3598, -6472,  2164,121813,   437,   737,  3433,  2103,
   -6472,  2279, -6472, -6472, -6472,  1566, -6472, 55685, 55685, 55685,
    3492, -6472,  2782, 22153,  1035, -6472,   319, 10863,  3491, -6472,
   -6472, -6472, -6472,121813,154107, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,121813, -6472,121813,  3799, 95360,  3806,  3723,  3808,
    3809,   345,121813,121813,  3810,  3811,  3812, 95360,  3818,  3822,
    3823,  3735,  3602,   235,  3599,  3519,  4013,  3896,121813, 85568,
   -6472,  1178, -6472, 95360,  3750,  3902, -6472,121813,  3768,  1190,
   -6472,  3941,  3594, -6472, -6472,   750,121813,102263,  3146, -6472,
   -6472,  3905,158186,  1844,  3909,  1917,  3605,  3910,  3764,  1917,
  158186,  3816,121813,121813,121813,121813,   195, -6472,156659,  3784,
   -6472,121813,  3785,  3254,  3787,  4033,  1244,  2623,139638,  3913,
   -6472,140213,  3548,121813,  3557,  3557,  4047, 95360,  1907,  3848,
   -6472, -6472,  3558,  3117, -6472,  3167,  3574, -6472, -6472,  2480,
   -6472,  3702, -6472, 87872, -6472, -6472, 87872, -6472, -6472, 95360,
  121813,  3567, -6472,  3600, -6472, -6472, 55685, -6472, -6472, -6472,
    3117, -6472, 95360,  3233,  3233, -6472, -6472,  4057,  3662,  3670,
    3117, -6472,  3117, -6472, 95360, -6472,  3564,  3601,  3117,  3664,
   -6472,  3665,  3117, -6472,  2477, -6472, -6472, 87872, 87872, -6472,
  158186,158186,  3959,   381,  3961,  3648,  3963,  3650, 76270, 76270,
   -6472,   397, 87872, -6472,158186, 87872, -6472,121813, -6472,121813,
   -6472, -6472, -6472, -6472, 95360, 95360, -6472,158186,156659,  3965,
  121813,121813, -6472,121813,121813, -6472,121813,121813, -6472, 17806,
    2327, -6472, 15476, -6472,  2519,  3639, -6472,  2200,140788,  1140,
    1404, -6472,110888, -6472,110888,   855, -6472, -6472,110888, -6472,
  110888,   855, -6472,110888, -6472, -6472, -6472,110888,121813,  4180,
    3604, -6472,   568, -6472,121813,  2535, -6472, -6472,  2567,  1959,
  121813,121813,   275, 87872,121813,  3825,121813, 87872, 87872,121813,
  121813,121813,121813,121813,  3678,  3324,   824, -6472,   336,   710,
  113188,  3832, -6472, -6472, -6472,  3607, -6472, -6472,  2572,  2381,
    1594,121813, -6472,121813,121813,121813, -6472, -6472,101688,  3952,
     180,104563,121813, -6472, -6472, 16188, 55685, 49695, -6472, -6472,
   22153,  3653, 55685, 55685,  3610,  3117,  3117, -6472,   481, 55685,
   55685, 55685, 46700, 55685, 55685, 51492, 55685, 55685, 55685, 55685,
   55685, 55685,  3117,  3117,  3613, 55685,  5482, 55685, 76270, 55685,
   59878, 43726, 55685, 55685, 47898,  1453,  3248, 55685,  3854, 61076,
   55685,  1050,  3858, 55685,  1050,  5482,  4112,  4112,  1957,  2498,
    8049,  3608,  2204, -6472,  3117,  1591,   340, 95360, 55685, 55685,
   55685, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, 55685, -6472, 85568, -6472,
   -6472, -6472, -6472, -6472, -6472,  1366, -6472, -6472, -6472, -6472,
   -6472, -6472,  6517, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,121813, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, 48497, -6472, -6472, -6472, -6472,  3616, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  3652,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, 49096, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
    3617, -6472, -6472, 55685, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
    3691, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  1078, 55685, 55685, 55685,
   55685, 55685, 55685, 55685, 55685, 55685, -6472, 55685,   434, -6472,
   -6472, -6472,  3949,  3644,  1513,   436,  3618,  3826,105713, 50294,
    3969, -6472, 42526, -6472,   249,110888, -6472, -6472,  2204,  3969,
   -6472, -6472, -6472, -6472, -6472,  2508,  3619, -6472,  3615, -6472,
   -6472, -6472, -6472, -6472,121813,  3819, -6472, -6472,  3704, -6472,
   -6472, -6472, -6472,   320, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  3620, -6472, -6472, -6472, -6472,  3620, -6472, -6472,
    3639,  3623,  3960,  3964,  1103,  1808,121813,  2902, 55685,  1366,
     298,121813, 55685,  3616,  3652, 55685,  3617, 55685,  3691, -6472,
   55685, -6472,  2575,  1802,121813,121813, -6472,  3933, -6472,  3624,
   -6472, 15520,  3933, -6472, -6472, 60477,  3755,  3921,  3853, -6472,
   -6472, -6472,  3628, 22153, 55685, 55685, -6472,  2673, 22153,  2848,
   -6472, -6472, -6472, -6472, -6472, -6472,   862, -6472,121813,   816,
    3699,   281,  3695,   939,  4129,  3697,121813, -6472, 70969,  2605,
    2422, -6472,  2930, -6472, -6472,   557, -6472,   622, -6472,  4206,
   -6472,155132, -6472, -6472, -6472,  4180, -6472,  3027, -6472,  3027,
    4231, -6472,110888, -6472, -6472, -6472, -6472,   331, -6472, -6472,
   15476, 15476, -6472, -6472, -6472, -6472, -6472,158186,121813,121813,
    3856, -6472,  4115, -6472, 96512, -6472,  3637, -6472, 95936, 90752,
   -6472, -6472,  1367, -6472,  1097,158186, -6472,121813,121813, -6472,
   85568,158186,121813,121813, -6472,158186,  3694,121813,121813, -6472,
   -6472, -6472, -6472, -6472,153086,   116,101688,  3789, 99963, -6472,
   -6472,  3645,121813,  3882, -6472, -6472,141363, -6472,  3883,158186,
  121813,121813, 55685,  3884,121813,121813, -6472,   659,  3737,  3739,
   -6472,121813,  3740, 87872,  3655, 95360, 87872, 76864, 87872, 87872,
    4018, 95360,121813,121813,  1539,113188,   482,   898,  3433,  3893,
   -6472,  1007, -6472,158186, -6472,121813,  3885, -6472, -6472, -6472,
  117213,  4143,  3782, -6472, -6472, -6472,149413, -6472, -6472,  3886,
   -6472,  2616, -6472,158186,158186,121813,  8972,  3668,141938,121813,
     674,  3956,  3908,  3962,   142, -6472, -6472, -6472, 95360, -6472,
  121813,117788,121813,121813,  3970,121813,109738,142513,143088,  1148,
    1865,  3971,121813,110313,  3972, -6472,  3841,121813, -6472, -6472,
   86144,158186,121813,   950, 85568, -6472,  3950, -6472,121813, -6472,
     364, -6472,121813,  8616,  3917,  3780,  3791,121813,   490,  1123,
    3433,  4100,121813,121813,  3693,  2619,158186,121813, 85568, -6472,
    3922,   137,158186,121813,117213, -6472,  3923, -6472,113188,  4031,
   -6472,  3700,  2623,  2820,  2309,  3700,158186,121813, -6472,  3700,
  121813,145963, -6472,158186,  1440, -6472,158186,121813,117213, -6472,
    3926,  3871,158186,121813, 21389, -6472, -6472, -6472,   345, -6472,
   -6472, -6472, -6472, -6472,121813,121813,   345,121813,121813,   345,
    1580, -6472,158186,121813, -6472, -6472, -6472,  3842,158186,121813,
  121813,   354,121813, -6472,121813,158186,  3748,121813,121813, -6472,
   -6472,121813,  5967,121813,121813,121813,121813,121813,121813,158186,
  121813, -6472, -6472,  1672,  1490,   150,  1197,   209,121813,  4049,
  121813,143663,  1917,158186,121813,121813,  1917,121813, 85568,  2106,
   -6472, -6472,  3844, -6472,158186,  1440, -6472,  9439,121813,121813,
  121813,  3800,  3801,   406,  3891, -6472, -6472, -6472,  1133,  1133,
    3934, -6472, 55685, 55685, 52091,  3715, -6472, -6472, 55685,  3182,
   -6472, -6472, -6472,  1025,  4215,  1025,144238,  1025,  1025,  4032,
    3786,  3790,  1025,  1025,  1025,  4016,  1025,  1025,  1025,121813,
    3911, -6472, -6472,  3911,   247, 55685, 95360,121813, -6472,  2631,
   -6472,  3741, -6472, -6472, 85568,121813,   347,  1100,  4106,  3973,
   98813,  2413,  4094,121813,  3794,121813,  4228,  3833,  1619, -6472,
    2413,121813, -6472,  2917,101688, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,121813, -6472, -6472,  4098,121813, 64006,  3924, -6472,
    1917,  3146,  3146,  3146,  3146,  3743,  3146,121813,  3875,  4121,
    2413,  3746,  4123, -6472,  3254,  4125,  4127,121813,  3982, 98813,
    3817,  3796,  3995,  4252,  2623,  1917,  3999,  3984, -6472, 78632,
   -6472,  3146,  4268, 46113,  5982,  7694,  3988,  4054, -6472, -6472,
    3996,  1043,121813,116063, -6472,  3772, -6472,  4109,  4110,  4133,
   -6472,   271, -6472,  4270,  2083,  4138, 55685,  2638,  3777,   324,
   -6472, -6472,  3792,  3601,  3804,  3814,  3795,  3802, -6472,  3117,
   69233,  3803,   250,  4052,  3807, -6472,   369, -6472,  3194, -6472,
  121813, -6472,121813,121813,121813,121813,   375, -6472, -6472,   369,
    3194,   369,  1103, -6472,  4084,   324,  3194,  3930,  4162,   381,
   -6472,   384, -6472,  4027,  1103, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  4046,  2623,  2480, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472,110888,  3027, -6472,  2641, -6472,
  121813, -6472,  4141,  4142,  4144,  4145,  4146,  3821,  3827,  3850,
  121813,  3828,  3821,   345,  3830,  3820, -6472,  3828,  3828,  3821,
    3324,  3324,  3821,  3827,157168,  4291, 85568, -6472, -6472,  3907,
    3834,  4174,  1145, -6472,  1149,   806,  4086, -6472, -6472, -6472,
   -6472, -6472, 95360, -6472,158186,  3870, -6472, -6472, -6472,  4053,
    3835,157168,  1103,   368, -6472, 87872,121813, 95360, 87872,  4061,
   87872, 87872, 95360,121813,121813,  2644, -6472,  2313, -6472,  2371,
   55685,   228, -6472, 16458,  2649, 55685,  3836,  3845, -6472, -6472,
   -6472, -6472, -6472, -6472,  3846,  4188, -6472, -6472,  2650,  2653,
   16530,  2698, 95360,  3124,  3857, -6472,  3852,   245,  4055,  3851,
    5639,  3897,  2657,  3855,   312, -6472,  5639,   393,  3859,  8882,
    4009,  3865,  2661,  3860,  3863, -6472,  7348,  7445,  3866, 17058,
    3868,  3876,  3877,  3869, 59878, 59878, 47299,  1361, -6472, 59878,
    3879,  4068,  2675, 14869,  3880,  3881, 17186, 52690, 55685, 52690,
   52690, 17859,  3872,  3894, -6472,  4255, -6472,  2679, 85568,  4063,
   18898,  2705, -6472, 55685, 85568,  7665, 55685, -6472, 55685,  3895,
   -6472, -6472,  3683,  3683,  3683,  5482, -6472, -6472,  3899, -6472,
   59878, 59878, -6472,  1314, 47299, -6472, -6472,  4214, -6472, -6472,
     599, -6472, -6472, -6472, -6472, -6472,  3378, -6472, -6472, -6472,
    4128,  2698,  1819, 76270,  9956, 55685,   418, 55685,  3616, 55685,
    3974,  3683,  3683,  3683,   510,   510,   317,   317,   317,   487,
     436, -6472, -6472, -6472,  3888,  3898,  3826,  3901, 55685, -6472,
    3929, 71544, -6472,  2802,  2805,121813, 12035, 12046, 12181, -6472,
   -6472, -6472, 63420,  3940,  1035, -6472, -6472, -6472,  3940,  2102,
    4231,  2508, -6472,  1566,  3117,  1591,153598, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472,121813, 22153, -6472, -6472,  4164,
    3903, -6472, -6472, 55685, -6472, -6472,  2697,  3925,   804,   157,
     535,   535,  2673,   162, -6472, -6472,  3966, -6472, 55685, -6472,
    2952,  3016, -6472, -6472, -6472, -6472,  3324, -6472,  4176, -6472,
   -6472, -6472, 63420,  3953,  3968,    87, 68079,  4131, -6472,121813,
   63420, -6472,121813,   372, -6472,  3918, -6472, -6472, -6472, -6472,
    1799, -6472, -6472, -6472,  3906, -6472,  3912, -6472,  3919, -6472,
   -6472, -6472, -6472,   292,  3916,  3920,  3927,  2171, -6472, -6472,
   -6472, -6472, 90752,  2415, -6472, 95936, -6472, 95936, -6472,  2415,
    4387, -6472, 90752,  2196, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,158186,158186,
    4139,121813,  4147,  4149, 55685,  1446, -6472,  4298,  1103, -6472,
   -6472,  4014, -6472, 22153, -6472, -6472, -6472, -6472, -6472,158186,
  121813, -6472,161240, -6472, -6472, 95360, -6472, -6472,121813,121813,
   -6472, -6472, -6472, 95360, -6472, -6472, -6472,121813,   944,  4019,
    4021,121813, -6472,   943,  3688,  9444,121813,121813,121813,  4248,
   -6472, -6472, -6472, -6472,  4167, -6472,  4308, -6472, 90752, -6472,
    3194,  1803,  4023,  3433, 55685,  4179, -6472,   295,121813,  3943,
    3945,  4316,   749,  4273,  3947, -6472,  4060, -6472,  4073,  1024,
   -6472, -6472,  4089, -6472, -6472, -6472, -6472,  4327,  1103,  4328,
    1103,121813,121813,121813,121813,  4095, -6472, -6472, -6472, -6472,
    4096,  4236, -6472, 85568, 85568, 85568,  2710, -6472, -6472,  1917,
   -6472, -6472, -6472, -6472, -6472, -6472,  4285, -6472,  2716, -6472,
    2174,118363, -6472, -6472, -6472, -6472, -6472,  4332,158186,121813,
   11602,121813,121813,121813,  4185,  2223,  1374, 95360, -6472, 92480,
   -6472, -6472,  2722, -6472,  3977,121813,  4048,158186,  4024, -6472,
   -6472, -6472,  4336,  2623,  4113,105138,  4010,  4010,  2416, -6472,
   -6472, -6472, -6472,  4245,  4171, -6472,  1059,  4172,158186,  4036,
   -6472, -6472, -6472, -6472, -6472,  4346,  4062, -6472, -6472,  4065,
    1160,  3433,  3254, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  4097, -6472, -6472, -6472, -6472, -6472, -6472,  1961,
    1961, -6472, -6472, -6472,  1961,  1851,   489,  1282,  3433, -6472,
    1840,  1877,  4066, -6472,  4067, -6472, -6472, -6472,  4244,  4254,
    4256,  4072,  4074,  4126,  4075,  4076,  4135, -6472,  4080,  4140,
    4081,  4148,  4083,  4403,  1103, 95360,  4240,  1917,  4132,  4378,
    1103, -6472, -6472,  4091, -6472,  4099, -6472,  2726,  4493,  4494,
   -6472,121813, -6472,   534,  1290,  3433, -6472,  4101, -6472,158186,
  121813, -6472, -6472, -6472, 55685,  4008,  4012,  4015, 22153, 22153,
   55685, -6472, -6472, 22153,  4022, -6472, -6472, -6472, -6472, 95360,
   -6472,121813,  4329, -6472, -6472,  1025,121813,121813, -6472, -6472,
   -6472,121813, -6472, -6472, -6472,  4331, -6472,   302,   302, -6472,
   -6472,  4367,  9041,  4025,   463, -6472, 85568, 72705,  2389,   528,
    1934, -6472,161240,121813,161240, -6472,  1100,  4246,121813,121813,
  121813,  4026,  4028, -6472, -6472, -6472, -6472,158186,  1336,158186,
    3117, -6472, -6472,  4111, -6472,121813,  2623,  2824,  4386,  3748,
   -6472,  4514,  3640,  1844,  2084,   363,  3235,  4452,  2842,  4035,
   55685,   441, -6472, -6472, -6472, -6472, -6472,  2204,121813,  3796,
   -6472, -6472, -6472, -6472,  1917, -6472,  4038,  4030, -6472,121813,
    4398,121813,121813,121813,110888,  2381,  4037,121813,  4039, 95360,
  121813,  2775,  3431,  4539,  4421,  2381,  3817,  4150,  4422,113188,
    2737, -6472,  4058, -6472,  1043, -6472,  2741,   278, -6472,  1917,
  161240, 91328,  4413, -6472,   326,  7694, -6472, -6472,   326,  1087,
  121813, -6472, -6472, -6472, -6472,  4284,  2487, -6472,  4399, -6472,
  121813, -6472, -6472, 67500, -6472, 95360,  4056, -6472,  2744, -6472,
    2745, -6472, -6472, -6472,  3117, -6472, -6472,  2606,  2606,  4069,
   -6472, 69819, -6472,  4070, -6472,  2428, -6472, -6472, -6472,   381,
    4116,  1103,  4119,  1103, -6472, -6472, -6472, -6472,121813, -6472,
  121813,156659, -6472, -6472,121813, -6472,  4438,  4427, -6472, -6472,
   -6472, -6472,  4211,  4212,  4217,  4218,  4219,121813,  3821, -6472,
    4078,121813,121813,158186,  1963, -6472, -6472,158186,   470, -6472,
     977, -6472,113188,  4204, -6472, -6472, -6472, -6472,  4457,  4460,
   -6472, -6472, -6472,   953, -6472,103988,   474, -6472,158186,  4394,
    4396,  4400,  4401,   345,  4404,  4407,  4409,  4414,  4415, -6472,
   -6472, -6472,  4114, 19306, 55685, -6472,  4475, 95360, -6472,  9144,
   -6472, -6472, -6472, 55685, -6472, -6472,  4412, -6472, -6472,  4182,
    4183,  4122,  3857,  4009, -6472,  4340,  4341, 55685,  4009,  4591,
     994, 55685, 55685, 55685, -6472, -6472,  4349,  4350, 55685,  2698,
    2698, 55685, -6472,  4130, 55685, -6472, -6472, -6472, -6472,  2840,
   55685, -6472, 55685, -6472, -6472, 44326,  4646,  4646,  4124, 95360,
   59878, 59878, 59878, 59878,  1896,  3293, 59878, 59878, 59878, 59878,
   59878, 59878, 59878, 59878, 59878, 59878,   591, -6472,  4342, 55685,
   55685, 53289, -6472, -6472, 95360,  4134,  3872,  4136,  4152, 55685,
   -6472, -6472, -6472,  2749, 61662,  4156, 85568, -6472, 55685, 15565,
    2750,  4181, 19561,  2204,  9915,  1917, 55685,   966,  1559, 55685,
    2765, 55685, -6472, -6472, -6472, -6472,  4489, -6472, -6472, -6472,
   -6472, -6472, -6472,  4376,  2698, -6472, -6472, 55685,  4157,  2235,
   59878, 59878,  2635, -6472,  2866, 55685, 47299, -6472,  3934, -6472,
   44926,  4158, 55685,149988, -6472, -6472,  1528,  1528,  1528,  1528,
   -6472,121813,121813,121813,  4151, 64592,  4492,  4163, 62834,118938,
    4159,  2061, -6472,118938,119513,118938,118938,  4161,  2204, 55685,
    4486,  4165,  4486, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,  4166, -6472,
    4155, -6472, -6472,   729,  4169, -6472, -6472,   292, -6472, -6472,
    2381, -6472,  4168, -6472,  3925,  2088, -6472, -6472, -6472,  1456,
   -6472,  4237, -6472, -6472, -6472,  4159, 53888,  4307, -6472, -6472,
   -6472,  4207,  2771, -6472, -6472,  4592,  4307, -6472,  1700, -6472,
    2776, 70969,  3953, 55685,  2204,  3117,  4184, -6472,  3027,  2102,
   -6472, -6472, -6472, -6472, -6472,  2779,  2245, -6472, -6472, 90752,
   -6472,  4241,  3194,  3194,  2026,  3821,  4534,  2026,  9936, -6472,
    1910,121813, -6472,121813, -6472, -6472, -6472,  4668,  4238,  4239,
    4465, -6472,  3051, -6472, -6472,158186,121813, -6472, -6472, -6472,
     549,  1384,  3433, -6472,  4266, -6472, -6472,  4499,121813, -6472,
    4655,  4279,121813, 10159,  4560,  4247, -6472, -6472, 65178,121813,
  121813,121813, -6472,121813,121813,  1910,120088, -6472,  4633,  1910,
    4302,  4540,  1902,  3431,  2016,  6158, -6472,  2190, -6472, -6472,
    4267, -6472,121813, -6472,121813, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  4333, -6472, -6472, -6472, -6472, 86144, -6472, -6472,
  121813, -6472, 85568, 72705, 85568, -6472, -6472, -6472,121813, -6472,
    1866,   559,  1437,  3433, -6472,  4276, -6472,  4564,  4282,  4283,
    4337,  1348,   306,  4286,  4289,  4343,  4196,  4203,  4208, -6472,
   85568, 73300,  4372,121813,  3194,  4213,  4250,121813,  4010,120663,
   -6472,  4216, -6472, -6472,  4010,   407,  1917, -6472, -6472,  1917,
    3194,  1917,121813,121813,121813,121813,   354, -6472, -6472, -6472,
    4685,  4309,121813,121813,121813,121813, -6472,  4271, -6472, -6472,
   -6472,121813,121813,  4576,   265,  2493,158186,121813,121813,158186,
  121813,121813,121813,121813,121813,121813,121813,  4442, -6472,  4673,
    4595,   503,  4641,  4300,121813, -6472,121813,  1917, -6472,  3688,
  121813,121813,121813,121813, -6472, -6472, -6472, -6472, -6472,  3934,
   -6472,  4224,  4536,  1025, -6472,  4537,  4541,  4542,  1025, -6472,
   -6472,  1934, -6472,   552,121813, -6472,  2830,121813, -6472, -6472,
   -6472,  4168,   535,   535, -6472, -6472, -6472, -6472, -6472, -6472,
    4230,121813,121813, 59878, -6472,  2579,  2152,  1552, -6472,  4524,
  121813,  3502, -6472, -6472, -6472,  1256,121813, -6472, -6472, -6472,
   -6472,  4234, -6472,  1192,  4037, -6472,  4559, 98813,  3194,158186,
  158186,  3194, -6472, 95360,  4242,  3796, -6472,   276,  4323, -6472,
  158186,  1844,144813,  3605,  4278,  4466, 10706, 63420, 64006,  1961,
   -6472,  4243,  4249, -6472, -6472,121813,  4246,156659,  2791,  3254,
    4735,  1360,  2607,  3870,100538,  4450,  4037,  4559, -6472,  3431,
    4476,  4472, -6472,  2381,121813,  3870,  3796,  1917,121813,  4247,
   -6472,  2824, 72705,  2497, -6472, 90752, 55685, 55685, -6472,  4253,
   -6472,  4257,  7694, -6472,  4326,  4258,  4739, 55685, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  4338,  4259,121813,121813,
    1043,121813,  4776, -6472, -6472,  4261,  4138, -6472,  4138, -6472,
    4264, -6472, -6472, -6472,  2366,  1808, 69819, 69819, 69819, 69819,
   69819, -6472, -6472,121813, -6472,121813, -6472,  1103, -6472,  4389,
    1103,121813,  2381,121813,121813,121813,121813,121813,  3821,   345,
    3820, -6472, -6472,  4605,157168,  4607, -6472, 85568, -6472, -6472,
   -6472, -6472, -6472,  2797,121813, -6472, -6472, -6472,  4680,  4621,
    1103,   180,  1092,  1092,  1092,  1092,  4575,  1092,  1092,  1092,
    1092,  1092, -6472, 55685, 22153, -6472,  4269, -6472, 22153,  4659,
    4567,  4569, -6472, -6472,  4277,  4508,  4517, -6472,  4281, 55685,
    4009, 19711, -6472, -6472,  4520,  4521, -6472,  4009,  4009, 19711,
   -6472, 19711,  4288, 10910, 20268, -6472,  2804, 55685, -6472,  2609,
    2609,  2609,  2558,  4643, -6472,  3204,  2609,  2609,  2609,   526,
     526,   244,   244,   244,  4646,   591, 20558, 20753, 20671,  4290,
   -6472, -6472, -6472,  3872, -6472, 56883,   123,  4764, 61076, -6472,
   -6472, -6472,  4345,  4348,  4294, -6472, 55685, 57482,  4293, 96512,
    4505, -6472,  1969, 55685, 55685,  3793, -6472,  9305, 55685, -6472,
   -6472,  3793,   477, 55685,  1949,  2000, 55685, 55685,  3251, 11463,
    4296, -6472,  2809, 55685, 11526,  4502, -6472,121813,121813,121813,
  121813, -6472, -6472, -6472, 55685,118938,119513,118938,118938,  4301,
   62248, 66925,  2061,  4303,121813, -6472, -6472,  4305, 63420,  4612,
    4522, -6472, 63420,  4522,  2069,  4522,  4614,  4408, 72119, -6472,
   -6472,  4312, -6472, -6472,  4531, -6472,  2121, 22153,  4788,  4660,
    1917,  4660,  2102,   385,  1917, -6472,  4314, 76270, -6472, -6472,
   -6472, -6472,  4406, -6472,  4549, 22153, 50294, -6472,  2381,  1885,
  121813,  2204,   129, -6472, 55685,  4344,121813, -6472,  4307, 22153,
   -6472, 15476, -6472, -6472, -6472, -6472,  4410,  2813, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472,  4417,101688,  4675, -6472, -6472,
    2167,  4647,   361, -6472,  1103, -6472, 95360,121813,121813,121813,
    3383, -6472, -6472,121813,121813,121813,121813, -6472, -6472,158186,
  121813, -6472, -6472,121813, 55685,  2816, -6472,  4364,  4778,   356,
    2825, -6472,  2828,  1910, -6472,  2831, -6472, -6472,121238, -6472,
    4246,   354,  2579,  4664,  4669,  4568, -6472,   345, -6472,  4830,
    2579,  4572,   354, -6472, -6472, -6472, -6472,  3570, -6472, 95360,
    1103,  1103, -6472, -6472, -6472, -6472, -6472,  4347, -6472,  4812,
    4437,121813,121813,121813,121813,121813,158186,121813,121813,  3117,
    3117, 95360,  4353, -6472,  3117,  3117,  4354, -6472,158186,121813,
  121813, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,  4430, -6472, 55685,  4808, -6472, -6472, -6472, -6472,
   -6472, 55685, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,158186,121813,  4436, -6472,  4440, -6472,  1061, -6472,
   -6472,121813,121813,121813,121813,  4734, -6472, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472,  4732,121813, -6472,
   -6472,  1917,  1917, 95360,  1103,  1103, -6472, -6472, -6472,  4447,
   -6472, -6472,  4360,  4671,  1025, -6472,  1025,  1025,  1025, -6472,
    4363, -6472,  1934,  4770, -6472,  1910,  2087,  4719, -6472, 55685,
   -6472,  1835,  2558, -6472,  4780,  4863, -6472, -6472, -6472, -6472,
    3748,  2623,  3748, -6472, -6472, 87872,  1088, -6472,  4702,   347,
   85568,  4602, 98813,  1840,  2247,  4373,  4507, -6472,  3194,  3194,
    4439,121813,  4869, -6472, -6472, -6472, -6472, -6472, -6472,158186,
    4024, -6472,  4616,  1515,  4738,121813, 64006, -6472,  4159, -6472,
   -6472, -6472,  1917, -6472, -6472,  4516,  3796, -6472,  4756,121813,
    4613, 98813,  3870, -6472,  2835, -6472, -6472, -6472,  4426,  4858,
    3817, -6472,  1840,  4450, -6472, -6472,  4834,  4483,  4431,  4882,
   -6472,  4483,  4745,  4615,  4392, -6472,  4058, -6472,121813, -6472,
   22153, 22153,  1917, 97088,   326, 95360,  4755, -6472, 22153,121813,
     856,  4395,  4571, -6472,  4717,121813, -6472,  1103,  2836, -6472,
   -6472, -6472,  4402,  2440,  2440, -6472, -6472, -6472,  1103,  1103,
   -6472,121813, -6472,  3821,  3821,  3821,  3821,  3821, -6472,  4619,
   -6472, -6472, -6472, -6472,  4711, -6472,157168, -6472,  1103, -6472,
   -6472, -6472, -6472, -6472, -6472,  1092, -6472, -6472, -6472, -6472,
   -6472, 22153, -6472,121813, -6472, -6472, -6472, -6472, -6472, -6472,
    3624,  4405, 55685,  1533, -6472, -6472,  4411,  4416,  4009,  4009,
   -6472, -6472, 55685, -6472, 11590, 59878,  4757, -6472, 55685, 55685,
   55685, -6472,  4418,  2846,  2849, -6472, -6472,   123, -6472,  4764,
   -6472, -6472, -6472, 11634,  4459, 22153,  4523,  4419,  1266,  3793,
    3793,  9305,  3793, 55685, 55685,  3793,  3793, 55685, -6472, -6472,
   -6472, 12250, -6472,  4881,  3934, -6472, -6472, -6472, -6472,  4420,
   -6472, -6472, -6472, -6472, 86720,  4424,  4063,118938,  4428,121813,
    2061, 63420, -6472, -6472,  2892, -6472, 63420,  4714, -6472, 63420,
   87872, -6472,121813,  4429,121813, -6472,  1143, 55685,  4453, -6472,
    4453, -6472,   535, -6472, -6472, -6472, -6472, -6472,  4553,  4425,
   -6472,110888,   860, -6472,    87, -6472, -6472,  4854, 65178,  4816,
   21657, 55685, -6472, -6472, -6472, -6472, -6472,157168,  4652,157168,
    1910, -6472, -6472, -6472, -6472, -6472, -6472,  4432, -6472, -6472,
   -6472, -6472,  4519, -6472, -6472,    72,  3832,  1910, -6472, 12290,
    4752, 65178, 77458,121813, -6472,121813, -6472,  4603,  4752,  4752,
   -6472, -6472, -6472, -6472,  4929,  4811,  4813, -6472, -6472,  4441,
   -6472, -6472, -6472,  4673, -6472, -6472, 72705,158186,121813, -6472,
    4525, -6472, -6472, -6472, -6472, -6472, -6472, 66350, 76270, -6472,
    1348,  4443,  4444,   306, -6472, -6472, -6472,121813, 12630,  4445,
   12676,  1473,  3832,121813,121813,  4446,  4449,  4451,  2115,  1608,
    2175,  3821,  4798,121813, -6472, -6472, -6472,  4673, -6472, -6472,
  121813, -6472,  1025, -6472, -6472, -6472, -6472, 85568, -6472,  2529,
    4363,  1917, 87872,  4934,  4934, 12983,  4676, -6472, -6472,   433,
    4509,  4721,  4509,  4462,121813,  1256,  4464,  2853, -6472,121813,
    4456,  4585,  2463,  2463,121813,121813,121813,  2868,  2381,  3194,
    4250,  1844,  4856, 98813,  4901,  4246,   451, -6472,121813,  4978,
  110888,  2381,  4037,121813,  4484,  1042, -6472,100538,  4713,  2389,
  121813,  2775,  4450,  3817,  1774,121813, -6472,  1652, -6472,  2381,
   -6472,121813,113188, 65178,  4851, -6472, 95936, -6472,  2869, -6472,
   -6472, -6472,  4580, 18316,  3940,  4618,  4624,  4504,  2385,  4868,
  121813,   166, -6472,  4518, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,121813,   474, -6472, -6472, -6472, -6472,  4506, -6472,  5002,
   55685,  1057, -6472, -6472, -6472, -6472, -6472,  4736, -6472,  4511,
   -6472, -6472,  2884,  1533, 21726, -6472,  2568, 59878, 22153, 22153,
   22153, 55685, -6472, 55685, -6472, -6472, -6472, -6472,   151, -6472,
   -6472,  4838,  4526,  3793,  3793,  3793, -6472, 55685,  1527, 55685,
   -6472,  2873,  5013, 59279,  4971, -6472,121813,  2876, -6472, 55685,
    4528, -6472, -6472, 63420,  2892,  4529,  2887,121813,  2898, 95360,
   58081, 22153,121813, -6472, -6472, -6472, -6472,  1571,  4941, -6472,
   -6472, -6472,  4579,121813,  2903, -6472,  1397,  1801,  1526, -6472,
    5021,  5021, 22153,  1963,  2026,   438, -6472,121813,  4622, -6472,
    4778,  4532,  3748, -6472,  4543, -6472, -6472,   468,  3431,121813,
    3748,  3748,  2389,  4865, -6472, -6472, 55685,  4593, -6472,  1531,
    3832,121813, 95360, -6472,   178,  4899, -6472, 95360, 95360, -6472,
   -6472, -6472, 55685, -6472,  4636, -6472, -6472, -6472, 55685, 55685,
  161749, -6472, -6472,121813,121813,121813,121813,121813, -6472,  1103,
   -6472, -6472,  2906, -6472,150500, -6472, -6472,  3634,  1917,  3634,
    2239, -6472, -6472,  3634,  3634, -6472,  3940, -6472,  4934,  1755,
   -6472, -6472,  4786,  4544, 55685,  4872, -6472,  1578,  4767, -6472,
    4545, -6472, 87872,  5077, -6472, 85568,  4037,  4559,121813, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,  2907,  4246,  4920,  3796,  4431, -6472,121813,  4598, -6472,
   63420,  4246,  2381,  2607,  3870,  4450,  4037,  4559, -6472, -6472,
   -6472,  4552,  4472,  3817,  2775,  4705, -6472,  4710, -6472,  5014,
    4785,  5025,  3870, -6472,  4247,  2921,121813, -6472, -6472,  7694,
   97088, 95360, -6472, -6472, -6472,  4561,  4963,  4611,  4617, -6472,
   -6472, -6472,  2385, -6472,  1909,  4965,  4623, -6472,  4629,121813,
   -6472, -6472,  2874,  5098,  4246,  1103, 55685, 85568, 22153, -6472,
   -6472,  4961, -6472,   269,   260,  2022,  4803,  4578, 55685,  2568,
    2926,  2933,  4637, -6472, -6472, -6472,  3872, 54487, 54487, 54487,
    4582, 21790,  4161, 86720,  4581, -6472, 59878,  2943, -6472,  2476,
  121813,  2944, -6472, 22153,121813, -6472, -6472, 55685, -6472,  2948,
   -6472,  4584,    93,  4586, 43126,  4587, -6472, -6472, -6472, -6472,
   -6472, 22153,  4588, -6472,  5082,  4957,  4958,121813, -6472,  2381,
   -6472,  3940, 65178, -6472,  4726, -6472,  4864, -6472, -6472, 55685,
    4686,  4688, -6472,  4954, -6472, -6472,121813, -6472,121813,  4509,
   76270,  3925,   468,  2623,  4509,  4509,  4544, 13238, 55685, -6472,
    4696, -6472, -6472,  2955,  1983,  4783,  4783,  2960,  2961, 13383,
  121813,  2964,  2968, -6472,  2976,  3117,  3827,  2175,  3827, -6472,
    3821, -6472, -6472, 85568, -6472, -6472,157677, -6472, -6472, -6472,
    1917, -6472,  1917,  4836, 79790, 80369,  1917,  1917, -6472, -6472,
   -6472, -6472,  4927, -6472,  3254, -6472, 13578,  4701, -6472, -6472,
   -6472,   560, -6472,  4833,  4835, -6472,  4609, -6472,  2984, -6472,
    1840,  4751,  4246, -6472, -6472,121813,  5112,  5113, -6472,  1517,
  121813,  4159, -6472,  4431,  3870, -6472,  3817,  1840,  4450,  2389,
   65764,  4483,  2775,  4472, -6472, -6472,  4841, -6472,  4843, -6472,
    4625,  4959, -6472,  1980,   326, -6472, -6472, -6472,  1681,  4980,
    4981, -6472, -6472, -6472,  3634, -6472,  2038,  4630,  5008, -6472,
   -6472, -6472, -6472, -6472,121813, -6472, -6472, -6472, -6472, -6472,
    4672,   310,   318, -6472,  4677, -6472,  4815,  4817,  1533,  2414,
   -6472, 22153, -6472, -6472, -6472, 58680,  4782,  1455, 15915,  5017,
   -6472,  5017,  5017, -6472,121813,  4842, -6472, -6472,121813,  2558,
    4638, 59279, 85568,  2996, -6472, 93056, -6472,  3002,  3003, -6472,
   55685,  4644, 55685, -6472, 58081,121813,  4648,  5117,  5120,  1587,
   -6472, -6472, -6472, 70969,  5121, 22153,   542,  1029,157168,  3832,
    3010,  4010,  4650, -6472,  3925,  4721, -6472, -6472, -6472, -6472,
   22153,121813, 87872,  5128, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,  3832,  4742, -6472, -6472,161749, -6472,121813, -6472, -6472,
    3018, -6472, -6472, -6472, 80948, -6472,  4395, -6472,  4395, -6472,
   -6472, -6472,  2787,  4772,121813,  1369,  1369,  5064, -6472,  4731,
   -6472,  4667, -6472,  5196,  4805,121813, -6472, -6472,  1348,  2381,
   98813,  4246, -6472,  1042,  2775,  4450,  3817, 55685,  3026, -6472,
    4778,   356, -6472,  4472,  4483, -6472, -6472, 65178,  4674,  3502,
    5063, -6472, -6472, -6472,  2940, 87872, 87872,121813, -6472, -6472,
   -6472, 55685,  1256, -6472, -6472,  4712, -6472,  4715, -6472, -6472,
    4900,  4907,  4683,  1533, -6472,  5183, -6472, -6472, -6472, -6472,
   -6472,  1146, -6472, -6472, -6472, -6472,  5138,  3029, 61076, -6472,
   -6472, -6472,121813,  4905,  1759,  5184,  4857,  3030, 58081,  3033,
   -6472, -6472, -6472,121813,121813,121813,  1918,  2157, -6472,  4930,
    4824, -6472, -6472,  4933,   720, -6472,   438, -6472, -6472, -6472,
   -6472, -6472,  4767,  1910,  1910,  3832, -6472,121813, -6472,  4694,
   -6472, -6472, -6472,157677, -6472,  4395, -6472, -6472, -6472, -6472,
    5204, -6472,  1516, -6472, -6472, -6472, -6472,121813,  4246,  4353,
    4431, -6472, -6472,  4472,  3817,  2775, 14142, -6472, 65764,121813,
  121813,  4483, -6472,  3034, 65178,  3796,  4846, -6472,  2304, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,   982,  4695,  4698, -6472,
   -6472, 14428, 87872, -6472, -6472,  4845,  4848, -6472,  4928, 55086,
    4859, -6472,  4925, -6472,  4718, -6472,  4063, -6472, -6472, 59878,
    4946, -6472, 59878,  1759, -6472, 59878,121813, -6472,  4722, -6472,
   -6472,  3040, -6472,  1592,  1664,  2188, -6472, -6472, -6472, -6472,
   70969, -6472,  4777,    87,  4723,121813, -6472, -6472,  1910, -6472,
   -6472, -6472, 55685, -6472, -6472,  2623,  2623,  4246, -6472, -6472,
    4483,  2775,  4472,  4778, -6472, -6472, -6472, -6472,  4959, -6472,
    3044,  4483,  4623,  2375, -6472, -6472,  2383,  2877,  4814,  5067,
   -6472,  4724,  4840,  4844,  5109, -6472, -6472, -6472,145388,  5178,
    2558, -6472,  2558, -6472,  2558, -6472, 55685, -6472,121813,121813,
   87296,121813,  4737, -6472,  4794, 55685,  3047,  1910,  3048, -6472,
   -6472, -6472, -6472,  4472,  4483,121813,  3502, -6472, 65178,  3940,
    5106, -6472,  2304,  4861,  4866, 84992, -6472, -6472, -6472,   360,
    3055, -6472, 93632,121813, 14677, -6472, -6472,  5266,   321,  5157,
   -6472,  4801,  3056,   135, -6472,  4483, -6472, -6472,  3796, -6472,
   -6472,  1256, -6472,  4790,  4791,  3059, -6472, -6472, -6472, -6472,
   -6472, -6472,  1917,  1533,145388,  4967,  1068,  3060, -6472, 55685,
   87296, -6472, -6472,    87, -6472, -6472,  4483, 87872,  5104,  5105,
   -6472, 84992,  2057,  4753, -6472, -6472,  4953,  1917,  2884,  4953,
   -6472,  1133,  4818,  4810,  3940,  4758, 87872, 87872, -6472,121813,
    4759, -6472,  1533, -6472,  2022,  2884,  4754,121813,  4801, -6472,
   84992, -6472, -6472,  5209,145388, -6472,  1533,  2022,  1917, -6472,
   -6472,  3063,  4761,  3066, -6472,  1533, -6472,145388, -6472, -6472,
    3076, -6472
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    3395,     0,     2,     1,  3830,  3834,  3838,  3839,  3761,  3840,
    3841,  3806,  3807,  3808,  3809,  3810,  3811,  3812,  3813,  3814,
    3815,  3816,  3817,  3819,  3818,  3820,  3821,  3822,  3823,  3824,
    3825,  3826,  3827,  3829,  3828,  3779,  3402,  3778,  3775,  3776,
    2448,  3843,  3831,  3844,  3832,  3833,  3835,  3836,  3805,  3837,
    3845,  3846,  3847,  3842,  3850,  3801,  3802,  3800,  3803,  3804,
    3848,  3849,  3792,  3793,  3794,  3795,  3851,  3403,  3404,  3797,
    3396,  3400,  3465,  3545,  3798,  3799,  3796,  3401,  3791,  3545,
       0,     0,  3597,  3559,     0,     0,     0,  3544,  3521,  3527,
    3650,     0,  3492,  3493,  3489,  3491,  3490,  3494,  3477,  2010,
    1478,   677,  1567,  1566,     0,  1478,     0,   282,     0,  1578,
       0,  1478,   450,  1135,  3419,     0,  3504,     0,     0,     0,
     677,  1478,     0,     0,  1737,     0,  3502,     0,     0,  2010,
       0,     0,  1751,     0,     0,  3503,     0,     0,     0,  1275,
       0,     0,     0,  1478,     0,     0,  1758,     0,     0,     0,
    3506,     0,  3505,  1751,  3646,  3522,     0,  1580,     0,  3501,
       0,     0,     0,     0,     3,    38,    73,    74,    31,    30,
      91,    56,    17,    64,   126,   125,   127,    43,    39,    81,
      26,    28,    40,    44,    66,    68,    33,    57,   103,    65,
      24,    63,    69,    89,    51,    12,    13,    52,    14,    53,
      15,    54,    99,    75,    92,    36,    62,    23,    45,    71,
      72,     5,    47,    79,    11,    58,    59,    61,    84,    85,
      86,   109,    87,   121,    42,   118,    96,    97,   115,    98,
     116,     9,   100,    55,    16,   112,   111,   113,    82,    48,
      83,    70,    90,   110,    27,   114,    18,    19,    21,    22,
      20,    60,    29,    67,    32,    88,   117,   107,   102,   122,
     120,     4,   128,   104,    76,     7,     8,    93,     6,    25,
      50,    10,    35,    34,    49,    41,   124,    37,  1578,    95,
     108,    94,   101,    80,   105,   123,   106,    78,   119,  1713,
    1700,  1760,  1704,  1736,     0,  1716,    46,  1737,   130,   131,
     132,   137,  3399,  3454,  3455,  3456,  3545,  3487,  3488,  3481,
    3497,  3516,  3496,  3509,  3517,  3495,  3523,     0,   134,   136,
     138,   141,   135,   129,   133,   140,   145,   139,   144,   142,
     143,   146,   147,   148,    77,  3472,  3471,     0,  3545,     0,
    3772,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,
    2475,  2476,  2477,  2478,  2479,  2480,  2482,  2481,  2483,  2484,
    2844,  2485,  2486,  2487,  2784,  2785,  2845,  2786,  2787,  2488,
    2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,  2788,  2497,
    2498,  2499,  2500,  2501,  2789,  2846,  2502,  2503,  2504,  2505,
    2506,  2507,  2847,  2508,  2509,  2510,  2511,  2512,  2513,  2514,
    2515,  2516,  2848,  2517,  2518,  2455,  2849,  2456,  2519,  2520,
    2521,  2522,  2523,  2790,  2791,  2524,  2525,  2526,  2527,  2528,
    2529,  2530,  2531,  2532,  2533,  2534,  2535,  2536,  2537,  2538,
    2539,  2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,
    2549,  2550,  2551,  2552,  2553,  2792,  2554,  2555,  2556,  2557,
    2793,  2558,  2559,  2560,  2561,  2794,  2562,  2563,  2564,  2565,
    2850,  2851,  2566,  2567,  2568,  2569,  2570,  2795,  2796,  2571,
    2572,  2573,  2574,  2575,  2576,  2852,  2577,  2578,  2579,  2580,
    2581,  2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2853,
    2797,  2590,  2591,  2592,  2798,  2799,  2593,  2854,  2855,  2594,
    2856,  2800,  2801,  2802,  2803,  2804,  2805,  2806,  2807,  2808,
    2809,  2810,  2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,
    2811,  2857,  2603,  2858,  2604,  2605,  2606,  2607,  2608,  2609,
    2610,  2611,  2612,  2613,  2614,  2615,  2616,  2812,  2617,  2618,
    2619,  2620,  2621,  2622,  2813,  2859,  2814,  2623,  2624,  2625,
    2626,  2627,  2628,  2629,  2630,  2815,  2816,  2631,  2632,  2633,
    2860,  2634,  2817,  2635,  2818,  2636,  2637,  2638,  2639,  2640,
    2641,  2642,  2643,  2644,  2645,  2646,  2819,  2861,  2647,  2862,
    2820,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,  2660,  2661,  2821,  2662,  2822,  2665,  2663,
    2664,  2666,  2667,  2668,  2669,  2670,  2671,  2672,  2673,  2674,
    2675,  2676,  2823,  2677,  2678,  2679,  2680,  2681,  2682,  2683,
    2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,  2692,  2693,
    2694,  2695,  2863,  2696,  2697,  2698,  2699,  2700,  2824,  2701,
    2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,  2710,  2711,
    2712,  2713,  2714,  2457,  2715,  2716,  2825,  2717,  2718,  2864,
    2719,  2720,  2826,  2721,  2722,  2723,  2724,  2725,  2726,  2727,
    2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,  2736,  2827,
    2737,  2738,  2739,  2740,  2865,  2741,  2742,  2743,  2744,  2745,
    2746,  2747,  2828,  2829,  3419,  2748,  2749,  2830,  2750,  2831,
    2751,  2752,  2753,  2754,  2755,  2756,  2758,  2757,  2759,  2760,
    2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,  2769,  2832,
    2770,  2866,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,  2781,  2833,  2834,  2835,  2836,  2837,  2838,  2839,
    2840,  2841,  2842,  2843,  2782,  2783,  3437,  2453,  2454,  2461,
    2462,  2463,  3412,  3433,  3439,  3768,  3438,  2460,  3596,     0,
       0,  3667,  3668,  3689,  3669,  3670,  3671,  3690,  3691,  3672,
    3673,  3674,  3675,  3676,  3677,  3678,  3679,  3680,  3692,  3681,
    3682,  3683,  3684,  3685,  3686,  3687,  3688,  3693,  3694,  3743,
    3744,  3745,  3746,  3747,  3749,  3748,  3558,  3716,  3752,  3557,
    3753,  3561,  3754,  3755,  3756,  3757,  3717,  3758,  3560,  3750,
    3713,  3562,  3555,  3556,  3714,  3665,  3666,  2428,  3715,  3712,
    3751,  3440,  3711,  3566,  3565,  1689,  3767,  1690,     0,  3568,
    3695,  3696,  3697,  3698,  3700,  3699,  3701,  2867,  2868,  2869,
    2870,  2871,  2872,  2873,  2874,  2875,  2876,  2877,  2878,  3726,
    2879,  2880,  2881,  3742,  2882,  2883,  3727,  2884,  2885,  2886,
    2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,
    2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,  2905,  2906,
    2907,  3728,  3729,  2908,  2909,  2910,  2911,  2912,  2913,  2914,
    2915,  2916,  2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,
    2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  3730,  2933,
    2934,  3731,  2935,  2936,  2937,  3732,  2938,  2939,  2940,  2941,
    2942,  3736,  3737,  3738,  3739,  3740,  3741,  3725,  3519,  3702,
    3724,  3733,  3734,  3735,  3529,  3525,  3533,  3528,     0,     0,
       0,     0,  3545,  1999,  2000,  2001,  1998,  2011,  1997,     0,
    3460,  2002,  3508,  1477,  1476,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   676,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3409,     0,  1488,   159,     0,  3720,  3714,  3723,
       0,  2431,  3715,  3712,  3711,   420,   419,  1577,     0,  1556,
     677,     0,  1491,   449,  1737,     0,     0,     0,     0,     0,
       0,   894,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,   153,     0,     0,   474,
     473,     0,     0,  1107,   479,     0,     0,     0,     0,     0,
     667,  3418,  3413,  3423,     0,  3416,  3417,  3711,     0,  3854,
    2663,  3449,  3450,  3852,     0,  2727,  1691,  1689,  3767,     0,
     283,   286,   287,   284,   285,     0,  1247,  1248,  1250,     0,
       0,  1260,   934,   935,     0,     0,     0,   948,     0,     0,
       0,   932,     0,     0,     0,   954,     0,   951,     0,     0,
     955,   952,   929,   953,   936,     0,   928,     0,     0,  1260,
     956,     0,     0,   930,     0,     0,     0,     0,  1491,     0,
    3511,  3512,  2577,  1617,   480,     0,     0,  1737,     0,  1601,
    1602,  1578,  1590,  1603,  1595,  1597,  1596,  1598,  1599,  1594,
    1600,  2468,  1031,  2485,  1031,  2565,  1028,  1029,  1031,  1031,
    1031,  2684,     0,     0,  1003,     0,  1014,  2449,  1031,  2450,
    3768,  1036,  2476,   559,   559,   559,     0,  1035,  1040,   559,
       0,  3507,  1459,  1500,  2430,  1750,     0,  2485,  2565,  1004,
    1458,     0,  2748,  1607,     0,     0,     0,     0,  2703,  1468,
     267,  3709,  2714,  2828,  2748,  3710,   266,   261,   262,  3704,
    3705,  3707,   235,  3708,  3706,  3703,     0,     0,  1035,   559,
       0,  1491,  1466,  1000,  1757,  1755,     0,  2415,     0,     0,
    2495,     0,  2511,  2606,   258,  2696,  2705,  2714,  2828,  2748,
    2781,   214,   224,   219,     0,   276,  2714,  2828,  2748,     0,
    1488,     0,  1717,  1866,  1865,  2424,     0,     0,  3520,  1461,
    1460,  1579,     0,  1582,     0,  2679,  1721,  1724,  1584,  1722,
    1713,     0,     0,  3398,     0,  1589,  1754,  1754,     0,  1754,
       0,  1705,  1713,  1708,  1712,     0,     0,     0,     0,     0,
    1478,     0,  3479,  3516,  3486,  3551,  3483,     0,     0,  3541,
    3537,  3534,  3542,  3543,  3536,  3524,  3466,     0,  3474,  3473,
    3780,  3781,  3598,  3411,  3430,     0,     0,     0,     0,     0,
       0,     0,  3567,  3569,  3571,  3531,  3530,  3526,     0,     0,
       0,  3656,  3657,     0,  3655,     0,  3652,  3654,     0,  3551,
       0,     0,     0,     0,     0,     0,     0,     0,  3457,   661,
    3459,   658,     0,  1462,     0,     0,     0,   959,     0,  1503,
    1092,     0,     0,     0,     0,     0,  1344,     0,  1143,  1144,
       0,  2453,     0,  2576,  1344,     0,     0,  2258,  2269,  2270,
    2271,  2499,  2558,  2266,  2267,  2268,  2260,  2261,  2262,  2263,
    2264,  2265,     0,     0,  1242,  2259,     0,  2576,     0,  1344,
       0,   186,     0,   163,  1344,     0,     0,  2576,     0,     0,
    2576,     0,     0,     0,     0,     0,  2576,     0,     0,     0,
       0,     0,   186,  2611,     0,   163,  2576,     0,     0,     0,
    1482,     0,     0,     0,  1484,  1487,  1474,     0,  2339,     0,
    2340,  2432,  1571,     0,  1570,  1564,  1574,  1569,  1559,     0,
    2424,     0,     0,     0,     0,   942,     0,     0,   932,     0,
       0,     0,   943,     0,   944,   945,     0,     0,     0,     0,
     941,     0,  1472,  1464,     0,  1609,  1611,  1610,  1612,  1608,
     559,     0,     0,     0,  2576,     0,   163,  1542,     0,  2576,
     163,     0,     0,   478,   477,   163,   476,   475,  2499,  2558,
       0,  1134,     0,  1217,   163,  2576,     0,   207,  2576,   736,
    2576,  1584,   152,     0,   680,     0,   848,  2611,   163,     0,
       0,     0,     0,     0,     0,   155,     0,     0,     0,     0,
       0,     0,     0,   666,   677,     0,  3422,  3428,     0,  3420,
    3599,  3855,  3853,  3459,  3554,     0,  3451,  1251,   259,   260,
    1249,   946,  2576,  1176,   158,     0,     0,  2576,   163,  1959,
    1988,  1966,  1988,  1988,  1955,  1955,  2539,  1968,  2576,  1956,
    1957,  1993,  2013,     0,  1988,  1955,  1960,     0,  1958,  1996,
    1996,  1983,   158,   963,  1938,  1939,  1940,  1941,  1969,  1970,
    1942,  1975,  1976,  1980,  1943,  2010,  1946,  3721,  1955,  3722,
    3719,  3718,   947,     0,   933,  2576,   158,  1140,  2576,  2458,
     196,     0,   931,  2499,  2558,  2576,   158,  1244,     0,  2576,
     158,  2576,   192,  2576,   158,  2576,   158,  2576,   681,     0,
       0,  2576,   158,  2576,  2611,   194,   950,  2576,   158,   957,
    2576,   158,  2426,  2576,     0,  1475,     0,     0,  3785,  3789,
       0,  3787,  3782,  3510,  3564,  3563,  3453,     0,  3866,     0,
    1691,  1592,     0,  1737,  1031,  1030,     0,  1031,     0,  3876,
    1031,     0,  1031,     0,  3876,  1031,     0,     0,     0,  1031,
    2451,  2452,     0,     0,  3875,  3871,  3874,  1005,  1015,     0,
    1037,     0,  1045,     0,  1044,  1043,  1042,     0,     0,     0,
    1046,     0,  1870,  1644,     0,  1012,     0,  1010,     0,  1456,
    3459,  1471,     0,     0,     0,     0,   155,     0,  1273,  1270,
     155,  1272,  1271,   155,   155,  1467,   265,   263,     0,     0,
       0,     0,     0,     0,  1473,     0,  1465,     0,     0,     0,
    3774,  3777,  2272,  3773,     0,  2785,  2786,  2787,  2331,     0,
    3716,  2788,  2789,  2846,  2146,  2132,  2141,  2147,  2133,  2135,
    2142,  2790,  2791,  2081,  2792,  2793,  2444,  2794,  2795,  2796,
    2798,  2799,  2800,  2801,  2802,  2803,  2804,  2805,  2806,  2807,
    2808,  2810,  2811,  2137,  2139,  2812,  2813,  2814,  2816,     0,
    2445,  2817,  2818,  2642,  2820,  2821,  2823,  2824,  2143,  2826,
    2827,  2144,  2828,  2829,  2830,  2831,  2443,   522,  2145,  2832,
    2834,  2835,  2836,  2837,  2839,  2840,  2841,  2842,     0,     0,
       0,  2421,     0,  2110,     0,  1947,  1948,  1971,  1972,  1949,
    1977,  1978,  1950,     0,  1951,  2420,  2014,  2217,  2109,  2127,
       0,  2115,  2116,     0,  2108,  2104,  2219,  1740,  2416,     0,
    2105,  2433,  2332,  2447,  2446,  3768,  2342,  2436,  2434,  2435,
    2437,  1740,  2414,     0,     0,     0,   227,     0,     0,  3645,
     278,     0,   279,  2422,  2714,   215,   257,   229,   256,   230,
     228,     0,  2497,   216,     0,     0,   217,     0,     0,     0,
       0,     0,     0,     0,   272,  1463,     0,  1868,  1867,  2425,
     968,     0,     0,  1581,  1578,  2282,     0,  1723,     0,     0,
       0,  1703,  1702,     0,  1586,  1588,  1562,  1584,  1752,  1753,
       0,     0,     0,     0,     0,     0,     0,     0,  1810,  1768,
    1769,  1771,  1807,  1811,  1819,     0,  1709,     0,     0,     0,
    1872,     0,     0,  3397,  3551,  3552,     0,  3546,     0,  3545,
    3545,  3539,  3538,  3535,     0,     0,  3432,     0,  3436,  3434,
       0,  3591,  3594,     0,  3592,  3593,  3595,     0,  3600,  3601,
       0,     0,     0,     0,     0,  3582,  3570,  3577,  3579,  3581,
    3580,  3589,  3585,  3588,  3590,  3532,  3545,     0,  3658,  3664,
    3661,  2513,     0,  3653,     0,  3463,  2004,  2005,  2006,  2007,
    2008,  2009,  3464,     0,  3461,  2003,  3462,   659,   660,     0,
       0,  1489,     0,     0,     0,     0,     0,  1175,     0,     0,
       0,     0,     0,   960,     0,     0,     0,     0,  1511,  1512,
    1513,     0,     0,     0,  1514,  1515,  1503,   269,  1522,  1519,
    1502,  1504,  1517,  1509,     0,     0,     0,     0,     0,     0,
       0,  1534,     0,   200,   201,     0,   693,   677,     0,  2576,
       0,     0,     0,     0,  1185,  1192,  1343,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,  1184,     0,  1187,   271,
    1197,  1224,  1227,     0,     0,  1142,  1145,     0,     0,     0,
       0,     0,  1334,     0,     0,     0,  1334,     0,     0,     0,
    1343,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     294,   296,   309,   375,     0,     0,     0,  2576,  1344,     0,
       0,     0,  1246,     0,     0,     0,     0,     0,     0,     0,
       0,  1227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   161,   162,   167,     0,     0,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,     0,   642,   657,   645,     0,
       0,     0,     0,     0,   653,     0,     0,   163,   655,   299,
     632,   638,     0,     0,     0,   743,   742,     0,     0,     0,
       0,     0,     0,  1432,     0,  1431,     0,     0,     0,     0,
       0,  1532,  1531,     0,     0,     0,     0,     0,     0,  1334,
       0,   288,   290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   412,   413,
       0,     0,     0,   167,     0,     0,  1334,     0,   301,     0,
    3467,     0,  1483,  1480,  1481,     0,  1486,     0,     0,     0,
       0,  2118,     0,  2286,  1760,  2284,  1160,  2338,     0,  2335,
    2334,  2429,  2341,  1554,     0,   246,   247,   245,  1572,   248,
    1573,  1568,     0,  1555,     0,     0,     0,     0,     0,     0,
       0,     0,  2499,  2558,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     856,  1503,  1541,     0,     0,     0,   686,     0,  2576,     0,
     165,   895,     0,   846,   479,     0,     0,     0,     0,  1408,
     165,     0,     0,   203,     0,     0,   740,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   847,     0,     0,
     165,     0,  2576,   635,  2576,     0,   559,   559,     0,     0,
     154,   151,     0,     0,     0,     0,     0,     0,     0,     0,
    3426,  3421,  3424,     0,  3414,  3428,     0,  1695,  1694,  1697,
    1696,     0,  1693,     0,   156,   157,     0,  1234,  1259,     0,
       0,     0,  1987,  1974,  1982,  1981,     0,  1964,  1963,  1962,
       0,  1961,     0,  1988,  1988,  1986,  1965,  1938,     0,     0,
       0,  1992,     0,  1990,     0,   924,  1934,  1930,     0,  1999,
    1998,  1997,     0,  1944,  1955,  1952,   949,     0,     0,  1228,
       0,     0,  2576,   158,  2576,     0,  2576,     0,     0,     0,
    1236,   158,     0,  1230,     0,     0,  1232,     0,  1434,     0,
     940,   938,   937,   939,     0,     0,   922,     0,     0,     0,
       0,     0,   917,     0,     0,   919,     0,     0,  3783,     0,
       0,  3786,     0,  3513,     0,  3872,  1613,  3869,     0,     0,
    1737,  1591,     0,  1023,     0,  3876,  3877,  1008,     0,  1018,
       0,  3876,  1006,     0,  1019,  1016,  1017,     0,     0,     0,
    3870,  3759,  3765,  1022,     0,     0,   560,   562,     0,     0,
    2522,  2538,     0,  2566,  2599,  2600,  2652,  2669,  2699,  2705,
    2710,     0,  2741,  2753,     0,  1051,  1089,  1041,   752,     0,
       0,  1654,  1013,  1011,  1457,     0,  1605,  2291,     0,  1737,
       0,     0,  1274,     0,     0,   151,   264,   236,     0,     0,
    1089,     0,  2703,  1470,   999,   677,     0,     0,  2113,  2114,
    2330,     0,     0,     0,     0,     0,     0,  2112,     0,     0,
       0,     0,  2387,     0,     0,  2387,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2037,     0,     0,  2290,
       0,     0,  2290,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2038,  2019,  2020,  3717,  2110,
    2282,     0,  2111,  2440,     0,  2010,  2272,     0,  2269,  2270,
    2271,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,
    2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,     0,  2960,
    2961,  2962,  2963,  2964,  2966,  2965,  2967,  2968,  2969,  2970,
    2971,  2972,  2345,  2974,  2975,  2976,  2977,  2978,  2979,  2980,
    2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,  2989,  2990,
    2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,
    3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,
    3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,
    3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,  3029,  3030,
    3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,
    3041,  3042,  3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,  3060,
    3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,
    3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,
    3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,
    3091,  3092,  3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,
    3101,  3102,  3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,
    3111,  3112,  3113,  3114,  3115,  3116,  3117,  3118,  3119,  3120,
    3121,  3122,  3123,  3124,  3125,  3126,  3127,  3128,  3129,  3130,
    2052,  3131,  3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,
    3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,  3148,  3149,
    3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,
    3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,
    3170,  3171,  3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,
    3180,  3181,  3182,  3183,  3184,  3185,  3186,  3187,  3188,  3189,
    3190,  3191,  3192,  3193,  3194,  3195,  3196,  2054,  3197,  3198,
    3199,  3200,  3201,  3202,  3203,  3204,  3205,  3206,  3207,  3208,
    3209,  3210,  3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,
    3219,  3220,  3221,  3222,  3223,  3224,  3225,  3226,  3227,  3228,
    3229,  3230,  3231,  3232,  3233,  3234,  3237,  3235,  3236,  3238,
    3239,  3240,  3241,  3242,  3243,  3244,  3245,  3246,  3247,  3248,
    3249,  3250,  3251,  3252,  3253,  3254,  3255,  3256,  3257,  3258,
    3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,
    3269,  3270,  3271,  3272,  3273,  3274,  3275,  3276,  3277,  3278,
    3279,  3280,  3281,  3282,  3283,  3284,  3285,  3286,  3287,  3288,
    3289,  3290,  3291,  3292,  3293,  3294,  3296,  3295,  3297,  3298,
    3299,  3300,  3301,  3302,  3303,  3304,  3305,  3306,  3307,  3308,
    3309,  3310,  3311,  3312,  3313,  3314,  3315,  3316,  3317,  3318,
    3319,  3320,  3321,  3322,  3323,  3324,  3325,  3326,  3327,  3328,
    3329,  3330,  3331,  3332,  3333,  3334,  3335,  3336,  3337,  3338,
    3339,  3340,  3341,  3342,  3343,  3344,  3345,  3346,  3347,  3348,
    3349,  3350,  3351,  3353,  3352,  3354,  3355,  3356,  3357,  3358,
    3359,  3360,  3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,
    3369,  3370,  3371,  3372,  3373,  3374,  3375,  3376,  3377,  3378,
    3379,  3380,  3381,  3382,  3383,  3384,  3385,  3386,  3387,  3388,
    3389,  3390,  3391,  3392,  3393,  3394,     0,  2266,  2267,  2268,
    2260,  2261,  2262,  2263,  2264,  2265,  2276,     0,     0,  2419,
    2465,  2464,     0,  2219,     0,  2034,     0,  2227,     0,     0,
    1823,  1739,     0,  2438,  2333,     0,  3766,  3769,  2106,  1823,
    3642,  3641,  3640,  3639,  3610,     0,  3604,  3605,     0,  3643,
    3644,   280,   281,   277,     0,     0,   232,   231,     0,   254,
     255,   226,   253,     0,   249,   250,   234,  2203,  2202,   233,
     225,   222,   220,   237,   239,   240,   223,   221,   275,   273,
       0,     0,     0,     0,   158,  3545,  1589,  1576,     0,     0,
    2345,     0,  2280,     0,     0,  2278,     0,     0,     0,  1820,
       0,  1725,     0,  1729,  1589,     0,  1585,  1720,  1719,  1761,
    1762,  1126,  1718,  1790,  1791,     0,     0,     0,     0,  1816,
    1814,  1781,  1772,  1780,     0,     0,  1778,     0,  1782,  2014,
    1809,  1707,  1766,  1767,  1770,  1706,     0,  1812,     0,  1657,
    1810,  1771,  1641,     0,  1619,     0,     0,  1873,     0,     0,
       0,  3553,  3551,  3482,  1938,  3545,  3475,  3545,  3540,     0,
    3429,     0,  3410,  3435,  3576,  2723,  3608,     0,  3609,     0,
       0,  3573,     0,  3583,  3586,  3584,  3587,     0,  1938,  3659,
    3762,  3762,  1938,  2012,  3458,  3500,  1490,     0,     0,     0,
    1155,  1157,     0,  1156,     0,  1159,     0,  1168,     0,     0,
    1154,  1173,     0,  1162,  1160,     0,  1530,     0,     0,   961,
       0,     0,     0,     0,  1510,     0,     0,     0,  2741,   268,
    1513,  1518,  1505,  1516,     0,     0,     0,     0,     0,  1091,
    1090,     0,     0,     0,  1537,   553,     0,   377,     0,     0,
       0,     0,     0,     0,     0,     0,   842,   839,     0,     0,
     838,     0,   691,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   716,     0,  1334,     0,   307,     0,
    1194,     0,  1193,     0,  1198,     0,     0,  1195,  1190,  1191,
    2705,  2714,  2748,   270,  1196,  1226,     0,  1225,  1221,     0,
    1137,     0,  1138,     0,     0,     0,     0,     0,     0,     0,
    2550,     0,  2576,     0,   522,   315,   339,   544,     0,  1333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   361,     0,     0,   364,   363,
       0,     0,     0,     0,     0,   369,     0,   347,     0,   348,
       0,   368,     0,     0,     0,     0,     0,     0,  1334,     0,
     303,     0,     0,     0,     0,     0,     0,     0,     0,  1243,
       0,   769,     0,     0,  2705,  1222,     0,  1417,     0,  2740,
    1418,  1421,   559,     0,   559,  1423,     0,     0,  1420,  1422,
       0,     0,   189,     0,   184,   188,     0,     0,  2705,  1223,
       0,     0,     0,     0,     0,   640,   641,   656,     0,   646,
     647,   643,   648,   649,     0,     0,     0,     0,     0,     0,
       0,   639,     0,     0,   738,   737,   741,     0,     0,     0,
       0,     0,     0,  1426,     0,     0,  1217,     0,     0,  1425,
    1433,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1277,  1276,     0,     0,     0,     0,  1344,     0,   885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     191,   756,     0,   755,     0,   185,   190,     0,     0,     0,
       0,     0,     0,     0,     0,   244,  1479,  1485,  1760,  1760,
    1760,  2124,     0,     0,     0,     0,  1759,  2336,  2339,  1559,
    1565,  1558,  1557,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   423,   424,   426,     0,     0,     0,     0,   858,     0,
     861,   864,  1501,   506,     0,     0,   683,   716,     0,     0,
     482,   198,     0,     0,     0,     0,   771,     0,  1217,  1216,
     160,   151,   207,   480,     0,   206,   208,   210,   211,   212,
     209,   213,     0,   735,   739,     0,     0,     0,     0,   679,
       0,     0,     0,     0,     0,     0,     0,  1893,     0,     0,
     183,     0,     0,   630,   634,     0,  3405,     0,     0,   482,
     598,   388,  2576,     0,   559,     0,  2576,     0,   150,     0,
     845,     0,     0,     0,  1179,  1179,     0,     0,   785,   784,
       0,     0,     0,     0,  3427,     0,  3499,     0,     0,     0,
    1692,   158,  1177,     0,   163,     0,     0,     0,     0,   158,
    1985,  1984,  1935,  1931,     0,     0,     0,     0,   964,     0,
       0,     0,     0,     0,     0,  1953,   158,  1141,   197,  2459,
       0,   926,     0,     0,     0,     0,   158,  1245,   914,   158,
     193,   158,   158,   682,     0,   158,   195,     0,     0,   158,
     958,   158,  2427,     0,   158,  3784,  3790,  3788,  1616,  3873,
    3867,  3868,  2576,   559,  1697,  1593,  1020,  1027,  1009,  1026,
    1025,  1007,  1024,  1021,  3575,     0,     0,  3764,     0,  1038,
       0,   558,     0,     0,     0,     0,     0,  1059,  1060,     0,
       0,  1056,  1061,     0,  1063,  1047,  1049,  1057,  1058,  1064,
    1053,  1052,  1065,  1066,     0,     0,     0,  1078,   750,     0,
       0,     0,     0,  1651,     0,  1649,     0,  1871,  1653,  1642,
    3498,  1606,     0,  1604,     0,   623,  1268,  1267,  1269,     0,
    1035,     0,   158,     0,  1469,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2295,     0,  2296,     0,
       0,  2329,  2325,     0,     0,     0,     0,     0,  2302,  2303,
    2304,  2301,  2305,  2300,     0,     0,  2306,  2299,     0,     0,
    2380,  2397,     0,  2110,  2380,  2408,     0,  2407,  2413,     0,
    2286,  2014,     0,     0,  2404,  2398,     0,  2404,     0,     0,
    2387,     0,     0,     0,     0,  2187,     0,     0,     0,  2286,
    2289,     0,     0,  2824,     0,     0,     0,     0,  2082,     0,
       0,  2253,     0,  2286,     0,     0,     0,     0,     0,     0,
       0,  2282,  2321,     0,   520,     0,  2072,     0,     0,     0,
    2201,     0,  2198,     0,     0,     0,     0,  2342,     0,     0,
    2441,  2015,  2030,  2031,  2032,  2035,  2418,  2018,     0,  2344,
       0,     0,  2016,  2043,     0,  2322,  2068,     0,  2073,  2058,
    2388,  2307,  2308,  2309,  2310,  2075,     0,  2051,  2056,  2060,
       0,  2397,  2039,     0,  2036,     0,  2345,  2281,     0,  2279,
       0,  2027,  2028,  2029,  2021,  2022,  2023,  2024,  2025,  2026,
    2033,  2257,  2255,  2256,     0,     0,  2227,     0,     0,  2055,
       0,     0,  2126,  2569,  2606,     0,  1751,  1751,  1751,  1738,
    1749,  2417,     0,  1888,  1760,  3771,  3770,  2343,  1888,     0,
       0,     0,  2423,     0,     0,  2010,     0,   274,  1869,   966,
     967,   965,  1938,  1561,  1575,  1589,  2283,  1583,  1727,     0,
       0,  1563,  1587,     0,  1124,  1125,     0,  1129,  2824,  2701,
       0,     0,     0,     0,  1783,  1817,     0,  1808,     0,  1784,
    2433,  2434,  1785,  1788,  1789,  1779,  1818,  1655,     0,  1813,
    1711,  1710,     0,  1891,     0,     0,     0,  1633,  1621,     0,
       0,  1874,     0,  1823,  1659,     0,  2342,  1821,  3480,  3547,
    3485,  3515,  3476,  3518,     0,  3431,  3611,  3612,     0,  3602,
    3603,  3572,  3578,  3649,     0,  3763,     0,     0,  1384,  1278,
    1345,  1158,     0,  1955,  1169,     0,  1153,     0,  1152,  1955,
       0,  1170,     0,  1955,  1385,  1279,  1346,   962,  1386,  1280,
    1347,  1387,  1521,  1281,  1520,  1508,  1507,  1506,     0,     0,
       0,     0,     0,     0,     0,     0,   823,  2576,   158,  1535,
    1388,     0,  1282,   376,  1536,  1348,  1540,   841,   840,     0,
       0,  1349,     0,   692,   697,     0,   699,   700,  2499,  2558,
     701,   704,   705,     0,   707,   696,   695,     0,     0,     0,
       0,     0,   713,   715,     0,     0,     0,     0,     0,     0,
    1188,  1189,  1389,  1285,     0,  1350,     0,  1136,     0,  1286,
     199,     0,     0,   295,     0,  2576,   317,     0,     0,     0,
       0,     0,     0,     0,     0,   823,   504,   823,     0,  1336,
     314,   345,     0,   360,   355,   356,   354,  2576,   158,  2576,
     158,     0,     0,     0,     0,     0,   357,   352,   353,   349,
       0,     0,   362,  2471,  2540,  2715,     0,   724,   726,     0,
     731,   365,  1306,   384,   383,   382,     0,   370,     0,   389,
     392,     0,   367,   346,   344,   341,   310,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1238,     0,
    1392,  1351,     0,  1373,  1377,     0,     0,     0,   763,  1395,
    1292,  1354,     0,   559,     0,     0,   574,   574,   559,  1406,
    1293,   187,  1323,     0,     0,   172,     0,     0,     0,     0,
     166,   176,  1396,  1294,  1355,     0,     0,  1397,  1295,     0,
       0,   300,   633,   644,   650,  1300,   654,   651,  1363,   652,
    1404,  1296,     0,  1400,  1326,  1358,   402,   618,   401,  1217,
    1217,  1407,  1427,  1297,  1217,     0,  1334,     0,   289,   291,
       0,   155,     0,  1298,     0,  1356,  1399,  1325,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1543,     0,     0,
       0,     0,     0,     0,   158,     0,     0,     0,  1336,  2576,
     158,   883,  1398,     0,  1331,     0,  1371,     0,     0,     0,
     414,     0,  1324,  1334,     0,   302,  1302,     0,  1365,     0,
       0,   242,   241,   243,     0,     0,     0,     0,  2287,  2288,
       0,  2285,  2119,  2338,     0,  1553,   988,   974,   987,     0,
     970,  2538,     0,   973,   975,     0,     0,     0,   976,   980,
     981,     0,   972,   969,   971,     0,   425,     0,     0,   780,
     781,     0,     0,     0,     0,   860,     0,     0,  1533,     0,
     163,   690,     0,     0,     0,   685,   715,   720,     0,     0,
       0,     0,   481,   485,   489,   490,   491,     0,     0,     0,
       0,   177,   164,     0,   903,     0,   559,     0,   773,  1217,
    1410,     0,   207,   202,     0,     0,   736,     0,  1584,  2800,
       0,     0,   613,  2128,   616,  2129,  2130,   615,     0,   388,
     855,   853,   852,   854,   876,   851,     0,  1892,  1894,     0,
       0,     0,     0,     0,     0,     0,   484,     0,     0,   562,
       0,   601,     0,     0,     0,     0,   598,     0,     0,     0,
       0,   872,  3718,   844,     0,  1147,     0,  1165,  1148,     0,
       0,     0,     0,  1202,  1209,  1178,  1203,  1180,  1209,     0,
       0,   786,   790,   789,   793,   791,     0,   787,   664,  3425,
    3419,  1698,  1699,     0,  1235,     0,     0,  1529,     0,  1527,
       0,  1954,  1967,   925,     0,  1994,  1995,  1996,  1996,     0,
    1936,     0,  3856,  3864,  3863,     0,  1979,  1945,  1229,   158,
       0,   158,     0,   158,  1237,  1231,  1233,  1435,     0,   923,
       0,     0,   916,   918,     0,   920,     0,     0,  3574,  3760,
    1039,   561,     0,     0,     0,     0,     0,     0,  1055,   662,
    1062,     0,     0,     0,  1077,  1072,  1074,     0,  1089,  1083,
       0,   749,     0,     0,  1652,  1645,  1647,  1646,     0,     0,
    1643,  2292,   915,     0,   629,     0,  1089,  1080,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1756,
    2293,  2294,     0,     0,     0,  2326,     0,     0,  2163,     0,
    2134,  2136,  2149,     0,  2164,  2117,     0,  2379,  2376,     0,
       0,     0,  2380,  2387,  2183,     0,     0,     0,  2387,     0,
    2407,     0,     0,     0,  2178,  2180,     0,     0,     0,  2397,
    2397,     0,  2185,     0,     0,  2165,  2138,  2140,  2150,     0,
       0,  2273,     0,  2153,  2152,     0,  2084,  2085,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2099,  2154,  2252,     0,
       0,     0,  2156,  2155,     0,     0,  2320,     0,     0,     0,
    2161,   521,  2166,     0,     0,     0,     0,  2172,     0,  2209,
       0,     0,     0,  2107,  2283,     0,     0,     0,     0,     0,
       0,     0,  2390,  2391,  2392,  2389,     0,  2074,  2059,  2077,
    2053,  2057,  2061,     0,  2397,  2076,  2079,     0,     0,  2047,
       0,     0,  2045,  2069,  2041,     0,     0,  2070,     0,  2125,
       0,     0,     0,  2230,  2225,  2226,  1751,  1751,  1751,  1751,
    1748,     0,     0,     0,  2809,     0,  2701,  2843,     0,  1849,
    1822,  1824,  1834,  1849,  1856,  1849,  1849,  1886,  2424,     0,
    1793,     0,  1793,  3624,  3626,  3627,  3628,  3629,  3630,  3632,
    3633,  3635,  3636,  3637,  3625,  3631,  3634,  3638,  3615,  3616,
       0,  3606,  3607,   218,     0,   251,   238,  3649,  1560,  1728,
    1737,  1763,     0,  2274,  1129,     0,  1765,  1786,  1787,     0,
    1776,     0,  1815,  1773,  1656,  1640,     0,  1638,  1625,  1627,
    1626,     0,     0,  1628,  2342,     0,  1638,  1620,     0,  1664,
       0,     0,  1891,     0,  1663,     0,  3549,  3468,     0,     0,
    3648,  3651,  3663,  3660,  3478,     0,  1955,  1150,  1151,     0,
    1174,     0,  1094,  1095,     0,  1093,     0,     0,     0,   552,
     555,     0,  1538,     0,  1405,  1322,   694,     0,     0,     0,
       0,   709,   668,   710,   712,     0,     0,   711,   714,   717,
    1334,     0,   308,  1308,     0,  1369,  1182,     0,     0,  1139,
       0,     0,     0,     0,     0,  1110,   543,  1109,     0,     0,
       0,     0,   823,     0,     0,   547,     0,   503,   500,   340,
       0,     0,     0,     0,   163,     0,   319,   332,   395,   338,
       0,   372,     0,   343,     0,   336,   358,   350,   359,   351,
     371,   373,     0,   728,   729,   727,   723,     0,   730,   732,
       0,   386,     0,     0,     0,   404,   366,   403,     0,  1391,
       0,  1334,     0,   304,  1304,     0,  1367,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1372,
       0,     0,     0,     0,   768,     0,   765,     0,   574,     0,
    1419,     0,  1416,  1414,   574,     0,     0,   169,   168,     0,
     175,     0,     0,     0,     0,     0,     0,  1428,  1429,  1430,
       0,     0,     0,     0,     0,     0,   408,     0,   311,   313,
     312,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   415,   379,
       0,   879,     0,     0,     0,   417,     0,     0,  1383,     0,
       0,     0,     0,     0,  1390,  1287,  2122,  2123,  2120,  1760,
    2337,     0,     0,     0,   985,     0,     0,     0,     0,   428,
     429,   163,   427,   452,     0,   823,     0,     0,   857,   862,
     870,  2642,  2260,  2261,   868,   863,   865,   867,   866,   869,
       0,     0,     0,     0,   525,     0,     0,     0,   512,     0,
       0,   522,   505,   508,   509,     0,     0,   686,   689,   687,
     688,     0,   708,     0,   484,   532,   588,     0,   179,     0,
       0,   180,   178,     0,     0,   388,   770,     0,   767,  1409,
       0,   205,     0,   740,     0,     0,     0,     0,     0,  1217,
     678,     0,   875,   877,   849,     0,   720,     0,     0,   635,
       0,   559,  1617,   623,     0,   590,   484,   588,   597,     0,
       0,   605,   387,     0,     0,   623,   388,     0,     0,  1110,
     871,     0,     0,     0,  1146,     0,     0,     0,  1199,  1204,
    1200,     0,  1179,  1161,     0,  1201,     0,     0,  1207,  1132,
    1181,  1133,  1451,  1452,  1449,  1450,     0,     0,     0,     0,
       0,     0,  3442,  1688,  3452,     0,     0,  1525,     0,  1973,
       0,  1991,  1989,  1932,     0,  3545,     0,     0,     0,     0,
       0,  1937,   927,     0,   910,     0,   912,   158,   757,     0,
     158,     0,     0,     0,     0,     0,     0,     0,  1054,     0,
    1048,  1050,  1075,     0,     0,  1089,  1088,     0,  1079,  1087,
    1085,  1086,  1084,     0,     0,  1650,  1648,   621,     0,     0,
     158,  1089,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2297,     0,  2328,  2324,     0,  2131,  2298,  2378,
    2394,  2396,  2184,  2386,     0,     0,     0,  2409,     0,     0,
    2387,  2347,  2401,  2400,     0,     0,  2399,  2387,  2387,  2347,
    2186,  2347,     0,     0,     0,  2253,     0,     0,  2083,  2095,
    2096,  2097,  2313,     0,  2102,     0,  2092,  2093,  2094,  2086,
    2087,  2088,  2089,  2090,  2091,  2098,  2317,  2316,     0,     0,
    2158,  2159,  2160,  2319,  2167,     0,  2489,  2210,     0,  2171,
    2200,  2199,     0,     0,     0,  2174,     0,     0,  2196,     0,
    2254,  2442,  2017,     0,     0,  2044,  2323,  2062,     0,  2078,
    2080,  2040,  2273,     0,     0,     0,     0,     0,  2049,     0,
       0,  2250,     0,     0,     0,  2232,  2229,     0,     0,     0,
       0,  1742,  1741,  1747,     0,  1849,  1856,  1849,  1849,     0,
       0,  1713,     0,  1834,     0,  1848,  1832,  1847,     0,     0,
    1862,  1860,     0,  1862,     0,  1862,     0,  1826,     0,  1852,
    1828,  1847,  1830,  1836,     0,  1878,  2425,  1887,     0,  1806,
    2119,  1806,     0,     0,     0,  3647,     0,     0,  1764,  1127,
    1128,  1774,     0,  1777,     0,  1889,     0,  1639,     0,     0,
       0,  1630,  1636,  1618,     0,     0,     0,  1660,  1638,  1661,
    3484,     0,  3548,  3613,  3614,  1171,     0,     0,  1163,  1100,
    1101,  1104,  1102,  1099,  1103,     0,     0,     0,   823,   826,
       0,     0,     0,   824,   158,  1283,     0,     0,     0,     0,
     669,  1403,  1284,     0,     0,     0,     0,  1183,  1337,     0,
       0,  1307,   823,     0,     0,     0,   569,     0,  1123,  1123,
       0,   316,     0,   549,   610,     0,   502,   501,     0,   499,
     720,     0,     0,   323,   333,     0,   328,     0,  1335,     0,
       0,     0,     0,   327,   330,   329,   399,     0,   396,     0,
     158,   158,   374,   725,   385,   390,   391,   394,  1342,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   904,   887,     0,     0,   905,   906,     0,     0,
       0,  1240,  1241,  1239,  1374,  1375,  1381,  1378,  1376,  1380,
    1379,  1382,     0,  1290,     0,     0,   761,  1338,  1411,  1413,
    1412,     0,  1415,   173,   170,   171,   174,  1339,  1320,  1301,
    1364,   619,     0,     0,     0,  1299,     0,  1357,     0,  1316,
    1310,     0,     0,     0,     0,     0,  1402,  1330,  1362,  1401,
    1328,  1360,  1327,  1359,  1329,  1361,  1321,     0,     0,  1896,
     884,     0,     0,     0,   158,   158,   882,   759,  1303,     0,
    1366,  1312,     0,     0,     0,   977,     0,     0,     0,   979,
     433,   453,   163,     0,   779,   843,     0,     0,   859,     0,
     510,     0,   516,   523,     0,     0,   527,   528,   526,   511,
    1217,   559,  1217,   812,   813,     0,     0,   833,     0,   684,
       0,     0,   482,     0,   529,     0,     0,   486,   182,   181,
       0,     0,     0,   774,   778,   776,   775,   777,   772,     0,
     763,   207,  2576,     0,     0,     0,     0,   617,   611,   614,
    1424,   850,     0,  1895,   753,     0,   388,   631,  3407,     0,
       0,   482,   623,  3406,     0,   487,   492,   493,   506,     0,
     598,   589,     0,   590,   599,   600,     0,   607,  1499,     0,
     624,   607,     0,     0,     0,   873,     0,   874,     0,  1149,
    1166,  1167,     0,     0,  1209,     0,     0,  1211,  1206,     0,
       0,   792,   795,   788,   671,     0,  3415,   158,     0,  1528,
    1933,  3857,     0,  3858,  3859,  3860,  3861,  3862,   158,   158,
    1266,     0,   921,  1069,  1070,  1071,  1068,  1067,   663,     0,
    1073,  1032,  1082,   751,     0,   622,     0,  1033,   158,  1002,
     994,  1001,   990,   993,   995,     0,   997,   998,   992,   989,
     991,  2327,  2148,     0,  2393,  2395,  2182,  2406,  2405,  2181,
    2412,     0,     0,  2375,  2403,  2402,     0,     0,  2387,  2387,
    2151,  2162,     0,  2252,  2283,     0,     0,  2103,     0,     0,
       0,  2157,  2833,     0,     0,  2214,  2215,     0,  2211,  2212,
    2207,  2208,  2173,     0,  2630,  2191,     0,     0,  2206,  2066,
    2064,  2063,  2048,     0,     0,  2046,  2042,     0,  2071,  2216,
    2249,  2283,  2218,     0,  1760,  1746,  1745,  1744,  1743,     0,
    1833,  1829,  1831,  1837,     0,  2838,     0,  1838,  1845,     0,
    1825,     0,  1861,  1857,     0,  1858,     0,     0,  1859,     0,
       0,  1827,     0,  1845,     0,  1885,  1754,     0,  2221,  2439,
    2221,  3617,     0,  3620,  3618,  3619,  3623,   252,  1732,     0,
    1775,     0,  3872,  1622,     0,  1623,  1629,     0,     0,     0,
       0,     0,  1665,  1658,  3550,  1164,  1172,     0,     0,     0,
     554,   828,   827,   830,   825,   829,  1539,     0,   702,   703,
     706,  1309,     0,  1370,  1318,     0,  1654,   545,   318,     0,
     564,     0,     0,     0,  1116,   153,  1115,     0,   564,   564,
     498,   497,   506,   326,     0,     0,     0,   320,   398,     0,
     400,   321,   325,   379,   342,   335,     0,     0,     0,  1305,
       0,  1368,  1314,  1341,  1393,  1288,  1352,     0,     0,   893,
       0,     0,     0,     0,  1394,  1289,  1353,     0,     0,     0,
       0,     0,  1654,     0,     0,     0,     0,     0,     0,     0,
       0,  1548,     0,     0,   378,   881,   880,   379,   416,  1332,
       0,  2121,     0,   978,   983,   984,   982,     0,   422,   430,
     433,     0,     0,  1257,  1257,     0,     0,   507,   524,     0,
     609,   568,   609,     0,     0,     0,     0,     0,   721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   766,
     765,   204,     0,   482,     0,   720,     0,   878,     0,     0,
       0,     0,   484,     0,     0,  3866,   483,     0,     0,   495,
       0,   601,   590,   598,     0,     0,   620,     0,  1492,     0,
     626,     0,     0,     0,   822,  1205,     0,  1219,     0,  1160,
    1130,  1214,     0,  1737,  1888,     0,     0,     0,     0,   805,
       0,   675,  3441,  3445,  1258,  1526,  3865,   911,   913,   758,
    1076,     0,  1089,  1081,   996,  2377,  2411,  2346,  2348,     0,
       0,  2369,  2362,  2365,  2363,  2364,  2366,     0,  2361,     0,
    2179,  2410,  2359,  2373,  2312,  2254,  2100,     0,  2315,  2314,
    2318,     0,  2168,     0,  2169,  2213,  2175,  2192,     0,  2176,
    2204,     0,     0,  2067,  2065,  2050,  2251,     0,  2236,     0,
    1881,     0,  1884,     0,     0,  1835,     0,     0,  1839,     0,
       0,  1841,  1843,     0,     0,     0,     0,     0,     0,  2428,
       0,  1805,     0,  1715,  1714,  3622,  3621,     0,  1735,  2275,
    1890,  1637,     0,     0,     0,  1111,     0,     0,  1638,  1667,
    1679,  1679,  1662,  1077,     0,   158,   698,     0,     0,   297,
    1123,     0,  1217,   570,  2642,   571,  1122,  1126,   152,     0,
    1217,  1217,   494,     0,   324,   334,     0,   381,   393,     0,
    1654,     0,     0,   891,   900,   900,   888,     0,     0,   907,
    1291,   762,     0,   573,     0,   292,  1317,  1311,     0,     0,
       0,  1550,  1551,     0,     0,     0,     0,     0,  1340,   158,
    1313,   986,     0,   455,   463,   434,   438,  1542,     0,  1542,
       0,   435,   439,  1542,  1542,   432,  1888,   451,  1257,     0,
    1254,  1253,   557,   637,     0,     0,   514,     0,   579,   513,
       0,   834,     0,     0,   719,     0,   484,   588,     0,   542,
     533,   534,   535,   536,   538,   537,   539,   540,   541,   531,
     530,     0,   720,   897,   388,  1499,   760,     0,     0,   733,
       0,   720,     0,  1617,   623,   590,   484,   588,  1614,   488,
     506,     0,   605,   598,   601,     0,   602,     0,   606,     0,
       0,     0,   623,  1552,  1110,     0,     0,   823,  1218,  1179,
       0,     0,  1208,  1212,  1213,     0,     0,     0,     0,  1261,
     799,   800,   794,   796,     0,   807,   811,   670,     0,     0,
     674,   665,     0,  3443,   720,   158,     0,     0,  2360,  2367,
    2368,     0,  2189,     0,     0,  2385,     0,     0,     0,  2101,
       0,     0,  2194,  2193,  2205,  2177,  2231,     0,     0,     0,
       0,  1917,  1886,     0,     0,  1880,     0,     0,  1911,     0,
       0,     0,  1846,  1864,     0,  1842,  1840,     0,  1853,     0,
    1855,  2518,  2796,  2698,     0,  1792,  1794,  1797,  1799,  1798,
    1800,  1796,  2220,  2222,     0,     0,     0,     0,  1726,     0,
    1635,  1888,     0,  1632,     0,  1674,     0,  1666,  1668,     0,
       0,     0,  1096,     0,  1097,  1319,     0,  1117,     0,   609,
       0,  1129,  1126,   559,   609,   609,   637,     0,     0,   337,
       0,   305,  1315,     0,     0,   902,   902,     0,     0,     0,
       0,     0,     0,   410,     0,     0,  1544,     0,  1545,  1546,
    1549,   418,   431,     0,   461,   460,     0,   458,   457,   459,
       0,   448,     0,     0,     0,     0,     0,     0,   421,  1252,
    1256,  1255,     0,   515,     0,   517,     0,     0,   565,   566,
     567,     0,   519,   575,   576,   831,     0,   836,     0,   722,
       0,     0,   720,   587,   744,     0,     0,     0,  1493,     0,
       0,   612,   754,  1499,   623,  3408,   598,     0,   590,   496,
       0,   607,   601,   605,   603,   604,     0,  1496,     0,   625,
       0,  1119,   821,     0,  1209,  1220,  1215,  1210,  1455,     0,
       0,   797,   802,   801,  1542,   806,     0,     0,     0,   673,
     672,  3446,  3448,  3447,     0,   748,  1034,  2349,  2350,  2374,
       0,     0,     0,  2353,     0,  2351,     0,     0,  2373,     0,
    2190,  2311,  2197,  2170,  2195,  2784,     0,  2756,     0,  2248,
    2237,  2248,  2248,  2228,     0,  2347,  1879,  1882,     0,  1914,
       0,     0,     0,     0,  1899,     0,  1844,     0,     0,  1854,
       0,     0,     0,  1801,     0,     0,     0,     0,     0,     0,
    1624,  1634,  1112,     0,  1676,  1678,     0,     0,     0,  1654,
       0,   574,     0,  1113,  1129,   568,   823,   823,   331,   322,
     380,     0,     0,     0,   898,   901,   889,   890,   909,   908,
     764,  1654,     0,   406,   405,     0,   409,     0,   456,   466,
       0,   464,   436,   441,     0,   447,   446,   443,   442,   437,
     440,   556,     0,     0,     0,     0,     0,     0,   577,     0,
     578,     0,   835,     0,     0,     0,   746,   896,     0,     0,
     482,   720,  1494,  3866,   601,   590,   598,     0,     0,   592,
    1123,  1123,   469,   605,   607,  1497,  1498,     0,     0,   522,
       0,  1131,  1454,  1453,  1737,     0,     0,     0,   808,   809,
     804,     0,     0,  3444,  2354,     0,  2357,     0,  2358,  2352,
    2382,  2384,     0,  2370,  2371,     0,  2241,  2240,  2239,  2243,
    2242,     0,  2235,  2233,  2234,  1916,     0,     0,     0,  1912,
    1913,  1897,     0,     0,  1901,  1851,  1877,     0,     0,     0,
    1795,  2223,  2224,     0,     0,     0,  1888,     0,  1681,     0,
       0,  1669,  1670,     0,     0,  1671,   158,   298,   563,   823,
     572,  1114,   579,   548,   546,  1654,   892,     0,   293,     0,
     411,  1547,   462,     0,   445,   444,   636,   518,   608,   584,
       0,   583,     0,   581,   580,   832,   837,     0,   720,   886,
    1499,   734,  1615,   605,   598,   601,     0,   591,     0,   153,
     153,   607,   467,     0,     0,   388,     0,  1437,  1737,  1436,
    1438,  1446,  1443,  1445,  1444,  1442,     0,  1264,  1265,   798,
     803,     0,     0,  2355,  2356,     0,     0,  2188,     0,     0,
       0,  2245,     0,  2246,     0,  1883,     0,  1900,  1903,     0,
       0,  1909,     0,  1902,  1904,     0,     0,  1863,     0,  1875,
    1803,     0,  1802,     0,     0,     0,  1631,  1675,  1677,  1672,
       0,  1673,     0,     0,     0,     0,  1682,  1098,   550,   823,
     306,   899,     0,   465,   582,   559,   559,   720,   745,  1495,
     607,   601,   605,  1123,   593,   595,   594,   471,  1119,  1120,
       0,   607,   811,     0,  1447,  1441,  1713,  1700,     0,     0,
     810,     0,     0,     0,     0,  2238,  2244,  2247,     0,     0,
    1907,  1908,  1910,  1905,  1906,  1850,     0,  1804,     0,     0,
       0,     0,  1680,  1686,     0,     0,     0,   551,     0,   586,
     585,   747,   470,   605,   607,   153,   522,  1118,     0,  1888,
       0,  1439,  1737,     0,     0,   816,  2381,  2383,  2372,  2623,
       0,  1918,     0,     0,     0,  1731,  1730,  2800,     0,     0,
    1734,     0,     0,     0,   407,   607,   468,   596,   388,  1121,
    1105,     0,  1440,     0,     0,     0,   814,   817,   820,   818,
     819,  1926,     0,  2375,     0,     0,  1929,     0,  1876,     0,
       0,  1683,  1687,     0,  1684,   472,   607,     0,     0,     0,
     782,     0,     0,     0,  1919,  1920,  1929,     0,  2359,  1929,
    1898,  1760,     0,     0,  1888,     0,     0,     0,   815,     0,
       0,  1915,  2375,  1928,  2385,  2359,     0,     0,     0,  1106,
     816,  1262,  1263,     0,     0,  1923,  2373,  2385,     0,  1733,
    1685,     0,     0,     0,  1921,  2373,   783,     0,  1924,  1922,
       0,  1925
};

  /* YYPGOTO[NTERM-NUM].  */
static const int yypgoto[] =
{
   -6472, -6472,  5068,  -737, -2084, -5688, -1571,  3887, -6472, -6472,
   -1353,    19,  3154, -2855, -6472, -6472, -6472,  1381, -6472, -6472,
   -6472, -6472,  4007, -6472, -3424, -6472, -6472,   114,  3967, -1854,
      70,  3493,  1393, -6472, -1404, -6472, -6472, -1006,   -70, -6472,
    3980,   376, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -1261,  1898, -6472,  1989,  1206, -4721, -6472, -6472, -2046, -4338,
   -6472,   424, -6472,   453, -4652, -6472, -5391, -1301, -6472, -6472,
   -6472,  1886, -6472, -6472, -6472,  1834,  1000,  -640, -6472, -6472,
   -6472, -6472, -6472, -6472, -1108, -6472, -6472, -1427,   -66, -1017,
   -3481, -4875, -6472, -6472,   280,  -679, -2008, -6472,   478, -6472,
     483, -6472, -5402, -6472,  -252, -3281, -4271, -6472, -6472, -6472,
    -651, -2026,  1249, -6472,  1310, -6472, -1128, -1643,  1679, -2572,
   -1255, -6472,  -540, -4139, -1400, -1121, -1118, -1290, -4899, -5454,
   -6472, -6472, -1431, -4283, -5805, -6029, -5509, -5462,  1258, -6472,
    -273,   289, -6472, -4168, -4929,   -65,   262, -6472,   -64,   -62,
   -6472,   282, -1047, -1383, -2127, -6472,  -736, -6472, -6472, -6472,
   -3995, -6472, -6472, -6472,    83, -6472, -6472, -6472, -6472,   323,
   -6472, -6472, -6472, -6472, -6472, -6472, -3679,  1858,  1867, -6472,
   -4932, -6472, -1334, -6472,   485, -3991,  1241, -6472, -6472,  1001,
    4042,   309, -6472, -6472, -6472, -6472, -6472, -6472, -2221, -6472,
   -6472, -6472, -6472,  -247,  -615, -6472, -6472, -6472, -6472, -6472,
   -6472, -6472,   -59, -6472,   963,   246, -6472, -6472,  -922, -6472,
   -6472, -6472, -6472, -6472, -6472, -1494, -5773, -1629, -1599, -6472,
   -4046, -6472, -6472, -6472,  -591, -6472, -6472, -6472, -6472, -6472,
   -1386, -6472,  1058, -4685, -6472, -6472,   290, -6472, -6472, -6472,
   -6472, -6472, -1263,  -533,  3169, -6472,  -787, -1024, -6472, -6472,
   -6472,  -530, -6472, -6472, -6472, -6472, -6472,  -810, -1706,  5344,
    4461, -1561, 14130, -1281,  -896, -6472, -6472, -6472, -3356, -6472,
   -6472, -4912, -6472,  5334,   140,  -376,   -57, -6472,  -120,   -18,
    3781, -6472,   901, -1628, -3675,   229,  -739, -6472, -6472, -6472,
     230, -6472, -2448, -6472, -6472, -6472, -6472, -4666,   -56, -6472,
   -4915, -5781, -5197, -4705, -1462, -6472, -4872, -5734, -4655, -6472,
    1901, -6472, -6472,  -879,  -905,  3144, -6472, -1989,  2241, -1891,
   -6472, -3105,   313,  1415,  3153, -3762,  -846,  3137, -3532, -6472,
   -1051,   997, -6472,  -612, -4368, -6472, -6472, -6472, -3301,  -866,
   -6472, -6472,  1487, -1524, -6472, -6472, -6472, -6472, -1005,  3090,
    -924, -6472, -6472,  4423, -6472, -5555, -6472,  4391, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472, -6472, -1968,  1167, -6472,
   -1216, -6472, -6472,  1998,   522, -6472, -6472, -6472, -6472,  1259,
     -50, -6472, -6472, -6472, -6472, -6472, -6472, -6472, -1239, -1486,
   -6472, -6472, -4957, -6472, -6472, -6472, -6472, -6472,  2617, -1347,
   -1124,  4272,   822,   -54, -5907, -6472, -6472, -1525, -6472,  3478,
   -6472, -6472, -6472, -6472, -6472,   315,   303, -6472, -6472, -6472,
   -6472, -4917, -6472, -6472, -5611, -6472, -6472,  1981, -6472, -6472,
    1250,   -72,  3272, -6472, -6472, -6472,  -103, -6472, -6472, -1411,
    2369, -6472, -2851, -6472,  -918, -6472, -6472, -2383,   -53, -4893,
     -55, -6472, -6472, -5652, -1398,    79, -6472, -6472, -4630,   -48,
   -6472, -6472, -6472, -6472, -5655, -6472,   -42, -6164,   679, -3833,
   -6472,   -67, -6472,  -686, -6472, -6472,  -688, -6472, -6472, -6472,
   -4399,   -52,    14,  3878,  1810,   -47,  2261,  -160,  -104,   -88,
     -63,   102,  3627, -6472, -6472, -6472, -4920,  3675, -6472,   -95,
   -1213, -6472, -6472, -1269,  -246,   238,  1536,  -962,  2349,  3614,
    3621, -6472,  1523,  2378, -2880, -2875, -6472,   753, -1252, -1107,
   -6472, -6472, -6472, -6472,   118,  -961,  2361, -6472,  3622, -6472,
   -6472, -6472, -2805, -3897, -3883,   774, -4514, -4443, -6472,   159,
     139, -1719,  -638,  -128, -1947, -1164,  1760, -6472, -6472,   782,
    -864, -6472, -6472,  -862, -3880,   709, -6472, -5591, -3316,   787,
   -1450, -1228, -6472, -1338, -6472, -1075,   792, -6472, -6471, -1476,
   -6472, -4059,  4832, -2180, -1510, -6472, -6472, -1463, 19847, -6472,
   -6472, -6472, 25494, 28121, -6472, -6472, 30495, 31162, -6472, -1242,
   31896, 12461, -1475, -1471, -1179, 32401, 34996, -2444,  2663,   -79,
   -6472, -3521, -3510, -6472, -6472, -6472,  -590,   852,   439, -6472,
   -6472, -5606, -5003, -6472,  2500,  -336, -6472, -1078,  1622, -1074,
   -6472, -6472, -6472, -2894, -6094, -3028,  2509, -6472, -6472, -6472,
    -813, -6472, 34543, -3725, -6472,  -790, -1415, -2091,  3012, -3436,
   -2399, -6472, -6472, -6472, -3618, -6472, -6472, -6472,  -875,  1648,
   -6472, -6472,  1787, -6472, -6472, -6472, -1361,  2062, -1161, -3603,
    1663, -5073, -6472,  -795, -4520, -5590, -6472, -6186, -5807, -2381,
   -1444, -3530, -4342, -2451,  1677, -3634, -6472, -2406,  1758,   956,
   -6472, -3094, -6472, -6472, -1169,  2531, -1163, 24968,  -949, 23271,
   -1783, -6472,  8738, -6404,  1940,   -83,  -781,  6595, -1045,  -974,
   -6472,  8068,  9373,  7364, -4201, -6472, -6472, -6472,   -44, -6472,
   -6472, -6472, -6472,  4904,  1091, -6472,  4077, -6472,  1960,  3262,
   -6472, -6472,  2407,  -992,   -40, -6472,  -988, -6472,   -87, -6472,
   -6472, -6472, -6472,  1228,   840,  -986,  5483, -6472, -6472, -6472,
   -6472, -6472, -6472,  3673, -6472, -6472, -1683, -6472, -6472, -6472,
   -6472, -6472,  5304,  -267, -6472,  4495,  -262, -6472, -6472, -6472,
   -6472, -6472, -6472, -6472, -6472, -6472,  3680,  2423, -6472,  4292,
   -6472, -6472, -6472,    67,  3931, -6472, -6472, -6472,  -655,  -917,
    4313,  4317,  2401, -6472, -6472, -6472, -6472, -6472, -6472, -6472,
   -6472,  2418, -6472, -6472,  1653, -2972,  2421, -6472, -6472,   777,
   -6472, -6472,   206, -6472,   780, -6472,  3797, -6472, -6472, -6472,
     832, -6472, -6472, -6472,  -550, 26125,   328,   486,   427,  2503,
   -6472, 17934, 14816,   -75,  -941, 12842, 30405,   301, -6472,  5303,
    2420,  1916, -1167, -6472,  8775,  3171, 11754, -6472, -1147,   143,
      -2, -1141,  2530,  -729, -1343,  4011,  -793, -2356, -6472,  5643,
   -6472, -4234, -5771, -1234,  -266,  4496, -1378
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   163,   164,  1496,  1501,  2331,  2357,   165,   166,
    2133,  3571,  3424,  4421,  4422,   167,   168,  2129,   169,   170,
     171,   172,  2047,   173,  2303,  3585,   174,  3259,  1232,  1233,
    1234,  3112,  3113,  3516,  3114,  3101,  1867,  2249,  2069,  1197,
    1198,  2028,  2070,   176,   177,  1861,  3093,   178,   179,   180,
    2100,  2192,  2101,  2102,  2041,  5619,  6479,  4207,  3381,  4473,
    4208,  4209,  4927,  4928,  4287,  4956,  5018,  6493,  6494,   181,
    2208,  2209,   182,   183,  3553,  4387,  5071,  6028,  6029,  6285,
    1015,  5642,  5643,  6272,  6273,  6508,  6690,  6691,  3586,  1046,
    4468,  5155,  4412,  5714,  4413,  5715,  4414,  5716,  5509,  5510,
    4917,  4918,  4398,  5102,  5103,  2566,  5655,  5104,  4415,  5674,
    6319,  4416,  3347,  3274,  3275,  6523,  3620,  2478,  2476,  6222,
    6298,  5495,  5496,  4992,  6532,  6533,  6534,  6833,  5676,  5720,
    5721,  6728,  6729,  4471,  5161,  5727,  6086,  6296,  4165,   185,
    4441,  4442,   186,  2325,  4594,  1129,  3623,  1047,  1130,  3587,
     190,  3613,  6525,  3614,  2161,  3438,  5084,  4570,   191,  1524,
    4881,  6111,  6380,  6381,  1114,   192,  2311,   193,   194,  3566,
    4405,   195,  3292,  4113,   196,   197,  4132,  4133,  4134,   198,
    5112,  6047,  2103,  4196,  4197,  4198,  4199,  4948,   199,  2306,
    3594,  3595,   200,   201,   202,  3760,  3761,   203,  3502,   204,
     205,   206,   207,  4986,  5576,  5690,  4238,  4428,  5128,  5688,
     208,  4391,  3588,  3641,  4506,  4507,  6109,  6372,  6373,  6374,
    6584,  6869,  6376,  6586,  6750,  6588,  5665,  7025,  7026,  6357,
    4870,  5473,   210,  5666,  5667,  6538,   211,  3290,   212,   213,
    2280,  3559,  3560,  5085,  3630,  4480,  4481,  5141,  5142,   214,
    4327,   215,  5552,  5553,  1048,  6546,  6485,  6676,   216,   217,
    5556,  5557,   218,   219,   220,   221,   222,  1115,  1459,  1460,
    1117,  1628,  1629,  4073,  1572,   223,  3124,   224,  4367,   225,
    1728,  5790,   226,  1154,  1655,  1656,  3589,   228,  1166,  3780,
    1168,  3744,  3745,  2494,  4574,  4575,  5245,   229,   230,  4578,
    4579,  5252,  3757,   231,  2034,  3269,  3270,  5465,  3590,  1049,
    4159,  6204,  5954,  6205,  6739,  6940,  5955,  3997,  4816,   233,
    1050,  2075,  3331,  1596,  1597,  3634,  4486,  3237,  3238,  2232,
    5182,  3240,  4488,  3241,  2007,  3242,  1543,  1544,  4494,  4495,
    4496,  4497,  5178,  5188,  5189,  6103,  6365,  5185,  2299,  6097,
    6098,   234,  2072,  3328,   235,   236,   237,  2112,  1382,  1606,
    1607,   238,  1076,  1077,   239,  6290,   240,  1546,   241,  6107,
     242,   243,  1713,  1714,  1187,   244,   245,  3351,  4930,   246,
    2073,   247,   248,  4232,  4233,  5568,   249,   250,   251,  3410,
    3411,   252,   253,   254,   255,   256,  6859,  6943,  6944,  6945,
    5196,  6744,   257,  1699,   258,   259,   260,   261,   994,  1424,
    1425,  1426,  1343,  3591,  6088,   263,   264,  2029,  2030,  2031,
    2032,  3264,   265,   266,   267,  4518,  4519,   268,   269,   270,
     271,  2283,   272,   273,  6263,   274,   275,  2253,   276,   277,
    1433,  1434,  1435,  1436,  2251,  3985,  1009,  1253,  1894,  1900,
    1904,  1905,  1906,   279,  1132,   280,  1704,  1464,  1133,  1648,
    1134,  3183,  4027,  4831,  4832,  4833,  4836,  5919,  5437,  1135,
    4023,   284,  2501,  3766,  3769,  4019,  1136,  4033,  4034,  4035,
    4840,  1137,  6208,  6209,  6210,  6211,  6460,  6801,  6802,  6805,
    6916,  1138,  1156,  1535,  3649,  1139,  1813,   290,   291,   292,
    1262,  1256,  1257,  3990,  6198,  6448,   294,  3070,  3959,  1176,
    1910,  1216,  1217,  1270,  3526,  3149,  3150,  3174,  3175,  1919,
    1920,  3162,  3166,  3167,  4009,  4003,  3155,  5419,  6435,  6436,
    6437,  6438,  6439,  6440,  5898,  3170,  3171,  1922,  1923,  1924,
    3179,   295,  3963,  4770,  4771,  4772,  5395,  5396,  6897,  5410,
    5406,  5883,  6181,  4773,  1243,  1693,  1931,  5891,  6899,  4774,
    6170,  6171,  6415,  5415,  4780,  4827,  4456,  4457,  4458,  4775,
    6633,  6634,  6893,  6894,  6417,  6418,  4776,  6625,  7000,  7001,
    7032,  7058,  3243,  2387,  1574,  1814,  1575,  2395,  1815,  2371,
    1577,  1816,  1817,  1818,  1580,  1819,  1820,  1821,  1583,  2363,
    1822,  1823,  2381,   950,   951,  1824,  1895,  6419,  1826,  1827,
    1828,  4777,  1829,  5348,  5847,  5833,  3881,  3882,  3109,  6162,
    5344,  4705,  5338,  3063,  3067,  6193,  6442,  6443,  3952,  4754,
    5375,  5864,  6410,  6619,  6620,  6772,  1830,  1831,  1832,  3944,
    3056,  1385,  1833,  5087,  3058,  3872,  3850,  2235,  3851,  2508,
    2529,  3799,  3814,  3815,  3920,  3852,  3860,  3865,  3873,  3906,
    1834,  3801,  3802,  4616,  2531,  1835,  1430,  2238,  1431,  3078,
    3901,  5813,  6127,  6128,  6395,  6396,  6138,  6397,  6139,  6129,
    4627,  4628,  6608,  3826,  3921,  4631,  3834,  3835,  4649,  4638,
    3827,  1836,  4640,  1851,  1837,  1838,  2495,  1244,  6177,   825,
    2240,  1173,  1839,  1840,  1841,  1339,   746,  1599,  1600,   748,
    3059,   809,   810,   997,   924,  3060,     2,    70,  1140,  4465,
    6071,   297,   298,  1052,  1053,  1054,  1526,  1527,  2341,  2344,
    1946,  3202,   752,   753,   826,  5756,  6112,  6383,  1123,   299,
     300,   301,   302,   303,  1340,  2000,   952,    71,    79,    72,
    1296,   337,   338,  3195,   304,   942,   305,  1934,  1285,  4846,
     306,   307,   308,   309,   310,  1120,   311,  1287,   312,  1288,
     313,   314,   315,   316,  1295,   317,  1936,  1937,  5452,  1938,
     318,   319,   812,   813,  1646,   320,   321,  1312,  2445,  1314,
    1675,  1952,  1966,  1967,  1968,   322,   760,   323,   324,   325,
    1958,  1959,   326,  3086,  3087,  3207,  3088,   327,  4046,  4047,
     328,  4798,  4799,  5904,  4800,   329,  3082,   330,   331,  1247,
    4851,   332,   938,   333,  1326,   814,   815,   816,   999,   928,
    1202,   817,  1001,  4200,   930,   818,   819,   820,  2470,    73,
    4054,  2471,  1843,   827,  1844,  3076,  1845,  1846,  1847,  1848,
    1849,  1850,   822,  1302,  1638,  1639,  4055,  1641,    77,  1642,
     334,  4535,  2446,  1676,  3710,  2456,  2457
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      75,   278,  1261,   175,  1925,  1884,   286,   184,   187,   188,
     293,   189,  2234,   929,   209,  2160,   227,   232,   282,   262,
     281,   287,  1207,  1242,  1490,   283,   288,   995,  1063,   296,
    1069,   285,  2248,  3451,  1437,  1684,  1685,  1686,  2475,  1282,
    2403,  1690,  1158,   811,  1283,  1271,  1383,   929,  1852,  1183,
    1158,  3375,  1131,  1612,  1911,  3346,  1913,  2377,  1246,  1862,
    1356,   293,  2213,  4164,   811,  2165,  2013,  1625,  1389,  1537,
    2242,  1394,  3782,  3345,  1055,  1062,  4444,  1068,  2226,   756,
     929,  1690,  1890,  1062,  1889,  3332,  3707,  4445,  4782,  4411,
    2308,  2367,  2368,  2519,  3833,  2383,  1062,  3608,   824,  1310,
     829,  1538,  2376,  4498,  2293,  1876,  4596,  1649,  4993,  1167,
    1344,  5140,  1056,  3969,  2393,  3239,  3857,  1078,  3358,  4915,
    2317,  4919,  1006,  2281,  1208,  4825,  3773,  2286,  3798,  1174,
    5191,  1066,  2290,  4066,  4068,  2511,  4887,  2159,  3520,  2513,
    3837,  2300,  2514,  2515,  1969,    74,  2191,  4838,  2104,  3481,
    3482,  1988,  1990,  1991,  1437,  2320,  2218,  1384,  4433,  5428,
    3821,  3825,  3828,  3829,  1971,  4292,  3838,  1631,  3840,  3841,
    1974,   992,  4324,  2122,  1313,  1265,  3412,  3412,  2139,  4370,
    3412,  4373,  4374,  3239,   991,  1360,  4378,  4379,  4380,  1273,
    4382,  4383,  4384,  5166,  1392,  2361,  5088,  3663,  2076,  4839,
    1458,  5467,  4943,  5497,  4945,  1274,  5443,  3697,  1414,  1651,
    3323,  1196,  1437,  1338,  5704,  1622,  1384,  1610,  1239,  1869,
    1614,  3477,  6090,  6137,  5713,   278,  5818,   175,  5819,  3249,
     286,   184,   187,   188,   293,   189,  5730,  1674,   209,  5673,
     227,   232,   282,   262,   281,   287,  1485,  3627,  3509,   283,
     288,  1538,  1494,   296,  5734,   285,  3196,  3196,  5723,  5712,
    5409,  1231,  6202,  1259,  1508,  1155,  3323,  6227,  5536,  6083,
    6174,  4814,  6302,  1155,  3968,  3983,  6342,  4430,  1437,  1889,
    1384,  5722,  6051,  3323,  4713,  4012,  2462,  4736,  2367,  2368,
    1437,  6219,  4015,  3991,  4633,  5150,  2441,  5214,  4733,  1301,
    4855,  6186,  5956,  6188,  6338,  2071,  1891,  2394,  1918,  1921,
    2364,  2365,  6355,  6561,  1948,  1949,  6079,  1305,  2383,  2376,
    1961,  4850,  2375,  3084,    39, -2432,  1640,  4669,  1338,  1530,
    5407,  6082,  5412,  5413,  5838, -3721,  4635, -1996,  2071,  2316,
   -1955,  3303,  2273,  2071, -3721, -3721, -1988,  6255, -1968, -1993,
    3412,  5792,  5793,  5794,  5591,  5796,  5797,  5798,  5799,  5800,
   -3722, -2013, -3719, -1983, -3718,  1961,   340,  6604,  3122, -3722,
   -3722, -3719, -3719, -3718, -3718,  5683,  6600,   340,    39,  1013,
      39,    39,    38,    39, -2849,  1730,  1731, -1996,    40,   932,
    1327,  1951,  1954, -2849, -2849, -2431,    39,    39,  6265,  6266,
    2587,   340,   993,  4646,  2354,  1342,    38,    39,  3494,  1730,
    1731,  3899,    40,  3605,  2447,   340,   925,  6755,  6548,  6484,
      38,  1878,  6762,   932,   340,  6757,    40,  6601,  2468,  3349,
    2035,  3778,  3129,  4844,  3755,    40, -1927,  3337,  1866, -2258,
    4614,  3475,  1204,  1722, -3440,  1338, -2258,  5186,  1204,  1204,
     925,  2297,  4445,  1251,  4888,   340,   932,  2354,  3739,  1315,
      38,    39,  1538,  3068,  1896,  3131,    40,    39,  5176,    35,
     340,  5684,  1941,    37,  2295,    38,    39,   340,   758,  6291,
    4401,    40,  3551,   925,  4646,   340,  -163,  5737,    40,  6796,
    1855,  -163,  2499,  6471,  3276, -2622,  3146,  -163,  2364,  2365,
    3488,  3261,  2354,  4446,  5953,  3491,  5602,  5917,  2354,  6402,
    4213,  2565,  4445,  1986,  2354,   927,  1914,  2354,  4905,  2587,
    4445,  6765,  3277,  4389,  6378,  1517,  2264,  7043,  2242,  2226,
    2354,  3899,  2223,  3941,  6734,  2375, -1789,  1680,  3341,  6563,
    3942,  4820,  2260,  6218,  4286,  2036,  2265,  2346,  2266,   927,
      35,  3129,  5835,  5934,    37,  5554,  3397,    39,  3758,  1214,
    6232,  4351,  5685,  2411,  4088,  6641,  7009,  2056,  3318,  4260,
    2587,  2354,  1688,  4236,   926,  3091, -2277,  3994,  5962,  1007,
    6299,  1007,   927, -2277,  3131,  6481,  4318,  3349,  4829,  3075,
    3099,  1987,    87,  2587,  4402,  2255,  6429,  3405,    88,    89,
    5621,  2043,  3129,  3071,  1916,    92,    93,     3,   926,  4669,
      38,    94,  4636,  7093,  3429,  4598,    40,  3071,  3606,  3962,
      95,  4319,    96,  5622,    97,  3129,  7100,  4830,  6343,  2105,
      99,  1008,  3349,  1264,  3435,  3131,  7062,  1384,   340,  3349,
    3349,   926,  3280,  2496,  3123,  4322,  6722,  3118,  3119,  3092,
    4260,  5012,  2582,  4237,  1055,  1917,  4089,    87,  3131,  3759,
    2510,  1702,  1689,    88,    89,  1215,  3808,  3319,  3995,  5836,
      92,    93,  1308,  1309,  4669,  1329,    94,  2520,  2401,  4647,
    1283,  3074,  6914,  4163,  3349,    95,  5555,    96,  5137,    97,
    1879,  1561,  1056, -3440,  3278,    99,  2540,  6293,  6330,  3349,
    2250,  3398,  3376,  5603,  6851,  2278,  4722,  3376,  3343,  3349,
    5077,  6379,   947,  2355,  2505,  2242,  2044, -1789,  2224,  1062,
    1062,  2524,  4821,  1316,  3755,  1681,  3100,  4888,  3755,  2037,
    6403,   953,  5918,  6519,   759,  2451,  1942,  6798,  6664,  4214,
    5686,  3418,  1674,  3740,  3809,   116,  6972,  1674,  6799,  -454,
    4390,  3552,  5088,  1538,  5105,  6705,  3562,  6733,  3454, -3440,
    4647,  4107,  7031,   939, -2622,   940,  2355,  1880,  1661,  5187,
    2298,  2038,  1666,  1667,  1668,   122,   954,  3069,  1983,  1719,
    5570,  2111,  1679,  6075,  3800,  6955,  2401,  5682,  1301,  3308,
    1962,  5069,  5070,  3469,  3470,  3476,   126,  3900,  3607,  6602,
    3376,  3446,  1689,  3762,  3449,  4403,  2039,  3495,  1252,  2500,
     116,  2355,  3518,  3519,  6930,  5687,  1725,  2355,  5923,  3794,
    2362, -2258,  3810,  2355,  6605,  3811,  2355,  2500,  5731,  3344,
    3376,  3728,  3456,  6603,  2279,  1962,  6155,  3496,  1306,  2355,
     122, -2622,  1957,  4684,  2440,  2378,  2379,  3390,   129,  5578,
    1428,  4637, -2432, -2622,  1429,  5582,  1407,  2444,  1014,  5963,
    3085,   126, -3721,  1318,  2380,  3097,  5503,  2366,  4446,  3699,
    5972,  5177,  5409, -1988,  6756,  2370, -1993,  2356,  3517,  2040,
    2355,  6556,  6758,  6124,  1522,  5392,  6687, -3722,  2541, -3719,
   -1983, -3718,  3391,  3670,  1307,  2378,  2379,  1538,  2469,  4404,
    7094,  1963,  1964,  6984,  5935,  1538,  1538,  2584,  3072,  7099,
    6912, -2849,  3579,   129,  2382,  3943,  3055,  4740,  4648,  6843,
    3738,  1420, -2431,  3974,  7039,  1963,  1964,   135,  4446,  3489,
    2384,  3675,  3753,  6929,  3492,  3763,  4446,  4352,  6559,  1336,
    1337,  3377,  5870,  3812,  5872,  5873,  3377,  1468,  1152,  1153,
    3142,   293,  6842,  3508,  7015,  3203,  6853,  1428, -2277,  1465,
    4857,  1429,  4858,  3180,  3181,  3525,  1466,  1469,  1261,  3359,
    4723,  5088,  1467,  1532,  1689,  2398,  2131,  2045,  4841,  6872,
    5902,  2409,  5763,  5764,  5765,  5766,  5767,  2431,  5007,  5008,
    2434,  3376,   135,  5009,  1336,  1337,  3281,  3194,  4136,  4802,
    2132,  1152,  1153,  2401,  6807,  5013,  4221,  6661,  5131,  1462,
    -163,  -163,  6666,  6667,  4040,  5297,  5298,  1703,  1301,  5064,
    1062,  3327,  2581,  6467,  1516,  1421,  6818,  1926,  1653,  5645,
    3050,  3051,  3052,  3053,  3054,  3055,  6294,  6777,  4053,  3377,
    6932,  5302,  4057,  3222,  5244,  2046,  1732,  5138,  1692,  4669,
    5050,   150,  6732,  4670,  4671,  4672,  4724,  5138,  1654,  3813,
    1660,  2279,  1665,  5150,   293,  5483,  2279,  3448,  1669,  3377,
    3327,  5353,   152,  1539,  1078,  5541,  5247,  3718,  3755,  5644,
    5244,  6800,  1645,  3721,  5106,  4635,  1062,  3327,  1517,   941,
     155,  1422,  1341,  5641,  1660,  1665,  2441,  5457,  4108,  6706,
    5360,    39,  5283,  6105,  6726,   159,  3052,  3053,  3054,  3055,
    3399,  1070,  6913,  2197,  3890,  3378,   150,    75,  1692,  4921,
    3378,  4012,  4681,  4682,  4683,  4684,  6983,  4819,  5129,  4024,
    3832,  3660,  3661,  6329,  4808,    39,  5257,   152,  3102,  1650,
    4203,    39,  3189,  3115,  3115,  4725,  3379,  1672,  1354,  6714,
    1930,  3379,  1672,  1423,  1989,   155,  2198,  1659,  1273,  1664,
    6920,  6935,  6936,  3764,  6389,  3478,  6725,  4041,    39,  1678,
     159,  3380,  3156,  6878,  1274,  1518,  3380,  1275,  3574,  1301,
    1701,   811,  4017, -1788,  3765,  4679,  4680,  4681,  4682,  4683,
    4684,  1695,  1697,  6044,   943,  3510,  1481,  6335,  4204,  3621,
    3926,  4140,  4127,  4883, -1955,  2347,  5754,  1341,  1724,  1146,
    5249,  3709,  3374,  3378,  3107,  4158,  3376,  3374,  1856,  2348,
    3157,  2242,  1868,  1539,  1870,  6852,  7053,  2050,  4842,  1593,
    3377,  5441,  4043,  1147,  4922,  6803,  2354,  3302,  4502,   932,
    5698,  5964,  1908,  3378,  3379,  1914,  5497,    35,  7047,  5970,
    2347,    37,  6237,  3376, -2561,  4445,  5569,  3108,  4445,  4588,
    4674,  6974,    74,  3224,  2348,  7085,   925,  6914,  1276,  3380,
    1437,  6844,   944,  1672,  3379,   947,  2349, -1110,  2452,  2027,
    6959,  2454,  5192,  1658,  2458,  1663,  2460, -1955,  1859,  2463,
    4163,  6238,  5086,  2467,  4018,  7056,  6269,  7017,  1950,  3380,
    4141,  4128,  1384,  3575,   756,   756,  3360,   336,  6005,  1973,
    3374,  5258,  2123,  4205,  6045,  6804,  3310,  1694,  1696,  6880,
    3361,  3714,  3362,  6915,  1341,  1953,  3317,  3750,  3751,  4503,
    4156,  4025,  6006,  1916,  1672,  2225,  3159,  1865,  4137,  2017,
    3374,  1873,  6937,  1519,  3927,  4589,  4675,  4065,  1909,  3928,
     945,  2199,  4911,   946,  2241,  3678,  4138,  1897,  5250,  4127,
    6510,  4636,  6512,  6175, -1788,   927,  6516,  6517,  6069,  3690,
    4584,  1146,  6106,  5193,  4586,  3376,  6100,  1723,  1075,  2202,
    2350,  1520,  3696,  3376,  3756,  2203,  5183,  5498,  3363,  4653,
    6544,  7063,  4366,  2018,  2586,  1147,  1673,  2587,  4445,  6552,
    3929,  3160,  6881,   146,  3378,  6555,  2093,  4665,  6541,  3436,
    4666,  4667,  2389,  3439,  3440,  4686, -2601,  1071,  2582,  1268,
    4222,  6982,  5930,  6569,   926,  2350,  4997,  2124,  6390,  3129,
    2401,  6540,  6989,  4361,  1539,  3379, -3723,  6081,  6558,  6570,
    6554,  1732,   151,  6137,  4669,  1521,  5947,  1522,  4670,  4671,
    4672,  1523,  6595,  2351,  1972,  3377,  4717,  4718,  4128,  5789,
    3380,  6557,  3131,  2200,  4923,  4924,  3069,  4077,  1355,  4971,
    7057,   947,  3323,  1196,  2183,  7016,  3659,  3376,  1072,  1997,
    1998, -1955,  6137,  2312,  3701,  3687,   158,  3451,  4131,  4884,
     944,  4206,  3377,  3677,  2204,  4925,  2420,  4431,  2351,   160,
    5251,  3374,  6829, -2561,  6882,  5663,  7045,  2019,  1341,    35,
    3652,  1275,  4042,    37,  4042,  5880,  1482,  1268,  3676,  5884,
    1073,  1278,  1074,   161,  1204,  3539,  2313,   943,  1204,  3695,
    3376,  3737,  3715,  3689,  4719,  3742,  3691,  7064,  1674,  2421,
    3749,  6160,  4026,  3752,  1674,  2355,  2043,  1673,  6463,  1594,
    -718,  5194,  6776,  3848,  3930,  2352, -1701,  4676,  4677,  4678,
    4679,  4680,  4681,  4682,  4683,  4684,  1299,  4504,   945, -2561,
    1146,  2390,  3260,  1124,  1673,   925,  3657,  2001,  6457,  1341,
   -3723,  4223,  4505,  1311,  4972, -3723,  1719,   948,  3271,  3569,
     293,  5671,  5119,  1125,  1147,  1384,  1384,  5549,  1985,  1683,
    2352,  4253,  1276,  4181,  3741,   944,  3282,  2339,  3747,  3748,
    6716,  2125,   949,  5922,  3377, -2625,  3617,  4444,  5005,  4585,
    3468,  6007,  3377,  4587,  6161,  6723,  5195,  4445,  4445,  3378,
    1126,   339,  4673,  4320,    75,    75, -3723,    75, -2428,  1732,
   -1701,  3524,  4669,  3618,  4487,  4131,  4670,  4671,  4672,  4626,
    5744,  1266,  1261,  2126,  1277,  4674,  4254,  3964,  3874,  6883,
    3379,  2044,  1645,   828,  5354, -2601,  3378,  6747,  4321,  4182,
    2453,  4446,  2455,  5664,  4446,  2459,  1986,  2461,  2205,  6048,
    2464,  2465,  2466,   945,  2024,  3380,   946,  2025,  2127,   947,
   -1955,  1708,  3897,  2473,  3136,  6767,  2504,  3379, -1955,  6445,
    2366, -1955,  2012, -1955,  1204,  1204,  6925,  5635,  2502,  3218,
    2503,  1146,  5639,  2242,  1283,  3793,  3377,  3967,  4255,  1267,
    2206,  2314,  3380,  6130,  2377,  1539,  3374,  6830,  5550,  2128,
     932, -2601,  5709,   926,  2422,  1147,  3795,  3797,  3239,  4354,
    5015,  4675,  3239,  3804,  5658,  1384,  6131,  6652,  5052,  3818,
    3819,  4070,  6132,  1420,  1987,  2207, -2666,   925,  1420,  5710,
    6453,  3842,  3441,  3374,   934, -1701,  6133,  4308,  4973,  3377,
    6446,  3862,  1010,  4309,   935,  5088,  2389,  3877,  3283,    74,
      74,  6742,    74,  1709,  5120,  6407,  6349,  6861,  3378,  6841,
   -3723,  3127,  3711,  3570,  6350,  5672,  3378,  2002,  4127,  1930,
    6344,  1930,  4807,  2279,   947,  2391,  3147,  3148,  3273,  3152,
    4974,  6831,  2583,  1268,  4446,  3875,  6663,   811,   811,  3379,
    5662,  2585,  1274,  1274,  6866,  1274,  6528,  3379,    35,  5703,
    2392, -1701,    37,  2315,  1463,  5431,   138,  3073,  5700,  5551,
    6832,  4256,  5485,    87,  3380,  4975,  2423,  3619,  5086,    88,
      89,  1064,  3380,  4674,   944,  1278,   927,  1421,  6849,  6850,
    4086,  1428,  1421,  6768, -2625,  1429,  1170,  6520,   146,  1539,
    5399,  3271,  3104,  3106,  3284,   947,  5567,  1539,  1539,   936,
    3898,    99,  4310,  6926,  4314,  3374,  3977,  3617,  4445,  5709,
    3378,  3272,  4445,  3374, -2453,  5543, -3723,  4128,  -186,  2586,
    6134,  6861,  2587,  3497,  1533,   811,  6928,   151,  3050,  3051,
    3052,  3053,  3054,  3055,  3618,   926,  5710,  3442,  1026,  5659,
     948,  3379,  3443,  1422,  3089,  3090,  4315,  1026,  1422,  -186,
   -2625,  3156,   945,  4129,  3129,  2390,  6454,  2241,  6866,  4675,
    1635, -3723,    69,  3378,  6254,   756,  3380, -1701,  5400,  6889,
    6408,   158,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,
    4684,  4316,  1269,  5711,   160,  1710,  3947,  3131,  6743,  6345,
    5436,  4071,  4257,  4072,  3379,  4130,  6529,  5090,  6351,  3157,
    4258,  6409,  5401,  4259,  6346,  1423,  6547,  3374,   161,  3286,
    1423, -1701,  1028,    39, -1701,  6981,   116,  5402,  6178,  3380,
    3287,  1028,  6480,  6182,  3638, -2666,  6184,   162,  1711,  6811,
    1712,  -628,  3200,  3583,  3153,  4016,  5432,  1341,  2131,  1853,
    5403,  1700,  1341,  1341,  6521,  5093,   122,  3639,   937,  1732,
    5016,  1175,  4669,  1726,  2330,  6861,  4670,  4671,  4672,  4737,
    3374,  1875,  2132,  4446,  4446,  3158,  6264,   126,  3498,  5404,
    1969,  4272,  2587,   947,  5853,  6530,  6135,  3472,  6795,  2027,
    6562,  6985,  2113,  6968,  2027,  1157,  4311,  5086,  6136,  1181,
    1971, -2666,  6866,  1157,  3415,  4153,  1974,  3419,  5444,  2401,
    1732,  5017,  6207,  4669,  4131, -3723,  5095,  4670,  4671,  4672,
   -3723,  3273,  3277,  2279,  -480,  3159,  1854,  3584,  4317,   129,
    1879,  5313,  5469,  5314,  1011,  5854,  3214,  3216,  4312,  4783,
    3774,  6122,  4784,  4785,  5019,  6377,  3948,  3131,  6063,  4539,
    6720,  6890,   953,  4786,  4787,  4788,  6891,  4789,  4790,  3154,
    5248,  5513,  4791,  4792,  4793,  6969,  6455,  2401,  3988,  2114,
    2027, -3723,  1341,  4313,  2027,  3451,  2003,  5405,  5260,  6939,
    4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4899,
    3160,  6892,  3455,  6456,  3989,  7069,  5514,   954,  6261,  2391,
    3463,  3239,  5469,  4271,  1039,  4444,  1040,  1880,   135,  2298,
    3288,  3239,  5284,  1039,  6347,  1040,  4445,  5288,  2004,  1719,
    5470,  6050,  6262,  3730,  3640,  1341,  4900,  6036,  3730,  3136,
    2401,  4338,  5098,  2294,  3561,  1341,  6741,  2203,  7070,  3732,
     953,  4298,  1044,  5272,  2434,  4450,  4451,  4452,  4453,  -480,
    4455,  6740,  3289,  2005,  6366,  4245,  5309,  5310,  5311,  5312,
    6074,  5399,  5316,  5317,  5318,  5319,  5320,  5321,  5322,  5323,
    5324,  5325,  5296,  4674,  5010,  4483,  4345,  3578,  5099,  4355,
    4356,  4357,  6213,  4248,  6215,   954,  5287,  3239,  5315,  5539,
    5470,  5292,  5293,  4361,  5515,  5100,   925,  6061,  5471,  5059,
    3730,  4323,  5472,  6724,  4901,  3265,  5459,  5914,  6023,  2093,
    6024,  6025,  6026,  7019,  4246,  4794,  4247,  3266,  1341,  4150,
    1538,  2162,  1341,  1341,  4674, -3723,  5364,  5365,  3412,  1210,
    6425,  4516,   150,  3593,  4446,  3267,  2141,  3598,  4446,  5400,
    3366,  6573,   925,   932,  6539,  2586,  4339,  5400,  2587,  3580,
    4183,  1914,  5011,   152,  1204,  1289,  5429,  1915,  5014,  4675,
    5229,  6606,  1403,  2163,   289,  3441,  6032,  5540,  5471,  3610,
     925,   155,  5472,  5401,  1290,  5656,  3367,  1184,  2142,   146,
    3129,  5401,  1994,  6172,  1291,  1995,   159, -3723,  5402,  6040,
    5931,  6042,  6582,  1404,  4445,  1204,  5886,  6673, -1759,  5101,
    6033,  4445,  3767,  4120, -1759,  5051,  4445,  3733,  1652,  4445,
    4675,  5403,  3824,  3131,  6590,   289,  4184,   293,   151,  5403,
    3354,  4117,  3355,  4121,  4122,  3366,   146,  5498,  3779,  6607,
    3670, -3723,    93,  5430,  1341,   953,  6518,  4845,  4445,  1916,
    5404,  3734,  6583,  3050,  3051,  3052,  3053,  3054,  3055,  5657,
      97,  1204,  2014,  1260,   926,  3735,  5162,  5426,  1185,  2131,
    5498,  3367,   158,  6551,  5932,   151,  1707,    75,  1204,   927,
      75,  4445,  1468,  6845,  6674,   160,   293,  4114,  4795,  2164,
     954,  5903,  1509,  2132,  1465,  5363, -1759,  -397,  3356,  1292,
    1917,  1466,  1469,  3736,  2015,  1186,  3716,  1467,  3717,   161,
     926,  6052,  3719,  1996,  3720,  4779, -1523,  3722,  5460,   158,
    3268,  3723,    35,  4051,  1384,  5461,    37,  -397,   162,  1510,
    3442,  6748,  5462,  1988,  2131,  3443,  4476,  3511,   926,  2016,
    1240, -3723,  1892,  3783,  4805,  3422, -3723, -1759,  5405,  4417,
    3425,  4796,  1509,  4289,  1903,  4290,  5405,  6941,  2132,  4294,
    6053,  2298,  6809,  5243,  4841,  6749,  2168,  1511,  4087,  1293,
    5463,  5090,    76,  3896,  1213,   162,  3816,  5091,  7074,  3512,
    4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  1510,
    1871,  5092,  4149,  5464,  1272,  7087,  1732, -3723,   289,  4669,
    1254,  6931,  6309,  4670,  4671,  4672,  4434,  2434,  2169,  5244,
    1279,  6651,  5498,  3095,  4253,  3460,  2131,  1512,   340,  5093,
     932,  5094,    74,  4445,  6632,    74,  3500,  5132,  2193,    40,
    3506,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,
    2132,  6513,  4446,  2170,   141,  3461,  6514,   925,  1294,    35,
    3675,   757,  7041,    37,  7044,  3136,  6310,  4968,   933,  6311,
    6813,  6814,  -397,  -397,  1263,  1121,  6312,  6763,  4797,  4254,
    2194,  4924,  2008,  6764,  2195,  3421,  1004,  1512,  1732,  6907,
    5095,  4669,  4252,  2131,  1057,  4670,  4671,  4672,  1732,  5652,
    1286,  4669,   933,  6275,  6313,  4670,  4671,  4672,  1248,  4969,
    6515,  5527,  2582, -1712,  6908,  2196,  6271,  2132,   134,  5096,
    2009,  1205, -3514,  4445,  2010,  6261, -1712,  1205,  1205,  7090,
    7046,  5653, -1712,  1146,  4418,   933,     8,   102,   103,  1732,
   -1524,  4255,  4669,  3349,  4970,  4781, -3723, -3723, -3723,  6262,
    6276,  2017,  4273,  3513,  6970,  3350,   927,  1147,  5654,  2011,
    4276, -3723,  2318,  4279,  6314,  2586,  3514,   955,  2587,  2428,
   -1713,  2434,  1428,  4342, -2432,  6277,  1429,  6315,  1012,  6971,
    5020, -1712,  7086, -1713,  5604,  6261,  2319,  6370,  1118, -1713,
    6316,  1311,  3349,  2429,  6278,  7095,  3515,  1319,  1320,  6279,
    3129,  5097,  1317,  1124,  3357,  2018,  5098, -3723,  5605,  6262,
    1211,  6371,  1328,  6918, -1712,   926,  1321,  4953,   146,  1322,
    4674,  6280,  3670,  1125,  2134,  6281,  3080,  1367,  4854,  4954,
    4446,  3081,  4856,  3131,  1368,  1369,  1370,  4446, -1713,  1330,
    6282,  4568,  4446,  2210,  4861,  4446,  2214,  5781,  5526,  2366,
    4889,  3250,  5099,  2378,  2379,  1428,  6483,   151,  1334,  1429,
    1126,  6487,  6488,  5788,  4256, -1712,  1331, -3723,  5148,  5100,
    4445, -1713,  2380,  1266,  4446, -1712,  1483,  6574,  1484,  3050,
    3051,  3052,  3053,  3054,  3055,  4929, -1760,  1644,   340,  5811,
    2378,  2379, -1760,  5456,  1332,   146,  5816,  5817,  2366,  4803,
    3250,   158,  4674,  2373,  2374,  5366,  4675,  4446,  3982,  2382,
    1323,  4419, -3723,  1283,   160,  5199,  4520,  3522,  3523,  2019,
    5200,  5086, -1713,  6977,  4892,  5738,  2121,  5516,  1333,  5523,
    5200,  2138, -1713,  4602,   151,  4604,  4605,  2242,   161,  1157,
    1335,  1267,  6172,    35,  1324,  2144,  6283,    37,  3192,  3193,
    2442, -3723,  5501,  4445,  2443, -2424, -3723,   162, -1448,   932,
    1428, -1448,  1683,  4420,  1429,  4610,  6906,  2145,  4738,  3140,
    1342,  6469,  5484,  5101, -1760,  1486,  5705,  1487,   158,  6474,
    6475,  5498,  1350,  2442,  2020,  1325,   925,  3706,  4675,  4599,
    1352,   160,  4445,    35,   340,  4257,  2586,    37,  4675,  2587,
    6284,  6317,  1365,  4258,  6318,    40,  4259, -3723,  1366,  4963,
    5216,  5217,  5218,  5219,  5220,   161,  1409,  5259,  3239,  2146,
    5761,  1418,  2021,  4611, -1712, -1760,  2022,  4612,  1419,  6991,
     141,  3129,  6992,  6806,   162,  1268,  1471,  1901, -3723,  4675,
   -1701,  6358,  4695,  5542,  4697,  4698,  4558,  7072,  1427,  4446,
    7075,  1473,  1538,  5869,  1157,   102,   103,  4569,  5078,  1478,
    3883,  2023, -2425,  3886,  3131,  3136,   138,  1428,  2366,  1683,
    2012,  1429,  5216,  5217,  5218,  5219,  5220,  5135,  3192,  4038,
    5221, -1713,  2527,  1491,   162,   927,  5218,  5219,  5220,  6730,
    3647,  1505,  3648,  4862,  4863,  -627,  2024,  5107,   146,  2025,
    4445,  1513,  5211,  5212,  2243,  3984,  2244,  1514,  2450,    69,
    2244,  2147,  5399,  2512,  1515,  2244,  4668,  4676,  4677,  4678,
    4679,  4680,  4681,  4682,  4683,  4684,  1528,  4812,  4696, -1135,
    2366,  1157,  3250,  1157,  1525,  1157,  5367,   151,  3126,  4446,
    2244,  1157,  1670,  1671,   926,  5924,  3139,   340,  3140,  1428,
    2026,  3975,  1901,  1429,  1541,  3144,  4876,  2244, -3449,  7020,
    1384, -3723, -3450,  5724,  4720,  4988,  1536,  1157,  1157,  2148,
    4994,  1157,  1545,  3708,  2149,  3140,  4013,  4014,  5717,  2150,
    1601,   158, -3723,  1592,  1269,  1127,  4028, -3723,  1538,  3729,
    5400,  3730,  4865,  1602,   160,  3450,  4090,  1619,  4093,  4676,
    4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4751,  4676,
    4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,   161,  1026,
    1608,  3731,  1301,  3730,  5401,  2241,  3771,  4135,  3772,  3987,
    2152,  2434,  1119,  4813,  7079,  1626,  4487,  1128, -3723,  5402,
    2378,  2379,  4984, -1108,  3911,  3912,  3913,  3914,    40,   756,
   -3723, -3723, -3723,  4679,  4680,  4681,  4682,  4683,  4684,  4037,
    1647,  3140,  5403,  5000,  1682,  1973,  5498, -3723,    75,    75,
    4147,  2171,  4148,  4228,  1057,  4229,  1683,  4445,  2154,  3050,
    3051,  3052,  3053,  3054,  3055,  4395,  4446,  4396,  1007,  6074,
    3115,  5404,  4521,  1028,  3140,  4560,  3136,  3730,  4609,  1687,
    3140,  1965,  2155,  4618,  4624,  3140,  3140,  4625,  4629,  3140,
    4630,  4644,  1539,  4354,  1691,  4655,  5500,  3140,  5502,  1705,
    6179,  5505,  1698,  2157,  1993,   289,  1670,  1671,  1706,  4688,
    4243,  3140,  1716,  4702,  3239,  3140,  1717,  2172,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,  1718,  5125,  4210,
    1030, -1783, -1783,  6857,   134,  1157,  1719,  4011,  4011,  4707,
    4756,  4708,  4757,  4758,  4946,  4759,  4947,  1720,  1870,  4446,
    4951,  1727,  4952,  4234,  2158,  1721,  4979,  6730,  4980,  2173,
    5048,  2586,  4980,  5498,  2587,  5159,  2174,  5160,  4445,  5405,
    2175,  5170, -3723,  5171,  4445,  5174, -1713,  5175,  5207,  5209,
    5208,  3140,  3967,  5334,  5345,  5335,  5346,  1729,  4446, -1713,
    1972,  1874,  2144,    74,    74, -1713,  3129,  6142,  6143,  5356,
    1877,  3140,  5118, -3723,  5121,  5439,  1157,  5440,  4288,  1881,
    5445,  6146,  5446,  5455,  2145,  4072,  6230,  6231,   289,  1260,
    5646,  6826,  5647,  3675,  1882,  5706,  5108,  3730,  5110,  3131,
    5526,  5783,  1870,  2500,   146, -1786, -1786,  1341,  5823,  5826,
    3140,  5827,  1883,  5860, -1713,  3140,  1888,  5926,  5253,  4072,
    5950,  1893,  5951,  4234,  1898,  1039,  1870,  1040,  1538,  5957,
    1538,  3730,  5958,  6180,  3730,  5959,  2146,  3730, -1135,  6076,
    6115,  6077,  5208,   151,  6393,  1899,  6394, -1713, -3723,  1901,
    6152,  1043,  6153,  6154,  2294,  3140,  2226,  6304,  6855,  6305,
    3050,  3051,  3052,  3053,  3054,  3055,  4446,  5498,   933, -1787,
   -1787,  5857,  6324,  6359,  3730,  6360,  1912,  6412,  4445,  6413,
    6422,  1902,  2434,  3967,  5180,  5948,  1004,   158,  1927,  4399,
    4331,  6428,  1928,  5145,  4335,  1004,   757,  1929, -1713,  5139,
     160,  1933,  6430,  1004,  5145,   757,  1004,  6451, -1713,  6452,
    6502,  6543,  6503,  3094,  6621,  6622,  1538, -3723,  4443,   757,
    2176,  1932, -3723,  1272,   161,  6571,  1935,  6452,  2147,  1939,
    6612,  4368,  4708,  4368,  1940,  4368,  4368,  6613,   757,  3140,
    4368,  4368,  4368,  6858,  4368,  4368,  4368,  6630,  6636,  6631,
    2434,   932,  6639,  5261,  5145,  5751,  1943,   757,  2177,  6672,
    1944,  3772,  2178,   757,  6678,  6679,  3772,  3772,  6682,  1945,
    3140,  5517,  6683, -3723,  3140,   757,    69,    69,   925,    69,
    6684,  1341,  6685,  4726,  4813,  4727,  2148,  1947,  6712,  1341,
    6713,  2149,  1341,  6773,  6774,  1534,  2150,  2179,  4449,  1975,
    6781,  5480,  6782,  1976,  2180,   757,  6785,  6786,  2434,  3140,
    1004,  4728,  3450,  1977,  6808,  1591,  3730,  5416,  5238,  1004,
     757,   947,  6822,  4477,  6823,  1992,  1004,  1204,   757,  1004,
    6847,  3136,  6848,  6885,  6900,  5145,  3140,  6902,  6938,  3140,
    6452,  1591,   757,  4446,  6967,  1999,  6644,  2152,  6987,    76,
    6988,  7013,  7014,  5440,  3140,  2006,  2012, -1713,   757,  7033,
    7042,  7034,  3140,  7050,  7060,  7051,  6782,  7096,  4534,  7051,
    7098,   932,  7034,  2048,  6385,   932,  3910,   927,  2144,  2077,
    7101,  4580,  7034,  2079,  5885,  1301,  5888,  3182,  2074,  3185,
   -3720,  2080,  2111,  2115,  2116,  2154,  1261,  2117,   925,   932,
    2145,  2128,   925,  6399,  2140,  7018,  2130,  2143,  2167,  2184,
    2185,  2201,  2211,  2212,  2215,  5627,   757,  2220,  5640,  2155,
    2221,  2222,  1204,  2252,  2254,  1428,   925, -3723,  2256,  1429,
    2261,  2267,  3911,  3912,  3913,  3914,   926,  2272,  2275,  4729,
    2157,  2277,  2282,  2285,  1261,  4730,  1004,  1004,  2287,  2279,
    2296,  2301,  2146,  1205,  4446,   757,  2302,  1205,  -150,  2304,
    4446,  2305,  2307,  2586,  2309,  2310,  2587,  2321,  2328,  2330,
   -3723, -3723, -3723,  2333,  2337,  2343,   972,   933,  2353,  2358,
    2359,  2360,   757,  2362,  1004,  2369,  2366,  2372,  2370,  2386,
    5632,  2158,  2388,  2396,   757,  2397,  2400,   927,  3129,   932,
    2401,   927,  2408,  4703,  2412,  3130,  2414,  2415,  2417,  4710,
    2419,  2425,  2424,  2427,  1157,  2430,  2433,  2436,  2437,  1157,
    1157,  5520,  2474,  2448,  2509,   927,   925,  2516,  2518,  2525,
    2526,  3131,  2521, -3723, -1959, -1966,   757,   757,  2534,  5848,
    2532,  2533,  2535,  2536,  2147,  3050,  3051,  3052,  3053,  3054,
    3055,   162,  6096,  2538, -1957, -1960,   926,  3907,  2539,  3908,
     926,  4761,  4762,  4763, -1958,   932,  1261,  5266,  2540,  2542,
    2543,  2565,  2544,  2586,  2545,  5306,  2587,  2546,  2547,  2033,
    3066,  2548,  2549,  4443,   926,  3909,  1341,  2550,  2551,  2552,
    2553,  2554,   925,  2555,  4446,  2557,  2558,  3206,  2559,  2560,
    2561,  4731,  2148,  3213,  3215,  2562,  2563,  2149,  3129,  5333,
    2564,  2567,  2150,  4732,   289, -3723,  2568,  2569,  2570,  2571,
    2572,  2573,  3062,  3068,  2574,   927,  3064,  3098,  3450,  3069,
    3094,  1672,  3120,  1205,  1205,  3110,  3125,  3143,  3145,  1157,
    1915,  3131,  3176,  4443,  3188,  3178,  1917,  3191,  3198,  3132,
    3910,  4443,  3199,  3201,  3133,  3209,  3210,  1004,  1004,   933,
    5372,  3212,  3217,  2152, -3662,  3220,   757, -3667,  3221,  3226,
    3223,  1004,  6629,  3225,  1539,  3227,  1591,  1004,  3228,  3229,
    3246,  1004,  3245,  1004,   926,  3247,  3248,  1591,  3250,  3253,
    3251,   927,  1157,  3252,  3254,  2528,  3256,  3263,  3255,  3285,
    3257,  3279,  1157,  1591,  3291,  3135,  3911,  3912,  3913,  3914,
    3305,  2154,  3311,  3915,  3916,  2537,  3312,  3313,  3316,  3917,
    3315,  3309,  3329,  3333,  3335,  3352,  3334,  3353,  3368,  3364,
    3370,  3371,  3372,  3373,  3374,  2155,  3382,  3384,  6057,  3383,
    3385,  3386,  3387,  3396,  3392,  3420,  1004,  3406,  1004,  1004,
     926,  5717,  3393,  3402,  3403,  2242,  2157,   932,  3416, -3723,
    3417,  3423,  3430,  3136, -3723,  3437,  3426,  3444,  3447,  3427,
    2093,  3432,  3433,  2579,  5678,  5679,  3473,  3445,  3452,  3453,
    3967,  3458,  3459,  3462,   925,  1157,  3464,  3466,  3474,  1157,
    1157,  3471,  3490,  3533,  3465,  3499,  3521,  1591,  3467,  3528,
    3535,  3536,  3537,  3538,  3542,  3543,  3544,  2158,  3479,  3480,
    1539,  3493,  3546,  3549,  3504, -3723,  3547,  3548,  3550,  1341,
      87,  3556,  3555,  3557, -3469,  3554,    88,    89,  3564,  3565,
    3568,  1021,  3581,    92,    93,  3573,  3592,  3596,   757,    94,
    4813,  3616,  3597,  4818,  4818,  3600,  3609,  3612,    95,  3615,
      96,  3629,    97,    98,  3625,  3636,   335,  2164,    99,  3138,
    3633,  3642,  3650,  3643,  3662,  3669,    76,    76,  4813,    76,
    3655,  1272,  1272,  3136,  1272,  3918,  3664,  1004,  3646,   932,
    3672,  3673,  6472,   927,  3665,   932,  3680,  3919,  3682,  3683,
    3684,  3685,  3698,  3725,  3754,  2587,  3743,  4949,  3768,  3781,
    3878,  1157,  3670,  3656,  3884,  3945,   925,  3925,  3971,  3800,
    3726,  3770,   925,  3805,  3888,  3951,  3962,  3845,   757,  3904,
    3923,  3950,  3973,  1267,  3979,  3970,  3976,  3978,  3980,  4005,
    3993,  4006,  4007,  1591,  4008,   757,  4022,  4029,  4030,  4044,
    3084,  4064,   926,  4061,  4062,  5566,  4082,  4091,  4094,  4096,
    4099,  4104,   757,  4109,  4998,  4110,  4112,   757,  4115,  4123,
    4139,  1871,  1875,  4144,  4146,  3046,  4160,  5912,  1004, -3723,
    4161,  4154,  4162,   116, -3723, -3723, -3723,  3050,  3051,  3052,
    3053,  3054,  3055,  3644,  5773,  5774,  5775,  5776,  5777,  6030,
    4211,  4172,  4185,  4190,  4191,  4217,  4218,  4219,  4224,  4227,
    4235,  4242,  4244,   122,  4265,   927,  4245,  4266,  2298,  1004,
    3658,   927,  4341,  4282,  4326,  4353,  4349,  4350,  1268,  4362,
    3666,  3561,  3667,  4369,   126,  5041,  4375,  4376,  3671,  4381,
    4386,  4377,  3674,  4408,  4397,  4423,  4427,  4429,  1004,  1004,
    1004,  4437,  1004,  4459,  4448,  4409,  4454,  4425,  4460,  4461,
    4462,  5169,  4463,  4464,  4467,  3061,  4472,  4474,  4470,  4813,
    4475,  4478,  4479,  1004,   926,  4484,  4499,  4500,  4501,  4510,
     926,  4511,  4512,  4368,  4513, -3723,   129,  5152,  4515,    69,
    4517,  4522,    69,  2051,  4525,  5072,  5072,  3050,  3051,  3052,
    3053,  3054,  3055,  4524,  4526,  5089,  1995,  4548,  4550,  4527,
    1539,   757,  1539,  4551,  3105,  4554,  4528,  4536,  4556,   757,
     757,  4537,  4562,  4563,  4567,  4564,  4565,  4566,  5153,  2052,
    4577,  4583,  5909,  4581,  1062,  4572,  5204,  2434,  5165,  4590,
    4593,  4595,  4603,  2431,  2398,  4623,  4571,  4582,  4626,  4639,
    4620,  1689,  1004,  4643,  5945,  6960,  1004,  1004,  6962,  4621,
    4622,  6964,  5143,  3822,  1692,   135,  4634,  4641, -2250,  4645,
    4701,  4721,  1004,  4704,  4656,  4651,  5203,  4657,   933,  6096,
    4661,  4654,  4665,  1062,  4354,  3806,  3807,   757,  3140,  4716,
    4663,  4664,  2053,  4687,  4692,  4693,  4752,  5179,  1539,  4735,
    4745,  4746,  3843,  3844,   932,   932,   932,  4779,  4700,  4715,
    4809,  4748,  5370,  5778,  4750,  4822,  4810,  4824,  4815,  4835,
    4826,  4843,  4849,  4847,   933,  4828,  4859,  4864,  4848,  2054,
    4852,   925,   925,   925,  3889,  4871,  2442,  4867,  4866,  4534,
    4873,  4853,  4896,  6041,  4897,  4885,  1591,  4886,  4898,  4902,
    1341,  4904,   933,  4910,  4920,  5834,  4908,  6001,  4909,  4913,
    4914,  4916,  4931,  1205,  4932,  4934,  2033,  4942,  4940,  4941,
    2033,  4950,  4958,  4967,  4983,  4985,  4987,  4991,  4995,  2055,
    4981,  4989,  4996,  4999,  5001,  3451,  5002,  5023,  5003,   150,
    3169,  5004,  5021,  5022,  5028,  5006,  1261,  5024,  5026,  5025,
    5027,  5029,  5030,  5031,  1205,  6168,  5032,  5034,  5033,  5036,
     152,  5037,  5040,  5042,  1591,  5044,  5035,  5046,  1261,  2056,
    3488,  3491,  5056,  2057,  1384,  5047,  5057,  5053,   155,  5058,
     927,   927,   927,  5063,  5060,  5068,  5074,  5127,  5111,  5076,
    5116,  5340,  5130,   159,  5117,  5134,  5145,  5123,  2541,  5147,
    5154,  1591,  5144,  5157,  6059,  2058,  2059,  5163,  5164,  5168,
    1205,  5172,  6008,  6009,  5184,  6011,  5198,  5223,  5201,  5206,
    5225,  5377,  5378,  5379,  5380,  5231,  5167,  1205,  5232,  5233,
    5234,  5213,  5254,  5215,  1591,  5235,  5236,  5237,  3709,   926,
     926,   926,  5255,  6190,  5239,  5256,  4443,  2060,  5262,  4443,
    5263,   141,  5275,    87,  5264,  5265,  2061,   932,  5267,    88,
      89,  5268,  6496,  5269,  6498,  2062,    92,    93,  5270,  5271,
    5279,   289,    94,  5351,  2063,  2527,  5280,  5281,  5285,  5286,
    5289,    95,  2064,    96,   925,    97,  5282,  5294,  5295,  4669,
    5307,    99, -2249,  5347,  5300,  2065,  5358,  5359,  5330,  5389,
    5331,   757,  5418,  1468,  2066,  5414,  1341,   293,  5423,  2067,
    5433,  5436,  5442,  5438,  5384,  1465,  5332,  1004,  1004,  1004,
    5339,  5362,  1466,  1469,  5373,  5398,  5390,  5458,  1467,  5420,
     289,  5427,  5422,  5424,   757,  5466,  5476,  5451,  5479,  5477,
    5478,  5968,  5486,  5487,  5489,  5490,  1591,  5493,  4158,  5508,
    5511,  5512,  5544,  5529,  5545,  5548,  5532,  1591,  5546,  5547,
    5561,  5560,  5558,  3823,  6649,  5559,  2068,  5562,  5572,   933,
    5575,  2033,  5563,  1591,  5592,  5593,  5574,  5601,  5598,  5581,
    5617,  5618,  5620,   927,  5518,  6660,  5623,  3876,  5633,  4443,
    5634,  5636,   757,  5649,  5660,  5637,  5638,  5670,  5675,  5689,
     757,  2447,  5695,  5708,  5696,  5681,   116,  5701,   757,  5719,
    5726,  5725,  5745,  5747,  5749,  5702,  5755,  5771,  5779,  5742,
    5743,  3755,  5750,  5785,  5746,  5757,  5760,  1591,  5786,  5795,
    6507,  6696,  6698,  5802,  5803,  5807,   122,  4210,  5804,  5537,
    5805,  5806,   926,  1004,  5808,  5809,  1004,  5814,  5815,  1591,
    5825,  6321,  5820,  5837,  5831, -2251,  1004,   126,  5842,  5846,
    5859,  5863,  1591,  5840,  5874,  4234,  5841,  5877,  5879,  5881,
    5882,  5889,  5583,  5890,  1591,  5894,  5895,  5896,  5908,  5910,
    5897,  5911,  5929,  4288,  5952,  5933,  5953,  1004,  1004,  5965,
     757,   757,  6239,  5927,  5966,  5967,  5925,  5921,  5969,  5971,
    5976,  5977,  1004,  5978,   757,  1004,  5997,  6225,  5762,   129,
    5999,  5089,  6003,  1283,  1591,  1591,  6004,   757,   757,  5990,
    5993,  6012,  6013,  6020,  6021,  6022,  6027,  6031,  6034,    76,
    6038,  6039,    76,  6046,  6049,  6055,  6054,  6058,  6062,  5571,
    6056,  6064,  6070,  6244,  6068,  6073,  6078,  6080,  6084,  6085,
    6089,  6087,  6091,  6092,  5584,  6093,  6102,  5585,  6110,  5586,
    6120,  3730,  6108,  6121,  6147,  6157,  6116,   932,  6158,  6126,
    6167,  6183,  6192,  1004,  6197,  6140,  6203,  1004,  1004,  3905,
    6141,  6151,  6206,  6159,  6221,  3206,  6169,  6173,   135,  6199,
    6214,  6176,  6187,  6229,   925,  6217,  6216,  6233,  6234,  6267,
    6235,  6241,  6289,  5659,  6236,  5626,  6247,  6248,  6252,  6258,
    6295,  6825,  6259,  6308,  6260,  6297,  1004,  1004,  4443,  4443,
    6307,  4368,  1004,  1004,  6245,  6300,  4368,  6303,  3817,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  6243,  6327,  6328,  1004,  6332,  1004,  6337,  1004,
    1004,  1004,  1004,  1004,  1004,  6340,  1341,  1004,  6356,  1004,
    1004,  6367,  6689,  1004,  4010,  4010,  6361,  6368,  6369,  6375,
    6387,  6382,  6386,  6404,  6391,  6392,  5728,  1591,  1004,  1004,
    1004,  6414,  6420,  6447,  1341,  6449,  6459,  6288,  6466,  6476,
    6405,  6424,  6427,   927,  6478,  6468,  1004,  2081,   933,  1384,
    6484,  6702,  6490,  2082,  6522,  6531,  6470,  6524,  6527,  6535,
    6903,  6904,   150,  6537,  6545,  6560,  6566,  1965,  2186,  6564,
      69,    69,  6550,  4813,  6565,  5732,  6567,  6568,  6577,  6578,
    5089,  6579,  4580,   152,  6589,  1384,  6585,  6580,  6594,  6587,
    6599,  6609,  6610,  6614,  6628,  5203,  6623,  6640,  2084,  6642,
    6646,   155,   926,  6644,  6645,  6647,  6648,  6653,  6656,  6654,
    6657,  6658,  6671,  6694,  1157,  6701,   159,  6704,  3831,  3831,
    6675,  6707,  6711,  6709,  4534,  4534,  4534,  4534,  4534,  6715,
    6718,  6719,  6735,  3858,  6736,  1997,  1998,  6421,  6737,  6745,
    6746,  6738,  3879,  6751,  6752,  6766,  6754,  6760,  6421,  6761,
    6771,  6759,  5812,  2187,  6778,  2085,  6793,  6788,   932,  6794,
    6797,  4753,  2086,   932,  6810,   932,  2087,  6817,  6819,  6705,
    5791,  5791,  5791,  5791,  6827,  5791,  5791,  5791,  5791,  5791,
    6706,  6835,  6836,  6837,  6856,   925,  6873,  6854,  6875,  6874,
     925,   932,   925,  1004,  2088,  6876,  6495,  6877,  6879,  6884,
    6888,  4168,  6896,  6909,  6898,  6910,  6911,  6922,  6924,  6942,
    1538,  6948,  6952,    87,  6949,  6953,  6954, -3470,   925,    88,
      89,  6957,  6956,  6961,  6994,  1341,    92,    93,  6500,  4443,
    2089,  6958,    94,  4443,  6973,  6966,  6975,  6995,  6998,  7003,
    6993,    95,  7021,    96,  6996,    97,    98,  1004,  6997,  1298,
    7011,    99, -2013,  4841,  7023,  6665,  5928,  7040,  6914,  7024,
    7048,  7049,  7055,  7066,  7067,  7057,  7078,  7071,  7088,  7077,
    7092,  7080,  7084,  6401,  7097,  1281,  6363,  3505,  2078,  4806,
    4299,  2182,  4216,  3117,   927,  4926,  5535,  6406,  1157,   927,
    5528,   927,  1341,  2181,  6820,  4340,  1157,  4388,  5073,  1157,
    6286,  5913,  5915,  1004,  3905,  6688,  6923,  5677,  6339,  6037,
    2188,  1157,  6320,  5524,  2091,  4869,  4906,   927,  5525,  4561,
    6812,  6223,  6919,  6710,  2092,  6708,  6834,  6934,  5899,  6689,
    4912,  5906,  5907,  6066,  2093,  4406,  5729,  5699,  4288,  6668,
    5669,  5707,  5533,   926,  4407,  4944,  2094,  5133,   926,  4288,
     926,  2166,  5694,  6060,   289,  6326,  5753,  5173,  6990,    75,
    6581,  7091,  7068,  6301,  5079,  6839,   116,  6246,  6486,  2385,
    3572,  5735,  6677,  6249,  1116,  6662,   926,  1179,  6491,  6492,
    2497,  1461,  5240,  5780,  6462,  6637,  6986,  5782,  2189,  3635,
    4067,  2096,  2097,  2399,  4435,  3631,   122,  4860,  5739,  2447,
    3651,  6364,  5190,  2410,  6575,  5043,  4337,  2413,  3686,  1540,
    1620,  2416,  5564,  2418,  4990,  6860,  7022,   126,  3262,  2426,
    4365,  5759,  1885,  2190,  3992,  2432,  3530,  6976,  2435,  5916,
    5447,  5758,  6458,  6461,  4557,  3141,  3079,  5810,  2449,  4811,
    4021,  4823,  1538,  4002,  3173,  5421,  6901,  6790,  6509,  5900,
    3172,  4020,  5393,  5887,  3177,  5871,  6426,  5386,   932,  6627,
    6626,  5448,  5387,  7037,  6887,  6963,  6779,  5388,  7054,   129,
    5341,  6400,  2586,  3946,  6194,  2587,  5905,  6791,  4749,  2588,
    2589,  2590,  6792,  3949,  3864,   925,  4743,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  2099,  1004,  4615,  4741,
    4364,  6597,  7059,  4734,    74,  4650,  5290,  3129,  1304,  1004,
    3961,  5202,  1004,  4509,  3130,  2345,  6753,  3645,  4045,  4529,
    4532,  1284,  1171,  3197,  3190,  4039,  1643,  4443,  4052,  6015,
    6016,  1984,  1955,  4801,  7061,  5453,  1956,  4049,  5901,  5454,
    3131,  4050,  4368,  2506,  4368,  4368,  4368,  6638,   135,  5425,
    1297,  4056,  4559,  3727,  2581,    78,  6201,  2439,     0,     0,
    1677,  3083,     0,     0,     0,     0,     0,  1384,  1004,     0,
    1341,     0,  1004,     0,     0,  1004,     0,  1004,     0,     0,
    1004,     0,     0,     0,   927,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,  1004,  1004,     0,     0,     0,     0,
    6067,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6495,     0,     0,     0,     0,     0,     0,     0,  2586,
       0,     0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,
       0,   757,     0,   926,     0,     0,     0,     0,     0,     0,
    6095,     0,     0,     0,  3128,     0,     0,     0,  3132,     0,
      76,    76,     0,  3133,  3129,     0,     0,   757,     0,     0,
       0,  3130,   150,     0,  1591,     0,     0,  6816,  1591,  1591,
       0,     0,     0,     0,     0,   757,  3134,  2780,     0,     0,
     933,   757,     0,   152,     0,   757,     0,  3131,     0,     0,
       0,     0,  7076,  5791,   757,  4443,     0,  6979,  6980,     0,
       0,   155,  4443,     0,  3135,     0,     0,  4443,     0,   757,
    4443,     0,  1004,     0,     0,     0,   159,     0,  4004,     0,
       0,     0,     0,  1004,     0,  1591,  1004,     0,  1004,  1004,
       0,  1591,     0,     0,     0,     0,     0,     0,     0,  4443,
    6867,  6868,     0,   757,     0,     0,     0,  2847,     0,  1538,
    6787,     0,  6789,     0,     0,     0,  1205,     0,     0,     0,
       0,     0,  3136,   757,   757,     0,     0,     0,     0,     0,
       0,     0,  4443,     0,     0,     0,     0,     0,  1591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     933,   757,     0,     0,   933,  3132,     0,     0,     0,     0,
    3133,  3206,     0,     0,  4804,     0,  1157,  1573,     0,     0,
       0,     0,     0,     0,     0,  6200,   757,     0,   933,     0,
       0,     0,   757,  3134,  2780,     0,     0,     0,     0,     0,
    4817,  4817,     0,  1573,     0,     0,   757,     0,     0,     0,
       0,  1205,  6274,   757,  4261,     0,   757,     0,  3138,     0,
       0,  3135,   757,     0,  6354,     0,     0,     0,     0,     0,
       0,   932,     0,     0,  5089,     0,     0,     0,     0,     0,
       0,     0,   757,  6333,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,     0,   757,     0,     0,   925,     0,
       0,     0,     0,     0,  2847,     0,     0,     0,     0,   757,
       0,  6325,     0,     0,  4443,     0,     0,     0,     0,  3136,
    4368,     0,  3137,   757,  6334,     0,     0,     0,   933,  6287,
    1062,   278,     0,   175,   757,  4261,   286,   184,   187,   188,
     293,   189,  6352,     0,   209,  6196,   227,   232,   282,   262,
     281,   287,  1004,  1004,  1004,   283,   288,     0,  1004,   296,
       0,   285,  2081,     0,  3046,     0,     0,     0,  2082,     0,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,  2186,     0,  1004,  1591,     0,     0,     0,
    4489,     0,     0,     0,   933,     0,     0,   927,     0,     0,
       0,  4261,     0,     0,  4443,     0,     0,     0,     0,     0,
    4261,     0,     0,  2084,  2051,  3138,     0,  2579,     0,  1341,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,  6978,     0,     0,     0,     0,     0,     0,     0,
    4261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2052,     0,     0,     0,     0,     0,   926,     0,     0,  4482,
    2051,  7081,  7082,  1591,     0,  2579,     0,     0,  2187,     0,
    2085,     0,     0,     0,     0,     0,     0,  2086,     0,     0,
       0,  2087,     0,     0,     0,  7012,  1004,     0,     0,  3905,
       0,     0,     0,     0,     0,     0,  2052,     0,     0,     0,
       0,     0,     0,     0,     0,  4747,     0,     0,     0,  2088,
       0,     0,     0,  2053,     0,     0,     0,     0,     0,     0,
       0,  3046,     0,  4769,     0,     0,     0,     0,     0,     0,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,
       0,     0,     0,     0,     0,  2089,     0,  4642,     0,     0,
    2054,  4443,     0,     0,     0,     0,     0,     0,     0,  2053,
       0,     0,     0,     0,     0,     0,  2144,     0,     0,     0,
       0,     0,  1539,     0,  1261,     0,  6511,     0,  2259,     0,
       0,     0,     0,  4769,   757,  6553,   933,  1260,  2145,  2268,
    3681,  4769,     0,     0,     0,  4490,  2054,     0,  3688,     0,
    2055,     0,  1591,     0,   757,  2276,     0,     0,     0,     0,
       0,   757,  6598,     0,  5508,  1004,     0,  1591,  1004,     0,
    1004,  1004,  1591,     0,     0,  2188,     0,     0,   932,  2091,
    1004,     0,     0,     0,  4443,  1004,     0,  1157,     0,  2092,
    2146,  5518,     0,     0,  2057,     0,  2055,     0,  3282,  2093,
       0,     0,  1591,     0,     0,   925,     0,     0,     0,     0,
    5122,  2094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4443,     0,     0,     0,  2059,     0,     0,
       0,     0,     0,     0,  1004,  1004,  1004,  5519,     0,  1004,
    2057,     0,     0,     0,     0,     0,     0,  1004,  1004,  1004,
    1004,     0,  6650,  4296,     0,     0,  2096,  2097,   933,  5520,
       0,     0,     0,  1004,   933,     0,  1004,  1341,  1004,     0,
       0,     0,   141,  2059,     0,     0,     0,  4491,  6274,     0,
    1004,  1004,  2147,     0,  1004,     0,  2062,     0,  4297,     0,
       0,     0,     0,     0,     0,  2063,     0,     0,     0,     0,
       0,     0,     0,  3326,   927,  1004,     0,  1004,     0,  1004,
       0,     0,     0,     0,  5210,     0,  2065,     0,   141,     0,
    3325,  4532,     0,  2061,     0,  2066,     0,     0,  1004,     0,
    2067,  4443,  2062,     0,     0,     0,     0,     0,     0,     0,
    2148,  2063,  1004,     0,     0,  2149,     0,     0,     0,  3326,
    2150,  4492,     0,     0,  1539,     0,   757,     0,  6692,     0,
    6693,  2099,  2065,   926,  6699,  6700,  3450,  3858,  3858,     0,
    5521,  2066,  3858,  1004,     0,     0,  2067,     0,     0,     0,
       0,     0,     0,     0,     0,  2507,     0,  2068,  1004,     0,
       0,  4493,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  2152,  1004,     0,     0,     0,     0,  6780,     0,     0,
    1004,     0,     0,  3858,  3858,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2068,     0,     0,     0,     0,     0,     0,
       0,     0,  1591,     0,     0,  1591,     0,  1591,     0,  2154,
       0,     0,  1591,     0,     0,     0,   932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   757,   757,
       0,     0,     0,  2155,  1004,     0,     0,     0,     0,     0,
    3899,     0,     0,   925,     0,     0,     0,     0,     0,   757,
       0,     0,   757,     0,  2157,  1591,  5522,     0,     0,  4916,
       0,     0,     0,  1591,     0,     0,     0,     0,  4443,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6840,     0,     0,     0,   747,     0,  1591,     0,
       0,   293,     0,     0,  1004,     0, -2973,     0,   932,  6862,
       0,     0,     0,     0,     0,  2158,  6863,  6865,  6947,     0,
       0,     0,  6864,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   925,     0,     0,     0,     0,
       0,     0,     0,   933,   933,   933,   289,     0,     0,     0,
       0,     0,   927,     0,     0,     0,   289,     0,     0, -2973,
       0,     0,     0,     0,     0,     0,     0,     0,   757,     0,
       0,     0, -2973,     0,     0,     0,     0,  1591, -2973,  1591,
       0,  3374,     0,     0, -2973,     0,     0,   757,     0,  4443,
   -2973,     0,     0, -2973,   289,  4443,     0, -2973,     0,     0,
       0,     0,     0,     0,     0,  5450,     0,     0,   757,     0,
       0,   926,     0,     0,     0,   293,     0,     0,     0,     0,
       0,     0,     0,  6862,   932,     0,     0, -2973,     0, -2973,
    6863,  6865,     0,     0,   927,     0,  6864,     0,     0,     0,
       0,  1539,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   925,     0,     0,     0,     0,     0,     0,     0,     0,
   -2973,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1591,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   926,     0,     0,     0,     0,     0,   757,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
    1004, -2973,     0,  1157,     0, -2973,     0,     0,     0,  1591,
       0, -2973,     0,     0,     0,     0,     0,     0,     0,  4443,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    7028,  1157,     0,     0,     0,     0,   933,  1591,     0,   293,
     927,     0,   757,   932,   757,  1157,     0,  6862,     0,     0,
       0,     0,     0,  3395,  6863,  6865,  1157,   757,     0,   757,
    6864,     0,     0,     0,     0,     0,     0,  5126,     0,     0,
     925, -2973,     0,     0,     0,     0,     0,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,  7028,     0,     0,     0,
       0,     0,     0,     0,     0,  2081,     0,     0,     0,   926,
       0,  2082,     0,  7030,     0,     0,     0,     0,     0,  1591,
       0,     0,     0,     0,     0,  7028,  3073,  2579,     0,     0,
       0,  3981,     0,     0,     0,     0,  3900,     0,     0,     0,
     757,  1591,  1670,  1671,     0,     0,  5385,     0,     0,  5391,
    7052,     0,     0,     0,     0,     0,  2084,     0,     0,     0,
       0,     0,     0,     0,     0,  1591,     0,     0,     0,  7030,
   -2973,     0,     0,     0,     0,  7073,     0,     0,     0,   927,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   289,     0,     0, -2973,     0, -2973, -2973,  7030,     0,
       0,   757,     0,     0,     0,     0,  5899,     0,  3534,     0,
       0,     0,     0,  2085,     0,     0,     0,     0, -2973,  3545,
    2086,     0,     0,   757,  2087,     0,     0,   757,     0,     0,
       0,     0,  1157,     0,     0,  3563,     0,     0,   926,     0,
       0, -2973,     0, -2973, -2973,     0,     0,     0,   757,     0,
       0,     0,  2088,     0,     0,     0,     0,     0,  7029,     0,
       0,     0,     0,     0,  1004,     0,     0,  1591,     0,     0,
       0,     0,     0,  1004,     0,     0,  4532,  4532,  4532,  4532,
    4532,     0,     0,     0,     0,     0,     0,  1004,  2089,  3637,
       0,  1004,  1004,  1004,     0,     0,     0,     0,  1004,  1157,
       0,  1004,     0,     0,  1004,     0,     0,     0,     0,     0,
    1004,  3653,  1004,     0,  7029,  1004,     0,     0,     0,  1591,
    1004,  1004,  1004,  1004,  1573,     0,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  3668,     0,     0,  1004,
    1004,  1004,     0,  7029,  1591,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,  1004,     0,   933,     0,  1004,     0,
       0,     0,     0,     0,     0,     0,  1004,     0,  2188,  1004,
       0,  1004,  2091,     0,     0,     0,  3694,  1573,     0,     0,
       0,     0,  2092,     0,     0,     0,     0,  1004,     0,     0,
    1004,  1004,  2093,     0,     0,  1004,  1004,     0,     0,     0,
    1004,     0,  1004,     0,  2094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1004,   932,     0,  1004,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
       0,  3831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   925,     0,     0,  2216,     0,     0,  2096,
    2097,     0,     0,  3858,  3858,  3858,  3858,     0,     0,  3858,
    3858,  3858,  3858,  3858,  3858,  3858,  3858,  3858,  3858,     0,
       0,     0,   932,     0,     0,     0,  1004,     0,     0,     0,
       0,  2217,     0,  3206,     0,     0,     0,  5337,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,     0,     0,   925,
       0,   932,     0,     0,     0,     0,     0,     0,     0,  1591,
       0,    69,     0,     0,     0,     0,     0,     0,  4769,     0,
       0,     0,     0,  3858,  3858,     0,     0,     0,   925,     0,
       0,     0,     0,     0,     0,   757,     0,     0,     0,  3891,
       0,  2081,   927,     0,   289,     0,     0,  2082,  2586,     0,
       0,  2587,     0,     0,  2099,  2588,  2589,  2590,  1004,     0,
       0,     0,  2083,     0,     0,   751,     0,     0,     0,     0,
       0,  1157,   923,  3128,     0,     0,     0,  1157,     0,     0,
       0,     0,  1157,  3129,     0,     0,     0,     0,     0,     0,
    3130,     0,  2084,     0,     0,     0,     0,   933,   927,     0,
       0,   926,   933,  1591,   933,     0,   923,     0,     0,  5987,
    5988,     0,     0,   289,  5991,  5992,  3131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   927,     0,     0,
     933,  1591,     0,     0,     0,     0,     0,     0,     0,   923,
       0,     0,     0,     0,     0,  2586,     0,     0,  2587,  2085,
       0,     0,  2588,  2589,  2590,     0,  2086,   926,  4514,     0,
    2087,     0,     0,     0,     0,     0,  4523,     0,     0,     0,
    3128,     0,     0,     0,     0,     0,   757,     0,     0,   757,
    3129,  1361,     0,  4538,     0,     0,   926,  3130,  2088,     0,
    1393,     0,     0,  4544,     0,     0,  4545,     0,  4546,  4547,
       0,     0,  4549,     0,  1415,     0,  4552,     0,  4553,     0,
       0,  4555,     0,  3131,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2089,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3132,     0,     0,     0,     0,  3133,
       0,     0,   747,  1004,     0,     0,     0,     0,   747,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     747,     0,  3134,  2780,     0,     0,     0,     0,     0,   757,
     757,     0,     0,  1591,     0,     0,     0,     0,     0,  4769,
     757,     0,     0,  4769,     0,     0,     0,  1004,  1004,  4597,
    3135,     0,     0,     0,     0,     0,     0,   757,     0,     0,
       0,     0,     0,     0,  2090,     0,     0,     0,  2091,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2092,   289,
     289,  5736,  1591,     0,     0,  1591,  1004,  1004,  2093,     0,
       0,  3132,     0,  2847,     0,     0,  3133,  1004,     0,     0,
    2094,     0,     0,     0,     0,     0,     0,     0,  3136,     0,
       0,  3137,     0,     0,     0,     0,     0,     0,     0,  3134,
    2780,     0,     0,     0,     0,  2586,     0,     0,  2587,     0,
       0,     0,  2588,  2589,  2590,     0,  3858,     0,     0,     0,
       0,     0,  2095,     0,     0,  2096,  2097,  3135,     0,     0,
    3128,     0,     0,     0,   757,     0,     0,   933,     0,     0,
    3129,     0,     0,     0,     0,     0,     0,  3130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2098,     0,     0,
       0,     0,  4489,  1004,     0,     0,     0,     0,     0,     0,
    2847,     0,     0,  3131,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,  3138,  3136,  2051,     0,  3137,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,  6195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2052,     0,     0,  1004,     0,     0,  1004,     0,
    2099,     0,     0,     0,     0,     0,  1004,  1004,     0,  1591,
       0,     0,     0,  1004,  1004,     0,     0,     0,  1004,     0,
       0,     0,     0,  1004,     0,     0,  1004,  1004,     0,     0,
       0,   747,   747,  1004,     0,     0,     0,  2081,     0,     0,
       0,     0,     0,  2082,  1004,     0,  1157,     0,     0,     0,
    1004,  3138,     0,     0,     0,  2053,     0,     0,  1004,     0,
    3046,  3132,  1004,     0,     0,     0,  3133,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,  4658,     0,  4659,     0,     0,     0,  2084,  3134,
    2780,     0,  2054,     0,     0,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,    76,     0,     0,     0,  4872,     0,  3135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5839,     0,     0,     0,     0,  1591,  4490,     0,     0,
       0,     0,  2055,     0,     0,  2085,     0,     0,     0,   757,
       0,     0,  2086,     0,  1004,     0,  2087,  3046,     0,     0,
    2847,     0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,  3136,     0,     0,  3137,     0,
       0,  4660,     0,  5876,  2088,     0,  2057,     0,     0,  1591,
       0,     0,     0,     0,     0,  4933,     0,  4935,     0,     0,
       0,     0,     0,     0,     0,     0,   757,     0,     0,     0,
       0,  1591,     0,     0,     0,     0,     0,     0,   757,  2059,
    2089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,  1004,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   757,     0,     0,     0,     0,  4116,     0,  2586,
       0,     0,  2587,  4124,   141,     0,  2588,  2589,  2590,  2061,
       0,  3138,  4769,     0,     0,     0,     0,  4769,  2062,   749,
    4769,     0,     0,  1591,  3128,     0,   921,  2063,     0,     0,
       0,     0,     0,     0,  3129,  3326,     0,     0,     0,     0,
    2188,  3130,     0,     0,  2091,     0,     0,     0,  2065,  1004,
    4166,     0,     0,     0,  2092,     0,     0,  2066,     0,     0,
     921,     0,  2067,     0,  2093,  1004,     0,  3131,     0,     0,
     933,     0,     0,     0,     0,     0,  2094,     0,     0,  1199,
       0,  5038,     0,  4492,  1157,  1199,  1199,  5045,     0,   757,
       0,     0,     0,   921,     0,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3046,  3306,  2068,
       0,  2096,  2097,  4493,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,     0,
       0,  4711,     0,  1591,     0,  1591,     0,     0,     0,     0,
       0,     0,     0,  3307,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3132,   757,     0,     0,   289,
    3133,     0,  6591,     0,     0,     0,     0,     0,     0,  1358,
     751,     0,   289,     0,     0,     0,     0,  1358,     0,   751,
    1358,     0,  1004,  3134,  2780,     0,     0,     0,     0,     0,
     289,     0,  1004,   751,     0,  1004,  2099,     0,  1004,  1004,
    1004,     0,     0,     0,   289,     0,     0,     0,     0,     0,
       0,  3135,   751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,  1004,     0,     0,  1004,  4393,  2081,
       0,   751,     0,     0,     0,  2082,     0,   751,     0,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,   751,
       0,  1004,     0,     0,  2847,     0,  1004,     0,     0,  1004,
    1004,     0,     0,     0,     0,     0,  5222,  1004,  5224,  3136,
    5226,     0,  3137,     0,     0,  6686,     0,     0,     0,   751,
    2084,     0,     0,     0,  4769,     0,     0,     0,  1004,     0,
       0,  1004,     0,  1358,   751,     0,     0,   757,     0,   757,
    1358,     0,   751,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   751,     0,     0,     0,
       0,  1004,     0,     0,     0,     0,     0,     0,  3858,     0,
       0,     0,   751,     0,     0,     0,     0,  2085,     0,     0,
       0,     0,     0,     0,  2086,     0,  1591,   757,  2087,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,  3138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2088,     0,     0,     0,
       0,     0,   747,     0,     0,     0,     0,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,   933,     0,     0,
       0,     0,  1004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2089,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   751,
       0,  4769,     0,   289,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4591,     0,     0,     0,     0,     0,
       0,   923,     0,     0,     0,     0,   751,     0,     0,  4601,
       0,     0,     0,  1004,  4606,     0,  1591,     0,   751,     0,
       0,  3046,     0,     0,     0,     0,     0,     0,     0,     0,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,
       0,     0,  2090,  3887,  4632,     0,  2091,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,  2092,     0,     0,     0,
     751,   751,     0,     0,     0,     0,  2093,  1004,     0,     0,
       0,  1004,     0,  1004,     0,     0,     0,     0,  2094,     0,
       0,     0,     0,     0,     0,  2579,     0,  1004,     0,  1004,
       0,     0,     0,  1004,     0,     0,     0,     0,     0,  1004,
     289,  2081,     0,  1004,     0,     0,     0,  2082,     0,  1591,
    1004,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3388,     0,     0,  2096,  2097,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2084,     0,     0,  3389,  1004,     0,     0,     0,
       0,     0,  1591,     0,     0,     0,     0,  1591,  1591,     0,
       0,     0,  1004,     0,     0,     0,     0,     0,  1004,  1004,
     757,     0,     0,   923,     0,     0,     0,     0,     0,     0,
     751,     0,     0,     0,   757,     0,  3503,     0,     0,     0,
    3858,  1358,     0,     0,     0,  1358,     0,  1358,     0,  2085,
       0,     0,     0,     0,  1004,     0,  2086,     0,     0,     0,
    2087,     0,  1004,     0,     0,   933,  3858,     0,  2099,     0,
       0,     0,     0,     0,   996,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   754,     0,  2088,     0,
    1004,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1591,  1591,     0,     0,  2089,     0,     0,  3582,     0,     0,
    1159,     0,     0,     0,     0,  3599,     0,     0,  1159,     0,
       0,     0,  6593,  3503,     0,     0,  1004,   933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,     0,     0,  7027,     0,  1004,  1004,  1004,
       0,     0,     0,  1004,     0,     0,  1004,  4877,     0,     0,
       0,     0,     0,     0,     0,  4880,     0,  1004,     0,     0,
       0,     0,  2586,     0,  1004,  2587,     0,     0,     0,  2588,
    2589,  2590,   751,     0,  2188,     0,     0,     0,  2091,     0,
     289,     0,  1004,     0,     0,     0,     0,  3128,  2092,  1004,
       0,  7027,     0,     0,     0,     0,  3679,  3129,  2093,     0,
       0,     0,     0,     0,  3130,   289,   921,     0,  1004,     0,
    2094,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    7027,     0,     0,  3503,     0,     0,     0,     0,     0,     0,
    3131,     0,     0,   933,   749,     0,   757,     0,     0,     0,
       0,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     0,     0,  2096,  2097,   749,     0,  4976,
       0,  4978,     0,     0,     0,     0,     0,  2081,     0,   751,
       0,     0,     0,  2082,     0,     0,   749,     0,     0,  3858,
       0,     0,     0,     0,     0,     0,   751,  2098,     0,     0,
    1004,   751,     0,     0,     0,   749,     0,     0,     0,     0,
       0,   749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,  5770,     0,     0,  5772,  2084,  6946,
       0,  2586,     0,     0,  2587,     0,     0,     0,  2588,  2589,
    2590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,     0,  1004,  3128,  5787,  3132,     0,
       0,     0,     0,  3133,     0,     0,  3129,  5039,   749,     0,
    2099,  1004,   933,  3130,     0,  1591,   749,     0,     0,     0,
    1004,     0,  1004,     0,  1004,  2085,  3134,  2780,     0,     0,
     749,     0,  2086,     0,     0,     0,  2087,     0,   757,  3131,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,  5061,  1004,     0,  3135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2088,   757,     0,     0,     0,     0,
       0,     0,     0,     0,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,     0,   751,     0,     0,     0,     0,
       0,     0,     0,   751,   751,     0,     0,  2847,     0,  3128,
    2089,     0,     0,   289,   749,     0,     0,  1004,     0,  3129,
       0,     0,  3136,     0,     0,  3137,  3130,  1004,     0,     0,
       0,     0,     0,     0,     0,  1004,  1004,     0,     0,     0,
       0,  1004,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1199,  3131,   749,  3858,  1199,     0,     0,     0,     0,
       0,  4166,   923,     0,     0,     0,     0,  3132,  1004,     0,
       0,   751,  3133,     0,  6895,   921,     0,     0,  1004,     0,
     749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2188,     0,   749,     0,  2091,  3134,  2780,     0,     0,     0,
       0,     0,     0,     0,  2092,     0,     0,  5205,   923,     0,
       0,     0,     0,   757,  2093,     0,     0,     0,  3138,     0,
       0,  5936,     0,  3135,     0,     0,  2094,     0,     0,     0,
       0,     0,     0,     0,   749,   749,   923,     0,  1004,     0,
       0,     0,     0,     0,  1004,  2586,     0,     0,  2587,     0,
       0,     0,  2588,  2589,  2590,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,     0,     0,  2847,     0,  4152,  1004,
    3132,  2096,  2097,     0,     0,  3133,     0,  5974,  5975,  1004,
    3129,  3136,  1004,  6895,  3137,  1004,     0,  3130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3134,  2780,
       0,  6886,     0,  2098,     0,     0,     0,     0,     0,  5276,
       0,     0,  1004,  3131,   750,     0,     0,     0,     0,     0,
       0,   922,     0,     0,  3046,     0,  3135,     0,     0,     0,
       0,  1199,  1199,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,     0,     0,  4652,     0,     0,     0,
       0,     0,     0,     0,     0,   922,  1004,   921,     0,     0,
    1004,  5308,     0,     0,   749,  1004,     0,     0,     0,  2847,
       0,  6018,  6019,     0,  1200,     0,  2099,  3138,  1004,     0,
    1200,  1200,     0,     0,  3136,   933,  5329,  3137,   922,     0,
       0,     0,  1591,     0,  2081,     0,     0,     0,     0,  2081,
    2082,     0,     0,     0,     0,  2082,     0,     0,     0,     0,
       0,     0,  3858,     0,     0,  3858,     0,     0,  3858,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
    1004,  3132,     0,     0,     0,   751,  3133,  1004,     0,     0,
       0,   933,     0,     0,     0,  2084,     0,     0,     0,     0,
    2084,     0,     0,     0,     0,     0,  1004,  1004,     0, -3723,
   -3723,     0,     0,     0,     0,     0,     0,     0,   751,     0,
     933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3138,     0,     0,  3046,     0,     0,     0,  3135,     0,     0,
       0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,     0,  2085,   923,  6114,  5075,     0,  2085,     0,  2086,
       0,     0,     0,  2087,  2086,  6117,  6118,     0,  2087,     0,
       0,     0,     0,     0,     0,     0,   751,     0,     0,     0,
   -3723,     0,     0,     0,   751,  6123,   749,     0,     0,     0,
       0,  2088,   751,     0,     0,  3136,  2088,     0,     0,     0,
       0,     0,     0,     0,  1345,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,     0,     0,     0,
       0,  1357,     0,     0,  1357,     0,     0,  2089,     0,     0,
       0,     0,  2089,     0,  1159,     0,  3046,     0,     0,     0,
       0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,     0,     0,  5277,     0,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,  1358,  1358,     0,   751,   751,     0,     0,     0,     0,
       0,     0,     0,   749,     0,     0,  1358,     0,   751,  1358,
       0,  3138,     0,     0,     0,     0,     0,     0,     0,     0,
     749,   751,   751,     0,     0,   749,   747,  2188,     0,     0,
       0,  2091,  2188,     0,     0,     0,  2091,     0,     0,     0,
       0,  2092,     0,     0,     0,     0,  2092,     0,  1345,     0,
       0,  2093,  4058,     0,     0,     0,  2093,  1357,     0,     0,
       0,     0,     0,  2094,  1357,     0,     0,  1357,  2094,  1159,
    4074,     0,     0,     0,     0,     0,  4078,  1358,     0,     0,
    4081,  1358,  1358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4100,  4343,     0,     0,  2096,  2097,
    4890,     0,     0,  2096,  2097,     0,     0,  3046,     0,     0,
       0,     0,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,  4142,     0,
    4344,     0,     0,     0,     0,  4891,  1159,     0,  1159,     0,
    1159,     0,     0,     0,     0,     0,  1159,     0,   747,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,     0,     0,     0,     0,     0,   749,   749,     0,
       0,     0,  1159,  1159,     0,  5680,  1159,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4201,     0,     0,     0,
       0,     0,   923,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2099,     0,     0,     0,     0,  2099,     0,
       0,  4230,     0,     0,     0,  2586,     0,  4239,  2587,     0,
       0,     0,  2588,  2589,  2590,     0,   921,     0,     0,     0,
       0,  4249,     0,     0,     0,   749,  2586,     0,   747,  2587,
    3128,  4262,     0,  2588,  2589,  2590,     0,  4267,     0,     0,
    3129,     0,     0,     0,     0,     0,  2586,  3130,     0,  2587,
       0,  3128,     0,  2588,  2589,  2590,     0,  4280,     0,     0,
       0,  3129,   921,  4283,     0,     0,     0,     0,  3130,     0,
    4291,  3128,     0,  3131,     0,     0,     0,     0,     0,     0,
       0,  3129,     0,     0,  4306,     0,     0,     0,  3130,     0,
     921,   754,   754,     0,  3131,     0,  1970,     0,  4332,     0,
       0,  1199,     0,     0,     0,     0,     0,     0,     0,   747,
       0,     0,  6464,     0,  3131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1199,     0,     0,     0,     0,     0,     0,     0,
    1159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6501,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1345,
       0,  3132,     0,     0,     0,  1357,  3133,     0,  1199,  1357,
       0,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3132,     0,     0,  1199,     0,  3133,     0,  3134,
    2780,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3132,     0,     0,     0,     0,  3133,     0,     0,
    3134,  2780,     0,     0,     0,     0,     0,  3135,     0,  2586,
       0,     0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,
    3134,  2780,     0,     0,  2332,     0,  2334,  2335,  3135,     0,
       0,     0,     0,     0,  3128,     0,     0,     0,     0,     0,
       0,     0,  6596,     0,  3129,     0,     0,     0,  3135,   749,
    2847,  3130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,  3137,     0,
       0,  2847,     0,     0,     0,     0,     0,  3131,  5937,     0,
       0,   922,   749,     0,     0,     0,  3136,     0,     0,  3137,
       0,  2847,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,     0,   750,
       0,     0,     0,     0,     0,     0,     0,   921,   750,  4576,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5973,   750,     0,     0,     0,     0,     0,     0,  4592,
     749,     0,     0,     0,     0,     0,  4576,     0,   749,     0,
       0,   750,     0,  5989,     0,     0,   749,     0,     0,     0,
       0,  3138,     0,     0,     0,     0,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,   750,     0,     0,     0,
       0,     0,  3138,     0,     0,     0,     0,     0,   750,     0,
       0,     0,     0,     0,     0,  3132,     0,     0,     0,     0,
    3133,     0,  3138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   750,     0,
       0,     0,     0,  3134,  2780,  6017,     0,     0,     0,     0,
       0,     0,     0,   750,     0,     0,     0,     0,   749,   749,
       0,   750,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3135,   749,     0,     0,   750,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   749,   749,  3046,     0,     0,
       0,   750,     0,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,  3046,  5350,
       0,     0,     0,     0,  2847,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,  3046,  3136,
    5468,     0,  3137,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,   750,
       0,     0,     0,     0,     0,   751,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6101,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,     0,     0,     0,     0,  1200,     0,   750,     0,
    1200,     0,     0,     0,     0,     0,     0,     0,     0,   751,
       0,     0,     0,     0,   923,   751,     0,     0,     0,   751,
     922,     0,     0,     0,     0,   750,     0,     0,   751,     0,
       0,     0,     0,     0,     0,  3138,     0,   750,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,  1159,
       0,     0,     0,     0,  1159,  1159,     0,     0,     0,     0,
    1358,     0,  1358,  1358,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   921,   751,     0,   750,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6917,     0,     0,     0,   751,   751,     0,
       0,     0,     0,     0,  4874,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   754,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   923,   751,     0,     0,   923,     0,
       0,  3046,     0,     0,     0,     0,     0,     0,     0,     0,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,
     751,     0,   923,  5492,     0,     0,   751,     0,     0,     0,
       0,     0,     0,     0,  1159,     0,  1200,  1200,     0,     0,
     751,     0,     0,     0,     0,     0,  2586,   751,     0,  2587,
     751,     0,     0,  2588,  2589,  2590,   751,     0,     0,     0,
       0,     0,   922,     0,     0,     0,     0,     0,     0,   750,
       0,  3128,     0,  4959,     0,     0,   751,     0,     0,     0,
       0,  3129,   751,     0,     0,     0,     0,  1159,  3130,   751,
       4,     0,     0,     0,     0,     0,     0,  1159,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,     5,
       0,     0,     0,     0,  3131,     0,     0,   751,     0,     6,
       7,     0,   923,     0,     8,     0,     9,    10,   751,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1159,     0,     0,     0,  1159,  1159,     0,     0,   923,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2586,  5054,     0,  2587,     0,     0,     0,
    2588,  2589,  2590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    41,     0,     0,     0,  3128,     0,
       0,     0,  3132,     0,     0,     0,     0,  3133,  3129,     0,
       0,   750,     0,     0,     0,  3130,     0,     0,     0,     0,
    2586,     0,     0,  2587,     0,     0,     0,  2588,  2589,  2590,
    3134,  2780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3131,     0,     0,     0,  3128,     0,     0,     0,     0,
       0,  5039,     0,     0,     0,  3129,     0,     0,  3135,     0,
       0,     0,  3130,     0,     0,     0,  1159,     0,     0,     0,
       0,     0,     0,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3131,     0,
       0,   750,     0,     0,    43,     0,     0,     0,     0,     0,
       0,  2847,     0,     0,  2507,     0,     0,     0,   750,  2507,
    2507,     0,     0,     0,     0,     0,  3136,     0,    44,  3137,
       0,  1345,     0,     0,  1345,   750,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,   751,     0,
     923,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
       0,     0,     0,     0,  3133,  1357,  1357,     0,   751,     0,
       0,     0,     0,     0,     0,   751,  3503,     0,     0,     0,
    1357,     0,  1358,  1357,  1358,  1358,     0,  3134,  2780,     0,
       0,     0,     0,     0,     0,     0,    46,     0,  5242,    47,
       0,     0,  5246,     0,     0,     0,  3132,     0,     0,     0,
       0,  3133,  3138,     0,     0,  3135,     0,     0,     0,     0,
       0,     0,    48,  6576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3134,  2780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1357,     0,     0,     0,  1357,  1357,     0,  2847,     0,
       0,     0,  3135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   923,  3136,   750,     0,  3137,     0,   923,     0,
       0,     0,   750,   750,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   749,
       0,     0,     0,     0,     0,  2847,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,  3046,     0,
    3136,     0,     0,  3137,     0,   749,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,
    5697,   922,     0,   749,     0,     0,     0,     0,   921,   749,
     750,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     0,   749,     0,     0,     0,     0,     0,     0,  3138,
     751,    50,     0,     0,     0,     0,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   922,    51,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    52,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,     0,   922,  3138,     0,     0,     0,
       0,     0,     0,     0,  1199,     0,  1200,     0,     0,     0,
       0,   749,   749,    53,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    54,    55,
      56,    57,    58,    59,     0,     0,    60,    61,    62,    63,
       0,    64,    65,    66,    67,    68,     0,  1200,   921,   749,
       0,     0,   921,     0,     0,  3046,     0,     0,     0,     0,
       0,     0,   751,   751,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,   749,  3527,   921,  6784,     0,     0,
     749,     0,     0,   751,     0,     0,   751,     0,     0,     0,
    5481,     0,     0,     0,   749,     0,     0,     0,     0,  1199,
       0,   749,  3046,  1200,   749,     0,     0,     0,     0,     0,
     749,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
    1200,     0,     0,     0,  5821,     0,     0,     0,     0,     0,
     749,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2586,     0,     0,  2587,   749,     0,     0,
    2588,  2589,  2590,     0,     0,     0,     0,   923,   923,   923,
       0,   749,     0,     0,     0,     0,   921,     0,  3128,     0,
       0,     0,   749,     0,     0,     0,     0,     0,  3129,     0,
       0,     0,   751,     0,   750,  3130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,     0,     0,     0,     0,  2586,     0,     0,  2587,
       0,  3131,     0,  2588,  2589,  2590,     0,   750,     0,     0,
       0,  5606,   751,     0,  5609,     0,     0,     0,     0,     0,
       0,  3128,   921,     0,     0,     0,     0,     0,     0,     0,
       0,  3129,     0,     0,     0,     0,     0,     0,  3130,     0,
       0,     0,   922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2586,     0,     0,  2587,  3131,   750,     0,  2588,  2589,  2590,
       0,     0,     0,   750,     0,     0,     0,     0,     0,     0,
       0,   750,     0,     0,     0,  3128,     0,  2081,     0,     0,
       0,     0,     0,  2082,     0,  3129,     0,     0,     0,     0,
       0,     0,  3130,   751,  2586,     0,     0,  2587,     0,     0,
       0,  2588,  2589,  2590,     0,  5691,     0,     0,     0,  3132,
       0,     0,     0,     0,  3133,     0,     0,     0,  3131,  3128,
       0,     0,  3503,     0,     0,     0,     0,     0,  2084,  3129,
       0,     0,     0,     0,     0,     0,  3130,  3134,  2780,     0,
     923,     0,     0,     0,     0,     0,   751,     0,   751,     0,
       0,     0,     0,   750,   750,     0,     0,     0,     0,     0,
       0,   751,  3131,   751,     0,  3135,     0,   750,     0,     0,
       0,     0,  3132,     0,     0,     0,     0,  3133,     0,     0,
     750,   750,     0,     0,     0,  2085,     0,     0,     0,     0,
       0,     0,  2086,     0,     0,     0,  2087,     0,     0,     0,
    3134,  2780,   749,     0,   921,     0,     0,     0,  2847,     0,
       0,     0,     0,     0,  7036,   755,     0,   821,   821,  4576,
     821,     0,   749,  3136,  2088,     0,  3137,     0,  3135,   749,
       0,     0,     0,     0,   751,     0,  3132,     0,   821,     0,
       0,  3133,   821,     0,     0,     0,     0,     0,   821,   821,
       0,   821,     0,     0,     0,     0,     0,   821,     0,  1160,
    2089,     0,     0,     0,  3134,  2780,     0,  1160,     0,     0,
     821,  2847,     0,     0,     0,     0,     0,     0,     0,     0,
    3132,     0,     0,     0,     0,  3133,  3136,     0,     0,  3137,
       0,     0,  3135,     0,     0,   751,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3134,  2780,
       0,     0,     0,     0,     0,     0,     0,   751,     0,  3138,
       0,   751,     0,     0,     0,     0,   921,     0,     0,     0,
       0,     0,   921,     0,     0,  2847,  3135,     0,     0,     0,
    2188,     0,   751,     0,  2091,     0,     0,     0,     0,     0,
    3136,     0,     0,  3137,  2092,     0,   754,     0,     0,     0,
       0,   922,     0,     0,  2093,     0,     0,     0,     0,     0,
       0,     0,  1970,     0,     0,     0,  2094,     0,     0,  2847,
       0,     0,  3138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3136,     0,     0,  3137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1345,     0,     0,  1357,     0,  1357,  1357,  4961,  1159,
       0,  2096,  2097,     0,   749,  3046,     0,     0,     0,     0,
       0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,  3138,  5858,     0,     0,
     923,     0,     0,  4962,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3046,     0,
    3138,     0,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,
    5862,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5984,     0,     0,     0,     0,  2099,     0,     0,     0,
       0,     0,     0,  5994,     0,     0,   749,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3046,     0,     0,     0,     0,   749,     0,     0,
     749,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,     0,     0,  6145,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2743,     0,     0,     0,     0,     0,
       0,     0,     0,  1159,     0, -2745,  3046,     0,     0,     0,
       0,  1159,     0,     0,  1159,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,     0,     0,  1159,     0,  6156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   751,
       0,     0,     0,     0,     0,     0,     0, -2743,     0,     0,
       0,   921,   921,   921,     0,     0,     0,     0, -2745,     0,
   -2743,     0,     0,     0,     0,     0, -2743,     0,     0,     0,
       0, -2745, -2743,     0,     0,     0,   749, -2745, -2743,     0,
       0, -2743,     0, -2745,     0, -2743,     0,     0,     0, -2745,
       0,     0, -2745,     0,     0,   749, -2745,     0,     0,     0,
       0,   923,     0,     0,     0,     0,   923,     0,   923,     0,
       0,     0,     0,     0,     0, -2743,   749,     0,     0,     0,
    2586,     0,     0,  2587,     0,   996, -2745,  2588,  2589,  2590,
       0,     0,     0,     0,   923,     0,     0,     0,     0,     0,
   -2762,     0,     0,     0,     0,  3128,     0,     0, -2743,     0,
       0,     0,     0,     0,     0,  3129,     0,     0,     0, -2745,
    2586,     0,  3130,  2587,     0,     0,     0,  2588,  2589,  2590,
       0,  4576,     0,     0,     0,     0,     0,     0,     0,     0,
     751,     0,     0,   751,     0,  3128,     0,     0,  3131,     0,
       0,     0,     0, -2762,     0,  3129,     0,     0,     0, -2743,
       0,     0,  3130, -2743,     0,     0, -2762,   749,     0, -2743,
   -2745,     0, -2762,     0, -2745,     0,     0,     0, -2762,     0,
   -2745,     0,     0,     0, -2762,     0,     0, -2762,  3131,     0,
       0, -2762,     0,     0,     0,     0,     0,     0,   821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   921,     0,     0,     0,     0,     0,
     749, -2762,   749,     0,     0,     0,     0,     0,     0, -2743,
       0,     0,     0,   751,   751,   749,     0,   749,     0,     0,
   -2745,     0,     0,     0,   751,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2762,     0,     0,     0,     0,     0,
       0,   751,     0,   821,   821,     0,  3132,     0,  1159,     0,
       0,  3133,  4576,  1345,  4576,     0,  1357,     0,  1357,  1357,
       0,     0,     0,     0,     0,     0,     0,     0,  1175,     0,
       0,     0,     0,     0,  3134,  2780,     0,     0,     0,  1175,
       0,     0,     0,     0,     0, -2762,  3132,     0,   749, -2762,
       0,  3133,     0,     0,     0, -2762,     0,     0, -2743,     0,
       0,     0,  3135,     0,   750,     0,     0,     0,     0, -2745,
       0,     0,   821,     0,  3134,  2780,     0,     0,     0,     0,
       0,     0, -2743,     0, -2743, -2743,     0,     0,     0,     0,
     750,     0,     0, -2745,     0, -2745, -2745,     0,   751,     0,
       0,   923,  3135,     0,     0,  2847, -2743,     0,   750,   749,
       0,     0,     0,   922,   750, -2762,     0, -2745,   750,     0,
    3136,     0,     0,  3137,     0,     0, -2743,   750,     0, -2743,
   -2743,   749, -2743,     0,     0,   749,     0, -2745,     0,     0,
   -2745, -2745,   750, -2745,     0,  2847,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
    3136,     0,     0,  3137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1175,     0,   750,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1200,
     996,     0,     0,   755,     0,     0,   750,   750,     0,     0,
    2586,     0,     0,  2587, -2762,     0,     0,  2588,  2589,  2590,
       0,     0,     0,     0,     0,     0,  3138,     0,     0,     0,
       0,     0,     0,     0,     0,  3128,     0,     0, -2762,     0,
   -2762, -2762,     0,   922,   750,  3129,     0,   922,     0,     0,
       0,  1159,  3130,     0,     0,     0,  2586,     0,     0,  2587,
     996,     0, -2762,  2588,  2589,  2590,  3138,     0,   996,   750,
       0,   922,     0,     0,   921,   750,     0,     0,  3131,     0,
       0,  3128, -2762,     0,     0, -2762, -2762,     0, -2762,   750,
       0,  3129,     0,     0,  1200,     0,   750,     0,  3130,   750,
       0,     0,     0,     0,     0,   750,     0,     0,     0,     0,
       0,  1529,   821,     0,   821,     0,     0,     0,   755,     0,
       0,     0,     0,     0,  3131,   750,     0,     0,     0,     0,
       0,   750,  3046,     0,     0,     0,     0,     0,   750,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,   750,   751,  6166,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   750,     0,     0,     0,
       0,   922,  3046,     0,     0,     0,   821,   750,     0,   821,
     821,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,     0,     0,  6220,   755,  3132,  1160,     0,  1160,
       0,  3133,     0,     0,     0,   755,     0,     0,     0,   821,
     751,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     0,  3134,  2780,     0,     0,     0,     0,
     931,  1160,  1160,     0,     0,   755,     0,   922,     0,     0,
       0,     0,  3132,     0,     0,     0,     0,  3133,  1002,     0,
       0,     0,  3135,   749,     0,     0,   751,     0,     0,     0,
       0,     0,     0,     0,   931,     0,     0,     0,     0,     0,
    3134,  2780,     0,   821,     0,   821,     0,     0,     0,     0,
       0,     0,     0,  1203,     0,     0,     0,     0,     0,  1203,
    1203,     0,     0,     0,     0,  2847,     0,   931,  3135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3136,     0,     0,  3137,     0,   921,     0,     0,     0,     0,
     921,     0,   921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   923,     0,     0,     0,     0,     0,
       0,  2847,     0,     0,     0,     0,     0,     0,   921,     0,
       0,     0,     0,   751,     0,     0,  3136,     0,     0,  3137,
     755,   755,     0,  2586,  1960,     0,  2587,     0,     0,     0,
    2588,  2589,  2590,     0,     0,     0,     0,  2051,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3128,     0,
       0,     0,     0,     0,   749,     0,     0,   749,  3129,     0,
       0,     0,     0,     0,     0,  3130,  3138,     0,     0,     0,
       0,     0,     0,  2052,     0,     0,     0,     0,     0,   755,
       0,     0,     0,     0,     0,     0,     0,   750,     0,   922,
       0,  3131,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   750,     0,     0,
     751,     0,  3138,     0,   750,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1159,     0,     0,     0,  2053,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,   749,     0,
     755,     0,     0,     0,     0,     0,     0,     0,   749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3046,  2054,     0,   749,     0,     0,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,     0,     0,  6251,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
       0,   922,     0,  4576,  3133,     0,     0,   922,  3046,     0,
       0,     0,     0,  2055,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,  3134,  2780,     0,
    6253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,     0,   751,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2056,     0,  3135,     0,  2057,     0,     0,
       0,     0,   749,     0,     0,   921,     0,     0,  2586,     0,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2118,
    2059,   751,     0,  3128,     0,     0,     0,     0,  2847,   750,
       0,  1358,     0,  3129,     0,     0,     0,     0,     0,     0,
    3130,     0,     0,  3136,     0,     0,  3137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1159,     0,
       0,  2119,     0,     0,     0,   141,  3131,     0,     0,     0,
    2061,   923,     0,     0,     0,     0,  1358,     0,     0,  2062,
       0,     0,     0,     0,     0,     0,     0,     0,  2063,     0,
     821,     0,   821,     0,     0,   821,  2120,   821,     0,     0,
     821,   821,   821,     0,     0,     0,  2472,     0,     0,  2065,
       0,     0,     0,   821,     0,     0,     0,     0,  2066,     0,
       0,     0,     0,  2067,     0,     0,     0,     0,   821,     0,
     821,     0,     0,     0,     0,     0,   821,     0,     0,  3138,
       0,   750,   750,  2586,     0,     0,  2587,     0,     0,     0,
    2588,  2589,  2590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   750,     0,     0,   750,     0,     0,  3128,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3129,     0,
    2068,     0,     0,   996,  3132,  3130,   996,     0,     0,  3133,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3131,  3134,  2780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1585,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,     0,     0,
    3135,     0,     0,     0,     0,  3046,   922,   922,   922,     0,
       0,     0,  1585,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,  6292,     0,     0,
       0,   750,     0,     0,     0,     0,     0,     0,     0,  3077,
       0,     0,     0,  2847,     0,     0,     0,     0,     0,     0,
     750,   821,   821,     0,   749,     0,     0,     0,  3136,     0,
       0,  3137,     0,     0,   751,     0,   749,     0,   755,     0,
       0,   750,     0,   755,   755,     0,     0,     0,   751,     0,
       0,     0,     0,     0,     0,     0,   996,     0,     0,  3132,
       0,     0,     0,     0,  3133,     0,     0,     0,  2586,     0,
     749,  2587,     0,     0,     0,  2588,  2589,  2590,     0,   923,
       0,     0,     0,     0,     0,     0,     0,  3134,  2780,     0,
       0,     0,     0,  3128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3129,     0,     0,     0,     0,     0,   821,
    3130,   755,     0,     0,     0,  3135,     0,     0,     0,     0,
       0,  3208,     0,     0,  3138,     0,     0,     0,     0,     0,
       0,     0,   750,     0,     0,     0,  3131,     0,  1159,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   921,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2847,     0,
       0,   923,     0,   755,     0,     0,  1159,   749,     0,     0,
       0,     0,     0,  3136,     0,     0,  3137,     0,     0,   922,
    1159,     0,     0,     0,     0,   750,     0,   750,     0,     0,
     931,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
     750,     0,   750,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,   755,  1002,     0,     0,
       0,     0,     0,     0,     0,  1002,   755,     0,  1002,     0,
    3046,     0,     0,     0,     0,     0,     0,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,  6669,     0,  3132,     0,     0,     0,     0,  3133,
       0,     0,     0,     0,   749,     0,     0,     0,     0,  3138,
       0,     0,     0,   750,     0,     0,     0,   923,     0,     0,
     751,     0,  3134,  2780,     0,   996,   996,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   755,
    3135,     0,     0,   755,   755,     0,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,  1002,     0,   750,     0,     0,  1589,     0,     0,
       0,  1002,     0,     0,  1585,     0,     0,     0,  1002,     0,
       0,  1002,     0,  2847,     0,     0,   750,  1159,     0,     0,
     750,     0,     0,  1589,     0,     0,     0,     0,  3136,     0,
       0,  3137,     0,     0,     0,  3046,     0,     0,     0,     0,
       0,   750,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,  6680,     0,     0,
       0,     0,     0,     0,     0,   749,   923,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1159,   755,     0,     0,     0,     0,
       0,     0,   751,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,     0,     0,     0,     0,  1358,     0,     0,     0,
       0,     0,     0,     0,     0,   749,     0,     0,     0,   751,
       0,     0,     0,     0,  3138,     0,     0,     0,  1002,  1002,
       0,     0,     0,     0,     0,  1203,     0,     0,     0,  1203,
       0,     4,     0,     0,     0,     0,     0,     0,     0,   922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,   921,  1002,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,  1358,
    1358,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,   996,     0,     0,    37,
     996,    38,    39,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3046,     0,     0,     0,  1585,     0,  2051,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,  6703,     0,     0,     0,     0,   751,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2052,     0,     0,    41,   821,     0,   821,     0,
       0,     0,   821,     0,   821,     0,     0,   821,     0,     0,
       0,   821,  2586,     0,     0,  2587,  3077,     0,     0,  2588,
    2589,  2590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1203,  1203,  3128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3129,   750,     0,
       0,     0,     0,     0,  3130,  2053,     0,     0,     0,  1002,
    1002,   931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,    42,     0,  1159,     0,  1589,  1002,
    3131,     0,  1159,  1002,     0,  1002,     0,  1159,     0,  1589,
       0,     0,  2054,     0,     0,    43,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
     922,     0,     0,     0,     0,   922,     0,   922,   749,    44,
       0,     0,     0,     0,     0,  3103,     0,     0,     0,     0,
       0,     0,   749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2055,   922,    45,     0,     0,     0,  1002,   923,
    1002,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2056,     0,     0,     0,  2057,     0,     0,   750,
       0,     0,   750,  6043,     0,     0,     0,    46,  3132,  1589,
      47,     0,     0,  3133,     0,   923,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2135,  2059,
    1358,  1358,     0,    48,   996,     0,  3134,  2780,     0,     0,
       0,     0,     0,     0,   923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   921,     0,     0,     0,     0,
       0,     0,     0,     0,  3135,     0,     0,  1585,     0,     0,
    2136,     0,     0,     0,   141,     0,     0,     0,     0,  2061,
       0,     0,     0,     0,     0,     0,     0,     0,  2062,  1002,
       0,     0,   750,   750,     0,     0,     0,  2063,     0,     0,
       0,     0,     0,   750,     0,  2137,     0,  2847,  2586,     0,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,  2065,     0,
     750,     0,  3136,     0,     0,  3137,     0,  2066,    49,     0,
       0,     0,  2067,  3128,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,  3129,     0,  1589,     0,     0,     0,     0,
    3130,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   921,  1585,     0,   749,     0,  3131,     0,     0,     0,
    1002,     0,    50,     0,     0,     0,     0,     0,     0,  2068,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    51,
       0,     0,     0,     0,     0,  1585,     0,     0,     0,     0,
       0,     0,   996,     0,    52,     0,     0,   750,  3138,   996,
     922,  1002,     0,     0,   996,     0,     0,   996,  6185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
    1002,  1002,  1002,     0,  1002,     0,   996,     0,     0,    54,
      55,    56,    57,    58,    59,     0,     0,    60,    61,  1636,
    2438,     0,     0,     0,    66,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   996,
       0,     0,     0,     0,  3132,     0,     0,     0,     0,  3133,
     921,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,     0,  3134,  2780,  3046,  1357,   749,     0,  1585,     0,
       0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,     0,     0,  1585,     0,  6933,     0,     0,     0,
    3135,  1159,     0,   749,  1002,     0,     0,  2586,  1002,  1002,
    2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,     0,
    1357,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,  3128,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3129,  2847,     0,     0,     0,     0,  1585,  3130,
       0,     0,     0,     0,     0,     0,     0,     0,  3136,     0,
       0,  3137,     0,     0,     0,     0,     0,     0,     0,     0,
    1585,     0,  2472,     0,     0,  3131,     0,     0,     0,  3966,
       0,   996,     0,  1585,     0,     0,     0,     0,     0,  3208,
       0,     0,     0,     0,     0,  1585,     0,     0,  1589,     0,
       0,     0,     0,     0,   931,     0,     0,     0,     0,     0,
       0,     0,   750,     0,     0,  1203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1585,  1585,     0,     0,     0,
       0,   749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3138,     0,  1203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,     0,     0,   750,
       0,   996,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   750,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3132,     0,     0,     0,     0,  3133,  2586,
       0,     0,  2587,  1589,     0,   755,  2588,  2589,  2590,     0,
       0,  4048,  1203,  1960,     0,   750,   821,     0,     0,     0,
       0,  3134,  2780,     0,  3128,     0,     0,     0,     0,  1203,
       0,     0,     0,     0,  3129,     0,  1589,     0,     0,     0,
       0,  3130,     0,     0,     0,     0,     0,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3046,     0,     0,     0,     0,     0,     0,  3131,   755,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,  6950,     0,     0,     0,     0,     0,     0,     0,
    6536,     0,  2847,   922,     0,     0,     0,     0,  1585,  1159,
       0,     0,     0,     0,     0,     0,     0,  3136,     0,     0,
    3137,     0,   750,   921,     0,     0,     0,     0,   996,  1002,
    1002,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1346,  1348,     0,
       0,  1351,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
    4689,  1401,     0,     0,     0,     0,  4690,     0,  1411,   921,
       0,   931,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3132,     0,     0,     0,     0,
    3133,     0,     0,     0,     0,     0,     0,  1472,   921,  1475,
       0,   996,  1477,  3138,     0,     0,     0,  6592,     0,   750,
       0,     0,     0,  3134,  2780,     0,  1502,     0,     0,     0,
       0,     0,  1506,     0,     0,     0,     0,     0,     0,  1589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     996,  3135,   755,     0,     0,  1002,     0,     0,  1002,     0,
     755,  1589,     0,   755,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,  1589,   755,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,     0,     0,     0,
       0,     0,     0,     0,  2847,     0,     0,     0,     0,  1002,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,  3136,
       0,     0,  3137,     0,  1002,     0,     0,  1002,     0,  3046,
       0,     0,     0,     0,     0,     0,  1589,  1589,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,
       0,  7038,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   996,     0,
     750,     0,   750,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,  1002,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4691,     0,     0,     0,     0,
     750,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,  1002,
       0,     0,     0,     0,  1002,  1002,     0,     0,     0,     0,
       0,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,     0,     0,     0,  1002,     0,  1002,
     922,  1002,  1002,  1002,  1002,  1002,  1002,     0,     0,  1002,
    1357,  1002,  1002,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
    1002,  1002,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
     931,  3046,     0,     0,     0,     0,     0,     0,     0,     0,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,
       0,     0,     0,     0,     0,   996,     0,     0,     0,   821,
    2472,     4,     0,  1357,  1357,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   755,     0,     0,
       5,  2109,  2110,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
       0,    38,    39,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   996,     0,  2269,     0,
       0,     0,   996,     0,     0,  1002,     0,     0,     0,     0,
    2586,     0,     0,  2587,     0,     0,     0,  2588,  2589,  2590,
    6951,     0,     0,     0,     0,    41,     0,     0,  2291,  2292,
       0,     0,     0,     0,     0,  3128,     0,     0,     0,  3994,
       0,     0,     0,   750,     0,  3129,     0,     0,     0,     0,
       0,     0,  3130,     0,  2329,  2586,     0,   750,  2587,  1002,
       0,     0,  2588,  2589,  2590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3131,     0,
    3128,     0,     0,     0,     0,     0,     0,     0,   922,     0,
    3129,     0,     0,     0,     0,     0,     0,  3130,     0,     0,
       0,     0,     0,     0,    42,  1585,     0,     0,     0,  1585,
    1585,     0,     0,     0,     0,  1002,     0,     0,  7008,     0,
       0,     0,     0,  3131,     0,    43,     0,     0,     0,     0,
    3995,     0,     0,     0,     0,  3208,   996,     0,     0,     0,
     755,     0,     0,  2405,  2407,     0,     0,     0,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1585,     0,     0,     0,
     922,     0,  1585,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  7008,     0,
       0,     0,     0,     0,     0,  7065,  3132,     0,     0,     0,
       0,  3133,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,  1357,     0,     0,     0,  1585,
       0,     0,     0,     0,  3134,  2780,     0,    46,     0,     0,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3132,     0,     0,     0,     0,  3133,     0,     0,     0,
       0,     0,  3135,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3134,
    2780,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   922,     0,     0,   750,
       0,     0,     0,     0,     0,  2847,     0,  3135,     0,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,     0,  1002,
    3136,  1588,     0,  3137,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
    2847,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,  3137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,  1002,  5342,     0,  1002,     0,  1002,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,  2586,  3138,  1002,  2587,     0,
       0,     0,  2588,  2589,  2590,   922,  1002,  1002,     0,    51,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
    3128,     0,     0,     0,    52,     0,     0,     0,     0,     0,
    3129,   750,     0,     0,     0,     0,     0,  3130,     0,     0,
       0,  3138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,   750,     0,
    5343,  3996,     0,  3131,     0,     0,     0,     0,     0,    54,
      55,    56,    57,    58,    59,     0,  1589,    60,    61,  1636,
    1589,  1589,     0,     0,    66,  1637,     0,     0,     0,     0,
    1585,     0,   931,     0,  1585,     0,     0,     0,     0,     0,
       0,     0,  3046,     0,     0,     0,     0,     0,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,  1589,  1002,     0,
    1002,  1002,     0,  1589,     0,     0,     0,  3046,     0,     0,
       0,   755,     0,     0,     0,  6769,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,  1203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3132,     0,     0,     0,     0,  3133,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,   750,  3324,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3134,
    2780,     0,   931,     0,     0,     0,   931,     0,   821,     0,
       0,     0,  3369,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1585,     0,     0,     0,  3135,     0,     0,
     931,     0,     0,  2236,     0,     0,     0,     0,  1585,     0,
       0,     0,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,  1588,  1203,     0,     0,     0,   821,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
    2847,  1079,     0,  1585,     0,     0,  3785,     0,     0,  1588,
       0,     0,     0,     0,     0,  3136,     0,  3457,  3137,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6770,     0,     0,     0,  3483,  3484,  3485,
    3486,     0,     0,     0,     0,     0,     0,  1082,  3786,     0,
     931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1083,     0,     0,   755,     0,     0,
       0,     0,     0,     0,  1002,  1002,  1002,     0,   922,     0,
    1002,     0,  1445,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,  3138,  3540,  3541,     0,     0,  3787,  1002,  1589,     0,
       0,     0,     0,     0,     0,     0,   931,     0,  3558,  1086,
       0,     0,     0,     0,     0,     0,     0,     0,  1087,     0,
       0,     0,     0,     0,   922,     0,     0,     0,     0,     0,
       0,  1088,     0,     0,     0,     0,     0,  3788,     0,  1002,
       0,     0,  3601,  3602,  3603,  3604,     0,     0,     0,     0,
       0,     0,     0,   922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,  1589,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3046,  1002,     0,
       0,     0,  3789,     0,     0,     0,  3047,  3048,  3049,  3050,
    3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,  1588,
       0,     0,     0,  1585,  1092,     0,  1585,     0,  1585,     0,
       0,     0,     0,  1585,     0,     0,     0,     0,  2586,     0,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3700,     0,  3128,     0,     0,  4617,  3704,     0,     0,
       0,     0,     0,  3129,     0,     0,  1585,     0,     0,     0,
    3130,     0,     0,     0,  1585,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   931,     0,
       0,     0,  4048,     0,   972,  3790,  3131,     0,  1097,  1585,
    2586,     0,     0,  2587,  1589,     0,     0,  2588,  2589,  2590,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,  1589,
    1002,     0,  1002,  1002,  1589,  3128,  1452,     0,     0,  3791,
       0,     0,  1002,     0,     0,  3129,  1101,  1002,     0,     0,
       0,     0,  3130,  1102,     0,     0,  1103,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1104,     0,  3131,     0,
       0,     0,     0,     0,  1454,     0,     0,     0,  1585,     0,
    1585,  1106,     0,     0,  1455,     0,  1002,  1002,  1002,  1108,
       0,  1002,     0,     0,     0,     0,     0,   755,     0,  1002,
    1002,  1002,  1002,     0,  3792,     0,     0,     0,     0,     0,
     931,     0,     0,     0,  3132,  1002,   931,     0,  1002,  3133,
    1002,     0,     0,     0,     0,   755,     0,     0,     0,     0,
       0,  1113,  1002,  1002,     0,     0,  1002,     0,     0,   755,
       0,     0,  3134,  2780,     0,     0,     0,     0,     0,     0,
     755,     0,     0,     0,     0,     0,     0,  1002,     0,  1002,
       0,  1002,     0,     0,     0,     0,  3902,     0,     0,     0,
    3135,     0,     0,     0,     0,     0,  1585,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,  3132,     0,     0,     0,
       0,  3133,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3244,  2847,  3134,  2780,     0,     0,     0,     0,
    1585,     0,     0,     0,     0,  1002,     0,     0,  3136,     0,
       0,  3137,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,  3135,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3244,     0,     0,     0,     0,  2847,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,  1589,     0,  1589,
    3136,     0,     0,  3137,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   755,  1588,     0,     0,
    1585,     0,     0,     0,  3138,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,     0,     0,     0,     0,  1589,     0,     0,
    1588,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1585,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,   755,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   931,   931,   931,     0,     0,
    3046,     0,     0,  2236,  2236,  2236,     0,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
       0,  1589,  1588,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4626,  3046,     0,     0,     0,     0,     0,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
    1585,     0,     0,     0,     0,     0,     0,     0,  2586,     0,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,
       0,     0,     0,  1588,     0,  1585,     0,     0,     0,     0,
       0,     0,     0,  3128,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,  3129,     0,  1588,     0,  3208,     0,     0,
    3130,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
    1588,     0,  1002,     0,     0,     0,  3131,     0,     0,     0,
       0,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   931,  1589,
    1588,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3902,     0,     0,     0,   755,  2586,     0,     0,  2587,
       0,   755,     0,  2588,  2589,  2590,   755,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,  3128,     0,     0,  4694,     0,     0,     0,     0,     0,
       0,  3129,     0,     0,     0,     0,     0,     0,  3130,     0,
       0,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
    1585,     0,     0,     0,  3132,     0,     0,     0,     0,  3133,
       0,     0,     0,  1589,  3131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3134,  2780,     0,     0,     0,  1589,     0,     0,
       0,  2236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2236,     0,     0,  2236,     0,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1585,     0,     0,     0,     0,     0,
       0,     0,     0,  2847,     0,     0,     0,     0,     0,     0,
       0,     0,  4125,     0,     0,     0,     0,     0,  3136,     0,
       0,  3137,  1585,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3132,     0,     0,     0,  1002,  3133,     0,  1589,
       0,  4662,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
    3134,  2780,     0,  1002,  1002,  1002,     0,     0,     0,     0,
    1002,     0,     0,  1002,     0,     0,  1002,     0,     0,     0,
       0,     0,  1002,     0,  1002,     0,     0,  1002,  3135,     0,
       0,  1589,  1002,  1002,  1002,  1002,     0,     0,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,     0,     0,
       0,  1002,  1002,  1002,  3138,     0,  1589,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,  1002,     0,   931,     0,
    1002,  2847,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,  1002,     0,  1002,     0,     0,  3136,     0,     0,  3137,
       0,     0,     0,     0,  4274,     0,     0,  4277,     0,  1002,
       0,     0,  1002,  1002,  1585,     0,     0,  1002,  1002,     0,
       0,     0,  1002,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1585,     0,     0,  1585,     0,     0,     0,
    3046,     0,     0,     0,     0,     0,     0,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,  3138,     0,     0,   821,  4372,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4385,
       0,     0,     0,     0,     0,  1002,     0,  4394,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4438,     0,     0,     0,
     755,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4466,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3046,     0,
       0,     0,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,   931,
       0,     0,     0,     0,   931,  1589,   931,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1585,     4,  4540,     0,  4542,     0,     0,     0,     0,     0,
       0,     0,   931,  1589,   821,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
       0,    38,    39,     0,     0,     0,     0,    40,  2236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4600,     0,     0,     0,
       0,     0,     0,  4607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,     0,  1585,     0,  2586,
       0,     0,  2587,     0,     0,    41,  2588,  2589,  2590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3128,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,  3129,     0,     0,     0,     0,  1002,
    1002,  3130,     0,     0,     0,     0,     0,     0,     0,     0,
    1585,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3131,     0,     0,
       0,     0,  1585,     0,  1589,     0,     0,  1589,  1002,  1002,
       0,     0,     0,     0,    42,     0,     0,     0,   755,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,    43,     0,     0,     0,     0,
    4063,     0,     0,     0,  3244,  4069,     0,     0,     0,     0,
       0,  1169,     0,     0,  1172,     0,     0,     0,  1180,    44,
       0,     0,     0,     0,  1189,     0,  1209,     0,  1212,     0,
       0,     0,     0,     0,  1585,  1245,     0,     0,     0,   931,
    1250,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4699,     0,     0,     0,
       0,  1588,     0,     0,     0,  1002,     0,  1588,     0,     0,
       0,     0,     0,     0,     0,  3132,     0,     0,     0,     0,
    3133,  1002,     0,     0,     0,     0,   755,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,  1002,
      47,     0,     0,  3134,  2780,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,  1002,     0,     0,
    1002,  3135,     0,     0,     0,     0,     0,     0,  1002,  1002,
       0,  1589,     0,     0,     0,  1002,  1002,     0,     0,     0,
    1002,     0,     0,     0,     0,  1002,  1585,     0,  1002,  1002,
       0,     0,     0,     0,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,     0,  2847,     0,  1002,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,  3136,
    1002,     0,  3137,     0,  1002,     0,     0,     0,  4878,  4879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,    80,
       0,     0,    50,     0,    81,     0,     0,     0,    82,     0,
      83,     0,    84,    85,     0,  3138,  1002,     0,     0,    51,
    2236,     0,     0,    86,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    52,     0,     0,     0,     0,    90,
      91,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,  1589,     0,     0,     0,     0,     0,    54,
      55,    56,    57,    58,    59,     0,   100,    60,    61,  1636,
    3705,     0,     0,     0,    66,     0,  1002,   101,     0,   102,
     103,     0,     0,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,  3046,     0,     0,     0,  3244,     0,   106,     0,  3244,
    3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,   107,
       0,   108,   109,     0,     0,  1589,     0,     0,   110,     0,
     111,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   112,     0,   113,     0,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
     114,  5062,   115,     0,     0,   117,     0,  1002,     0,     0,
       0,     0,   931,     0,     0,     0,     0,     0,     0,     0,
     118,     0,   119,     0,     0,     0,   120,     0,     0,     0,
       0,     0,     0,  6362,     0,     0,     0,     0,  1002,     0,
       0,     0,   123,     0,   124,     0,     0,     0,     0,     0,
       0,   125,     0,     0,     0,     0,     0,  1585,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,   128,  1589,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
     130,   131,     0,     0,     0,     0,   132,     0,     0,     0,
    1585,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,   133,     0,     0,  1002,     0,     0,  1002,     0,     0,
    1002,  1002,  1002,     0,     0,     0,     0,     0,     0,     0,
     134,     0,     0,     0,  5230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1002,  1002,     0,     0,  1002,
       0,     0,     0,  1585,     0,     0,     0,     0,  1585,  1585,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,   136,  1002,     0,
       0,  1002,  1002,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,   137,     0,     0,     0,     0,     0,   138,   139,
       0,   140,     0,     0,     0,     0,   141,     0,     0,  5187,
    1002,     0,   142,  1002,     0,   143,     0,     0,     0,     0,
       0,     0,   144,     0,     0,     0,     0,     0,     0,   145,
     146,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,   148,     0,  1002,     0,     0,     0,     0,     0,     0,
       0,     0,   149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,   151,
       0,     0,  1585,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     153,     0,   154,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   156,     0,     0,     0,     0,     0,   157,     0,
       0,     0,     0,   158,     0,     0,     0,     0,     0,   931,
       0,     0,     0,     0,  1002,     0,   160,     0,  3244,     0,
       0,  4069,     0,  4069,     0,     0,     0,     0,  3244,     0,
    1000,  1347,  1347,     0,     0,  1347,     0,     0,     0,  1359,
     161,  1245,     0,     0,  1386,     0,     0,  1359,     0,     0,
    1359,     0,     0,  1245,     0,  1347,     0,     0,  1245,   162,
       0,     0,  1347,  -149,  1245,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,  1002,     0,     0,  1589,  1588,
       0,     0,     0,  1440,     0,     0,     0,     0,     0,  1245,
       0,  1347,     0,  1347,     0,     0,  1347,     0,     0,     0,
       0,     0,     0,  1386,  3244,     0,     0,     0,  1497,     0,
    1347,     0,  1002,     0,     0,     0,  1347,     0,  2586,     0,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,  1002,
       0,     0,     0,  1002,     0,  1002,     0,     0,     0,     0,
       0,     0,     0,  3128,     0,     0,  4706,     0,     0,  1002,
       0,  1002,     0,  3129,  1000,  1002,     0,     0,     0,     0,
    3130,  1002,     0,  1359,     0,  1002,     0,  1386,     0,     0,
    1359,  1589,  1002,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,  1588,  3131,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,  1589,
    1589,     0,     0,     0,  1002,     0,  1585,     0,     0,     0,
    1002,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
    1245,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1715,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,  1588,     0,     0,  1002,     0,     0,   931,     0,     0,
    1842,  1842,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,     0,     0,     0,  3132,     0,     0,     0,     0,  3133,
    2236,     0,  1002,     0,     0,  1245,  2236,     0,     0,     0,
    1245,     0,     0,     0,     0,  1588,     0,     0,  1842,     0,
       0,     0,  3134,  2780,     0,     0,     0,     0,     0,  1245,
       0,     0,  1589,  1589,     0,     0,     0,  5648,     0,     0,
       0,     0,  1245,  4069,     0,     0,     0,     0,     0,     0,
    3135,  5650,     0,     0,     0,     0,     0,     0,  1002,   931,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
    1002,  1002,     0,     0,     0,  1002,     0,     0,  1002,     0,
       0,     0,     0,  2847,     0,     0,     0,     0,     0,  1002,
       0,     0,     0,     0,     0,     0,  1002,     0,  3136,     0,
       0,  3137,     0,     0,     0,  1588,     0,     0,     0,  1245,
       0,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
    1245,  1002,     0,     0,     0,  1347,  1347,  4069,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3138,  1000,     0,  1347,     0,     0,
       0,  1359,     0,     0,  1386,  1359,  2586,  1359,     0,  2587,
       0,     0,  1347,  2588,  2589,  2590,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,     0,     0,     0,     0,     0,
       0,  3128,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,  3129,  1347,  1347,     0,     0,     0,     0,  3130,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,  1245,  1245,     0,  1347,     0,
    1000,     0,  1000,  1000,  3131,     0,     0,  1002,     0,  2342,
       0,     0,     0,  1585,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,   931,     0,     0,  1589,     0,     0,
    3046,     0,  1002,     0,  1002,  1588,  1002,     0,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,  1347,  1347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1002,
       0,     0,  3132,     0,     0,     0,     0,  3133,     0,  1002,
       0,  1842,     0,     0,     0,     0,     0,  1002,  1002,     0,
       0,     0,     0,  1002,     0,     0,     0,     0,     0,     0,
    3134,  2780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2477,     0,  2477,     0,     0,
    1002,  1245,     0,  1169,     0,     0,     0,     0,  3135,     0,
    1002,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,  2587,     0,     0,     0,  2588,  2589,
    2590,     0,     0,  2517,     0,  1245,     0,     0,     0,  2523,
       0,     0,     0,     0,     0,     0,  3128,     0,     0,  5349,
       0,  2847,  1842,     0,     0,  3244,  3129,     0,     0,     0,
       0,     0,     0,  3130,     0,     0,  3136,     0,     0,  3137,
    1002,     0,     0,     0,     0,     0,  1002,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3131,
       0,     0,     0,  1842,  1002,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,  6010,  1002,     0,     0,  1002,     0,     0,
       0,     0,  1842,  1842,  1842,     0,  1842,     0,  6014,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1002,     0,     0,  1842,     0,  4069,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3138,     0,     0,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,  2587,     0,     0,  4069,  2588,  2589,
    2590,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,  1002,     0,     0,     0,  3128,  1002,  5273,     0,
    1245,     0,     0,     0,     0,     0,  3129,  3132,     0,     0,
    1002,     0,  3133,  3130,     0,     0,     0,   931,     0,  6072,
       0,     0,     0,     0,  1589,     0,  1842,     0,     0,     0,
    1842,  1842,     0,     0,     0,  3134,  2780,     0,     0,  3131,
       0,  1245,  1245,  1245,  3187,     0,  1842,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,  1002,  3135,     0,     0,     0,     0,  3046,  1002,
       0,     0,     0,   931,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,  1002,  1002,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   931,     0,     0,     0,  2847,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,  3136,     0,     0,  3137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3132,     0,     0,
       0,     0,  3133,     0,     0,     0,     0,     0,  4069,     0,
       0,  3244,     0,  3314,     0,     0,     0,     0,     0,     0,
       0,  1347,     0,     0,     0,  3134,  2780,     0,     0,     0,
       0,     0,     0,     0,  1245,  3348,     0,     0,     0,     0,
       0,     0,     0,  1245,     0,     0,  1347,     0,     0,     0,
       0,     0,     0,  3135,     0,     0,     0,  3138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1386,
       0,  1245,     0,     0,     0,     0,     0,  3414,  3414,     0,
       0,  3414,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,     0,  2847,  1245,     0,     0,
       0,     0,     0,  6226,     0,  6228,     0,     0,     0,     0,
       0,  3136,     0,     0,  3137,     0,     0,     0,     0,     0,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5812,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1347,  1347,  1347,  1347,  1245,     0,     0,     0,     0,
       0,     0,     0,  3046,     0,     0,     0,     0,     0,  1245,
       0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,  1842,  1842,  1842,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1245,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3138,  1245,     0,
       0,     0,     0,     0,     0,     0,  1347,  1347,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,  6353,     0,     0,     0,     0,     0,     0,     0,     0,
    1245,  3414,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1347,  1347,  1347,  1347,
       0,     0,     0,     0,     0,  1245,     0,     0,     0,     0,
       0,     0,  1245,     0,     0,  3628,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
    1000,     0,  1588,  3046,     0,     0,     0,     0,     0,     0,
    1842,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1359,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1386,  1386,     0,  1588,  1359,     0,  2586,  1359,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,     0,     0,
       0,     0,     0,     0,  1347,  1347,     0,  1588,     0,     0,
       0,  1347,     0,  3128,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,  3129,     0,     0,     0,     0,     0,     0,
    3130,     0,     0,     0,  6497,     0,  6499,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2477,     0,
       0,     0,     0,     0,     0,  1347,  3131,  1359,     0,     0,
    3746,  1359,  1359,     0,  1245,  1245,     0,  1347,     0,     0,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,  1245,     0,     0,  1245,  3628,
       0,     0,  1169,     0,     0,  1169,  3784,     0,     0,     0,
    1842,  1842,     0,     0,     0,     0,  1842,  1842,     0,     0,
       0,     0,     0,  1842,  1842,  1842,  1842,  1842,  1842,  1842,
    1842,  1842,  1842,  1842,  1842,  1842,     0,     0,     0,  1842,
       0,  1842,  1386,  1842,  1842,  1842,  1842,  1842,  1842,     0,
       0,  1842,     0,  1842,  1842,     0,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,  5822,     0,     0,     0,     0,
       0,     0,  1842,  1842,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3132,     0,     0,     0,     0,  3133,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6099,
       0,  1588,  3134,  2780,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,     0,     0,    80,     0,     0,     0,     0,    81,
    3135,     0,     0,    82,     0,    83,     0,    84,    85,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    90,    91,     0,     0,     0,     0,
       0,     0,     0,  2847,     0,     0,     0,     0,  2586,     0,
       0,  2587,     0,     0,     0,  2588,  2589,  2590,  3136,     0,
       0,  3137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3128,     0,     0,     0,     0,     0,     0,
       0,   100,     0,  3129,     0,  6717,     0,     0,     0,     0,
    3130,     0,   101,     0,   102,   103,     0,  1842,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1280,     0,     0,     0,  3131,     0,     0,     0,
       0,     0,   106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   107,     0,   108,   109,     0,     0,
       0,     0,     0,   110,     0,   111,     0,     0,     0,     0,
       0,  1842,     0,     0,  3138,     0,     0,     0,   112,     0,
     113,  2586,     0,     0,  2587,     0,     0,     0,  2588,  2589,
    2590,     0,     0,     0,     0,   114,     0,   115,     0,     0,
     117,     0,     0,     0,     0,     0,  3128,     0,     0,     0,
       0,     0,     0,     0,     0,   118,  3129,   119,     0,     0,
       0,   120,  4069,  3130,     0,     0,     0,  1842,   121,     0,
       0,     0,     0,     0,     0,  5828,     0,   123,     0,   124,
       0,     0,     0,     0,     0,     0,   125,  6821,     0,  3131,
       0,     0,     0,     0,  3132,     0,     0,     0,     0,  3133,
       0,     0,     0,  2586,   127,     0,  2587,     0,     0,     0,
    2588,  2589,  2590,     0,     0,     0,     0,     0,     0,     0,
    3046,   128,  3134,  2780,     0,     0,     0,     0,  3128,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,  3129,     0,
       0,     0,     0,     0,     0,  3130,     0,     0,     0,     0,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5830,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3131,     0,     0,     0,   130,   131,     0,     0,     0,
       0,   132,  4069,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2847,     0,     0,   133,     0,     0,     0,
       0,     0,  1576,     0,     0,     0,     0,  3132,  3136,     0,
       0,  3137,  3133,     0,     0,   134,     0,  6921,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
       0,     0,     0,     0,     0,  3134,  2780,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1502,
    1502,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,
       0,  1842,   136,  3135,  5829,     0,     0,     0,     0,     0,
       0,     0,  1245,  1842,     0,  1588,  1842,   137,     0,     0,
       0,     0,     0,   138,   139,     0,   140,     0,     0,  3132,
       0,   141,     0,     0,  3133,     0,     0,   142,  1245,     0,
     143,     0,     0,     0,  3138,     0,  2847,   144,     0,     0,
       0,     0,     0,     0,   145,   146,     0,  3134,  2780,     0,
       0,  3136,   147,     0,  3137,     0,   148,     0,  1588,     0,
    1245,     0,  1842,  1588,  1588,  1347,  1842,   149,     0,  1842,
       0,  1842,     0,     0,  1842,  3135,     0,     0,  1245,  1245,
       0,     0,     0,     0,   151,     0,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,  1842,  1842,
       0,     0,     0,     0,     0,   153,     0,   154,     0,     0,
       0,     0,  1245,     0,     0,  1502,     0,   156,  2847,     0,
    4031,     0,  4036,   157,     0,     0,     0,     0,   158,     0,
       0,     0,  2081,  3136,     0,     0,  3137,     0,  2082,     0,
    3046,   160,     0,     0,     0,  2144,     0,  3138,     0,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,     0,
       0,     0,     0,     0,     0,   161,     0,  2145,     0,     0,
       0,     0,     0,     0,     0,     0,  6099,  1588,     0,     0,
       0,     0,     0,  2084,   162,     0,     0,     0,  -149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1169,     0,  1169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1842,     0,     0,  2146,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,  3138,
    1359,  1386,  1359,  1359,     0,     0,  1347,     0,     0,  1245,
    2085,     0,     0,     0,     0,     0,     0,  2086,     0,     0,
       0,  2087,     0,  3046,     0,     0,     0,     0,     0,     0,
       0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,     0,  3348,     0,     0,     0,     0,     0,     0,  2088,
       0,     0,     0,     0,     0,  4169,  1245,     0,     0,     0,
       0,     0,  4180,  1576,     0,     0,     0,     0,     0,     0,
       0,  1245,     0,     0,  1576,     0,     0,     0,     0,     0,
       0,  2147,     0,     0,     0,  2089,     0,     0,     0,     0,
    1576,  1245,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3046,     0,     0,     0,     0,
       0,     0,  1245,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2148,
       0,     0,     0,     0,  2149,     0,     0,     0,  1347,  2150,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2151,     0,     0,     0,  2091,
       0,     0,     0,     0,     0,     0,     0,  1245,  1245,  2092,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,  2093,
       0,     0,  4325,     0,  4328,  4330,     0,     0,     0,     0,
    2152,  2094,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,  1842,  1842,  1842,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
    1347,     0,     0,  2153,     0,     0,  2096,  2097,  2154,     0,
       0,     0,     0,  1347,  2081,     0,     0,     0,     0,  1842,
    2082,  1347,     0,     0,     0,     0,     0,  2144,     0,     0,
       0,     0,  2155,     0,  3348,     0,     0,     0,  2156,  1245,
       0,     0,     0,     0,     0,  4432,     0,     0,  1169,  2145,
       0,     0,     0,  2157,     0,     0,     0,     0,     0,     0,
    1347,  4447,     0,     0,     0,  2084,     0,     0,     0,     0,
       0,  4325,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,  1347,     0,  4469,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2146,     0,     0,  2158,     0,     0,  2342,     0,     0,
       0,  2099,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,  2085,     0,     0,     0,     0,     0,     0,  2086,
       0,     0,     0,  2087,  4533,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1347,     0,  1347,     0,  1347,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2088,     4,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,  2147,  2477,     0,     0,  2089,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,     0,    38,    39,     0,     0,     0,     0,    40,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
    1347,  2148,  1359,     0,  1359,  1359,  2149,  1347,     0,     0,
       0,  2150,     0,     0,  1842,     0,     0,  2586,     0,  1842,
    2587,     0,     0,     0,  2588,  2589,  2590,  2151,     0,     0,
       0,  2091,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2092,  3128,     0,     0,     0,    41,     0,     0,     0,
       0,  2093,  3129,     0,     0,     0,     0,     0,     0,  3130,
       0,     0,  2152,  2094,     0,     0,     0,     0,  1842,  1842,
    1842,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,  1842,  1842,  1842,  1842,  3131,  2586,     0,     0,  2587,
       0,     0,     0,  2588,  2589,  2590,     0,  1842,  1588,     0,
    1842,     0,  1842,     0,     0,  4269,     0,     0,  2096,  2097,
    2154,  3128,     0,     0,  1842,  1842,     0,     0,  1842,     0,
       0,  3129,     0,     0,     0,    42,     0,     0,  3130,     0,
       0,     0,     0,  1576,  2155,  2236,     0,  1386,     0,  1842,
    4270,  1842,     0,  1842,     0,     0,    43,     0,     0,     0,
    2586,     0,     0,  2587,  3131,  2157,     0,  2588,  2589,  2590,
       0,     0,  1842,     0,     0,  4755,     0,     0,     0,  1245,
      44,     0,     0,     0,     0,  3128,  4778,     0,  6624,     0,
       0,     0,     0,     0,     0,  3129,     0,     0,     0,     0,
       0,     0,  3130,     0,     0,    45,     0,     0,     0,  1245,
       0,  1576,     0,  3132,     0,     0,  2158,  1842,  3133,     0,
       0,     0,     0,  2099,     0,     0,     0,     0,  3131,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,  3134,  2780,     0,     0,     0,  4778,     0,  1576,     0,
    4834,     0,     0,  4837,  4778,     0,  4036,  6398,    46,     0,
       0,    47,     0,     0,     0,     0,     0,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,  3132,     0,    48,     0,     0,  3133,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3134,  2780,  2847,     0,     0,     0,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,     0,  3136,     0,     0,
    3137,     0,     0,     0,     0,     0,     0,     0,  3135,     0,
       0,     0,  1347,  1347,     0,     0,  3132,     0,     0,     0,
       0,  3133,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3134,  2780,     0,     0,  1842,    49,
       0,  2847,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,  3136,     0,     0,  3137,
       0,     0,  3135,     0,  1576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,  3138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,  4957,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2847,     0,     0,     0,     0,
      51,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
    3136,     0,     0,  3137,     0,    52,     0,     0,     0,  3414,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3138,     0,     0,    53,  1576,     0,     0,     0,
       0,     0,     0,  6207,     0,     0,     0,     0,     0,  1576,
      54,    55,    56,    57,    58,    59,     0,     0,    60,    61,
    1636,  1576,     0,  2586,     0,    66,  2587,     0,     0,  3046,
    2588,  2589,  2590,     0,     0,     0,     0,     0,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,     0,  3128,     0,
       0,     0,     0,     0,     0,     0,  3138,     0,  3129,     0,
       0,  1576,  1576,     0,     0,  3130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1842,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,     0,
       0,  3131,     0,     0,     0,  1347,     0,     0,  3046,     0,
       0,     0,     0,     0,     0,     0,     0,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1245,  1245,  1245,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3046,     0,  1842,     0,     0,     0,     0,     0,
       0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
       0,     0,     0,     0,     0,  2477,  1245,  1245,     0,     0,
       0,  1245,     0,     0,     0,     0,  1079,     0,     0,     0,
       0,  1080,     0,  1245,     0,     0,     0,     0,     0,  3132,
       0,     0,     0,     0,  3133,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3134,  2780,  1081,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1082,     0,     0,  4533,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3135,     0,     0,     0,  1083,
       0,     0,     0,     0,     0,     0,     0,     0,  1347,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,  3746,  5241,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,  2847,     0,
       0,  1085,     0,     0,     0,     0,     0,     0,     0,  1245,
       0,     0,     0,  3136,  1086,     0,  3137,     0,     0,     0,
       0,     0,     0,  1087,     0,     0,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,  1088,  1842,     0,     0,
       0,     0,  1089,     0,     0,     0,     0,     0,     0,  1090,
       0,  1842,     0,     0,     0,  1842,  1842,  1842,     0,     0,
       0,     0,  1842,     0,     0,  1842,     0,     0,  1842,  1091,
       0,     0,     0,     0,  1842,     0,  1842,     0,     0,  1842,
       0,     0,     0,     0,  1842,  1842,  1842,  1842,     0,     0,
    1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,  1842,
       0,     0,     0,  1842,  1842,  1842,     0,     0,     0,  3138,
       0,     0,     0,  1842,     0,     0,     0,     0,  1842,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,  1092,
    1842,     0,     0,  1842,     0,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,     0,     0,  1842,  1842,     0,     0,     0,  1842,
    1842,     0,     0,     0,  1842,     0,  1842,  5376,     0,     0,
       0,     0,     0,  1093,     0,  1245,  1245,  1245,     0,  1000,
       0,     0,  4778,  5397,     0,     0,  1094,  5397,  5411,  5397,
    5397,     0,     0,  1842,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   972,
    1096,     0,     0,  1097,     0,  3046,     0,     0,     0,     0,
       0,     0,     0,     0,  3047,  3048,  3049,  3050,  3051,  3052,
    3053,  3054,  3055,     0,     0,     0,     0,     0,     0,     0,
    1842,  1098,     0,     0,  1099,  1016,     0,     0,  1100,     0,
       0,  1101,     0,     0,     0,  4036,     0,  1842,  1102,     0,
       0,  1103,     0,  1017,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,     0,     0,     0,     0,     0,     0,  1018,  1105,
       0,     0,     0,     0,     0,     0,  1106,     0,     0,  1107,
       0,  1019,     0,     0,  1108,     0,     0,     0,     0,     0,
       0,     0,  1109,     0,  1110,     0,     0,     0,  -895,  1111,
       0,     0,  5499,  2477,  3348,  2477,     0,     0,  2477,     0,
    5507,     0,     0,  1112,     0,     0,  1020,     0,     0,     0,
       0,     0,  1021,     0,     0,     0,  1113,     0,  5531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1023,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1025,     0,     0,     0,     0,
       0,     0,     0,  5580,  1026,     0,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -1108,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5624,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -628,     0,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,     0,  1842,     0,     0,
       0,     0,     0,     0,  1245,     0,     0,     0,     0,     0,
    5668,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3348,  1029,     0,     0,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1245,     0,     0,     0,
       0,  4778,  4447,     0,     0,     0,     0,     0,  1031,  4325,
       0,  1576,     0,     0,     0,  1576,  1576,     0,  5718,     0,
       0,     0,  1032,     0,     0,     0,     0,     0,  1245,     0,
    -480,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
    1033,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
    1034,     0,  2477,  1245,     0,     0,     0,  -480,     0,     0,
    1035,     0,  1576,     0,     0,     0,     0,     0,  1576,     0,
    4533,  4533,  4533,  4533,  4533,     0,     0,     0,     0,     0,
    1036,     0,     0,     0,     0,  1245,     0,     0,  1037,     0,
       0,     0,     0,     0,     0,  -480,     0,     0,  1038,     0,
    1039,     0,  1040,  1041,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1576,     0,     0,  1042,     0,
       0,     0,     0,     0,     0,     0,  1043,  1842,     0,  1044,
       0,     0,  1045,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,  -480,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1842,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
    1842,  1842,     0,     0,     0,     0,     0,  1842,  1842,     0,
       0,     0,  1842,     0,     0,     0,     0,  1842,     0,     0,
    1842,  1842,     0,     0,     0,     0,     0,  1842,     0,     0,
       0,  1245,  1245,  1245,  1245,     0,     0,     0,  1842,  5397,
    5411,  5397,  5397,     0,  1842,  5397,     0,     0,  5878,     0,
       0,     0,  4778,     0,     0,     0,  4778,     0,     0,     0,
       0,     0,  5893,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   808,     0,     0,     0,     0,     0,
       0,  1386,     0,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,     0,     0,  4834,   808,     0,     0,  1842,  1079,
    4036,     0,     0,     0,  1441,  1051,  1061,     0,  1067,     0,
       0,     0,     0,     0,  1061,     0,     0,     0,     0,     0,
    1169,     0,     0,  1576,     0,     0,     0,  1061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1442,     0,     0,     0,     0,  3348,  1842,     0,
       0,  1258,  1258,     0,     0,  1082,  1443,     0,     0,     0,
       0,     0,  5961,     0,     0,     0,     0,     0,  1444,     0,
       0,     0,  1083,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1445,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1446,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,  1842,     0,
       0,     0,     0,     0,     0,  1842,  1087,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1088,
       0,     0,     0,     0,     0,  1447,     0,  1347,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1448,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
    1449,     0,     0,     0,     0,     0,  3348,     0,     0,     0,
    1300,     0,     0,     0,     0,  2477,     0,     0,     0,  1576,
       0,     0,  1092,     0,     0,     0,     0,     0,     0,     0,
    4447,     0,     0,     0,  1576,     0,     0,     0,     0,  1576,
       0,     0,     0,  1347,     0,  4469,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,  1576,
       0,     0,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,     0,  6113,
       0,     0,  1095,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   972,  1451,     0,     0,  1097,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1079,     0,     0,     0,     0,
    3293,     0,     0,     0,  1452,     0,     0,  1453,     0,     0,
       0,  1100,     0,     0,  1101,     0,  1842,     0,     0,     0,
       0,  1102,     0,     0,  1103,     0,  1842,     0,     0,  1842,
       0,     0,  1842,  1842,  1842,     0,     0,     0,  3294,     0,
       0,     0,     0,     0,  1104,     0,     0,     0,     0,     0,
       0,  1082,  1454,     0,     0,     0,     0,  1842,  1842,  1106,
       0,  1842,  1455,     0,     0,     0,     0,  1108,  1083,     0,
       0,     0,     0,     0,     0,  1456,     0,  1110,  1000,     0,
       0,  5397,  1457,     0,     0,  4778,  1445,     0,     0,     0,
    4778,     0,     0,  4778,  1000,     0,  4325,     0,  6189,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,  1113,
    3295,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5499,  1086,     0,  1842,     0,     0,     0,     0,
       0,     0,  1087,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1088,     0,     0,     0,     0,
       0,  3296,     0,     0,     0,  5499,  1386,  1347,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,  1576,
       0,     0,  1576,     0,  1576,     0,     0,     0,     0,  1576,
       0,  1359,  1386,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1576,     0,     0,  1051,  1359,     0,  1092,     0,
    1576,     0,     0,     0,     0,     0,     0,     0,  5668,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,  1245,     0,
       0,     0,     0,     0,     0,  1576,     0,  3348,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1245,     0,     0,
       0,  5718,  3297,     0,  6341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1347,  1245,  5499,     0,     0,
    1061,  1061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   972,  3298,
       0,     0,  1097,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,     0,  1576,     0,     0,     0,
    1452,  1842,     0,  3299,     0,  1842,     0,  1842,     0,     0,
    1101,     0,     0,     0,     0,     0,     0,  1102,     0,  1300,
    1103,  1842,     0,  1842,     0,     0,     0,  1842,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,  4778,     0,     0,
    1104,  6189,     0,     0,  1842,     0,  6444,     0,  1454,     0,
       0,     0,     0,     0,     0,  1106,     0,     0,  1455,     0,
       0,     0,     0,  1108,     0,     0,     0,     0,     0,     0,
       0,  3300,     0,     0,     0,     0,     0,     0,  3301,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,     0,     0,
    1842,     0,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1113,  1842,     0,     0,     0,
       0,     0,  1842,  1842,     0,     0,     0,  1347,  1347,  1347,
    1347,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1842,     0,
    1349,     0,     0,     0,  1353,     0,  1000,     0,     0,     0,
       0,     0,  1388,     0,  1576,  1390,     0,     0,  1395,  1396,
       0,  1399,     0,  1402,     0,     0,  1408,     0,  1410,     0,
       0,  1245,     0,     0,  4778,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1439,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1245,  1476,     0,     0,     0,  1480,     0,     0,     0,     0,
       0,     0,  1492,  1493,     0,     0,  1499,     0,  1503,  1504,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
    1842,     0,     0,     0,     0,     0,     0,     0,     0,  1300,
       0,  1061,  1842,     0,     0,     0,     0,     0,  1576,     0,
       0,  1842,  1842,  1842,     0,     0,     0,  1000,     0,     0,
    1842,     0,     0,     0,  6635,  1548,     0,     0,     0,     0,
       0,  1842,  1576,     0,     0,     0,     0,     0,  1842,     0,
       0,     0,     0,     0,     0,     0,  1616,     0,  1618,     0,
       0,  2477,     0,     0,     0,     0,  5499,  1632,  1634,     0,
       0,     0,     0,  1842,     0,     0,     0,  1061,     0,     0,
       0,     0,  2477,     0,  1386,     0,     0,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2477,  2477,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1300,     0,   808,     0,  6731,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  6113,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,     0,     0,     0,     0,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4325,     0,     0,  1842,     0,     0,     0,     0,
       0,     0,     0,     0,  1842,     0,  1842,     0,  1842,  6444,
       0,     0,     0,     0,     0,     0,     0,  4036,     0,     0,
       0,  1978,     0,     0,  1979,     0,  1982,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1347,     0,  2042,     0,     0,     0,     0,  2477,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3348,     0,     0,     0,     0,     0,
       0,  1842,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5499,     0,     0,     0,     0,     0,     0,     0,  1359,
    1359,  6870,     0,     0,     0,  1842,     0,     0,     0,  2219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,  1842,     0,     0,  2258,  6635,     0,     0,     0,
       0,     0,  1842,     0,     0,     0,     0,  2477,  2477,  6905,
    2270,     0,  2271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2274,     0,     0,     0,     0,     0,     0,  2284,
       0,  1347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6731,  1347,  1347,     0,     0,     0,  5499,     0,
       0,  2336,     0,  2338,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1842,     0,     0,  1842,     0,  1576,  1842,
    6965,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4036,     0,     0,     0,     0,  4834,
       0,     0,     0,     0,     0,     0,  1842,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  7002,     0,     0,     0,     0,     0,     0,     0,
    1842,     0,  7005,  7006,  1000,  7010,     0,     0,     0,  1842,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1347,
       0,     0,  5499,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6635,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2498,     0,     0,     0,     0,     0,  7002,     0,
    1576,     0,     0,  1842,  1000,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1359,  1359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  7089,     0,     0,     0,     0,     0,     0,  7002,  1576,
       0,     0,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,  7002,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    80,     0,     0,     0,     0,    81,
       0,     0,     0,    82,     0,    83,     0,    84,    85,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,     0,
       0,     0,     0,     0,     0,     0,    87,     0,     0,     0,
       0,     0,    88,    89,    90,    91,     0,     0,     0,    92,
      93,     0,     0,     0,     0,    94,     0,     0,     0,     0,
       0,     0,     0,     0,    95,     0,    96,     0,    97,    98,
       0,     0,     0,     0,    99,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   808,   808,
       0,   100,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   101,     0,   102,   103,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   104,     0,     0,     0,
       0,     0,   105,     0,     0,     0,     0,     0,     0,  1258,
    1632,     0,   106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   107,     0,   108,   109,     0,     0,
       0,     0,     0,   110,     0,   111,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   112,     0,
     113,     0,     0,     0,     0,     0,   808,     0,     0,     0,
       0,  3204,     0,     0,  3204,   114,     0,   115,     0,   116,
     117,     0,  3211,     0,     0,     0, -1737,     0,     0,     0,
       0,     0,     0,     0,     0,   118,     0,   119,  3219,     0,
       0,   120,     0,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,     0,     0,     0,     0,     0,   125,     0,     0,     0,
     126,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   128,     0,     0,     0,     0,     0,     0,     0,  3304,
       0,     0,     0,  1576,   956,     0,     0, -1737,     0,     0,
       0,     0,   129,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   130,   131,     0,     0,     0,
       0,   132,     0,     0,     0,   957,  1576,     0,     0, -1737,
       0,     0,     0,     0,     0,     0,   133,  3400,     0,     0,
       0,     0,   958,     0,     0,     0,     0,     0,  1576,     0,
       0,     0,     0,     0,     0,   134,     0,     0,     0,     0,
     959,   135,     0,     0,     0,     0,   960,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   961,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   962,     0,     0,
       0,     0,   136,     0,     0,     0,   963,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   137,     0,   964,
    1576,     0,     0,   138,   139,   965,   140,     0,     0,     0,
       0,   141,   966,     0,     0,     0,     0,   142,     0,     0,
     143,     0,     0,     0,     0,     0,     0,   144,     0,     0,
       0,     0,   967,     0,   145,   146,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,  3531,     0,     0,     0,   149,     0,     0,
       0,     0,     0,     0,     0,   150,     0,     0,     0,     0,
     968,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,  3567,     0,
       0,     0,   969,     0,     0,   153,     0,   154,     0,     0,
       0,     0,     0,     0,   155,     0,     0,   156,     0,     0,
   -1737,     0,     0,   157,     0,     0,     0,     0,   158,   159,
       0,     0,  1576,     0,     0,     0,     0,     0,     0,     0,
       0,   160,     0,     0,  3632,     0,   970,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,  3654,   971,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   972,   973,   162,     0,   974,     0,  -149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   975,     0,     0,   976,     0,     0,
       0,   977,     0,     0,   978,     0,     0,     0,  3692,     0,
    3693,   979,     0,     0,   980,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1632,  3702,     0,  3703,     0,     0,
       0,     0,     0,     0,   981,     0,     0,     0,     0,     0,
       0,     0,   982,     0,     0,     0,     0,   983,     0,   984,
       0,     0,   985,     0,     0,     0,     0,   986,     0,  3724,
       0,     0,     0,     0,     0,     0,     0,   987,     0,     0,
       0,  1632,   988,     0,     0,  1632,     0,     0,     0,     0,
    1632,     0,     0,  1632,     0,     0,   989,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   990,
       0,     0,     0,     0,  3776,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1364,     0,     0,     0,     0,
       0,     0,     0,  1576,     0,     0,     0,  1398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1438,     0,     0,
       0,     0,     0,  1470,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,  1576,  1576,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1863,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,  1887,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,  1907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1201,     0,     0,     0,
       0,     0,  1201,  1201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2108,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3965,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2289,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2323,  2326,
    2327,     0,  1576,  1300,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4059,
    4060,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4075,  4076,
       0,     0,     0,  4079,  4080,     0,     0,     0,  4083,  4084,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4095,     0,     0,     0,  4098,     0,     0,
       0,  4101,  4102,     0,     0,  4105,  4106,     0,     0,     0,
       0,     0,  4111,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4126,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,  4143,     0,     0,     0,
       0,  4145,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1578,  4151,     0,     0,     0,
    4157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4167,     0,     0,  4171,     0,  4173,  4176,  4178,     0,
       0,     0,     0,  4186,  4189,     0,     0,     0,     0,     0,
       0,     0,     0,  4202,     0,     0,     0,     0,     0,  4212,
       0,     0,     0,  4215,     0,  1863,     0,     0,     0,     0,
       0,     0,     0,  4225,  4226,     0,     0,     0,  4231,     0,
       0,     0,     0,     0,  4240,  4241,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4250,  1863,
       0,  4251,     0,     0,     0,     0,     0,     0,  4263,  4264,
       0,     0,     0,     0,  4268,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4275,     0,     0,  4278,
       0,     0,     0,     0,  4281,     0,     0,     0,     0,     0,
    4284,  4285,     0,  1632,     0,  1632,     0,     0,  4293,  1632,
       0,     0,  4295,     0,     0,     0,  4302,  4303,  4304,  4305,
       0,  4307,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4333,  4334,     0,  4336,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4346,
    4347,  4348,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4400,     0,     0,     0,
       0,     0,     0,     0,  4424,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,  3121,     0,     0,     0,     0,     0,
       0,     0,     0,  4436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4508,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,  4541,     0,  4543,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1300,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1632,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3336,     0,
       0,     0,     0,     0,     0,     0,     0,  3365,     0,     0,
       0,  1578,     0,     0,     0,  4608,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,  3401,     0,     0,     0,     0,
     998,  3413,  3413,     0,     0,  3413,     0,     0,   998,     0,
       0,   998,     0,     0,     0,     0,     0,     0,  3431,     0,
       0,  3434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3507,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
    1587,  3529,     0,     0,   998,     0,     0,     0,     0,     0,
       0,   998,  3532,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3576,  3413,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3611,
       0,     0,     0,     0,     0,     0,  3624,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,   998,     0,     0,     0,     0,     0,  1201,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1632,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,  4875,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4882,     0,
       0,     0,  4882,     0,     0,     0,     0,  4893,  4894,  4895,
       0,     0,     0,     0,     0,     0,  3713,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4936,  4937,  4938,  4939,     0,     0,  1863,  1863,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3775,
       0,     0,  3777,     0,     0,     0,     0,     0,     0,     0,
    4960,     0,  4964,  4965,  4966,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1201,  1201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,  1578,     0,
       0,  1587,   998,     0,     0,     0,   998,     0,   998,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,  5049,     0,     0,     0,     0,     0,     0,     0,
       0,  5055,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,   998,     0,   998,   998,     0,     0,  5065,  5066,     0,
       0,     0,  5067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5109,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1632,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5146,     0,     0,     0,     0,  1061,     0,     0,     0,     0,
       0,  5158,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5197,   998,     0,     0,     0,     0,  1578,     0,     0,
       0,  1051,     0,     0,  1061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5227,
       0,  5228,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,  1632,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,   998,   998,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3960,   998,     0,     0,
       0,   998,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,  3972,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1907,  1907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5474,     0,  5475,     0,  1863,     0,  1201,     0,
       0,     0,     0,     0,     0,     0,     0,  5482,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5488,
       0,     0,     0,  5491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5504,     0,     0,     0,     0,  1201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,  5530,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5534,     0,     0,     0,     0,     0,     0,     0,  5538,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,  1201,     0,     0,     0,     0,
       0,     0,     0,     0,  5573,     0,     0,     0,  5577,     0,
       0,     0,  1201,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,     0,  5587,  5588,  5589,  5590,     0,     0,     0,
       0,     0,     0,  5594,  5595,  5596,  5597,     0,     0,     0,
       0,     0,  5599,  5600,     0,     0,     0,     0,  5607,  5608,
       0,  5610,  5611,  5612,  5613,  5614,  5615,  5616,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5625,     0,     0,
    4170,  5628,  5629,  5630,  5631,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4192,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4882,     0,     0,     0,     0,
       0,     0,   998,   998,   998,  4220,     0,     0,     0,     0,
       0,     0,     0,  5651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5733,
       0,  4300,  4301,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4882,     0,     0,     0,     0,     0,   998,     0,
       0,   998,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,   998,     0,     0,  5768,     0,  5769,  1587,     0,     0,
       0,     0,     0,     0,  1632,  1632,  1632,  1632,  1632,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,   998,     0,  5784,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
     998,     0,     0,  4426,     0,     0,     0,     0,     0,  1587,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,   998,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,   998,     0,     0,     0,     0,   998,   998,     0,
       0,     0,     0,     0,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,     0,     0,     0,
     998,     0,   998,     0,   998,   998,   998,   998,   998,   998,
       0,     0,   998,     0,   998,   998,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,   998,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,   998,  1578,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5938,  5939,
    5940,     0,     0,     0,  5941,  5942,  5943,  5944,     0,     0,
       0,  5946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5979,  5980,  5981,  5982,  5983,     0,  5985,  5986,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5995,  5996,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6002,     0,     0,     0,     0,     0,
       0,     0,  1632,  1632,     0,  1632,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4760,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6065,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6119,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6125,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1632,     0,     0,     0,     0,
       0,     0,   998,   998,   998,   998,   998,   998,   998,   998,
     998,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,   998,     0,     0,
       0,     0,     0,  4982,     0,     0,  1579,     0,     0,     0,
       0,     0,     0,  3413,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6240,
       0,     0,     0,   998,     0,     0,     0,   998,     0,     0,
     998,     0,   998,     0,     0,   998,  1578,     0,  6250,     0,
       0,     0,     0,     0,  6256,  6257,     0,     0,     0,     0,
     998,  1578,     0,     0,  6268,     0,  1578,     0,     0,   998,
     998,  6270,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6322,  6323,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6331,
       0,  1061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6348,     0,     0,  1587,
       0,     0,     0,  1587,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5113,  5114,  5115,     0,
       0,  4882,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6384,  5124,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
    1587,   998,     0,   998,   998,     0,  1587,     0,     0,     0,
    5149,  5151,     0,     0,     0,  5156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1632,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,  1632,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1587,  6450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6465,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6482,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1632,     0,
       0,     0,     0,     0,     0,     0,  1201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,  1578,
       0,  1578,     0,  1863,     0,     0,  1578,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,  6542,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,     0,     0,     0,   998,   998,   998,
    4882,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,  1587,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,  1632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,   998,  1578,     0,     0,     0,     0,     0,  5381,
    5382,  5383,     0,     0,     0,     0,     0,  6659,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,  1587,     0,
       0,  6681,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,  6721,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,  6775,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,  1587,   998,     0,   998,   998,  1587,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6815,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6828,     0,     0,     0,   998,
     998,   998,     0,     0,   998,  1578,  6838,     0,     0,     0,
       0,     0,   998,   998,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,  1578,
       0,   998,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,   998,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,   998,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5661,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5693,     0,     0,     0,     0,     0,     0,     0,  6927,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,  3624,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,  5752,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1587,  1578,     0,
    1587,     0,  1587,     0,     0,  1579,     0,  1587,     0,  3713,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    7083,     0,     0,     0,     0,  5865,  5866,  5867,  5868,     0,
       0,     0,  1587,  1578,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,   998,
    1579,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,  1579,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,  1579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6094,     0,  1579,     0,
       0,     0,     0,     0,     0,     0,     0,  6104,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,  1587,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,   998,   998,   998,     0,
       0,     0,     0,   998,     0,     0,   998,     0,     0,   998,
       0,     0,     0,     0,     0,   998,     0,   998,     0,     0,
     998,     0,     0,     0,  1587,   998,   998,   998,   998,     0,
       0,   998,   998,   998,   998,   998,   998,   998,   998,   998,
     998,     0,     0,     0,   998,   998,   998,     0,     0,  1587,
       0,     0,     0,     0,   998,     0,     0,     0,     0,   998,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,   998,     0,  1578,   998,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,   998,   998,     0,     0,     0,
     998,   998,     0,     0,     0,   998,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6306,     0,     0,
       0,     0,  1863,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,  6336,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6473,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6549,     0,  1587,     0,     0,
    1587,   998,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6572,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,     0,     0,  1579,
    1579,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,  1579,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,   998,     0,     0,     0,     0,     0,  1579,
    1578,   998,   998,     0,  1587,     0,     0,     0,   998,   998,
       0,     0,     0,   998,     0,  1003,     0,     0,   998,     0,
    1590,   998,   998,     0,  1003,     0,     0,     0,   998,     0,
       0,  1003,     0,     0,  1003,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,   998,  1590,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,  1579,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,  1578,  1578,     0,     0,     0,     0,     0,  1587,     0,
    1579,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,  1590,  1003,     0,     0,  1578,  1003,     0,  1003,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,  1587,     0,
    1587,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,  1003,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,  1581,     0,  1579,     0,     0,     0,   998,     0,     0,
     998,     0,  1581,   998,   998,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,   998,   998,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,   998,     0,     0,   998,   998,     0,     0,     0,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,   998,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,  1003,     0,  1579,     0,  1579,     0,
       0,     0,     0,  1579,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,  1003,  1003,     0,  1003,   998,     0,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,  1003,     0,
       0,     0,     0,     0,  1579,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1579,
       0,     0,   998,  1582,     0,     0,   998,     0,   998,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,   998,     0,     0,     0,   998,     0,
       0,     0,     0,     0,   998,     0,     0,     0,   998,     0,
       0,     0,     0,     0,  1587,   998,     0,  1003,     0,     0,
       0,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,  1587,  1587,     0,     0,     0,   998,     0,     0,
       0,     0,     0,   998,   998,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,  1587,  1587,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,  1578,     0,     0,     0,
       0,  1581,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,     0,  1590,     0,  1579,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,   998,   998,   998,     0,     0,     0,   998,     0,
       0,   998,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,   998,     0,     0,     0,     0,     0,     0,   998,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,   998,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,  1581,     0,  1582,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,  1003,  1582,  1579,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   998,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,  1579,     0,
     998,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,     0,   998,     0,  1003,     0,
    1587,  1003,  1581,     0,  1590,   998,     0,   998,     0,   998,
       0,  1003,     0,     0,     0,     0,     0,  1590,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
    1579,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,  1003,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1579,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
    1590,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,   998,     0,     0,  1582,     0,  1581,     0,     0,
     998,   998,     0,     0,     0,     0,   998,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,  1003,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,  1581,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,  1003,     0,     0,     0,     0,  1003,  1003,     0,
       0,     0,     0,     0,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,     0,     0,     0,
    1003,     0,  1003,     0,  1003,  1003,  1003,  1003,  1003,  1003,
       0,     0,  1003,   998,  1003,  1003,     0,     0,  1003,   998,
    1579,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,  1003,  1003,  1003,     0,   998,     0,     0,
       0,     0,     0,     0,   998,     0,     0,  1584,     0,     0,
       0,  1003,     0,     0,   998,     0,     0,   998,     0,     0,
     998,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,   998,     0,     0,     0,   998,     0,     0,     0,     0,
     998,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1587,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,   998,   998,     0,     0,  1582,     0,
       0,     0,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   998,   998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,  1579,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,  1579,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,     0,  1003,  1584,     0,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,  1003,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,  1582,     0,     0,  1003,     0,     0,
    1003,     0,  1003,     0,     0,  1003,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,  1590,  1590,     0,     0,     0,     0,     0,
    1579,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
    1590,  1003,     0,  1003,  1003,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,  1581,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1579,     0,     0,     0,     0,  1582,
       0,     0,     0,  1590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,  1003,  1003,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,  1590,     0,     0,     0,     0,     0,     0,  1586,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,  1590,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,  1590,  1003,     0,  1003,  1003,  1590,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,  1579,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,  1003,
    1003,  1003,     0,     0,  1003,     0,     0,  1581,  1584,     0,
       0,     0,  1003,  1003,  1003,  1003,     0,     0,     0,     0,
    1584,     0,  1581,     0,     0,     0,     0,  1581,  1003,     0,
       0,  1003,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,  1003,     0,     0,  1003,
    1579,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
    1584,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,  1003,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,     0,     0,     0,  1003,  1579,  1579,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1582,     0,  1003,     0,
    1582,  1582,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,  1590,     0,     0,
    1590,     0,  1590,     0,     0,  1586,     0,  1590,     0,     0,
       0,     0,  1579,  1584,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,  1590,     0,     0,     0,  1581,     0,  1003,
    1581,     0,  1581,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1590,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,  1581,     0,  1581,     0,     0,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1579,     0,     0,  1003,
    1586,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,  1586,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,  1590,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,  1586,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1581,     0,     0,     0,  1590,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,  1581,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,  1590,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,  1003,  1003,  1003,     0,
       0,     0,     0,  1003,     0,     0,  1003,     0,     0,  1003,
       0,     0,     0,     0,     0,  1003,     0,  1003,     0,     0,
    1003,     0,     0,     0,  1590,  1003,  1003,  1003,  1003,     0,
       0,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,     0,     0,     0,  1003,  1003,  1003,     0,     0,  1590,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,  1003,
       0,     0,  1581,  1003,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,  1579,  1003,     0,  1003,     0,     0,     0,
    1584,     0,     0,     0,  1584,  1584,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,  1003,  1003,     0,     0,     0,
    1003,  1003,     0,     0,     0,  1003,     0,  1003,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
    1003,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,  1581,
       0,  1584,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,  1582,     0,  1582,
       0,  1003,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1582,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,     0,     0,  1582,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,  1590,  1584,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,     0,
    1590,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,  1586,     0,     0,     0,  1586,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,  1584,     0,
    1581,     0,     0,     0,     0,     0,     0,  1582,  1003,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,  1003,     0,  1586,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,  1003,     0,     0,     0,     0,     0,  1586,
       0,  1003,  1003,     0,  1590,     0,     0,     0,  1003,  1003,
       0,     0,     0,  1003,     0,     0,     0,     0,  1003,     0,
       0,  1003,  1003,     0,     0,     0,     0,     0,  1003,  1582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,  1581,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1590,  1586,  1584,     0,
       0,  1584,     0,  1584,     0,     0,     0,     0,  1584,     0,
       0,  1581,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,  1582,     0,     0,  1581,     0,     0,     0,  1590,     0,
    1586,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1582,     0,     0,  1581,     0,
       0,     0,     0,  1584,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,  1590,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1825,  1825,     0,     0,     0,  1003,     0,     0,
       0,  1584,     0,  1586,     0,     0,     0,  1003,     0,     0,
    1003,     0,     0,  1003,  1003,  1003,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,  1003,
       0,     0,  1003,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,  1582,  1003,     0,     0,     0,
       0,  1003,     0,  1584,  1003,  1003,     0,     0,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,  1582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2233,  2237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,  1586,     0,  1586,     0,
       0,  1581,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1003,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,  1584,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,  1003,     0,     0,     0,  1003,     0,  1003,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,  1003,     0,  1003,     0,     0,     0,  1003,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,  1003,     0,
    1584,  1581,     0,     0,  1590,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,  1003,     0,     0,     0,     0,     0,  1590,     0,     0,
       0,     0,  1590,  1590,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,  1003,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,  2530,  1003,     0,  1581,     0,     0,
       0,     0,  1581,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1590,  1590,     0,     0,     0,
    1586,     0,     0,     0,     0,  2556,  3057,     0,     0,     0,
    3057,     0,     0,     0,     0,  1582,     0,     0,     0,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,  1003,  2575,  2576,  2577,     0,  2580,     0,
       0,     0,  1003,  1003,  1003,     0,     0,     0,  1003,     0,
       0,  1003,     0,     0,     0,     0,     0,     0,     0,  3065,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,  1581,  1003,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,  3151,     0,
       0,     0,  3163,  3168,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1003,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,  1584,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1003,     0,     0,     0,
    1590,     0,     0,     0,     0,  1003,     0,  1003,     0,  1003,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
    1586,  1584,     0,  3057,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,  3057,
       0,     0,     0,  3859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,  3057,
    3057,     0,     0,  3057,     0,     0,     0,     0,     0,     0,
    1581,     0,  1003,     0,     0,     0,     0,     0,  1582,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
    1003,  1003,     0,     0,     0,     0,  1003,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2233,  2233,  2233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,  1582,  1003,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,  1003,     0,     0,
    1003,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1003,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,  1584,     0,     0,  1003,     0,     0,     0,     0,
    1003,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1582,     0,     0,  1590,     0,  1582,
    1582,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,  1003,     0,  1584,     0,     0,
       0,     0,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1003,  1003,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,  1582,  1586,     0,     0,     0,  3803,     0,
       0,     0,     0,     0,     0,     0,     0,  3820,  3820,  3820,
    3820,  3830,  3836,  3820,  3839,  3820,  3820,     0,     0,     0,
       0,  3846,     0,  3847,     0,  3849,     0,     0,  3863,  3866,
    3871,     0,     0,     0,     0,     0,  3880,     0,     0,  3885,
       0,     0,     0,  1586,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,  3892,  3893,  3894,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3895,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3903,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1582,     0,     0,
       0,     0,     0,  3922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3924,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3931,  3932,  3933,  3934,  3935,  3936,  3937,
    3938,  3939,     0,  3940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1825,     0,     0,  2233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3895,     0,     0,     0,  3903,     0,
       0,  3922,     0,  3924,     0,     0,  3986,     0,  1584,     0,
       0,     0,     0,  1584,  1584,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2576,  2577,     0,     0,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4103,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,  1586,     0,  3057,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,  3057,
    3057,     0,  3057,     0,     0,     0,     0,  3859,  3859,     0,
    4685,     0,  3859,     0,     0,     0,  3057,     0,     0,  3057,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,  3057,  3057,  3057,  3057,     0,
       0,     0,     0,  3859,  3859,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,  3057,     0,     0,
       0,     0,     0,     0,  3057,  3057,  3057,  3057,  3057,  3057,
    3057,  3057,  3057,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4358,  4359,
    2233,     0,     0,     0,  4363,     0,     0,     0,     0,  3057,
       0,  1584,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4392,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,  3057,     0,  1586,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4613,     0,     0,     0,
       0,  4619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2580,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3871,     0,  3871,  3871,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4709,
       0,     0,  4712,     0,  4714,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,  3057,  3057,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4739,     0,  4742,     0,  4744,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3168,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4868,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4903,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4685,
    4685,     0,     0,  3859,  3859,  3859,  3859,     0,     0,  3859,
    3859,  3859,  3859,  3859,  3859,  3859,  3859,  3859,  3859,  4685,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3057,     0,     0,  3057,     0,  3057,     0,     0,
    4685,  4685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3057,  3859,  3859,  3057,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2233,     0,     0,     0,     0,     0,  2233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1586,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5136,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5274,     0,     0,     0,     0,     0,     0,     0,     0,  5278,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3820,     0,     0,  3859,  5291,  3820,  3820,
       0,     0,     0,     0,  3836,     0,     0,  5299,     0,     0,
    5301,     0,     0,     0,     0,     0,  5303,     0,  5304,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3057,
       0,     0,     0,     0,     0,  5326,  5327,  5328,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3880,     0,     0,     0,     0,     0,
       0,     0,  5352,     0,     0,  5355,     0,  5357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5361,     0,     0,     0,     0,     0,     0,
       0,  5368,  5369,     0,     0,     0,     0,     0,  5374,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,  3057,  5435,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,  5449,
       0,     0,  3057,     0,  3057,     0,  3057,  3057,     0,     0,
       0,     0,  4685,  4685,  4685,  4685,     0,     0,     0,  4685,
    4685,  4685,  4685,  4685,  4685,  4685,  4685,  4685,  4685,  3057,
    3057,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,  3057,     0,
    3057,     0,     0,     0,  3057,     0,     0,  4685,  4685,     0,
       0,  3057,  3057,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5740,  5741,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5748,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4685,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5801,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,  3057,  3151,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5824,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5843,  5845,  3057,     0,     0,     0,     0,  5849,
    5850,     0,     0,     0,  5851,     0,     0,     0,     0,  5852,
       0,     0,  5855,  5856,     0,     0,     0,  3057,  3859,  5861,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3820,     0,     0,     0,     0,     0,  3057,     0,  3057,     0,
       0,     0,  3057,  3057,  3057,  3057,     0,     0,  3057,  3057,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1825,     0,     0,     0,     0,     0,     0,     0,
    5920,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5949,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5998,     0,     0,     0,     0,     0,     0,  6000,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6035,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,  4685,
    3859,  3057,  3057,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3057,  3057,  3057,     0,
       0,     0,     0,     0,     0,     0,  3859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3057,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3820,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6144,     0,
       0,     0,     0,     0,  6148,  6149,  6150,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6163,
    6164,     0,     0,  6165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4685,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,  3859,
       0,     0,  4685,     0,     0,     0,  3057,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3057,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3057,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3057,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6388,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3880,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,  3057,     0,     0,     0,  6411,     0,     0,     0,     0,
       0,     0,  4685,     0,  3859,  6423,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6441,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3057,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6477,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6489,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6526,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3820,     0,     0,     0,     0,     0,     0,  3057,
       0,     0,     0,     0,  6611,     0,     0,     0,     0,     0,
       0,     0,     0,  6618,  6618,  6618,     0,     0,     0,     0,
       0,     0,     0,     0,  3057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2580,     0,  3859,     0,     0,  3859,     0,     0,  3859,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6655,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6670,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4685,     0,  4685,     0,  4685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3057,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6618,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6441,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6846,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6871,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6441,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6618,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,  7004,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2233,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   837,   350,   351,   352,   838,
     839,   840,   841,   842,   843,   844,   353,   354,   355,   845,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   846,   369,   370,   371,   372,   373,   374,
     375,   847,   848,   376,   377,   849,   378,   379,   850,   380,
     381,   382,   383,   384,   851,   385,   852,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   853,   854,   396,
     397,   398,   399,   400,   401,   855,   402,   403,   404,   856,
     857,   858,   859,   406,   860,   861,   862,   408,   409,   410,
     411,   800,   412,   413,   414,   415,   863,   416,   864,   417,
     418,   419,   420,   421,   422,   423,   865,   424,   425,   426,
     427,   866,   867,   428,   429,   430,   431,   432,   868,   433,
     434,   435,   436,   869,   437,   438,   439,   440,   870,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   871,
     451,   872,   452,   453,   454,   455,   456,   873,   457,   874,
     458,   459,   460,   875,   461,   462,   463,   464,   465,   876,
     466,   467,   877,   468,   469,   470,   878,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,   879,   480,   481,
     482,   483,   484,   485,   486,   487,   880,   488,   489,   490,
     881,   491,   492,   493,   882,   494,   883,   495,   884,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   885,   886,   519,   520,   521,   522,   523,   887,
     524,   525,   526,   888,   889,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   890,   558,
     559,   560,   561,   891,   562,   563,   564,   565,   566,   567,
     892,   568,   569,   570,   893,   894,   571,   572,   573,   895,
     896,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   897,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   898,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   899,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     900,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
     901,   648,   649,   650,   651,   652,   902,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   903,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   904,   681,   682,   905,   906,
     683,   684,   685,   686,   687,   688,   689,   690,   907,   691,
     692,   693,   908,   909,   695,   696,   697,   698,   699,   910,
     700,   701,   702,   703,   704,   705,   706,   707,   708,   911,
     912,   709,   710,   711,   712,   713,   913,   914,   714,   715,
     716,   717,   718,   915,   719,   916,   720,   721,   722,   723,
     724,   725,   917,   918,   726,   919,   920,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,     0,     0,     0,
       0,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,  1119,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  2227,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,  2228,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,  2229,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,  2230,     0,     0,     0,     0,     0,     0,  1812,
    2231,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
     146,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,   151,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,  2578,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,   160,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
     161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
    6643,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
    3861,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
    5305,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
    5371,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,     0,  1549,
     366,  1550,  1551,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1552,  1553,   379,     0,   380,
     381,   382,   383,     0,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,   800,   412,  1554,  1555,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,     0,   446,   447,   448,   449,     0,     0,
     451,     0,   452,   453,   454,  1557,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,     0,     0,     0,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,  3230,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,  3231,
       0,   491,   492,   493,  1559,  1560,     0,  1561,     0,   496,
     497,   498,   499,   500,  1562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,     0,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   803,   539,   540,
     804,   541,   542,   543,  1563,   545,  1564,   547,   548,   549,
     550,   551,   552,   553,   554,     0,     0,   557,     0,   558,
     559,   560,   561,     0,     0,   563,  1565,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,  3233,   577,   578,   579,     0,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,   596,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1566,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,  3234,
     657,   658,   659,   660,   661,  1568,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,     0,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1569,  1570,     0,     0,   695,   696,     0,   698,     0,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,  1571,  3235,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
    3330,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1549,   366,  1550,  1551,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1552,  1553,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   800,   412,
    1554,  1555,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1557,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,  3230,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,  3231,     0,   491,   492,
     493,  1559,  1560,     0,  1561,     0,   496,   497,   498,   499,
     500,  1562,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   803,   539,   540,   804,   541,   542,
     543,  1563,   545,  1564,   547,   548,   549,   550,   551,   552,
     553,   554,     0,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1565,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
    3233,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
       0,   596,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1566,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,     0,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,  3234,   657,   658,   659,
     660,   661,  1568,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
       0,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1569,  1570,     0,
       0,   695,   696,     0,   698,     0,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,  1571,  3235,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,  4485,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1786,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,  3822,   630,   631,   632,   633,   634,
     635,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,   146,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,   151,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,  2578,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
     160,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,  1808,     0,   161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  1812,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   146,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,   151,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,  2578,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,   160,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,   161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,  3867,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  1753,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,  3868,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,  3869,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
    1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1786,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  1787,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,  3870,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  1797,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,  1810,     0,     0,     0,     0,     0,     0,
       0,  1812,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349, -2280,   350,   351,   352,
       0,     0,     0, -2280,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,  1753,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,  1779,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1786,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    1787,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663, -2280,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,  1797,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,  1810,     0,     0,     0,     0,     0,     0,     0,
    1812,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349, -2278,   350,   351,   352,     0,
       0,     0, -2278,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663, -2278,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,  1785,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1786,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,  2527,  3796,  1812,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1734,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1735,   366,  1736,
    1737,     0,   369,   370,   371,   372,   373,   374,   375,  1738,
    1739,   376,   377,  1740,  1741,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,  1751,  1752,   415,  1753,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1754,   446,   447,   448,   449,  1755,  1756,   451,     0,
     452,   453,   454,  1757,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,  1759,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1559,  1760,     0,  1761,     0,   496,   497,   498,
     499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,  1776,   545,  1777,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,  1779,   558,   559,   560,
     561,  1780,  1781,   563,  1782,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1783,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,  1785,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,  1786,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,  1787,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,  1789,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1792,  1793,
       0,     0,   695,   696,  1794,   698,  1795,  1796,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,  1797,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,  1799,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,  1810,
    1811,     0,     0,     0,     0,     0,     0,  1812,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  3161,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,   497,   498,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,   560,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1786,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1810,     0,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  1753,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,  1779,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1786,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,  3822,   630,   631,   632,
     633,   634,   635,   636,   637,  1787,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  1797,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  1810,     0,     0,
       0,     0,     0,     0,     0,  1812,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,  1753,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  1759,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1786,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,  1787,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  1797,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
    4360,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,  1808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,  1810,     0,     0,     0,
       0,     0,     0,     0,  1812,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,  3868,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,   497,   498,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1786,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0,  1808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  1812,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  1753,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,  1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  1787,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,  3925,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,  1797,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1809,  1810,     0,     0,     0,     0,     0,
       0,     0,  1812,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,  5434,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,  1753,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
    1779,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1786,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  1787,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  1797,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,  1810,     0,     0,     0,     0,     0,     0,
       0,  1812,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,  6615,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
    6616,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,  1753,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,  1779,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1783,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1786,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    1787,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,  6617,   706,   707,   708,
       0,  1797,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,  1810,     0,     0,     0,     0,     0,     0,     0,
    1812,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,  6616,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,  1753,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,  1779,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1783,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  1787,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,  6617,   706,   707,   708,     0,
    1797,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1809,  1810,     0,     0,     0,     0,     0,     0,     0,  1812,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1734,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1735,   366,
    1736,  1737,     0,   369,   370,   371,   372,   373,   374,   375,
    1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,   381,
     382,   383,  1742,     0,  1743,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1744,
    1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,
     800,   412,  1751,  1752,   415,  1753,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1556,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1754,   446,   447,   448,   449,  1755,  1756,   451,
       0,   452,   453,   454,  1757,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1758,     0,  1759,   469,   470,     0,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1559,  1760,     0,  1761,     0,   496,   497,
     498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,   510,  1771,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1772,   521,   522,   523,     0,   524,
     525,   526,  1773,  1774,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1775,   538,   803,   539,   540,   804,
     541,   542,   543,  1776,   545,  1777,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1778,   557,  1779,   558,   559,
     560,   561,  1780,  1781,   563,  1782,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1783,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1784,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,  1785,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1786,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,  1787,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,  1788,   654,   655,   656,   657,
     658,   659,   660,   661,  1789,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,  1790,   680,     0,   681,   682,  1791,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,  1792,
    1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,  1797,
     709,   710,   711,   712,   713,  1798,     0,   714,   715,   716,
     717,   718,   806,  1799,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,
    1806,  1807,   743,   807,   744,   745,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
    1810,     0,     0,     0,     0,     0,     0,     0,  1812,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1734,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1735,   366,  1736,
    1737,     0,   369,   370,   371,   372,   373,   374,   375,  1738,
    1739,   376,   377,  1740,  1741,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,  1751,  1752,   415,  1753,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1754,   446,   447,   448,   449,  1755,  1756,   451,     0,
     452,   453,   454,  1757,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,  1759,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1559,  1760,     0,  1761,     0,   496,   497,   498,
     499,   500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,  1776,   545,  1777,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,  1779,   558,   559,   560,
     561,  1780,  1781,   563,  1782,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1783,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,  1785,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,  1786,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,  1787,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,  1789,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1792,  1793,
       0,     0,   695,   696,  1794,   698,  1795,  1796,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,  1797,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,  1799,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3164,  3165,
       0,     0,     0,     0,     0,     0,     0,  1812,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1734,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1735,   366,  1736,  1737,
       0,   369,   370,   371,   372,   373,   374,   375,  1738,  1739,
     376,   377,  1740,  1741,   379,     0,   380,   381,   382,   383,
    1742,     0,  1743,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1744,  1745,  1746,
    1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,   412,
    1751,  1752,   415,  1753,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1556,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1754,   446,   447,   448,   449,  1755,  1756,   451,     0,   452,
     453,   454,  1757,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1758,     0,
    1759,   469,   470,     0,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1559,  1760,     0,  1761,     0,   496,   497,   498,   499,
     500,  1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
     510,  1771,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1772,   521,   522,   523,     0,   524,   525,   526,
    1773,  1774,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1775,   538,   803,   539,   540,   804,   541,   542,
     543,  1776,   545,  1777,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1778,   557,  1779,   558,   559,   560,   561,
    1780,  1781,   563,  1782,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1783,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1784,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
    1785,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,  1786,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,  1787,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,  1788,   654,   655,   656,   657,   658,   659,
     660,   661,  1789,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
    1790,   680,     0,   681,   682,  1791,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,  1792,  1793,     0,
       0,   695,   696,  1794,   698,  1795,  1796,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  1797,   709,   710,
     711,   712,   713,  1798,     0,   714,   715,   716,   717,   718,
     806,  1799,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
    5832,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,
     743,   807,   744,   745,     0,  1808,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1810,     0,
       0,     0,     0,     0,     0,     0,  1812,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,  1732,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,   370,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,  1753,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
    5844,   555,  1778,   557,  1779,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1783,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1786,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  1787,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,  1797,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,  1810,     0,     0,
       0,     0,     0,     0,     0,  1812,   830,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,     0,   770,
     771,   772,   773,   774,   775,   831,   776,   777,   778,   832,
       0,   779,   780,   781,   782,   833,   834,   783,   784,   785,
       0,   786,   835,   836,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1730,
    1731,  1732,    40,  1733,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1734,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1735,   366,  1736,  1737,     0,   369,
     370,   371,   372,   373,   374,   375,  1738,  1739,   376,   377,
    1740,  1741,   379,     0,   380,   381,   382,   383,  1742,     0,
    1743,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,  6431,     0,  1744,  1745,  1746,  1747,  1748,
    1749,  1750,   408,   409,   410,   411,   800,   412,  1751,  1752,
     415,  1753,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1556,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1754,   446,
     447,   448,   449,  1755,  1756,   451,     0,   452,   453,   454,
    1757,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1758,     0,  6432,   469,
     470,     0,   471,   472,   802,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1559,
    1760,     0,  1761,     0,   496,   497,   498,   499,   500,  1762,
    1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1772,   521,   522,   523,     0,   524,   525,   526,  1773,  1774,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1775,   538,   803,   539,   540,   804,   541,   542,   543,  1776,
     545,  1777,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1778,   557,  1779,   558,   559,   560,   561,  1780,  1781,
     563,  1782,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1783,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1784,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,  1785,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,  1786,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,  6433,   636,   637,  1787,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,  1788,   654,   655,   656,   657,   658,   659,   660,   661,
    1789,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,  1790,   680,
       0,   681,   682,  1791,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,  1792,  1793,     0,     0,   695,
     696,  1794,   698,  1795,  1796,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,  1797,   709,   710,   711,   712,
     713,  1798,     0,   714,   715,   716,   717,   718,   806,  1799,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,  1800,
    1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,
     744,   745,     0,  1808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,  1810,     0,     0,     0,
       0,     0,     0,     0,  6434,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1730,  1731,
    1732,    40,  1733,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1734,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363, -3723,  1735,   366,  1736,  1737,     0,   369,   370,
     371,   372,   373,   374,   375,  1738,  1739,   376,   377,  1740,
    1741,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,  6616,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,  1751,  1752,   415,
    1753,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1754,   446,   447,
     448,   449,  1755,  1756,   451,     0,   452,   453,   454,  1757,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,  1759,   469,   470,
       0,   471,   472,   802,   473,   474, -3723,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1559,  1760,
       0,  1761,     0,   496,     0,     0,   499,   500,  1762,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522, -3723,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,  1776,   545,
    1777,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,  1779,   558,   559,     0,   561,  1780,  1781,   563,
    1782,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1783,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1786,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,  1787,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658, -3723,   660,   661,  1789,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1792,  1793,     0,     0,   695,   696,
    1794,   698,  1795,  1796,   700,   701,   702,   703,   704,  6617,
     706,   707,   708,     0,  1797,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,  1799,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,     0, -3723,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1809,  1810,     0,     0,     0,     0,
       0,     0,     0,  1812,   830,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   831,   776,   777,   778,   832,     0,   779,
     780,   781,   782,   833,   834,   783,   784,   785,     0,   786,
     835,   836,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1730,  1731,  1732,
      40,  1733,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1734,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1735,   366,  1736,  1737,     0,   369,   370,   371,
     372,   373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,
     379,     0,   380,   381,   382,   383,  1742,     0,  1743,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,
     408,   409,   410,   411,   800,   412,  1751,  1752,   415,  6416,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1556,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1754,   446,   447,   448,
     449,  1755,  1756,   451,     0,   452,   453,   454,  1757,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1758,     0,  1759,   469,   470,     0,
     471,   472,   802,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1559,  1760,     0,
    1761,     0,   496,   497,   498,   499,   500,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1772,   521,
     522,   523,     0,   524,   525,   526,  1773,  1774,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1775,   538,
     803,   539,   540,   804,   541,   542,   543,  1776,   545,  1777,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1778,
     557,     0,   558,   559,   560,   561,  1780,  1781,   563,  1782,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1783,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1784,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,  1785,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,  1786,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,  3853,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,  1788,
     654,   655,   656,   657,   658,   659,   660,   661,  1789,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,  1790,   680,     0,   681,
     682,  1791,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,  1792,  1793,     0,     0,   695,   696,  1794,
     698,  1795,  1796,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,  1798,
       0,   714,   715,   716,   717,   718,   806,  1799,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,  1800,  1801,  1802,
    1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3854,  3855,     0,     0,     0,     0,     0,
       0,     0,  3856,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,  1732,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
       0,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1783,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1786,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  3853,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3854,  3855,     0,     0,     0,     0,     0,     0,
       0,  3856,   830,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,     0,   770,   771,   772,   773,   774,
     775,   831,   776,   777,   778,   832,     0,   779,   780,   781,
     782,   833,   834,   783,   784,   785,     0,   786,   835,   836,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1730,  1731,     0,    40,  1733,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1734,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1735,   366,  1736,  1737,     0,   369,   370,   371,   372,   373,
     374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,
     380,   381,   382,   383,  1742,     0,  1743,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,
     410,   411,   800,   412,  1751,  1752,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1556,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1754,   446,   447,   448,   449,  1755,
    1756,   451,     0,   452,   453,   454,  1757,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1758,     0,  1759,   469,   470,     0,   471,   472,
     802,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1559,  1760,     0,  1761,     0,
     496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1772,   521,   522,   523,
       0,   524,   525,   526,  1773,  1774,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1775,   538,   803,   539,
     540,   804,   541,   542,   543,  1776,   545,  1777,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1778,   557,     0,
     558,   559,   560,   561,  1780,  1781,   563,  1782,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1784,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,  1785,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,  1786,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
    3998,  3999,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,  1788,   654,   655,
     656,   657,   658,   659,   660,   661,  1789,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,  1790,   680,     0,   681,   682,  1791,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,  1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,
    1796,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,  1798,     0,   714,
     715,   716,   717,   718,   806,  1799,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,
    1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4000,  4001,     0,     0,     0,     0,     0,     0,     0,
    3856,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,     0,    40,  1733,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1734,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,  1738,  1739,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1754,   446,   447,   448,   449,  1755,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,  1759,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  1762,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,     0,   558,
     559,   560,   561,  1780,  1781,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,  3853,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,  1794,   698,  1795,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,  3856,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1730,  1731,     0,    40,  1733,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1734,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1735,   366,  1736,  1737,     0,
     369,  5336,   371,   372,   373,   374,   375,  1738,  1739,   376,
     377,  1740,  1741,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,  1751,
    1752,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1754,
     446,   447,   448,   449,  1755,  1756,   451,     0,   452,   453,
     454,  1757,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,  1759,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1559,  1760,     0,  1761,     0,   496,   497,   498,   499,   500,
    1762,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
    1776,   545,  1777,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,     0,   558,   559,   560,   561,  1780,
    1781,   563,  1782,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1786,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,  3853,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,  1789,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1792,  1793,     0,     0,
     695,   696,  1794,   698,  1795,  1796,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
    1799,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,   743,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,  3856,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1730,  1731,     0,    40,
    1733,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1734,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1735,   366,  1736,  1737,     0,   369,   370,   371,   372,
     373,   374,   375,  1738,  1739,   376,   377,  1740,  1741,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,  1751,  1752,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1754,   446,   447,   448,   449,
    1755,  1756,   451,     0,   452,   453,   454,  1757,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,  1759,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1559,  1760,     0,  1761,
       0,   496,   497,   498,   499,   500,  1762,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,  1776,   545,  1777,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
       0,   558,   559,   560,   561,  1780,  1781,   563,  1782,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1786,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,  3853,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,  1789,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1792,  1793,     0,     0,   695,   696,  1794,   698,
    1795,  1796,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,  1799,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
    5875,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,  3856,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
    1739,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,  1755,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,  4439,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,  4764,  1771,   512,   513,   514,   515,   516,   517,   518,
    4765,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,     0,   558,   559,   560,
     561,     0,  1781,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,  1241,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,  1785,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,  4766,   640,
     641,   642,   643,   644,   645,   646,   805,   647,   146,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,   151,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,  1794,   698,  1795,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,  2578,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,   160,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,  4767,   807,   744,   745,     0,     0,     0,   161,     0,
       0,     0,     0,     0,     0,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,  4768,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,  1739,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,  1755,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,  4439,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,  4764,  1771,   512,
     513,   514,   515,   516,   517,   518,  4765,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,     0,   558,   559,   560,   561,     0,  1781,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,  1241,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,  4766,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
    1794,   698,  1795,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,  4767,   807,   744,
     745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,  4768,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,  1739,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,  1742,     0,  1743,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,  1755,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1758,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,  4439,  1763,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,   510,  1771,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1772,   521,   522,   523,     0,
     524,   525,   526,  1773,  1774,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1775,   538,   803,   539,   540,
     804,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1778,   557,     0,   558,
     559,   560,   561,     0,  1781,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1784,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,  1785,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,  1788,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,  1790,   680,     0,   681,   682,  1791,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,  1794,   698,  1795,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,  1798,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,  1800,  1801,  1802,  1803,   738,  1804,
    1805,  1806,  1807,   743,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,  4440,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,  1739,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,  1742,
       0,  1743,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1744,  1745,  1746,  1747,
    1748,  1749,  1750,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,  1755,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1758,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
    4439,  1763,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  4764,
    1771,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1772,   521,   522,   523,     0,   524,   525,   526,  1773,
    1774,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1775,   538,   803,   539,   540,   804,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1778,   557,     0,   558,   559,   560,   561,     0,
    1781,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1784,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,  1785,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,  4766,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,  1788,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,  1790,
     680,     0,   681,   682,  1791,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,  1794,   698,  1795,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,  1798,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
    1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,  1807,  4767,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,   162,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,  1739,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,  1742,     0,  1743,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1744,  1745,  1746,  1747,  1748,  1749,  1750,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
    1755,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1758,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,  4439,  1763,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,   510,  1771,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1772,   521,   522,
     523,     0,   524,   525,   526,  1773,  1774,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1775,   538,   803,
     539,   540,   804,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1778,   557,
       0,   558,   559,   560,   561,     0,  1781,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1784,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,  1785,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,  1788,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,  1790,   680,     0,   681,   682,
    1791,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,  1794,   698,
    1795,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,  1798,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,  1800,  1801,  1802,  1803,
     738,  1804,  1805,  1806,  1807,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,  5494,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
    1739,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,  1742,     0,  1743,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1744,  1745,
    1746,  1747,  1748,  1749,  1750,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,  1755,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1758,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,  4439,  1763,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,   510,  1771,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1772,   521,   522,   523,     0,   524,   525,
     526,  1773,  1774,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1775,   538,   803,   539,   540,   804,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1778,   557,     0,   558,   559,   560,
     561,     0,  1781,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1784,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,  1785,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,  1788,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,  1790,   680,     0,   681,   682,  1791,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,  1794,   698,  1795,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,  1798,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,  1800,  1801,  1802,  1803,   738,  1804,  1805,  1806,
    1807,   743,   807,   744,   745,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,  6727,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,     0,   770,   771,   772,   773,   774,   775,     0,
     776,   777,   778,  6242,     0,   779,   780,   781,   782,     0,
       0,   783,   784,   785,     0,   786,     0,     0,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,  5394,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   797,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0, -1849,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0, -1849,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488, -1849,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499, -1849,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520, -1849,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544, -1849,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631, -1849,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,     0,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
       0,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,     0,   776,   777,   778,     0,  1901,
     779,   780,   781,   782,     0,     0,   783,   784,   785,     0,
     786,     0,     0,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,   146,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,     0,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,   151,   683,     0,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,  2578,   719,     0,
     720,     0,   722,   723,   724,   725,     0,     0,   726,     0,
     160,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,     0,     0,     0,   161,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,   162,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,   146,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,   151,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,  2578,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,   160,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,   161,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   162,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,  3407,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,  1241,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,  3408,  3409,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,  2279,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,    39,
       0,     0,     0,     0,    40,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,  4530,  4531,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,    39,     0,     0,     0,     0,
      40,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,  4531,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,  1886,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,  4032,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,     0,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,  4753,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,     0,  5892,   770,   771,   772,   773,   774,   775,   831,
     776,   777,   778,   832,     0,   779,   780,   781,   782,   833,
     834,   783,   784,   785,     0,   786,   835,   836,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
      38,    39,     0,     0,     0,  1367,    40,     0,     0,     0,
       0,     0,  1368,  1369,  1370,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   837,   350,   351,   352,   838,   839,
     840,   841,   842,   843,   844,   353,   354,   355,   845,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1549,   366,
    1550,  1551,   846,   369,   370,   371,   372,   373,   374,   375,
     847,   848,   376,   377,  1552,  1553,   379,   850,   380,   381,
     382,   383,     0,   851,   385,   852,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   798,   854,   396,   397,
     398,   399,   400,   401,   855,   402,   403,   404,     0,   857,
     858,   859,   406,   860,   861,   862,   408,   409,   410,   411,
     800,   412,  1554,  1555,   415,   863,   416,   864,   417,   418,
     419,   420,   421,   422,   423,   865,   424,   425,   426,   427,
     866,   867,   428,   429,  1556,   431,   432,   868,   433,   434,
     435,   436,   869,   437,   438,   439,   440,   870,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,   871,   451,
     872,   452,   453,   454,  1557,   456,   873,   457,   874,   458,
     459,   460,   875,   461,   462,   463,   464,   465,   876,   466,
       0,   877,     0,   469,   470,   878,   471,   472,   802,   473,
     474,   475,   476,   477,   478,   479,   879,   480,   481,   482,
     483,   484,   485,   486,   487,   880,   488,   489,     0,     0,
     491,   492,   493,  1559,  1560,   883,  1561,   884,   496,   497,
     498,   499,   500,  1562,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,   885,   886,   519,     0,   521,   522,   523,   887,   524,
     525,   526,   888,   889,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   803,   539,   540,   804,
     541,   542,   543,  1563,   545,  1564,   547,   548,   549,   550,
     551,   552,   553,   554,  5080,     0,   557,   890,   558,   559,
     560,   561,   891,     0,   563,  1565,   565,   566,   567,   892,
     568,   569,   570,   893,   894,  5081,   572,   573,   895,   896,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   897,   592,
     593,   594,     0,   596,     0,   598,   599,   600,   898,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
    1566,   613,   614,   615,   616,   899,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   900,
     630,   631,   632,   633,   634,   635,   636,   637,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,   901,
     648,   649,   650,   651,   652,   902,   654,   655,  3234,   657,
     658,   659,   660,   661,  1568,   663,   903,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,     0,   680,   904,   681,   682,   905,   906,   683,
     684,   685,   686,   687,   688,   689,   690,   907,   691,  1569,
    1570,     0,   909,   695,   696,     0,   698,     0,   910,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,   912,
     709,   710,   711,   712,   713,   913,   914,   714,   715,   716,
     717,   718,     0,  1571,   916,   720,   721,   722,   723,   724,
     725,   917,   918,   726,   919,   920,   727,   728,   729,   730,
     731,   732,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   807,   744,   745,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1373,  1374,  1375,  5082,
    5083,  1378,  1379,  1380,  1381,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
     340,     0,     0,    37,     0,    38,    39,     0,     0,     0,
    1367,    40,     0,     0,     0,     0,     0,  1368,  1369,  1370,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   837,
     350,   351,   352,   838,   839,   840,   841,   842,   843,   844,
     353,   354,   355,   845,   356,   357,   358,   359,   360,   361,
     362,   363,     0,  1549,   366,  1550,  1551,   846,   369,   370,
     371,   372,   373,   374,   375,   847,   848,   376,   377,  1552,
    1553,   379,   850,   380,   381,   382,   383,     0,   851,   385,
     852,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,   854,   396,   397,   398,   399,   400,   401,   855,
     402,   403,   404,     0,   857,   858,   859,   406,   860,   861,
     862,   408,   409,   410,   411,   800,   412,  1554,  1555,   415,
     863,   416,   864,   417,   418,   419,   420,   421,   422,   423,
     865,   424,   425,   426,   427,   866,   867,   428,   429,  1556,
     431,   432,   868,   433,   434,   435,   436,   869,   437,   438,
     439,   440,   870,   441,   442,   443,   444,     0,   446,   447,
     448,   449,     0,   871,   451,   872,   452,   453,   454,  1557,
     456,   873,   457,   874,   458,   459,   460,   875,   461,   462,
     463,   464,   465,   876,   466,     0,   877,     0,   469,   470,
     878,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,   879,   480,   481,   482,   483,   484,   485,   486,   487,
     880,   488,   489,     0,     0,   491,   492,   493,  1559,  1560,
     883,  1561,   884,   496,   497,   498,   499,   500,  1562,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   512,
     513,   514,   515,   516,   517,   518,   885,   886,   519,     0,
     521,   522,   523,   887,   524,   525,   526,   888,   889,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     538,   803,   539,   540,   804,   541,   542,   543,  1563,   545,
    1564,   547,   548,   549,   550,   551,   552,   553,   554,  5565,
       0,   557,   890,   558,   559,   560,   561,   891,     0,   563,
    1565,   565,   566,   567,   892,   568,   569,   570,   893,   894,
    5081,   572,   573,   895,   896,   574,   575,     0,   577,   578,
     579,     0,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   897,   592,   593,   594,     0,   596,     0,
     598,   599,   600,   898,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1566,   613,   614,   615,   616,
     899,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   900,   630,   631,   632,   633,   634,
     635,   636,   637,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,   901,   648,   649,   650,   651,   652,
     902,   654,   655,  3234,   657,   658,   659,   660,   661,  1568,
     663,   903,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,     0,   680,   904,
     681,   682,   905,   906,   683,   684,   685,   686,   687,   688,
     689,   690,   907,   691,  1569,  1570,     0,   909,   695,   696,
       0,   698,     0,   910,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,   912,   709,   710,   711,   712,   713,
     913,   914,   714,   715,   716,   717,   718,     0,  1571,   916,
     720,   721,   722,   723,   724,   725,   917,   918,   726,   919,
     920,   727,   728,   729,   730,   731,   732,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   807,   744,
     745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1373,  1374,  1375,  5082,  5083,  1378,  1379,  1380,  1381,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,     0,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,  1367,     0,     0,     0,     0,     0,
       0,  1368,  1369,  1370,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,  1371,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,  1372,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1373,  1374,  1375,  1376,  1377,
    1378,  1379,  1380,  1381,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,  1367,     0,
       0,     0,     0,     0,     0,  1368,  1369,  1370,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,  1488,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,  1489,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1373,
    1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,     0,   776,   777,   778,
       0,     0,   779,   780,   781,   782,     0,     0,   783,   784,
     785,     0,   786,     0,     0,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,  1367,     0,     0,     0,     0,     0,     0,  1368,
    1369,  1370,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,  1603,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,  1604,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,  1605,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,     0,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,     0,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,     0,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,     0,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1373,  1374,  1375,  1376,  1377,  1378,  1379,
    1380,  1381,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,  1367,     0,     0,     0,
       0,     0,     0,  1368,  1369,  1370,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
    2262,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
    2263,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1373,  1374,  1375,
    1376,  1377,  1378,  1379,  1380,  1381,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,     0,   776,   777,   778,     0,     0,
     779,   780,   781,   782,     0,     0,   783,   784,   785,     0,
     786,     0,     0,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
    1367,     0,     0,     0,     0,     0,     0,  1368,  1369,  1370,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,     0,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,     0,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,     0,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1373,  1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,     0,   776,
     777,   778,     0,     0,   779,   780,   781,   782,     0,     0,
     783,   784,   785,     0,   786,     0,     0,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,  1367,     0,     0,     0,     0,     0,
       0,  1368,  1369,  1370,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,  4118,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,  4119,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,     0,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
       0,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,     0,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,     0,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1373,  1374,  1375,  1376,  1377,
    1378,  1379,  1380,  1381,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,  1367,     0,
       0,     0,     0,     0,     0,  1368,  1369,  1370,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  6224,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1373,
    1374,  1375,  1376,  1377,  1378,  1379,  1380,  1381,   830,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,   831,   776,   777,
     778,   832,     0,   779,   780,   781,   782,   833,   834,   783,
     784,   785,     0,   786,   835,   836,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   837,   350,   351,   352,   838,   839,   840,   841,
     842,   843,   844,   353,   354,   355,   845,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     846,   369,   370,   371,   372,   373,   374,   375,   847,   848,
     376,   377,   849,   378,   379,   850,   380,   381,   382,   383,
     384,   851,   385,   852,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   853,   854,   396,   397,   398,   399,
     400,   401,   855,   402,   403,   404,   856,   857,   858,   859,
     406,   860,   861,   862,   408,   409,   410,   411,   800,   412,
     413,   414,   415,   863,   416,   864,   417,   418,   419,   420,
     421,   422,   423,   865,   424,   425,   426,   427,   866,   867,
     428,   429,   430,   431,   432,   868,   433,   434,   435,   436,
     869,   437,   438,   439,   440,   870,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   871,   451,   872,   452,
     453,   454,   455,   456,   873,   457,   874,   458,   459,   460,
     875,   461,   462,   463,   464,   465,   876,   466,   467,   877,
     468,   469,   470,   878,   471,   472,   802,   473,   474,   475,
     476,   477,   478,   479,   879,   480,   481,   482,   483,   484,
     485,   486,   487,   880,   488,   489,   490,   881,   491,   492,
     493,   882,   494,   883,   495,   884,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   885,
     886,   519,   520,   521,   522,   523,   887,   524,   525,   526,
     888,   889,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   890,   558,   559,   560,   561,
     891,   562,   563,   564,   565,   566,   567,   892,   568,   569,
     570,   893,   894,   571,   572,   573,   895,   896,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   897,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   898,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   899,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   900,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,   901,   648,   649,
     650,   651,   652,   902,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   903,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   904,   681,   682,   905,   906,   683,   684,   685,
     686,   687,   688,   689,   690,   907,   691,   692,   693,   908,
     909,   695,   696,   697,   698,   699,   910,   700,   701,   702,
     703,   704,   705,   706,   707,   708,   911,   912,   709,   710,
     711,   712,   713,   913,   914,   714,   715,   716,   717,   718,
     915,   719,   916,   720,   721,   722,   723,   724,   725,   917,
     918,   726,   919,   920,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,  2239,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,     0,  1549,   366,  1550,  1551,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1552,  1553,   379,     0,   380,   381,   382,   383,     0,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,   800,   412,  1554,
    1555,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,     0,
     446,   447,   448,   449,     0,     0,   451,     0,   452,   453,
     454,  1557,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,     0,     0,     0,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,  3230,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,  3231,     0,   491,   492,   493,
    1559,  1560,     0,  1561,     0,   496,   497,   498,   499,   500,
    1562,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,     0,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   538,   803,   539,   540,   804,   541,   542,   543,
    1563,   545,  1564,   547,   548,   549,   550,   551,   552,   553,
     554,     0,     0,   557,     0,   558,   559,   560,   561,     0,
       0,   563,  1565,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,  3232,   574,   575,  3233,
     577,   578,   579,     0,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
     596,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1566,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,  3234,   657,   658,   659,   660,
     661,  1568,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,     0,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1569,  1570,     0,     0,
     695,   696,     0,   698,     0,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
    1571,  3235,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     807,   744,   745,     0,     0,     0,     0,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,     0,  3236,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,     0,     0,     0,     0,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,  1249,   770,   771,
     772,   773,   774,   775,     0,   776,   777,   778,     0,     0,
     779,   780,   781,   782,     0,     0,   783,   784,   785,     0,
     786,     0,     0,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,     0,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,     0,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,     0,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,     0,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,     0,     0,     0,     0,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,     0,  6695,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
       0,     0,     0,     0,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,  6697,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,     0,
       0,     0,     0,   761,   762,   763,   764,   765,   766,   767,
       0,   768,   769,     0,  6824,   770,   771,   772,   773,   774,
     775,     0,   776,   777,   778,     0,     0,   779,   780,   781,
     782,     0,     0,   783,   784,   785,     0,   786,     0,     0,
     787,   788,     0,     0,     0,   789,   790,     0,     0,     0,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
     792,     0,   793,     0,   794,   795,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,    40,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,  1141,
     344,   345,   346,   347,   348,   349,  1142,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,  1143,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   797,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   798,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   800,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,  1144,   455,   456,     0,   457,
       0,   458,  1145,     0,  1146,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     802,   473,   474,     0,   476,   477,   478,   479,  1147,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,  1148,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   803,   539,
     540,   804,   541,   542,   543,   544,     0,   546,   547,   548,
    1149,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,  1150,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,  1151,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,     0,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   805,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,     0,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,     0,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,   806,   719,     0,   720,     0,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   807,   744,   745,     0,     0,
       0,   761,   762,   763,   764,   765,   766,   767,     0,   768,
     769,  1152,  1153,   770,   771,   772,   773,   774,   775,     0,
     776,   777,   778,     0,     0,   779,   780,   781,   782,     0,
       0,   783,   784,   785,     0,   786,     0,     0,   787,   788,
       0,     0,     0,   789,   790,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,   792,     0,
     793,     0,   794,   795,    35,   340,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,  1141,   344,   345,
     346,   347,   348,   349,  1142,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,  1177,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   797,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   798,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     800,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,  1144,   455,   456,     0,   457,     0,   458,
    1178,     0,  1146,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   802,   473,
     474,     0,   476,   477,   478,   479,  1147,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
    1148,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   803,   539,   540,   804,
     541,   542,   543,   544,     0,   546,   547,   548,  1149,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,  1150,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,  1151,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,     0,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   805,   647,     0,
     648,   649,   650,   651,   652,     0,   654,   655,   656,   657,
     658,     0,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
       0,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,   806,   719,     0,   720,     0,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   807,   744,   745,     0,     0,     0,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,  1152,
    1153,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,    40,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1657,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
    1146,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,  1147,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,     0,     0,     0,   761,   762,   763,
     764,   765,   766,   767,     0,   768,   769,  1152,  1153,   770,
     771,   772,   773,   774,   775,     0,   776,   777,   778,     0,
       0,   779,   780,   781,   782,     0,     0,   783,   784,   785,
       0,   786,     0,     0,   787,   788,     0,     0,     0,   789,
     790,     0,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,   792,     0,   793,     0,   794,   795,
      35,   340,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,    40,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1662,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     797,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   798,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   800,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,  1146,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   802,   473,   474,     0,   476,   477,
     478,   479,  1147,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   803,   539,   540,   804,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,     0,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   805,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,     0,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,   806,   719,
       0,   720,     0,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   807,
     744,   745,     0,     0,     0,   761,   762,   763,   764,   765,
     766,   767,     0,   768,   769,  1152,  1153,   770,   771,   772,
     773,   774,   775,     0,   776,   777,   778,     0,     0,   779,
     780,   781,   782,     0,     0,   783,   784,   785,     0,   786,
       0,     0,   787,   788,     0,     0,     0,   789,   790,     0,
       0,     0,     0,   791,     0,     0,     0,     0,     0,     0,
       0,     0,   792,     0,   793,     0,   794,   795,    35,   340,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   797,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     798,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   800,   412,   413,   414,   415,   801,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   802,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     803,   539,   540,   804,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,     0,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   805,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,     0,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,     0,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,  1857,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,   806,   719,     0,   720,
       0,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   807,   744,   745,
    1218,     0,   761,   762,   763,   764,   765,   766,   767,  1219,
     768,   769,  1858,     0,   770,   771,   772,   773,   774,   775,
       0,   776,   777,   778,     0,     0,   779,   780,   781,   782,
       0,     0,   783,   784,   785,     0,   786,     0,     0,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1220,   377,  1191,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,  1221,     0,  1222,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,  1223,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,  1224,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,     0,  1225,   634,   635,   636,   637,   638,
     639,   640,   641,   642,  1226,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,  1227,     0,   654,   655,   656,
     657,   658,     0,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,     0,   685,   686,   687,   688,   689,   690,     0,   691,
    1228,   693,     0,     0,  1229,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,  1195,   719,     0,   720,     0,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,  1230,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,    38,    39,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   837,   350,   351,   352,   838,   839,   840,   841,   842,
     843,   844,   353,   354,   355,   845,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   846,
     369,   370,   371,   372,   373,   374,   375,   847,   848,   376,
     377,   849,   378,   379,   850,   380,   381,   382,   383,   384,
     851,   385,   852,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   853,   854,   396,   397,   398,   399,   400,
     401,   855,   402,   403,   404,   856,   857,   858,   859,   406,
     860,   861,   862,   408,   409,   410,   411,   800,   412,   413,
     414,   415,   863,   416,   864,   417,   418,   419,   420,   421,
     422,   423,   865,   424,   425,   426,   427,   866,   867,   428,
     429,   430,   431,   432,   868,   433,   434,   435,   436,   869,
     437,   438,   439,   440,   870,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   871,   451,   872,   452,   453,
     454,   455,   456,   873,   457,   874,   458,   459,   460,   875,
     461,   462,   463,   464,   465,   876,   466,   467,   877,   468,
     469,   470,   878,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,   879,   480,   481,   482,   483,   484,   485,
     486,   487,   880,   488,   489,   490,   881,   491,   492,   493,
     882,   494,   883,   495,   884,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   885,   886,
     519,   520,   521,   522,   523,   887,   524,   525,   526,   888,
     889,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   890,   558,   559,   560,   561,   891,
     562,   563,   564,   565,   566,   567,   892,   568,   569,   570,
     893,   894,   571,   572,   573,   895,   896,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   897,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   898,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   899,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   900,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,   901,   648,   649,   650,
     651,   652,   902,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   903,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   904,   681,   682,   905,   906,   683,   684,   685,   686,
     687,   688,   689,   690,   907,   691,   692,   693,   908,   909,
     695,   696,   697,   698,   699,   910,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   911,   912,   709,   710,   711,
     712,   713,   913,   914,   714,   715,   716,   717,   718,   915,
     719,   916,   720,   721,   722,   723,   724,   725,   917,   918,
     726,   919,   920,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   837,   350,   351,
     352,   838,   839,   840,   841,   842,   843,   844,   353,   354,
     355,   845,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   846,   369,   370,   371,   372,
     373,   374,   375,   847,   848,   376,   377,   849,   378,   379,
     850,   380,   381,   382,   383,   384,   851,   385,   852,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   853,
     854,   396,   397,   398,   399,   400,   401,   855,   402,   403,
     404,   856,   857,   858,   859,   406,   860,   861,   862,   408,
     409,   410,   411,   800,   412,   413,   414,   415,   863,   416,
     864,   417,   418,   419,   420,   421,   422,   423,   865,   424,
     425,   426,   427,   866,   867,   428,   429,   430,   431,   432,
     868,   433,   434,   435,   436,   869,   437,   438,   439,   440,
     870,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   871,   451,   872,   452,   453,   454,   455,   456,   873,
     457,   874,   458,   459,   460,   875,   461,   462,   463,   464,
     465,   876,   466,   467,   877,   468,   469,   470,   878,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,   879,
     480,   481,   482,   483,   484,   485,   486,   487,   880,   488,
     489,   490,   881,   491,   492,   493,   882,   494,   883,   495,
     884,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   885,   886,   519,   520,   521,   522,
     523,   887,   524,   525,   526,   888,   889,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     890,   558,   559,   560,   561,   891,   562,   563,   564,   565,
     566,   567,   892,   568,   569,   570,   893,   894,   571,   572,
     573,   895,   896,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   897,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   898,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   899,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   900,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,   901,   648,   649,   650,   651,   652,   902,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   903,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   904,   681,   682,
     905,   906,   683,   684,   685,   686,   687,   688,   689,   690,
     907,   691,   692,   693,   908,   909,   695,   696,   697,   698,
     699,   910,   700,   701,   702,   703,   704,   705,   706,   707,
     708,   911,   912,   709,   710,   711,   712,   713,   913,   914,
     714,   715,   716,   717,   718,   915,   719,   916,   720,   721,
     722,   723,   724,   725,   917,   918,   726,   919,   920,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,  4193,
     347,   348,   349,   837,   350,   351,   352,   838,   839,   840,
     841,   842,   843,   844,   353,   354,   355,   845,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   846,   369,   370,   371,   372,   373,   374,   375,   847,
     848,   376,   377,   849,   378,   379,   850,   380,   381,   382,
     383,   384,   851,   385,   852,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   853,   854,   396,   397,   398,
     399,   400,   401,   855,   402,   403,   404,   856,   857,   858,
     859,   406,   860,   861,   862,   408,   409,   410,   411,   800,
     412,   413,   414,   415,   863,   416,   864,   417,   418,   419,
     420,   421,   422,   423,   865,   424,   425,   426,   427,   866,
     867,   428,   429,   430,  4194,   432,   868,   433,   434,   435,
     436,   869,   437,   438,   439,   440,   870,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   871,   451,   872,
     452,   453,   454,   455,   456,   873,   457,   874,   458,   459,
     460,   875,   461,   462,   463,   464,   465,   876,   466,   467,
     877,   468,   469,   470,   878,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,   879,   480,   481,   482,   483,
     484,   485,   486,   487,   880,   488,   489,   490,   881,   491,
     492,   493,   882,   494,   883,   495,   884,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     885,   886,   519,   520,   521,   522,   523,   887,   524,   525,
     526,   888,   889,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   890,   558,   559,   560,
     561,   891,   562,   563,   564,   565,   566,   567,   892,   568,
     569,   570,   893,   894,   571,   572,   573,   895,   896,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   897,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   898,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   899,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   900,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,   901,   648,
     649,   650,   651,   652,   902,  4195,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   903,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   904,   681,   682,   905,   906,   683,   684,
     685,   686,   687,   688,   689,   690,   907,   691,   692,   693,
     908,   909,   695,   696,   697,   698,   699,   910,   700,   701,
     702,   703,   704,   705,   706,   707,   708,   911,   912,   709,
     710,   711,   712,   713,   913,   914,   714,   715,   716,   717,
     718,   915,   719,   916,   720,   721,   722,   723,   724,   725,
     917,   918,   726,   919,   920,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,  1739,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,  1742,     0,  1743,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1744,  1745,  1746,  1747,  1748,  1749,
    1750,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,  1755,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1758,     0,   468,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,  4439,  1763,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,   510,  1771,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1772,
     521,   522,   523,     0,   524,   525,   526,  1773,  1774,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1775,
     538,   803,   539,   540,   804,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1778,   557,     0,   558,   559,   560,   561,     0,  1781,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1784,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,  1785,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
    1788,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,  1790,   680,     0,
     681,   682,  1791,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
    1794,   698,  1795,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
    1798,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,  1800,  1801,
    1802,  1803,   738,  1804,  1805,  1806,  1807,   743,   807,   744,
     745,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1730,  1731,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1735,
     366,  1736,  1737,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1740,  1741,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,   800,   412,  1751,  1752,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,  1756,
     451,     0,   452,   453,   454,  1757,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1559,  1760,     0,  1761,     0,   496,
     497,   498,   499,   500,  7007,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,  1776,   545,  1777,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,  1780,   562,   563,  1782,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1786,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,   659,   660,   661,  1789,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1792,  1793,     0,     0,   695,   696,   697,   698,   699,  1796,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,  1799,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   797,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,   800,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   803,   539,   540,   804,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,   806,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     807,   744,   745,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1542,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   797,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,   800,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   802,   473,  1595,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   803,   539,   540,   804,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   806,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   807,   744,   745,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   797,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,   800,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   802,   473,  1609,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   803,   539,   540,   804,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,   806,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   807,   744,
     745,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   797,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,   800,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   802,
     473,  1613,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   803,   539,   540,
     804,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,   806,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   807,   744,   745,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,     0,  1549,   366,  1550,  1551,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1552,  1553,   379,     0,   380,   381,   382,   383,     0,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,   800,   412,  1554,
    1555,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,     0,
     446,   447,   448,   449,     0,     0,   451,     0,   452,   453,
     454,  1557,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,     0,     0,     0,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,  3230,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,  3231,     0,   491,   492,   493,
    1559,  1560,     0,  1561,     0,   496,   497,   498,   499,   500,
    1562,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,     0,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   538,   803,   539,   540,   804,   541,   542,   543,
    1563,   545,  1564,   547,   548,   549,   550,   551,   552,   553,
     554,     0,     0,   557,     0,   558,   559,   560,   561,     0,
       0,   563,  1565,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,  3233,
     577,   578,   579,     0,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
     596,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1566,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,  3234,   657,   658,   659,   660,
     661,  1568,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,     0,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1569,  1570,     0,     0,
     695,   696,     0,   698,     0,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
    1571,  3235,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     807,   744,   745,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
       0,  1549,   366,  1550,  1551,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,  1552,  1553,   379,
       0,   380,   381,   382,   383,     0,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,   800,   412,  1554,  1555,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,     0,   446,   447,   448,   449,
       0,     0,   451,     0,   452,   453,   454,  1557,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,     0,     0,     0,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,     0,   491,   492,   493,  1559,  1560,     0,  1561,
       0,   496,   497,   498,   499,   500,  1562,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,     0,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   538,   803,
     539,   540,   804,   541,   542,   543,  1563,   545,  1564,   547,
     548,   549,   550,   551,   552,   553,   554,     0,     0,   557,
       0,   558,   559,   560,   561,  3316,     0,   563,  1565,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,     0,   577,   578,   579,     0,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,   596,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1566,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,  3234,   657,   658,   659,   660,   661,  1568,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,     0,   680,     0,   681,   682,
       0,  5181,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1569,  1570,     0,     0,   695,   696,     0,   698,
       0,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,  1571,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   807,   744,   745,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,     0,  1549,   366,  1550,
    1551,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,  1552,  1553,   379,     0,   380,   381,   382,
     383,     0,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,   800,
     412,  1554,  1555,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,     0,   446,   447,   448,   449,     0,     0,   451,     0,
     452,   453,   454,  1557,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,     0,
       0,     0,   469,   470,     0,   471,   472,   802,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,     0,   491,
     492,   493,  1559,  1560,     0,  1561,     0,   496,   497,   498,
     499,   500,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,     0,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   538,   803,   539,   540,   804,   541,
     542,   543,  1563,   545,  1564,   547,   548,   549,   550,   551,
     552,   553,   554,  3394,     0,   557,     0,   558,   559,   560,
     561,     0,     0,   563,  1565,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,     0,   577,   578,   579,     0,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,   596,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,  1566,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  1567,   657,   658,
     659,   660,   661,  1568,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,     0,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1569,  1570,
       0,     0,   695,   696,     0,   698,     0,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,  1571,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   807,   744,   745,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,     0,  1549,   366,  1550,  1551,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,  1552,
    1553,   379,     0,   380,   381,   382,   383,     0,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,   800,   412,  1554,  1555,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,     0,   446,   447,
     448,   449,     0,     0,   451,     0,   452,   453,   454,  1557,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,     0,     0,     0,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,     0,   491,   492,   493,  1559,  1560,
       0,  1561,     0,   496,   497,   498,   499,   500,  1562,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,     0,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     538,   803,   539,   540,   804,   541,   542,   543,  1563,   545,
    1564,   547,   548,   549,   550,   551,   552,   553,   554,  4977,
       0,   557,     0,   558,   559,   560,   561,     0,     0,   563,
    1565,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,     0,   577,   578,
     579,     0,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,   596,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1566,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,  1567,   657,   658,   659,   660,   661,  1568,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,     0,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1569,  1570,     0,     0,   695,   696,
       0,   698,     0,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,  1571,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   807,   744,
     745,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,     0,  1549,
     366,  1550,  1551,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1552,  1553,   379,     0,   380,
     381,   382,   383,     0,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,   800,   412,  1554,  1555,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,     0,   446,   447,   448,   449,     0,     0,
     451,     0,   452,   453,   454,  1557,   456,  6783,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,     0,     0,     0,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
       0,   491,   492,   493,  1559,  1560,     0,  1561,     0,   496,
     497,   498,   499,   500,  1562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,     0,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   803,   539,   540,
     804,   541,   542,   543,  1563,   545,  1564,   547,   548,   549,
     550,   551,   552,   553,   554,     0,     0,   557,     0,   558,
     559,   560,   561,     0,     0,   563,  1565,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,     0,   577,   578,   579,     0,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,   596,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1566,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,  1567,
     657,   658,   659,   660,   661,  1568,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,     0,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1569,  1570,     0,     0,   695,   696,     0,   698,     0,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,  1571,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   807,   744,   745,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,     0,  1549,   366,  1550,  1551,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1552,  1553,   379,     0,   380,   381,   382,   383,     0,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,   800,   412,  1554,
    1555,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,     0,
     446,   447,   448,   449,     0,     0,   451,     0,   452,   453,
     454,  1557,   456,  7035,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,     0,     0,     0,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,     0,   491,   492,   493,
    1559,  1560,     0,  1561,     0,   496,   497,   498,   499,   500,
    1562,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,     0,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   538,   803,   539,   540,   804,   541,   542,   543,
    1563,   545,  1564,   547,   548,   549,   550,   551,   552,   553,
     554,     0,     0,   557,     0,   558,   559,   560,   561,     0,
       0,   563,  1565,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,     0,
     577,   578,   579,     0,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
     596,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1566,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,  1567,   657,   658,   659,   660,
     661,  1568,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,     0,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1569,  1570,     0,     0,
     695,   696,     0,   698,     0,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
    1571,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     807,   744,   745,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
       0,  1549,   366,  1550,  1551,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,  1552,  1553,   379,
       0,   380,   381,   382,   383,     0,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,   800,   412,  1554,  1555,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1556,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,     0,   446,   447,   448,   449,
       0,     0,   451,     0,   452,   453,   454,  1557,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,     0,     0,     0,   469,   470,     0,   471,
     472,   802,   473,  1558,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,     0,   491,   492,   493,  1559,  1560,     0,  1561,
       0,   496,   497,   498,   499,   500,  1562,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,     0,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   538,   803,
     539,   540,   804,   541,   542,   543,  1563,   545,  1564,   547,
     548,   549,   550,   551,   552,   553,   554,     0,     0,   557,
       0,   558,   559,   560,   561,     0,     0,   563,  1565,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,     0,   577,   578,   579,     0,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,   596,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,  1566,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,  1567,   657,   658,   659,   660,   661,  1568,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,     0,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,  1569,  1570,     0,     0,   695,   696,     0,   698,
       0,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,  1571,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   807,   744,   745,   830,
     761,   762,   763,   764,   765,   766,   767,     0,   768,   769,
       0,     0,   770,   771,   772,   773,   774,   775,   831,   776,
     777,   778,   832,     0,   779,   780,   781,   782,   833,   834,
     783,   784,   785,     0,   786,   835,   836,   787,   788,     0,
       0,     0,   789,   790,     0,     0,     0,     0,   791,     0,
       0,     0,     0,     0,     0,     0,     0,   792,     0,   793,
       0,   794,   795,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,     0,  1549,   366,  1550,
    1551,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,  1552,  1553,   379,     0,   380,   381,   382,
     383,     0,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   798,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,   800,
     412,  1554,  1555,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1556,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,     0,   446,   447,   448,   449,     0,     0,   451,     0,
     452,   453,   454,  1557,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,     0,
       0,     0,   469,   470,     0,   471,   472,   802,   473,  1621,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,     0,     0,   491,
     492,   493,  1559,  1560,     0,  1561,     0,   496,   497,   498,
     499,   500,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,     0,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   538,   803,   539,   540,   804,   541,
     542,   543,  1563,   545,  1564,   547,   548,   549,   550,   551,
     552,   553,   554,     0,     0,   557,     0,   558,   559,   560,
     561,     0,     0,   563,  1565,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,     0,   577,   578,   579,     0,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,     0,   596,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,  1566,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   805,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,  1567,   657,   658,
     659,   660,   661,  1568,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,     0,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,  1569,  1570,
       0,     0,   695,   696,     0,   698,     0,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,  1571,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   807,   744,   745,   830,   761,   762,   763,   764,
     765,   766,   767,     0,   768,   769,     0,     0,   770,   771,
     772,   773,   774,   775,   831,   776,   777,   778,   832,     0,
     779,   780,   781,   782,   833,   834,   783,   784,   785,     0,
     786,   835,   836,   787,   788,     0,     0,     0,   789,   790,
       0,     0,     0,     0,   791,     0,     0,     0,     0,     0,
       0,     0,     0,   792,     0,   793,     0,   794,   795,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,     0,  1549,   366,  1550,  1551,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,  1552,
    1553,   379,     0,   380,   381,   382,   383,     0,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   798,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,   800,   412,  1554,  1555,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1556,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,     0,   446,   447,
     448,   449,     0,     0,   451,     0,   452,   453,   454,  1557,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,     0,     0,     0,   469,   470,
       0,   471,   472,   802,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,     0,     0,   491,   492,   493,  1559,  1560,
       0,  1561,     0,   496,   497,   498,   499,   500,  1562,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,     0,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     538,   803,   539,   540,   804,   541,   542,   543,  1563,   545,
    1564,   547,   548,   549,   550,   551,   552,   553,   554,     0,
       0,   557,     0,   558,   559,   560,   561,     0,     0,   563,
    1565,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,     0,   577,   578,
     579,     0,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,     0,   596,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,  1566,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   805,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,  1567,   657,   658,   659,   660,   661,  1568,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,     0,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,  1569,  1570,     0,     0,   695,   696,
       0,   698,     0,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,  1571,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   807,   744,
     745,   830,   761,   762,   763,   764,   765,   766,   767,     0,
     768,   769,     0,     0,   770,   771,   772,   773,   774,   775,
     831,   776,   777,   778,   832,     0,   779,   780,   781,   782,
     833,   834,   783,   784,   785,     0,   786,   835,   836,   787,
     788,     0,     0,     0,   789,   790,     0,     0,     0,     0,
     791,     0,     0,     0,     0,     0,     0,     0,     0,   792,
       0,   793,     0,   794,   795,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,     0,  1549,
     366,  1550,  1551,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,  1552,  1553,   379,     0,   380,
     381,   382,   383,     0,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   798,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,   800,   412,  1554,  1555,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1556,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,     0,   446,   447,   448,   449,     0,     0,
     451,     0,   452,   453,   454,  1557,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,     0,     0,     0,   469,   470,     0,   471,   472,   802,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,     0,
       0,   491,   492,   493,  1559,  1560,     0,  1561,     0,   496,
     497,   498,   499,   500,  1562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,     0,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   803,   539,   540,
     804,   541,   542,   543,  1563,   545,  1564,   547,   548,   549,
     550,   551,   552,   553,   554,     0,     0,   557,     0,   558,
     559,   560,   561,     0,     0,   563,  1565,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,     0,   577,   578,   579,     0,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,     0,   596,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,  1566,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   805,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,  3234,
     657,   658,   659,   660,   661,  1568,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,     0,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
    1569,  1570,     0,     0,   695,   696,     0,   698,     0,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,  1571,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   807,   744,   745,   830,   761,   762,
     763,   764,   765,   766,   767,     0,   768,   769,     0,     0,
     770,   771,   772,   773,   774,   775,   831,   776,   777,   778,
     832,     0,   779,   780,   781,   782,   833,   834,   783,   784,
     785,     0,   786,   835,   836,   787,   788,     0,     0,     0,
     789,   790,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,     0,   792,     0,   793,     0,   794,
     795,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,     0,  1549,   366,  1550,  1551,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1552,  1553,   379,     0,   380,   381,   382,   383,     0,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   798,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,   800,   412,  1554,
    1555,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1556,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,     0,
     446,   447,   448,   449,     0,     0,   451,     0,   452,   453,
     454,  1557,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,     0,     0,     0,
     469,   470,     0,   471,   472,   802,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,     0,     0,   491,   492,   493,
    1559,  1560,     0,  1561,     0,   496,   497,   498,   499,   500,
    1562,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,     0,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   538,   803,   539,   540,   804,   541,   542,   543,
    1563,   545,  1564,   547,   548,   549,   550,   551,   552,   553,
     554,     0,     0,   557,     0,   558,   559,   560,   561,     0,
       0,   563,  1565,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,     0,
     577,   578,   579,     0,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,     0,
     596,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1566,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   805,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,     0,   657,   658,   659,   660,
     661,  1568,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,     0,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,  1569,  1570,     0,     0,
     695,   696,     0,   698,     0,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
    1571,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     807,   744,   745,   830,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,   831,   776,   777,   778,   832,     0,   779,   780,
     781,   782,   833,   834,   783,   784,   785,     0,   786,   835,
     836,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
       0,     0,   366,     0,     0,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,     0,   379,
       0,   380,   381,   382,   383,     0,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,   800,   412,     0,     0,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,     0,   446,   447,   448,   449,
       0,     0,   451,     0,   452,   453,   454,     0,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,     0,     0,     0,   469,   470,     0,   471,
     472,   802,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,     0,     0,   491,   492,   493,     0,     0,     0,     0,
       0,   496,   497,   498,   499,   500,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,     0,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   538,   803,
     539,   540,   804,   541,   542,   543,     0,   545,     0,   547,
     548,   549,   550,   551,   552,   553,   554,     0,     0,   557,
       0,   558,   559,   560,   561,     0,     0,   563,     0,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,     0,   577,   578,   579,     0,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,     0,   596,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,     0,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,     0,   657,   658,   659,   660,   661,     0,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,     0,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,     0,     0,     0,     0,   695,   696,     0,   698,
       0,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,     0,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   837,   350,   351,   352,   838,   839,   840,   841,
     842,   843,   844,   353,   354,   355,   845,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     846,   369,   370,   371,   372,   373,   374,   375,   847,   848,
     376,   377,     0,   378,   379,   850,   380,   381,   382,   383,
     384,   851,   385,   852,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   853,   854,   396,   397,   398,   399,
     400,   401,   855,   402,   403,   404,     0,   857,   858,   859,
     406,   860,   861,   862,   408,   409,   410,   411,     0,   412,
     413,   414,   415,   863,   416,   864,   417,   418,   419,   420,
     421,   422,   423,   865,   424,   425,   426,   427,   866,   867,
     428,   429,   430,   431,   432,   868,   433,   434,   435,   436,
     869,   437,   438,   439,   440,   870,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   871,   451,   872,   452,
     453,   454,   455,   456,   873,   457,   874,   458,   459,   460,
     875,   461,   462,   463,   464,   465,   876,   466,   467,   877,
     468,   469,   470,   878,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   879,   480,   481,   482,   483,   484,
     485,   486,   487,   880,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   883,   495,   884,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   885,
     886,   519,   520,   521,   522,   523,   887,   524,   525,   526,
     888,   889,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   890,   558,   559,   560,   561,
     891,   562,   563,   564,   565,   566,   567,   892,   568,   569,
     570,   893,   894,   571,   572,   573,   895,   896,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   897,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   898,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   899,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   900,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,   901,   648,   649,
     650,   651,   652,   902,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   903,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   904,   681,   682,   905,   906,   683,   684,   685,
     686,   687,   688,   689,   690,   907,   691,   692,   693,     0,
     909,   695,   696,   697,   698,   699,   910,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,   912,   709,   710,
     711,   712,   713,   913,   914,   714,   715,   716,   717,   718,
       0,   719,   916,   720,   721,   722,   723,   724,   725,   917,
     918,   726,   919,   920,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,     0,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
    3337,   380,   381,   382,   383,   384,     0,     0,  3338,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
    3339,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,  3340,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,  3341,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  3342,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,  3343,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  3344,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,  3337,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,  3339,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,  3340,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,  3341,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,  4410,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,  3343,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,  3344,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1161,   350,  1162,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,  1163,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,  1206,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,  1164,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,  1165,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1161,   350,  1162,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,  1163,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,  4092,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1164,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,  1165,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
    3337,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
    3339,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,  3340,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,  3341,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,  3343,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,  3344,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   796,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,   799,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,   801,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1161,   350,  1162,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,  1163,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,  1164,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,  1165,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  3577,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
    3407,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,  1241,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,  3408,  3409,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,  1058,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1059,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,  1060,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,    39,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,  1303,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  2479,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,  2480,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,  2481,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,  2482,   458,   459,     0,     0,     0,  2483,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,  2484,  2485,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,  2486,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,  2487,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,  2488,
     637,   638,   639,   640,   641,   642,  2489,   644,   645,   646,
     805,   647,     0,  2490,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,  2491,   683,     0,  2492,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,  2493,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,  1162,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,  1163,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,  1164,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,  1165,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,  3407,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,  1241,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,  3408,  3409,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,  2468,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,  3953,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,  3954,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,  3205,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,  3955,   683,     0,   685,
     686,  3956,   688,  3957,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
    3958,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   823,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,   801,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1005,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,    39,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1405,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1406,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,  1241,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1531,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  4174,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,  4175,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  4187,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,  4188,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
    1065,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,   340,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,  1122,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,  1182,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,  1241,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1362,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1363,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1860,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  2049,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,  1241,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  2106,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  2107,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,  2340,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,  2468,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,  3205,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,    39,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,    40,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,  4955,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,  5394,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,  5408,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,  5506,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
    5579,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,  5960,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,  1188,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1190,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1191,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,  1192,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,  1193,   693,     0,
       0,  1194,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  1235,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,  1191,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,  1236,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,  1237,   693,     0,     0,  1238,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,  1195,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1255,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1387,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1397,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1400,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1416,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1479,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1495,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1498,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1500,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1547,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1615,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1617,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1627,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  1630,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  1633,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,  1871,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
    1220,   377,  1191,   378,  1872,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
    1224,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,  1225,   634,   635,   636,   637,   638,   639,   640,   641,
     642,  1226,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,  1864,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,  1228,   693,     0,
       0,  1229,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1230,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,  1980,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,  1981,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1190,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1191,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  2288,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  2322,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  2324,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  2402,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  2404,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  2406,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,  2522,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,  3186,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,     0,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  3622,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  3626,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  3712,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  4097,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  4155,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  4177,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,  4179,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  4329,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,  4371,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   797,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   798,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,  5692,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,   652,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
     806,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,  6999,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
    1220,   377,  1191,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
    1224,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,  1225,   634,   635,   636,   637,   638,   639,   640,   641,
     642,  1226,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,  1864,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,  1228,   693,     0,
       0,  1229,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1230,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,  1191,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,  1195,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
    1220,   377,  1191,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
    1224,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,  1225,   634,   635,   636,   637,   638,   639,   640,   641,
     642,  1226,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,  1864,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,  3258,
     686,   687,   688,   689,   690,     0,   691,  1228,   693,     0,
       0,  1229,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1230,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,  1220,   377,  1191,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,  1224,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,  1225,   634,   635,   636,
     637,   638,   639,   640,   641,   642,  3320,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,  3321,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,  1228,   693,     0,     0,  3322,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,  1195,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,  1230,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
    1220,   377,  1191,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
    1224,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,  1225,   634,   635,   636,   637,   638,   639,   640,   641,
     642,  3404,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,  3321,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,  1228,   693,     0,
       0,  3322,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1230,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,  1220,   377,  1191,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,  1224,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,  1225,   634,   635,   636,
     637,   638,   639,   640,   641,   642,  3428,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,  3321,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,  1228,   693,     0,     0,  3322,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,  1195,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,  1230,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,   761,
     762,   763,   764,   765,   766,   767,     0,   768,   769,     0,
       0,   770,   771,   772,   773,   774,   775,     0,   776,   777,
     778,     0,     0,   779,   780,   781,   782,     0,     0,   783,
     784,   785,     0,   786,     0,     0,   787,   788,     0,     0,
       0,   789,   790,     0,     0,     0,     0,   791,     0,     0,
       0,     0,     0,     0,     0,     0,   792,     0,   793,     0,
     794,   795,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
    1220,   377,  1191,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   800,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   802,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   803,   539,   540,   804,   541,   542,
    1224,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
       0,  1225,   634,   635,   636,   637,   638,   639,   640,   641,
     642,  1226,   644,   645,   646,   805,   647,     0,   648,   649,
     650,   651,  3321,     0,   654,   655,   656,   657,   658,     0,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,     0,   685,
     686,   687,   688,   689,   690,     0,   691,  1228,   693,     0,
       0,  3322,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
    1195,   719,     0,   720,     0,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,  1230,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   807,   744,   745,   761,   762,   763,   764,   765,   766,
     767,     0,   768,   769,     0,     0,   770,   771,   772,   773,
     774,   775,     0,   776,   777,   778,     0,     0,   779,   780,
     781,   782,     0,     0,   783,   784,   785,     0,   786,     0,
       0,   787,   788,     0,     0,     0,   789,   790,     0,     0,
       0,     0,   791,     0,     0,     0,     0,     0,     0,     0,
       0,   792,     0,   793,     0,   794,   795,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   797,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   798,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   800,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,     0,   470,     0,   471,
     472,   802,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   803,
     539,   540,   804,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,     0,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,     0,   633,   634,   635,   636,
     637,   638,     0,   640,   641,   642,   643,   644,   645,   646,
     805,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,     0,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,     0,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,   806,   719,     0,   720,     0,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   807,   744,   745,    35,
     340,     0,     0,    37,     0,    38,    39,     0,     0,     0,
       0,    40,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,     0,   412,   413,   414,   415,
    6504,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,  2245,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,  2246,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,  2247,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,     0,   744,
     745,     0,     0,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,  1336,  1337,  6505,     0,     0,     0,
       0,     0,     0,  6506,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,   102,   103,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,   146,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,   151,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,   158,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,   160,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,     0,   744,   745,  1432,     0,     0,   161,     0,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  2586,     0,     0,  2587,     0,     0,   162,  2588,  2589,
    2590,  2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,
    2600,  2601,  2602,  2603,  2604,  2605,  2606,  2607,     0,  2608,
    2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,  2617,  2618,
    2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,  2627,  2628,
    2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,  2638,
       0,     0,  2639,  2640,  2641,  2642,  2643,  2644,  2645,  2646,
    2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,  2665,  2666,
       0,  2667,  2668,  2669,  2670,  2671,  2672,  2673,  2674,  2675,
    2676,  2677,  2678,  2679,  2680,  2681,     0,  2682,  2683,  2684,
    2685,  2686,  2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,
    2695,  2696,  2697,  2698,  2699,  2700,  2701,  2702,  2703,  2704,
    2705,  2706,  2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,
    2715,  2716,  2717,     0,  2718,  2719,  2720,  2721,  2722,  2723,
    2724,  2725,  2726,  2727,  2728,  2729,     0,     0,  2730,  2731,
    2732,  2733,     0,  2734,  2735,  2736,  2737,  2738,     0,  2739,
    2740,  2741,  2742,  2743,     0,  2744,  2745,     0,  2746,  2747,
    2748,     0,  2749,  2750,     0,  2751,  2752,  2753,  2754,  2755,
    2756,  2757,  2758,  2759,  2760,  2761,  2762,  2763,  2764,  2765,
    2766,  2767,  2768,  2769,  2770,  2771,  2772,  2773,  2774,  2775,
    2776,     0,  2777,     0,  2778,  2779,  2780,  2781,  2782,  2783,
    2784,  2785,  2786,  2787,  2788,  2789,  2790,  2791,  2792,  2793,
    2794,  2795,  2796,  2797,  2798,  2799,  2800,  2801,  2802,  2803,
    2804,  2805,  2806,  2807,     0,  2808,  2809,  2810,  2811,  2812,
    2813,  2814,  2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,
    2823,  2824,     0,  2825,  2826,     0,  2827,  2828,  2829,  2830,
    2831,  2832,  2833,  2834,  2835,  2836,  2837,  2838,  2839,  2840,
    2841,  2842,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,
    2851,  2852,  2853,  2854,  2855,     0,  2856,  2857,  2858,     0,
    2859,  2860,  2861,  2862,  2863,     0,  2864,  2865,  2866,  2867,
       0,     0,  2868,  2869,  2870,  2871,  2872,  2873,  2874,  2875,
    2876,  2877,  2878,  2879,  2880,  2881,  2882,  2883,  2884,  2885,
       0,  2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,
    2895,  2896,  2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,
    2905,  2906,  2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,
    2915,  2916,  2917,  2918,  2919,     0,  2920,  2921,  2922,  2923,
    2924,  2925,  2926,  2927,  2928,  2929,  2930,  2931,  2932,  2933,
    2934,  2935,  2936,     0,  2937,  2938,  2939,  2940,  2941,  2942,
    2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,  2952,
    2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,
    2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,  2972,
    2973,  2974,  2975,  2976,  2977,  2978,  2979,  2980,  2981,  2982,
    2983,  2984,  2985,  2986,  2987,  2988,  2989,     0,  2990,  2991,
    2992,  2993,  2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,
    3002,  3003,  3004,  3005,     0,  3006,  3007,  3008,  3009,  3010,
    3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,  3019,  3020,
    3021,     0,  3022,  3023,  3024,  3025,  3026,  3027,     0,  3028,
       0,     0,     0,     0,  3029,  3030,  3031,  3032,  3033,  3034,
    3035,  3036,  3037,  3038,  3039,  3040,  3041,  3042,  3043,     0,
    3044,  3045,     0,  3046,     0,     0,     0,     0,     0,     0,
       0,     0,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,    35,   340,     0,     0,    37,     0,    38,    39,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,     0,   406,
       0,     0,     0,   408,   409,   410,   411,     0,   412,   413,
     414,   415,  3111,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,  2245,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
    2246,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,     0,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,  2247,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
       0,   744,   745,    35,   340,     0,     0,    37,     0,    38,
      39,     0,     0,     0,     0,    40,  1336,  1337,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
       0,   406,     0,     0,     0,   408,   409,   410,   411,     0,
     412,   413,   414,   415,  3116,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,  2245,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,  2246,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,     0,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,  2247,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,     0,   744,   745,    35,   340,     0,     0,    37,
       0,    38,    39,     0,     0,     0,     0,    40,  1336,  1337,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,     0,   412,   413,   414,   415,  4085,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,  2245,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,  2246,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,     0,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,  2247,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,     0,   744,   745,    35,   340,     0,
       0,    37,     0,    38,    39,     0,     0,     0,     0,    40,
    1336,  1337,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,  2245,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,  2246,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,   647,     0,   648,   649,   650,   651,   652,     0,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,  2247,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,    35,   744,   745,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1336,  1337,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
     102,   103,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
       0,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,     0,   744,   745,  1432,    35,
     340,     0,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,   405,   406,     0,     0,
     407,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,   694,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,     0,   744,
     745,    35,   340,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,   405,   406,
       0,     0,   407,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
      35,   744,   745,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    1391,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,   405,   406,     0,
       0,   407,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    35,
     744,   745,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,  1412,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,   405,   406,     0,     0,
     407,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,  1413,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,    35,   744,
     745,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,     0,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,   405,   406,     0,     0,   407,
     408,   409,   410,   411,     0,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,  3501,
       0,   714,   715,   716,   717,   718,     0,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,    35,   744,   745,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,   405,   406,     0,     0,   407,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,  4573,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,     0,   592,   593,   594,   595,   596,   597,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,     0,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
       0,   647,     0,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   681,   682,
       0,     0,   683,   684,   685,   686,   687,   688,   689,   690,
       0,   691,   692,   693,     0,     0,   695,   696,   697,   698,
     699,     0,   700,   701,   702,   703,   704,   705,   706,   707,
     708,     0,     0,   709,   710,   711,   712,   713,     0,     0,
     714,   715,   716,   717,   718,     0,   719,     0,   720,   721,
     722,   723,   724,   725,     0,     0,   726,     0,     0,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,    35,   744,   745,     0,
      37,     0,     0,    39,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
    2245,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,  2246,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
       0,   592,   593,   594,   595,   596,   597,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,     0,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,     0,
     647,     0,   648,   649,   650,   651,   652,     0,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   681,   682,     0,
       0,   683,   684,   685,   686,   687,   688,   689,   690,     0,
     691,   692,   693,     0,     0,   695,   696,   697,   698,   699,
    2247,   700,   701,   702,   703,   704,   705,   706,   707,   708,
       0,     0,   709,   710,   711,   712,   713,     0,     0,   714,
     715,   716,   717,   718,     0,   719,     0,   720,   721,   722,
     723,   724,   725,     0,     0,   726,     0,     0,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,    35,   744,   745,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,   405,   406,     0,     0,   407,   408,   409,   410,
     411,     0,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,     0,
     592,   593,   594,   595,   596,   597,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
       0,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,     0,   647,
       0,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,     0,   681,   682,     0,     0,
     683,   684,   685,   686,   687,   688,   689,   690,     0,   691,
     692,   693,     0,     0,   695,   696,   697,   698,   699,     0,
     700,   701,   702,   703,   704,   705,   706,   707,   708,     0,
       0,   709,   710,   711,   712,   713,     0,     0,   714,   715,
     716,   717,   718,     0,   719,     0,   720,   721,   722,   723,
     724,   725,     0,     0,   726,     0,     0,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,    35,   744,   745,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,   405,   406,     0,     0,   407,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,  1507,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,     0,   592,
     593,   594,   595,   596,   597,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,     0,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,     0,   647,     0,
     648,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   681,   682,     0,     0,   683,
     684,   685,   686,   687,   688,   689,   690,     0,   691,   692,
     693,     0,     0,   695,   696,   697,   698,   699,     0,   700,
     701,   702,   703,   704,   705,   706,   707,   708,     0,     0,
     709,   710,   711,   712,   713,     0,     0,   714,   715,   716,
     717,   718,     0,   719,     0,   720,   721,   722,   723,   724,
     725,     0,     0,   726,     0,     0,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,    35,   744,   745,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
     405,   406,     0,     0,   407,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,  1598,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,     0,   592,   593,
     594,   595,   596,   597,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,     0,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,     0,   647,     0,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,     0,   681,   682,     0,     0,   683,   684,
     685,   686,   687,   688,   689,   690,     0,   691,   692,   693,
       0,     0,   695,   696,   697,   698,   699,     0,   700,   701,
     702,   703,   704,   705,   706,   707,   708,     0,     0,   709,
     710,   711,   712,   713,     0,     0,   714,   715,   716,   717,
     718,     0,   719,     0,   720,   721,   722,   723,   724,   725,
       0,     0,   726,     0,     0,   727,   728,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,    35,   744,   745,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,   405,
     406,     0,     0,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,  1611,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,     0,   592,   593,   594,
     595,   596,   597,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,     0,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,     0,   647,     0,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   681,   682,     0,     0,   683,   684,   685,
     686,   687,   688,   689,   690,     0,   691,   692,   693,     0,
       0,   695,   696,   697,   698,   699,     0,   700,   701,   702,
     703,   704,   705,   706,   707,   708,     0,     0,   709,   710,
     711,   712,   713,     0,     0,   714,   715,   716,   717,   718,
       0,   719,     0,   720,   721,   722,   723,   724,   725,     0,
       0,   726,     0,     0,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,    35,   744,   745,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,   405,   406,
       0,     0,   407,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,  1623,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,  1624,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,     0,   592,   593,   594,   595,
     596,   597,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,     0,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,     0,   647,     0,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,     0,   681,   682,     0,     0,   683,   684,   685,   686,
     687,   688,   689,   690,     0,   691,   692,   693,     0,     0,
     695,   696,   697,   698,   699,     0,   700,   701,   702,   703,
     704,   705,   706,   707,   708,     0,     0,   709,   710,   711,
     712,   713,     0,     0,   714,   715,   716,   717,   718,     0,
     719,     0,   720,   721,   722,   723,   724,   725,     0,     0,
     726,     0,     0,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
      35,   744,   745,     0,    37,     0,     0,    39,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,     0,   412,   413,   414,
     415,  3096,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,     0,   592,   593,   594,   595,   596,
     597,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,     0,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,     0,   647,     0,   648,   649,   650,   651,
     652,     0,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   681,   682,     0,     0,   683,   684,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,     0,     0,   695,
     696,   697,   698,   699,     0,   700,   701,   702,   703,   704,
     705,   706,   707,   708,     0,     0,   709,   710,   711,   712,
     713,     0,     0,   714,   715,   716,   717,   718,     0,   719,
       0,   720,   721,   722,   723,   724,   725,     0,     0,   726,
       0,     0,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,    35,
     744,   745,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,     0,   592,   593,   594,   595,   596,   597,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,     0,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,     0,   647,     0,   648,   649,   650,   651,   652,
       0,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,   664,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     681,   682,     0,     0,   683,   684,   685,   686,   687,   688,
     689,   690,     0,   691,   692,   693,     0,     0,   695,   696,
     697,   698,   699,     0,   700,   701,   702,   703,   704,   705,
     706,   707,   708,     0,     0,   709,   710,   711,   712,   713,
       0,     0,   714,   715,   716,   717,   718,     0,   719,     0,
     720,   721,   722,   723,   724,   725,     0,     0,   726,     0,
       0,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,    35,   744,
     745,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,     0,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,     0,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,     0,   592,   593,   594,   595,   596,   597,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,     0,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,     0,   647,     0,   648,   649,   650,   651,   652,     0,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,   664,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   681,
     682,     0,     0,   683,   684,   685,   686,   687,   688,   689,
     690,     0,   691,   692,   693,     0,     0,   695,   696,   697,
     698,   699,     0,   700,   701,   702,   703,   704,   705,   706,
     707,   708,     0,     0,   709,   710,   711,   712,   713,     0,
       0,   714,   715,   716,   717,   718,     0,   719,     0,   720,
     721,   722,   723,   724,   725,     0,     0,   726,     0,     0,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,     0,   744,   745
};

static const yytype_int16 yycheck[] =
{
       2,    73,   162,    73,  1273,  1239,    73,    73,    73,    73,
      73,    73,  1427,    88,    73,  1398,    73,    73,    73,    73,
      73,    73,   142,   151,  1029,    73,    73,   106,   115,    73,
     117,    73,  1436,  2160,  1008,  1163,  1164,  1165,  1681,   306,
    1601,  1169,   125,    83,   306,   291,   970,   122,  1217,   136,
     133,  2097,   124,  1098,  1267,  2081,  1269,  1567,   153,  1222,
     965,   124,  1415,  3344,   104,  1399,  1347,  1112,   973,  1075,
    1431,   976,  2520,  2081,   114,   115,  3597,   117,  1425,    81,
     155,  1209,  1246,   123,  1245,  2074,  2442,  3597,  3968,  3570,
    1501,  1554,  1555,  1721,  2545,  1570,   136,  2318,    84,   828,
      86,  1075,  1565,  3635,  1490,  1229,  3781,  1124,  4247,   127,
     956,  4449,   114,  3085,  1585,  2006,  2560,   119,  2086,  4165,
    1506,  4167,   108,  1476,   142,  4022,  2509,  1480,  2527,   131,
    4498,   117,  1485,  3238,  3239,  1706,  4131,  1398,  2229,  1710,
    2546,  1494,  1713,  1714,  1311,     2,  1407,  4030,  1364,  2195,
    2196,  1330,  1331,  1332,  1128,  1508,  1417,   970,  3582,  4814,
    2541,  2542,  2543,  2544,  1311,  3466,  2547,  1116,  2549,  2550,
    1311,   104,  3488,  1389,   829,   278,  2123,  2124,  1394,  3535,
    2127,  3537,  3538,  2074,   101,   966,  3542,  3543,  3544,   293,
    3546,  3547,  3548,  4476,   975,  1548,  4397,  2377,  1359,  4032,
    1010,  4867,  4193,  4908,  4195,   293,  4836,  2428,   989,  1127,
    2064,   141,  1186,   949,  5146,  1111,  1029,  1096,   148,  1225,
    1099,  2189,  5731,  5813,  5153,   297,  5299,   297,  5301,  2012,
     297,   297,   297,   297,   297,   297,  5165,  1154,   297,  5114,
     297,   297,   297,   297,   297,   297,  1027,  2331,  2216,   297,
     297,  1225,  1033,   297,  5169,   297,  1939,  1940,  5157,  5152,
    4774,   147,  5914,   161,  1045,   125,  2120,  5955,  4953,  5723,
    5876,  3996,  6045,   133,  3079,  3126,  6081,  3578,  1252,  1440,
    1093,  5156,  5673,  2137,  3887,  3165,  1664,  3921,  1751,  1752,
    1264,  5946,  3167,  3144,  3824,  4463,  1639,  4531,  3916,   339,
    4062,  5892,  5499,  5894,  6075,  1356,  1247,  1588,  1270,  1270,
    1552,  1553,  6093,  6342,  1306,  1307,  5718,    20,  1793,  1782,
      13,    29,  1564,     9,    76,    76,  1119,    83,  1064,  1058,
    4773,  5722,  4775,  4776,  5337,    76,    91,    76,  1389,   108,
      76,  2047,  1470,  1394,    85,    86,    76,  6002,    76,    76,
    2297,  5263,  5264,  5265,  5006,  5267,  5268,  5269,  5270,  5271,
      76,    76,    76,    76,    76,    13,    70,   107,   165,    85,
      86,    85,    86,    85,    86,    99,   107,    70,    76,   124,
      76,    76,    75,    76,    76,    78,    79,    76,    81,    88,
     940,  1308,  1309,    85,    86,    76,    76,    76,  6009,  6010,
      83,    70,   189,    91,   133,   105,    75,    76,   117,    78,
      79,   113,    81,   218,  1648,    70,    88,   107,  6325,   241,
      75,   247,  6608,   122,    70,   107,    81,   158,    13,   150,
      95,  2515,   115,  4036,   254,    81,    76,   142,   190,    99,
     212,   162,   141,   247,   292,  1181,   106,   121,   147,   148,
     122,   241,  3962,   248,  4133,    70,   155,   133,   183,    24,
      75,    76,  1436,   292,  1254,   148,    81,    76,   190,    69,
      70,   195,    24,    73,  1491,    75,    76,    70,    28,  6034,
     133,    81,   247,   155,    91,    70,    70,  5172,    81,  6653,
    1219,    75,   271,  6227,   162,   247,  1907,    81,  1740,  1741,
     117,  2026,   133,  3597,   148,   117,   241,   378,   133,   358,
     146,   369,  4022,   263,   133,    88,   235,   133,   223,    83,
    4030,  6615,   190,   276,   358,   162,  1450,   392,  1889,  1876,
     133,   113,   379,    99,  6563,  1777,   379,   415,   243,  6344,
     106,   379,  1447,   471,   190,   210,  1451,  1533,  1453,   122,
      69,   115,   429,   192,    73,   249,   458,    76,   222,    99,
    5962,   155,   286,  1608,   448,   472,  6970,   358,   194,  3424,
      83,   133,   516,   436,    88,   193,    99,   109,  5510,   551,
    6042,   551,   155,   106,   148,  6240,   436,   150,   501,    21,
     190,   341,    35,    83,   247,  1441,  6187,  2121,    41,    42,
      97,    95,   115,  1837,   323,    48,    49,     0,   122,    83,
      75,    54,   367,  7084,  2138,   247,    81,  1851,   423,   247,
      63,   471,    65,   120,    67,   115,  7097,   540,  6082,  1365,
      73,   603,   150,   603,  2144,   148,  7040,  1450,    70,   150,
     150,   155,   162,  1688,   441,   436,  6553,  1881,  1882,   267,
    3505,   162,  1813,   516,   694,   374,   540,    35,   148,   323,
    1705,   247,   606,    41,    42,   205,   185,   293,   200,   546,
      48,    49,   759,   760,    83,   942,    54,  1722,   606,   367,
     942,  1842,   547,   541,   150,    63,   380,    65,   247,    67,
     516,   291,   694,   541,   362,    73,   603,   264,   247,   150,
    1436,   603,    93,   438,  6733,   247,   107,    93,   413,   150,
     247,   545,   462,   442,  1700,  2076,   210,   560,   565,   759,
     760,  1727,   560,   288,   254,   603,   326,  4406,   254,   394,
     579,   518,   603,  6288,   284,  1653,   288,   195,  6472,   375,
     464,  2127,  1659,   468,   263,   188,  6910,  1664,   206,   197,
     503,   516,  4953,  1727,   226,   195,  2281,  6562,   367,   607,
     367,   102,   402,    36,   516,    38,   442,   593,  1144,   443,
     560,   436,  1148,  1149,  1150,   218,   563,   606,  1328,   605,
    4981,   603,  1158,  5712,   556,  6879,   606,  5125,   828,  2050,
     483,   489,   490,  2179,  2180,   516,   239,   499,   603,   530,
      93,  2154,   606,    93,  2157,   458,   471,   516,   603,   606,
     188,   442,  2227,  2228,  6843,   539,   516,   442,  5448,  2525,
     550,   481,   341,   442,   564,   344,   442,   606,  5166,   534,
      93,  2474,  2166,   564,   603,   483,  5839,   546,   541,   442,
     218,   593,   546,   599,  1637,   584,   585,  2108,   291,  4988,
     601,   606,   603,   605,   605,  4994,   984,  1647,   603,  5511,
     546,   239,   603,   938,   603,  1871,  4912,   603,  3962,  2430,
    5522,   593,  5386,   603,   564,   603,   603,   606,  2225,   544,
     442,  6335,   564,  5795,   521,  4768,  6497,   603,   603,   603,
     603,   603,  2108,   601,   597,   584,   585,  1871,   483,   552,
    7086,   594,   595,  6932,   543,  1879,  1880,   603,   603,  7095,
     190,   603,  2298,   291,   603,   481,   599,   499,   606,  6724,
    2481,   192,   603,   603,   603,   594,   595,   370,  4022,   546,
     606,  2394,  2493,  6840,   546,   225,  4030,   531,  6340,   594,
     595,   332,  5385,   462,  5387,  5388,   332,  1014,   594,   595,
    1899,  1014,  6723,   516,  6983,  1947,  6737,   601,   481,  1014,
    4065,   605,  4067,  1925,  1925,  2234,  1014,  1014,  1128,   102,
     371,  5172,  1014,  1060,   606,   606,   560,   471,   606,  6752,
     595,   606,  5216,  5217,  5218,  5219,  5220,   606,  4289,  4290,
     606,    93,   370,  4294,   594,   595,   516,  1938,   516,  3971,
     584,   594,   595,   606,  6659,   516,   516,  6469,  4432,  1011,
     594,   595,  6474,  6475,  3194,  4649,  4650,   603,  1058,  4375,
    1060,  2072,  1812,  6220,    98,   296,  6681,  1273,  1131,  5075,
     594,   595,   596,   597,   598,   599,   603,  6628,  3218,   332,
    6845,  4659,  3222,  1984,   606,   539,    80,   606,  1176,    83,
     516,   494,  6561,    87,    88,    89,   457,   606,  1141,   578,
    1143,   603,  1145,  5231,  1127,   516,   603,   458,  1151,   332,
    2121,   105,   515,  1075,  1076,   516,   606,  2455,   254,  5074,
     606,   539,  1122,  2461,   556,    91,  1126,  2138,   162,   362,
     533,   362,   949,   541,  1177,  1178,  2439,  4859,   439,   539,
    4734,    76,  4632,   247,  6558,   548,   596,   597,   598,   599,
    2115,    99,   392,   159,  2585,   506,   494,  1119,  1246,    95,
     506,  4001,   596,   597,   598,   599,  6931,  4002,  4429,   190,
    2545,  2373,  2374,  6065,  3985,    76,   183,   515,  1874,  1125,
     190,    76,  1932,  1879,  1880,   546,   537,   292,   183,  6540,
    1278,   537,   292,   424,   341,   533,   202,  1143,  1262,  1145,
    6815,  6849,  6850,   453,   107,   458,  6557,   610,    76,  1155,
     548,   562,   310,  6763,  1262,   249,   562,   195,   428,  1219,
    1182,  1221,   366,   379,   474,   594,   595,   596,   597,   598,
     599,  1177,  1178,   105,   185,   458,   183,  6072,   248,  2327,
     122,   194,   259,   259,   107,   110,  5201,  1064,  1210,   247,
     233,  2445,   603,   506,   164,   541,    93,   603,  1220,   124,
     358,  2582,  1224,  1225,  1226,  6734,  7033,  1355,  4033,   183,
     332,  4834,   610,   271,   210,   206,   133,  2047,   195,   938,
    5137,  5512,    99,   506,   537,   235,  5951,    69,  7021,  5520,
     110,    73,  5973,    93,   292,  4765,  4981,   207,  4768,   453,
     294,  6913,  1119,  1999,   124,  7072,   938,   547,   286,   562,
    2244,  6725,   263,   292,   537,   462,   181,   603,  1654,  1349,
    6886,  1657,   195,  1143,  1660,  1145,  1662,   190,  1221,  1665,
     541,  5976,  4397,  1669,   478,   227,  6017,  6985,   292,   562,
     293,   358,  2115,   553,  1306,  1307,   439,    79,   247,  1311,
     603,   358,    95,   363,   226,   286,  2052,  1177,  1178,   173,
     453,   181,   455,   603,  1181,   292,  2062,  2490,  2491,   286,
    3338,   392,   271,   323,   292,   606,   474,  1223,  3306,   161,
     603,  1227,  6851,   417,   266,   539,   380,  3238,   205,   271,
     341,   397,   603,   344,  1429,  2400,   458,  1255,   381,   259,
    6277,   367,  6279,  5877,   560,   938,  6283,  6284,  5706,  2414,
     225,   247,   516,   286,   225,    93,  5744,   381,   313,    95,
     285,   455,  2427,    93,   560,   101,  4491,  4908,   521,  3840,
    6322,  7043,   367,   215,    80,   271,   541,    83,  4908,  6331,
     322,   539,   256,   464,   506,  6334,   382,   603,  6307,  2145,
    3854,  3855,   185,  2149,  2150,  3859,   292,   405,  2579,   384,
    3388,  6930,  5468,  6352,   938,   285,   367,   210,   371,   115,
     606,  6306,  6941,  3524,  1436,   537,   122,  5720,  6337,  6354,
    6333,    80,   503,  7033,    83,   519,  5492,   521,    87,    88,
      89,   525,  6384,   358,  1311,   332,  3900,  3901,   358,   367,
     562,  6336,   148,   509,   440,   441,   606,  3250,   503,    95,
     402,   462,  3326,  1403,  1404,  6984,  2372,    93,   466,  1336,
    1337,   384,  7072,   159,  2433,  2409,   547,  3614,   545,   545,
     263,   541,   332,  2398,   210,   471,   159,  3581,   358,   560,
     523,   603,   133,   541,   358,   249,  7015,   329,  1365,    69,
    2356,   195,  3195,    73,  3197,  5398,   503,   384,  2397,  5402,
     508,   539,   510,   584,  1223,  2261,   202,   185,  1227,  2425,
      93,  2480,  2450,  2412,   220,  2484,  2415,  7046,  2455,   202,
    2489,   275,   603,  2492,  2461,   442,    95,   541,  6214,   503,
     607,   464,  6625,  2558,   476,   460,   169,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   338,   524,   341,   607,
     247,   344,   394,   169,   541,  1247,  2366,   138,  6208,  1436,
     266,   458,   539,   541,   210,   271,   605,   578,   142,   399,
    1653,   399,   256,   189,   271,  2408,  2409,   249,   185,   603,
     460,   161,   286,   455,  2483,   263,   190,  1524,  2487,  2488,
    6542,   394,   603,  5446,   332,   292,   372,  5138,   458,   474,
     420,   560,   332,   474,   358,  6554,   539,  5137,  5138,   506,
     226,    13,   271,   436,  1636,  1637,   322,  1639,   378,    80,
     253,   606,    83,   399,  3633,   545,    87,    88,    89,   581,
    5182,   222,  1812,   436,   338,   294,   216,  3072,   205,   513,
     537,   210,  1702,    13,   105,   541,   506,  6584,   471,   521,
    1656,  4765,  1658,   417,  4768,  1661,   263,  1663,   394,  5670,
    1666,  1667,  1668,   341,   506,   562,   344,   509,   471,   462,
     593,   184,   326,  1679,   380,   240,  1698,   537,   601,   128,
     603,   604,   605,   606,  1403,  1404,   190,  5063,  1694,  1976,
    1696,   247,  5068,  3074,  1976,  2525,   332,  3078,   278,   290,
     436,   397,   562,   190,  3234,  1727,   603,   358,   380,   271,
    1429,   607,   372,  1247,   397,   271,  2526,  2527,  3629,   606,
     458,   380,  3633,  2533,   192,  2558,   213,  6452,   458,  2539,
    2540,   384,   219,   192,   341,   471,   292,  1429,   192,   399,
     363,  2551,   182,   603,    24,   378,   233,    95,   394,   332,
     199,  2561,   378,   101,    34,  5976,   185,  2567,   362,  1636,
    1637,   100,  1639,   276,   448,   258,   134,  6744,   506,  6721,
     476,  1894,  2447,   603,   142,   603,   506,   358,   259,  1927,
    6083,  1929,  3982,   603,   462,   578,  1910,  1911,   362,  1913,
     436,   442,  1814,   384,  4908,   362,  6471,  1857,  1858,   537,
    5101,  1823,  1910,  1911,  6744,  1913,   248,   537,    69,  5145,
     603,   444,    73,   509,  1012,   379,   432,  1839,  5139,   491,
     471,   401,   458,    35,   562,   471,   509,   603,  4953,    41,
      42,   603,   562,   294,   263,   539,  1429,   296,  6730,  6731,
    3264,   601,   296,   408,   541,   605,   243,   112,   464,  1871,
     170,   142,  1874,  1875,   458,   462,  4981,  1879,  1880,   139,
     514,    73,   210,   367,   394,   603,  3120,   372,  5398,   372,
     506,   162,  5402,   603,   436,   458,   582,   358,   440,    80,
     367,  6858,    83,   458,  1064,  1945,  6838,   503,   594,   595,
     596,   597,   598,   599,   399,  1429,   399,   337,   252,   367,
     578,   537,   342,   362,  1857,  1858,   436,   252,   362,   471,
     607,   310,   341,   394,   115,   344,   539,  2012,  6858,   380,
    1118,   122,     2,   506,   471,  1947,   562,   560,   248,   190,
     423,   547,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   471,   533,   603,   560,   458,   453,   148,   287,   195,
     444,   604,   532,   606,   537,   436,   398,   142,   326,   358,
     540,   454,   282,   543,   210,   424,  6324,   603,   584,   203,
     424,   604,   326,    76,   607,  6927,   188,   297,  5881,   562,
     214,   326,   471,  5886,    97,   541,  5889,   603,   501,  6664,
     503,   336,  1945,   169,   238,  3178,   560,  1874,   560,   516,
     320,  1181,  1879,  1880,   269,   190,   218,   120,   288,    80,
     190,   503,    83,  1211,   157,  6992,    87,    88,    89,   220,
     603,   480,   584,  5137,  5138,   424,   438,   239,   603,   349,
    3217,  3434,    83,   462,   105,   477,   523,  2185,   471,  2129,
    6343,  6933,   394,   471,  2134,   125,   394,  5172,   535,   603,
    3217,   607,  6992,   133,  2124,  3336,  3217,  2127,   378,   606,
      80,   241,   556,    83,   545,   266,   251,    87,    88,    89,
     271,   362,   190,   603,   428,   474,   593,   253,  3484,   291,
     516,   205,   192,   207,   412,   105,  1963,  1964,   436,     7,
     516,  5786,    10,    11,   237,  6110,   603,   148,   603,  3680,
     603,   362,   518,    21,    22,    23,   367,    25,    26,   353,
    4578,   229,    30,    31,    32,   471,   335,   606,   336,   471,
    2210,   322,  1999,   471,  2214,  4272,   394,   447,  4596,  6854,
     591,   592,   593,   594,   595,   596,   597,   598,   599,  4148,
     539,   402,  2164,   362,   362,   108,   264,   563,   560,   578,
    2172,  4062,   192,  3434,   508,  5696,   510,   593,   370,   560,
     394,  4072,  4633,   508,   410,   510,  5696,  4638,   436,   605,
     280,  5672,   584,   606,   287,  2052,   393,   362,   606,   380,
     606,    95,   367,   537,  2279,  2062,  6574,   101,   151,   250,
     518,  3472,   537,  4612,   606,  3601,  3602,  3603,  3604,   553,
    3606,   241,   436,   471,  6104,   606,  4670,  4671,  4672,  4673,
    5711,   170,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,
    4684,  4685,  4648,   294,   393,  3631,  3507,  2297,   413,  3518,
    3519,  3520,  5927,  3414,  5929,   563,  4637,  4148,   362,   393,
     280,  4642,  4643,  4354,   362,   430,  1938,  5691,   358,  4360,
     606,  3487,   362,  6556,   471,   241,   250,   392,  5634,   382,
    5636,  5637,  5638,  6988,  3412,   183,  3414,   253,  2145,  3334,
    3264,   394,  2149,  2150,   294,   476,  4740,  4741,  4245,   412,
    6183,  3654,   494,  2305,  5398,   271,   394,  2309,  5402,   248,
     242,  6357,  1984,  2012,  6305,    80,   210,   248,    83,  2300,
     455,   235,   471,   515,  2023,     5,   238,   241,  4296,   380,
    4551,   309,   440,   436,    73,   182,   249,   471,   358,  2320,
    2012,   533,   362,   282,    24,   193,   278,   393,   436,   464,
     115,   282,   341,  5874,    34,   344,   548,   122,   297,  5660,
     193,  5662,   453,   471,  5874,  2064,   297,   384,   235,   534,
     283,  5881,  2500,  3297,   241,  4343,  5886,   418,  1128,  5889,
     380,   320,  2542,   148,  6379,   124,   521,  2450,   503,   320,
     453,  3296,   455,  3298,  3299,   242,   464,  5918,  2518,   377,
     601,   582,    49,   315,  2261,   518,  6286,   608,  5918,   323,
     349,   452,   503,   594,   595,   596,   597,   598,   599,   267,
      67,  2120,   394,   162,  1938,   466,  4472,  4810,   336,   560,
    5951,   278,   547,  6330,   267,   503,  1186,  2439,  2137,  2012,
    2442,  5951,  2509,  6726,   461,   560,  2509,  3293,   346,   552,
     563,  5423,   428,   584,  2509,   220,   323,   441,   521,   139,
     374,  2509,  2509,   504,   436,   603,  2452,  2509,  2454,   584,
    1984,   224,  2458,   462,  2460,   557,   607,  2463,   452,   547,
     446,  2467,    69,  3212,  3297,   459,    73,   471,   603,   465,
     337,   453,   466,  3672,   560,   342,  3624,   394,  2012,   471,
     518,   266,  1252,  2521,  3975,  2129,   271,   374,   447,    96,
    2134,   409,   428,  3462,  1264,  3464,   447,  6855,   584,  3468,
     273,   560,  6661,   560,   606,   487,   394,   503,  3264,   209,
     504,   142,     2,  2608,   312,   603,  2538,   148,  7058,   436,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   465,
     118,   162,  3333,   527,   293,  7075,    80,   322,   297,    83,
     603,  6844,    99,    87,    88,    89,  3583,   606,   436,   606,
     606,  6451,  6093,   141,   161,   458,   560,   553,    70,   190,
    2279,   192,  2439,  6093,   108,  2442,  2210,   503,   394,    81,
    2214,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     584,   362,  5696,   471,   440,   488,   367,  2279,   288,    69,
    4073,    81,  7011,    73,  7013,   380,   153,   394,    88,   156,
    6666,  6667,   606,   607,   607,   122,   163,   213,   526,   216,
     436,   441,   394,   219,   440,   471,   106,   553,    80,   482,
     251,    83,  3423,   560,   114,    87,    88,    89,    80,  5093,
     607,    83,   122,   124,   191,    87,    88,    89,   155,   436,
     421,   471,  3823,   222,   507,   471,  6022,   584,   364,   280,
     432,   141,   609,  6183,   436,   560,   235,   147,   148,  7078,
    7018,   102,   241,   247,   271,   155,    39,   103,   104,    80,
     607,   278,    83,   150,   471,  3964,    87,    88,    89,   584,
     171,   161,  3438,   424,   516,   162,  2279,   271,   129,   471,
    3446,   476,   241,  3449,   251,    80,   437,   100,    83,   241,
     222,   606,   601,  3504,   603,   196,   605,   264,   111,   541,
    4301,   290,  7074,   235,   241,   560,   265,   352,   121,   241,
     277,   541,   150,   265,   215,  7087,   467,    18,    19,   220,
     115,   362,   288,   169,   162,   215,   367,   122,   265,   584,
     143,   376,    15,  6809,   323,  2279,    37,   593,   464,    40,
     294,   242,   601,   189,  1393,   246,   373,    80,   607,   605,
    5874,   378,  4063,   148,    87,    88,    89,  5881,   290,   516,
     261,  3740,  5886,  1412,   598,  5889,  1415,  5245,  4925,   603,
    4134,   605,   413,   584,   585,   601,  6242,   503,   603,   605,
     226,  6247,  6248,  5261,   401,   374,   516,   582,  4461,   430,
    6330,   323,   603,   222,  5918,   384,   508,  6359,   510,   594,
     595,   596,   597,   598,   599,  4169,   235,    69,    70,  5290,
     584,   585,   241,   598,   516,   464,  5297,  5298,   603,  3973,
     605,   547,   294,   139,   140,   220,   380,  5951,  3125,   603,
     131,   448,   294,  3125,   560,   378,  3656,    85,    86,   329,
     383,  5976,   374,  6919,  4135,   378,  1389,  4923,   516,  4925,
     383,  1394,   384,  3788,   503,  3790,  3791,  4248,   584,   949,
     516,   290,  6413,    69,   165,   108,   367,    73,   606,   607,
     606,   266,  4910,  6413,   610,   596,   271,   603,   604,  2608,
     601,   607,   603,   500,   605,   602,  6796,   130,  3923,   606,
     105,  6222,  4890,   534,   323,   508,  5147,   510,   547,  6230,
    6231,  6452,   415,   606,   394,   206,  2608,   610,   380,  3785,
     521,   560,  6452,    69,    70,   532,    80,    73,   380,    83,
     421,   488,   371,   540,   491,    81,   543,   322,   553,  4220,
     594,   595,   596,   597,   598,   584,   461,  4595,  4859,   182,
     604,   313,   432,   602,   533,   374,   436,   606,    33,   604,
     440,   115,   607,  6658,   603,   384,   340,   604,   122,   380,
     607,  6096,  3867,  4961,  3869,  3870,  3725,  7056,   603,  6093,
    7059,   603,  3976,  5384,  1064,   103,   104,  3743,  4394,   521,
    2571,   471,   596,  2574,   148,   380,   432,   601,   603,   603,
     605,   605,   594,   595,   596,   597,   598,  4438,   606,   607,
     602,   533,   601,   438,   603,  2608,   596,   597,   598,  6560,
     560,   461,   562,  4088,  4089,   336,   506,  4400,   464,   509,
    6560,   336,  4527,  4528,   604,  3127,   606,   166,   604,  1119,
     606,   274,   170,   604,   276,   606,  3856,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   608,   380,  3868,   162,
     603,  1141,   605,  1143,    80,  1145,   220,   503,   604,  6183,
     606,  1151,  1152,  1153,  2608,  5451,   604,    70,   606,   601,
     560,  3103,   604,   605,   340,   604,  4112,   606,   487,  6989,
    3923,   476,   487,  5159,  3904,  4243,   487,  1177,  1178,   332,
    4248,  1181,   265,   604,   337,   606,   453,   454,  5154,   342,
     157,   547,   266,   521,   533,   551,  3183,   271,  4112,   604,
     248,   606,  4091,   553,   560,   358,  3266,   461,  3268,   591,
     592,   593,   594,   595,   596,   597,   598,   599,  3948,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   584,   252,
     129,   604,  3212,   606,   282,  3250,   604,  3305,   606,   604,
     393,   606,   609,  3996,  7064,   313,  5175,   603,   322,   297,
     584,   585,  4237,   276,   354,   355,   356,   357,    81,  3201,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   604,
     603,   606,   320,  4258,   501,  3217,  6737,   582,  3220,  3221,
     604,    95,   606,   604,   694,   606,   603,  6737,   441,   594,
     595,   596,   597,   598,   599,   604,  6330,   606,   551,  6720,
    3976,   349,   604,   326,   606,   604,   380,   606,   604,   378,
     606,  1311,   465,   604,   604,   606,   606,   604,   560,   606,
     562,   604,  3264,   606,   458,   604,  4909,   606,  4911,   129,
     378,  4914,   606,   486,  1334,  1014,  1336,  1337,   553,   604,
    3408,   606,   118,   604,  5175,   606,   580,   161,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   296,  4426,  3374,
     383,   453,   454,   363,   364,  1365,   605,  3164,  3165,   604,
     508,   606,   510,   508,   604,   510,   606,   381,  3320,  6413,
     604,   241,   606,  3398,   537,   378,   604,  6848,   606,   203,
     604,    80,   606,  6854,    83,   560,   210,   562,  6848,   447,
     214,   604,   476,   606,  6854,   604,   222,   606,   604,   604,
     606,   606,  4713,   604,   604,   606,   606,   378,  6452,   235,
    3217,   580,   108,  3220,  3221,   241,   115,  5818,  5819,   604,
     381,   606,  4417,   122,  4419,   604,  1436,   606,  3461,   118,
     604,  5825,   606,   604,   130,   606,  5958,  5959,  1127,  1128,
     560,   604,   562,  4856,   580,   604,  4402,   606,  4404,   148,
    5527,   604,  3404,   606,   464,   453,   454,  3264,   604,   205,
     606,   207,   296,   604,   290,   606,   596,   604,  4582,   606,
     604,   246,   606,  3498,   606,   508,  3428,   510,  4402,   604,
    4404,   606,   604,   541,   606,   604,   182,   606,   521,   604,
     604,   606,   606,   503,   560,   603,   562,   323,   582,   604,
     604,   534,   606,   604,   537,   606,  4803,   604,  6739,   606,
     594,   595,   596,   597,   598,   599,  6560,  6988,   938,   453,
     454,   220,   604,   604,   606,   606,   129,   604,  6988,   606,
     604,   604,   606,  4844,  4490,  5493,   956,   547,   247,  3564,
    3492,   604,   292,   606,  3496,   965,   966,   292,   374,  4448,
     560,   607,   604,   973,   606,   975,   976,   604,   384,   606,
     604,   604,   606,   606,  6408,  6409,  4490,   266,  3597,   989,
     394,   603,   271,  1262,   584,   604,   596,   606,   274,   609,
     604,  3533,   606,  3535,   609,  3537,  3538,   604,  1008,   606,
    3542,  3543,  3544,   603,  3546,  3547,  3548,   604,   604,   606,
     606,  3250,   604,  4598,   606,  5198,   288,  1027,   432,   604,
     217,   606,   436,  1033,   604,   604,   606,   606,   604,   108,
     606,  4924,   604,   322,   606,  1045,  1636,  1637,  3250,  1639,
     604,  3438,   606,   205,  4397,   207,   332,   129,   604,  3446,
     606,   337,  3449,  6621,  6622,  1065,   342,   471,  3600,   288,
     604,  4882,   606,   294,   478,  1075,   604,   604,   606,   606,
    1080,   233,   358,   516,   604,  1085,   606,  4778,  4567,  1089,
    1090,   462,   604,  3625,   606,   344,  1096,  3326,  1098,  1099,
     604,   380,   606,   604,   604,   606,   606,   604,   604,   606,
     606,  1111,  1112,  6737,   604,   606,   606,   393,   604,  1119,
     606,   604,   604,   606,   606,   603,   605,   533,  1128,   604,
     604,   606,   606,   604,   604,   606,   606,   604,  3670,   606,
     604,  3370,   606,   564,  6122,  3374,   298,  3250,   108,   436,
     604,  3756,   606,   271,  5403,  3725,  5405,  1927,   603,  1929,
     603,   227,   603,   605,   227,   441,  3856,   378,  3370,  3398,
     130,   271,  3374,  6147,   378,  6986,   436,   227,   227,   271,
     227,   378,   241,   436,   227,  5049,  1186,   607,  5071,   465,
     321,   192,  3421,   541,   378,   601,  3398,   476,   603,   605,
     371,   241,   354,   355,   356,   357,  3250,   604,   142,   361,
     486,   362,   108,   362,  3904,   367,  1216,  1217,   564,   603,
     378,   362,   182,  1223,  6848,  1225,   118,  1227,   118,   362,
    6854,   526,   362,    80,   161,   394,    83,   553,   553,   157,
      87,    88,    89,   521,   241,   608,   416,  1247,   227,   227,
     603,   227,  1252,   550,  1254,   409,   603,   227,   603,   107,
    5059,   537,   603,   564,  1264,   227,   227,  3370,   115,  3498,
     606,  3374,   227,  3878,   227,   122,   227,   227,   227,  3884,
     227,   227,   241,   227,  1874,   227,   227,   227,   378,  1879,
    1880,   251,   603,   503,   108,  3398,  3498,   321,   241,   378,
     603,   148,   241,   582,    76,    76,  1306,  1307,   241,  5349,
     603,   603,   603,   603,   274,   594,   595,   596,   597,   598,
     599,   603,  5743,   603,    76,    76,  3370,   205,   603,   207,
    3374,  3956,  3957,  3958,    76,  3564,  4026,  4603,   603,   603,
     603,   369,   603,    80,   603,  4665,    83,   603,   603,  1349,
     236,   603,   603,  3962,  3398,   233,  3743,   603,   603,   603,
     603,   603,  3564,   603,  6988,   603,   603,  1957,   603,   603,
     603,   523,   332,  1963,  1964,   603,   603,   337,   115,  4699,
     603,   603,   342,   535,  1653,   122,   603,   603,   603,   603,
     603,   603,   561,   292,   603,  3498,   390,   108,   358,   606,
     606,   292,   321,  1403,  1404,   173,   294,   108,   606,  1999,
     241,   148,   241,  4022,   471,   372,   374,   596,   288,   266,
     298,  4030,   189,   540,   271,   606,   593,  1427,  1428,  1429,
    4750,    13,   606,   393,   607,   603,  1436,   603,   603,   138,
     604,  1441,  6416,   604,  3976,   516,  1446,  1447,   516,   458,
     552,  1451,   516,  1453,  3498,   516,   458,  1457,   605,   458,
     516,  3564,  2052,   516,   323,  1734,   149,   593,   516,   162,
     516,   516,  2062,  1473,   458,   322,   354,   355,   356,   357,
     227,   441,   463,   361,   362,  1754,   318,   516,   367,   367,
     516,   378,   198,   516,   506,   399,   540,   378,   372,   453,
     603,   516,   516,   264,   603,   465,   162,   198,  5681,   606,
     394,   271,   227,   516,   541,   184,  1516,   198,  1518,  1519,
    3564,  6077,   541,   516,   516,  5416,   486,  3756,   516,   266,
     516,   516,   198,   380,   271,   129,   516,   129,   346,   516,
     382,   516,   516,  1812,  5119,  5120,   399,   516,   516,   516,
    5441,   516,   516,   420,  3756,  2145,   420,   420,   399,  2149,
    2150,   506,   117,   294,   516,   606,   604,  1567,   516,   608,
     294,   378,   294,   294,   294,   294,   294,   537,   516,   516,
    4112,   516,   294,   378,   516,   322,   294,   294,   516,  3976,
      35,   108,   603,   227,    39,   526,    41,    42,   378,   227,
     362,   190,   227,    48,    49,   541,   227,   227,  1608,    54,
    4953,   108,   378,  4000,  4001,   329,   362,   362,    63,   362,
      65,   603,    67,    68,   241,   108,    71,   552,    73,   476,
     603,   313,   460,   605,   107,   601,  1636,  1637,  4981,  1639,
     603,  1910,  1911,   380,  1913,   523,   514,  1647,   604,  3878,
     516,   516,  6228,  3756,   514,  3884,   227,   535,   227,   541,
     227,   541,   227,    13,   516,    83,   371,  4199,   366,   247,
     346,  2261,   601,   603,   346,   256,  3878,   516,   593,   556,
     606,   604,  3884,   603,   606,   389,   247,   604,  1688,   603,
     603,   603,   518,   290,   264,   606,   606,   604,   264,   474,
     606,   310,   379,  1703,   606,  1705,   541,   108,   541,    33,
       9,   604,  3756,   387,   129,  4981,   552,   458,   603,   367,
     367,   367,  1722,   516,  4256,   516,   516,  1727,   603,   241,
     367,   118,   480,   378,   378,   582,   310,  5436,  1738,   476,
     362,   603,   310,   188,   591,   592,   593,   594,   595,   596,
     597,   598,   599,  2343,  5233,  5234,  5235,  5236,  5237,  5642,
     340,   321,   321,   321,   453,   378,   516,   506,   198,   606,
     378,   378,   271,   218,   378,  3878,   606,   436,   560,  1779,
    2370,  3884,   468,   471,   265,   424,   516,   516,   384,   604,
    2380,  4396,  2382,   108,   239,  4327,   294,   541,  2388,   313,
     419,   541,  2392,   227,   593,   241,   108,   504,  1808,  1809,
    1810,   243,  1812,   468,   420,   372,   603,   553,   227,   603,
     227,  4479,   227,   226,   372,  1825,   560,   362,   541,  5172,
     108,   362,   378,  1833,  3878,    97,   378,   313,   372,   597,
    3884,   262,   262,  4375,   241,   582,   291,  4464,   108,  2439,
     242,   604,  2442,   132,   580,  4387,  4388,   594,   595,   596,
     597,   598,   599,   601,   580,  4397,   344,   313,   468,   604,
    4402,  1871,  4404,   241,  1874,   378,   604,   604,   362,  1879,
    1880,   604,   271,   271,   564,   271,   271,   271,  4465,   168,
     129,   247,  5427,   516,  4464,   605,  4513,   606,  4475,   343,
     560,   378,   371,   606,   606,   247,   606,   603,   581,   384,
     604,   606,  1912,   546,  5489,  6889,  1916,  1917,  6892,   604,
     604,  6895,  4454,   444,  4582,   370,   604,   606,   390,   604,
     205,   247,  1932,   400,   604,   606,  4513,   604,  1938,  6360,
     604,   606,   603,  4513,   606,  2535,  2536,  1947,   606,   580,
     604,   604,   231,   604,   604,   604,   557,  4489,  4490,   361,
     516,   603,  2552,  2553,  4193,  4194,  4195,   557,   604,   604,
     336,   603,  4748,  5239,   603,   539,   603,   331,   583,   378,
     557,   593,   593,   607,  1984,   547,   129,   378,   606,   268,
     604,  4193,  4194,  4195,  2584,   227,   606,   378,   381,  4531,
     516,   604,   284,  5661,   367,   516,  2006,   516,   230,   516,
    4397,   362,  2012,   227,   471,  5335,   603,  5592,   603,   276,
     603,   491,   463,  2023,   227,   227,  2026,   321,   463,   463,
    2030,   276,   230,   378,   516,   541,   230,   557,   323,   318,
     593,   458,   401,   401,   538,  6702,   230,   333,   516,   494,
    1917,   516,   516,   516,   458,   488,  4746,   333,   516,   333,
     516,   516,   516,   458,  2064,  5864,   516,   516,   458,   516,
     515,   198,   362,   471,  2074,   227,   458,   516,  4768,   358,
     117,   117,   604,   362,  5427,   516,   604,   516,   533,   604,
    4193,  4194,  4195,   294,   602,   294,   259,   241,   382,   604,
     604,  4706,   118,   548,   606,   183,   606,   526,   603,   241,
     603,  2111,   604,   604,  5689,   394,   395,   108,   227,   227,
    2120,   593,  5601,  5602,   241,  5604,   372,   541,   259,   603,
     541,  4756,  4757,  4758,  4759,   227,   516,  2137,   241,   458,
     458,   602,   468,   603,  2144,   458,   458,   458,  5912,  4193,
    4194,  4195,   225,  5896,   606,   225,  4765,   436,   294,  4768,
     294,   440,   217,    35,   294,   294,   445,  4396,   294,    41,
      42,   294,  6263,   294,  6265,   454,    48,    49,   294,   294,
     298,  2450,    54,  4715,   463,   601,   534,   534,   378,   378,
     129,    63,   471,    65,  4396,    67,   604,   378,   378,    83,
     606,    73,   390,   552,   604,   484,   247,   361,   604,   247,
     604,  2211,   256,  4810,   493,   584,  4603,  4810,   593,   498,
     513,   444,   160,   546,   603,  4810,   604,  2227,  2228,  2229,
     604,   604,  4810,  4810,   606,   606,   603,   526,  4810,   604,
    2509,   603,   606,   604,  2244,   241,   108,   593,   313,   541,
     541,  5517,   516,   284,   129,   506,  2256,   227,   541,   156,
     488,   251,   516,   526,   230,   458,   463,  2267,   516,   516,
     604,   458,   516,  2542,  6447,   516,   555,   604,   436,  2279,
     560,  2281,   604,  2283,   129,   506,   603,   241,   547,   603,
     378,   148,   227,  4396,   183,  6468,   526,  2566,   604,  4908,
     294,   294,  2302,   603,   310,   294,   294,   603,   279,   516,
    2310,  6075,   564,   108,   378,   603,   188,   604,  2318,   399,
     378,   375,   526,   114,   516,   606,    80,   468,   253,   606,
     603,   254,   603,   183,   606,   604,   602,  2337,   247,   294,
    6274,  6514,  6515,   604,   215,   367,   218,  4952,   311,  4954,
     311,   604,  4396,  2353,   367,   604,  2356,   367,   367,  2359,
     247,  6054,   604,   129,   604,   390,  2366,   239,   604,   606,
     604,   399,  2372,   558,   603,  4980,   558,   604,   603,   297,
     388,   297,  4995,   505,  2384,   603,   385,   129,   604,   513,
     260,   372,   247,  5006,   560,   278,   148,  2397,  2398,   265,
    2400,  2401,  5977,   516,   265,   367,   526,   593,   108,   367,
     593,   129,  2412,   506,  2414,  2415,   516,  5952,  5215,   291,
     142,  4953,   516,  5215,  2424,  2425,   516,  2427,  2428,   606,
     606,   227,   230,   516,   604,   294,   603,   197,   249,  2439,
     190,   108,  2442,   271,   372,   468,   603,   108,   362,  4981,
     541,   243,   226,  5988,   468,   372,   560,   129,   154,   506,
     108,   560,   247,   378,  4996,   603,   241,  4999,   281,  5001,
     381,   606,   431,   292,   247,   546,   604,  4706,   485,   604,
     129,   297,   559,  2483,   461,   604,   162,  2487,  2488,  2758,
     604,   603,   206,   604,   272,  3085,   606,   603,   370,   604,
     378,   603,   603,   430,  4706,   516,   604,   108,   227,   241,
     227,   516,   108,   367,   603,  5047,   603,   603,   603,   603,
     541,  6694,   603,   468,   603,   334,  2526,  2527,  5137,  5138,
     604,  5063,  2532,  2533,  5988,   603,  5068,   603,  2538,  2539,
    2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,
    2550,  2551,  5987,   227,   183,  2555,   108,  2557,   604,  2559,
    2560,  2561,  2562,  2563,  2564,   382,  4953,  2567,   247,  2569,
    2570,   483,  6506,  2573,  3164,  3165,   526,   483,   604,   241,
     108,   593,   606,   275,   378,   604,  5163,  2587,  2588,  2589,
    2590,   108,   151,   182,  4981,   546,   105,  6032,   506,   264,
     604,   603,   603,  4706,   541,   603,  2606,    95,  2608,  5952,
     241,  6524,   506,   101,   358,   378,   603,   603,   276,   604,
    6793,  6794,   494,    76,   234,   603,   142,  3217,   116,   454,
    3220,  3221,   564,  5976,   454,  5167,   381,   142,   607,   206,
    5172,   560,  5247,   515,   545,  5988,   211,   560,    80,   556,
     219,   378,   604,   546,   603,  5232,   604,   603,   146,   603,
     108,   533,  4706,   606,   606,   238,   238,   471,   512,   335,
     512,   247,   506,   367,  3264,   278,   548,   506,  2545,  2546,
     427,   378,   603,   378,  5216,  5217,  5218,  5219,  5220,   468,
     108,   108,   381,  2560,   381,  5082,  5083,  6176,   603,   249,
     249,   272,  2569,   603,   226,   453,   564,   422,  6187,   422,
     223,   564,   400,   201,   606,   203,   129,   603,  4947,   129,
     129,   603,   210,  4952,   604,  4954,   214,   129,   516,   195,
    5262,  5263,  5264,  5265,   492,  5267,  5268,  5269,  5270,  5271,
     539,   604,    76,   468,   211,  4947,   564,   603,   378,   564,
    4952,  4980,  4954,  2753,   242,   378,  6260,   604,   105,   151,
     385,  3351,   108,   363,   437,   471,   363,   603,    94,   453,
    6274,   606,   457,    35,   606,   457,   378,    39,  4980,    41,
      42,   386,   453,   367,   247,  5172,    48,    49,  6267,  5398,
     278,   603,    54,  5402,   547,   603,   603,   603,   219,   151,
     516,    63,   226,    65,   494,    67,    68,  2807,   494,    71,
     546,    73,    76,   606,   483,  6473,  5466,   190,   547,   483,
     560,   560,   385,   249,   249,   402,   546,   604,   604,   541,
     151,   603,   603,  6153,   603,   297,  6103,  2213,  1361,  3976,
    3472,  1404,  3383,  1880,  4947,  4169,  4952,  6167,  3438,  4952,
    4927,  4954,  5239,  1403,  6685,  3499,  3446,  3553,  4388,  3449,
    6030,  5438,  5439,  2863,  3133,  6503,  6823,  5117,  6077,  5651,
     358,  3461,  6053,  4925,   362,  4095,  4157,  4980,  4925,  3730,
    6665,  5951,  6812,  6534,   372,  6533,  6706,  6848,  5420,  6823,
    4162,  5423,  5424,  5696,   382,  3567,  5164,  5138,  5511,  6476,
    5107,  5149,  4947,  4947,  3567,  4194,   394,  4436,  4952,  5522,
    4954,  1399,  5133,  5690,  3183,  6060,  5200,  4484,  6942,  5451,
    6372,  7080,  7051,  6044,  4396,  6718,   188,  5990,  6245,  1572,
    2291,  5171,  6486,  5993,   120,  6470,  4980,   133,  6258,  6259,
    1689,  1010,  4571,  5244,  6213,  6424,  6938,  5247,   436,  2335,
    3239,   439,   440,  1596,  3583,  2332,   218,  4072,  5175,  6723,
    2353,  6103,  4495,  1606,  6360,  4328,  3498,  1610,  2408,  1076,
    1109,  1614,  4980,  1616,  4245,  6744,  6992,   239,  2030,  1622,
    3529,  5208,  1240,   471,  3145,  1628,  2244,  6915,  1631,  5440,
    4841,  5206,  6208,  6211,  3714,  1898,  1851,  5289,  1650,  3993,
    3181,  4008,  6506,  3155,  1920,  4782,  6788,  6644,  6274,  5421,
    1919,  3180,  4768,  5404,  1922,  5386,  6184,  4765,  5247,  6413,
    6412,  4842,  4765,  7003,  6782,  6893,  6631,  4765,  7034,   291,
    4708,  6151,    80,  3063,  5900,    83,  5423,  6645,  3946,    87,
      88,    89,  6646,  3064,  2562,  5247,  3928,  3047,  3048,  3049,
    3050,  3051,  3052,  3053,  3054,  3055,   544,  3057,  3801,  3926,
    3528,  6386,  7036,  3916,  5451,  3837,  4640,   115,   694,  3069,
    3069,  4510,  3072,  3643,   122,  1528,  6594,  2345,  3201,  3669,
    3670,   307,   129,  1940,  1934,  3192,  1121,  5696,  3217,  5621,
    5622,  1329,  1309,  3970,  7039,  4848,  1309,  3209,  5422,  4849,
     148,  3210,  5634,  1702,  5636,  5637,  5638,  6427,   370,  4807,
     337,  3221,  3726,  2472,  6434,     2,  5912,  1636,    -1,    -1,
    1154,  1854,    -1,    -1,    -1,    -1,    -1,  6470,  3128,    -1,
    5517,    -1,  3132,    -1,    -1,  3135,    -1,  3137,    -1,    -1,
    3140,    -1,    -1,    -1,  5247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3743,    -1,  3155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3164,  3165,    -1,    -1,    -1,    -1,
    5702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
      -1,  3201,    -1,  5247,    -1,    -1,    -1,    -1,    -1,    -1,
    5742,    -1,    -1,    -1,   105,    -1,    -1,    -1,   266,    -1,
    3220,  3221,    -1,   271,   115,    -1,    -1,  3227,    -1,    -1,
      -1,   122,   494,    -1,  3234,    -1,    -1,  6672,  3238,  3239,
      -1,    -1,    -1,    -1,    -1,  3245,   294,   295,    -1,    -1,
    3250,  3251,    -1,   515,    -1,  3255,    -1,   148,    -1,    -1,
      -1,    -1,  7061,  5795,  3264,  5874,    -1,  6925,  6926,    -1,
      -1,   533,  5881,    -1,   322,    -1,    -1,  5886,    -1,  3279,
    5889,    -1,  3282,    -1,    -1,    -1,   548,    -1,  3155,    -1,
      -1,    -1,    -1,  3293,    -1,  3295,  3296,    -1,  3298,  3299,
      -1,  3301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5918,
    6745,  6746,    -1,  3313,    -1,    -1,    -1,   365,    -1,  6823,
    6640,    -1,  6642,    -1,    -1,    -1,  3326,    -1,    -1,    -1,
      -1,    -1,   380,  3333,  3334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5951,    -1,    -1,    -1,    -1,    -1,  3348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3370,  3371,    -1,    -1,  3374,   266,    -1,    -1,    -1,    -1,
     271,  3971,    -1,    -1,  3974,    -1,  3976,  1085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5911,  3396,    -1,  3398,    -1,
      -1,    -1,  3402,   294,   295,    -1,    -1,    -1,    -1,    -1,
    4000,  4001,    -1,  1111,    -1,    -1,  3416,    -1,    -1,    -1,
      -1,  3421,  6027,  3423,  3424,    -1,  3426,    -1,   476,    -1,
      -1,   322,  3432,    -1,  6092,    -1,    -1,    -1,    -1,    -1,
      -1,  5670,    -1,    -1,  5976,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3452,  6070,    -1,    -1,    -1,    -1,  3458,    -1,
      -1,    -1,    -1,    -1,    -1,  3465,    -1,    -1,  5670,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,  3479,
      -1,  6058,    -1,    -1,  6093,    -1,    -1,    -1,    -1,   380,
    6022,    -1,   383,  3493,  6071,    -1,    -1,    -1,  3498,  6031,
    6070,  6103,    -1,  6103,  3504,  3505,  6103,  6103,  6103,  6103,
    6103,  6103,  6089,    -1,  6103,  5902,  6103,  6103,  6103,  6103,
    6103,  6103,  3522,  3523,  3524,  6103,  6103,    -1,  3528,  6103,
      -1,  6103,    95,    -1,   582,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,   116,    -1,  3555,  3556,    -1,    -1,    -1,
     108,    -1,    -1,    -1,  3564,    -1,    -1,  5670,    -1,    -1,
      -1,  3571,    -1,    -1,  6183,    -1,    -1,    -1,    -1,    -1,
    3580,    -1,    -1,   146,   132,   476,    -1,  3856,    -1,  5976,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3597,    -1,    -1,
      -1,    -1,  6922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,    -1,    -1,  5670,    -1,    -1,  3629,
     132,  7066,  7067,  3633,    -1,  3904,    -1,    -1,   201,    -1,
     203,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,   214,    -1,    -1,    -1,  6975,  3656,    -1,    -1,  3928,
      -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3944,    -1,    -1,    -1,   242,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   582,    -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,    -1,    -1,    -1,    -1,   278,    -1,   608,    -1,    -1,
     268,  6330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,  6274,    -1,  6434,    -1,  6278,    -1,  1446,    -1,
      -1,    -1,    -1,  4022,  3754,  6332,  3756,  4026,   130,  1457,
    2403,  4030,    -1,    -1,    -1,   313,   268,    -1,  2411,    -1,
     318,    -1,  3772,    -1,  3774,  1473,    -1,    -1,    -1,    -1,
      -1,  3781,  6387,    -1,   156,  3785,    -1,  3787,  3788,    -1,
    3790,  3791,  3792,    -1,    -1,   358,    -1,    -1,  6027,   362,
    3800,    -1,    -1,    -1,  6413,  3805,    -1,  4397,    -1,   372,
     182,   183,    -1,    -1,   362,    -1,   318,    -1,   190,   382,
      -1,    -1,  3822,    -1,    -1,  6027,    -1,    -1,    -1,    -1,
    4420,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6452,    -1,    -1,    -1,   395,    -1,    -1,
      -1,    -1,    -1,    -1,  3854,  3855,  3856,   229,    -1,  3859,
     362,    -1,    -1,    -1,    -1,    -1,    -1,  3867,  3868,  3869,
    3870,    -1,  6449,   436,    -1,    -1,   439,   440,  3878,   251,
      -1,    -1,    -1,  3883,  3884,    -1,  3886,  6274,  3888,    -1,
      -1,    -1,   440,   395,    -1,    -1,    -1,   445,  6503,    -1,
    3900,  3901,   274,    -1,  3904,    -1,   454,    -1,   471,    -1,
      -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   471,  6027,  3925,    -1,  3927,    -1,  3929,
      -1,    -1,    -1,    -1,  4524,    -1,   484,    -1,   440,    -1,
     442,  4531,    -1,   445,    -1,   493,    -1,    -1,  3948,    -1,
     498,  6560,   454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,   463,  3962,    -1,    -1,   337,    -1,    -1,    -1,   471,
     342,   519,    -1,    -1,  6506,    -1,  3976,    -1,  6510,    -1,
    6512,   544,   484,  6027,  6516,  6517,   358,  3854,  3855,    -1,
     362,   493,  3859,  3993,    -1,    -1,   498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1703,    -1,   555,  4008,    -1,
      -1,   559,    -1,  4603,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   393,  4022,    -1,    -1,    -1,    -1,  6632,    -1,    -1,
    4030,    -1,    -1,  3900,  3901,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4062,    -1,    -1,  4065,    -1,  4067,    -1,   441,
      -1,    -1,  4072,    -1,    -1,    -1,  6305,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4088,  4089,
      -1,    -1,    -1,   465,  4094,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,  6305,    -1,    -1,    -1,    -1,    -1,  4109,
      -1,    -1,  4112,    -1,   486,  4115,   488,    -1,    -1,   491,
      -1,    -1,    -1,  4123,    -1,    -1,    -1,    -1,  6737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6719,    -1,    -1,    -1,    81,    -1,  4148,    -1,
      -1,  6744,    -1,    -1,  4154,    -1,   169,    -1,  6387,  6744,
      -1,    -1,    -1,    -1,    -1,   537,  6744,  6744,  6858,    -1,
      -1,    -1,  6744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4193,  4194,  4195,  4465,    -1,    -1,    -1,
      -1,    -1,  6305,    -1,    -1,    -1,  4475,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4218,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,  4227,   241,  4229,
      -1,   603,    -1,    -1,   247,    -1,    -1,  4237,    -1,  6848,
     253,    -1,    -1,   256,  4513,  6854,    -1,   260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4845,    -1,    -1,  4258,    -1,
      -1,  6305,    -1,    -1,    -1,  6858,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6858,  6503,    -1,    -1,   290,    -1,   292,
    6858,  6858,    -1,    -1,  6387,    -1,  6858,    -1,    -1,    -1,
      -1,  6823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6387,    -1,    -1,    -1,    -1,    -1,  4349,
      -1,    -1,    -1,    -1,  4354,    -1,    -1,    -1,    -1,    -1,
    4360,   374,    -1,  4953,    -1,   378,    -1,    -1,    -1,  4369,
      -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6995,  4981,    -1,    -1,    -1,    -1,  4396,  4397,    -1,  6992,
    6503,    -1,  4402,  6632,  4404,  4995,    -1,  6992,    -1,    -1,
      -1,    -1,    -1,  2111,  6992,  6992,  5006,  4417,    -1,  4419,
    6992,    -1,    -1,    -1,    -1,    -1,    -1,  4427,    -1,    -1,
    6632,   444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4440,    -1,    -1,    -1,    -1,    -1,  7051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,  6503,
      -1,   101,    -1,  6995,    -1,    -1,    -1,    -1,    -1,  4469,
      -1,    -1,    -1,    -1,    -1,  7080,  7008,  4746,    -1,    -1,
      -1,  3124,    -1,    -1,    -1,    -1,   499,    -1,    -1,    -1,
    4490,  4491,  5082,  5083,    -1,    -1,  4765,    -1,    -1,  4768,
    7032,    -1,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4515,    -1,    -1,    -1,  7051,
     533,    -1,    -1,    -1,    -1,  7057,    -1,    -1,    -1,  6632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4810,    -1,    -1,   557,    -1,   559,   560,  7080,    -1,
      -1,  4551,    -1,    -1,    -1,    -1,  7088,    -1,  2256,    -1,
      -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,   581,  2267,
     210,    -1,    -1,  4573,   214,    -1,    -1,  4577,    -1,    -1,
      -1,    -1,  5172,    -1,    -1,  2283,    -1,    -1,  6632,    -1,
      -1,   604,    -1,   606,   607,    -1,    -1,    -1,  4598,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,  6995,    -1,
      -1,    -1,    -1,    -1,  4614,    -1,    -1,  4617,    -1,    -1,
      -1,    -1,    -1,  4623,    -1,    -1,  5216,  5217,  5218,  5219,
    5220,    -1,    -1,    -1,    -1,    -1,    -1,  4637,   278,  2337,
      -1,  4641,  4642,  4643,    -1,    -1,    -1,    -1,  4648,  5239,
      -1,  4651,    -1,    -1,  4654,    -1,    -1,    -1,    -1,    -1,
    4660,  2359,  4662,    -1,  7051,  4665,    -1,    -1,    -1,  4669,
    4670,  4671,  4672,  4673,  2372,    -1,  4676,  4677,  4678,  4679,
    4680,  4681,  4682,  4683,  4684,  4685,  2384,    -1,    -1,  4689,
    4690,  4691,    -1,  7080,  4694,    -1,    -1,    -1,    -1,  4699,
      -1,    -1,    -1,    -1,  4704,    -1,  4706,    -1,  4708,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4716,    -1,   358,  4719,
      -1,  4721,   362,    -1,    -1,    -1,  2424,  2425,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,    -1,  4737,    -1,    -1,
    4740,  4741,   382,    -1,    -1,  4745,  4746,    -1,    -1,    -1,
    4750,    -1,  4752,    -1,   394,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4765,  6995,    -1,  4768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4779,
      -1,  4648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6995,    -1,    -1,   436,    -1,    -1,   439,
     440,    -1,    -1,  4670,  4671,  4672,  4673,    -1,    -1,  4676,
    4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,    -1,
      -1,    -1,  7051,    -1,    -1,    -1,  4826,    -1,    -1,    -1,
      -1,   471,    -1,  5423,    -1,    -1,    -1,  4704,    -1,    -1,
      -1,    -1,    -1,  4843,    -1,    -1,    -1,    -1,    -1,  7051,
      -1,  7080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4859,
      -1,  5451,    -1,    -1,    -1,    -1,    -1,    -1,  5137,    -1,
      -1,    -1,    -1,  4740,  4741,    -1,    -1,    -1,  7080,    -1,
      -1,    -1,    -1,    -1,    -1,  4885,    -1,    -1,    -1,  2587,
      -1,    95,  6995,    -1,  5163,    -1,    -1,   101,    80,    -1,
      -1,    83,    -1,    -1,   544,    87,    88,    89,  4908,    -1,
      -1,    -1,   116,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,  5511,    88,   105,    -1,    -1,    -1,  5517,    -1,    -1,
      -1,    -1,  5522,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,   146,    -1,    -1,    -1,    -1,  4947,  7051,    -1,
      -1,  6995,  4952,  4953,  4954,    -1,   122,    -1,    -1,  5549,
    5550,    -1,    -1,  5232,  5554,  5555,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7080,    -1,    -1,
    4980,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,   203,
      -1,    -1,    87,    88,    89,    -1,   210,  7051,  3651,    -1,
     214,    -1,    -1,    -1,    -1,    -1,  3659,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,  5026,    -1,    -1,  5029,
     115,   966,    -1,  3676,    -1,    -1,  7080,   122,   242,    -1,
     975,    -1,    -1,  3686,    -1,    -1,  3689,    -1,  3691,  3692,
      -1,    -1,  3695,    -1,   989,    -1,  3699,    -1,  3701,    -1,
      -1,  3704,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,  1027,  5093,    -1,    -1,    -1,    -1,  1033,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1045,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,  5119,
    5120,    -1,    -1,  5123,    -1,    -1,    -1,    -1,    -1,  5398,
    5130,    -1,    -1,  5402,    -1,    -1,    -1,  5137,  5138,  3782,
     322,    -1,    -1,    -1,    -1,    -1,    -1,  5147,    -1,    -1,
      -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,  5438,
    5439,  5171,  5172,    -1,    -1,  5175,  5176,  5177,   382,    -1,
      -1,   266,    -1,   365,    -1,    -1,   271,  5187,    -1,    -1,
     394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,  5093,    -1,    -1,    -1,
      -1,    -1,   436,    -1,    -1,   439,   440,   322,    -1,    -1,
     105,    -1,    -1,    -1,  5244,    -1,    -1,  5247,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,    -1,
      -1,    -1,   108,  5273,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,  5289,
      -1,    -1,    -1,    -1,   476,   380,   132,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5307,    -1,    -1,
      -1,    -1,  5902,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,  5335,    -1,    -1,  5338,    -1,
     544,    -1,    -1,    -1,    -1,    -1,  5346,  5347,    -1,  5349,
      -1,    -1,    -1,  5353,  5354,    -1,    -1,    -1,  5358,    -1,
      -1,    -1,    -1,  5363,    -1,    -1,  5366,  5367,    -1,    -1,
      -1,  1306,  1307,  5373,    -1,    -1,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,  5384,    -1,  5976,    -1,    -1,    -1,
    5390,   476,    -1,    -1,    -1,   231,    -1,    -1,  5398,    -1,
     582,   266,  5402,    -1,    -1,    -1,   271,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   604,    -1,   606,    -1,    -1,    -1,   146,   294,
     295,    -1,   268,    -1,    -1,    -1,  5436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5444,    -1,    -1,    -1,    -1,    -1,
      -1,  5451,    -1,    -1,    -1,  4098,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5338,    -1,    -1,    -1,    -1,  5476,   313,    -1,    -1,
      -1,    -1,   318,    -1,    -1,   203,    -1,    -1,    -1,  5489,
      -1,    -1,   210,    -1,  5494,    -1,   214,   582,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   380,    -1,    -1,   383,    -1,
      -1,   606,    -1,  5390,   242,    -1,   362,    -1,    -1,  5529,
      -1,    -1,    -1,    -1,    -1,  4178,    -1,  4180,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5546,    -1,    -1,    -1,
      -1,  5551,    -1,    -1,    -1,    -1,    -1,    -1,  5558,   395,
     278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5574,    -1,    -1,    -1,    -1,    -1,
      -1,  5581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5592,    -1,    -1,    -1,    -1,  3295,    -1,    80,
      -1,    -1,    83,  3301,   440,    -1,    87,    88,    89,   445,
      -1,   476,  5881,    -1,    -1,    -1,    -1,  5886,   454,    81,
    5889,    -1,    -1,  5623,   105,    -1,    88,   463,    -1,    -1,
      -1,    -1,    -1,    -1,   115,   471,    -1,    -1,    -1,    -1,
     358,   122,    -1,    -1,   362,    -1,    -1,    -1,   484,  5649,
    3348,    -1,    -1,    -1,   372,    -1,    -1,   493,    -1,    -1,
     122,    -1,   498,    -1,   382,  5665,    -1,   148,    -1,    -1,
    5670,    -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,   141,
      -1,  4324,    -1,   519,  6274,   147,   148,  4330,    -1,  5689,
      -1,    -1,    -1,   155,    -1,    -1,  5696,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,   436,   555,
      -1,   439,   440,   559,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,    -1,
      -1,   606,    -1,  5743,    -1,  5745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,  5786,    -1,    -1,  6058,
     271,    -1,  6382,    -1,    -1,    -1,    -1,    -1,    -1,   965,
     966,    -1,  6071,    -1,    -1,    -1,    -1,   973,    -1,   975,
     976,    -1,  5812,   294,   295,    -1,    -1,    -1,    -1,    -1,
    6089,    -1,  5822,   989,    -1,  5825,   544,    -1,  5828,  5829,
    5830,    -1,    -1,    -1,  6103,    -1,    -1,    -1,    -1,    -1,
      -1,   322,  1008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5853,  5854,    -1,    -1,  5857,  3556,    95,
      -1,  1027,    -1,    -1,    -1,   101,    -1,  1033,    -1,    -1,
      -1,    -1,    -1,    -1,  5874,    -1,    -1,    -1,    -1,  1045,
      -1,  5881,    -1,    -1,   365,    -1,  5886,    -1,    -1,  5889,
    5890,    -1,    -1,    -1,    -1,    -1,  4539,  5897,  4541,   380,
    4543,    -1,   383,    -1,    -1,  6495,    -1,    -1,    -1,  1075,
     146,    -1,    -1,    -1,  6183,    -1,    -1,    -1,  5918,    -1,
      -1,  5921,    -1,  1089,  1090,    -1,    -1,  5927,    -1,  5929,
    1096,    -1,  1098,  1099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1112,    -1,    -1,    -1,
      -1,  5951,    -1,    -1,    -1,    -1,    -1,    -1,  5825,    -1,
      -1,    -1,  1128,    -1,    -1,    -1,    -1,   203,    -1,    -1,
      -1,    -1,    -1,    -1,   210,    -1,  5976,  5977,   214,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5987,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,    -1,    -1,    -1,
      -1,    -1,  1947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1186,    -1,    -1,    -1,    -1,    -1,    -1,  6027,    -1,    -1,
      -1,    -1,  6032,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1225,
      -1,  6330,    -1,  6332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,
      -1,  1247,    -1,    -1,    -1,    -1,  1252,    -1,    -1,  3787,
      -1,    -1,    -1,  6093,  3792,    -1,  6096,    -1,  1264,    -1,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,    -1,   358,   604,  3822,    -1,   362,    -1,    -1,    -1,
    6130,    -1,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
    1306,  1307,    -1,    -1,    -1,    -1,   382,  6147,    -1,    -1,
      -1,  6151,    -1,  6153,    -1,    -1,    -1,    -1,   394,    -1,
      -1,    -1,    -1,    -1,    -1,  6434,    -1,  6167,    -1,  6169,
      -1,    -1,    -1,  6173,    -1,    -1,    -1,    -1,    -1,  6179,
    6449,    95,    -1,  6183,    -1,    -1,    -1,   101,    -1,  6189,
    6190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,    -1,    -1,   439,   440,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,   471,  6236,    -1,    -1,    -1,
      -1,    -1,  6242,    -1,    -1,    -1,    -1,  6247,  6248,    -1,
      -1,    -1,  6252,    -1,    -1,    -1,    -1,    -1,  6258,  6259,
    6260,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,
    1436,    -1,    -1,    -1,  6274,    -1,  2211,    -1,    -1,    -1,
    6147,  1447,    -1,    -1,    -1,  1451,    -1,  1453,    -1,   203,
      -1,    -1,    -1,    -1,  6294,    -1,   210,    -1,    -1,    -1,
     214,    -1,  6302,    -1,    -1,  6305,  6173,    -1,   544,    -1,
      -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,   242,    -1,
    6330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6360,  6361,    -1,    -1,   278,    -1,    -1,  2302,    -1,    -1,
     125,    -1,    -1,    -1,    -1,  2310,    -1,    -1,   133,    -1,
      -1,    -1,  6382,  2318,    -1,    -1,  6386,  6387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6398,    -1,
      -1,    -1,    -1,    -1,    -1,  6995,    -1,  6407,  6408,  6409,
      -1,    -1,    -1,  6413,    -1,    -1,  6416,  4115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4123,    -1,  6427,    -1,    -1,
      -1,    -1,    80,    -1,  6434,    83,    -1,    -1,    -1,    87,
      88,    89,  1608,    -1,   358,    -1,    -1,    -1,   362,    -1,
    6719,    -1,  6452,    -1,    -1,    -1,    -1,   105,   372,  6459,
      -1,  7051,    -1,    -1,    -1,    -1,  2401,   115,   382,    -1,
      -1,    -1,    -1,    -1,   122,  6744,   938,    -1,  6478,    -1,
     394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7080,    -1,    -1,  2428,    -1,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,  6503,   966,    -1,  6506,    -1,    -1,    -1,
      -1,    -1,    -1,   975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1688,    -1,    -1,   439,   440,   989,    -1,  4227,
      -1,  4229,    -1,    -1,    -1,    -1,    -1,    95,    -1,  1705,
      -1,    -1,    -1,   101,    -1,    -1,  1008,    -1,    -1,  6416,
      -1,    -1,    -1,    -1,    -1,    -1,  1722,   471,    -1,    -1,
    6560,  1727,    -1,    -1,    -1,  1027,    -1,    -1,    -1,    -1,
      -1,  1033,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1045,  5227,    -1,    -1,  5230,   146,  6858,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1075,    -1,  6615,   105,  5260,   266,    -1,
      -1,    -1,    -1,   271,    -1,    -1,   115,  4325,  1090,    -1,
     544,  6631,  6632,   122,    -1,  6635,  1098,    -1,    -1,    -1,
    6640,    -1,  6642,    -1,  6644,   203,   294,   295,    -1,    -1,
    1112,    -1,   210,    -1,    -1,    -1,   214,    -1,  6658,   148,
      -1,    -1,    -1,    -1,    -1,    -1,  1128,    -1,    -1,    -1,
      -1,  4369,  6672,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,  6685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,  1871,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1879,  1880,    -1,    -1,   365,    -1,   105,
     278,    -1,    -1,  6992,  1186,    -1,    -1,  6727,    -1,   115,
      -1,    -1,   380,    -1,    -1,   383,   122,  6737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6745,  6746,    -1,    -1,    -1,
      -1,  6751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1223,   148,  1225,  6631,  1227,    -1,    -1,    -1,    -1,
      -1,  4469,  1938,    -1,    -1,    -1,    -1,   266,  6778,    -1,
      -1,  1947,   271,    -1,  6784,  1247,    -1,    -1,  6788,    -1,
    1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,  1264,    -1,   362,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   372,    -1,    -1,  4515,  1984,    -1,
      -1,    -1,    -1,  6823,   382,    -1,    -1,    -1,   476,    -1,
      -1,  5474,    -1,   322,    -1,    -1,   394,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1306,  1307,  2012,    -1,  6848,    -1,
      -1,    -1,    -1,    -1,  6854,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6872,    -1,    -1,    -1,   365,    -1,   436,  6879,
     266,   439,   440,    -1,    -1,   271,    -1,  5530,  5531,  6889,
     115,   380,  6892,  6893,   383,  6895,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,  6778,    -1,   471,    -1,    -1,    -1,    -1,    -1,  4617,
      -1,    -1,  6922,   148,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,   582,    -1,   322,    -1,    -1,    -1,
      -1,  1403,  1404,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   122,  6966,  1429,    -1,    -1,
    6970,  4669,    -1,    -1,  1436,  6975,    -1,    -1,    -1,   365,
      -1,  5624,  5625,    -1,   141,    -1,   544,   476,  6988,    -1,
     147,   148,    -1,    -1,   380,  6995,  4694,   383,   155,    -1,
      -1,    -1,  7002,    -1,    95,    -1,    -1,    -1,    -1,    95,
     101,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,  6889,    -1,    -1,  6892,    -1,    -1,  6895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7039,
    7040,   266,    -1,    -1,    -1,  2211,   271,  7047,    -1,    -1,
      -1,  7051,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,
     146,    -1,    -1,    -1,    -1,    -1,  7066,  7067,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2244,    -1,
    7080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     476,    -1,    -1,   582,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,   203,  2279,  5757,   604,    -1,   203,    -1,   210,
      -1,    -1,    -1,   214,   210,  5768,  5769,    -1,   214,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2302,    -1,    -1,    -1,
     365,    -1,    -1,    -1,  2310,  5788,  1608,    -1,    -1,    -1,
      -1,   242,  2318,    -1,    -1,   380,   242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   956,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   965,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   973,    -1,    -1,   976,    -1,    -1,   278,    -1,    -1,
      -1,    -1,   278,    -1,   949,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1688,    -1,    -1,    -1,
      -1,  2397,  2398,    -1,  2400,  2401,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,    -1,  2412,    -1,  2414,  2415,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1722,  2427,  2428,    -1,    -1,  1727,  3201,   358,    -1,    -1,
      -1,   362,   358,    -1,    -1,    -1,   362,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,    -1,   372,    -1,  1080,    -1,
      -1,   382,  3227,    -1,    -1,    -1,   382,  1089,    -1,    -1,
      -1,    -1,    -1,   394,  1096,    -1,    -1,  1099,   394,  1064,
    3245,    -1,    -1,    -1,    -1,    -1,  3251,  2483,    -1,    -1,
    3255,  2487,  2488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3279,   436,    -1,    -1,   439,   440,
     436,    -1,    -1,   439,   440,    -1,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,  3313,    -1,
     471,    -1,    -1,    -1,    -1,   471,  1141,    -1,  1143,    -1,
    1145,    -1,    -1,    -1,    -1,    -1,  1151,    -1,  3333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1879,  1880,    -1,
      -1,    -1,  1177,  1178,    -1,  5123,  1181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3371,    -1,    -1,    -1,
      -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   544,    -1,    -1,    -1,    -1,   544,    -1,
      -1,  3396,    -1,    -1,    -1,    80,    -1,  3402,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,  1938,    -1,    -1,    -1,
      -1,  3416,    -1,    -1,    -1,  1947,    80,    -1,  3423,    83,
     105,  3426,    -1,    87,    88,    89,    -1,  3432,    -1,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    80,   122,    -1,    83,
      -1,   105,    -1,    87,    88,    89,    -1,  3452,    -1,    -1,
      -1,   115,  1984,  3458,    -1,    -1,    -1,    -1,   122,    -1,
    3465,   105,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,  3479,    -1,    -1,    -1,   122,    -1,
    2012,  1306,  1307,    -1,   148,    -1,  1311,    -1,  3493,    -1,
      -1,  2023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3504,
      -1,    -1,  6215,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1441,
      -1,   266,    -1,    -1,    -1,  1447,   271,    -1,  2120,  1451,
      -1,  1453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,  2137,    -1,   271,    -1,   294,
     295,  1436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,   322,    -1,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
     294,   295,    -1,    -1,  1516,    -1,  1518,  1519,   322,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6385,    -1,   115,    -1,    -1,    -1,   322,  2211,
     365,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,   148,  5476,    -1,
      -1,   938,  2244,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   966,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2279,   975,  3754,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5529,   989,    -1,    -1,    -1,    -1,    -1,    -1,  3774,
    2302,    -1,    -1,    -1,    -1,    -1,  3781,    -1,  2310,    -1,
      -1,  1008,    -1,  5551,    -1,    -1,  2318,    -1,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1027,    -1,    -1,    -1,    -1,    -1,  1033,    -1,    -1,    -1,
      -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,  1045,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1075,    -1,
      -1,    -1,    -1,   294,   295,  5623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1090,    -1,    -1,    -1,    -1,  2400,  2401,
      -1,  1098,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   322,  2414,    -1,    -1,  1112,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2427,  2428,   582,    -1,    -1,
      -1,  1128,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,   582,   604,
      -1,    -1,    -1,    -1,   365,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,   582,   380,
     604,    -1,   383,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,  1186,
      -1,    -1,    -1,    -1,    -1,  3201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3227,    -1,    -1,    -1,    -1,  1223,    -1,  1225,    -1,
    1227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3245,
      -1,    -1,    -1,    -1,  3250,  3251,    -1,    -1,    -1,  3255,
    1247,    -1,    -1,    -1,    -1,  1252,    -1,    -1,  3264,    -1,
      -1,    -1,    -1,    -1,    -1,   476,    -1,  1264,    -1,    -1,
      -1,    -1,    -1,  3279,    -1,    -1,    -1,    -1,    -1,  1874,
      -1,    -1,    -1,    -1,  1879,  1880,    -1,    -1,    -1,    -1,
    3296,    -1,  3298,  3299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2608,  3313,    -1,  1306,
    1307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6806,    -1,    -1,    -1,  3333,  3334,    -1,
      -1,    -1,    -1,    -1,  4109,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3370,  3371,    -1,    -1,  3374,    -1,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
    3396,    -1,  3398,   604,    -1,    -1,  3402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1999,    -1,  1403,  1404,    -1,    -1,
    3416,    -1,    -1,    -1,    -1,    -1,    80,  3423,    -1,    83,
    3426,    -1,    -1,    87,    88,    89,  3432,    -1,    -1,    -1,
      -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,  1436,
      -1,   105,    -1,  4218,    -1,    -1,  3452,    -1,    -1,    -1,
      -1,   115,  3458,    -1,    -1,    -1,    -1,  2052,   122,  3465,
       5,    -1,    -1,    -1,    -1,    -1,    -1,  2062,    -1,    -1,
      -1,    -1,    -1,  3479,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,   148,    -1,    -1,  3493,    -1,    34,
      35,    -1,  3498,    -1,    39,    -1,    41,    42,  3504,    -1,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2145,    -1,    -1,    -1,  2149,  2150,    -1,    -1,  3564,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,  4349,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,   105,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,   115,    -1,
      -1,  1608,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
      -1,  6189,    -1,    -1,    -1,   115,    -1,    -1,   322,    -1,
      -1,    -1,   122,    -1,    -1,    -1,  2261,    -1,    -1,    -1,
      -1,    -1,    -1,   218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,  1688,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
      -1,   365,    -1,    -1,  6242,    -1,    -1,    -1,  1705,  6247,
    6248,    -1,    -1,    -1,    -1,    -1,   380,    -1,   263,   383,
      -1,  2353,    -1,    -1,  2356,  1722,    -1,    -1,    -1,    -1,
    1727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,  3754,    -1,
    3756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,  2397,  2398,    -1,  3774,    -1,
      -1,    -1,    -1,    -1,    -1,  3781,  4551,    -1,    -1,    -1,
    2412,    -1,  3788,  2415,  3790,  3791,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,  4573,   344,
      -1,    -1,  4577,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,   271,   476,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,   367,  6361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2483,    -1,    -1,    -1,  2487,  2488,    -1,   365,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3878,   380,  1871,    -1,   383,    -1,  3884,    -1,
      -1,    -1,  1879,  1880,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3201,
      -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   462,   582,    -1,
     380,    -1,    -1,   383,    -1,  3227,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
     604,  1938,    -1,  3245,    -1,    -1,    -1,    -1,  3250,  3251,
    1947,    -1,    -1,  3255,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3264,    -1,    -1,    -1,    -1,    -1,    -1,   476,
    3976,   516,    -1,    -1,    -1,    -1,    -1,  3279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1984,   533,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   548,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3313,    -1,    -1,    -1,  2012,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3326,    -1,  2023,    -1,    -1,    -1,
      -1,  3333,  3334,   578,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   593,   594,
     595,   596,   597,   598,    -1,    -1,   601,   602,   603,   604,
      -1,   606,   607,   608,   609,   610,    -1,  2064,  3370,  3371,
      -1,    -1,  3374,    -1,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,  4088,  4089,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,  3396,   602,  3398,  6635,    -1,    -1,
    3402,    -1,    -1,  4109,    -1,    -1,  4112,    -1,    -1,    -1,
    4885,    -1,    -1,    -1,  3416,    -1,    -1,    -1,    -1,  3421,
      -1,  3423,   582,  2120,  3426,    -1,    -1,    -1,    -1,    -1,
    3432,   591,   592,   593,   594,   595,   596,   597,   598,   599,
    2137,    -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,
    3452,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    83,  3479,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,  4193,  4194,  4195,
      -1,  3493,    -1,    -1,    -1,    -1,  3498,    -1,   105,    -1,
      -1,    -1,  3504,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,  4218,    -1,  2211,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4237,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,   148,    -1,    87,    88,    89,    -1,  2244,    -1,    -1,
      -1,  5026,  4258,    -1,  5029,    -1,    -1,    -1,    -1,    -1,
      -1,   105,  3564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,  2279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,   148,  2302,    -1,    87,    88,    89,
      -1,    -1,    -1,  2310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2318,    -1,    -1,    -1,   105,    -1,    95,    -1,    -1,
      -1,    -1,    -1,   101,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,  4349,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,  5130,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,   148,   105,
      -1,    -1,  5147,    -1,    -1,    -1,    -1,    -1,   146,   115,
      -1,    -1,    -1,    -1,    -1,    -1,   122,   294,   295,    -1,
    4396,    -1,    -1,    -1,    -1,    -1,  4402,    -1,  4404,    -1,
      -1,    -1,    -1,  2400,  2401,    -1,    -1,    -1,    -1,    -1,
      -1,  4417,   148,  4419,    -1,   322,    -1,  2414,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
    2427,  2428,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,   214,    -1,    -1,    -1,
     294,   295,  3754,    -1,  3756,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,  7002,    81,    -1,    83,    84,  5244,
      86,    -1,  3774,   380,   242,    -1,   383,    -1,   322,  3781,
      -1,    -1,    -1,    -1,  4490,    -1,   266,    -1,   104,    -1,
      -1,   271,   108,    -1,    -1,    -1,    -1,    -1,   114,   115,
      -1,   117,    -1,    -1,    -1,    -1,    -1,   123,    -1,   125,
     278,    -1,    -1,    -1,   294,   295,    -1,   133,    -1,    -1,
     136,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   271,   380,    -1,    -1,   383,
      -1,    -1,   322,    -1,    -1,  4551,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4573,    -1,   476,
      -1,  4577,    -1,    -1,    -1,    -1,  3878,    -1,    -1,    -1,
      -1,    -1,  3884,    -1,    -1,   365,   322,    -1,    -1,    -1,
     358,    -1,  4598,    -1,   362,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,   372,    -1,  3201,    -1,    -1,    -1,
      -1,  2608,    -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3217,    -1,    -1,    -1,   394,    -1,    -1,   365,
      -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3293,    -1,    -1,  3296,    -1,  3298,  3299,   436,  3264,
      -1,   439,   440,    -1,  3976,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,   476,   604,    -1,    -1,
    4706,    -1,    -1,   471,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,
     476,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
     604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5546,    -1,    -1,    -1,    -1,   544,    -1,    -1,    -1,
      -1,    -1,    -1,  5558,    -1,    -1,  4088,  4089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   582,    -1,    -1,    -1,    -1,  4109,    -1,    -1,
    4112,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3438,    -1,   169,   582,    -1,    -1,    -1,
      -1,  3446,    -1,    -1,  3449,   591,   592,   593,   594,   595,
     596,   597,   598,   599,    -1,    -1,  3461,    -1,   604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4885,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,  4193,  4194,  4195,    -1,    -1,    -1,    -1,   222,    -1,
     235,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,
      -1,   235,   247,    -1,    -1,    -1,  4218,   241,   253,    -1,
      -1,   256,    -1,   247,    -1,   260,    -1,    -1,    -1,   253,
      -1,    -1,   256,    -1,    -1,  4237,   260,    -1,    -1,    -1,
      -1,  4947,    -1,    -1,    -1,    -1,  4952,    -1,  4954,    -1,
      -1,    -1,    -1,    -1,    -1,   290,  4258,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,  3597,   290,    87,    88,    89,
      -1,    -1,    -1,    -1,  4980,    -1,    -1,    -1,    -1,    -1,
     169,    -1,    -1,    -1,    -1,   105,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   323,
      80,    -1,   122,    83,    -1,    -1,    -1,    87,    88,    89,
      -1,  5786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5026,    -1,    -1,  5029,    -1,   105,    -1,    -1,   148,    -1,
      -1,    -1,    -1,   222,    -1,   115,    -1,    -1,    -1,   374,
      -1,    -1,   122,   378,    -1,    -1,   235,  4349,    -1,   384,
     374,    -1,   241,    -1,   378,    -1,    -1,    -1,   247,    -1,
     384,    -1,    -1,    -1,   253,    -1,    -1,   256,   148,    -1,
      -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,   694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4396,    -1,    -1,    -1,    -1,    -1,
    4402,   290,  4404,    -1,    -1,    -1,    -1,    -1,    -1,   444,
      -1,    -1,    -1,  5119,  5120,  4417,    -1,  4419,    -1,    -1,
     444,    -1,    -1,    -1,  5130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
      -1,  5147,    -1,   759,   760,    -1,   266,    -1,  3743,    -1,
      -1,   271,  5927,  3785,  5929,    -1,  3788,    -1,  3790,  3791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,   503,
      -1,    -1,    -1,    -1,    -1,   374,   266,    -1,  4490,   378,
      -1,   271,    -1,    -1,    -1,   384,    -1,    -1,   533,    -1,
      -1,    -1,   322,    -1,  3201,    -1,    -1,    -1,    -1,   533,
      -1,    -1,   828,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,    -1,   557,    -1,   559,   560,    -1,    -1,    -1,    -1,
    3227,    -1,    -1,   557,    -1,   559,   560,    -1,  5244,    -1,
      -1,  5247,   322,    -1,    -1,   365,   581,    -1,  3245,  4551,
      -1,    -1,    -1,  3250,  3251,   444,    -1,   581,  3255,    -1,
     380,    -1,    -1,   383,    -1,    -1,   601,  3264,    -1,   604,
     605,  4573,   607,    -1,    -1,  4577,    -1,   601,    -1,    -1,
     604,   605,  3279,   607,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4598,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,    -1,  3313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3326,
    3962,    -1,    -1,   949,    -1,    -1,  3333,  3334,    -1,    -1,
      80,    -1,    -1,    83,   533,    -1,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   557,    -1,
     559,   560,    -1,  3370,  3371,   115,    -1,  3374,    -1,    -1,
      -1,  3976,   122,    -1,    -1,    -1,    80,    -1,    -1,    83,
    4022,    -1,   581,    87,    88,    89,   476,    -1,  4030,  3396,
      -1,  3398,    -1,    -1,  4706,  3402,    -1,    -1,   148,    -1,
      -1,   105,   601,    -1,    -1,   604,   605,    -1,   607,  3416,
      -1,   115,    -1,    -1,  3421,    -1,  3423,    -1,   122,  3426,
      -1,    -1,    -1,    -1,    -1,  3432,    -1,    -1,    -1,    -1,
      -1,  1057,  1058,    -1,  1060,    -1,    -1,    -1,  1064,    -1,
      -1,    -1,    -1,    -1,   148,  3452,    -1,    -1,    -1,    -1,
      -1,  3458,   582,    -1,    -1,    -1,    -1,    -1,  3465,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,  3479,  5489,   604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,    -1,
      -1,  3498,   582,    -1,    -1,    -1,  1122,  3504,    -1,  1125,
    1126,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,   604,  1141,   266,  1143,    -1,  1145,
      -1,   271,    -1,    -1,    -1,  1151,    -1,    -1,    -1,  1155,
    5546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5558,    -1,   294,   295,    -1,    -1,    -1,    -1,
      88,  1177,  1178,    -1,    -1,  1181,    -1,  3564,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,   106,    -1,
      -1,    -1,   322,  4885,    -1,    -1,  5592,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,  1219,    -1,  1221,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,   147,
     148,    -1,    -1,    -1,    -1,   365,    -1,   155,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,  4947,    -1,    -1,    -1,    -1,
    4952,    -1,  4954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5670,    -1,    -1,    -1,    -1,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,  4980,    -1,
      -1,    -1,    -1,  5689,    -1,    -1,   380,    -1,    -1,   383,
    1306,  1307,    -1,    80,  1310,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,   132,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,  5026,    -1,    -1,  5029,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,   476,    -1,    -1,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3754,    -1,  3756,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3774,    -1,    -1,
    5786,    -1,   476,    -1,  3781,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4397,    -1,    -1,    -1,   231,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5119,  5120,    -1,
    1436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   582,   268,    -1,  5147,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,  3878,    -1,  6658,   271,    -1,    -1,  3884,   582,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,   294,   295,    -1,
     604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5927,    -1,  5929,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   358,    -1,   322,    -1,   362,    -1,    -1,
      -1,    -1,  5244,    -1,    -1,  5247,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
     395,  5977,    -1,   105,    -1,    -1,    -1,    -1,   365,  3976,
      -1,  5987,    -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4603,    -1,
      -1,   436,    -1,    -1,    -1,   440,   148,    -1,    -1,    -1,
     445,  6027,    -1,    -1,    -1,    -1,  6032,    -1,    -1,   454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,
    1656,    -1,  1658,    -1,    -1,  1661,   471,  1663,    -1,    -1,
    1666,  1667,  1668,    -1,    -1,    -1,  1672,    -1,    -1,   484,
      -1,    -1,    -1,  1679,    -1,    -1,    -1,    -1,   493,    -1,
      -1,    -1,    -1,   498,    -1,    -1,    -1,    -1,  1694,    -1,
    1696,    -1,    -1,    -1,    -1,    -1,  1702,    -1,    -1,   476,
      -1,  4088,  4089,    80,    -1,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4109,    -1,    -1,  4112,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
     555,    -1,    -1,  4765,   266,   122,  4768,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5489,    -1,    -1,
     322,    -1,    -1,    -1,    -1,   582,  4193,  4194,  4195,    -1,
      -1,    -1,  1111,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,    -1,
      -1,  4218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1845,
      -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,
    4237,  1857,  1858,    -1,  5546,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,  6260,    -1,  5558,    -1,  1874,    -1,
      -1,  4258,    -1,  1879,  1880,    -1,    -1,    -1,  6274,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4908,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    80,    -1,
    5592,    83,    -1,    -1,    -1,    87,    88,    89,    -1,  6305,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,  1945,
     122,  1947,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,  1957,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4349,    -1,    -1,    -1,   148,    -1,  4953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5670,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,
      -1,  6387,    -1,  1999,    -1,    -1,  4981,  5689,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,  4396,
    4995,    -1,    -1,    -1,    -1,  4402,    -1,  4404,    -1,    -1,
     938,  5006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4417,    -1,  4419,    -1,    -1,    -1,    -1,    -1,   956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2052,   965,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   973,  2062,    -1,   976,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   604,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,  5786,    -1,    -1,    -1,    -1,   476,
      -1,    -1,    -1,  4490,    -1,    -1,    -1,  6503,    -1,    -1,
    6506,    -1,   294,   295,    -1,  5137,  5138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2145,
     322,    -1,    -1,  2149,  2150,    -1,    -1,  1446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1457,    -1,
      -1,    -1,  1080,    -1,  4551,    -1,    -1,  1085,    -1,    -1,
      -1,  1089,    -1,    -1,  1473,    -1,    -1,    -1,  1096,    -1,
      -1,  1099,    -1,   365,    -1,    -1,  4573,  5172,    -1,    -1,
    4577,    -1,    -1,  1111,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,
      -1,  4598,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,   604,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5927,  6632,  5929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5239,  2261,    -1,    -1,    -1,    -1,
      -1,    -1,  6658,    -1,    -1,    -1,    -1,    -1,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5977,    -1,    -1,    -1,  6685,
      -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,  1216,  1217,
      -1,    -1,    -1,    -1,    -1,  1223,    -1,    -1,    -1,  1227,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4706,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      24,    -1,    -1,    -1,    -1,  6027,  1254,    -1,    -1,    -1,
      34,    35,    -1,    -1,    -1,    -1,    -1,    41,    42,  6745,
    6746,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,  5398,    -1,    -1,    73,
    5402,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     582,    -1,    -1,    -1,  1703,    -1,   132,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   604,    -1,    -1,    -1,    -1,  6823,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,   139,  2452,    -1,  2454,    -1,
      -1,    -1,  2458,    -1,  2460,    -1,    -1,  2463,    -1,    -1,
      -1,  2467,    80,    -1,    -1,    83,  2472,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1403,  1404,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,  4885,    -1,
      -1,    -1,    -1,    -1,   122,   231,    -1,    -1,    -1,  1427,
    1428,  1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1441,   218,    -1,  5511,    -1,  1446,  1447,
     148,    -1,  5517,  1451,    -1,  1453,    -1,  5522,    -1,  1457,
      -1,    -1,   268,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1473,    -1,    -1,    -1,    -1,
    4947,    -1,    -1,    -1,    -1,  4952,    -1,  4954,  6260,   263,
      -1,    -1,    -1,    -1,    -1,  1874,    -1,    -1,    -1,    -1,
      -1,    -1,  6274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   318,  4980,   288,    -1,    -1,    -1,  1516,  6995,
    1518,  1519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,   362,    -1,    -1,  5026,
      -1,    -1,  5029,  5665,    -1,    -1,    -1,   341,   266,  1567,
     344,    -1,    -1,   271,    -1,  7051,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,
    7066,  7067,    -1,   367,  5696,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,  7080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,  2006,    -1,    -1,
     436,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,  1647,
      -1,    -1,  5119,  5120,    -1,    -1,    -1,   463,    -1,    -1,
      -1,    -1,    -1,  5130,    -1,   471,    -1,   365,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,   484,    -1,
    5147,    -1,   380,    -1,    -1,   383,    -1,   493,   462,    -1,
      -1,    -1,   498,   105,    -1,  2074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,  1703,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6503,  2111,    -1,  6506,    -1,   148,    -1,    -1,    -1,
    1738,    -1,   516,    -1,    -1,    -1,    -1,    -1,    -1,   555,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,
      -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,  5874,    -1,   548,    -1,    -1,  5244,   476,  5881,
    5247,  1779,    -1,    -1,  5886,    -1,    -1,  5889,  5890,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,    -1,    -1,    -1,    -1,    -1,
    1808,  1809,  1810,    -1,  1812,    -1,  5918,    -1,    -1,   593,
     594,   595,   596,   597,   598,    -1,    -1,   601,   602,   603,
     604,    -1,    -1,    -1,   608,  1833,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5951,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
    6632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,    -1,
      -1,    -1,   294,   295,   582,  5987,  6658,    -1,  2267,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,    -1,    -1,  2283,    -1,   604,    -1,    -1,    -1,
     322,  5976,    -1,  6685,  1912,    -1,    -1,    80,  1916,  1917,
      83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,
    6032,    -1,    -1,    -1,  1932,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,   365,    -1,    -1,    -1,    -1,  2337,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2359,    -1,  3068,    -1,    -1,   148,    -1,    -1,    -1,  3075,
      -1,  6093,    -1,  2372,    -1,    -1,    -1,    -1,    -1,  3085,
      -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,  2006,    -1,
      -1,    -1,    -1,    -1,  2012,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5489,    -1,    -1,  2023,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2424,  2425,    -1,    -1,    -1,
      -1,  6823,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   476,    -1,  2064,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,    -1,  5546,
      -1,  6183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    80,
      -1,    -1,    83,  2111,    -1,  3201,    87,    88,    89,    -1,
      -1,  3207,  2120,  3209,    -1,  5592,  3212,    -1,    -1,    -1,
      -1,   294,   295,    -1,   105,    -1,    -1,    -1,    -1,  2137,
      -1,    -1,    -1,    -1,   115,    -1,  2144,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,   148,  3264,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6302,    -1,   365,  5670,    -1,    -1,    -1,    -1,  2587,  6274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
     383,    -1,  5689,  6995,    -1,    -1,    -1,    -1,  6330,  2227,
    2228,  2229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   957,   958,    -1,
      -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,
     241,   981,    -1,    -1,    -1,    -1,   247,    -1,   988,  7051,
      -1,  2279,    -1,    -1,    -1,  2283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,  1017,  7080,  1019,
      -1,  6413,  1022,   476,    -1,    -1,    -1,  6382,    -1,  5786,
      -1,    -1,    -1,   294,   295,    -1,  1036,    -1,    -1,    -1,
      -1,    -1,  1042,    -1,    -1,    -1,    -1,    -1,    -1,  2337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6452,   322,  3438,    -1,    -1,  2353,    -1,    -1,  2356,    -1,
    3446,  2359,    -1,  3449,    -1,    -1,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,    -1,  2372,  3461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,  2397,
    2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,  2412,    -1,    -1,  2415,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,  2424,  2425,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,    -1,    -1,
      -1,   604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6560,    -1,
    5927,    -1,  5929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2483,    -1,    -1,    -1,  2487,
    2488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,    -1,
    5977,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2526,  2527,
      -1,    -1,    -1,    -1,  2532,  2533,    -1,    -1,    -1,    -1,
      -1,  2539,  2540,  2541,  2542,  2543,  2544,  2545,  2546,  2547,
    2548,  2549,  2550,  2551,    -1,    -1,    -1,  2555,    -1,  2557,
    6027,  2559,  2560,  2561,  2562,  2563,  2564,    -1,    -1,  2567,
    6672,  2569,  2570,    -1,    -1,  2573,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2587,
    2588,  2589,  2590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2606,    -1,
    2608,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     591,   592,   593,   594,   595,   596,   597,   598,   599,    -1,
      -1,    -1,    -1,    -1,    -1,  6737,    -1,    -1,    -1,  3725,
    3726,     5,    -1,  6745,  6746,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3743,    -1,    -1,
      24,  1371,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    35,    -1,    -1,    -1,    -1,    -1,    41,    42,    -1,
      -1,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6848,    -1,  1458,    -1,
      -1,    -1,  6854,    -1,    -1,  2753,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,
    6872,    -1,    -1,    -1,    -1,   139,    -1,    -1,  1488,  1489,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,   109,
      -1,    -1,    -1,  6260,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,  1514,    80,    -1,  6274,    83,  2807,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6305,    -1,
     115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,   218,  3234,    -1,    -1,    -1,  3238,
    3239,    -1,    -1,    -1,    -1,  2863,    -1,    -1,  6970,    -1,
      -1,    -1,    -1,   148,    -1,   239,    -1,    -1,    -1,    -1,
     200,    -1,    -1,    -1,    -1,  3971,  6988,    -1,    -1,    -1,
    3976,    -1,    -1,  1603,  1604,    -1,    -1,    -1,    -1,   263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,    -1,
    6387,    -1,  3301,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7040,    -1,
      -1,    -1,    -1,    -1,    -1,  7047,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  7066,  7067,    -1,    -1,    -1,  3348,
      -1,    -1,    -1,    -1,   294,   295,    -1,   341,    -1,    -1,
     344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,   322,   367,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6503,    -1,    -1,  6506,
      -1,    -1,    -1,    -1,    -1,   365,    -1,   322,    -1,  3047,
    3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,    -1,  3057,
     380,  1085,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3069,    -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1111,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   462,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3128,    -1,    -1,    -1,  3132,   410,    -1,  3135,    -1,  3137,
      -1,    -1,  3140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,    -1,    -1,    80,   476,  3155,    83,    -1,
      -1,    -1,    87,    88,    89,  6632,  3164,  3165,    -1,   533,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,    -1,
     105,    -1,    -1,    -1,   548,    -1,    -1,    -1,    -1,    -1,
     115,  6658,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,    -1,    -1,    -1,  6685,    -1,
     495,   541,    -1,   148,    -1,    -1,    -1,    -1,    -1,   593,
     594,   595,   596,   597,   598,    -1,  3234,   601,   602,   603,
    3238,  3239,    -1,    -1,   608,   609,    -1,    -1,    -1,    -1,
    3629,    -1,  3250,    -1,  3633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,  3282,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3293,    -1,  3295,  3296,    -1,
    3298,  3299,    -1,  3301,    -1,    -1,    -1,   582,    -1,    -1,
      -1,  4397,    -1,    -1,    -1,   240,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,  3326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
    3348,    -1,    -1,    -1,    -1,    -1,  6823,  2067,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,
     295,    -1,  3370,    -1,    -1,    -1,  3374,    -1,  4464,    -1,
      -1,    -1,  2092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3772,    -1,    -1,    -1,   322,    -1,    -1,
    3398,    -1,    -1,  1427,    -1,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1446,  3421,    -1,    -1,    -1,  4513,    -1,    -1,
      -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    93,    -1,  3822,    -1,    -1,    98,    -1,    -1,  1473,
      -1,    -1,    -1,    -1,    -1,   380,    -1,  2167,   383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   408,    -1,    -1,    -1,  2197,  2198,  2199,
    2200,    -1,    -1,    -1,    -1,    -1,    -1,   149,   150,    -1,
    3498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    -1,    -1,  4603,    -1,    -1,
      -1,    -1,    -1,    -1,  3522,  3523,  3524,    -1,  6995,    -1,
    3528,    -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   476,  2262,  2263,    -1,    -1,   208,  3555,  3556,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3564,    -1,  2278,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,
      -1,    -1,    -1,    -1,  7051,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,    -1,    -1,   249,    -1,  3597,
      -1,    -1,  2312,  2313,  2314,  2315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7080,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,
      -1,  3629,    -1,    -1,    -1,  3633,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,  3656,    -1,
      -1,    -1,   314,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,  1703,
      -1,    -1,    -1,  4062,   336,    -1,  4065,    -1,  4067,    -1,
      -1,    -1,    -1,  4072,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2431,    -1,   105,    -1,    -1,   108,  2437,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,  4115,    -1,    -1,    -1,
     122,    -1,    -1,    -1,  4123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3756,    -1,
      -1,    -1,  4848,    -1,   416,   417,   148,    -1,   420,  4148,
      80,    -1,    -1,    83,  3772,    -1,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3785,    -1,  3787,
    3788,    -1,  3790,  3791,  3792,   105,   448,    -1,    -1,   451,
      -1,    -1,  3800,    -1,    -1,   115,   458,  3805,    -1,    -1,
      -1,    -1,   122,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3822,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   488,    -1,   148,    -1,
      -1,    -1,    -1,    -1,   496,    -1,    -1,    -1,  4227,    -1,
    4229,   503,    -1,    -1,   506,    -1,  3854,  3855,  3856,   511,
      -1,  3859,    -1,    -1,    -1,    -1,    -1,  4953,    -1,  3867,
    3868,  3869,  3870,    -1,   526,    -1,    -1,    -1,    -1,    -1,
    3878,    -1,    -1,    -1,   266,  3883,  3884,    -1,  3886,   271,
    3888,    -1,    -1,    -1,    -1,  4981,    -1,    -1,    -1,    -1,
      -1,   553,  3900,  3901,    -1,    -1,  3904,    -1,    -1,  4995,
      -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,
    5006,    -1,    -1,    -1,    -1,    -1,    -1,  3925,    -1,  3927,
      -1,  3929,    -1,    -1,    -1,    -1,  2646,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,
    3948,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,  3962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,   365,   294,   295,    -1,    -1,    -1,    -1,
    4369,    -1,    -1,    -1,    -1,  3993,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4008,    -1,   322,    -1,    -1,    -1,    -1,    -1,  4397,    -1,
      -1,    -1,    -1,    -1,  4022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2074,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4062,    -1,    -1,  4065,    -1,  4067,
     380,    -1,    -1,   383,  4072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5172,  2111,    -1,    -1,
    4469,    -1,    -1,    -1,   476,    -1,  4094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4491,    -1,    -1,    -1,    -1,  4115,    -1,    -1,
    2144,    -1,    -1,    -1,    -1,  4123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4148,    -1,    -1,  5239,    -1,    -1,  4154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4193,  4194,  4195,    -1,    -1,
     582,    -1,    -1,  2227,  2228,  2229,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,
      -1,  4229,  2256,    -1,    -1,    -1,    -1,    -1,  4617,    -1,
      -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
    4669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,  2337,    -1,  4694,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,  4325,    -1,    -1,
      -1,    -1,    -1,   115,    -1,  2359,    -1,  5423,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2372,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4354,    -1,    -1,    -1,
    2384,    -1,  4360,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,  4369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4396,  4397,
    2424,  2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3131,    -1,    -1,    -1,  5511,    80,    -1,    -1,    83,
      -1,  5517,    -1,    87,    88,    89,  5522,    -1,    -1,    -1,
      -1,    -1,  4440,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4859,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,  4491,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,    -1,    -1,    -1,  4515,    -1,    -1,
      -1,  2545,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2559,    -1,    -1,  2562,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3302,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,  4614,   271,    -1,  4617,
      -1,   403,    -1,    -1,    -1,  4623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4637,
     294,   295,    -1,  4641,  4642,  4643,    -1,    -1,    -1,    -1,
    4648,    -1,    -1,  4651,    -1,    -1,  4654,    -1,    -1,    -1,
      -1,    -1,  4660,    -1,  4662,    -1,    -1,  4665,   322,    -1,
      -1,  4669,  4670,  4671,  4672,  4673,    -1,    -1,  4676,  4677,
    4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,    -1,    -1,
      -1,  4689,  4690,  4691,   476,    -1,  4694,    -1,    -1,    -1,
      -1,  4699,    -1,    -1,    -1,    -1,  4704,    -1,  4706,    -1,
    4708,   365,    -1,    -1,    -1,    -1,    -1,    -1,  4716,    -1,
      -1,  4719,    -1,  4721,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,  3444,    -1,    -1,  3447,    -1,  4737,
      -1,    -1,  4740,  4741,  5123,    -1,    -1,  4745,  4746,    -1,
      -1,    -1,  4750,    -1,  4752,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4765,    -1,    -1,
    4768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5172,    -1,    -1,  5175,    -1,    -1,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,   476,    -1,    -1,  5911,  3536,    -1,  4826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3549,
      -1,    -1,    -1,    -1,    -1,  4843,    -1,  3557,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3596,    -1,    -1,    -1,
    5976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3617,    -1,    -1,
    4908,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,  4947,
      -1,    -1,    -1,    -1,  4952,  4953,  4954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5349,     5,  3682,    -1,  3684,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4980,  4981,  6070,    -1,    -1,    -1,    -1,    -1,
      24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    35,    -1,    -1,    -1,    -1,    -1,    41,    42,    -1,
      -1,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    81,  3072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3786,    -1,    -1,    -1,
      -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5093,    -1,  5476,    -1,    80,
      -1,    -1,    83,    -1,    -1,   139,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,  5123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,  5137,
    5138,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,  5551,    -1,  5172,    -1,    -1,  5175,  5176,  5177,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,  6274,  5187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,
    3234,    -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,
      -1,   127,    -1,    -1,   130,    -1,    -1,    -1,   134,   263,
      -1,    -1,    -1,    -1,   140,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,  5623,   151,    -1,    -1,    -1,  5247,
     156,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,  3295,    -1,    -1,    -1,  5273,    -1,  3301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,  5289,    -1,    -1,    -1,    -1,  6382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,    -1,  5307,
     344,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,    -1,    -1,  5335,    -1,    -1,
    5338,   322,    -1,    -1,    -1,    -1,    -1,    -1,  5346,  5347,
      -1,  5349,    -1,    -1,    -1,  5353,  5354,    -1,    -1,    -1,
    5358,    -1,    -1,    -1,    -1,  5363,  5745,    -1,  5366,  5367,
      -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,  5384,    -1,    -1,    -1,
      -1,    -1,  5390,    -1,    -1,    -1,    -1,    -1,    -1,   380,
    5398,    -1,   383,    -1,  5402,    -1,    -1,    -1,  4118,  4119,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5444,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5476,     3,
      -1,    -1,   516,    -1,     8,    -1,    -1,    -1,    12,    -1,
      14,    -1,    16,    17,    -1,   476,  5494,    -1,    -1,   533,
    3524,    -1,    -1,    27,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   548,    -1,    -1,    -1,    -1,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5529,  3556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5551,    -1,    -1,    -1,    -1,    -1,   593,
     594,   595,   596,   597,   598,    -1,    90,   601,   602,   603,
     604,    -1,    -1,    -1,   608,    -1,  5574,   101,    -1,   103,
     104,    -1,    -1,  5581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5976,    -1,    -1,
      -1,   582,    -1,    -1,    -1,  3629,    -1,   131,    -1,  3633,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   143,
      -1,   145,   146,    -1,    -1,  5623,    -1,    -1,   152,    -1,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,   169,    -1,    -1,    -1,    -1,
      -1,  5649,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,  4371,   186,    -1,    -1,   189,    -1,  5665,    -1,    -1,
      -1,    -1,  5670,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,   206,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    -1,    -1,    -1,    -1,  5696,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,  6096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5743,   270,  5745,  3772,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,  3792,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3822,    -1,
     324,   325,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
    6189,    -1,    -1,    -1,  5812,    -1,    -1,    -1,    -1,    -1,
      -1,   345,    -1,    -1,  5822,    -1,    -1,  5825,    -1,    -1,
    5828,  5829,  5830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,  4554,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5853,  5854,    -1,    -1,  5857,
      -1,    -1,    -1,  6242,    -1,    -1,    -1,    -1,  6247,  6248,
      -1,    -1,    -1,    -1,    -1,    -1,  5874,    -1,    -1,    -1,
      -1,    -1,    -1,  5881,    -1,    -1,    -1,   411,  5886,    -1,
      -1,  5889,  5890,    -1,    -1,    -1,    -1,    -1,    -1,  5897,
      -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,   435,    -1,    -1,    -1,    -1,   440,    -1,    -1,   443,
    5918,    -1,   446,  5921,    -1,   449,    -1,    -1,    -1,    -1,
      -1,    -1,   456,    -1,    -1,    -1,    -1,    -1,    -1,   463,
     464,    -1,    -1,    -1,    -1,    -1,    -1,   471,    -1,    -1,
      -1,   475,    -1,  5951,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5976,   503,
      -1,    -1,  6361,    -1,    -1,    -1,    -1,    -1,    -1,  5987,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     524,    -1,   526,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,   542,    -1,
      -1,    -1,    -1,   547,    -1,    -1,    -1,    -1,    -1,  6027,
      -1,    -1,    -1,    -1,  6032,    -1,   560,    -1,  4062,    -1,
      -1,  4065,    -1,  4067,    -1,    -1,    -1,    -1,  4072,    -1,
     956,   957,   958,    -1,    -1,   961,    -1,    -1,    -1,   965,
     584,   967,    -1,    -1,   970,    -1,    -1,   973,    -1,    -1,
     976,    -1,    -1,   979,    -1,   981,    -1,    -1,   984,   603,
      -1,    -1,   988,   607,   990,    -1,    -1,    -1,    -1,    -1,
      -1,  4115,    -1,    -1,    -1,  6093,    -1,    -1,  6096,  4123,
      -1,    -1,    -1,  1009,    -1,    -1,    -1,    -1,    -1,  1015,
      -1,  1017,    -1,  1019,    -1,    -1,  1022,    -1,    -1,    -1,
      -1,    -1,    -1,  1029,  4148,    -1,    -1,    -1,  1034,    -1,
    1036,    -1,  6130,    -1,    -1,    -1,  1042,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,  6147,
      -1,    -1,    -1,  6151,    -1,  6153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,  6167,
      -1,  6169,    -1,   115,  1080,  6173,    -1,    -1,    -1,    -1,
     122,  6179,    -1,  1089,    -1,  6183,    -1,  1093,    -1,    -1,
    1096,  6189,  6190,  1099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4227,    -1,  4229,   148,    -1,    -1,  1115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6236,    -1,
      -1,    -1,    -1,    -1,  6242,    -1,    -1,    -1,    -1,  6247,
    6248,    -1,    -1,    -1,  6252,    -1,  6635,    -1,    -1,    -1,
    6258,  6259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6294,    -1,    -1,    -1,
      -1,  4325,    -1,    -1,  6302,    -1,    -1,  6305,    -1,    -1,
    1216,  1217,    -1,    -1,    -1,    -1,  1222,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
    4354,    -1,  6330,    -1,    -1,  1241,  4360,    -1,    -1,    -1,
    1246,    -1,    -1,    -1,    -1,  4369,    -1,    -1,  1254,    -1,
      -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,  1265,
      -1,    -1,  6360,  6361,    -1,    -1,    -1,  5077,    -1,    -1,
      -1,    -1,  1278,  4397,    -1,    -1,    -1,    -1,    -1,    -1,
     322,  5091,    -1,    -1,    -1,    -1,    -1,    -1,  6386,  6387,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6407,
    6408,  6409,    -1,    -1,    -1,  6413,    -1,    -1,  6416,    -1,
      -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,  6427,
      -1,    -1,    -1,    -1,    -1,    -1,  6434,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,  4469,    -1,    -1,    -1,  1355,
      -1,    -1,    -1,    -1,  6452,    -1,    -1,    -1,    -1,    -1,
    1366,  6459,    -1,    -1,    -1,  1371,  1372,  4491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1427,  1428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   476,  1441,    -1,  1443,    -1,    -1,
      -1,  1447,    -1,    -1,  1450,  1451,    80,  1453,    -1,    83,
      -1,    -1,  1458,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,  6560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,  1482,    -1,    -1,    -1,
      -1,   115,  1488,  1489,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1510,  1511,  1512,    -1,  1514,    -1,
    1516,    -1,  1518,  1519,   148,    -1,    -1,  6615,    -1,  1525,
      -1,    -1,    -1,  7002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6631,  6632,    -1,    -1,  6635,    -1,    -1,
     582,    -1,  6640,    -1,  6642,  4669,  6644,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4694,    -1,    -1,    -1,  6672,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1601,    -1,  1603,  1604,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6727,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,  6737,
      -1,  1647,    -1,    -1,    -1,    -1,    -1,  6745,  6746,    -1,
      -1,    -1,    -1,  6751,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1681,    -1,  1683,    -1,    -1,
    6778,  1687,    -1,  1689,    -1,    -1,    -1,    -1,   322,    -1,
    6788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,  1719,    -1,  1721,    -1,    -1,    -1,  1725,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,
      -1,   365,  1738,    -1,    -1,  4859,   115,    -1,    -1,    -1,
      -1,    -1,    -1,   122,    -1,    -1,   380,    -1,    -1,   383,
    6848,    -1,    -1,    -1,    -1,    -1,  6854,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,  1779,  6872,    -1,    -1,    -1,    -1,    -1,
      -1,  6879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6889,    -1,  5603,  6892,    -1,    -1,  6895,    -1,    -1,
      -1,    -1,  1808,  1809,  1810,    -1,  1812,    -1,  5618,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6922,    -1,    -1,  1833,    -1,  4953,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,  4981,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6966,    -1,
      -1,    -1,  6970,    -1,    -1,    -1,   105,  6975,   512,    -1,
    1886,    -1,    -1,    -1,    -1,    -1,   115,   266,    -1,    -1,
    6988,    -1,   271,   122,    -1,    -1,    -1,  6995,    -1,  5709,
      -1,    -1,    -1,    -1,  7002,    -1,  1912,    -1,    -1,    -1,
    1916,  1917,    -1,    -1,    -1,   294,   295,    -1,    -1,   148,
      -1,  1927,  1928,  1929,  1930,    -1,  1932,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  7039,  7040,   322,    -1,    -1,    -1,    -1,   582,  7047,
      -1,    -1,    -1,  7051,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,  7066,  7067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7080,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5123,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,  5172,    -1,
      -1,  5175,    -1,  2059,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2067,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2080,  2081,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2089,    -1,    -1,  2092,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,   476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2115,
      -1,  2117,    -1,    -1,    -1,    -1,    -1,  2123,  2124,    -1,
      -1,  2127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2140,    -1,   365,  2143,    -1,    -1,
      -1,    -1,    -1,  5953,    -1,  5955,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,  2167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2197,  2198,  2199,  2200,  2201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,    -1,  2215,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,  2227,  2228,  2229,    -1,  5349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   476,  2254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2262,  2263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2296,  2297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2312,  2313,  2314,  2315,
      -1,    -1,    -1,    -1,    -1,  2321,    -1,    -1,    -1,    -1,
      -1,    -1,  2328,    -1,    -1,  2331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2353,    -1,    -1,
    2356,    -1,  5476,   582,    -1,    -1,    -1,    -1,    -1,    -1,
    2366,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2397,  2398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2408,  2409,    -1,  5529,  2412,    -1,    80,  2415,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,  2430,  2431,    -1,  5551,    -1,    -1,
      -1,  2437,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2448,   115,    -1,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,  6264,    -1,  6266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2474,    -1,
      -1,    -1,    -1,    -1,    -1,  2481,   148,  2483,    -1,    -1,
    2486,  2487,  2488,    -1,  2490,  2491,    -1,  2493,    -1,    -1,
      -1,    -1,    -1,    -1,  2500,    -1,    -1,    -1,    -1,  5623,
      -1,    -1,    -1,    -1,    -1,  2511,    -1,    -1,  2514,  2515,
      -1,    -1,  2518,    -1,    -1,  2521,  2522,    -1,    -1,    -1,
    2526,  2527,    -1,    -1,    -1,    -1,  2532,  2533,    -1,    -1,
      -1,    -1,    -1,  2539,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,  2550,  2551,    -1,    -1,    -1,  2555,
      -1,  2557,  2558,  2559,  2560,  2561,  2562,  2563,  2564,    -1,
      -1,  2567,    -1,  2569,  2570,    -1,    -1,  2573,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,  2588,  2589,  2590,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
    2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5743,
      -1,  5745,   294,   295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2646,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,     8,
     322,    -1,    -1,    12,    -1,    14,    -1,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    27,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    -1,   115,    -1,  6545,    -1,    -1,    -1,    -1,
     122,    -1,   101,    -1,   103,   104,    -1,  2753,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,   145,   146,    -1,    -1,
      -1,    -1,    -1,   152,    -1,   154,    -1,    -1,    -1,    -1,
      -1,  2807,    -1,    -1,   476,    -1,    -1,    -1,   167,    -1,
     169,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,   184,    -1,   186,    -1,    -1,
     189,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,   115,   206,    -1,    -1,
      -1,   210,  5976,   122,    -1,    -1,    -1,  2863,   217,    -1,
      -1,    -1,    -1,    -1,    -1,   247,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,    -1,   235,  6687,    -1,   148,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    80,   253,    -1,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     582,   270,   294,   295,    -1,    -1,    -1,    -1,   105,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,   324,   325,    -1,    -1,    -1,
      -1,   330,  6096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   365,    -1,    -1,   345,    -1,    -1,    -1,
      -1,    -1,  1085,    -1,    -1,    -1,    -1,   266,   380,    -1,
      -1,   383,   271,    -1,    -1,   364,    -1,  6817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1111,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6849,
    6850,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,  3055,
      -1,  3057,   411,   322,   241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3068,  3069,    -1,  6189,  3072,   426,    -1,    -1,
      -1,    -1,    -1,   432,   433,    -1,   435,    -1,    -1,   266,
      -1,   440,    -1,    -1,   271,    -1,    -1,   446,  3094,    -1,
     449,    -1,    -1,    -1,   476,    -1,   365,   456,    -1,    -1,
      -1,    -1,    -1,    -1,   463,   464,    -1,   294,   295,    -1,
      -1,   380,   471,    -1,   383,    -1,   475,    -1,  6242,    -1,
    3126,    -1,  3128,  6247,  6248,  3131,  3132,   486,    -1,  3135,
      -1,  3137,    -1,    -1,  3140,   322,    -1,    -1,  3144,  3145,
      -1,    -1,    -1,    -1,   503,    -1,    -1,    -1,    -1,  3155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3164,  3165,
      -1,    -1,    -1,    -1,    -1,   524,    -1,   526,    -1,    -1,
      -1,    -1,  3178,    -1,    -1,  6985,    -1,   536,   365,    -1,
    3186,    -1,  3188,   542,    -1,    -1,    -1,    -1,   547,    -1,
      -1,    -1,    95,   380,    -1,    -1,   383,    -1,   101,    -1,
     582,   560,    -1,    -1,    -1,   108,    -1,   476,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   584,    -1,   130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6360,  6361,    -1,    -1,
      -1,    -1,    -1,   146,   603,    -1,    -1,    -1,   607,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3266,    -1,  3268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,    -1,   182,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3293,    -1,   476,
    3296,  3297,  3298,  3299,    -1,    -1,  3302,    -1,    -1,  3305,
     203,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,   214,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    -1,  3338,    -1,    -1,    -1,    -1,    -1,    -1,   242,
      -1,    -1,    -1,    -1,    -1,  3351,  3352,    -1,    -1,    -1,
      -1,    -1,  3358,  1446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3367,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,
      -1,   274,    -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,
    1473,  3387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,  3408,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,   337,    -1,    -1,    -1,  3444,   342,
      -1,  3447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3473,  3474,   372,
      -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,   382,
      -1,    -1,  3488,    -1,  3490,  3491,    -1,    -1,    -1,    -1,
     393,   394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6635,    -1,    -1,    -1,    -1,  3522,  3523,  3524,    -1,
      -1,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3536,    -1,    -1,   436,    -1,    -1,   439,   440,   441,    -1,
      -1,    -1,    -1,  3549,    95,    -1,    -1,    -1,    -1,  3555,
     101,  3557,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   465,    -1,  3570,    -1,    -1,    -1,   471,  3575,
      -1,    -1,    -1,    -1,    -1,  3581,    -1,    -1,  3584,   130,
      -1,    -1,    -1,   486,    -1,    -1,    -1,    -1,    -1,    -1,
    3596,  3597,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,
      -1,  3607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1703,  3617,    -1,  3619,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   182,    -1,    -1,   537,    -1,    -1,  3643,    -1,    -1,
      -1,   544,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3656,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,   214,  3670,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3680,    -1,  3682,    -1,  3684,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,   274,  3730,    -1,    -1,   278,    41,    42,
      -1,    -1,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3785,
    3786,   332,  3788,    -1,  3790,  3791,   337,  3793,    -1,    -1,
      -1,   342,    -1,    -1,  3800,    -1,    -1,    80,    -1,  3805,
      83,    -1,    -1,    -1,    87,    88,    89,   358,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   372,   105,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,   382,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,
      -1,    -1,   393,   394,    -1,    -1,    -1,    -1,  3854,  3855,
    3856,    -1,    -1,  3859,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3867,  3868,  3869,  3870,   148,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,  3883,  7002,    -1,
    3886,    -1,  3888,    -1,    -1,   436,    -1,    -1,   439,   440,
     441,   105,    -1,    -1,  3900,  3901,    -1,    -1,  3904,    -1,
      -1,   115,    -1,    -1,    -1,   218,    -1,    -1,   122,    -1,
      -1,    -1,    -1,  2006,   465,  7039,    -1,  3923,    -1,  3925,
     471,  3927,    -1,  3929,    -1,    -1,   239,    -1,    -1,    -1,
      80,    -1,    -1,    83,   148,   486,    -1,    87,    88,    89,
      -1,    -1,  3948,    -1,    -1,  3951,    -1,    -1,    -1,  3955,
     263,    -1,    -1,    -1,    -1,   105,  3962,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,   288,    -1,    -1,    -1,  3985,
      -1,  2074,    -1,   266,    -1,    -1,   537,  3993,   271,    -1,
      -1,    -1,    -1,   544,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,  4008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,    -1,    -1,  4022,    -1,  2111,    -1,
    4026,    -1,    -1,  4029,  4030,    -1,  4032,   241,   341,    -1,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2144,   266,    -1,   367,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,   365,    -1,    -1,    -1,    -1,    -1,  4094,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,  4118,  4119,    -1,    -1,   266,    -1,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,    -1,  4154,   462,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2256,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,   322,    -1,  2267,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2283,    -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   516,    -1,  4211,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
     533,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4235,
     380,    -1,    -1,   383,    -1,   548,    -1,    -1,    -1,  4245,
      -1,    -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   476,    -1,    -1,   578,  2359,    -1,    -1,    -1,
      -1,    -1,    -1,   556,    -1,    -1,    -1,    -1,    -1,  2372,
     593,   594,   595,   596,   597,   598,    -1,    -1,   601,   602,
     603,  2384,    -1,    80,    -1,   608,    83,    -1,    -1,   582,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,   591,   592,
     593,   594,   595,   596,   597,   598,   599,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   476,    -1,   115,    -1,
      -1,  2424,  2425,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4354,    -1,
      -1,    -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,  4371,    -1,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4408,  4409,  4410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   582,    -1,  4440,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
      -1,    -1,    -1,    -1,    -1,  4461,  4462,  4463,    -1,    -1,
      -1,  4467,    -1,    -1,    -1,    -1,    93,    -1,    -1,    -1,
      -1,    98,    -1,  4479,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,   136,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   149,    -1,    -1,  4531,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,   166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4554,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4571,  4572,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4582,    -1,   365,    -1,
      -1,   208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,
      -1,    -1,    -1,   380,   221,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,  4614,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   243,  4623,    -1,    -1,
      -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,  4637,    -1,    -1,    -1,  4641,  4642,  4643,    -1,    -1,
      -1,    -1,  4648,    -1,    -1,  4651,    -1,    -1,  4654,   276,
      -1,    -1,    -1,    -1,  4660,    -1,  4662,    -1,    -1,  4665,
      -1,    -1,    -1,    -1,  4670,  4671,  4672,  4673,    -1,    -1,
    4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,
      -1,    -1,    -1,  4689,  4690,  4691,    -1,    -1,    -1,   476,
      -1,    -1,    -1,  4699,    -1,    -1,    -1,    -1,  4704,    -1,
      -1,    -1,  4708,    -1,    -1,    -1,    -1,    -1,    -1,   336,
    4716,    -1,    -1,  4719,    -1,  4721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4737,    -1,    -1,  4740,  4741,    -1,    -1,    -1,  4745,
    4746,    -1,    -1,    -1,  4750,    -1,  4752,  4753,    -1,    -1,
      -1,    -1,    -1,   380,    -1,  4761,  4762,  4763,    -1,  4765,
      -1,    -1,  4768,  4769,    -1,    -1,   393,  4773,  4774,  4775,
    4776,    -1,    -1,  4779,    -1,    -1,    -1,    -1,    -1,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
     417,    -1,    -1,   420,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,   596,
     597,   598,   599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4826,   448,    -1,    -1,   451,    93,    -1,    -1,   455,    -1,
      -1,   458,    -1,    -1,    -1,  4841,    -1,  4843,   465,    -1,
      -1,   468,    -1,   111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   488,    -1,    -1,    -1,    -1,    -1,    -1,   136,   496,
      -1,    -1,    -1,    -1,    -1,    -1,   503,    -1,    -1,   506,
      -1,   149,    -1,    -1,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   519,    -1,   521,    -1,    -1,    -1,   166,   526,
      -1,    -1,  4908,  4909,  4910,  4911,    -1,    -1,  4914,    -1,
    4916,    -1,    -1,   540,    -1,    -1,   184,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,   553,    -1,  4934,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4989,   252,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,    -1,
      -1,  5077,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5091,    -1,  5093,    -1,    -1,
      -1,    -1,    -1,    -1,  5100,    -1,    -1,    -1,    -1,    -1,
    5106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5117,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5132,    -1,    -1,    -1,
      -1,  5137,  5138,    -1,    -1,    -1,    -1,    -1,   406,  5145,
      -1,  3234,    -1,    -1,    -1,  3238,  3239,    -1,  5154,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,  5164,    -1,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5176,  5177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,  5187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,  5198,  5199,    -1,    -1,    -1,   465,    -1,    -1,
     468,    -1,  3295,    -1,    -1,    -1,    -1,    -1,  3301,    -1,
    5216,  5217,  5218,  5219,  5220,    -1,    -1,    -1,    -1,    -1,
     488,    -1,    -1,    -1,    -1,  5231,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,   503,    -1,    -1,   506,    -1,
     508,    -1,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3348,    -1,    -1,   526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   534,  5273,    -1,   537,
      -1,    -1,   540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5289,    -1,   553,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5335,
      -1,    -1,  5338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5346,  5347,    -1,    -1,    -1,    -1,    -1,  5353,  5354,    -1,
      -1,    -1,  5358,    -1,    -1,    -1,    -1,  5363,    -1,    -1,
    5366,  5367,    -1,    -1,    -1,    -1,    -1,  5373,    -1,    -1,
      -1,  5377,  5378,  5379,  5380,    -1,    -1,    -1,  5384,  5385,
    5386,  5387,  5388,    -1,  5390,  5391,    -1,    -1,  5394,    -1,
      -1,    -1,  5398,    -1,    -1,    -1,  5402,    -1,    -1,    -1,
      -1,    -1,  5408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,
      -1,  5427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5436,    -1,    -1,    -1,  5440,   104,    -1,    -1,  5444,    93,
    5446,    -1,    -1,    -1,    98,   114,   115,    -1,   117,    -1,
      -1,    -1,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
    5466,    -1,    -1,  3556,    -1,    -1,    -1,   136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,  5493,  5494,    -1,
      -1,   160,   161,    -1,    -1,   149,   150,    -1,    -1,    -1,
      -1,    -1,  5508,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,    -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,
    3633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,  5574,    -1,
      -1,    -1,    -1,    -1,    -1,  5581,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,   249,    -1,  5603,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5649,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5665,
     314,    -1,    -1,    -1,    -1,    -1,  5672,    -1,    -1,    -1,
     339,    -1,    -1,    -1,    -1,  5681,    -1,    -1,    -1,  3772,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5696,    -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,  3792,
      -1,    -1,    -1,  5709,    -1,  5711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,  3822,
      -1,    -1,  5738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5749,    -1,    -1,    -1,    -1,    -1,  5755,
      -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    -1,    -1,    -1,    -1,
      98,    -1,    -1,    -1,   448,    -1,    -1,   451,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,  5812,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,  5822,    -1,    -1,  5825,
      -1,    -1,  5828,  5829,  5830,    -1,    -1,    -1,   136,    -1,
      -1,    -1,    -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,
      -1,   149,   496,    -1,    -1,    -1,    -1,  5853,  5854,   503,
      -1,  5857,   506,    -1,    -1,    -1,    -1,   511,   166,    -1,
      -1,    -1,    -1,    -1,    -1,   519,    -1,   521,  5874,    -1,
      -1,  5877,   526,    -1,    -1,  5881,   184,    -1,    -1,    -1,
    5886,    -1,    -1,  5889,  5890,    -1,  5892,    -1,  5894,    -1,
      -1,  5897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   553,
     208,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5918,   221,    -1,  5921,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,  5951,  5952,  5953,    -1,  5955,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,  4062,
      -1,    -1,  4065,    -1,  4067,    -1,    -1,    -1,    -1,  4072,
      -1,  5987,  5988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4115,    -1,    -1,   694,  6032,    -1,   336,    -1,
    4123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6044,    -1,
      -1,    -1,    -1,  6049,    -1,    -1,    -1,    -1,  6054,    -1,
      -1,    -1,    -1,    -1,    -1,  4148,    -1,  6063,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6073,    -1,    -1,
      -1,  6077,   380,    -1,  6080,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6091,  6092,  6093,    -1,    -1,
     759,   760,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4227,    -1,  4229,    -1,    -1,    -1,
     448,  6147,    -1,   451,    -1,  6151,    -1,  6153,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,   828,
     468,  6167,    -1,  6169,    -1,    -1,    -1,  6173,    -1,    -1,
      -1,    -1,    -1,  6179,    -1,    -1,    -1,  6183,    -1,    -1,
     488,  6187,    -1,    -1,  6190,    -1,  6192,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,   503,    -1,    -1,   506,    -1,
      -1,    -1,    -1,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,    -1,    -1,  6229,    -1,    -1,    -1,    -1,    -1,    -1,
    6236,    -1,  4325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   553,  6252,    -1,    -1,    -1,
      -1,    -1,  6258,  6259,    -1,    -1,    -1,  6263,  6264,  6265,
    6266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6294,    -1,
     959,    -1,    -1,    -1,   963,    -1,  6302,    -1,    -1,    -1,
      -1,    -1,   971,    -1,  4397,   974,    -1,    -1,   977,   978,
      -1,   980,    -1,   982,    -1,    -1,   985,    -1,   987,    -1,
      -1,  6327,    -1,    -1,  6330,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6356,  1020,    -1,    -1,    -1,  1024,    -1,    -1,    -1,    -1,
      -1,    -1,  1031,  1032,    -1,    -1,  1035,    -1,  1037,  1038,
      -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,    -1,    -1,
    6386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1058,
      -1,  1060,  6398,    -1,    -1,    -1,    -1,    -1,  4491,    -1,
      -1,  6407,  6408,  6409,    -1,    -1,    -1,  6413,    -1,    -1,
    6416,    -1,    -1,    -1,  6420,  1084,    -1,    -1,    -1,    -1,
      -1,  6427,  4515,    -1,    -1,    -1,    -1,    -1,  6434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1105,    -1,  1107,    -1,
      -1,  6447,    -1,    -1,    -1,    -1,  6452,  1116,  1117,    -1,
      -1,    -1,    -1,  6459,    -1,    -1,    -1,  1126,    -1,    -1,
      -1,    -1,  6468,    -1,  6470,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6514,  6515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6545,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1219,    -1,  1221,    -1,  6560,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1255,    -1,  6594,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6615,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6628,    -1,    -1,  6631,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6640,    -1,  6642,    -1,  6644,  6645,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6653,    -1,    -1,
      -1,  1320,    -1,    -1,  1323,    -1,  1325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6672,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6687,    -1,  1352,    -1,    -1,    -1,    -1,  6694,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6720,    -1,    -1,    -1,    -1,    -1,
      -1,  6727,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6745,
    6746,  6747,    -1,    -1,    -1,  6751,    -1,    -1,    -1,  1418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,
      -1,    -1,  6778,    -1,    -1,  1444,  6782,    -1,    -1,    -1,
      -1,    -1,  6788,    -1,    -1,    -1,    -1,  6793,  6794,  6795,
    1459,    -1,  1461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1471,    -1,    -1,    -1,    -1,    -1,    -1,  1478,
      -1,  6817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6848,  6849,  6850,    -1,    -1,    -1,  6854,    -1,
      -1,  1520,    -1,  1522,    -1,    -1,    -1,    -1,    -1,    -1,
    4953,    -1,    -1,    -1,    -1,    -1,  6872,    -1,    -1,    -1,
      -1,    -1,    -1,  6879,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6889,    -1,    -1,  6892,    -1,  4981,  6895,
    6896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6910,    -1,    -1,    -1,    -1,  6915,
      -1,    -1,    -1,    -1,    -1,    -1,  6922,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6966,    -1,  6968,  6969,  6970,  6971,    -1,    -1,    -1,  6975,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6985,
      -1,    -1,  6988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7003,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1691,    -1,    -1,    -1,    -1,    -1,  7034,    -1,
    5123,    -1,    -1,  7039,  7040,    -1,    -1,    -1,    -1,    -1,
      -1,  7047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7066,  7067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  7077,    -1,    -1,    -1,    -1,    -1,    -1,  7084,  5172,
      -1,    -1,  5175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  7097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    12,    -1,    14,    -1,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    27,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1857,  1858,
      -1,    90,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
      -1,    -1,   121,    -1,    -1,    -1,    -1,    -1,    -1,  1898,
    1899,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,   145,   146,    -1,    -1,
      -1,    -1,    -1,   152,    -1,   154,  5349,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
     169,    -1,    -1,    -1,    -1,    -1,  1945,    -1,    -1,    -1,
      -1,  1950,    -1,    -1,  1953,   184,    -1,   186,    -1,   188,
     189,    -1,  1961,    -1,    -1,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,   206,  1977,    -1,
      -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,   217,   218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,
      -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2048,
      -1,    -1,    -1,  5476,    98,    -1,    -1,   286,    -1,    -1,
      -1,    -1,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   324,   325,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,   149,  5529,    -1,    -1,   338,
      -1,    -1,    -1,    -1,    -1,    -1,   345,  2116,    -1,    -1,
      -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,  5551,    -1,
      -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,
     184,   370,    -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,   411,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,   243,
    5623,    -1,    -1,   432,   433,   249,   435,    -1,    -1,    -1,
      -1,   440,   256,    -1,    -1,    -1,    -1,   446,    -1,    -1,
     449,    -1,    -1,    -1,    -1,    -1,    -1,   456,    -1,    -1,
      -1,    -1,   276,    -1,   463,   464,    -1,    -1,    -1,    -1,
      -1,    -1,   471,    -1,    -1,    -1,   475,    -1,    -1,    -1,
      -1,    -1,    -1,  2252,    -1,    -1,    -1,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,   503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,    -1,  2287,    -1,
      -1,    -1,   336,    -1,    -1,   524,    -1,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,    -1,    -1,   536,    -1,    -1,
     539,    -1,    -1,   542,    -1,    -1,    -1,    -1,   547,   548,
      -1,    -1,  5745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   560,    -1,    -1,  2333,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,
      -1,  2360,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   603,    -1,   420,    -1,   607,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,   451,    -1,    -1,
      -1,   455,    -1,    -1,   458,    -1,    -1,    -1,  2417,    -1,
    2419,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2433,  2434,    -1,  2436,    -1,    -1,
      -1,    -1,    -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   496,    -1,    -1,    -1,    -1,   501,    -1,   503,
      -1,    -1,   506,    -1,    -1,    -1,    -1,   511,    -1,  2468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,    -1,    -1,
      -1,  2480,   526,    -1,    -1,  2484,    -1,    -1,    -1,    -1,
    2489,    -1,    -1,  2492,    -1,    -1,   540,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   553,
      -1,    -1,    -1,    -1,  2513,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6096,    -1,    -1,    -1,   979,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   990,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1009,    -1,    -1,
      -1,    -1,    -1,  1015,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6189,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6242,
      -1,    -1,    -1,    -1,  6247,  6248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6361,  1241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,    -1,  1265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,    -1,   147,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3075,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1482,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1510,  1511,
    1512,    -1,  6635,  3212,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3228,
    3229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3247,  3248,
      -1,    -1,    -1,  3252,  3253,    -1,    -1,    -1,  3257,  3258,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3272,    -1,    -1,    -1,  3276,    -1,    -1,
      -1,  3280,  3281,    -1,    -1,  3284,  3285,    -1,    -1,    -1,
      -1,    -1,  3291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3303,    -1,    -1,    -1,    -1,  1085,
      -1,    -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,
      -1,  3320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1111,  3335,    -1,    -1,    -1,
    3339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3350,    -1,    -1,  3353,    -1,  3355,  3356,  3357,    -1,
      -1,    -1,    -1,  3362,  3363,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3372,    -1,    -1,    -1,    -1,    -1,  3378,
      -1,    -1,    -1,  3382,    -1,  1687,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3392,  3393,    -1,    -1,    -1,  3397,    -1,
      -1,    -1,    -1,    -1,  3403,  3404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,  1721,
      -1,  3420,    -1,    -1,    -1,    -1,    -1,    -1,  3427,  3428,
      -1,    -1,    -1,    -1,  3433,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3445,    -1,    -1,  3448,
      -1,    -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,
    3459,  3460,    -1,  3462,    -1,  3464,    -1,    -1,  3467,  3468,
      -1,    -1,  3471,    -1,    -1,    -1,  3475,  3476,  3477,  3478,
      -1,  3480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3494,  3495,    -1,  3497,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3508,
    3509,  3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3573,    -1,    -1,    -1,    -1,  7002,
      -1,    -1,    -1,    -1,  1886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3592,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3642,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1457,    -1,    -1,  3683,    -1,  3685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3725,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2089,    -1,    -1,
      -1,  1567,    -1,    -1,    -1,  3794,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   956,    -1,    -1,    -1,  2117,    -1,    -1,    -1,    -1,
     965,  2123,  2124,    -1,    -1,  2127,    -1,    -1,   973,    -1,
      -1,   976,    -1,    -1,    -1,    -1,    -1,    -1,  2140,    -1,
      -1,  2143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2215,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1080,    -1,    -1,    -1,    -1,
    1085,  2243,    -1,    -1,  1089,    -1,    -1,    -1,    -1,    -1,
      -1,  1096,  2254,    -1,  1099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2296,  2297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2321,
      -1,    -1,    -1,    -1,    -1,    -1,  2328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1216,  1217,    -1,    -1,    -1,    -1,    -1,  1223,    -1,
      -1,    -1,  1227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1254,
      -1,  4110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,
      -1,    -1,  4131,    -1,    -1,    -1,    -1,  4136,  4137,  4138,
      -1,    -1,    -1,    -1,    -1,    -1,  2448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4181,  4182,  4183,  4184,    -1,    -1,  2490,  2491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2511,
      -1,    -1,  2514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4219,    -1,  4221,  4222,  4223,    -1,    -1,    -1,    -1,    -1,
    2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1403,  1404,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1427,  1428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1441,    -1,  2074,    -1,
      -1,  1446,  1447,    -1,    -1,    -1,  1451,    -1,  1453,    -1,
      -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,
      -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,
      -1,    -1,  4341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,
      -1,  1516,    -1,  1518,  1519,    -1,    -1,  4376,  4377,    -1,
      -1,    -1,  4381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4403,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4459,    -1,    -1,    -1,    -1,  4464,    -1,    -1,    -1,    -1,
      -1,  4470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4500,  1647,    -1,    -1,    -1,    -1,  2283,    -1,    -1,
      -1,  4510,    -1,    -1,  4513,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4548,
      -1,  4550,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,
      -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,  4567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1738,    -1,    -1,  2372,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1779,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2424,  2425,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1808,  1809,  1810,    -1,  1812,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3068,  1912,    -1,    -1,
      -1,  1916,  1917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,
      -1,    -1,  3094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3144,  3145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4871,    -1,  4873,    -1,  3178,    -1,  2023,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4898,
      -1,    -1,    -1,  4902,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4913,    -1,    -1,    -1,    -1,  2064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,
      -1,    -1,    -1,  4932,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4958,
      -1,    -1,    -1,    -1,    -1,    -1,  2111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4983,    -1,    -1,    -1,  4987,    -1,
      -1,    -1,  2137,    -1,    -1,    -1,    -1,    -1,    -1,  2144,
      -1,    -1,    -1,  5002,  5003,  5004,  5005,    -1,    -1,    -1,
      -1,    -1,    -1,  5012,  5013,  5014,  5015,    -1,    -1,    -1,
      -1,    -1,  5021,  5022,    -1,    -1,    -1,    -1,  5027,  5028,
      -1,  5030,  5031,  5032,  5033,  5034,  5035,  5036,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5046,    -1,    -1,
    3352,  5050,  5051,  5052,  5053,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3367,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5074,    -1,    -1,    -1,    -1,
      -1,    -1,  2227,  2228,  2229,  3387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5092,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5168,
      -1,  3473,  3474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5201,    -1,    -1,    -1,    -1,    -1,  2353,    -1,
      -1,  2356,    -1,    -1,  2359,    -1,    -1,    -1,    -1,    -1,
      -1,  2366,    -1,    -1,  5223,    -1,  5225,  2372,    -1,    -1,
      -1,    -1,    -1,    -1,  5233,  5234,  5235,  5236,  5237,  2384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2397,  2398,    -1,  5254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2412,    -1,    -1,
    2415,    -1,    -1,  3575,    -1,    -1,    -1,    -1,    -1,  2424,
    2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2483,    -1,
      -1,    -1,  2487,  2488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2526,  2527,    -1,    -1,    -1,    -1,  2532,  2533,    -1,
      -1,    -1,    -1,    -1,  2539,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2551,    -1,    -1,    -1,
    2555,    -1,  2557,    -1,  2559,  2560,  2561,  2562,  2563,  2564,
      -1,    -1,  2567,    -1,  2569,  2570,    -1,    -1,  2573,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,  2588,  2589,  2590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,
      -1,  2606,  3238,  3239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5477,  5478,
    5479,    -1,    -1,    -1,  5483,  5484,  5485,  5486,    -1,    -1,
      -1,  5490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3295,
      -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5541,  5542,  5543,  5544,  5545,    -1,  5547,  5548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5559,  5560,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5601,  5602,    -1,  5604,    -1,    -1,  2753,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3985,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5695,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5803,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3629,    -1,    -1,    -1,  3633,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5894,    -1,    -1,    -1,    -1,
      -1,    -1,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,    -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3069,    -1,    -1,  3072,    -1,    -1,
      -1,    -1,    -1,  4235,    -1,    -1,  1085,    -1,    -1,    -1,
      -1,    -1,    -1,  4245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5978,
      -1,    -1,    -1,  3128,    -1,    -1,    -1,  3132,    -1,    -1,
    3135,    -1,  3137,    -1,    -1,  3140,  3772,    -1,  5997,    -1,
      -1,    -1,    -1,    -1,  6003,  6004,    -1,    -1,    -1,    -1,
    3155,  3787,    -1,    -1,  6013,    -1,  3792,    -1,    -1,  3164,
    3165,  6020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3822,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6055,  6056,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6068,
      -1,  6070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6085,    -1,    -1,  3234,
      -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4408,  4409,  4410,    -1,
      -1,  6110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6121,  4425,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3293,    -1,
    3295,  3296,    -1,  3298,  3299,    -1,  3301,    -1,    -1,    -1,
    4462,  4463,    -1,    -1,    -1,  4467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6176,    -1,    -1,
      -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,  6187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3348,  6203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4062,    -1,    -1,  4065,
      -1,  4067,    -1,  4595,    -1,    -1,  4072,  1446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1457,  6308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4148,    -1,    -1,    -1,    -1,  3522,  3523,  3524,
    6379,    -1,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3555,  3556,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,  6424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4227,  3597,  4229,    -1,    -1,    -1,    -1,    -1,  4761,
    4762,  4763,    -1,    -1,    -1,    -1,    -1,  6466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,  3633,    -1,
      -1,  6490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4325,
      -1,  6550,    -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4397,    -1,    -1,    -1,  6624,    -1,  3772,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3785,    -1,  3787,  3788,    -1,  3790,  3791,  3792,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3800,    -1,    -1,    -1,    -1,
    3805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6671,    -1,    -1,    -1,    -1,  3822,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6704,    -1,    -1,    -1,  3854,
    3855,  3856,    -1,    -1,  3859,  4491,  6715,    -1,    -1,    -1,
      -1,    -1,  3867,  3868,  3869,  3870,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3883,  4515,
      -1,  3886,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3900,  3901,    -1,    -1,  3904,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3925,    -1,  3927,    -1,  3929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5100,    -1,
      -1,    -1,    -1,  3948,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3962,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5132,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6837,    -1,
      -1,  4617,    -1,    -1,    -1,    -1,    -1,    -1,  3993,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2006,    -1,    -1,
      -1,    -1,  5164,  4008,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4669,    -1,    -1,    -1,  5199,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4062,  4694,    -1,
    4065,    -1,  4067,    -1,    -1,  2074,    -1,  4072,    -1,  5231,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,  4154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7069,    -1,    -1,    -1,    -1,  5377,  5378,  5379,  5380,    -1,
      -1,    -1,  4227,  4859,  4229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,
    4325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4981,    -1,    -1,    -1,  4354,
    2359,    -1,    -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2372,  4369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,    -1,    -1,
      -1,   106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2424,  2425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4491,  5123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5172,    -1,    -1,  5175,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5738,    -1,  2587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4614,
      -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4637,    -1,    -1,    -1,  4641,  4642,  4643,    -1,
      -1,    -1,    -1,  4648,    -1,    -1,  4651,    -1,    -1,  4654,
      -1,    -1,    -1,    -1,    -1,  4660,    -1,  4662,    -1,    -1,
    4665,    -1,    -1,    -1,  4669,  4670,  4671,  4672,  4673,    -1,
      -1,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,
    4685,    -1,    -1,    -1,  4689,  4690,  4691,    -1,    -1,  4694,
      -1,    -1,    -1,    -1,  4699,    -1,    -1,    -1,    -1,  4704,
      -1,    -1,    -1,  4708,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4716,    -1,  5349,  4719,    -1,  4721,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4737,    -1,    -1,  4740,  4741,    -1,    -1,    -1,
    4745,  4746,    -1,    -1,    -1,  4750,    -1,  4752,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4765,    -1,    -1,  4768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4779,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4843,    -1,
    5476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6049,    -1,    -1,
      -1,    -1,  6054,  5529,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6073,    -1,    -1,    -1,  5551,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5623,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5745,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5137,  5138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6327,    -1,  5172,    -1,    -1,
    5175,  5176,  5177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,  3238,
    3239,   956,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     965,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,    -1,
      -1,   976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5289,    -1,  3295,    -1,    -1,    -1,
      -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5335,    -1,    -1,  5338,    -1,    -1,    -1,    -1,    -1,  3348,
    5976,  5346,  5347,    -1,  5349,    -1,    -1,    -1,  5353,  5354,
      -1,    -1,    -1,  5358,    -1,  1080,    -1,    -1,  5363,    -1,
    1085,  5366,  5367,    -1,  1089,    -1,    -1,    -1,  5373,    -1,
      -1,  1096,    -1,    -1,  1099,    -1,    -1,    -1,    -1,  5384,
      -1,    -1,    -1,    -1,    -1,  5390,  1111,    -1,    -1,    -1,
      -1,    -1,    -1,  5398,    -1,    -1,    -1,  5402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5444,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5476,    -1,    -1,    -1,    -1,  1111,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5494,
      -1,  1216,  1217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5529,    -1,    -1,    -1,    -1,  1254,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5551,  3556,    -1,    -1,
      -1,    -1,    -1,  6189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5574,
      -1,    -1,    -1,    -1,    -1,    -1,  5581,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6242,    -1,    -1,    -1,
      -1,  6247,  6248,    -1,    -1,    -1,    -1,    -1,  5623,    -1,
    3629,    -1,    -1,    -1,  3633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1427,  1428,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1441,    -1,    -1,    -1,
      -1,  1446,  1447,    -1,    -1,  6361,  1451,    -1,  1453,    -1,
      -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,  5743,    -1,
    5745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1516,    -1,  1518,  1519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5812,    -1,    -1,
      -1,  1446,    -1,  3822,    -1,    -1,    -1,  5822,    -1,    -1,
    5825,    -1,  1457,  5828,  5829,  5830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,    -1,
      -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,  5853,  5854,
      -1,    -1,  5857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5874,
      -1,    -1,    -1,    -1,    -1,    -1,  5881,    -1,    -1,    -1,
      -1,  5886,    -1,    -1,  5889,  5890,    -1,    -1,    -1,    -1,
      -1,    -1,  5897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5918,    -1,    -1,  5921,    -1,    -1,    -1,
      -1,    -1,  1647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5951,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5976,    -1,    -1,    -1,    -1,    -1,    -1,  1703,    -1,
      -1,    -1,  5987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6635,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1738,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6032,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4062,  1779,    -1,  4065,    -1,  4067,    -1,
      -1,    -1,    -1,  4072,    -1,    -1,    -1,    -1,  1703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1808,  1809,  1810,    -1,  1812,  6093,    -1,
      -1,  6096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,  1833,    -1,
      -1,    -1,    -1,    -1,  4123,    -1,    -1,  1085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,
      -1,    -1,  6147,  1111,    -1,    -1,  6151,    -1,  6153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6167,    -1,  6169,    -1,    -1,    -1,  6173,    -1,
      -1,    -1,    -1,    -1,  6179,    -1,    -1,    -1,  6183,    -1,
      -1,    -1,    -1,    -1,  6189,  6190,    -1,  1912,    -1,    -1,
      -1,  1916,  1917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
    4229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6236,    -1,    -1,    -1,    -1,    -1,  6242,    -1,    -1,
      -1,    -1,  6247,  6248,    -1,    -1,    -1,  6252,    -1,    -1,
      -1,    -1,    -1,  6258,  6259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,
      -1,    -1,    -1,    -1,    -1,  6360,  6361,    -1,    -1,    -1,
    4369,    -1,    -1,    -1,    -1,    -1,  7002,    -1,    -1,    -1,
      -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6386,    -1,    -1,    -1,    -1,  2111,    -1,  4397,    -1,
      -1,    -1,    -1,  6398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6407,  6408,  6409,    -1,    -1,    -1,  6413,    -1,
      -1,  6416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2144,
      -1,    -1,  6427,    -1,    -1,    -1,    -1,    -1,    -1,  6434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2074,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6452,    -1,    -1,
      -1,    -1,    -1,    -1,  6459,    -1,    -1,    -1,    -1,    -1,
    4469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6478,    -1,    -1,  2111,    -1,  1446,    -1,
      -1,    -1,  4491,    -1,    -1,    -1,    -1,    -1,    -1,  1457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2227,  2228,  2229,  1473,  4515,    -1,    -1,  2144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6560,    -1,    -1,  2283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4617,    -1,
    6615,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2256,    -1,    -1,    -1,    -1,  6631,    -1,  2353,    -1,
    6635,  2356,  2267,    -1,  2359,  6640,    -1,  6642,    -1,  6644,
      -1,  2366,    -1,    -1,    -1,    -1,    -1,  2372,  2283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2384,
    4669,    -1,    -1,    -1,    -1,    -1,    -1,  6672,    -1,    -1,
      -1,    -1,  2397,  2398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4694,    -1,  2412,    -1,    -1,
    2415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2424,
    2425,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6727,    -1,  2359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6737,    -1,    -1,  1703,    -1,  2372,    -1,    -1,
    6745,  6746,    -1,    -1,    -1,    -1,  6751,    -1,    -1,  2384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2483,    -1,
      -1,    -1,  2487,  2488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6788,    -1,    -1,    -1,    -1,    -1,  2424,
    2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2526,  2527,    -1,    -1,    -1,    -1,  2532,  2533,    -1,
      -1,    -1,    -1,    -1,  2539,  2540,  2541,  2542,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2551,    -1,    -1,    -1,
    2555,    -1,  2557,    -1,  2559,  2560,  2561,  2562,  2563,  2564,
      -1,    -1,  2567,  6848,  2569,  2570,    -1,    -1,  2573,  6854,
    4859,  1085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,  2588,  2589,  2590,    -1,  6872,    -1,    -1,
      -1,    -1,    -1,    -1,  6879,    -1,    -1,  1111,    -1,    -1,
      -1,  2606,    -1,    -1,  6889,    -1,    -1,  6892,    -1,    -1,
    6895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6966,    -1,    -1,    -1,  6970,    -1,    -1,    -1,    -1,
    6975,    -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,    -1,
      -1,    -1,    -1,    -1,  7039,  7040,    -1,    -1,  2006,    -1,
      -1,    -1,  7047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  7066,  7067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,    -1,
      -1,    -1,    -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5172,    -1,    -1,  5175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1473,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2283,    -1,    -1,    -1,    -1,
      -1,    -1,  3047,  3048,  3049,  3050,  3051,  3052,  3053,  3054,
    3055,    -1,  3057,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
    5349,    -1,    -1,    -1,  3069,    -1,    -1,  3072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3128,  2372,    -1,    -1,  3132,    -1,    -1,
    3135,    -1,  3137,    -1,    -1,  3140,  2384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3164,
    3165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2424,  2425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5476,    -1,  1703,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,    -1,
    5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3293,    -1,
    3295,  3296,    -1,  3298,  3299,    -1,  3301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5623,    -1,    -1,    -1,    -1,  2587,
      -1,    -1,    -1,  3348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3295,    -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3348,    -1,    -1,    -1,  1446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3522,  3523,  3524,
      -1,    -1,    -1,  3528,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3555,  3556,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,
    2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3597,    -1,    -1,    -1,    -1,  2111,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,  3633,    -1,
    2144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5976,    -1,    -1,
      -1,    -1,    -1,    -1,  1703,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,  3633,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,  2283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3785,    -1,  3787,  3788,    -1,  3790,  3791,  3792,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3800,    -1,    -1,    -1,    -1,
    3805,    -1,    -1,    -1,    -1,    -1,    -1,  6096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3822,    -1,    -1,
      -1,    -1,    -1,  2337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2359,    -1,    -1,    -1,  3854,
    3855,  3856,    -1,    -1,  3859,    -1,    -1,  3772,  2372,    -1,
      -1,    -1,  3867,  3868,  3869,  3870,    -1,    -1,    -1,    -1,
    2384,    -1,  3787,    -1,    -1,    -1,    -1,  3792,  3883,    -1,
      -1,  3886,    -1,  3888,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3900,  3901,    -1,    -1,  3904,
    6189,    -1,    -1,    -1,    -1,    -1,    -1,  3822,    -1,    -1,
    2424,  2425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3925,    -1,  3927,    -1,  3929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3948,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6242,    -1,    -1,    -1,  3962,  6247,  6248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,  3993,    -1,
    3238,  3239,    -1,    -1,    -1,    -1,    -1,  2006,    -1,    -1,
      -1,    -1,    -1,  4008,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,
      -1,    -1,    -1,  3301,    -1,    -1,    -1,  4062,    -1,    -1,
    4065,    -1,  4067,    -1,    -1,  2074,    -1,  4072,    -1,    -1,
      -1,    -1,  6361,  2587,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3348,    -1,  2111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,  4062,    -1,  4154,
    4065,    -1,  4067,    -1,    -1,    -1,    -1,  4072,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4227,    -1,  4229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3556,    -1,
      -1,    -1,  4227,    -1,  4229,    -1,    -1,    -1,    -1,    -1,
    4325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6635,    -1,    -1,  4354,
    2359,    -1,    -1,    -1,    -1,  4360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2372,  4369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2384,    -1,    -1,    -1,    -1,
      -1,  3629,    -1,    -1,    -1,  3633,    -1,    -1,    -1,    -1,
      -1,    -1,  4397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4325,    -1,    -1,    -1,    -1,  2424,  2425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4397,    -1,    -1,    -1,  4491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3822,    -1,  4491,    -1,  2587,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4614,
      -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4637,    -1,    -1,    -1,  4641,  4642,  4643,    -1,
      -1,    -1,    -1,  4648,    -1,    -1,  4651,    -1,    -1,  4654,
      -1,    -1,    -1,    -1,    -1,  4660,    -1,  4662,    -1,    -1,
    4665,    -1,    -1,    -1,  4669,  4670,  4671,  4672,  4673,    -1,
      -1,  4676,  4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,
    4685,    -1,    -1,    -1,  4689,  4690,  4691,    -1,    -1,  4694,
      -1,    -1,    -1,    -1,  4699,    -1,    -1,    -1,    -1,  4704,
      -1,    -1,  4617,  4708,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4716,    -1,  7002,  4719,    -1,  4721,    -1,    -1,    -1,
    3234,    -1,    -1,    -1,  3238,  3239,    -1,    -1,    -1,    -1,
      -1,    -1,  4737,    -1,    -1,  4740,  4741,    -1,    -1,    -1,
    4745,  4746,    -1,    -1,    -1,  4750,    -1,  4752,    -1,    -1,
      -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,    -1,    -1,
    4765,    -1,    -1,  4768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4779,    -1,    -1,    -1,    -1,  4694,
      -1,  3295,    -1,    -1,    -1,    -1,    -1,  3301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4062,    -1,    -1,  4065,    -1,  4067,
      -1,  4826,    -1,    -1,  4072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3348,    -1,    -1,    -1,  4843,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4148,    -1,    -1,  4908,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,  4953,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4981,    -1,    -1,  4227,
      -1,  4229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,    -1,
      -1,    -1,  3556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5093,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,  5123,  3633,
      -1,  4369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5137,  5138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4397,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5172,    -1,    -1,
    5175,  5176,  5177,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4469,    -1,    -1,    -1,  3234,    -1,    -1,    -1,  3238,
    3239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5172,  3772,    -1,
    5175,    -1,    -1,    -1,    -1,    -1,    -1,  4515,  5273,    -1,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,  3792,    -1,
      -1,    -1,    -1,    -1,  5289,    -1,  3295,    -1,    -1,    -1,
      -1,    -1,  3301,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5307,    -1,    -1,    -1,    -1,    -1,  3822,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5335,    -1,    -1,  5338,    -1,    -1,    -1,    -1,    -1,  3348,
      -1,  5346,  5347,    -1,  5349,    -1,    -1,    -1,  5353,  5354,
      -1,    -1,    -1,  5358,    -1,    -1,    -1,    -1,  5363,    -1,
      -1,  5366,  5367,    -1,    -1,    -1,    -1,    -1,  5373,  4617,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5384,
      -1,    -1,    -1,    -1,    -1,  5390,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5398,    -1,    -1,    -1,  5402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5436,    -1,    -1,  5349,    -1,    -1,    -1,    -1,  5444,
      -1,    -1,    -1,    -1,    -1,    -1,  4694,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5494,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5551,  3556,  4062,    -1,
      -1,  4065,    -1,  4067,    -1,    -1,    -1,    -1,  4072,    -1,
      -1,  5476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5574,
      -1,    -1,    -1,    -1,    -1,    -1,  5581,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,
      -1,  4859,    -1,    -1,  5529,    -1,    -1,    -1,  5623,    -1,
    3629,    -1,    -1,    -1,  3633,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4148,    -1,  5551,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5649,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5665,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4953,    -1,    -1,  5623,    -1,
      -1,    -1,    -1,  4227,    -1,  4229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4981,    -1,    -1,    -1,    -1,  5743,    -1,
    5745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1216,  1217,    -1,    -1,    -1,  5812,    -1,    -1,
      -1,  4325,    -1,  3822,    -1,    -1,    -1,  5822,    -1,    -1,
    5825,    -1,    -1,  5828,  5829,  5830,    -1,    -1,    -1,    -1,
    5745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5853,  5854,
      -1,    -1,  5857,    -1,    -1,  4369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5874,
      -1,    -1,    -1,    -1,    -1,  5123,  5881,    -1,    -1,    -1,
      -1,  5886,    -1,  4397,  5889,  5890,    -1,    -1,    -1,    -1,
      -1,    -1,  5897,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5918,    -1,    -1,  5921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5172,    -1,    -1,  5175,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5951,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4469,    -1,    -1,  1825,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5976,    -1,    -1,    -1,    -1,    -1,  4491,    -1,    -1,
      -1,    -1,  5987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1427,  1428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6032,  1895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4062,    -1,    -1,  4065,    -1,  4067,    -1,
      -1,  5976,    -1,  4072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6093,    -1,
      -1,  6096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5349,    -1,  4617,    -1,    -1,  4115,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,
      -1,    -1,  6147,    -1,    -1,    -1,  6151,    -1,  6153,    -1,
      -1,    -1,    -1,    -1,    -1,  4669,    -1,    -1,    -1,    -1,
      -1,    -1,  6167,    -1,  6169,    -1,    -1,    -1,  6173,    -1,
      -1,    -1,    -1,    -1,  6179,    -1,    -1,    -1,  6183,    -1,
    4694,  6096,    -1,    -1,  6189,  6190,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4227,    -1,
    4229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5476,    -1,
      -1,  6236,    -1,    -1,    -1,    -1,    -1,  6242,    -1,    -1,
      -1,    -1,  6247,  6248,    -1,    -1,    -1,  6252,    -1,    -1,
      -1,    -1,    -1,  6258,  6259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6189,    -1,    -1,    -1,    -1,    -1,
      -1,  5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6302,    -1,    -1,
      -1,    -1,    -1,  5551,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4325,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1738,  6330,    -1,  6242,    -1,    -1,
      -1,    -1,  6247,  6248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6360,  6361,    -1,    -1,    -1,
    4369,    -1,    -1,    -1,    -1,  1779,  2233,    -1,    -1,    -1,
    2237,    -1,    -1,    -1,    -1,  5623,    -1,    -1,    -1,    -1,
      -1,  6386,    -1,    -1,    -1,    -1,    -1,    -1,  4397,    -1,
      -1,    -1,    -1,  6398,  1808,  1809,  1810,    -1,  1812,    -1,
      -1,    -1,  6407,  6408,  6409,    -1,    -1,    -1,  6413,    -1,
      -1,  6416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,
      -1,    -1,  6427,    -1,    -1,    -1,    -1,    -1,    -1,  6434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4953,
      -1,    -1,    -1,    -1,    -1,    -1,  6361,  6452,    -1,    -1,
      -1,    -1,    -1,    -1,  6459,    -1,    -1,    -1,    -1,    -1,
    4469,    -1,    -1,    -1,    -1,    -1,    -1,  4981,    -1,    -1,
      -1,    -1,    -1,  6478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5745,  1912,    -1,
      -1,    -1,  1916,  1917,    -1,    -1,  4515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6560,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4617,  5123,
    6615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6631,    -1,    -1,    -1,
    6635,    -1,    -1,    -1,    -1,  6640,    -1,  6642,    -1,  6644,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5172,    -1,
    4669,  5175,    -1,  2530,    -1,    -1,    -1,  6672,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4694,    -1,    -1,    -1,  2556,
      -1,    -1,    -1,  2560,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2575,  2576,
    2577,    -1,    -1,  2580,    -1,    -1,    -1,    -1,    -1,    -1,
    6635,    -1,  6727,    -1,    -1,    -1,    -1,    -1,  5976,    -1,
      -1,    -1,  6737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6745,  6746,    -1,    -1,    -1,    -1,  6751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6788,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2227,  2228,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6848,    -1,    -1,    -1,    -1,  6096,  6854,
    4859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6872,    -1,    -1,
      -1,    -1,    -1,    -1,  6879,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6889,    -1,    -1,  6892,    -1,    -1,
    6895,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6922,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6189,    -1,    -1,  4953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6966,  5476,    -1,    -1,  6970,    -1,    -1,    -1,    -1,
    6975,    -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6242,    -1,    -1,  7002,    -1,  6247,
    6248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5529,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  7039,  7040,    -1,  5551,    -1,    -1,
      -1,    -1,  7047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  7066,  7067,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5623,
      -1,    -1,    -1,  6361,  5123,    -1,    -1,    -1,  2532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2541,  2542,  2543,
    2544,  2545,  2546,  2547,  2548,  2549,  2550,    -1,    -1,    -1,
      -1,  2555,    -1,  2557,    -1,  2559,    -1,    -1,  2562,  2563,
    2564,    -1,    -1,    -1,    -1,    -1,  2570,    -1,    -1,  2573,
      -1,    -1,    -1,  5172,    -1,    -1,  5175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2588,  2589,  2590,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2606,    -1,    -1,    -1,    -1,    -1,  3065,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3163,    -1,    -1,    -1,
      -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2753,
    5349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6635,    -1,    -1,
      -1,    -1,    -1,  2807,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2863,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5976,    -1,    -1,    -1,    -1,  5476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6096,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5623,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,    -1,  3057,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3069,    -1,    -1,  3072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6189,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3128,    -1,    -1,    -1,  3132,    -1,
      -1,  3135,    -1,  3137,    -1,    -1,  3140,    -1,  6242,    -1,
      -1,    -1,    -1,  6247,  6248,    -1,  5745,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3164,  3165,    -1,    -1,  7002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3282,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3820,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3830,    -1,    -1,    -1,  5976,    -1,  3836,
      -1,    -1,  3839,    -1,    -1,    -1,    -1,    -1,    -1,  3846,
    3847,    -1,  3849,    -1,    -1,    -1,    -1,  3854,  3855,    -1,
    3857,    -1,  3859,    -1,    -1,    -1,  3863,    -1,    -1,  3866,
      -1,    -1,    -1,    -1,  3871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3880,    -1,    -1,    -1,    -1,  3885,    -1,
      -1,    -1,    -1,    -1,    -1,  3892,  3893,  3894,  3895,    -1,
      -1,    -1,    -1,  3900,  3901,    -1,  3903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3922,    -1,  3924,    -1,    -1,
      -1,    -1,    -1,    -1,  3931,  3932,  3933,  3934,  3935,  3936,
    3937,  3938,  3939,  3940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6096,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3522,  3523,
    3524,    -1,    -1,    -1,  3528,    -1,    -1,    -1,    -1,  3986,
      -1,  6635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6242,    -1,    -1,  4103,    -1,  6247,  6248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3800,    -1,    -1,    -1,
      -1,  3805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3867,    -1,  3869,  3870,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3883,
      -1,    -1,  3886,    -1,  3888,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7002,    -1,
      -1,  4358,  4359,    -1,    -1,    -1,  4363,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3925,    -1,  3927,    -1,  3929,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3993,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4154,    -1,    -1,    -1,    -1,    -1,  4613,    -1,    -1,    -1,
      -1,    -1,  4619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4666,
    4667,    -1,    -1,  4670,  4671,  4672,  4673,    -1,    -1,  4676,
    4677,  4678,  4679,  4680,  4681,  4682,  4683,  4684,  4685,  4686,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4709,    -1,    -1,  4712,    -1,  4714,    -1,    -1,
    4717,  4718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4739,  4740,  4741,  4742,    -1,  4744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4354,    -1,    -1,    -1,    -1,    -1,  4360,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7002,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4868,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4440,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4623,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4637,    -1,    -1,  5093,  4641,  4642,  4643,
      -1,    -1,    -1,    -1,  4648,    -1,    -1,  4651,    -1,    -1,
    4654,    -1,    -1,    -1,    -1,    -1,  4660,    -1,  4662,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5136,
      -1,    -1,    -1,    -1,    -1,  4689,  4690,  4691,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4716,    -1,    -1,  4719,    -1,  4721,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4737,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4745,  4746,    -1,    -1,    -1,    -1,    -1,  4752,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4779,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5274,    -1,    -1,
      -1,  5278,  4826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,  4843,
      -1,    -1,  5299,    -1,  5301,    -1,  5303,  5304,    -1,    -1,
      -1,    -1,  5309,  5310,  5311,  5312,    -1,    -1,    -1,  5316,
    5317,  5318,  5319,  5320,  5321,  5322,  5323,  5324,  5325,  5326,
    5327,  5328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5352,    -1,    -1,  5355,    -1,
    5357,    -1,    -1,    -1,  5361,    -1,    -1,  5364,  5365,    -1,
      -1,  5368,  5369,    -1,    -1,    -1,    -1,  5374,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5435,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5176,  5177,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5652,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5740,  5741,  5289,    -1,    -1,    -1,    -1,
      -1,  5748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5346,  5347,  5801,    -1,    -1,    -1,    -1,  5353,
    5354,    -1,    -1,    -1,  5358,    -1,    -1,    -1,    -1,  5363,
      -1,    -1,  5366,  5367,    -1,    -1,    -1,  5824,  5825,  5373,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5384,    -1,    -1,    -1,    -1,    -1,  5843,    -1,  5845,    -1,
      -1,    -1,  5849,  5850,  5851,  5852,    -1,    -1,  5855,  5856,
      -1,    -1,    -1,    -1,  5861,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5920,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5494,    -1,  5949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5998,    -1,  6000,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5574,    -1,    -1,    -1,    -1,    -1,    -1,  5581,  6035,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5649,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6144,    -1,  6146,
    6147,  6148,  6149,  6150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6163,  6164,  6165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6173,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5812,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5822,    -1,
      -1,    -1,    -1,    -1,  5828,  5829,  5830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5853,
    5854,    -1,    -1,  5857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5897,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5921,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6411,    -1,    -1,    -1,    -1,  6416,
      -1,    -1,  6419,    -1,    -1,    -1,  6423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6526,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6151,    -1,    -1,
      -1,    -1,    -1,    -1,  6611,    -1,    -1,    -1,    -1,    -1,
      -1,  6618,    -1,    -1,    -1,  6169,    -1,    -1,    -1,    -1,
      -1,    -1,  6629,    -1,  6631,  6179,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6655,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6386,    -1,    -1,    -1,    -1,    -1,    -1,  6846,
      -1,    -1,    -1,    -1,  6398,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6407,  6408,  6409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6434,    -1,  6889,    -1,    -1,  6892,    -1,    -1,  6895,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6960,    -1,  6962,    -1,  6964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  7004,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6644,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6751,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6879,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,  6966,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7039,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,   609,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,   205,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,   596,    -1,    -1,    -1,    -1,    -1,    -1,   603,
     604,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
     604,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
     604,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
     604,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
     604,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,    -1,   361,    -1,   363,
     364,   365,   366,    -1,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,   549,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     604,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
      -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,   549,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   604,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,   247,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,   601,   602,   603,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
     596,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,   247,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,   516,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,   534,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,   534,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
     534,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,
     595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,   534,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,   534,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   603,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   603,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   603,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   603,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    -1,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,   540,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     603,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    -1,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   603,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    -1,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   603,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    -1,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   603,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,   379,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   603,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,   379,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,   603,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,   540,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   603,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,   540,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   603,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,   603,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,   540,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   603,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,   603,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,   108,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,    -1,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
      -1,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,   604,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,   503,   504,    -1,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,   584,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,   603,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,   584,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,   603,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,   379,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,   503,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,   603,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,   602,   603,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,   603,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,   603,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,   603,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,   603,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   603,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    80,    81,    -1,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,    -1,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,    -1,   517,   518,   519,    -1,   521,    -1,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,    -1,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,   580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,
     595,   596,   597,   598,   599,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,
      80,    81,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,    -1,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,    -1,   517,   518,   519,
      -1,   521,    -1,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,    -1,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,
     580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,    -1,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   591,   592,   593,   594,   595,   596,   597,
     598,   599,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,   592,   593,
     594,   595,   596,   597,   598,   599,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,    -1,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   591,   592,   593,   594,   595,   596,   597,   598,   599,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
      -1,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   591,   592,   593,   594,   595,
     596,   597,   598,   599,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   591,
     592,   593,   594,   595,   596,   597,   598,   599,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   596,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,    -1,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,    -1,   521,    -1,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,   580,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   596,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   596,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,    -1,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,    -1,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   596,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   596,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   596,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,   247,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,    -1,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,    -1,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,   594,   595,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,   247,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,    -1,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
      -1,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,   594,
     595,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
     247,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,   594,   595,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,   247,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,    -1,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,    -1,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,    -1,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,   594,   595,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,    -1,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,    -1,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,    -1,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,   516,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
       4,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,   593,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,    -1,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,    -1,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
     540,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,   547,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,   547,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,    -1,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,    -1,   521,    -1,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,   580,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,    -1,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,    -1,   361,
      -1,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,   498,    -1,   500,   501,
      -1,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,   521,
      -1,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,    -1,
      -1,    -1,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,   361,    -1,   363,   364,   365,
     366,    -1,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,    -1,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   578,   579,   580,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,    -1,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,    -1,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,    -1,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
      -1,   521,    -1,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,
     580,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,    -1,
     234,    -1,   236,   237,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,    -1,   361,    -1,   363,
     364,   365,   366,    -1,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,    -1,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,   579,   580,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,    -1,   234,    -1,   236,   237,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,    -1,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,    -1,   521,    -1,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,   580,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,    -1,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,    -1,   361,
      -1,   363,   364,   365,   366,    -1,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,    -1,   521,
      -1,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,    -1,
      -1,    -1,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,    -1,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,    -1,    -1,   361,    -1,   363,   364,   365,
     366,    -1,    -1,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,    -1,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,    -1,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,    -1,   521,    -1,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   578,   579,   580,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,    -1,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
      -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,    -1,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,    -1,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
      -1,   521,    -1,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,
     580,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,    -1,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,    -1,    -1,   361,    -1,   363,
     364,   365,   366,    -1,    -1,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,    -1,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,    -1,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,    -1,   521,    -1,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,   579,   580,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,    -1,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,    -1,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,    -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,
      -1,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,    -1,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,    -1,   521,    -1,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,   580,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,    -1,   124,    -1,    -1,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,    -1,   141,
      -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,    -1,    -1,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,    -1,   234,    -1,   236,   237,   238,    -1,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,    -1,    -1,   285,   286,   287,    -1,    -1,    -1,    -1,
      -1,   293,   294,   295,   296,   297,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,    -1,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,    -1,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,    -1,   361,
      -1,   363,   364,   365,   366,    -1,    -1,   369,    -1,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,    -1,   474,   475,   476,   477,   478,    -1,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,    -1,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,    -1,    -1,    -1,    -1,   518,   519,    -1,   521,
      -1,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,    -1,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,    -1,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
      -1,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    -1,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,    -1,    -1,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,   534,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,   534,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,   173,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,   379,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,   503,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,   379,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,   503,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,   379,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,   540,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,   540,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,   379,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,   379,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    72,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    13,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,    -1,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,    -1,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,    -1,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,    -1,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    -1,   579,
     580,    -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,   594,   595,   596,    -1,    -1,    -1,
      -1,    -1,    -1,   603,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,   464,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    -1,   579,   580,   581,    -1,    -1,   584,    -1,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,   603,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,    -1,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,    -1,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
     379,   380,   381,   382,   383,    -1,   385,   386,   387,   388,
      -1,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,    -1,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,    -1,   551,   552,   553,   554,   555,   556,    -1,   558,
      -1,    -1,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    -1,
     579,   580,    -1,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   591,   592,   593,   594,   595,   596,   597,   598,
     599,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      -1,   579,   580,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    -1,    -1,    -1,    81,   594,   595,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    -1,   579,   580,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    -1,    -1,    -1,    81,   594,   595,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    -1,   579,   580,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,
     594,   595,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,    69,   579,   580,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   594,   595,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
      -1,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,    -1,   579,   580,   581,    69,
      70,    -1,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,   516,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    -1,   579,
     580,    69,    70,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,
      -1,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    69,
     579,   580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    69,   579,
     580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,    -1,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,   540,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,    69,   579,   580,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,    -1,   404,   405,   406,   407,   408,   409,   410,   411,
     412,    -1,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,    -1,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,   501,
      -1,    -1,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,    -1,    -1,   518,   519,   520,   521,
     522,    -1,   524,   525,   526,   527,   528,   529,   530,   531,
     532,    -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,
     542,   543,   544,   545,   546,    -1,   548,    -1,   550,   551,
     552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,    69,   579,   580,    -1,
      73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
      -1,   404,   405,   406,   407,   408,   409,   410,   411,   412,
      -1,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,    -1,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,    -1,
      -1,   504,   505,   506,   507,   508,   509,   510,   511,    -1,
     513,   514,   515,    -1,    -1,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
      -1,    -1,   535,   536,   537,   538,   539,    -1,    -1,   542,
     543,   544,   545,   546,    -1,   548,    -1,   550,   551,   552,
     553,   554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,    69,   579,   580,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,    -1,
     404,   405,   406,   407,   408,   409,   410,   411,   412,    -1,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
      -1,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,    -1,   500,   501,    -1,    -1,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,    -1,    -1,   518,   519,   520,   521,   522,    -1,
     524,   525,   526,   527,   528,   529,   530,   531,   532,    -1,
      -1,   535,   536,   537,   538,   539,    -1,    -1,   542,   543,
     544,   545,   546,    -1,   548,    -1,   550,   551,   552,   553,
     554,   555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,    69,   579,   580,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,   176,   177,    -1,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,    -1,   404,
     405,   406,   407,   408,   409,   410,   411,   412,    -1,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,    -1,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,   501,    -1,    -1,   504,
     505,   506,   507,   508,   509,   510,   511,    -1,   513,   514,
     515,    -1,    -1,   518,   519,   520,   521,   522,    -1,   524,
     525,   526,   527,   528,   529,   530,   531,   532,    -1,    -1,
     535,   536,   537,   538,   539,    -1,    -1,   542,   543,   544,
     545,   546,    -1,   548,    -1,   550,   551,   552,   553,   554,
     555,    -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,    69,   579,   580,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
     176,   177,    -1,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,    -1,   404,   405,
     406,   407,   408,   409,   410,   411,   412,    -1,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,    -1,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,    -1,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,    -1,   500,   501,    -1,    -1,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
      -1,    -1,   518,   519,   520,   521,   522,    -1,   524,   525,
     526,   527,   528,   529,   530,   531,   532,    -1,    -1,   535,
     536,   537,   538,   539,    -1,    -1,   542,   543,   544,   545,
     546,    -1,   548,    -1,   550,   551,   552,   553,   554,   555,
      -1,    -1,   558,    -1,    -1,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,
     177,    -1,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,    -1,   404,   405,   406,
     407,   408,   409,   410,   411,   412,    -1,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,    -1,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,   501,    -1,    -1,   504,   505,   506,
     507,   508,   509,   510,   511,    -1,   513,   514,   515,    -1,
      -1,   518,   519,   520,   521,   522,    -1,   524,   525,   526,
     527,   528,   529,   530,   531,   532,    -1,    -1,   535,   536,
     537,   538,   539,    -1,    -1,   542,   543,   544,   545,   546,
      -1,   548,    -1,   550,   551,   552,   553,   554,   555,    -1,
      -1,   558,    -1,    -1,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,    69,   579,   580,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,
      -1,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,    -1,   404,   405,   406,   407,
     408,   409,   410,   411,   412,    -1,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,    -1,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,    -1,   500,   501,    -1,    -1,   504,   505,   506,   507,
     508,   509,   510,   511,    -1,   513,   514,   515,    -1,    -1,
     518,   519,   520,   521,   522,    -1,   524,   525,   526,   527,
     528,   529,   530,   531,   532,    -1,    -1,   535,   536,   537,
     538,   539,    -1,    -1,   542,   543,   544,   545,   546,    -1,
     548,    -1,   550,   551,   552,   553,   554,   555,    -1,    -1,
     558,    -1,    -1,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
      69,   579,   580,    -1,    73,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,    -1,   404,   405,   406,   407,   408,
     409,   410,   411,   412,    -1,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,    -1,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,   501,    -1,    -1,   504,   505,   506,   507,   508,
     509,   510,   511,    -1,   513,   514,   515,    -1,    -1,   518,
     519,   520,   521,   522,    -1,   524,   525,   526,   527,   528,
     529,   530,   531,   532,    -1,    -1,   535,   536,   537,   538,
     539,    -1,    -1,   542,   543,   544,   545,   546,    -1,   548,
      -1,   550,   551,   552,   553,   554,   555,    -1,    -1,   558,
      -1,    -1,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,    69,
     579,   580,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,    -1,   404,   405,   406,   407,   408,   409,
     410,   411,   412,    -1,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,    -1,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,    -1,    -1,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,   513,   514,   515,    -1,    -1,   518,   519,
     520,   521,   522,    -1,   524,   525,   526,   527,   528,   529,
     530,   531,   532,    -1,    -1,   535,   536,   537,   538,   539,
      -1,    -1,   542,   543,   544,   545,   546,    -1,   548,    -1,
     550,   551,   552,   553,   554,   555,    -1,    -1,   558,    -1,
      -1,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,    69,   579,
     580,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,    -1,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,    -1,   404,   405,   406,   407,   408,   409,   410,
     411,   412,    -1,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,    -1,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
     501,    -1,    -1,   504,   505,   506,   507,   508,   509,   510,
     511,    -1,   513,   514,   515,    -1,    -1,   518,   519,   520,
     521,   522,    -1,   524,   525,   526,   527,   528,   529,   530,
     531,   532,    -1,    -1,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,   544,   545,   546,    -1,   548,    -1,   550,
     551,   552,   553,   554,   555,    -1,    -1,   558,    -1,    -1,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,    -1,   579,   580
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   612,  1327,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    75,    76,
      81,   139,   218,   239,   263,   288,   341,   344,   367,   462,
     516,   533,   548,   578,   593,   594,   595,   596,   597,   598,
     601,   602,   603,   604,   606,   607,   608,   609,   610,  1315,
    1328,  1358,  1360,  1450,  1460,  1461,  1463,  1469,  1470,  1359,
       3,     8,    12,    14,    16,    17,    27,    35,    41,    42,
      43,    44,    48,    49,    54,    63,    65,    67,    68,    73,
      90,   101,   103,   104,   115,   121,   131,   143,   145,   146,
     152,   154,   167,   169,   184,   186,   188,   189,   204,   206,
     210,   217,   218,   226,   228,   235,   239,   253,   270,   291,
     324,   325,   330,   345,   364,   370,   411,   426,   432,   433,
     435,   440,   446,   449,   456,   463,   464,   471,   475,   486,
     494,   503,   515,   524,   526,   533,   536,   542,   547,   548,
     560,   584,   603,   613,   614,   619,   620,   626,   627,   629,
     630,   631,   632,   634,   637,   649,   654,   655,   658,   659,
     660,   680,   683,   684,   699,   750,   753,   756,   759,   760,
     761,   769,   776,   778,   779,   782,   785,   786,   790,   799,
     803,   804,   805,   808,   810,   811,   812,   813,   821,   823,
     843,   847,   849,   850,   860,   862,   869,   870,   873,   874,
     875,   876,   877,   886,   888,   890,   893,   897,   898,   908,
     909,   914,   919,   930,   962,   965,   966,   967,   972,   975,
     977,   979,   981,   982,   986,   987,   990,   992,   993,   997,
     998,   999,  1002,  1003,  1004,  1005,  1006,  1013,  1015,  1016,
    1017,  1018,  1024,  1026,  1027,  1033,  1034,  1035,  1038,  1039,
    1040,  1041,  1043,  1044,  1046,  1047,  1049,  1050,  1052,  1064,
    1066,  1069,  1071,  1080,  1082,  1087,  1092,  1102,  1106,  1107,
    1108,  1109,  1110,  1111,  1117,  1152,  1329,  1332,  1333,  1350,
    1351,  1352,  1353,  1354,  1365,  1367,  1371,  1372,  1373,  1374,
    1375,  1377,  1379,  1381,  1382,  1383,  1384,  1386,  1391,  1392,
    1396,  1397,  1406,  1408,  1409,  1410,  1413,  1418,  1421,  1426,
    1428,  1429,  1432,  1434,  1471,    71,  1354,  1362,  1363,    13,
      70,    90,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   110,   111,   112,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   128,
     129,   130,   131,   132,   133,   134,   137,   138,   140,   141,
     143,   144,   145,   146,   147,   149,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   163,   164,   165,   166,
     167,   168,   170,   171,   172,   176,   177,   180,   181,   182,
     183,   184,   186,   187,   188,   189,   191,   193,   194,   195,
     196,   197,   198,   199,   201,   202,   203,   204,   207,   208,
     209,   210,   211,   213,   214,   215,   216,   218,   219,   220,
     221,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   234,   236,   237,   238,   239,   240,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   254,   255,   257,   258,
     259,   261,   262,   264,   265,   266,   267,   268,   269,   270,
     272,   273,   274,   275,   276,   277,   278,   279,   281,   282,
     283,   285,   286,   287,   289,   291,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   318,
     319,   320,   321,   322,   324,   325,   326,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   342,
     343,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   375,   376,
     377,   380,   381,   382,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   463,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   500,   501,   504,   505,   506,   507,   508,   509,   510,
     511,   513,   514,   515,   516,   518,   519,   520,   521,   522,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   535,
     536,   537,   538,   539,   542,   543,   544,   545,   546,   548,
     550,   551,   552,   553,   554,   555,   558,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   579,   580,  1317,  1318,  1320,  1322,
    1323,  1324,  1343,  1344,  1455,  1457,  1461,  1463,    28,   284,
    1407,     6,     7,     8,     9,    10,    11,    12,    14,    15,
      18,    19,    20,    21,    22,    23,    25,    26,    27,    30,
      31,    32,    33,    36,    37,    38,    40,    43,    44,    48,
      49,    54,    63,    65,    67,    68,    99,   139,   161,   173,
     185,   190,   263,   341,   344,   462,   547,   578,  1310,  1322,
    1323,  1345,  1393,  1394,  1436,  1437,  1438,  1442,  1446,  1447,
    1448,  1457,  1463,    99,  1103,  1310,  1345,  1454,    13,  1103,
       5,    24,    28,    34,    35,    41,    42,    99,   103,   104,
     105,   106,   107,   108,   109,   113,   127,   135,   136,   139,
     142,   148,   150,   161,   162,   169,   173,   174,   175,   176,
     178,   179,   180,   190,   192,   200,   205,   206,   212,   217,
     222,   233,   235,   241,   243,   247,   253,   256,   260,   271,
     280,   284,   288,   290,   292,   316,   317,   323,   327,   328,
     362,   367,   374,   378,   379,   383,   384,   403,   413,   430,
     444,   464,   470,   481,   499,   502,   503,   512,   516,   517,
     523,   533,   534,   540,   541,   547,   549,   556,   557,   559,
     560,  1322,  1323,  1324,  1325,  1437,  1438,  1439,  1440,  1444,
    1445,  1446,  1448,  1463,    24,    34,   139,   288,  1433,    36,
      38,   362,  1366,   185,   263,   341,   344,   462,   578,   603,
    1214,  1215,  1357,   518,   563,  1019,    98,   149,   166,   184,
     190,   208,   221,   230,   243,   249,   256,   276,   314,   336,
     380,   406,   416,   417,   420,   448,   451,   455,   458,   465,
     468,   488,   496,   501,   503,   506,   511,   521,   526,   540,
     553,   775,  1394,   189,  1019,  1220,  1313,  1324,  1436,  1439,
    1442,  1443,  1446,  1447,  1463,    99,  1103,   551,   603,  1057,
     378,   412,  1019,   124,   603,   691,    93,   111,   136,   149,
     184,   190,   208,   221,   230,   243,   252,   256,   326,   380,
     383,   406,   420,   448,   458,   468,   488,   496,   506,   508,
     510,   511,   526,   534,   537,   540,   700,   758,   865,   920,
     931,  1310,  1334,  1335,  1336,  1345,  1461,  1463,    13,    99,
     411,  1310,  1345,  1349,   603,   487,  1103,  1310,  1345,  1349,
      99,   405,   466,   508,   510,   313,   973,   974,  1461,    93,
      98,   136,   149,   166,   184,   208,   221,   230,   243,   249,
     256,   276,   336,   380,   393,   406,   417,   420,   448,   451,
     455,   458,   465,   468,   488,   496,   503,   506,   511,   519,
     521,   526,   540,   553,   775,   878,   880,   881,  1019,   609,
    1376,  1440,   267,  1349,   169,   189,   226,   551,   603,   756,
     759,  1052,  1065,  1069,  1071,  1080,  1087,  1092,  1102,  1106,
    1329,    92,    99,   119,   238,   245,   247,   271,   315,   353,
     414,   434,   594,   595,   894,   895,  1103,  1315,  1316,  1455,
    1457,    99,   101,   169,   430,   464,   899,   900,   901,  1442,
     243,  1357,  1442,  1312,  1461,   503,  1120,   119,   245,   894,
    1442,   603,   518,  1349,   393,   336,   603,   985,   456,  1442,
      99,   139,   469,   514,   518,   547,   641,   650,   651,  1322,
    1323,  1436,  1441,  1446,  1448,  1463,   253,   899,   900,  1442,
     412,  1019,  1442,   312,    99,   205,  1122,  1123,     4,    13,
     137,   161,   163,   326,   347,   448,   458,   469,   514,   518,
     566,   638,   639,   640,   641,    99,   469,   514,   518,   641,
     518,   379,  1164,  1165,  1308,  1442,  1120,  1430,  1440,   596,
    1442,   248,   603,  1058,   603,   428,  1112,  1113,  1310,  1112,
    1107,  1108,  1111,   607,   603,  1057,   222,   290,   384,   533,
    1124,  1125,  1107,  1109,  1110,   195,   286,   338,   539,   606,
     121,   613,  1374,  1377,  1373,  1369,   607,  1378,  1380,     5,
      24,    34,   139,   209,   288,  1385,  1361,  1450,    71,  1354,
    1310,  1345,  1464,   190,  1334,    20,   541,   597,  1349,  1349,
    1464,   541,  1398,  1399,  1400,    24,   288,   288,  1444,    18,
      19,    37,    40,   131,   165,   206,  1435,  1435,    15,  1374,
     516,   516,   516,   516,   603,   516,   594,   595,   767,  1316,
    1355,  1460,   105,  1023,   947,  1313,   883,  1442,   883,  1310,
     415,   883,   521,  1310,   183,   503,   935,  1313,  1324,  1442,
    1317,  1318,    99,   265,  1308,   371,   553,    80,    87,    88,
      89,   144,   234,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   969,   971,  1251,  1252,  1442,   265,  1310,   935,
    1310,    99,  1317,  1318,   935,  1310,  1310,   265,  1308,  1310,
     265,   883,  1310,   440,   471,    99,   265,  1164,  1310,   461,
    1310,   883,    99,   333,  1317,  1318,   265,  1308,   313,    33,
     192,   296,   362,   424,  1020,  1021,  1022,   603,   601,   605,
    1277,  1279,   581,  1051,  1052,  1053,  1054,  1320,  1308,  1310,
    1442,    98,   136,   150,   162,   184,   208,   249,   276,   314,
     380,   417,   448,   451,   496,   506,   519,   526,   878,   879,
     880,   881,  1461,  1023,  1068,  1071,  1080,  1087,  1092,  1106,
    1308,   340,   883,   603,   265,   883,  1310,   883,   521,   265,
    1310,   183,   503,   508,   510,  1317,   508,   510,   144,   234,
     969,   438,  1310,  1310,  1317,   265,   615,  1442,   265,  1310,
     265,   616,   883,  1310,  1310,   461,   883,   333,  1317,   428,
     465,   503,   553,   336,   166,   276,    98,   162,   249,   417,
     455,   519,   521,   525,   770,    80,  1337,  1338,   608,  1457,
    1464,    99,  1349,  1355,  1463,  1104,   487,   648,  1320,  1461,
     974,   340,   265,   947,   948,   265,   978,   265,  1310,   123,
     125,   126,   139,   140,   187,   188,   209,   239,   265,   288,
     289,   291,   298,   348,   350,   370,   425,   473,   479,   514,
     515,   548,   885,  1193,  1195,  1197,  1199,  1201,  1203,  1204,
    1205,  1207,  1208,  1209,  1211,  1212,  1216,  1436,  1443,  1446,
    1447,  1463,   521,   183,   503,   265,   934,   935,   265,  1318,
    1319,   157,   553,   144,   234,   265,   970,   971,   129,   265,
     934,   265,  1319,   265,   934,   265,  1310,   265,  1310,   461,
     978,   265,   885,   265,   333,  1319,   313,   265,   882,   883,
     265,  1309,  1310,   265,  1310,  1023,   603,   609,  1465,  1466,
    1467,  1468,  1470,  1376,    69,  1345,  1395,   603,  1070,   700,
    1103,  1065,  1051,  1057,  1316,   895,   896,    99,   895,  1103,
    1316,   896,    99,   895,  1103,  1316,   896,   896,   896,  1316,
    1315,  1315,   292,   541,  1400,  1401,  1474,  1476,  1103,   896,
     415,   603,   501,   603,   727,   727,   727,   378,   516,   606,
     727,   458,  1164,  1166,   895,  1103,   895,  1103,   606,  1014,
    1355,  1461,   247,   603,  1067,   129,   553,  1051,   184,   276,
     458,   501,   503,   983,   984,  1442,   118,   580,   296,   605,
     381,   378,   247,   381,  1461,   516,  1023,   241,   891,   378,
      78,    79,    80,    82,   107,   123,   125,   126,   135,   136,
     139,   140,   147,   149,   174,   175,   176,   177,   178,   179,
     180,   187,   188,   190,   227,   232,   233,   239,   255,   257,
     289,   291,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   308,   319,   327,   328,   339,   348,   350,   360,   362,
     367,   368,   370,   380,   391,   407,   425,   453,   470,   479,
     497,   502,   514,   515,   520,   522,   523,   534,   540,   548,
     568,   569,   570,   571,   573,   574,   575,   576,   582,   594,
     595,   596,   603,  1107,  1196,  1199,  1202,  1203,  1204,  1206,
    1207,  1208,  1211,  1212,  1216,  1217,  1219,  1220,  1221,  1223,
    1247,  1248,  1249,  1253,  1271,  1276,  1302,  1305,  1306,  1313,
    1314,  1315,  1442,  1453,  1455,  1457,  1458,  1459,  1460,  1461,
    1462,  1304,  1305,   516,   593,  1464,  1461,   516,   593,  1394,
      99,   656,  1307,  1308,   469,   638,   190,   647,  1461,   648,
    1461,   118,   141,   638,   580,   480,  1021,   381,   247,   516,
     593,   118,   580,   296,  1474,  1022,   603,  1308,   596,  1279,
    1166,  1445,  1051,   246,  1059,  1217,  1256,  1112,   606,   603,
    1060,   604,   604,  1051,  1061,  1062,  1063,  1308,    99,   205,
    1121,  1121,   129,  1121,   235,   241,   323,   374,  1128,  1130,
    1131,  1146,  1148,  1149,  1150,  1124,  1125,   247,   292,   292,
    1164,  1167,   603,   607,  1368,   596,  1387,  1388,  1390,   609,
     609,    24,   288,   288,   217,   108,  1341,   129,  1344,  1344,
     292,  1400,  1402,   292,  1400,  1401,  1402,   546,  1411,  1412,
    1457,    13,   483,   594,   595,  1315,  1403,  1404,  1405,  1453,
    1455,  1459,  1460,  1461,  1462,   288,   294,   516,  1310,  1310,
       6,   165,  1310,  1435,  1390,   185,   263,   341,  1215,   341,
    1215,  1215,   344,  1315,   341,   344,   462,  1460,  1460,   606,
    1356,   138,   358,   394,   436,   471,   603,   945,   394,   432,
     436,   471,   605,   884,   394,   436,   471,   161,   215,   329,
     394,   432,   436,   471,   506,   509,   560,   649,   652,  1028,
    1029,  1030,  1031,  1463,   915,    95,   210,   394,   436,   471,
     544,   665,  1310,    95,   210,   471,   539,   633,   564,   265,
    1164,   132,   168,   231,   268,   318,   358,   362,   394,   395,
     436,   445,   454,   463,   471,   484,   493,   498,   555,   649,
     653,   951,   963,   991,   603,   932,  1279,   436,   633,   271,
     227,    95,   101,   116,   146,   203,   210,   214,   242,   278,
     358,   362,   372,   382,   394,   436,   439,   440,   471,   544,
     661,   663,   664,   793,   991,   767,    99,   265,  1308,   883,
     883,   603,   968,   394,   471,   605,   227,   378,   394,   436,
     471,   963,   991,    95,   210,   394,   436,   471,   271,   628,
     436,   560,   584,   621,   628,   394,   436,   471,   963,   991,
     378,   394,   436,   227,   108,   130,   182,   274,   332,   337,
     342,   358,   393,   436,   441,   465,   471,   486,   537,   661,
     764,   765,   394,   436,   552,   793,   801,   227,   394,   436,
     471,    95,   161,   203,   210,   214,   394,   432,   436,   471,
     478,   651,   639,   641,   271,   227,   116,   201,   358,   436,
     471,   661,   662,   394,   436,   440,   471,   159,   202,   397,
     509,   378,    95,   101,   210,   394,   436,   471,   681,   682,
     628,   241,   436,   621,   628,   227,   436,   471,   661,  1310,
     607,   321,   192,   379,   565,   606,  1020,    99,   205,   549,
     596,   604,   940,  1217,  1257,  1258,  1443,  1217,  1278,   596,
    1311,  1444,  1277,   604,   606,   233,   378,   523,   645,   648,
     767,  1055,   541,  1048,   378,   947,   603,   883,  1310,  1193,
     935,   371,   144,   234,   971,   935,   935,   241,  1193,   883,
    1310,  1310,   604,   727,  1310,   142,  1193,   362,   247,   603,
     851,   621,   108,  1042,  1310,   362,   621,   564,   265,  1308,
     621,   883,   883,   851,   537,   700,   378,   241,   560,   959,
     621,   362,   118,   635,   362,   526,   800,   362,  1060,   161,
     394,   777,   159,   202,   397,   509,   108,   851,   241,   265,
     621,   553,   265,  1308,   265,   754,  1308,  1308,   553,   883,
     157,   617,  1313,   521,  1313,  1313,  1310,   241,  1310,   775,
      72,  1339,  1442,   608,  1340,  1337,  1356,   110,   124,   181,
     285,   358,   460,   227,   133,   442,   606,   618,   227,   603,
     227,   621,   550,  1210,  1210,  1210,   603,  1198,  1198,   409,
     603,  1200,   227,   139,   140,  1210,  1198,  1195,   584,   585,
     603,  1213,   603,  1213,   606,   618,   107,  1194,   603,   185,
     344,   578,   603,  1214,   884,  1198,   564,   227,   606,   618,
     227,   606,   265,   882,   265,   883,   265,   883,   227,   606,
     618,  1319,   227,   618,   227,   227,   618,   227,   618,   227,
     159,   202,   397,   509,   241,   227,   618,   227,   241,   265,
     227,   606,   618,   227,   606,   618,   227,   378,   604,  1466,
    1467,  1465,   606,   610,  1256,  1399,  1473,  1474,   503,  1104,
     604,  1065,   896,  1103,   896,  1103,  1476,  1477,   896,  1103,
     896,  1103,  1477,   896,  1103,  1103,  1103,   896,    13,   483,
    1449,  1452,  1457,  1103,   603,   728,   729,  1442,   728,    99,
     184,   208,   243,   249,   313,   314,   396,   417,   451,   458,
     465,   503,   506,   526,   904,  1307,  1319,   901,  1310,   271,
     606,  1083,  1103,  1103,  1461,  1356,  1395,  1193,  1260,   108,
    1319,   617,   604,   617,   617,   617,   321,  1442,   241,   904,
    1319,   241,   456,  1442,   648,   378,   603,   601,  1107,  1261,
    1217,  1275,   603,   603,   241,   603,   603,  1107,   603,   603,
     603,   603,   603,   603,   603,   603,   603,   603,   603,   603,
     603,   603,   603,   603,   603,   603,  1217,   603,   603,   603,
     603,   603,   603,   603,   603,   369,   716,   603,   603,   603,
     603,   603,   603,   603,   603,  1217,  1217,  1217,   547,  1107,
    1217,  1256,  1279,  1461,   603,  1461,    80,    83,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     237,   238,   239,   240,   242,   243,   244,   245,   246,   248,
     249,   250,   251,   252,   254,   255,   257,   258,   259,   261,
     262,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   291,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   342,   343,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   375,   376,   377,   379,
     380,   381,   382,   383,   385,   386,   387,   388,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   551,   552,   553,   554,   555,   556,   558,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   579,   580,   582,   591,   592,   593,
     594,   595,   596,   597,   598,   599,  1251,  1253,  1255,  1321,
    1326,  1463,   561,  1234,   390,  1217,   236,  1235,   292,   606,
    1118,  1474,   603,  1461,  1279,    21,  1456,  1457,  1280,  1118,
     373,   378,  1427,  1427,     9,   546,  1414,  1415,  1417,  1394,
    1394,   193,   267,   657,   606,   141,   190,   648,   108,   190,
     326,   646,   767,  1212,  1461,  1463,  1461,   164,   207,  1229,
     173,   190,   642,   643,   645,   767,   190,   642,  1474,  1474,
     321,  1308,   165,   441,   887,   294,   604,  1057,   105,   115,
     122,   148,   266,   271,   294,   322,   380,   383,   476,   604,
     606,  1113,  1309,   108,   604,   606,  1060,  1109,  1109,  1126,
    1127,  1217,  1109,   238,   353,  1137,   310,   358,   424,   474,
     539,    99,  1132,  1217,   594,   595,  1133,  1134,  1217,  1219,
    1146,  1147,  1131,  1130,  1128,  1129,   241,  1149,   372,  1151,
    1128,  1146,  1167,  1072,  1308,  1167,   108,  1442,   471,  1256,
    1387,   596,   606,   607,  1445,  1364,  1367,  1364,   288,   189,
    1394,   540,  1342,  1344,  1310,   483,  1315,  1416,  1457,   606,
     593,  1310,    13,  1315,  1460,  1315,  1460,   606,  1374,  1310,
     603,   603,  1445,   604,   767,   604,   138,   516,   516,   458,
     271,   283,   384,   387,   473,   549,   596,   938,   939,   940,
     942,   944,   946,  1193,  1443,   516,   552,   516,   458,  1311,
     605,   516,   516,   458,   323,   516,   149,   516,   506,   638,
     394,  1028,  1030,   593,  1032,   241,   253,   271,   446,   916,
     917,   142,   162,   362,   724,   725,   162,   190,   362,   516,
     162,   516,   190,   362,   458,   162,   203,   214,   394,   436,
     848,   458,   783,    98,   136,   208,   249,   380,   417,   451,
     519,   526,   878,   879,  1310,   227,   436,   471,   661,   378,
     767,   463,   318,   516,  1442,   516,   367,   767,   194,   293,
     458,   469,   518,   640,   883,   442,   471,   951,   964,   198,
     604,   933,   938,   516,   540,   506,  1308,   142,   150,   162,
     223,   243,   265,   413,   534,   707,   722,   723,  1442,   150,
     162,   988,   399,   378,   453,   455,   521,   162,   988,   102,
     439,   453,   455,   521,   453,  1308,   242,   278,   372,   883,
     603,   516,   516,   264,   603,   669,    93,   332,   506,   537,
     562,   669,   162,   606,   198,   394,   271,   227,   436,   471,
     661,   991,   541,   541,   359,  1193,   516,   458,   603,   969,
    1310,  1308,   516,   516,   458,   964,   198,   177,   503,   504,
    1000,  1001,  1165,  1308,  1442,  1001,   516,   516,   851,  1001,
     184,   471,   652,   516,   623,   652,   516,   516,   458,   964,
     198,  1308,   516,   516,  1308,  1195,   767,   129,   766,   767,
     767,   182,   337,   342,   129,   516,   621,   346,   458,   621,
     358,   765,   516,   516,   367,  1461,   793,   883,   516,   516,
     458,   488,   420,  1461,   420,   516,   420,   516,   420,   851,
     851,   506,  1164,   399,   399,   162,   516,   988,   458,   516,
     516,   669,   669,   883,   883,   883,   883,  1308,   117,   546,
     117,   117,   546,   516,   117,   516,   546,   458,   603,   606,
     652,   540,   809,  1318,   516,   623,   652,  1308,   516,   988,
     458,   394,   436,   424,   437,   467,   644,  1020,  1257,  1257,
    1258,   604,    85,    86,   606,  1124,  1125,   602,   608,  1308,
    1053,  1310,  1308,   294,  1193,   294,   378,   294,   294,   767,
     883,   883,   294,   294,   294,  1193,   294,   294,   294,   378,
     516,   247,   516,   685,   526,   603,   108,   227,   883,   852,
     853,  1444,  1028,  1193,   378,   227,   780,  1310,   362,   399,
     603,   622,   865,   541,   428,   553,  1308,    99,  1001,   851,
     622,   227,  1318,   169,   253,   636,   699,   760,   823,   897,
     919,  1024,   227,  1461,   801,   802,   227,   378,  1461,  1318,
     329,   883,   883,   883,   883,   218,   423,   603,   809,   362,
     622,  1308,   362,   762,   764,   362,   108,   372,   399,   603,
     727,   727,   265,   757,  1308,   241,   265,   615,  1442,   603,
     855,   945,  1310,   603,   936,   936,   108,  1193,    97,   120,
     287,   824,   313,   605,  1315,  1340,   604,   560,   562,  1105,
     460,   948,   947,  1193,  1310,   603,   603,  1256,  1315,   885,
    1210,  1210,   107,  1194,   514,   514,  1315,  1315,  1193,   601,
     601,  1315,   516,   516,  1315,  1198,   934,   935,  1319,  1318,
     227,   618,   227,   541,   227,   541,   970,   971,   618,   934,
    1319,   934,  1310,  1310,  1193,   885,  1319,   809,   227,   882,
     883,  1309,  1310,  1310,   883,   604,   610,  1468,   604,  1474,
    1475,  1399,   265,  1308,   181,  1065,  1103,  1103,  1477,  1103,
    1103,  1477,  1103,  1103,  1310,    13,   606,  1456,   728,   604,
     606,   604,   250,   418,   452,   466,   504,  1309,   882,   183,
     468,   934,  1309,   371,   902,   903,  1442,   934,   934,  1309,
    1307,  1307,  1309,   882,   516,   254,   560,   913,   222,   323,
     806,   807,    93,   225,   453,   474,  1084,  1164,   366,  1085,
     604,   604,   606,  1068,   516,  1308,  1310,  1308,   615,   899,
     900,   247,   913,   900,  1442,    98,   150,   208,   249,   314,
     417,   451,   526,   878,   879,  1256,   602,  1256,  1261,  1262,
     556,  1272,  1273,  1217,  1256,   603,  1315,  1315,   185,   263,
     341,   344,   462,   578,  1263,  1264,  1461,  1463,  1256,  1256,
    1217,  1290,   444,  1107,  1108,  1290,  1294,  1301,  1290,  1290,
    1217,  1219,  1257,  1294,  1297,  1298,  1217,  1298,  1290,  1217,
    1290,  1290,  1256,  1315,  1315,   604,  1217,  1217,   969,  1217,
    1257,  1259,  1266,   453,   594,   595,   603,  1218,  1219,  1253,
    1267,   604,  1256,  1217,  1259,  1268,  1217,   127,   247,   317,
     517,  1217,  1256,  1269,   205,   362,  1107,  1256,   346,  1219,
    1217,  1227,  1228,  1229,   346,  1217,  1229,   604,   606,  1315,
    1214,  1193,  1217,  1217,  1217,  1217,  1444,   326,   514,   113,
     499,  1281,   883,  1217,   603,  1107,  1270,   205,   207,   233,
     298,   354,   355,   356,   357,   361,   362,   367,   523,   535,
    1265,  1295,  1217,   603,  1217,   516,   122,   266,   271,   322,
     476,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,    99,   106,   481,  1250,   256,  1235,   453,   603,  1247,
     603,   389,  1239,   252,   326,   503,   508,   510,   537,  1119,
    1308,  1306,   247,  1153,  1257,  1310,  1457,  1277,  1153,  1416,
     606,   593,  1308,   518,   603,  1461,   606,  1474,   604,   264,
     264,   618,  1374,  1063,  1052,  1056,  1217,   604,   336,   362,
    1114,  1063,  1061,   606,   109,   200,   541,   928,   453,   454,
     594,   595,  1134,  1136,  1219,   474,   310,   379,   606,  1135,
    1315,  1460,  1135,   453,   454,  1136,  1307,   366,   478,  1086,
    1147,  1129,   541,  1081,   190,   392,   603,  1073,  1106,   108,
     541,  1442,   603,  1088,  1089,  1090,  1442,   604,   607,  1388,
    1194,   610,  1367,   610,    33,  1343,  1419,  1420,  1457,  1412,
    1417,  1464,  1403,  1194,  1451,  1467,  1451,  1194,  1318,  1310,
    1310,   387,   129,  1443,   604,   940,   942,   939,   942,  1443,
     384,   604,   606,   884,  1318,  1310,  1310,  1311,  1318,  1310,
    1310,  1318,   552,  1310,  1310,   190,   645,   767,   448,   540,
     899,   458,   253,   899,   603,  1310,   367,   265,  1310,   367,
    1318,  1310,  1310,  1217,   367,  1310,  1310,   102,   439,   516,
     516,  1310,   516,   784,   947,   603,  1193,   935,   144,   234,
     971,   935,   935,   241,  1193,   883,  1310,   259,   358,   394,
     436,   545,   787,   788,   789,  1164,   516,   988,   458,   367,
     194,   293,  1318,  1310,   378,  1310,   378,   604,   606,  1317,
    1319,  1310,   436,   661,   603,   265,   707,  1310,   541,   921,
     310,   362,   310,   541,   716,   749,  1193,  1310,  1315,  1442,
    1308,  1310,   321,  1310,    99,   540,  1310,   265,  1310,   265,
    1442,   455,   521,   455,   521,   321,  1310,    99,   540,  1310,
     321,   453,  1308,    95,   210,   471,   794,   795,   796,   797,
    1444,  1318,  1310,   190,   248,   363,   541,   668,   671,   672,
    1444,   340,  1310,   146,   375,  1310,   664,   378,   516,   506,
    1308,   516,   988,   458,   198,  1310,  1310,   606,   604,   606,
    1318,  1310,   994,   995,  1444,   378,   436,   516,   817,  1318,
    1310,  1310,   378,  1164,   271,   606,   727,   727,  1279,  1318,
    1310,  1310,  1317,   161,   216,   278,   401,   532,   540,   543,
     624,  1463,  1318,  1310,  1310,   378,   436,  1318,  1310,   436,
     471,   661,   764,   767,   883,  1310,   767,   883,  1310,   767,
    1318,  1310,   471,  1318,  1310,  1310,   190,   675,  1316,  1309,
    1309,  1318,   959,  1310,  1309,  1310,   436,   471,   661,   662,
    1308,  1308,  1310,  1310,  1310,  1310,  1318,  1310,    95,   101,
     210,   394,   436,   471,   394,   436,   471,   851,   436,   471,
     436,   471,   436,   991,  1179,  1442,   265,   861,  1442,   265,
    1442,  1461,  1318,  1310,  1310,  1461,  1310,   994,    95,   210,
     682,   468,  1317,   436,   471,   661,  1310,  1310,  1310,   516,
     516,   155,   531,   424,   606,  1124,  1124,  1124,  1217,  1217,
     549,  1258,   604,  1217,  1278,  1048,   367,   889,  1461,   108,
     889,   208,   883,   889,   889,   294,   541,   541,   889,   889,
     889,   313,   889,   889,   889,   883,   419,   686,   686,   276,
     503,   822,  1217,  1193,   883,   604,   606,   593,   713,  1444,
    1310,   133,   247,   458,   552,   781,   788,   789,   227,   372,
     322,   701,   703,   705,   707,   719,   722,    96,   271,   448,
     500,   624,   625,   241,  1310,   553,  1308,   108,   818,   504,
     959,   615,  1442,   635,   700,   931,  1310,   243,   883,   298,
     603,   751,   752,  1220,  1222,  1223,  1302,  1442,   420,  1461,
     851,   851,   851,   851,   603,   851,  1177,  1178,  1179,   468,
     227,   603,   227,   227,   226,  1330,   883,   372,   701,  1442,
     541,   744,   560,   670,   362,   108,   727,  1461,   362,   378,
     856,   857,  1463,   851,    97,   604,   937,   938,   943,   108,
     313,   445,   519,   559,   949,   950,   951,   952,   949,   378,
     313,   372,   195,   286,   524,   539,   825,   826,  1310,  1339,
     597,   262,   262,   241,   618,   108,   621,   242,  1036,  1037,
    1256,   604,   604,   618,   601,   580,   580,   604,   604,  1315,
     602,   603,  1315,  1442,  1461,  1472,   604,   604,   618,   882,
     883,  1310,   883,  1310,   618,   618,   618,   618,   313,   618,
     468,   241,   618,   618,   378,   618,   362,  1105,  1464,  1452,
     604,   729,   271,   271,   271,   271,   271,   564,  1309,   767,
     768,   606,   605,   256,   905,   906,  1318,   129,   910,   911,
    1444,   516,   603,   247,   225,   474,   225,   474,   453,   539,
     343,  1193,  1318,   560,   755,   378,   905,   618,   247,   947,
     883,  1193,   935,   371,   935,   935,  1193,   883,  1310,   604,
     602,   602,   606,  1217,   212,  1273,  1274,   108,   604,  1217,
     604,   604,   604,   247,   604,   604,   581,  1291,  1292,   560,
     562,  1296,  1193,  1292,   604,    91,   367,   606,  1300,   384,
    1303,   606,   608,   546,   604,   604,    91,   367,   606,  1299,
    1299,   606,   604,  1294,   606,   604,   604,   604,   604,   606,
     606,   604,   403,   604,   604,   603,  1218,  1218,  1256,    83,
      87,    88,    89,   271,   294,   380,   591,   592,   593,   594,
     595,   596,   597,   598,   599,  1253,  1218,   604,   604,   241,
     247,   476,   604,   604,   108,  1269,  1256,  1269,  1269,   247,
     604,   205,   604,  1444,   400,  1232,   108,   604,   606,  1217,
    1444,   606,  1217,  1280,  1217,   604,   580,  1218,  1218,   220,
    1256,   247,   107,   371,   457,   546,   205,   207,   233,   361,
     367,   523,   535,  1265,  1295,   361,  1296,   220,   969,  1217,
     499,  1281,  1217,  1270,  1217,   516,   603,  1107,   603,  1239,
     603,  1256,   557,   603,  1240,  1442,   508,   510,   508,   510,
    1308,  1120,  1120,  1120,   307,   316,   454,   577,   603,  1107,
    1154,  1155,  1156,  1164,  1170,  1180,  1187,  1222,  1442,   557,
    1175,  1124,  1175,     7,    10,    11,    21,    22,    23,    25,
      26,    30,    31,    32,   183,   346,   409,   526,  1422,  1423,
    1425,  1415,  1416,  1021,  1315,  1214,   643,  1194,  1063,   336,
     603,  1127,   380,  1251,  1254,   583,   929,  1315,  1460,  1136,
     379,   560,   539,  1133,   331,  1154,   557,  1176,   547,   501,
     540,  1074,  1075,  1076,  1442,   378,  1077,  1442,  1155,  1090,
    1091,   606,  1153,   593,  1280,   608,  1370,   607,   606,   593,
      29,  1431,   604,   604,   607,   946,   884,   942,   942,   129,
     944,   598,  1319,  1319,   378,  1309,   381,   378,  1217,   725,
     841,   227,   618,   516,  1318,  1310,   648,  1193,   883,   883,
    1193,   771,  1310,   259,   545,   516,   516,   771,   787,   793,
     436,   471,   661,  1310,  1310,  1310,   284,   367,   230,   938,
     393,   471,   516,  1217,   362,   223,   723,  1310,   603,   603,
     227,   603,   749,   276,   603,   841,   491,   711,   712,   841,
     471,    95,   210,   440,   441,   471,   665,   673,   674,   793,
     989,   463,   227,   618,   227,   618,  1310,  1310,  1310,  1310,
     463,   463,   321,   796,   797,   796,   604,   606,   798,  1461,
     276,   604,   606,   593,   605,   190,   676,  1442,   230,  1318,
    1310,   436,   471,   661,  1310,  1310,  1310,   378,   394,   436,
     471,    95,   210,   394,   436,   471,  1193,   359,  1193,   604,
     606,   593,  1308,   516,  1319,   541,   814,   230,   727,   458,
    1000,   557,   734,   734,   727,   323,   401,   367,  1461,   401,
    1319,   538,   230,   516,   516,   458,   488,   959,   959,   959,
     393,   471,   162,   516,   988,   458,   190,   241,   677,   237,
     617,   516,   516,   333,   333,   333,   516,   516,   458,   516,
     516,   458,   516,   458,   516,   458,   516,   198,   618,  1193,
     362,  1461,   471,   989,   227,   618,   516,   516,   604,  1310,
     516,   988,   458,   516,  1318,  1310,   604,   604,   604,  1258,
     602,  1193,   883,   294,   889,  1310,  1310,  1310,   294,   489,
     490,   687,  1461,   687,   259,   604,   604,   247,   851,   853,
     359,   380,   594,   595,   767,   854,   942,  1254,  1325,  1461,
     142,   148,   162,   190,   192,   251,   280,   362,   367,   413,
     430,   534,   714,   715,   718,   226,   556,   621,   648,  1310,
     648,   382,   791,  1308,  1308,  1308,   604,   606,  1319,   256,
     448,  1319,  1315,   526,  1308,   727,  1463,   241,   819,   959,
     118,   635,   503,   800,   183,  1060,  1217,   247,   606,  1309,
     670,   858,   859,  1461,   604,   606,  1310,   241,   728,  1308,
     754,  1308,  1349,  1106,   603,   702,  1308,   604,  1310,   560,
     562,   745,   669,   108,   227,  1106,   744,   516,   227,  1164,
     604,   606,   593,   825,   604,   606,   190,   593,   953,  1461,
     648,   503,   941,   942,   241,   958,   121,   443,   954,   955,
     952,   955,   195,   286,   464,   539,  1011,  1310,   372,   378,
     383,   259,  1335,  1106,  1349,  1193,   603,   604,   606,   604,
    1315,  1213,  1213,   602,  1472,   603,   594,   595,   596,   597,
     598,   602,   618,   541,   618,   541,   618,  1310,  1310,   809,
     883,   227,   241,   458,   458,   458,   458,   458,  1309,   606,
     903,  1442,  1318,   560,   606,   907,  1318,   606,   913,   233,
     381,   523,   912,  1166,   468,   225,   225,   183,   358,   904,
     913,  1319,   294,   294,   294,   294,   767,   294,   294,   294,
     294,   294,  1261,   512,  1217,   217,  1193,   604,  1217,   298,
     534,   534,   604,  1292,  1294,   378,   378,  1290,  1294,   129,
    1300,  1217,  1290,  1290,   378,   378,  1298,  1296,  1296,  1217,
     604,  1217,  1265,  1217,  1217,   604,  1256,   606,  1193,  1218,
    1218,  1218,  1218,   205,   207,   362,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1217,  1217,  1217,  1193,
     604,   604,   604,  1256,   604,   606,   129,  1219,  1233,   604,
    1444,  1228,   410,   495,  1231,   604,   606,   552,  1224,   108,
     604,  1461,  1217,   105,   105,  1217,   604,  1217,   247,   361,
    1296,  1217,   604,   220,  1218,  1218,   220,   220,  1217,  1217,
    1125,   604,  1256,   606,  1217,  1241,  1442,  1120,  1120,  1120,
    1120,  1308,  1308,  1308,   603,  1107,  1170,  1180,  1187,   247,
     603,  1107,  1155,  1156,   108,  1157,  1158,  1442,   606,   170,
     248,   282,   297,   320,   349,   447,  1161,  1158,   108,  1157,
    1160,  1442,  1158,  1158,   584,  1174,  1279,  1217,   256,  1138,
     604,  1138,   606,   593,   604,  1431,  1068,   603,   929,   238,
     315,   379,   560,   513,   173,  1217,   444,  1079,   546,   604,
     606,  1280,   160,  1079,   378,   604,   606,  1089,  1176,  1217,
    1315,   593,  1389,  1420,  1425,   604,   598,   946,   526,   250,
     452,   459,   466,   504,   527,   918,   241,   918,   604,   192,
     280,   358,   362,   842,  1310,  1310,   108,   541,   541,   313,
     884,  1318,  1310,   516,   988,   458,   516,   284,  1310,   129,
     506,  1310,   604,   227,   603,   732,   733,   924,  1222,  1442,
     728,   707,   728,   841,  1310,   728,   190,  1442,   156,   709,
     710,   488,   251,   229,   264,   362,   669,   621,   183,   229,
     251,   362,   488,   669,   709,   711,   765,   471,   674,   526,
    1310,  1442,   463,   795,  1310,   672,   854,  1444,  1310,   393,
     471,   516,   988,   458,   516,   230,   516,   516,   458,   249,
     380,   491,   863,   864,   249,   380,   871,   872,   516,   516,
     458,   604,   604,   604,   995,   359,   767,   942,   996,  1254,
    1325,  1461,   436,  1310,   603,   560,   815,  1310,   734,   177,
    1442,   603,   734,  1316,  1461,  1461,  1461,  1310,  1310,  1310,
    1310,   675,   129,   506,  1310,  1310,  1310,  1310,   547,  1310,
    1310,   241,   241,   438,   241,   265,  1318,  1310,  1310,  1318,
    1310,  1310,  1310,  1310,  1310,  1310,  1310,   378,   148,   666,
     227,    97,   120,   526,  1442,  1310,  1461,   793,  1310,  1310,
    1310,  1310,  1124,   604,   294,   889,   294,   294,   294,   889,
     621,   541,   692,   693,   771,   841,   560,   562,   883,   603,
     883,  1310,  1218,   102,   129,   717,   193,   267,   192,   367,
     310,  1308,   716,   249,   417,   837,   844,   845,  1442,   780,
     603,   399,   603,   702,   720,   279,   739,   705,  1319,  1319,
    1193,   603,   670,    99,   195,   286,   464,   539,   820,   516,
     816,  1318,   265,  1308,   802,   564,   378,   604,  1154,   752,
     959,   604,   606,  1179,   791,   809,   604,   762,   108,   372,
     399,   603,  1070,   755,   704,   706,   708,   722,  1442,   399,
     740,   741,   702,   739,   669,   375,   378,   746,  1106,   757,
     755,   670,  1461,  1310,   921,   857,  1463,   854,   378,   943,
    1217,  1217,   606,   603,   949,   526,   606,   114,  1217,   516,
     603,   728,  1308,   826,   771,    80,  1346,   604,  1036,  1037,
     602,   604,  1374,  1472,  1472,  1472,  1472,  1472,  1310,  1310,
     618,   468,   618,  1309,  1309,  1309,  1309,  1309,   767,   253,
     906,   913,   911,   604,  1310,   183,   247,   618,   913,   367,
     892,  1461,   892,   892,   892,   294,   892,   892,   892,   892,
     892,  1217,   604,   215,   311,   311,   604,   367,   367,   604,
    1126,  1294,   400,  1282,   367,   367,  1294,  1294,  1282,  1282,
     604,   604,   247,   604,  1217,   247,   205,   207,   247,   241,
     220,   604,   567,  1226,  1256,   429,   546,   129,  1233,  1219,
     558,   558,   604,  1217,   358,  1217,   606,  1225,  1195,  1217,
    1217,  1217,  1217,   105,   105,  1217,  1217,   220,   604,   604,
     604,  1217,   604,   399,  1242,  1308,  1308,  1308,  1308,  1290,
    1158,  1160,  1158,  1158,   603,   572,  1219,   604,  1442,   603,
    1155,   297,   388,  1162,  1155,  1162,   297,  1161,  1162,   297,
     505,  1168,   603,  1442,   603,   385,   129,   260,  1145,  1461,
    1145,  1423,   595,  1416,  1424,  1460,  1461,  1461,   604,   969,
     513,   372,  1305,  1106,   392,  1106,  1076,   378,   603,  1078,
    1217,   593,  1090,  1079,  1468,   526,   604,   516,   899,   247,
     841,   193,   267,   278,   192,   543,   618,  1193,  1310,  1310,
    1310,  1310,  1310,  1310,  1310,  1319,  1310,   841,   707,  1217,
     604,   606,   560,   148,   923,   927,   923,   604,   604,   604,
     190,  1442,   791,   675,   717,   265,   265,   367,   767,   108,
     717,   367,   675,  1193,   618,   618,   593,   129,   506,  1310,
    1310,  1310,  1310,  1310,  1318,  1310,  1310,  1315,  1315,  1193,
     606,  1315,  1315,   606,  1318,  1310,  1310,   516,  1217,   142,
    1217,  1319,  1310,   516,   516,   247,   271,   560,  1309,  1309,
     883,  1309,   227,   230,   883,  1461,  1461,  1193,   618,   618,
     516,   604,   294,   889,   889,   889,   889,   603,   688,   689,
     621,   197,   249,   283,   249,  1217,   362,   715,   190,   108,
     959,   727,   959,  1313,   105,   226,   271,   792,   796,   372,
     701,   677,   224,   273,   603,   468,   541,   728,   108,  1319,
     814,   635,   362,   603,   243,  1310,   751,  1461,   468,   670,
     226,  1331,   883,   372,   701,   755,   604,   606,   560,   713,
     129,   744,   677,   740,   154,   506,   747,   560,  1025,   108,
     747,   247,   378,   603,  1308,  1461,   940,   960,   961,  1443,
     955,  1193,   241,   956,  1308,   247,   516,   980,   431,   827,
     281,   772,  1347,  1442,   618,   604,   604,   618,   618,  1310,
     381,   292,   905,   618,   892,  1310,   604,  1283,  1284,  1290,
     190,   213,   219,   233,   367,   523,   535,  1286,  1287,  1289,
     604,   604,  1294,  1294,  1217,   604,  1218,   247,  1217,  1217,
    1217,   603,   604,   606,   604,  1233,   604,   546,   485,   604,
     275,   358,  1230,  1217,  1217,  1217,   604,   129,  1124,   606,
    1171,  1172,  1222,   603,  1232,  1157,   603,  1309,  1155,   378,
     541,  1163,  1155,   297,  1155,  1313,  1178,   603,  1178,  1442,
    1121,  1217,   559,  1236,  1236,  1315,  1460,   461,  1115,   604,
    1103,  1475,  1074,   162,   922,   924,   206,   556,  1093,  1094,
    1095,  1096,  1217,   905,   378,   905,   604,   516,   471,  1085,
     604,   272,   730,   733,   380,   969,   883,   616,   883,   430,
     730,   730,   713,   108,   227,   227,   603,   666,   854,  1319,
    1310,   516,   603,   935,   969,   971,   864,   603,   603,   872,
    1310,   604,   603,   604,   471,  1085,  1310,  1310,   603,   603,
     603,   560,   584,  1045,   438,  1045,  1045,   241,  1310,   666,
    1310,   889,   694,   695,  1444,   124,   171,   196,   215,   220,
     242,   246,   261,   367,   421,   690,   688,  1461,   935,   108,
     976,   976,   604,   264,   603,   541,   748,   334,   731,   748,
     603,   845,   837,   603,   604,   606,  1308,   604,   468,    99,
     153,   156,   163,   191,   251,   264,   277,   488,   491,   721,
     721,  1307,  1310,  1310,   604,  1106,   815,   227,   183,   791,
     247,  1310,   108,  1349,  1106,   702,  1308,   604,  1473,   706,
     382,  1442,   745,   740,   744,   195,   210,   410,  1310,   134,
     142,   326,  1106,   883,  1164,   922,   247,   840,   942,   604,
     606,   526,   217,   614,   954,   957,  1175,   483,   483,   604,
     352,   376,   828,   829,   830,   241,   833,   771,   358,   545,
     773,   774,   593,  1348,  1310,   913,   606,   108,  1217,   107,
     371,   378,   604,   560,   562,  1285,  1286,  1288,   241,  1218,
    1227,  1256,   358,   579,   275,   604,  1256,   258,   423,   454,
    1243,  1217,   604,   606,   108,  1173,   190,  1185,  1186,  1218,
     151,  1309,   604,  1217,   603,  1155,  1163,   603,   604,  1178,
     604,   172,   257,   450,   603,  1139,  1140,  1141,  1142,  1143,
    1144,  1217,  1237,  1238,  1442,   128,   199,   182,  1116,   546,
    1310,   604,   606,   363,   539,   335,   362,  1079,  1094,   105,
    1097,  1097,   907,   918,   618,  1310,   506,   923,   603,   959,
     603,   928,   669,  1308,   959,   959,   264,  1217,   541,   667,
     471,  1085,  1310,  1260,   241,   867,   867,  1260,  1260,  1217,
     506,  1256,  1256,   678,   679,  1320,   882,   883,   882,   883,
    1309,   618,   604,   606,   190,   596,   603,   645,   696,   767,
    1042,  1461,  1042,   362,   367,   421,  1042,  1042,  1175,   976,
     112,   269,   358,   726,   603,   763,  1217,   276,   248,   398,
     477,   378,   735,   736,   737,   604,  1313,    76,   846,   796,
     702,   739,  1310,   604,   791,   234,   866,   670,  1025,  1308,
     564,  1154,   791,  1106,  1070,   755,   740,   702,   739,   713,
     603,   746,   744,   745,   454,   454,   142,   381,   142,   755,
     921,   604,  1308,   841,   949,   960,  1193,   607,   206,   560,
     560,   829,   453,   503,   831,   211,   834,   556,   836,   545,
     771,  1315,  1455,  1463,    80,   791,   618,  1284,  1444,   219,
     107,   158,   530,   564,   107,   564,   309,   377,  1293,   378,
     604,  1217,   604,   604,   546,   122,   173,   529,  1217,  1244,
    1245,  1244,  1244,   604,   108,  1188,  1174,  1171,   603,  1218,
     604,   606,   108,  1181,  1182,  1442,   604,  1309,  1256,   604,
     603,   472,   603,   604,   606,   606,   108,   238,   238,   728,
    1106,  1175,   924,   471,   335,  1217,   512,   512,   247,  1310,
     728,   748,   969,   929,   928,   727,   748,   748,   763,   604,
    1217,   506,   604,   384,   461,   427,   868,   868,   604,   604,
     604,  1310,   604,   604,   604,   606,  1315,  1045,   695,   645,
     697,   698,  1461,  1461,   367,   596,   728,   596,   728,  1461,
    1461,   278,   764,   604,   506,   195,   539,   378,   737,   378,
     736,   603,   604,   606,   677,   468,   791,   883,   108,   108,
     603,  1310,  1025,   755,   744,   677,   740,   603,   742,   743,
    1222,  1442,   747,   745,   746,   381,   381,   603,   272,   925,
     241,   955,   100,   287,  1012,   249,   249,  1042,   453,   487,
     835,   603,   226,  1347,   564,   107,   564,   107,   564,   564,
     422,   422,  1288,   213,   219,  1245,   453,   240,   408,   240,
     408,   223,  1246,  1246,  1246,  1310,  1282,  1178,   606,  1186,
    1444,   604,   606,   241,  1193,   604,   604,  1256,   603,  1256,
    1140,  1238,  1240,   129,   129,   471,  1088,   129,   195,   206,
     539,  1098,  1099,   206,   286,  1100,   905,  1085,   604,   734,
     604,   929,   731,   841,   841,  1310,   935,   129,  1085,   516,
     678,   883,   604,   606,   596,   728,   604,   492,  1310,   133,
     358,   442,   471,   738,   738,   604,    76,   468,  1310,   863,
    1106,   791,  1473,   745,   740,   744,  1217,   604,   606,   927,
     927,   746,   747,   922,   603,   716,   211,   363,   603,  1007,
    1009,  1013,  1071,  1080,  1087,  1106,  1117,   935,   935,   832,
    1442,  1217,   837,   564,   564,   378,   378,   604,  1286,   105,
     173,   256,   358,   513,   151,   604,  1219,  1182,   385,   190,
     362,   367,   402,  1183,  1184,  1463,   108,  1159,   437,  1169,
     604,  1139,   604,   728,   728,  1442,  1175,   482,   507,   363,
     471,   363,   190,   392,   547,   603,  1101,   618,   841,   735,
    1085,   883,   603,   698,    94,   190,   367,  1310,   791,  1025,
     746,   744,   745,   604,   743,   616,   616,   747,   604,   924,
     926,   670,   453,  1008,  1009,  1010,  1107,  1108,   606,   606,
     604,  1313,   457,   457,   378,  1245,   453,   386,   603,  1232,
    1218,   367,  1218,  1184,  1218,  1442,   603,   604,   471,   471,
     516,   541,  1088,   547,  1074,   603,  1075,   841,  1256,   727,
     727,   791,   747,   745,   746,   927,   925,   604,   606,   747,
     836,   604,   607,   516,   247,   603,   494,   494,   219,   351,
    1189,  1190,  1442,   151,  1217,  1442,  1442,   298,  1313,  1314,
    1442,   546,  1256,   604,   604,   746,   747,   616,   716,   924,
    1175,   226,  1010,   483,   483,   838,   839,  1315,  1444,  1460,
    1461,   402,  1191,   604,   606,   241,  1193,  1181,   604,   603,
     190,  1101,   604,   392,  1101,   747,   670,   837,   560,   560,
     604,   606,  1461,  1289,  1190,   385,   227,   402,  1192,  1291,
     604,  1257,  1314,  1074,   747,  1313,   249,   249,   839,   108,
     151,   604,  1192,  1461,  1285,  1192,  1124,   541,   546,  1175,
     603,   935,   935,  1310,   603,  1289,  1293,  1285,   604,  1442,
    1101,   838,   151,  1189,  1288,  1293,   604,   603,   604,  1288,
    1189,   604
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   611,   612,   613,   613,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   614,
     615,   615,   616,   616,   617,   617,   618,   618,   618,   619,
     620,   621,   621,   621,   622,   622,   623,   623,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   625,   625,   625,
     625,   625,   625,   626,   627,   627,   628,   628,   629,   629,
     629,   629,   630,   630,   630,   630,   630,   630,   631,   632,
     633,   633,   634,   634,   634,   634,   635,   635,   636,   636,
     636,   636,   636,   636,   637,   637,   637,   638,   638,   638,
     639,   639,   639,   639,   640,   640,   640,   640,   640,   640,
     640,   640,   640,   640,   640,   641,   641,   642,   642,   643,
     643,   644,   644,   644,   644,   645,   645,   645,   645,   646,
     646,   646,   646,   646,   646,   646,   647,   647,   647,   648,
     648,   649,   650,   650,   650,   650,   651,   651,   652,   652,
     653,   653,   654,   654,   654,   654,   654,   655,   656,   656,
     657,   657,   658,   659,   659,   659,   659,   659,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   661,
     661,   662,   662,   662,   663,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   664,   664,   664,   664,   664,   665,   665,   666,   666,
     667,   667,   668,   668,   668,   668,   669,   670,   670,   671,
     671,   672,   672,   672,   672,   673,   673,   674,   674,   674,
     674,   675,   675,   676,   676,   677,   677,   677,   677,   678,
     679,   679,   680,   681,   681,   682,   682,   682,   682,   683,
     683,   684,   684,   685,   685,   686,   686,   687,   687,   687,
     688,   688,   689,   689,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   696,   696,
     696,   696,   696,   696,   697,   697,   698,   699,   699,   699,
     699,   699,   699,   700,   700,   700,   700,   700,   700,   700,
     700,   701,   701,   702,   702,   703,   703,   704,   704,   705,
     705,   705,   706,   706,   707,   708,   708,   709,   709,   710,
     710,   711,   711,   712,   712,   713,   713,   714,   714,   714,
     714,   715,   715,   715,   715,   715,   715,   715,   715,   715,
     716,   716,   716,   717,   717,   718,   718,   718,   718,   719,
     720,   720,   720,   721,   721,   721,   721,   721,   721,   721,
     721,   721,   721,   722,   722,   723,   723,   723,   723,   723,
     723,   723,   724,   724,   725,   725,   726,   726,   727,   727,
     728,   728,   729,   730,   730,   731,   731,   731,   731,   732,
     732,   733,   733,   734,   734,   735,   735,   735,   735,   735,
     736,   737,   738,   738,   738,   738,   738,   739,   739,   740,
     740,   741,   742,   742,   743,   743,   743,   744,   744,   745,
     745,   745,   746,   746,   746,   746,   747,   747,   748,   748,
     749,   750,   750,   751,   751,   752,   752,   752,   753,   753,
     754,   755,   755,   755,   756,   756,   757,   758,   758,   759,
     760,   760,   761,   761,   762,   762,   763,   763,   764,   764,
     765,   765,   765,   765,   765,   765,   765,   765,   765,   765,
     765,   765,   765,   765,   765,   765,   766,   766,   767,   767,
     767,   767,   768,   768,   769,   769,   770,   770,   771,   771,
     772,   772,   773,   773,   774,   774,   775,   775,   776,   777,
     777,   778,   778,   779,   779,   780,   780,   781,   781,   781,
     781,   782,   783,   783,   784,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   785,   785,   785,   786,   787,
     787,   787,   787,   788,   788,   789,   789,   790,   790,   791,
     791,   792,   792,   793,   794,   794,   795,   795,   795,   795,
     796,   797,   798,   799,   799,   800,   800,   801,   801,   802,
     802,   803,   803,   803,   804,   804,   804,   804,   805,   806,
     806,   807,   807,   808,   808,   809,   809,   810,   810,   811,
     812,   813,   814,   814,   815,   815,   816,   816,   817,   817,
     818,   818,   819,   819,   820,   820,   820,   820,   820,   821,
     822,   822,   823,   823,   824,   824,   824,   825,   825,   826,
     826,   826,   826,   826,   827,   827,   828,   828,   829,   830,
     830,   831,   831,   832,   833,   833,   834,   834,   835,   835,
     836,   836,   837,   837,   838,   838,   838,   839,   839,   839,
     839,   840,   840,   841,   841,   842,   842,   842,   842,   842,
     842,   843,   843,   844,   844,   845,   846,   846,   847,   848,
     848,   848,   848,   849,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     851,   852,   852,   853,   853,   854,   854,   854,   854,   854,
     854,   855,   856,   856,   857,   858,   858,   859,   859,   860,
     860,   860,   860,   860,   861,   861,   862,   863,   863,   864,
     864,   864,   864,   864,   865,   865,   866,   866,   867,   867,
     867,   868,   868,   869,   870,   870,   871,   871,   872,   872,
     873,   873,   874,   874,   875,   876,   877,   877,   877,   877,
     877,   877,   877,   877,   877,   877,   877,   877,   878,   878,
     878,   878,   878,   878,   878,   878,   878,   878,   878,   878,
     878,   879,   879,   879,   879,   879,   880,   880,   880,   880,
     880,   880,   880,   880,   881,   881,   881,   882,   882,   883,
     883,   884,   884,   885,   885,   886,   887,   887,   887,   888,
     888,   888,   888,   888,   888,   888,   888,   888,   888,   888,
     888,   888,   888,   888,   888,   888,   888,   889,   889,   890,
     890,   890,   890,   890,   890,   890,   890,   890,   890,   891,
     891,   892,   892,   893,   893,   893,   893,   893,   893,   893,
     893,   893,   893,   893,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   895,   895,
     896,   896,   897,   898,   898,   899,   899,   899,   899,   899,
     900,   900,   901,   901,   901,   901,   901,   902,   902,   903,
     903,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   904,   904,   904,   904,   904,   904,   904,   904,
     904,   904,   905,   905,   906,   906,   907,   907,   908,   908,
     909,   909,   910,   910,   911,   912,   912,   912,   913,   913,
     914,   915,   915,   916,   916,   916,   917,   917,   917,   918,
     918,   918,   918,   918,   918,   919,   919,   920,   920,   921,
     921,   922,   922,   923,   923,   924,   924,   924,   925,   925,
     926,   926,   927,   927,   928,   928,   928,   929,   929,   929,
     930,   930,   930,   930,   931,   931,   932,   932,   933,   933,
     934,   934,   935,   935,   935,   935,   936,   936,   937,   937,
     938,   938,   938,   938,   938,   939,   939,   939,   939,   939,
     940,   941,   942,   942,   942,   943,   943,   943,   944,   945,
     945,   945,   945,   946,   946,   947,   948,   948,   949,   949,
     950,   950,   951,   951,   951,   951,   951,   951,   951,   951,
     951,   951,   951,   951,   951,   951,   951,   951,   951,   952,
     952,   952,   952,   952,   953,   953,   954,   955,   955,   955,
     956,   956,   957,   957,   958,   958,   959,   959,   960,   961,
     961,   962,   962,   962,   963,   963,   964,   964,   965,   965,
     965,   965,   965,   965,   966,   966,   967,   967,   968,   968,
     968,   968,   969,   969,   970,   970,   971,   972,   973,   973,
     974,   974,   975,   975,   975,   976,   976,   976,   977,   978,
     978,   979,   980,   980,   980,   980,   981,   982,   982,   982,
     983,   983,   984,   984,   985,   985,   986,   986,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   988,   988,   989,   989,   990,   990,   990,
     990,   990,   990,   991,   991,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   992,   992,   992,   992,   992,   992,   992,   992,
     992,   992,   993,   994,   994,   995,   995,   995,   996,   996,
     996,   996,   996,   997,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   998,   998,
     998,   998,   998,   998,   998,   998,   998,   998,   999,   999,
     999,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1001,  1001,
    1002,  1002,  1002,  1002,  1003,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1005,  1005,  1006,  1007,  1007,  1007,
    1008,  1008,  1009,  1009,  1009,  1009,  1009,  1010,  1010,  1011,
    1011,  1011,  1011,  1012,  1012,  1012,  1013,  1014,  1014,  1015,
    1016,  1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1018,  1018,  1019,  1019,  1019,  1020,
    1020,  1020,  1020,  1020,  1021,  1021,  1021,  1022,  1022,  1023,
    1023,  1023,  1024,  1024,  1024,  1024,  1025,  1025,  1025,  1025,
    1026,  1027,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1031,
    1031,  1031,  1031,  1031,  1031,  1031,  1032,  1032,  1033,  1033,
    1033,  1033,  1034,  1035,  1035,  1035,  1035,  1036,  1036,  1037,
    1038,  1039,  1039,  1040,  1041,  1041,  1041,  1041,  1041,  1041,
    1041,  1042,  1042,  1043,  1044,  1044,  1044,  1044,  1044,  1044,
    1045,  1045,  1046,  1047,  1047,  1047,  1047,  1047,  1048,  1048,
    1049,  1049,  1050,  1050,  1051,  1051,  1052,  1052,  1053,  1054,
    1054,  1054,  1055,  1055,  1055,  1056,  1056,  1057,  1057,  1058,
    1058,  1059,  1059,  1060,  1060,  1061,  1062,  1062,  1063,  1063,
    1064,  1064,  1064,  1064,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1066,  1066,  1067,  1067,  1068,  1068,
    1068,  1068,  1068,  1069,  1069,  1069,  1070,  1070,  1071,  1072,
    1072,  1073,  1073,  1073,  1073,  1073,  1074,  1074,  1075,  1075,
    1076,  1077,  1077,  1077,  1078,  1078,  1078,  1079,  1079,  1080,
    1081,  1081,  1082,  1083,  1083,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1085,  1085,  1086,  1086,  1086,  1087,  1088,
    1088,  1089,  1089,  1090,  1091,  1091,  1092,  1093,  1093,  1094,
    1094,  1094,  1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,
    1098,  1099,  1100,  1100,  1100,  1100,  1100,  1101,  1102,  1103,
    1103,  1104,  1104,  1104,  1104,  1104,  1104,  1105,  1105,  1105,
    1106,  1106,  1107,  1107,  1108,  1108,  1108,  1108,  1108,  1108,
    1108,  1108,  1109,  1109,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1111,  1111,  1111,  1112,  1112,  1113,  1114,  1114,  1114,
    1115,  1115,  1115,  1116,  1116,  1116,  1117,  1117,  1118,  1118,
    1118,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,  1119,
    1120,  1120,  1121,  1121,  1121,  1122,  1122,  1123,  1123,  1124,
    1124,  1125,  1126,  1126,  1127,  1127,  1128,  1128,  1128,  1128,
    1129,  1129,  1130,  1130,  1130,  1130,  1130,  1130,  1131,  1131,
    1132,  1132,  1133,  1134,  1134,  1134,  1135,  1135,  1136,  1136,
    1137,  1137,  1138,  1138,  1139,  1139,  1140,  1140,  1140,  1140,
    1140,  1141,  1142,  1143,  1144,  1145,  1145,  1146,  1146,  1147,
    1147,  1148,  1148,  1149,  1150,  1150,  1150,  1150,  1151,  1151,
    1152,  1152,  1153,  1153,  1154,  1154,  1155,  1155,  1155,  1155,
    1155,  1155,  1155,  1155,  1155,  1155,  1155,  1155,  1156,  1156,
    1156,  1156,  1156,  1156,  1157,  1157,  1157,  1157,  1158,  1158,
    1159,  1159,  1160,  1160,  1160,  1160,  1160,  1161,  1161,  1161,
    1161,  1162,  1162,  1163,  1163,  1164,  1164,  1165,  1165,  1165,
    1166,  1166,  1167,  1167,  1167,  1168,  1169,  1169,  1170,  1170,
    1171,  1172,  1172,  1173,  1173,  1174,  1174,  1175,  1175,  1176,
    1176,  1176,  1177,  1177,  1178,  1178,  1179,  1180,  1180,  1181,
    1181,  1182,  1182,  1182,  1183,  1183,  1184,  1184,  1184,  1184,
    1184,  1185,  1185,  1186,  1186,  1187,  1188,  1188,  1189,  1189,
    1190,  1190,  1190,  1190,  1190,  1190,  1191,  1191,  1192,  1192,
    1193,  1193,  1193,  1193,  1193,  1193,  1194,  1194,  1194,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1196,  1196,  1196,
    1196,  1196,  1197,  1197,  1198,  1198,  1199,  1199,  1199,  1199,
    1199,  1199,  1199,  1199,  1199,  1199,  1199,  1200,  1200,  1201,
    1201,  1202,  1202,  1203,  1204,  1205,  1205,  1206,  1206,  1207,
    1208,  1209,  1209,  1209,  1209,  1209,  1209,  1210,  1210,  1211,
    1211,  1211,  1211,  1212,  1213,  1213,  1213,  1214,  1214,  1214,
    1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,  1214,
    1214,  1215,  1215,  1216,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,  1217,
    1217,  1217,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1219,  1219,  1219,  1219,  1219,  1219,
    1219,  1219,  1219,  1219,  1219,  1219,  1219,  1219,  1220,  1220,
    1220,  1220,  1220,  1220,  1220,  1221,  1221,  1221,  1222,  1222,
    1222,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1224,  1224,  1225,  1225,  1225,  1225,  1226,  1227,  1227,
    1228,  1228,  1229,  1229,  1230,  1230,  1230,  1231,  1231,  1231,
    1232,  1232,  1232,  1232,  1233,  1233,  1234,  1234,  1235,  1235,
    1236,  1236,  1237,  1237,  1238,  1239,  1239,  1239,  1240,  1241,
    1241,  1242,  1242,  1243,  1243,  1243,  1243,  1244,  1244,  1245,
    1245,  1245,  1245,  1245,  1246,  1246,  1246,  1246,  1246,  1247,
    1247,  1247,  1248,  1248,  1249,  1250,  1250,  1250,  1251,  1251,
    1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1252,  1253,  1253,  1254,  1254,  1255,  1255,  1255,  1255,
    1255,  1255,  1256,  1256,  1257,  1257,  1258,  1258,  1258,  1259,
    1259,  1260,  1260,  1261,  1261,  1261,  1262,  1262,  1263,  1264,
    1264,  1264,  1264,  1264,  1264,  1264,  1264,  1265,  1265,  1265,
    1265,  1266,  1266,  1267,  1268,  1268,  1268,  1268,  1268,  1269,
    1269,  1269,  1270,  1270,  1271,  1272,  1272,  1273,  1274,  1274,
    1275,  1275,  1276,  1276,  1277,  1277,  1277,  1277,  1278,  1278,
    1279,  1279,  1280,  1280,  1281,  1281,  1282,  1282,  1283,  1283,
    1284,  1285,  1285,  1285,  1285,  1285,  1285,  1285,  1285,  1285,
    1286,  1286,  1287,  1287,  1287,  1287,  1287,  1287,  1287,  1287,
    1288,  1288,  1288,  1288,  1289,  1289,  1290,  1291,  1291,  1292,
    1292,  1293,  1293,  1293,  1293,  1293,  1294,  1294,  1295,  1295,
    1295,  1295,  1295,  1296,  1296,  1296,  1296,  1296,  1297,  1297,
    1298,  1298,  1299,  1299,  1299,  1300,  1300,  1300,  1301,  1301,
    1302,  1302,  1303,  1303,  1304,  1304,  1305,  1305,  1306,  1306,
    1306,  1306,  1307,  1307,  1308,  1308,  1309,  1309,  1310,  1311,
    1312,  1313,  1313,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1315,  1316,
    1316,  1316,  1316,  1317,  1318,  1318,  1318,  1318,  1319,  1319,
    1320,  1320,  1320,  1320,  1321,  1321,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,  1322,
    1322,  1322,  1322,  1322,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,  1323,
    1323,  1323,  1323,  1323,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,  1324,
    1324,  1324,  1324,  1324,  1324,  1324,  1324,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,  1325,
    1325,  1325,  1325,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1327,  1327,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1330,  1329,  1331,  1329,  1332,
    1333,  1333,  1333,  1333,  1334,  1334,  1334,  1334,  1335,  1335,
    1336,  1337,  1338,  1338,  1339,  1339,  1339,  1340,  1340,  1341,
    1341,  1342,  1342,  1343,  1343,  1343,  1343,  1344,  1344,  1344,
    1345,  1346,  1346,  1347,  1347,  1348,  1348,  1348,  1348,  1349,
    1349,  1350,  1351,  1352,  1353,  1354,  1354,  1355,  1356,  1356,
    1357,  1357,  1357,  1357,  1357,  1359,  1358,  1360,  1361,  1362,
    1362,  1363,  1363,  1363,  1363,  1364,  1364,  1366,  1365,  1368,
    1367,  1369,  1367,  1367,  1370,  1370,  1371,  1371,  1371,  1372,
    1372,  1372,  1372,  1373,  1373,  1374,  1374,  1374,  1374,  1374,
    1374,  1374,  1374,  1374,  1374,  1374,  1374,  1374,  1374,  1374,
    1375,  1375,  1375,  1376,  1378,  1377,  1379,  1380,  1379,  1381,
    1381,  1382,  1382,  1383,  1383,  1384,  1384,  1384,  1384,  1384,
    1384,  1384,  1384,  1384,  1385,  1385,  1385,  1385,  1385,  1385,
    1385,  1385,  1385,  1385,  1386,  1386,  1387,  1387,  1388,  1389,
    1389,  1390,  1390,  1390,  1391,  1392,  1393,  1393,  1393,  1393,
    1394,  1394,  1394,  1395,  1395,  1396,  1396,  1397,  1398,  1398,
    1399,  1399,  1400,  1400,  1401,  1401,  1402,  1403,  1403,  1404,
    1404,  1404,  1405,  1405,  1405,  1405,  1405,  1405,  1405,  1405,
    1405,  1406,  1406,  1406,  1406,  1406,  1407,  1407,  1408,  1409,
    1410,  1411,  1411,  1412,  1413,  1414,  1414,  1415,  1416,  1416,
    1417,  1418,  1419,  1419,  1420,  1421,  1422,  1422,  1423,  1424,
    1424,  1424,  1424,  1424,  1425,  1425,  1425,  1425,  1425,  1425,
    1425,  1425,  1425,  1425,  1425,  1425,  1425,  1425,  1425,  1426,
    1426,  1427,  1427,  1428,  1428,  1428,  1430,  1429,  1431,  1431,
    1433,  1432,  1434,  1434,  1434,  1435,  1435,  1435,  1435,  1435,
    1435,  1435,  1435,  1435,  1435,  1436,  1436,  1437,  1437,  1437,
    1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,
    1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1437,  1438,
    1438,  1438,  1438,  1438,  1438,  1439,  1439,  1439,  1439,  1439,
    1439,  1439,  1440,  1441,  1441,  1441,  1441,  1441,  1441,  1441,
    1441,  1442,  1442,  1442,  1442,  1442,  1442,  1442,  1443,  1443,
    1443,  1443,  1443,  1443,  1444,  1444,  1444,  1444,  1444,  1444,
    1444,  1444,  1444,  1444,  1444,  1445,  1445,  1445,  1445,  1445,
    1445,  1445,  1445,  1446,  1446,  1446,  1446,  1446,  1446,  1446,
    1447,  1447,  1447,  1448,  1448,  1448,  1448,  1448,  1448,  1449,
    1449,  1450,  1451,  1451,  1452,  1452,  1453,  1454,  1455,  1456,
    1456,  1456,  1457,  1458,  1459,  1460,  1461,  1462,  1463,  1463,
    1464,  1464,  1465,  1465,  1465,  1466,  1466,  1467,  1467,  1468,
    1468,  1469,  1469,  1469,  1469,  1469,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,  1470,
    1470,  1470,  1471,  1471,  1471,  1471,  1472,  1472,  1472,  1472,
    1472,  1472,  1472,  1472,  1472,  1472,  1473,  1473,  1473,  1473,
    1474,  1474,  1475,  1475,  1476,  1476,  1477,  1477
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     0,     1,     0,     1,     0,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     5,     7,     1,
       3,     4,     4,     4,     3,     2,     5,     3,     6,     4,
       6,     6,     9,     5,     7,     6,     6,     5,     5,     5,
       5,     9,     4,     5,     7,     6,     4,     8,     4,     2,
       4,     3,     6,     4,     3,     3,     3,     2,     2,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     4,     3,     2,     2,
       3,     4,     4,     4,     5,     1,     3,     2,     2,     0,
       2,     0,     1,     1,     1,     3,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     1,     2,     1,     3,     2,
       3,     1,     1,     1,     1,     6,     6,    10,     1,     2,
       1,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     9,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     4,     3,     3,     2,     1,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     1,     3,     0,     1,     3,     1,    13,    16,    12,
      15,    14,    17,     1,     1,     2,     2,     2,     2,     1,
       0,     1,     0,     3,     0,     1,     3,     1,     3,     1,
       1,     1,     1,     1,     6,     2,     4,     2,     2,     1,
       0,     2,     2,     1,     0,     2,     0,     3,     1,     1,
       2,     2,     1,     4,     4,     5,     2,     5,     7,     5,
       2,     3,     0,     1,     2,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     9,     3,     9,     4,
      10,    11,     3,     1,     5,     3,     2,     0,     3,     0,
       1,     3,     1,     4,     0,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     3,     3,     4,     0,     1,
       0,     6,     1,     3,     3,     3,     5,     2,     0,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     8,    11,     1,     3,     1,     1,     3,     6,     8,
       6,     2,     3,     0,     8,    11,     5,     1,     0,     6,
       5,     8,     4,     6,     1,     0,     3,     0,     1,     2,
       2,     2,     1,     2,     3,     1,     2,     2,     2,     2,
       3,     3,     3,     1,     3,     1,     1,     0,     1,     2,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     1,     0,     7,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       1,     5,     2,     0,     2,     6,     6,     6,    10,     6,
       6,     6,     9,     9,     6,     6,     9,     6,     7,     2,
       2,     2,     2,     1,     2,     1,     0,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,    13,     2,     0,     2,     2,     1,
       0,     5,     4,     4,    11,    14,    12,    15,    11,     2,
       1,     4,     0,     8,    11,     1,     1,     7,     9,     8,
      10,     8,     4,     0,     5,     0,     2,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
       1,     1,    17,    21,     1,     1,     2,     1,     3,     1,
       1,     1,     3,     1,     2,     0,     1,     2,     4,     1,
       1,     1,     1,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     2,     0,     0,     2,     2,     1,     2,     2,     2,
       2,    11,    13,     1,     3,     5,     1,     3,     5,     1,
       2,     2,     1,     8,     6,     5,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     7,     5,     8,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     8,     6,     3,     0,    13,     1,     3,     5,
       5,     3,     6,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     6,     4,
       6,     8,     4,     6,     4,     6,     5,     7,     1,     1,
       1,     2,     1,     2,     1,     1,     1,     3,     3,     3,
       3,     1,     1,     1,     1,     1,     2,     2,     1,     3,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       2,     2,     3,     1,     3,     5,     2,     2,     0,     6,
       6,     6,     6,     6,     6,     6,     6,     8,     9,     8,
       6,     6,     9,     9,     9,     7,    10,     1,     1,     8,
       8,     8,     8,     8,     8,     8,     9,     8,     8,     2,
       0,     1,     1,     2,     2,     3,     4,     5,     4,     5,
       3,     4,     3,     4,     1,     2,     3,     3,     3,     3,
       4,     4,     3,     3,     4,     4,     4,     4,     1,     1,
       1,     0,     8,     8,    11,     1,     1,     2,     4,     5,
       1,     3,     2,     2,     2,     2,     2,     1,     3,     1,
       3,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       2,     2,     3,     2,     2,     2,     2,     5,     5,     5,
       5,     5,     1,     3,     1,     2,     3,     0,     5,     7,
       6,     9,     3,     1,     2,     1,     1,     1,     3,     0,
       5,     2,     0,     3,     3,     3,     7,     7,    10,     1,
       1,     1,     1,     1,     1,    16,    19,     1,     0,     2,
       0,     1,     3,     4,     5,     2,     2,     4,     4,     0,
       1,     3,     2,     0,     1,     1,     0,     2,     2,     0,
       9,    12,     7,     7,     2,     0,     3,     2,     1,     3,
       1,     3,     2,     1,     1,     2,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     2,     1,     3,     1,     0,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     2,     1,     2,     2,
       2,     2,     1,     1,     1,     3,     2,     1,     4,     0,
       3,     0,     1,     1,     3,     5,     2,     0,     2,     1,
       3,     5,     5,     5,     1,     2,     1,     0,     4,     6,
       4,     6,     4,     6,     4,     6,     4,     6,     3,     5,
       5,     5,     1,     3,     1,     3,     2,     2,     1,     2,
       1,     2,    11,    10,    10,     2,     2,     0,     9,     2,
       0,    10,    11,    11,     5,     5,     8,     5,     5,     5,
       1,     1,     1,     1,     3,     0,     5,     5,     6,     6,
       6,     6,     6,     8,     8,     6,     6,     7,     9,     9,
       8,    10,     6,     6,     6,     6,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     6,     8,     8,     8,
       8,     6,     9,     1,     0,     2,     0,     8,     8,     8,
      10,     9,     8,     1,     0,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     6,     6,     8,     6,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     7,     1,     3,     3,     3,     1,     1,     1,
       1,     1,     1,     7,     6,     6,     6,     6,     6,     6,
       7,     7,     6,     9,     9,     6,     6,     6,     6,     6,
       6,     8,     8,     8,     6,     7,     6,     6,     4,     7,
       6,     4,     4,     4,     3,     4,     3,     1,     1,     3,
       5,     5,     5,     5,     8,     5,     5,     6,     7,     7,
       7,     4,     4,     5,     4,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     3,     2,     0,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     2,     5,
       4,     3,     3,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     2,
       3,     0,     9,    11,    12,    14,     3,     4,     4,     0,
       2,     5,     1,     0,     1,     2,     3,     3,     3,     1,
       2,     1,     1,     1,     1,     1,     1,     0,     5,     4,
       6,     6,     4,     3,     5,     7,     9,     1,     3,     1,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     6,     4,     4,     2,     5,     2,     0,
       6,     5,     3,     5,     1,     3,     1,     1,     2,     1,
       1,     1,     1,     1,     0,     1,     0,     1,     0,     1,
       0,     1,     0,     3,     0,     2,     1,     3,     1,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     4,     3,     0,     1,     1,
       1,     1,     1,     4,    10,    13,     3,     0,     7,     1,
       3,     1,     4,     4,     7,     2,     1,     1,     1,     3,
       2,     8,     5,     0,     4,     3,     0,     3,     0,     7,
       2,     0,     5,     3,     0,     2,     2,     2,     3,     1,
       3,     1,     2,     1,     0,     1,     2,     0,     8,     1,
       3,     3,     5,     2,     1,     3,    10,     1,     2,     4,
       4,     4,     5,     5,     2,     5,     3,     5,     2,     0,
       3,     1,     2,     5,     5,     8,     3,     4,     7,     1,
       1,     0,     3,     2,     2,     2,     2,     0,     2,     2,
       1,     1,     3,     3,     1,     2,     4,     4,     2,     3,
       5,     5,     1,     1,     9,     9,     1,     2,     4,     4,
       4,     2,     2,     3,     1,     3,     9,     1,     2,     0,
       7,     7,     0,    10,     6,     0,     1,     0,     2,     1,
       0,     3,     3,     4,     4,     4,     4,     3,     2,     1,
       1,     0,     1,     1,     0,     1,     5,     1,     0,     1,
       0,     3,     1,     3,     4,     3,     2,     2,     1,     1,
       1,     0,     2,     4,     5,     6,     4,     5,     2,     3,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     4,     0,     1,     3,     1,     1,     1,     1,
       1,     2,     4,     4,     5,     2,     0,     1,     3,     1,
       0,     1,     2,     3,     2,     4,     2,     3,     2,     0,
       4,     5,     2,     0,     1,     3,     2,     3,     2,     3,
       2,     3,     2,     3,     1,     4,     2,     3,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       2,     0,     1,     4,     5,     4,     0,     2,     2,     2,
       1,     1,     0,     5,     2,     1,     1,     2,     2,     4,
       1,     3,     1,     2,     3,     6,     4,     0,     2,     6,
       2,     1,     3,     4,     0,     2,     0,     2,     0,     2,
       4,     0,     1,     0,     1,     3,     3,     7,    12,     1,
       3,     2,     3,     3,     1,     2,     2,     2,     2,     1,
       2,     1,     3,     3,     2,    13,     2,     0,     1,     3,
       3,     6,     7,     5,     7,     9,     1,     0,     2,     0,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     4,
       1,     2,     2,     1,     3,     3,     2,     1,     0,     5,
       2,     5,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     1,     3,     3,     5,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     3,     3,     2,     2,     3,
       5,     4,     6,     3,     5,     4,     6,     4,     6,     5,
       7,     3,     2,     4,     2,     3,     3,     4,     3,     4,
       3,     4,     5,     6,     6,     7,     6,     7,     3,     4,
       4,     6,     3,     3,     4,     3,     4,     4,     5,     4,
       5,     1,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       5,     6,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     1,     4,     3,     5,
       6,     8,     6,     6,     4,     4,     3,     1,     1,     1,
       1,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     6,     4,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     8,     4,     7,
       4,     6,     6,     4,     5,     4,     5,     3,    11,     8,
       9,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     1,     2,     0,     2,     2,     0,
       2,     3,     3,     4,     2,     2,     5,     0,     5,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     3,     3,     3,     0,     1,     4,     2,
       2,     2,     2,     2,     3,     2,     2,     3,     0,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     3,     3,     2,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     7,     5,     3,     5,     5,     3,     3,     5,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     2,     0,     1,     3,
       3,     2,     3,     2,     3,     4,     4,     3,     3,     0,
       2,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       3,     3,     6,     0,     3,     0,     2,     4,     2,     1,
       0,     5,     2,     5,     2,     0,     3,     0,     1,     2,
       2,     2,     2,     3,     2,     3,     2,     0,     1,     3,
       3,     3,     3,     3,     0,     3,     3,     0,     1,     3,
       7,     7,     3,     0,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     2,     4,     3,     2,
       1,     1,     1,     1,     1,     0,     8,     0,    11,     2,
       5,     3,     2,     2,     3,     7,     1,     1,     1,     0,
       2,     2,     1,     0,     1,     3,     1,     2,     0,     2,
       0,     2,     0,     1,     3,     4,     3,     1,     1,     1,
       1,     2,     0,     2,     4,     0,     2,     2,     2,     1,
       1,     3,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     5,
       5,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       3,     2,     2,     3,     0,     5,     1,     0,     5,     2,
       2,     1,     1,     1,     2,     2,     3,     1,     2,     2,
       3,     3,     4,     2,     1,     2,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     0,     1,     3,     5,     0,
       2,     0,     1,     2,     3,     2,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     2,     2,     3,     0,     1,
       2,     1,     4,     3,     4,     3,     2,     1,     3,     1,
       1,     1,     1,     2,     2,     1,     2,     2,     1,     1,
       1,     4,     4,     4,     4,     4,     1,     0,     3,     3,
       4,     1,     3,     3,     4,     1,     3,     3,     1,     1,
       1,     6,     1,     3,     3,     6,     1,     3,     3,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       4,     1,     1,     4,     4,     3,     0,     7,     1,     0,
       0,     7,     3,     4,     3,     1,     1,     1,     2,     3,
       5,     2,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     0,     1,     2,     1,     2,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     4,     0,     2,     2,     1,
       2,     1,     0,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38920 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1745 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38930 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1755 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38936 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38948 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38954 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38960 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38966 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38972 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38978 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38984 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38990 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38996 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39002 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39008 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39014 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39020 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39026 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39032 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39038 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39044 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39050 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39056 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39068 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39074 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39080 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39092 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39098 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39104 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39116 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39122 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39128 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39140 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1825 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 39162 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1843 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39168 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1845 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1847 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39180 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1849 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39186 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39192 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1853 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1855 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39204 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1857 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39210 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39216 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1861 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39228 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1865 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1867 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39240 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1869 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39246 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39252 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1873 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39258 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1875 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39264 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1877 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39270 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39276 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1881 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39282 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39288 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1885 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39294 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1887 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39300 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1889 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39312 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1893 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1895 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39324 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1897 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1899 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39336 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1901 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39342 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1903 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39348 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1905 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1907 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39360 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1909 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39366 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1911 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1913 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39378 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1915 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 39386 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1919 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0); }
#line 39392 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39398 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1923 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39404 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1925 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 39410 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1927 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39416 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39422 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1931 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39434 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1935 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39440 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1937 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39446 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1939 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39452 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1941 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39458 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1943 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39464 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1945 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39470 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1947 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39476 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1949 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39482 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1951 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].exec).name);
		if ((yyvsp[0].exec).type == NULL || strlen((yyvsp[0].exec).type) == 0)
			output_statement((yyvsp[0].exec).name, 1, ECPGst_execute);
		else
		{
			if ((yyvsp[0].exec).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].exec).name), &no_indicator);
			else
			{
				/* case of ecpg_ident or CSTRING */
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].exec).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(3, mm_strdup("execute"), mm_strdup("$0"), (yyvsp[0].exec).type), 0, ECPGst_exec_with_exprlist);
		}
	}
#line 39510 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1975 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1977 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1979 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39528 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39534 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1983 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1985 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1987 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39552 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1989 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39558 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1991 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1993 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39570 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1995 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39576 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1997 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39582 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 2001 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].prep).name);
		if ((yyvsp[0].prep).type == NULL)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else if (strlen((yyvsp[0].prep).type) == 0)
		{
			char *stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].prep).stmt, mm_strdup("\""));
			output_prepare_statement((yyvsp[0].prep).name, stmt);
		}
		else
		{
			if ((yyvsp[0].prep).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].prep).name), &no_indicator);
			else
			{
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].prep).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(5, mm_strdup("prepare"), mm_strdup("$0"), (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_prepare);
		}
	}
#line 39620 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 2029 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39626 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 2031 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39632 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39638 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 2035 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39644 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 2039 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39656 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39662 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 2043 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39668 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39674 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 2047 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39680 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39686 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 2051 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39696 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 2057 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39702 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39708 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39714 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 2063 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39720 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39726 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 2067 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39732 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39738 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 2071 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39744 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 2073 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 39754 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 2079 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39768 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 2089 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39776 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 2093 "preproc.y" /* yacc.c:1646  */
    {
		 output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 39784 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 2097 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 39794 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 2103 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 2107 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].describe).stmt_name);

		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %d, %s, %s,", compat, (yyvsp[0].describe).input, connection ? connection : "NULL", (yyvsp[0].describe).stmt_name);
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].describe).stmt_name);
	}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 2119 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39832 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 39838 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 2130 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39856 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 2144 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 39867 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 2151 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 39877 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 2157 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 39892 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 2168 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39902 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2174 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39915 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2183 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 39926 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2190 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2196 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 39949 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2205 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39960 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2212 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39971 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 39977 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39985 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39992 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40000 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40007 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 40015 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40022 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 40030 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 40038 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40045 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 40053 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40061 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 40069 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 40077 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40084 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40092 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40099 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40107 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40114 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 40122 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2338 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 40147 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 40155 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 40163 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 40171 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 40179 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40187 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40195 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 40203 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 40211 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 40219 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 40227 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 40235 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40243 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40251 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40259 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40266 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 40274 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40282 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40290 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40298 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40306 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 40314 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 40322 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 40330 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 40338 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40362 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 40386 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40394 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40402 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40410 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40418 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40426 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40441 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40449 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40465 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40473 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40481 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40489 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 40497 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 40505 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 40513 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 40521 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40529 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40537 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40545 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 40553 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 40561 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40569 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 40577 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 40585 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2625 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 40594 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40602 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 40610 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 40618 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 40626 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 40634 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 40642 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 40650 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40658 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 40666 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40674 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40682 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40690 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40704 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 40712 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 40720 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 40728 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 40736 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 40744 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 40752 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 40760 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40768 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40776 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40784 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40792 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40800 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40808 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40816 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 40824 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40832 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40840 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40847 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40855 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40863 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 40871 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40879 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 40887 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 40895 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 40903 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40911 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40919 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40927 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40935 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40943 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40951 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 40959 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 40967 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 40975 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 40983 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2883 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 40992 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41008 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41016 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 41024 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 41032 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 41040 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 41048 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 41056 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 41064 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 41072 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 41080 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41088 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41096 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41104 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41112 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41120 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41128 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41136 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41144 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41152 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41160 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41168 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 3000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41176 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 3004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41184 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 3008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41192 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 3012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41200 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 3016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41208 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41216 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41224 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41232 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41240 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 3036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41248 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 3044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41256 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41264 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 3056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41272 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 3060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41280 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 3064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),mm_strdup("finalize"));
}
#line 41288 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 3072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 41296 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 41304 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 41312 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 3088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 41320 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 3092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 41328 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 3096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41336 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 3100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41344 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 3104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41352 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 3108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("set expression as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41360 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 3112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop expression"));
}
#line 41368 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 3116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop expression if exists"));
}
#line 41376 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 3120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41384 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 3124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41392 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 3128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41400 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 3132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 41408 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41416 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 3140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41424 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 41432 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 3148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41440 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 41448 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 41456 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41464 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41472 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41480 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41488 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 41496 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 3180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41504 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41512 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41520 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 3192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41528 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 41536 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 41544 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 41552 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 41560 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 41568 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 41576 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 41584 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 41592 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 41600 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 41608 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 41616 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 41624 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 41632 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 41640 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 41648 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 41656 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 41664 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 41672 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 41680 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 41688 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 41696 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set access method"),(yyvsp[0].str));
}
#line 41712 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41720 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 41728 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 41736 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 41744 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 41752 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 41760 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 41768 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 41776 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41784 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 41792 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 41800 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 41808 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41815 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41823 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41830 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 41838 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41846 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41854 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 41862 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41870 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41878 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41885 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41893 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41917 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41925 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41949 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 41957 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41965 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 41973 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41989 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41997 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42005 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42013 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42021 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42029 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42037 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42045 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42053 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42061 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42069 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42077 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42085 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42093 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42101 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42109 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42117 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42125 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3569 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = NULL;
		for (ptr = cur; ptr != NULL; ptr = ptr -> next)
		{
			if (strcmp((yyvsp[0].str), ptr -> name) == 0)
			{
				if (ptr -> connection)
					connection = mm_strdup(ptr -> connection);

				break;
			}
		}
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 42145 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 42153 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3593 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42165 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42173 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 42181 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 42189 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 42197 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42204 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42212 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 42220 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 42228 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42252 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42259 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42267 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42299 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 42307 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42315 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42323 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 42331 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 42339 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 42347 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force not null *");
}
#line 42355 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 42363 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force null *");
}
#line 42371 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 42379 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42387 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42394 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 42402 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42409 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 42417 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42424 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42432 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42440 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42448 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42456 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42464 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42472 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42480 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42488 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42495 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42503 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42511 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42519 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42543 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42551 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42559 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("table if not exists"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42567 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 42591 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 42599 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 42607 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 42615 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 42623 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42630 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42638 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42645 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42653 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42660 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42668 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42676 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42684 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42692 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42700 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("compression"),(yyvsp[0].str));
}
#line 42764 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression default");
}
#line 42772 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 4004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42780 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 4008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42787 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 4015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 42795 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 4019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage default");
}
#line 42803 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 4027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42811 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 4031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42818 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 4038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42826 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42833 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42841 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42849 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42857 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42865 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 42873 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42881 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("unique"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42889 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42897 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42905 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 42913 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 42921 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("generated"),(yyvsp[-5].str),mm_strdup("as ("),(yyvsp[-2].str),mm_strdup(") stored"));
}
#line 42929 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42937 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls distinct");
}
#line 42945 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls not distinct");
}
#line 42953 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42960 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 42968 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 42976 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 42984 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 42992 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 43000 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 43008 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43016 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 43024 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 43032 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43039 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43047 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("unique"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not null"),(yyvsp[0].str));
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43238 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43246 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43253 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43261 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43269 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43277 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43285 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 43309 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 43317 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43332 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43371 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43379 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43387 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43395 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43403 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 43418 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43442 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43450 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set null"),(yyvsp[0].str));
}
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43474 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43481 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43489 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43496 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43504 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43512 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43520 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43528 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43536 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43544 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 43552 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43559 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43567 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 43575 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43582 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 43590 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 43598 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 43606 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43613 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 43621 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43628 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 43636 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43643 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 43651 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43659 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43667 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43675 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43683 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43691 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43699 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43707 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 43715 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics if exists"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 43723 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43731 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 43739 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 43747 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43762 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43793 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43801 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43809 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43817 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43825 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43833 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43841 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43848 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43856 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43863 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43871 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43879 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43887 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 43895 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 43903 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 43911 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43919 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 43927 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 43935 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 43943 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 43951 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 43959 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 43967 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 43975 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43983 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 43991 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43999 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 44007 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 44015 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44022 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44030 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44038 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44046 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44054 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44062 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44070 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 44078 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44086 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 44094 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44101 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44109 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44117 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 44125 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44132 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 44140 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44163 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 44171 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44201 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 44209 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 44217 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44225 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44233 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44241 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44248 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 44256 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 44264 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5020 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 44273 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 44281 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 44289 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44304 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 44368 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44376 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44384 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 44392 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 44400 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 44408 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 44416 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44424 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 44432 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 44440 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 44448 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 44456 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44464 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44472 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44480 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44487 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44495 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44503 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44511 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44518 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44526 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44534 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44542 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44550 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44558 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 44582 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 44590 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44614 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44622 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44630 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 44638 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44645 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 44653 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 44661 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44669 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44676 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44692 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44700 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44708 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44716 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44724 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44732 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44764 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44771 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44779 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44787 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44795 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44803 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 44811 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 44819 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44827 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44835 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44843 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44851 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44866 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44873 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44881 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44888 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44896 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44903 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 44911 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44918 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 44926 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44933 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 44941 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 44949 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 44957 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 44973 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),mm_strdup("handler"),(yyvsp[0].str));
}
#line 44981 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 44997 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45005 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(18,mm_strdup("create"),(yyvsp[-19].str),mm_strdup("constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 45021 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 45037 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45108 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45116 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45187 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 45195 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45202 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45210 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45218 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45233 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 45241 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 45249 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45257 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45265 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45272 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45280 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45288 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45296 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45304 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45312 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45319 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45326 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45334 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45342 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45350 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 45358 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 45366 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 45374 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 45382 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45390 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45398 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45406 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45414 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45422 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 45430 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 45438 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45446 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 45454 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 45462 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 45470 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 45478 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45487 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45495 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45503 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45511 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45519 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 45527 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45535 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45543 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 45551 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45559 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45567 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45575 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45583 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45591 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45599 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45607 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45615 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45623 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45631 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45639 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45647 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45655 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45663 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45671 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45679 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45687 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45695 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 45703 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45711 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45719 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45727 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45735 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45743 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45750 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45758 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45766 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45774 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 45782 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 45798 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6094 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("drop value"),(yyvsp[0].str));
}
#line 45807 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 45815 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45822 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45830 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45838 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45846 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45854 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45862 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45870 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45878 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 45886 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 45894 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 45909 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45916 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 45924 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 45932 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45939 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 45948 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45955 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 45963 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 45971 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 45979 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45987 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45995 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46003 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46011 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46019 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46027 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46035 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46043 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46051 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 46059 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46067 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46075 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46083 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46091 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46099 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46107 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46115 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46123 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46131 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46139 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46147 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46155 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46163 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 46171 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 46179 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 46187 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 46195 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 46203 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 46211 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 46219 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 46227 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 46235 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 46251 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 46259 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 46291 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 46299 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 46307 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 46315 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 46323 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 46331 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 46339 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 46347 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 46355 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 46363 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 46371 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 46379 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 46387 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46395 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46403 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46411 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46419 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46427 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 46435 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46443 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46451 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46459 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 46467 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 46475 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46514 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46522 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46546 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46554 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46562 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("comment on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46570 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46578 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46586 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46594 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46602 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46610 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46618 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 46626 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46634 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46642 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46650 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46658 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46666 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46674 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46682 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46690 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46698 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46722 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 46761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 46769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6709 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 46777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6713 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 46790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6722 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
			if (ptr -> connection)
				connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 46803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6731 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 46816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6740 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6749 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 46842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6758 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 46855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6767 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 46868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6776 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 46881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 46899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6803 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6817 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6831 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6845 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6859 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6873 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6892 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6911 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6944 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6963 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6977 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 47166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 47174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("grant"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke grant option for"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 47277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 47285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter system");
}
#line 47301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 47373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 47381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 47389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 47437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parameter"),(yyvsp[0].str));
}
#line 47445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 47453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 47461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 47477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 47485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("grant"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),mm_strdup("with"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-7].str),mm_strdup("option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 47682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 47690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 47698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 47730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 47738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 47746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 47754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 47762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 47770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("index"),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-17].str),mm_strdup("index"),(yyvsp[-15].str),mm_strdup("if not exists"),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 47794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 47809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 47911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 47926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 47934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 47949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("procedure"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 48027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 48107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 48171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 48179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 48187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 48195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 48203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 48235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 48243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 48259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 48283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 48386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 48394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 48418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 48426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 48434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 48442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 48450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 48458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 48474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 48482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("support"),(yyvsp[0].str));
}
#line 48498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 48514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 48522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 48530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 48538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 48546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("return"),(yyvsp[0].str));
}
#line 48578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin atomic"),(yyvsp[-1].str),mm_strdup("end"));
}
#line 48594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(";"));
}
#line 48609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 48640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 48648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 48656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 48854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 48870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 48902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 48934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 48950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 48958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 48966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 48974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),mm_strdup("schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 49131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 49139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 49587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 49602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter procedure"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter routine"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 49665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 49920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 49992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-4].str),mm_strdup("for all tables"),(yyvsp[0].str));
}
#line 50192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create publication"),(yyvsp[-3].str),mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("table"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tables in schema"),(yyvsp[0].str));
}
#line 50216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables in schema current_schema");
}
#line 50224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 50288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 50304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 50328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 50336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("add publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("drop publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 50368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 50376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("skip"),(yyvsp[0].str));
}
#line 50384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 50416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 50440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 50519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 50574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 50589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 50597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 50605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("abort"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 50621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("commit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollback"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 50645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 50653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 50661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 50669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 50677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 50685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 50693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 50701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("end"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 50725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 50733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 50756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and chain");
}
#line 50827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and no chain");
}
#line 50835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 50882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 50890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 50898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 50913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 50976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 50992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 51000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 51040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 51055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 51071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("refresh collation version"));
}
#line 51079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 51095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 51103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database if exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 51143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 51151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 51159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 51167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 51191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 51199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 51207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 51231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 51239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 51294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 51302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 51310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 51318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cluster ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 51358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 51366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 51374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 51437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 51445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 51477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 51523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 51538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 51553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 51622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 51638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9954 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = (yyvsp[0].exec).name;
	}
#line 51726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9962 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 51736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9968 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 51746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10013 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = (yyvsp[-2].str);
		(yyval.exec).type = (yyvsp[-1].str);
	}
#line 51810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10018 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 51818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10022 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 51826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 51865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 51881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 51897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 51905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 51913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 51921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 51961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 51984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 51999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 52022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 52045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 52060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 52068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 52076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 52084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 52092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 52100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 52108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 52116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 52147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 52186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 52194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,(yyvsp[-9].str),mm_strdup("merge into"),(yyvsp[-6].str),mm_strdup("using"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 52274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 52282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when matched");
}
#line 52290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched by source");
}
#line 52298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched");
}
#line 52306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched by target");
}
#line 52314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("and"),(yyvsp[0].str));
}
#line 52322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update set"),(yyvsp[0].str));
}
#line 52337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 52345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("insert"),(yyvsp[0].str));
}
#line 52353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("insert overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("insert ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("insert ("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert default values");
}
#line 52385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10437 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

                if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                        mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection ? mm_strdup(connection) : NULL;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 52444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10492 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 52464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 52479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 52487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 52495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("asensitive"));
}
#line 52503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 52511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10531 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 52522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 52530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 52538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 52682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 52714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 52722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 52730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 52762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not materialized");
}
#line 52770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("search depth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 52785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("search breadth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 52793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("cycle"),(yyvsp[-8].str),mm_strdup("set"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),mm_strdup("default"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 52808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("cycle"),(yyvsp[-4].str),mm_strdup("set"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 52816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10746 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 52847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 52924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 52940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 52963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 52978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 53024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 53111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10926 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 53120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 53128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 53136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 53144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 53152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 53160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 53184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 53208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 53216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 53240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 53248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 53256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 53264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11035 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("group by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 53343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 11090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 11098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 11106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 11114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 53375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 11118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 11125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 11129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 53398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 11137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 11141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 53445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 53453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 11176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 53461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 11180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 53469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 11188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 53477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 11199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 53508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 11222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 11226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 11234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 11238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 11242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 11246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 11254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 11258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 53643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 53667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 53675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 53691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 53730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 53784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 53792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 53800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 53808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 53816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("using ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 53839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 53863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 53871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 53919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 54005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 54020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 54035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11566 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 54044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 54146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 54178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 54186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 54194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("path"),(yyvsp[0].str));
}
#line 54202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 54226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 54234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("json_table ("),(yyvsp[-10].str),mm_strdup(","),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("columns ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 54281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("nested"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("columns ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("nested"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup("columns ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 54329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("path"),(yyvsp[0].str));
}
#line 54344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11790 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 54357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11792 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 54363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 54371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 54379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 54387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 54395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11814 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 54409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11824 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 54423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11834 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 54433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 54576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 54584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 54592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 54600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 54608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 54616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 54624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 54632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 54640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 54648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 54656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 12002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 12010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 12018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 54719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 12026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 12030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 12038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 12042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 12050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 12058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 12066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 54775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 12070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 54783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 12074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 54791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 12078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 54799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 12082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 54807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 12086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 54815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 12094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 54823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 12098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 12105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 12109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 54846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 12113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 12117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 54862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 12125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 54870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 12133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 54878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 12137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 54886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 12141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 54901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 54909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 54917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 54925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 54933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 54949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 54957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 54965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 54973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 54981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 54989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 54997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 55004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 12207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 55012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 12211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 12219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 55028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 12227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 12231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 55044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 12235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 55052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 12239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 55060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 12243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("at local"));
}
#line 55068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 12247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 12251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 12255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 55092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 12259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 55100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 12263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 55108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 12267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 55116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 12271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 55124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 12275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 55132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 12279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 55140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 12283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 55148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 12287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 55156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 12291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 55164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 12295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 55172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 12299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 55180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 12303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 12307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 12311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 12315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 55212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 12319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 55220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 12323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 55228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 12327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 55236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 12331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 12335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 55252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 12339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 12343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 55268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 12347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 12351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 55284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 12355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 12359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 55300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 12363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 55316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 55332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 55340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 55348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 55356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 55364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 55372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 55380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 55388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 55396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 55404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 55412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 55420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 55428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 55468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 55476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12459 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 55509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 55517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is normalized"));
}
#line 55525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 55533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not normalized"));
}
#line 55541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 55549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 55573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 55589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 55621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 55629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 55637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 55645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 55653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 55661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 55669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 55677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 55685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 55693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 55701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 55725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 55733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 55741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 55749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 55781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 55821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 55829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 55837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 55869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 55917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 55981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 55989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 56005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 56021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 56037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 56053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 56061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 56069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 56077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 56085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 56093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 56101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("normalize ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("normalize ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlserialize ("),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_object ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_object ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_object ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("json_array ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("json_array ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_array ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("json ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_scalar ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("json_serialize ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action ( )");
}
#line 56421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("json_query ("),(yyvsp[-8].str),mm_strdup(","),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("json_exists ("),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("json_value ("),(yyvsp[-6].str),mm_strdup(","),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 56453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 56461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 56469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 56477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 56485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 13003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 13007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 56516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 13015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 56524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 13019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 56540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 56548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 13039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 56556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 13043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no indent");
}
#line 56564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 13047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 13054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 56579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 13058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 56587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 13062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 56602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 13073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 13077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 13081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("passing"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 13089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by ref");
}
#line 56634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 13093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by value");
}
#line 56642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 13101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 13105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 13112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 13116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 13123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 56680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 13127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 56703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 56711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 13154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 56719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 13158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 56727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 13162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 13169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 13177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 13181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 13188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 56765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 13199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 13203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 13207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 13211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 13218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 13222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 56819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 13230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 56827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 13234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 56835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 56843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 56851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 56859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 56867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 56875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 56883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 56891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 56914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 56938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 56954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 56962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 56970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 56994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 57002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 57010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 57018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 57026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 57034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 57042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 57050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 57058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 57066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 57074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 57082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 57138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 57146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 57154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 57162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 57210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 57218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 57273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 57313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 57321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 57329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 57337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 57345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 57353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 57369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 57377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 57385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 57393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),mm_strdup("placing"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("placing"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 57417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("for"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("similar"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 57457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 57473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 57505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 57529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 57537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 57583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 57591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 57661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 57676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 57707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without wrapper");
}
#line 57715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without array wrapper");
}
#line 57723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with wrapper");
}
#line 57731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with array wrapper");
}
#line 57739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with conditional array wrapper");
}
#line 57747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unconditional array wrapper");
}
#line 57755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with conditional wrapper");
}
#line 57763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unconditional wrapper");
}
#line 57771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 57786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 57802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 57810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 57818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 57826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 57834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty array");
}
#line 57842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty object");
}
#line 57850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 57858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on empty"));
}
#line 57866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on error"));
}
#line 57874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("on empty"),(yyvsp[-2].str),mm_strdup("on error"));
}
#line 57882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on error"));
}
#line 57897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("format json encoding"),(yyvsp[0].str));
}
#line 57920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format json");
}
#line 57928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep quotes on scalar string");
}
#line 57951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep quotes");
}
#line 57959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit quotes on scalar string");
}
#line 57967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit quotes");
}
#line 57975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 14001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("returning"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 14005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 14012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 58005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 14016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json value");
}
#line 58013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 14020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json array");
}
#line 58021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 14024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json object");
}
#line 58029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 14028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json scalar");
}
#line 58037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 14036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unique keys");
}
#line 58045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 14040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unique");
}
#line 58053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 14044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without unique keys");
}
#line 58061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 14048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without unique");
}
#line 58069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 14052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 14059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 14071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 58100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 14075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":"),(yyvsp[0].str));
}
#line 58108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 14083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null on null");
}
#line 58116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 14087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent on null");
}
#line 58124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 14091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 14098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null on null");
}
#line 58139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 14102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent on null");
}
#line 58147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 14106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 14113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 14117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 14125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_objectagg ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 58178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 14129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_arrayagg ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 58186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 14137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 58194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 14141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 14152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 14171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 58240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 14179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 14183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 58264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 14191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 14195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 14203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 14207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 14215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 14219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 14227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 14235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 14243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 14251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 14255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 14263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 14267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 14271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 14275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 14279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 14283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 14287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 58408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 14291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 14295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 14299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 58432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 14303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 58440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 14307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 58448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 14311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 58456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 14314 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 14315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 14321 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 14327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 14330 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 14332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 58496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 14336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 58504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 14344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 14352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 14356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 58528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 14360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 58536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 14364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 58544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 14384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 14392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 14404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 14416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 58616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 14420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent");
}
#line 58624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 14424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 58632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 58640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 58648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 14436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 58656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 58664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 14444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 58672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 14448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 58680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 58688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 58696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 14460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 58704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 58712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 14468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 58720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 58728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 14476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 58736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 14480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("atomic");
}
#line 58744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 14484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 58752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 14488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 58760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 14492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 58768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 14496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 58776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 58784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("breadth");
}
#line 58792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 58800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 58808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 58816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 58824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 58832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 58840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 58848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 58856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 58864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 58872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 58880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 58888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 58896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 58904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 58912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 58920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 58928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 58936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 58944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conditional");
}
#line 58952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 58960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 58968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 58976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 58984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 58992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 59000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 59008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 59016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 59024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 59032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 59040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 59048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 59056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 59064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 59072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 59080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 59088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 59096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 59104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 59112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 59120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 59128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 59136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depth");
}
#line 59144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 59152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 59160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 59168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 59176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 59184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 59192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 59200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 59208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 59216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 59224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 59232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 59240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 59248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 59256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 59264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 59272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 59280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 59288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 59296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 59304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 59312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 59320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 59328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 59336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 59344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 59352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 59360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("finalize");
}
#line 59368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 59376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 59384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 59392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 59400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 59408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 59416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 59424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 59432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 59440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 59448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 59456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 59464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 59472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 59480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 59488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 59496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 59504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 59512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 59520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 59528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 59536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 59544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 59552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 59560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 59568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 59576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 59584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 59592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 59600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 59608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 59616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 59624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 59632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 59640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep");
}
#line 59648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 59656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keys");
}
#line 59664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 59672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 59680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 59688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 59696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 59704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 59712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 59720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 59728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 59736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 59744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 59752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 59760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 59768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 59776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 15000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 59784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 15004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("matched");
}
#line 59792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 15008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 59800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 59808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 15016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge");
}
#line 59816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 15020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 59824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 15024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 59832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 15028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 59840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 15032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 59848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 15036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 59856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 15040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 59864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 15044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nested");
}
#line 59872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 15048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 59880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 15052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 59888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 59896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 15060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 59904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 15064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 59912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 15068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 59920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 15072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 59928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 15076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 59936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 15080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 59944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 15084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 59952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 15088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 59960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 15092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 59968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 15096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 59976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 15100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 59984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 15104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 59992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 15108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 60000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 15112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 60008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 15116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit");
}
#line 60016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 15120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 60024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 15124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 60032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 15128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 60040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 15132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 60048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 15136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 60056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 15140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 60064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 15144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 60072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 15148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 60080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 15152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 60088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 15156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 60096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 15160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parameter");
}
#line 60104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 15164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 60112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 60120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 60128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 15176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 60136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 15180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 60144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 15184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 60152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 15188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plan");
}
#line 60160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 15192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 60168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 15196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 60176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 15200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 60184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 15204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 60192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 15208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 60200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 15212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 60208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 15216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 60216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 15220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 60224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 15224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 60232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 15228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 60240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 15232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 60248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 15236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 60256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 15240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 60264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 15244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 60272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 15248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quotes");
}
#line 60280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 15252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 60288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 15256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 60296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 15260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 60304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 15264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 60312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 15268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 60320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 15272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 60328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 15276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 60336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 15280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 60344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 15284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 60352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 15288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 60360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 15292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 60368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 15296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 60376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 15300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 60384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 15304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 60392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 15308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 60400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 15312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 60408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 15316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 60416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 15320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 60424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 15324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("return");
}
#line 60432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 15328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 60440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 15332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 60448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 60456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 60464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 60472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 60480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 60488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 60496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 60504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 60512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scalar");
}
#line 60520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 60528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 60536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 60544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 60552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 60560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 60568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 60576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 60584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 60592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 60600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 60608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 60616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 60624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 60632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 60640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 60648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 60656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("source");
}
#line 60664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 60672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 60680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 60688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 60696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 60704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 60712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 60720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 60728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 60736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 60744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 60752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("string");
}
#line 60760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 60768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 60776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 60784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 60792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 60800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 60808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 60816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("target");
}
#line 60824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 60832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 60840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 60848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 60856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 60864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 60872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 60880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 60888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 60896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 60904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 60912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 60920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 60928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 60936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 60944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unconditional");
}
#line 60952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 60960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 60968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 60976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 60984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 60992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 61000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 61008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 61016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 61024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 61032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 61040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 61048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 61056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 61064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 61072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 61080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 61088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 61096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 61104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 61112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 61120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 61128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 61136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 61144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 61152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 61160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 61168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 61176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 61184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 61192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 61200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 61208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 61216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 61224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 61232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 61240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 61248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 61256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 61264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 61272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 61280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 61288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_array");
}
#line 61296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_arrayagg");
}
#line 61304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_exists");
}
#line 61312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_object");
}
#line 61320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_objectagg");
}
#line 61328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_query");
}
#line 61336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_scalar");
}
#line 61344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_serialize");
}
#line 61352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_table");
}
#line 61360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_value");
}
#line 61368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 61376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action");
}
#line 61384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 61392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 61400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 61408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 61416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 61424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 61432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 61440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 61448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 61456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 61464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 61472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 61480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 61488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 61496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 61504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 61512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 61520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 61528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 61536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 61544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 61552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 61560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 61568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 61576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 61584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 61592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 61600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 61608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 61616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 61624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 61632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 61640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 61648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 61656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 61664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 61672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 61680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 61688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 61696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 61704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 61712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 61720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 61728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 61736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 61744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 61752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 61760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 16000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 61768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 16004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 61776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 16008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 61784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 16012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 61792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 16016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 61800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 16020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 61808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 16024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 61816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 16032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 61824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 16036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 61832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 16040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 61840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 16044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 61848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 16048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 61856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 16052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 61864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 16056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 61872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 16060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 61880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 16064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 61888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 16068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 61896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 16072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 61904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 16076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 61912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 16080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 61920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 16084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 61928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 16088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 61936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 16092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 61944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 16096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 61952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 16100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 61960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 16104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 61968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 16108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 61976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 16112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 61984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 16116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 61992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 16120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 62000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 16124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 62008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 16128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 62016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 16132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 62024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 16136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 62032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 16140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 62040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 16144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 62048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 16148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 62056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 16152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 62064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 62072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 62080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 62088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 62096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 62104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 62112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 62120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 62128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 62136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 62144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 62152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 62160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 62168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 62176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 62184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 62192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 62200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 62208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 62216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 62224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 62232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 62240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 62248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 62256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 62264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 62272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 62280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 62288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 62296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 62304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 62312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 62320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 62328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 62336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 62344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 62352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 62360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 62368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 62376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 62384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 62392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 62400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 62408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 62416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 62424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 62432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent");
}
#line 62440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 62448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 62456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 62464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 62472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 62480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 62488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 62496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 62504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 62512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 62520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 62528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 62536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 62544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 62552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 62560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 62568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 62576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 62584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 62592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 62600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 62608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("atomic");
}
#line 62616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 62624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 62632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 62640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 62648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 62656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 62664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 62672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 62680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 62688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 62696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 62704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 62712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("breadth");
}
#line 62720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 62728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 62736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 62744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 62752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 62760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 62768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 62776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 62784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 62792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 62800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 62808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 62816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 62824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 62832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 62840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 62848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 62856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 62864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 62872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 62880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 62888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 62896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 62904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 62912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 62920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 62928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 62936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conditional");
}
#line 62944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 62952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 62960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection");
}
#line 62968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 62976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 62984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 62992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 63000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 63008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 63016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 63024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 63032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 63040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 63048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current");
}
#line 63056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 63064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 63072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 63080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 63088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 63096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 63104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 63112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 63120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 63128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 63136 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 63144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 63152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 63160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 63168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 63176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 63184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 63192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 63200 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 63208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 63216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 63224 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 63232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 63240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 63248 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depth");
}
#line 63256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 63264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 63272 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 63280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 63288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 63296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 63304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 63312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 63320 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 63328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 63336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 63344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 63352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 63360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 63368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 63376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 63384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 63392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 63400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 63408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 63416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 63424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 63432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 63440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 63448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 63456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 63464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 63472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 63480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 63488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 63496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 63504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 63512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 63520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 63528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("finalize");
}
#line 63536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 63544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 63552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 63560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 63568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 63576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 63584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 63592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 63600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 63608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 63616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 63624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 63632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 63640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 63648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 63656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 63664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 63672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 63680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 63688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 63696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 63704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 63712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 63720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 63728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 16992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 63736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 16996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 63744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 17000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 63752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 17004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 63760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 17008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 63768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 17012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 63776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 17016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 63784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 17020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 63792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 17024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 63800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 17028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 63808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 17032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 63816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 17036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 63824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 17040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 63832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 17044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 63840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 17048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 63848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 17052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 63856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 17056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("input");
}
#line 63864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 17060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 63872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 17064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 63880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 17068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 63888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 17072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 63896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 17076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 63904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 17080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 63912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 17084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 63920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 17088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 63928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 17092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 63936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 17096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 63944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 17100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 63952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3134:
#line 17104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_array");
}
#line 63960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3135:
#line 17108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_arrayagg");
}
#line 63968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3136:
#line 17112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_exists");
}
#line 63976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3137:
#line 17116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_object");
}
#line 63984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3138:
#line 17120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_objectagg");
}
#line 63992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3139:
#line 17124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_query");
}
#line 64000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3140:
#line 17128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_scalar");
}
#line 64008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3141:
#line 17132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_serialize");
}
#line 64016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3142:
#line 17136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_table");
}
#line 64024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3143:
#line 17140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_value");
}
#line 64032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3144:
#line 17144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep");
}
#line 64040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3145:
#line 17148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 64048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3146:
#line 17152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keys");
}
#line 64056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3147:
#line 17156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 64064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3148:
#line 17160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 64072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3149:
#line 17164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 64080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3150:
#line 17168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 64088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3151:
#line 17172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 64096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3152:
#line 17176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 64104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3153:
#line 17180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 64112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3154:
#line 17184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 64120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3155:
#line 17188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 64128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3156:
#line 17192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 64136 "preproc.c" /* yacc.c:1646  */
    break;

  case 3157:
#line 17196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 64144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3158:
#line 17200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 64152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3159:
#line 17204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 64160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3160:
#line 17208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 64168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3161:
#line 17212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 64176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3162:
#line 17216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 64184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3163:
#line 17220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 64192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3164:
#line 17224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 64200 "preproc.c" /* yacc.c:1646  */
    break;

  case 3165:
#line 17228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 64208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3166:
#line 17232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 64216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3167:
#line 17236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 64224 "preproc.c" /* yacc.c:1646  */
    break;

  case 3168:
#line 17240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 64232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3169:
#line 17244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("matched");
}
#line 64240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3170:
#line 17248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 64248 "preproc.c" /* yacc.c:1646  */
    break;

  case 3171:
#line 17252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 64256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3172:
#line 17256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge");
}
#line 64264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3173:
#line 17260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action");
}
#line 64272 "preproc.c" /* yacc.c:1646  */
    break;

  case 3174:
#line 17264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 64280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3175:
#line 17268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 64288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3176:
#line 17272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 64296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3177:
#line 17276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 64304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3178:
#line 17280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 64312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3179:
#line 17284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 64320 "preproc.c" /* yacc.c:1646  */
    break;

  case 3180:
#line 17288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 64328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3181:
#line 17292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 64336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3182:
#line 17296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 64344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3183:
#line 17300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nested");
}
#line 64352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3184:
#line 17304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 64360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3185:
#line 17308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 64368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3186:
#line 17312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 64376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3187:
#line 17316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 64384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3188:
#line 17320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 64392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3189:
#line 17324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 64400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3190:
#line 17328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 64408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3191:
#line 17332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 64416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3192:
#line 17336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 64424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3193:
#line 17340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 64432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3194:
#line 17344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 64440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3195:
#line 17348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 64448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3196:
#line 17352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 64456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3197:
#line 17356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 64464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3198:
#line 17360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 64472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3199:
#line 17364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 64480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3200:
#line 17368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 64488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3201:
#line 17372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 64496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3202:
#line 17376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 64504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3203:
#line 17380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 64512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3204:
#line 17384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 64520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3205:
#line 17388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 64528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3206:
#line 17392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 64536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3207:
#line 17396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit");
}
#line 64544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3208:
#line 17400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 64552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3209:
#line 17404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 64560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3210:
#line 17408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 64568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3211:
#line 17412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 64576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3212:
#line 17416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 64584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3213:
#line 17420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 64592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3214:
#line 17424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 64600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3215:
#line 17428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 64608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3216:
#line 17432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 64616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3217:
#line 17436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 64624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3218:
#line 17440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 64632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3219:
#line 17444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 64640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3220:
#line 17448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 64648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3221:
#line 17452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 64656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3222:
#line 17456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parameter");
}
#line 64664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3223:
#line 17460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 64672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3224:
#line 17464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 64680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3225:
#line 17468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 64688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3226:
#line 17472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 64696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3227:
#line 17476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 64704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3228:
#line 17480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 64712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3229:
#line 17484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 64720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3230:
#line 17488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plan");
}
#line 64728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3231:
#line 17492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 64736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3232:
#line 17496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 64744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3233:
#line 17500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 64752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3234:
#line 17504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 64760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3235:
#line 17508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 64768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3236:
#line 17512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 64776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3237:
#line 17516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 64784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3238:
#line 17520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 64792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3239:
#line 17524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 64800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3240:
#line 17528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 64808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3241:
#line 17532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 64816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3242:
#line 17536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 64824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3243:
#line 17540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 64832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3244:
#line 17544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 64840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3245:
#line 17548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 64848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3246:
#line 17552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 64856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3247:
#line 17556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quotes");
}
#line 64864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3248:
#line 17560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 64872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3249:
#line 17564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 64880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3250:
#line 17568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 64888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3251:
#line 17572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 64896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3252:
#line 17576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 64904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3253:
#line 17580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 64912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3254:
#line 17584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 64920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3255:
#line 17588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 64928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3256:
#line 17592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 64936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3257:
#line 17596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 64944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3258:
#line 17600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 64952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3259:
#line 17604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 64960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3260:
#line 17608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 64968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3261:
#line 17612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 64976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3262:
#line 17616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 64984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3263:
#line 17620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 64992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3264:
#line 17624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 65000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3265:
#line 17628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 65008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3266:
#line 17632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 65016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3267:
#line 17636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 65024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3268:
#line 17640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("return");
}
#line 65032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3269:
#line 17644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 65040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3270:
#line 17648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 65048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3271:
#line 17652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 65056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3272:
#line 17656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 65064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3273:
#line 17660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 65072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3274:
#line 17664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 65080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3275:
#line 17668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 65088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3276:
#line 17672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 65096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3277:
#line 17676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 65104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3278:
#line 17680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 65112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3279:
#line 17684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 65120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3280:
#line 17688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 65128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3281:
#line 17692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scalar");
}
#line 65136 "preproc.c" /* yacc.c:1646  */
    break;

  case 3282:
#line 17696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 65144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3283:
#line 17700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 65152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3284:
#line 17704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 65160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3285:
#line 17708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 65168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3286:
#line 17712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 65176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3287:
#line 17716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 65184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3288:
#line 17720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 65192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3289:
#line 17724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 65200 "preproc.c" /* yacc.c:1646  */
    break;

  case 3290:
#line 17728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 65208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3291:
#line 17732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 65216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3292:
#line 17736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 65224 "preproc.c" /* yacc.c:1646  */
    break;

  case 3293:
#line 17740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 65232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3294:
#line 17744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 65240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3295:
#line 17748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 65248 "preproc.c" /* yacc.c:1646  */
    break;

  case 3296:
#line 17752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 65256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3297:
#line 17756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 65264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3298:
#line 17760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 65272 "preproc.c" /* yacc.c:1646  */
    break;

  case 3299:
#line 17764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 65280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3300:
#line 17768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 65288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3301:
#line 17772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 65296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3302:
#line 17776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 65304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3303:
#line 17780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 65312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3304:
#line 17784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 65320 "preproc.c" /* yacc.c:1646  */
    break;

  case 3305:
#line 17788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("source");
}
#line 65328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3306:
#line 17792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 65336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3307:
#line 17796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 65344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3308:
#line 17800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 65352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3309:
#line 17804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 65360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3310:
#line 17808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 65368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3311:
#line 17812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 65376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3312:
#line 17816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 65384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3313:
#line 17820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 65392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3314:
#line 17824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 65400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3315:
#line 17828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 65408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3316:
#line 17832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 65416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3317:
#line 17836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("string");
}
#line 65424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3318:
#line 17840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 65432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3319:
#line 17844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 65440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3320:
#line 17848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 65448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3321:
#line 17852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 65456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3322:
#line 17856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 65464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3323:
#line 17860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 65472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3324:
#line 17864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 65480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3325:
#line 17868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 65488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3326:
#line 17872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 65496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3327:
#line 17876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 65504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3328:
#line 17880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 65512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3329:
#line 17884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 65520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3330:
#line 17888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("target");
}
#line 65528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3331:
#line 17892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 65536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3332:
#line 17896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 65544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3333:
#line 17900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 65552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3334:
#line 17904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 65560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3335:
#line 17908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 65568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3336:
#line 17912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 65576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3337:
#line 17916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 65584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3338:
#line 17920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 65592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3339:
#line 17924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 65600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3340:
#line 17928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 65608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3341:
#line 17932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 65616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3342:
#line 17936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 65624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3343:
#line 17940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 65632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3344:
#line 17944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 65640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3345:
#line 17948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 65648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3346:
#line 17952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 65656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3347:
#line 17956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 65664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3348:
#line 17960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 65672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3349:
#line 17964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 65680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3350:
#line 17968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 65688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3351:
#line 17972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 65696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3352:
#line 17976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 65704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3353:
#line 17980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unconditional");
}
#line 65712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3354:
#line 17984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 65720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3355:
#line 17988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 65728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3356:
#line 17992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 65736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3357:
#line 17996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 65744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3358:
#line 18000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 65752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3359:
#line 18004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 65760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3360:
#line 18008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 65768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3361:
#line 18012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 65776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3362:
#line 18016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 65784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3363:
#line 18020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 65792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3364:
#line 18024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 65800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3365:
#line 18028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 65808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3366:
#line 18032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 65816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3367:
#line 18036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 65824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3368:
#line 18040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("values");
}
#line 65832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3369:
#line 18044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 65840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3370:
#line 18048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 65848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3371:
#line 18052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 65856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3372:
#line 18056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 65864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3373:
#line 18060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 65872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3374:
#line 18064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 65880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3375:
#line 18068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 65888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3376:
#line 18072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 65896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3377:
#line 18076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 65904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3378:
#line 18080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 65912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3379:
#line 18084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 65920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3380:
#line 18088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 65928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3381:
#line 18092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 65936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3382:
#line 18096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 65944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3383:
#line 18100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 65952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3384:
#line 18104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 65960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3385:
#line 18108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 65968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3386:
#line 18112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 65976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3387:
#line 18116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 65984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3388:
#line 18120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 65992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3389:
#line 18124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 66000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3390:
#line 18128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 66008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3391:
#line 18132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 66016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3392:
#line 18136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 66024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3393:
#line 18140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 66032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3394:
#line 18144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 66040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3397:
#line 18158 "preproc.y" /* yacc.c:1646  */
    {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 66050 "preproc.c" /* yacc.c:1646  */
    break;

  case 3398:
#line 18164 "preproc.y" /* yacc.c:1646  */
    {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 66060 "preproc.c" /* yacc.c:1646  */
    break;

  case 3399:
#line 18170 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 66070 "preproc.c" /* yacc.c:1646  */
    break;

  case 3401:
#line 18176 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 66076 "preproc.c" /* yacc.c:1646  */
    break;

  case 3402:
#line 18177 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 66082 "preproc.c" /* yacc.c:1646  */
    break;

  case 3403:
#line 18178 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 66088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3404:
#line 18180 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 66103 "preproc.c" /* yacc.c:1646  */
    break;

  case 3405:
#line 18192 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 66109 "preproc.c" /* yacc.c:1646  */
    break;

  case 3406:
#line 18193 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3407:
#line 18199 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 66126 "preproc.c" /* yacc.c:1646  */
    break;

  case 3408:
#line 18200 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66137 "preproc.c" /* yacc.c:1646  */
    break;

  case 3409:
#line 18209 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 66151 "preproc.c" /* yacc.c:1646  */
    break;

  case 3410:
#line 18224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 66157 "preproc.c" /* yacc.c:1646  */
    break;

  case 3411:
#line 18226 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 66163 "preproc.c" /* yacc.c:1646  */
    break;

  case 3412:
#line 18229 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 66169 "preproc.c" /* yacc.c:1646  */
    break;

  case 3413:
#line 18231 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 66175 "preproc.c" /* yacc.c:1646  */
    break;

  case 3414:
#line 18235 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 66191 "preproc.c" /* yacc.c:1646  */
    break;

  case 3415:
#line 18247 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 66211 "preproc.c" /* yacc.c:1646  */
    break;

  case 3416:
#line 18263 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 66219 "preproc.c" /* yacc.c:1646  */
    break;

  case 3417:
#line 18267 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 66232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3418:
#line 18277 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66238 "preproc.c" /* yacc.c:1646  */
    break;

  case 3419:
#line 18278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66244 "preproc.c" /* yacc.c:1646  */
    break;

  case 3420:
#line 18282 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 66258 "preproc.c" /* yacc.c:1646  */
    break;

  case 3421:
#line 18294 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66269 "preproc.c" /* yacc.c:1646  */
    break;

  case 3422:
#line 18302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66275 "preproc.c" /* yacc.c:1646  */
    break;

  case 3423:
#line 18303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66281 "preproc.c" /* yacc.c:1646  */
    break;

  case 3424:
#line 18306 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66287 "preproc.c" /* yacc.c:1646  */
    break;

  case 3425:
#line 18307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 66293 "preproc.c" /* yacc.c:1646  */
    break;

  case 3426:
#line 18308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 66299 "preproc.c" /* yacc.c:1646  */
    break;

  case 3427:
#line 18311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 66305 "preproc.c" /* yacc.c:1646  */
    break;

  case 3428:
#line 18312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66311 "preproc.c" /* yacc.c:1646  */
    break;

  case 3429:
#line 18315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66317 "preproc.c" /* yacc.c:1646  */
    break;

  case 3430:
#line 18316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 66323 "preproc.c" /* yacc.c:1646  */
    break;

  case 3431:
#line 18319 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66329 "preproc.c" /* yacc.c:1646  */
    break;

  case 3432:
#line 18320 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 66335 "preproc.c" /* yacc.c:1646  */
    break;

  case 3433:
#line 18324 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 66341 "preproc.c" /* yacc.c:1646  */
    break;

  case 3434:
#line 18326 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66347 "preproc.c" /* yacc.c:1646  */
    break;

  case 3435:
#line 18328 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66353 "preproc.c" /* yacc.c:1646  */
    break;

  case 3436:
#line 18330 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66359 "preproc.c" /* yacc.c:1646  */
    break;

  case 3437:
#line 18334 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 66370 "preproc.c" /* yacc.c:1646  */
    break;

  case 3438:
#line 18341 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 66381 "preproc.c" /* yacc.c:1646  */
    break;

  case 3439:
#line 18348 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 66399 "preproc.c" /* yacc.c:1646  */
    break;

  case 3440:
#line 18364 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 66435 "preproc.c" /* yacc.c:1646  */
    break;

  case 3441:
#line 18398 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 66449 "preproc.c" /* yacc.c:1646  */
    break;

  case 3442:
#line 18407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66455 "preproc.c" /* yacc.c:1646  */
    break;

  case 3443:
#line 18411 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 66463 "preproc.c" /* yacc.c:1646  */
    break;

  case 3444:
#line 18415 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 66477 "preproc.c" /* yacc.c:1646  */
    break;

  case 3445:
#line 18427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66483 "preproc.c" /* yacc.c:1646  */
    break;

  case 3446:
#line 18429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66489 "preproc.c" /* yacc.c:1646  */
    break;

  case 3447:
#line 18431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66495 "preproc.c" /* yacc.c:1646  */
    break;

  case 3448:
#line 18433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66501 "preproc.c" /* yacc.c:1646  */
    break;

  case 3449:
#line 18437 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 66519 "preproc.c" /* yacc.c:1646  */
    break;

  case 3450:
#line 18450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66525 "preproc.c" /* yacc.c:1646  */
    break;

  case 3451:
#line 18457 "preproc.y" /* yacc.c:1646  */
    {
			struct declared_list *ptr = NULL;
			/* Check whether the declared name has been defined or not */
			for (ptr = g_declared_list; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[-1].str), ptr->name) == 0)
				{
					/* re-definition is not allowed */
					mmerror(PARSE_ERROR, ET_ERROR, "name \"%s\" is already declared", ptr->name);
				}
			}

			/* Add a new declared name into the g_declared_list */
			ptr = NULL;
			ptr = (struct declared_list *)mm_alloc(sizeof(struct declared_list));
			if (ptr)
			{
				/* initial definition */
				ptr -> name = (yyvsp[-1].str);
				if (connection)
					ptr -> connection = mm_strdup(connection);
				else
					ptr -> connection = NULL;

				ptr -> next = g_declared_list;
				g_declared_list = ptr;
			}

			(yyval.str) = cat_str(3 , mm_strdup("/* declare "), mm_strdup((yyvsp[-1].str)), mm_strdup(" as an SQL identifier */"));
		}
#line 66560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3452:
#line 18494 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			char *comment;
			char *con;

			if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                                mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

                        check_declared_list((yyvsp[0].str));
			con = connection ? connection : "NULL";
			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection ? mm_strdup(connection) : NULL;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			(yyval.str) = cat_str(2, adjust_outofscope_cursor_vars(this),
					comment);
		}
#line 66624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3453:
#line 18556 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 66634 "preproc.c" /* yacc.c:1646  */
    break;

  case 3455:
#line 18566 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3456:
#line 18567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66646 "preproc.c" /* yacc.c:1646  */
    break;

  case 3457:
#line 18570 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66652 "preproc.c" /* yacc.c:1646  */
    break;

  case 3458:
#line 18572 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66658 "preproc.c" /* yacc.c:1646  */
    break;

  case 3459:
#line 18573 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3460:
#line 18576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66670 "preproc.c" /* yacc.c:1646  */
    break;

  case 3461:
#line 18577 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 66676 "preproc.c" /* yacc.c:1646  */
    break;

  case 3462:
#line 18578 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 66682 "preproc.c" /* yacc.c:1646  */
    break;

  case 3463:
#line 18579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 66688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3464:
#line 18580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 66694 "preproc.c" /* yacc.c:1646  */
    break;

  case 3465:
#line 18587 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 66700 "preproc.c" /* yacc.c:1646  */
    break;

  case 3466:
#line 18589 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 66710 "preproc.c" /* yacc.c:1646  */
    break;

  case 3467:
#line 18596 "preproc.y" /* yacc.c:1646  */
    {}
#line 66716 "preproc.c" /* yacc.c:1646  */
    break;

  case 3468:
#line 18598 "preproc.y" /* yacc.c:1646  */
    {}
#line 66722 "preproc.c" /* yacc.c:1646  */
    break;

  case 3469:
#line 18600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3470:
#line 18601 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66734 "preproc.c" /* yacc.c:1646  */
    break;

  case 3471:
#line 18604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66740 "preproc.c" /* yacc.c:1646  */
    break;

  case 3472:
#line 18605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66746 "preproc.c" /* yacc.c:1646  */
    break;

  case 3473:
#line 18606 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3474:
#line 18607 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66758 "preproc.c" /* yacc.c:1646  */
    break;

  case 3475:
#line 18610 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66764 "preproc.c" /* yacc.c:1646  */
    break;

  case 3476:
#line 18611 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66770 "preproc.c" /* yacc.c:1646  */
    break;

  case 3477:
#line 18615 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 66780 "preproc.c" /* yacc.c:1646  */
    break;

  case 3478:
#line 18621 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 66792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3479:
#line 18631 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_storage = (yyvsp[-1].str);
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 66807 "preproc.c" /* yacc.c:1646  */
    break;

  case 3480:
#line 18642 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 66815 "preproc.c" /* yacc.c:1646  */
    break;

  case 3481:
#line 18646 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_storage = EMPTY;
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 66830 "preproc.c" /* yacc.c:1646  */
    break;

  case 3482:
#line 18657 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 66838 "preproc.c" /* yacc.c:1646  */
    break;

  case 3483:
#line 18661 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 66846 "preproc.c" /* yacc.c:1646  */
    break;

  case 3484:
#line 18666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 66852 "preproc.c" /* yacc.c:1646  */
    break;

  case 3485:
#line 18667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66858 "preproc.c" /* yacc.c:1646  */
    break;

  case 3486:
#line 18671 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3487:
#line 18672 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 66870 "preproc.c" /* yacc.c:1646  */
    break;

  case 3488:
#line 18673 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 66876 "preproc.c" /* yacc.c:1646  */
    break;

  case 3489:
#line 18676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 66882 "preproc.c" /* yacc.c:1646  */
    break;

  case 3490:
#line 18677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 66888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3491:
#line 18678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 66894 "preproc.c" /* yacc.c:1646  */
    break;

  case 3492:
#line 18679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 66900 "preproc.c" /* yacc.c:1646  */
    break;

  case 3493:
#line 18682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 66906 "preproc.c" /* yacc.c:1646  */
    break;

  case 3494:
#line 18683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 66912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3495:
#line 18687 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 66924 "preproc.c" /* yacc.c:1646  */
    break;

  case 3496:
#line 18695 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 66945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3497:
#line 18712 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 66957 "preproc.c" /* yacc.c:1646  */
    break;

  case 3498:
#line 18720 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = mm_strdup("numeric");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 66969 "preproc.c" /* yacc.c:1646  */
    break;

  case 3499:
#line 18728 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = mm_strdup("decimal");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 66981 "preproc.c" /* yacc.c:1646  */
    break;

  case 3500:
#line 18736 "preproc.y" /* yacc.c:1646  */
    {
			/*
			 * In C parsing mode, NUMERIC and DECIMAL are not keywords, so
			 * they will show up here as a plain identifier, and we need
			 * this duplicate code to recognize them.
			 */
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67013 "preproc.c" /* yacc.c:1646  */
    break;

  case 3501:
#line 18764 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_varchar;
			(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67025 "preproc.c" /* yacc.c:1646  */
    break;

  case 3502:
#line 18772 "preproc.y" /* yacc.c:1646  */
    {
			/* Note: DOUBLE is handled in simple_type */
			(yyval.type).type_enum = ECPGt_float;
			(yyval.type).type_str = mm_strdup("float");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67038 "preproc.c" /* yacc.c:1646  */
    break;

  case 3503:
#line 18781 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = mm_strdup("numeric");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67050 "preproc.c" /* yacc.c:1646  */
    break;

  case 3504:
#line 18789 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = mm_strdup("decimal");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67062 "preproc.c" /* yacc.c:1646  */
    break;

  case 3505:
#line 18797 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_timestamp;
			(yyval.type).type_str = mm_strdup("timestamp");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67074 "preproc.c" /* yacc.c:1646  */
    break;

  case 3506:
#line 18805 "preproc.y" /* yacc.c:1646  */
    {
			if (INFORMIX_MODE)
			{
				/* In Informix mode, "string" is automatically a typedef */
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* Otherwise, legal only if user typedef'ed it */
				struct typedefs *this = get_typedef("string", false);

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 67106 "preproc.c" /* yacc.c:1646  */
    break;

  case 3507:
#line 18833 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_interval;
			(yyval.type).type_str = mm_strdup("interval");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67118 "preproc.c" /* yacc.c:1646  */
    break;

  case 3508:
#line 18841 "preproc.y" /* yacc.c:1646  */
    {
			/*
			 * In C parsing mode, the above SQL type names are not keywords,
			 * so they will show up here as a plain identifier, and we need
			 * this duplicate code to recognize them.
			 *
			 * Note that we also handle the type names bytea, date, and
			 * datetime here, but not above because those are not currently
			 * SQL keywords.  If they ever become so, they must gain duplicate
			 * productions above.
			 */
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "bytea") == 0)
			{
				(yyval.type).type_enum = ECPGt_bytea;
				(yyval.type).type_str = EMPTY;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* Otherwise, it must be a user-defined typedef name */
				struct typedefs *this = get_typedef((yyvsp[-1].str), false);

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 67242 "preproc.c" /* yacc.c:1646  */
    break;

  case 3509:
#line 18961 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name, false);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 67278 "preproc.c" /* yacc.c:1646  */
    break;

  case 3510:
#line 18995 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 67284 "preproc.c" /* yacc.c:1646  */
    break;

  case 3511:
#line 18997 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 67290 "preproc.c" /* yacc.c:1646  */
    break;

  case 3512:
#line 18999 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 67296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3513:
#line 19003 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 67302 "preproc.c" /* yacc.c:1646  */
    break;

  case 3514:
#line 19006 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 67313 "preproc.c" /* yacc.c:1646  */
    break;

  case 3515:
#line 19013 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 67359 "preproc.c" /* yacc.c:1646  */
    break;

  case 3516:
#line 19056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67365 "preproc.c" /* yacc.c:1646  */
    break;

  case 3517:
#line 19058 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 67375 "preproc.c" /* yacc.c:1646  */
    break;

  case 3518:
#line 19064 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 67386 "preproc.c" /* yacc.c:1646  */
    break;

  case 3519:
#line 19073 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 67396 "preproc.c" /* yacc.c:1646  */
    break;

  case 3520:
#line 19079 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 67405 "preproc.c" /* yacc.c:1646  */
    break;

  case 3521:
#line 19086 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 67414 "preproc.c" /* yacc.c:1646  */
    break;

  case 3522:
#line 19091 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 67422 "preproc.c" /* yacc.c:1646  */
    break;

  case 3523:
#line 19096 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 67428 "preproc.c" /* yacc.c:1646  */
    break;

  case 3524:
#line 19097 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 67434 "preproc.c" /* yacc.c:1646  */
    break;

  case 3525:
#line 19100 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 67440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3526:
#line 19101 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 67446 "preproc.c" /* yacc.c:1646  */
    break;

  case 3527:
#line 19102 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 67452 "preproc.c" /* yacc.c:1646  */
    break;

  case 3528:
#line 19103 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 67458 "preproc.c" /* yacc.c:1646  */
    break;

  case 3529:
#line 19104 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 67464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3530:
#line 19105 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 67470 "preproc.c" /* yacc.c:1646  */
    break;

  case 3531:
#line 19106 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 67476 "preproc.c" /* yacc.c:1646  */
    break;

  case 3532:
#line 19107 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 67482 "preproc.c" /* yacc.c:1646  */
    break;

  case 3533:
#line 19108 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 67488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3534:
#line 19111 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 67494 "preproc.c" /* yacc.c:1646  */
    break;

  case 3535:
#line 19112 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 67500 "preproc.c" /* yacc.c:1646  */
    break;

  case 3536:
#line 19113 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 67506 "preproc.c" /* yacc.c:1646  */
    break;

  case 3537:
#line 19114 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 67512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3538:
#line 19115 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 67518 "preproc.c" /* yacc.c:1646  */
    break;

  case 3539:
#line 19116 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 67524 "preproc.c" /* yacc.c:1646  */
    break;

  case 3540:
#line 19117 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 67530 "preproc.c" /* yacc.c:1646  */
    break;

  case 3541:
#line 19118 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 67536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3542:
#line 19119 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 67542 "preproc.c" /* yacc.c:1646  */
    break;

  case 3543:
#line 19120 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 67548 "preproc.c" /* yacc.c:1646  */
    break;

  case 3546:
#line 19128 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67554 "preproc.c" /* yacc.c:1646  */
    break;

  case 3547:
#line 19130 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar || actual_type[struct_level].type_enum == ECPGt_bytea)
				(yyval.str) = cat_str(4, (yyvsp[-2].str), mm_strdup(";"), mm_strdup(actual_type[struct_level].type_storage), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 67565 "preproc.c" /* yacc.c:1646  */
    break;

  case 3548:
#line 19139 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;
			int *varlen_type_counter;
			char *struct_name;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);
			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
				case ECPGt_bytea:
					if (actual_type[struct_level].type_enum == ECPGt_varchar)
					{
						varlen_type_counter = &varchar_counter;
						struct_name = " struct varchar_";
					}
					else
					{
						varlen_type_counter = &bytea_counter;
						struct_name = " struct bytea_";
					}
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", *varlen_type_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					(*varlen_type_counter)++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 67666 "preproc.c" /* yacc.c:1646  */
    break;

  case 3549:
#line 19238 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3550:
#line 19240 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 67681 "preproc.c" /* yacc.c:1646  */
    break;

  case 3551:
#line 19246 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67687 "preproc.c" /* yacc.c:1646  */
    break;

  case 3552:
#line 19247 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 67693 "preproc.c" /* yacc.c:1646  */
    break;

  case 3553:
#line 19248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 67699 "preproc.c" /* yacc.c:1646  */
    break;

  case 3554:
#line 19255 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 67708 "preproc.c" /* yacc.c:1646  */
    break;

  case 3555:
#line 19263 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67714 "preproc.c" /* yacc.c:1646  */
    break;

  case 3556:
#line 19266 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3557:
#line 19267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 67726 "preproc.c" /* yacc.c:1646  */
    break;

  case 3558:
#line 19268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 67732 "preproc.c" /* yacc.c:1646  */
    break;

  case 3559:
#line 19269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 67738 "preproc.c" /* yacc.c:1646  */
    break;

  case 3560:
#line 19272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 67744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3561:
#line 19273 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 67750 "preproc.c" /* yacc.c:1646  */
    break;

  case 3562:
#line 19274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67756 "preproc.c" /* yacc.c:1646  */
    break;

  case 3563:
#line 19278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67762 "preproc.c" /* yacc.c:1646  */
    break;

  case 3564:
#line 19280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 67768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3565:
#line 19287 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67774 "preproc.c" /* yacc.c:1646  */
    break;

  case 3566:
#line 19288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 67780 "preproc.c" /* yacc.c:1646  */
    break;

  case 3567:
#line 19295 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 67790 "preproc.c" /* yacc.c:1646  */
    break;

  case 3568:
#line 19302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67796 "preproc.c" /* yacc.c:1646  */
    break;

  case 3569:
#line 19303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67802 "preproc.c" /* yacc.c:1646  */
    break;

  case 3570:
#line 19306 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3571:
#line 19307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67814 "preproc.c" /* yacc.c:1646  */
    break;

  case 3572:
#line 19311 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67823 "preproc.c" /* yacc.c:1646  */
    break;

  case 3573:
#line 19316 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3574:
#line 19323 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67841 "preproc.c" /* yacc.c:1646  */
    break;

  case 3575:
#line 19328 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67850 "preproc.c" /* yacc.c:1646  */
    break;

  case 3576:
#line 19335 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67859 "preproc.c" /* yacc.c:1646  */
    break;

  case 3579:
#line 19344 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 67870 "preproc.c" /* yacc.c:1646  */
    break;

  case 3580:
#line 19350 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67876 "preproc.c" /* yacc.c:1646  */
    break;

  case 3581:
#line 19351 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67882 "preproc.c" /* yacc.c:1646  */
    break;

  case 3582:
#line 19354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3583:
#line 19355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 67894 "preproc.c" /* yacc.c:1646  */
    break;

  case 3584:
#line 19356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 67900 "preproc.c" /* yacc.c:1646  */
    break;

  case 3585:
#line 19357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67906 "preproc.c" /* yacc.c:1646  */
    break;

  case 3586:
#line 19358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 67912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3587:
#line 19359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 67918 "preproc.c" /* yacc.c:1646  */
    break;

  case 3588:
#line 19360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67924 "preproc.c" /* yacc.c:1646  */
    break;

  case 3589:
#line 19361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67930 "preproc.c" /* yacc.c:1646  */
    break;

  case 3590:
#line 19362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3591:
#line 19369 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67945 "preproc.c" /* yacc.c:1646  */
    break;

  case 3592:
#line 19374 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;
		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67959 "preproc.c" /* yacc.c:1646  */
    break;

  case 3593:
#line 19384 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3594:
#line 19389 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3595:
#line 19394 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67986 "preproc.c" /* yacc.c:1646  */
    break;

  case 3596:
#line 19400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 67992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3597:
#line 19401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67998 "preproc.c" /* yacc.c:1646  */
    break;

  case 3598:
#line 19414 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68007 "preproc.c" /* yacc.c:1646  */
    break;

  case 3599:
#line 19425 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3600:
#line 19436 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 68022 "preproc.c" /* yacc.c:1646  */
    break;

  case 3603:
#line 19444 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 68028 "preproc.c" /* yacc.c:1646  */
    break;

  case 3604:
#line 19449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 68034 "preproc.c" /* yacc.c:1646  */
    break;

  case 3607:
#line 19457 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 68042 "preproc.c" /* yacc.c:1646  */
    break;

  case 3608:
#line 19463 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68054 "preproc.c" /* yacc.c:1646  */
    break;

  case 3609:
#line 19471 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 68062 "preproc.c" /* yacc.c:1646  */
    break;

  case 3610:
#line 19476 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 68068 "preproc.c" /* yacc.c:1646  */
    break;

  case 3611:
#line 19484 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 68074 "preproc.c" /* yacc.c:1646  */
    break;

  case 3614:
#line 19491 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 68080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3615:
#line 19495 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 68086 "preproc.c" /* yacc.c:1646  */
    break;

  case 3618:
#line 19503 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 68094 "preproc.c" /* yacc.c:1646  */
    break;

  case 3619:
#line 19509 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68106 "preproc.c" /* yacc.c:1646  */
    break;

  case 3620:
#line 19518 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 68114 "preproc.c" /* yacc.c:1646  */
    break;

  case 3621:
#line 19523 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68127 "preproc.c" /* yacc.c:1646  */
    break;

  case 3622:
#line 19533 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68140 "preproc.c" /* yacc.c:1646  */
    break;

  case 3623:
#line 19543 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68154 "preproc.c" /* yacc.c:1646  */
    break;

  case 3624:
#line 19554 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 68160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3625:
#line 19555 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 68166 "preproc.c" /* yacc.c:1646  */
    break;

  case 3626:
#line 19556 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 68172 "preproc.c" /* yacc.c:1646  */
    break;

  case 3627:
#line 19557 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 68178 "preproc.c" /* yacc.c:1646  */
    break;

  case 3628:
#line 19558 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 68184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3629:
#line 19559 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 68190 "preproc.c" /* yacc.c:1646  */
    break;

  case 3630:
#line 19560 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 68196 "preproc.c" /* yacc.c:1646  */
    break;

  case 3631:
#line 19561 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 68202 "preproc.c" /* yacc.c:1646  */
    break;

  case 3632:
#line 19562 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 68208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3633:
#line 19563 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 68214 "preproc.c" /* yacc.c:1646  */
    break;

  case 3634:
#line 19564 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 68220 "preproc.c" /* yacc.c:1646  */
    break;

  case 3635:
#line 19565 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 68226 "preproc.c" /* yacc.c:1646  */
    break;

  case 3636:
#line 19566 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 68232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3637:
#line 19567 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 68238 "preproc.c" /* yacc.c:1646  */
    break;

  case 3638:
#line 19568 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 68244 "preproc.c" /* yacc.c:1646  */
    break;

  case 3639:
#line 19575 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68250 "preproc.c" /* yacc.c:1646  */
    break;

  case 3640:
#line 19576 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3641:
#line 19579 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 68262 "preproc.c" /* yacc.c:1646  */
    break;

  case 3642:
#line 19580 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 68268 "preproc.c" /* yacc.c:1646  */
    break;

  case 3643:
#line 19587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68274 "preproc.c" /* yacc.c:1646  */
    break;

  case 3644:
#line 19588 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3645:
#line 19589 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68286 "preproc.c" /* yacc.c:1646  */
    break;

  case 3646:
#line 19596 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 68296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3647:
#line 19602 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 68309 "preproc.c" /* yacc.c:1646  */
    break;

  case 3648:
#line 19612 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 68315 "preproc.c" /* yacc.c:1646  */
    break;

  case 3649:
#line 19613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68321 "preproc.c" /* yacc.c:1646  */
    break;

  case 3650:
#line 19620 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 68331 "preproc.c" /* yacc.c:1646  */
    break;

  case 3651:
#line 19626 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
					case ECPGt_bytea:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 68394 "preproc.c" /* yacc.c:1646  */
    break;

  case 3652:
#line 19691 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68404 "preproc.c" /* yacc.c:1646  */
    break;

  case 3653:
#line 19697 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68414 "preproc.c" /* yacc.c:1646  */
    break;

  case 3654:
#line 19703 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3655:
#line 19711 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 68434 "preproc.c" /* yacc.c:1646  */
    break;

  case 3656:
#line 19717 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 68444 "preproc.c" /* yacc.c:1646  */
    break;

  case 3657:
#line 19723 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 68454 "preproc.c" /* yacc.c:1646  */
    break;

  case 3658:
#line 19729 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 68464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3659:
#line 19735 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 68474 "preproc.c" /* yacc.c:1646  */
    break;

  case 3660:
#line 19741 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 68484 "preproc.c" /* yacc.c:1646  */
    break;

  case 3661:
#line 19747 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 68494 "preproc.c" /* yacc.c:1646  */
    break;

  case 3662:
#line 19753 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 68504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3663:
#line 19759 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 68514 "preproc.c" /* yacc.c:1646  */
    break;

  case 3664:
#line 19765 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 68524 "preproc.c" /* yacc.c:1646  */
    break;

  case 3665:
#line 19775 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68530 "preproc.c" /* yacc.c:1646  */
    break;

  case 3666:
#line 19776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3667:
#line 19779 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 68542 "preproc.c" /* yacc.c:1646  */
    break;

  case 3668:
#line 19780 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 68548 "preproc.c" /* yacc.c:1646  */
    break;

  case 3669:
#line 19781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 68554 "preproc.c" /* yacc.c:1646  */
    break;

  case 3670:
#line 19782 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 68560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3671:
#line 19783 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 68566 "preproc.c" /* yacc.c:1646  */
    break;

  case 3672:
#line 19784 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 68572 "preproc.c" /* yacc.c:1646  */
    break;

  case 3673:
#line 19785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 68578 "preproc.c" /* yacc.c:1646  */
    break;

  case 3674:
#line 19786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 68584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3675:
#line 19787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 68590 "preproc.c" /* yacc.c:1646  */
    break;

  case 3676:
#line 19788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 68596 "preproc.c" /* yacc.c:1646  */
    break;

  case 3677:
#line 19789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 68602 "preproc.c" /* yacc.c:1646  */
    break;

  case 3678:
#line 19790 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 68608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3679:
#line 19791 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 68614 "preproc.c" /* yacc.c:1646  */
    break;

  case 3680:
#line 19792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 68620 "preproc.c" /* yacc.c:1646  */
    break;

  case 3681:
#line 19793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 68626 "preproc.c" /* yacc.c:1646  */
    break;

  case 3682:
#line 19794 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 68632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3683:
#line 19795 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 68638 "preproc.c" /* yacc.c:1646  */
    break;

  case 3684:
#line 19796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 68644 "preproc.c" /* yacc.c:1646  */
    break;

  case 3685:
#line 19797 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 68650 "preproc.c" /* yacc.c:1646  */
    break;

  case 3686:
#line 19798 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 68656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3687:
#line 19799 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 68662 "preproc.c" /* yacc.c:1646  */
    break;

  case 3688:
#line 19800 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 68668 "preproc.c" /* yacc.c:1646  */
    break;

  case 3689:
#line 19803 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 68674 "preproc.c" /* yacc.c:1646  */
    break;

  case 3690:
#line 19804 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 68680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3691:
#line 19805 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 68686 "preproc.c" /* yacc.c:1646  */
    break;

  case 3692:
#line 19806 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 68692 "preproc.c" /* yacc.c:1646  */
    break;

  case 3693:
#line 19807 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 68698 "preproc.c" /* yacc.c:1646  */
    break;

  case 3694:
#line 19808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 68704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3695:
#line 19812 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 68710 "preproc.c" /* yacc.c:1646  */
    break;

  case 3696:
#line 19813 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 68716 "preproc.c" /* yacc.c:1646  */
    break;

  case 3697:
#line 19814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 68722 "preproc.c" /* yacc.c:1646  */
    break;

  case 3698:
#line 19815 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 68728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3699:
#line 19816 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 68734 "preproc.c" /* yacc.c:1646  */
    break;

  case 3700:
#line 19817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 68740 "preproc.c" /* yacc.c:1646  */
    break;

  case 3701:
#line 19818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 68746 "preproc.c" /* yacc.c:1646  */
    break;

  case 3702:
#line 19821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3703:
#line 19824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68758 "preproc.c" /* yacc.c:1646  */
    break;

  case 3704:
#line 19825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68764 "preproc.c" /* yacc.c:1646  */
    break;

  case 3705:
#line 19826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68770 "preproc.c" /* yacc.c:1646  */
    break;

  case 3706:
#line 19827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3707:
#line 19828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68782 "preproc.c" /* yacc.c:1646  */
    break;

  case 3708:
#line 19829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68788 "preproc.c" /* yacc.c:1646  */
    break;

  case 3709:
#line 19830 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 68794 "preproc.c" /* yacc.c:1646  */
    break;

  case 3710:
#line 19831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 68800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3711:
#line 19844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68806 "preproc.c" /* yacc.c:1646  */
    break;

  case 3712:
#line 19845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68812 "preproc.c" /* yacc.c:1646  */
    break;

  case 3713:
#line 19846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68818 "preproc.c" /* yacc.c:1646  */
    break;

  case 3714:
#line 19847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3715:
#line 19848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68830 "preproc.c" /* yacc.c:1646  */
    break;

  case 3716:
#line 19849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 68836 "preproc.c" /* yacc.c:1646  */
    break;

  case 3717:
#line 19850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 68842 "preproc.c" /* yacc.c:1646  */
    break;

  case 3718:
#line 19855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3719:
#line 19856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68854 "preproc.c" /* yacc.c:1646  */
    break;

  case 3720:
#line 19857 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68860 "preproc.c" /* yacc.c:1646  */
    break;

  case 3721:
#line 19858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68866 "preproc.c" /* yacc.c:1646  */
    break;

  case 3722:
#line 19859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3723:
#line 19860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68878 "preproc.c" /* yacc.c:1646  */
    break;

  case 3724:
#line 19866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68884 "preproc.c" /* yacc.c:1646  */
    break;

  case 3725:
#line 19867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68890 "preproc.c" /* yacc.c:1646  */
    break;

  case 3726:
#line 19868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 68896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3727:
#line 19869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 68902 "preproc.c" /* yacc.c:1646  */
    break;

  case 3728:
#line 19870 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 68908 "preproc.c" /* yacc.c:1646  */
    break;

  case 3729:
#line 19871 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 68914 "preproc.c" /* yacc.c:1646  */
    break;

  case 3730:
#line 19872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 68920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3731:
#line 19873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 68926 "preproc.c" /* yacc.c:1646  */
    break;

  case 3732:
#line 19874 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 68932 "preproc.c" /* yacc.c:1646  */
    break;

  case 3733:
#line 19875 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68938 "preproc.c" /* yacc.c:1646  */
    break;

  case 3734:
#line 19876 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3735:
#line 19879 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68950 "preproc.c" /* yacc.c:1646  */
    break;

  case 3736:
#line 19880 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68956 "preproc.c" /* yacc.c:1646  */
    break;

  case 3737:
#line 19881 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68962 "preproc.c" /* yacc.c:1646  */
    break;

  case 3738:
#line 19882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3739:
#line 19883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68974 "preproc.c" /* yacc.c:1646  */
    break;

  case 3740:
#line 19884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68980 "preproc.c" /* yacc.c:1646  */
    break;

  case 3741:
#line 19885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68986 "preproc.c" /* yacc.c:1646  */
    break;

  case 3742:
#line 19886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 68992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3743:
#line 19889 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 68998 "preproc.c" /* yacc.c:1646  */
    break;

  case 3744:
#line 19890 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 69004 "preproc.c" /* yacc.c:1646  */
    break;

  case 3745:
#line 19891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 69010 "preproc.c" /* yacc.c:1646  */
    break;

  case 3746:
#line 19892 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 69016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3747:
#line 19893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 69022 "preproc.c" /* yacc.c:1646  */
    break;

  case 3748:
#line 19894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 69028 "preproc.c" /* yacc.c:1646  */
    break;

  case 3749:
#line 19895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 69034 "preproc.c" /* yacc.c:1646  */
    break;

  case 3750:
#line 19912 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3751:
#line 19913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69046 "preproc.c" /* yacc.c:1646  */
    break;

  case 3752:
#line 19914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 69052 "preproc.c" /* yacc.c:1646  */
    break;

  case 3753:
#line 19917 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 69058 "preproc.c" /* yacc.c:1646  */
    break;

  case 3754:
#line 19918 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 69064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3755:
#line 19919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 69070 "preproc.c" /* yacc.c:1646  */
    break;

  case 3756:
#line 19920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 69076 "preproc.c" /* yacc.c:1646  */
    break;

  case 3757:
#line 19921 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 69082 "preproc.c" /* yacc.c:1646  */
    break;

  case 3758:
#line 19922 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 69088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3761:
#line 19929 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 69097 "preproc.c" /* yacc.c:1646  */
    break;

  case 3762:
#line 19935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69103 "preproc.c" /* yacc.c:1646  */
    break;

  case 3763:
#line 19936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69109 "preproc.c" /* yacc.c:1646  */
    break;

  case 3764:
#line 19940 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 69115 "preproc.c" /* yacc.c:1646  */
    break;

  case 3765:
#line 19942 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 69121 "preproc.c" /* yacc.c:1646  */
    break;

  case 3766:
#line 19947 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 69133 "preproc.c" /* yacc.c:1646  */
    break;

  case 3767:
#line 19957 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 69146 "preproc.c" /* yacc.c:1646  */
    break;

  case 3768:
#line 19968 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 69155 "preproc.c" /* yacc.c:1646  */
    break;

  case 3769:
#line 19974 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69161 "preproc.c" /* yacc.c:1646  */
    break;

  case 3770:
#line 19975 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69167 "preproc.c" /* yacc.c:1646  */
    break;

  case 3771:
#line 19976 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69173 "preproc.c" /* yacc.c:1646  */
    break;

  case 3772:
#line 19980 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 69208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3773:
#line 20012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69214 "preproc.c" /* yacc.c:1646  */
    break;

  case 3774:
#line 20014 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69220 "preproc.c" /* yacc.c:1646  */
    break;

  case 3775:
#line 20016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69226 "preproc.c" /* yacc.c:1646  */
    break;

  case 3776:
#line 20018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3777:
#line 20020 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69238 "preproc.c" /* yacc.c:1646  */
    break;

  case 3778:
#line 20022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69244 "preproc.c" /* yacc.c:1646  */
    break;

  case 3779:
#line 20023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 69250 "preproc.c" /* yacc.c:1646  */
    break;

  case 3780:
#line 20027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 69256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3781:
#line 20029 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 69262 "preproc.c" /* yacc.c:1646  */
    break;

  case 3782:
#line 20036 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69268 "preproc.c" /* yacc.c:1646  */
    break;

  case 3783:
#line 20037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 69274 "preproc.c" /* yacc.c:1646  */
    break;

  case 3784:
#line 20039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 69280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3785:
#line 20042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69286 "preproc.c" /* yacc.c:1646  */
    break;

  case 3786:
#line 20044 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 69292 "preproc.c" /* yacc.c:1646  */
    break;

  case 3787:
#line 20047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69298 "preproc.c" /* yacc.c:1646  */
    break;

  case 3788:
#line 20048 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 69304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3789:
#line 20051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69310 "preproc.c" /* yacc.c:1646  */
    break;

  case 3790:
#line 20052 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 69316 "preproc.c" /* yacc.c:1646  */
    break;

  case 3791:
#line 20055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69322 "preproc.c" /* yacc.c:1646  */
    break;

  case 3792:
#line 20056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 69328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3793:
#line 20057 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 69334 "preproc.c" /* yacc.c:1646  */
    break;

  case 3794:
#line 20058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 69340 "preproc.c" /* yacc.c:1646  */
    break;

  case 3795:
#line 20059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 69346 "preproc.c" /* yacc.c:1646  */
    break;

  case 3796:
#line 20062 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3797:
#line 20063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69358 "preproc.c" /* yacc.c:1646  */
    break;

  case 3798:
#line 20064 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69364 "preproc.c" /* yacc.c:1646  */
    break;

  case 3799:
#line 20065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69370 "preproc.c" /* yacc.c:1646  */
    break;

  case 3800:
#line 20066 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 69376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3801:
#line 20067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 69382 "preproc.c" /* yacc.c:1646  */
    break;

  case 3802:
#line 20068 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 69388 "preproc.c" /* yacc.c:1646  */
    break;

  case 3803:
#line 20069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 69394 "preproc.c" /* yacc.c:1646  */
    break;

  case 3804:
#line 20070 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 69400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3805:
#line 20071 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 69406 "preproc.c" /* yacc.c:1646  */
    break;

  case 3806:
#line 20072 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 69412 "preproc.c" /* yacc.c:1646  */
    break;

  case 3807:
#line 20073 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 69418 "preproc.c" /* yacc.c:1646  */
    break;

  case 3808:
#line 20074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3809:
#line 20075 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 69430 "preproc.c" /* yacc.c:1646  */
    break;

  case 3810:
#line 20076 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 69436 "preproc.c" /* yacc.c:1646  */
    break;

  case 3811:
#line 20077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 69442 "preproc.c" /* yacc.c:1646  */
    break;

  case 3812:
#line 20078 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 69448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3813:
#line 20079 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 69454 "preproc.c" /* yacc.c:1646  */
    break;

  case 3814:
#line 20080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 69460 "preproc.c" /* yacc.c:1646  */
    break;

  case 3815:
#line 20081 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 69466 "preproc.c" /* yacc.c:1646  */
    break;

  case 3816:
#line 20082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 69472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3817:
#line 20083 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 69478 "preproc.c" /* yacc.c:1646  */
    break;

  case 3818:
#line 20084 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 69484 "preproc.c" /* yacc.c:1646  */
    break;

  case 3819:
#line 20085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 69490 "preproc.c" /* yacc.c:1646  */
    break;

  case 3820:
#line 20086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 69496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3821:
#line 20087 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 69502 "preproc.c" /* yacc.c:1646  */
    break;

  case 3822:
#line 20088 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 69508 "preproc.c" /* yacc.c:1646  */
    break;

  case 3823:
#line 20089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 69514 "preproc.c" /* yacc.c:1646  */
    break;

  case 3824:
#line 20090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 69520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3825:
#line 20091 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 69526 "preproc.c" /* yacc.c:1646  */
    break;

  case 3826:
#line 20092 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 69532 "preproc.c" /* yacc.c:1646  */
    break;

  case 3827:
#line 20093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 69538 "preproc.c" /* yacc.c:1646  */
    break;

  case 3828:
#line 20094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 69544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3829:
#line 20095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 69550 "preproc.c" /* yacc.c:1646  */
    break;

  case 3830:
#line 20096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 69556 "preproc.c" /* yacc.c:1646  */
    break;

  case 3831:
#line 20097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 69562 "preproc.c" /* yacc.c:1646  */
    break;

  case 3832:
#line 20098 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 69568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3833:
#line 20099 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 69574 "preproc.c" /* yacc.c:1646  */
    break;

  case 3834:
#line 20100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 69580 "preproc.c" /* yacc.c:1646  */
    break;

  case 3835:
#line 20101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 69586 "preproc.c" /* yacc.c:1646  */
    break;

  case 3836:
#line 20102 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 69592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3837:
#line 20103 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 69598 "preproc.c" /* yacc.c:1646  */
    break;

  case 3838:
#line 20104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 69604 "preproc.c" /* yacc.c:1646  */
    break;

  case 3839:
#line 20105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 69610 "preproc.c" /* yacc.c:1646  */
    break;

  case 3840:
#line 20106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 69616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3841:
#line 20107 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 69622 "preproc.c" /* yacc.c:1646  */
    break;

  case 3842:
#line 20108 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 69628 "preproc.c" /* yacc.c:1646  */
    break;

  case 3843:
#line 20109 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 69634 "preproc.c" /* yacc.c:1646  */
    break;

  case 3844:
#line 20110 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 69640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3845:
#line 20111 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 69646 "preproc.c" /* yacc.c:1646  */
    break;

  case 3846:
#line 20112 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 69652 "preproc.c" /* yacc.c:1646  */
    break;

  case 3847:
#line 20113 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 69658 "preproc.c" /* yacc.c:1646  */
    break;

  case 3848:
#line 20114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 69664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3849:
#line 20115 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 69670 "preproc.c" /* yacc.c:1646  */
    break;

  case 3850:
#line 20116 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 69676 "preproc.c" /* yacc.c:1646  */
    break;

  case 3851:
#line 20117 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 69682 "preproc.c" /* yacc.c:1646  */
    break;

  case 3852:
#line 20120 "preproc.y" /* yacc.c:1646  */
    { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 69688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3853:
#line 20121 "preproc.y" /* yacc.c:1646  */
    { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 69694 "preproc.c" /* yacc.c:1646  */
    break;

  case 3854:
#line 20122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 69700 "preproc.c" /* yacc.c:1646  */
    break;

  case 3855:
#line 20123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 69706 "preproc.c" /* yacc.c:1646  */
    break;

  case 3856:
#line 20126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3857:
#line 20127 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 69718 "preproc.c" /* yacc.c:1646  */
    break;

  case 3858:
#line 20128 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 69724 "preproc.c" /* yacc.c:1646  */
    break;

  case 3859:
#line 20129 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 69730 "preproc.c" /* yacc.c:1646  */
    break;

  case 3860:
#line 20130 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 69736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3861:
#line 20131 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 69742 "preproc.c" /* yacc.c:1646  */
    break;

  case 3862:
#line 20132 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 69748 "preproc.c" /* yacc.c:1646  */
    break;

  case 3863:
#line 20133 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69754 "preproc.c" /* yacc.c:1646  */
    break;

  case 3864:
#line 20134 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3865:
#line 20135 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 69770 "preproc.c" /* yacc.c:1646  */
    break;

  case 3866:
#line 20142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3867:
#line 20143 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69782 "preproc.c" /* yacc.c:1646  */
    break;

  case 3868:
#line 20144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69788 "preproc.c" /* yacc.c:1646  */
    break;

  case 3869:
#line 20145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69794 "preproc.c" /* yacc.c:1646  */
    break;

  case 3870:
#line 20148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3871:
#line 20149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69806 "preproc.c" /* yacc.c:1646  */
    break;

  case 3872:
#line 20152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69812 "preproc.c" /* yacc.c:1646  */
    break;

  case 3873:
#line 20153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69818 "preproc.c" /* yacc.c:1646  */
    break;

  case 3874:
#line 20156 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3875:
#line 20158 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 69837 "preproc.c" /* yacc.c:1646  */
    break;

  case 3876:
#line 20168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69843 "preproc.c" /* yacc.c:1646  */
    break;

  case 3877:
#line 20169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69849 "preproc.c" /* yacc.c:1646  */
    break;


#line 69853 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 20172 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
